Packages
Package Index

Java API Packages

•	package java.applet

•	package java.awt

•	package java.awt.datatransfer

•	package java.awt.event

•	package java.awt.image

•	package java.awt.peer

•	package java.beans

•	package java.io

•	package java.lang

•	package java.lang.reflect

•	package java.math

•	package java.net

•	package java.rmi

•	package java.rmi.dgc

•	package java.rmi.registry

•	package java.rmi.server

•	package java.security

•	package java.security.acl

•	package java.security.interfaces

•	package java.sql

•	package java.text

•	package java.text.resources

•	package java.util

•	package java.util.zip

Sun API Packages

•	package sun.tools.ttydebug

•	package sunw.io

•	package sunw.util

Symantec API Packages

•	package symantec.itools.awt

•	package symantec.itools.awt.image

•	package symantec.itools.awt.multiList

•	package symantec.itools.awt.shape

•	package symantec.itools.awt.util

•	package symantec.itools.awt.util.dialog

•	package symantec.itools.awt.util.edit

•	package symantec.itools.awt.util.spinner

•	package symantec.itools.beans

•	package symantec.itools.db.awt

•	package symantec.itools.db.beans.binding

•	package symantec.itools.db.beans.jdbc

•	package symantec.itools.db.pro

•	package symantec.itools.lang

•	package symantec.itools.multimedia

•	package symantec.itools.net

•	package symantec.itools.util

Other Packages

•	package geo.emblaze


 package geo.emblaze

   Emblaze20BeanInfo


 Class geo.emblaze.Emblaze20BeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----geo.emblaze.Emblaze20BeanInfo

public class Emblaze20BeanInfo
   extends SimpleBeanInfo

BeanInfo for Emblaze20

 Emblaze20BeanInfo()

 getAdditionalBeanInfo()

Claim there are no other relevant BeanInfo objects.

 getBeanDescriptor()

Deny knowledge about the class and customizer of the bean.

 getIcon(int)

Claim there are no icons available.

 getMethodDescriptors()

Deny knowledge of methods.

 getPropertyDescriptors()

Deny knowledge of properties.

 Emblaze20BeanInfo

 public Emblaze20BeanInfo()

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Claim there are no other relevant BeanInfo objects.

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Deny knowledge about the class and customizer of the bean.

Overrides:

getBeanDescriptor in class SimpleBeanInfo

 getIcon

 public Image getIcon(int iconKind)

Claim there are no icons available.

Overrides:

getIcon in class SimpleBeanInfo

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Deny knowledge of methods.

Overrides:

getMethodDescriptors in class SimpleBeanInfo

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Deny knowledge of properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 package java.applet

   AppletContext
   AppletStub
   AudioClip

   Applet


 Interface java.applet.AppletContext

public interface AppletContext

This interface corresponds to an applet's environment: the document containing the applet and the other applets in the same document.

The methods in this interface can be used by an applet to obtain information about its environment.

 getApplet(String)

Finds and returns the applet in the document represented by this applet context with the given name.

 getApplets()

Finds all the applets in the document represented by this applet context.

 getAudioClip(URL)

Creates an audio clip.

 getImage(URL)

Returns an Image object that can then be painted on the screen.

 showDocument(URL)

Replaces the Web page currently being viewed with the given URL.

 showDocument(URL, String)

Requests that the browser or applet viewer show the Web page indicated by the url argument.

 showStatus(String)

Requests that the argument string be displayed in the "status window".

 getApplet

 public abstract Applet getApplet(String name)

Finds and returns the applet in the document represented by this applet context with the given name. The name can be set in the HTML tag by setting the name attribute.

Parameters:

name - an applet name.

Returns:

the applet with the given name, or null if not found.

 getApplets

 public abstract Enumeration getApplets()

Finds all the applets in the document represented by this applet context.

Returns:

an enumeration of all applets in the document represented by this applet context.

 getAudioClip

 public abstract AudioClip getAudioClip(URL url)

Creates an audio clip.

Parameters:

url - an absolute URL giving the location of the audio clip.

Returns:

the audio clip at the specified URL.

 getImage

 public abstract Image getImage(URL url)

Returns an Image object that can then be painted on the screen. The url argument that is passed as an argument must specify an absolute URL.

This method always returns immediately, whether or not the image exists. When the applet attempts to draw the image on the screen, the data will be loaded. The graphics primitives that draw the image will incrementally paint on the screen.

Parameters:

url - an absolute URL giving the location of the image.

Returns:

the image at the specified URL.

See Also:

Image

 showDocument

 public abstract void showDocument(URL url)

Replaces the Web page currently being viewed with the given URL. This method may be ignored by applet contexts that are not browsers.

Parameters:

url - an absolute URL giving the location of the document.

 showDocument

 public abstract void showDocument(URL url,
                                   String target)

Requests that the browser or applet viewer show the Web page indicated by the url argument. The target argument indicates where to display the frame. The target argument is interpreted as follows:

"_self"	show in the current frame
"_parent"	show in the parent frame
"_top"	show in the topmost frame
"_blank"	show in a new unnamed top-level window
name	show in a new top-level window named name
An applet viewer or browser is free to ignore showDocument.

Parameters:

url - an absolute URL giving the location of the document.

target - a String indicating where to display the page.

 showStatus

 public abstract void showStatus(String status)

Requests that the argument string be displayed in the "status window". Many browsers and applet viewers provide such a window, where the application can inform users of its current state.

Parameters:

status - a string to display in the status window.


 Interface java.applet.AppletStub

public interface AppletStub

When an applet is first created, an applet stub is attached to it using the applet's setStub method. This stub serves as the interface between the applet and the browser environment or applet viewer environment in which the application is running.

     See Also:
     setStub

 appletResize(int, int)

Called when the applet wants to be resized.

 getAppletContext()

Gets a handler to the applet's context.

 getCodeBase()

Gets the base URL.

 getDocumentBase()

Gets the document URL.

 getParameter(String)

Returns the value of the named parameter in the HTML tag.

 isActive()

Determines if the applet is active.

 appletResize

 public abstract void appletResize(int width,
                                   int height)

Called when the applet wants to be resized.

Parameters:

width - the new requested width for the applet.

height - the new requested height for the applet.

 getAppletContext

 public abstract AppletContext getAppletContext()

Gets a handler to the applet's context.

Returns:

the applet's context.

 getCodeBase

 public abstract URL getCodeBase()

Gets the base URL.

Returns:

the URL of the applet.

 getDocumentBase

 public abstract URL getDocumentBase()

Gets the document URL.

Returns:

the URL of the document containing the applet.

 getParameter

 public abstract String getParameter(String name)

Returns the value of the named parameter in the HTML tag. For example, if an applet is specified as <applet code="Clock" width=50 height=50>

<param name=Color value="blue">

</applet>

then a call to getParameter("Color") returns the value "blue".

Parameters:

name - a parameter name.

Returns:

the value of the named parameter.

 isActive

 public abstract boolean isActive()

Determines if the applet is active. An applet is active just before its start method is called. It becomes inactive immediately after its stop method is called.

Returns:

true if the applet is active; false otherwise.


 Interface java.applet.AudioClip

public interface AudioClip

The AudioClip interface is a simple abstraction for playing a sound clip. Multiple AudioClip items can be playing at the same time, and the resulting sound is mixed together to produce a composite.

 loop()

Starts playing this audio clip in a loop.

 play()

Starts playing this audio clip.

 stop()

Stops playing this audio clip.

 loop

 public abstract void loop()

Starts playing this audio clip in a loop.

 play

 public abstract void play()

Starts playing this audio clip. Each time this method is called, the clip is restarted from the beginning.

 stop

 public abstract void stop()

Stops playing this audio clip.


 Class java.applet.Applet

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Container
                   |
                   +----java.awt.Panel
                           |
                           +----java.applet.Applet

public class Applet
   extends Panel

An applet is a small program that is intended not to be run on its own, but rather to be embedded inside another application.

The Applet class must be the superclass of any applet that is to be embedded in a Web page or viewed by the Java Applet Viewer. The Applet class provides a standard interface between applets and their environment.

 Applet()

 destroy()

Called by the browser or applet viewer to inform this applet that it is being reclaimed and that it should destroy any resources that it has allocated.

 getAppletContext()

Determines this applet's context, which allows the applet to query and affect the environment in which it runs.

 getAppletInfo()

Returns information about this applet.

 getAudioClip(URL)

Returns the AudioClip object specified by the URL argument.

 getAudioClip(URL, String)

Returns the AudioClip object specified by the URL and name arguments.

 getCodeBase()

Gets the base URL.

 getDocumentBase()

Gets the document URL.

 getImage(URL)

Returns an Image object that can then be painted on the screen.

 getImage(URL, String)

Returns an Image object that can then be painted on the screen.

 getLocale()

Gets the Locale for the applet, if it has been set.

 getParameter(String)

Returns the value of the named parameter in the HTML tag.

 getParameterInfo()

Returns information about the parameters than are understood by this applet.

 init()

Called by the browser or applet viewer to inform this applet that it has been loaded into the system.

 isActive()

Determines if this applet is active.

 play(URL)

Plays the audio clip at the specified absolute URL.

 play(URL, String)

Plays the audio clip given the URL and a specifier that is relative to it.

 resize(Dimension)

Requests that this applet be resized.

 resize(int, int)

Requests that this applet be resized.

 setStub(AppletStub)

Sets this applet's stub.

 showStatus(String)

Requests that the argument string be displayed in the "status window".

 start()

Called by the browser or applet viewer to inform this applet that it should start its execution.

 stop()

Called by the browser or applet viewer to inform this applet that it should stop its execution.

 Applet

 public Applet()

 destroy

 public void destroy()

Called by the browser or applet viewer to inform this applet that it is being reclaimed and that it should destroy any resources that it has allocated. The stop method will always be called before destroy.

A subclass of Applet should override this method if it has any operation that it wants to perform before it is destroyed. For example, an applet with threads would use the init method to create the threads and the destroy method to kill them.

The implementation of this method provided by the Applet class does nothing.

See Also:

init, start, stop

 getAppletContext

 public AppletContext getAppletContext()

Determines this applet's context, which allows the applet to query and affect the environment in which it runs.

This environment of an applet represents the document that contains the applet.

Returns:

the applet's context.

 getAppletInfo

 public String getAppletInfo()

Returns information about this applet. An applet should override this method to return a String containing information about the author, version, and copyright of the applet.

The implementation of this method provided by the Applet class returns null.

Returns:

a string containing information about the author, version, and copyright of the applet.

 getAudioClip

 public AudioClip getAudioClip(URL url)

Returns the AudioClip object specified by the URL argument.

This method always returns immediately, whether or not the audio clip exists. When this applet attempts to play the audio clip, the data will be loaded.

Parameters:

url - an absolute URL giving the location of the audio clip.

Returns:

the audio clip at the specified URL.

See Also:

AudioClip

 getAudioClip

 public AudioClip getAudioClip(URL url,
                               String name)

Returns the AudioClip object specified by the URL and name arguments.

This method always returns immediately, whether or not the audio clip exists. When this applet attempts to play the audio clip, the data will be loaded.

Parameters:

url - an absolute URL giving the base location of the audio clip.

name - the location of the audio clip, relative to the url argument.

Returns:

the audio clip at the specified URL.

See Also:

AudioClip

 getCodeBase

 public URL getCodeBase()

Gets the base URL. This is the URL of the applet itself.

Returns:

the URL of this applet.

See Also:

getDocumentBase

 getDocumentBase

 public URL getDocumentBase()

Gets the document URL. This is the URL of the document in which the applet is embedded.

Returns:

the URL of the document that contains this applet.

See Also:

getCodeBase

 getImage

 public Image getImage(URL url)

Returns an Image object that can then be painted on the screen. The url that is passed as an argument must specify an absolute URL.

This method always returns immediately, whether or not the image exists. When this applet attempts to draw the image on the screen, the data will be loaded. The graphics primitives that draw the image will incrementally paint on the screen.

Parameters:

url - an absolute URL giving the location of the image.

Returns:

the image at the specified URL.

See Also:

Image

 getImage

 public Image getImage(URL url,
                       String name)

Returns an Image object that can then be painted on the screen. The url argument must specify an absolute URL. The name argument is a specifier that is relative to the url argument.

This method always returns immediately, whether or not the image exists. When this applet attempts to draw the image on the screen, the data will be loaded. The graphics primitives that draw the image will incrementally paint on the screen.

Parameters:

url - an absolute URL giving the base location of the image.

name - the location of the image, relative to the url argument.

Returns:

the image at the specified URL.

See Also:

Image

 getLocale

 public Locale getLocale()

Gets the Locale for the applet, if it has been set. If no Locale has been set, then the default Locale is returned.

Returns:

[Needs to be documented!]

Overrides:

getLocale in class Component

 getParameter

 public String getParameter(String name)

Returns the value of the named parameter in the HTML tag. For example, if this applet is specified as <applet code="Clock" width=50 height=50>

<param name=Color value="blue">

</applet>

then a call to getParameter("Color") returns the value "blue".

The name argument is case insensitive.

Parameters:

name - a parameter name.

Returns:

the value of the named parameter.

 getParameterInfo

 public String[][] getParameterInfo()

Returns information about the parameters than are understood by this applet. An applet should override this method to return an array of Strings describing these parameters.

Each element of the array should be a set of three Strings containing the name, the type, and a description. For example:

 String pinfo[][] = {
 {"fps",    "1-10",    "frames per second"},
 {"repeat", "boolean", "repeat image loop"},
 {"imgs",   "url",     "images directory"}
 };

The implementation of this method provided by the Applet class returns null.

Returns:

an array describing the parameters this applet looks for.

 init

 public void init()

Called by the browser or applet viewer to inform this applet that it has been loaded into the system. It is always called before the first time that the start method is called.

A subclass of Applet should override this method if it has initialization to perform. For example, an applet with threads would use the init method to create the threads and the destroy method to kill them.

The implementation of this method provided by the Applet class does nothing.

See Also:

destroy, start, stop

 isActive

 public boolean isActive()

Determines if this applet is active. An applet is marked active just before its start method is called. It becomes inactive immediately after its stop method is called.

Returns:

true if the applet is active; false otherwise.

See Also:

start, stop

 play

 public void play(URL url)

Plays the audio clip at the specified absolute URL. Nothing happens if the audio clip cannot be found.

Parameters:

url - an absolute URL giving the location of the audio clip.

 play

 public void play(URL url,
                  String name)

Plays the audio clip given the URL and a specifier that is relative to it. Nothing happens if the audio clip cannot be found.

Parameters:

url - an absolute URL giving the base location of the audio clip.

name - the location of the audio clip, relative to the url argument.

 resize

 public void resize(Dimension d)

Requests that this applet be resized.

Parameters:

d - an object giving the new width and height.

Overrides:

resize in class Component

 resize

 public void resize(int width,
                    int height)

Requests that this applet be resized.

Parameters:

width - the new requested width for the applet.

height - the new requested height for the applet.

Overrides:

resize in class Component

 setStub

 public final void setStub(AppletStub stub)

Sets this applet's stub. This is done automatically by the system.

Parameters:

stub - the new stub.

 showStatus

 public void showStatus(String msg)

Requests that the argument string be displayed in the "status window". Many browsers and applet viewers provide such a window, where the application can inform users of its current state.

Parameters:

msg - a string to display in the status window.

 start

 public void start()

Called by the browser or applet viewer to inform this applet that it should start its execution. It is called after the init method and each time the applet is revisited in a Web page.

A subclass of Applet should override this method if it has any operation that it wants to perform each time the Web page containing it is visited. For example, an applet with animation might want to use the start method to resume animation, and the stop method to suspend the animation.

The implementation of this method provided by the Applet class does nothing.

See Also:

destroy, init, stop

 stop

 public void stop()

Called by the browser or applet viewer to inform this applet that it should stop its execution. It is called when the Web page that contains this applet has been replaced by another page, and also just before the applet is to be destroyed.

A subclass of Applet should override this method if it has any operation that it wants to perform each time the Web page containing it is no longer visible. For example, an applet with animation might want to use the start method to resume animation, and the stop method to suspend the animation.

The implementation of this method provided by the Applet class does nothing.

See Also:

destroy, init


 package java.awt

   Adjustable
   ItemSelectable
   LayoutManager
   LayoutManager2
   MenuContainer
   PrintGraphics
   Shape

   AWTEvent
   AWTEventMulticaster
   BorderLayout
   Button
   Canvas
   CardLayout
   Checkbox
   CheckboxGroup
   CheckboxMenuItem
   Choice
   Color
   Component
   Container
   Cursor
   Dialog
   Dimension
   Event
   EventQueue
   FileDialog
   FlowLayout
   Font
   FontMetrics
   Frame
   Graphics
   GridBagConstraints
   GridBagLayout
   GridLayout
   Image
   Insets
   Label
   List
   MediaTracker
   Menu
   MenuBar
   MenuComponent
   MenuItem
   MenuShortcut
   Panel
   Point
   Polygon
   PopupMenu
   PrintJob
   Rectangle
   ScrollPane
   Scrollbar
   SystemColor
   TextArea
   TextComponent
   TextField
   Toolkit
   Window

   AWTException
   IllegalComponentStateException

   AWTError


 Interface java.awt.Adjustable

public interface Adjustable

The interface for objects which have an adjustable numeric value contained within a bounded range of values.

 HORIZONTAL

The horizontal orientation.

 VERTICAL

The vertical orientation.

 addAdjustmentListener(AdjustmentListener)

Add a listener to recieve adjustment events when the value of the adjustable object changes.

 getBlockIncrement()

Gets the block value increment for the adjustable object.

 getMaximum()

Gets the maximum value of the adjustable object.

 getMinimum()

Gets the minimum value of the adjustable object.

 getOrientation()

Gets the orientation of the adjustable object.

 getUnitIncrement()

Gets the unit value increment for the adjustable object.

 getValue()

Gets the current value of the adjustable object.

 getVisibleAmount()

Gets the length of the propertional indicator.

 removeAdjustmentListener(AdjustmentListener)

Removes an adjustment listener.

 setBlockIncrement(int)

Sets the block value increment for the adjustable object.

 setMaximum(int)

Sets the maximum value of the adjustable object.

 setMinimum(int)

Sets the minimum value of the adjustable object.

 setUnitIncrement(int)

Sets the unit value increment for the adjustable object.

 setValue(int)

Sets the current value of the adjustable object.

 setVisibleAmount(int)

Sets the length of the proportionl indicator of the adjustable object.

 HORIZONTAL

 public static final int HORIZONTAL

The horizontal orientation.

 VERTICAL

 public static final int VERTICAL

The vertical orientation.

 addAdjustmentListener

 public abstract void addAdjustmentListener(AdjustmentListener l)

Add a listener to recieve adjustment events when the value of the adjustable object changes.

Parameters:

l - the listener to recieve events

See Also:

AdjustmentEvent

 getBlockIncrement

 public abstract int getBlockIncrement()

Gets the block value increment for the adjustable object.

 getMaximum

 public abstract int getMaximum()

Gets the maximum value of the adjustable object.

 getMinimum

 public abstract int getMinimum()

Gets the minimum value of the adjustable object.

 getOrientation

 public abstract int getOrientation()

Gets the orientation of the adjustable object.

 getUnitIncrement

 public abstract int getUnitIncrement()

Gets the unit value increment for the adjustable object.

 getValue

 public abstract int getValue()

Gets the current value of the adjustable object.

 getVisibleAmount

 public abstract int getVisibleAmount()

Gets the length of the propertional indicator.

 removeAdjustmentListener

 public abstract void removeAdjustmentListener(AdjustmentListener l)

Removes an adjustment listener.

Parameters:

l - the listener being removed

See Also:

AdjustmentEvent

 setBlockIncrement

 public abstract void setBlockIncrement(int b)

Sets the block value increment for the adjustable object.

Parameters:

b - the block increment

 setMaximum

 public abstract void setMaximum(int max)

Sets the maximum value of the adjustable object.

Parameters:

max - the maximum value

 setMinimum

 public abstract void setMinimum(int min)

Sets the minimum value of the adjustable object.

Parameters:

min - the minimum value

 setUnitIncrement

 public abstract void setUnitIncrement(int u)

Sets the unit value increment for the adjustable object.

Parameters:

u - the unit increment

 setValue

 public abstract void setValue(int v)

Sets the current value of the adjustable object. This value must be within the range defined by the minimum and maximum values for this object.

Parameters:

v - the current value

 setVisibleAmount

 public abstract void setVisibleAmount(int v)

Sets the length of the proportionl indicator of the adjustable object.

Parameters:

v - the length of the indicator


 Interface java.awt.ItemSelectable

public interface ItemSelectable

The interface for objects which contain a set of items for which zero or more can be selected.

 addItemListener(ItemListener)

Add a listener to recieve item events when the state of an item changes.

 getSelectedObjects()

Returns the selected items or null if no items are selected.

 removeItemListener(ItemListener)

Removes an item listener.

 addItemListener

 public abstract void addItemListener(ItemListener l)

Add a listener to recieve item events when the state of an item changes.

Parameters:

l - the listener to recieve events

See Also:

ItemEvent

 getSelectedObjects

 public abstract Object[] getSelectedObjects()

Returns the selected items or null if no items are selected.

 removeItemListener

 public abstract void removeItemListener(ItemListener l)

Removes an item listener.

Parameters:

l - the listener being removed

See Also:

ItemEvent


 Interface java.awt.LayoutManager

public interface LayoutManager

Defines the interface for classes that know how to layout Containers.

     See Also:
     Container

 addLayoutComponent(String, Component)

Adds the specified component with the specified name to the layout.

 layoutContainer(Container)

Lays out the container in the specified panel.

 minimumLayoutSize(Container)

Calculates the minimum size dimensions for the specified panel given the components in the specified parent container.

 preferredLayoutSize(Container)

Calculates the preferred size dimensions for the specified panel given the components in the specified parent container.

 removeLayoutComponent(Component)

Removes the specified component from the layout.

 addLayoutComponent

 public abstract void addLayoutComponent(String name,
                                         Component comp)

Adds the specified component with the specified name to the layout.

Parameters:

name - the component name

comp - the component to be added

 layoutContainer

 public abstract void layoutContainer(Container parent)

Lays out the container in the specified panel.

Parameters:

parent - the component which needs to be laid out

 minimumLayoutSize

 public abstract Dimension minimumLayoutSize(Container parent)

Calculates the minimum size dimensions for the specified panel given the components in the specified parent container.

Parameters:

parent - the component to be laid out

See Also:

preferredLayoutSize

 preferredLayoutSize

 public abstract Dimension preferredLayoutSize(Container parent)

Calculates the preferred size dimensions for the specified panel given the components in the specified parent container.

Parameters:

parent - the component to be laid out

See Also:

minimumLayoutSize

 removeLayoutComponent

 public abstract void removeLayoutComponent(Component comp)

Removes the specified component from the layout.

Parameters:

comp - the component ot be removed


 Interface java.awt.LayoutManager2

public interface LayoutManager2
   extends LayoutManager

Defines an interface for classes that know how to layout Containers based on a layout constraints object. This interface extends the LayoutManager interface to deal with layouts explicitly in terms of constraint objects that specify how and where components should be added to the layout.

This minimal extension to LayoutManager is intended for tool providers who wish to the creation of constraint-based layouts. It does not yet provide full, general support for custom constraint-based layout managers.

     See Also:
     LayoutManager, Container

 addLayoutComponent(Component, Object)

Adds the specified component to the layout, using the specified constraint object.

 getLayoutAlignmentX(Container)

Returns the alignment along the x axis.

 getLayoutAlignmentY(Container)

Returns the alignment along the y axis.

 invalidateLayout(Container)

Invalidates the layout, indicating that if the layout manager has cached information it should be discarded.

 maximumLayoutSize(Container)

Returns the maximum size of this component.

 addLayoutComponent

 public abstract void addLayoutComponent(Component comp,
                                         Object constraints)

Adds the specified component to the layout, using the specified constraint object.

Parameters:

comp - the component to be added

constraints - where/how the component is added to the layout.

 getLayoutAlignmentX

 public abstract float getLayoutAlignmentX(Container target)

Returns the alignment along the x axis. This specifies how the component would like to be aligned relative to other components. The value should be a number between 0 and 1 where 0 represents alignment along the origin, 1 is aligned the furthest away from the origin, 0.5 is centered, etc.

 getLayoutAlignmentY

 public abstract float getLayoutAlignmentY(Container target)

Returns the alignment along the y axis. This specifies how the component would like to be aligned relative to other components. The value should be a number between 0 and 1 where 0 represents alignment along the origin, 1 is aligned the furthest away from the origin, 0.5 is centered, etc.

 invalidateLayout

 public abstract void invalidateLayout(Container target)

Invalidates the layout, indicating that if the layout manager has cached information it should be discarded.

 maximumLayoutSize

 public abstract Dimension maximumLayoutSize(Container target)

Returns the maximum size of this component.

See Also:

getMinimumSize, getPreferredSize, LayoutManager


 Interface java.awt.MenuContainer

public interface MenuContainer

The super class of all menu related containers.

 getFont()

 postEvent(Event)

Deprecated.

 remove(MenuComponent)

 getFont

 public abstract Font getFont()

 postEvent

 public abstract boolean postEvent(Event evt)

Note: postEvent() is deprecated. As of JDK version 1.1 replaced by dispatchEvent(AWTEvent).

 remove

 public abstract void remove(MenuComponent comp)


 Interface java.awt.PrintGraphics

public interface PrintGraphics

An abstract class which provides a print graphics context for a page.

 getPrintJob()

Returns the PrintJob object from which this PrintGraphics object originated.

 getPrintJob

 public abstract PrintJob getPrintJob()

Returns the PrintJob object from which this PrintGraphics object originated.


 Interface java.awt.Shape

public interface Shape

The interface for objects which represent some form of geometric shape.

This interface will be revised in the upcoming Java2D project. It is meant to provide a common interface for various existing geometric AWT classes and methods which operate on them. Since it may be superseded or expanded in the future, developers should avoid implementing this interface in their own classes until it is completed in a later release.

 getBounds()

Return the bounding box of the shape.

 getBounds

 public abstract Rectangle getBounds()

Return the bounding box of the shape.


 Class java.awt.AWTEvent

java.lang.Object
   |
   +----java.util.EventObject
           |
           +----java.awt.AWTEvent

public abstract class AWTEvent
   extends EventObject

The root event class for all AWT events. This class and its subclasses supercede the original java.awt.Event class. Subclasses of this root AWTEvent class defined outside of the java.awt.event package should define event ID values greater than the value defined by RESERVED_ID_MAX. The event masks defined in this class are needed ONLY by component subclasses which are using Component.enableEvents() to select for event types not selected by registered listeners. If a listener is registered on a component, the appropriate event mask is already set internally by the component.

     See Also:
     enableEvents, ComponentEvent, FocusEvent, KeyEvent, MouseEvent, WindowEvent, ActionEvent, AdjustmentEvent, ItemEvent, TextEvent

 ACTION_EVENT_MASK

The event mask for selecting action events.

 ADJUSTMENT_EVENT_MASK

The event mask for selecting adjustment events.

 COMPONENT_EVENT_MASK

The event mask for selecting component events.

 consumed

 CONTAINER_EVENT_MASK

The event mask for selecting container events.

 FOCUS_EVENT_MASK

The event mask for selecting focus events.

 id

 ITEM_EVENT_MASK

The event mask for selecting item events.

 KEY_EVENT_MASK

The event mask for selecting key events.

 MOUSE_EVENT_MASK

The event mask for selecting mouse events.

 MOUSE_MOTION_EVENT_MASK

The event mask for selecting mouse motion events.

 RESERVED_ID_MAX

The maximum value for reserved AWT event IDs.

 TEXT_EVENT_MASK

The event mask for selecting text events.

 WINDOW_EVENT_MASK

The event mask for selecting window events.

 AWTEvent(Event)

Constructs an AWTEvent object from the parameters of a 1.0-style event.

 AWTEvent(Object, int)

Constructs an AWTEvent object with the specified source object and type.

 consume()

 getID()

Returns the event type.

 isConsumed()

 paramString()

 toString()

Returns a string representation of the object.

 ACTION_EVENT_MASK

 public static final long ACTION_EVENT_MASK

The event mask for selecting action events.

 ADJUSTMENT_EVENT_MASK

 public static final long ADJUSTMENT_EVENT_MASK

The event mask for selecting adjustment events.

 COMPONENT_EVENT_MASK

 public static final long COMPONENT_EVENT_MASK

The event mask for selecting component events.

 consumed

 protected boolean consumed

 CONTAINER_EVENT_MASK

 public static final long CONTAINER_EVENT_MASK

The event mask for selecting container events.

 FOCUS_EVENT_MASK

 public static final long FOCUS_EVENT_MASK

The event mask for selecting focus events.

 id

 protected int id

 ITEM_EVENT_MASK

 public static final long ITEM_EVENT_MASK

The event mask for selecting item events.

 KEY_EVENT_MASK

 public static final long KEY_EVENT_MASK

The event mask for selecting key events.

 MOUSE_EVENT_MASK

 public static final long MOUSE_EVENT_MASK

The event mask for selecting mouse events.

 MOUSE_MOTION_EVENT_MASK

 public static final long MOUSE_MOTION_EVENT_MASK

The event mask for selecting mouse motion events.

 RESERVED_ID_MAX

 public static final int RESERVED_ID_MAX

The maximum value for reserved AWT event IDs. Programs defining their own event IDs should use IDs greater than this value.

 TEXT_EVENT_MASK

 public static final long TEXT_EVENT_MASK

The event mask for selecting text events.

 WINDOW_EVENT_MASK

 public static final long WINDOW_EVENT_MASK

The event mask for selecting window events.

 AWTEvent

 public AWTEvent(Event event)

Constructs an AWTEvent object from the parameters of a 1.0-style event.

Parameters:

event - the old-style event

 AWTEvent

 public AWTEvent(Object source,
                 int id)

Constructs an AWTEvent object with the specified source object and type.

Parameters:

source - the object where the event originated

 consume

 protected void consume()

 getID

 public int getID()

Returns the event type.

 isConsumed

 protected boolean isConsumed()

 paramString

 public String paramString()

 toString

 public String toString()

Returns a string representation of the object.

Overrides:

toString in class EventObject


 Class java.awt.AWTEventMulticaster

java.lang.Object
   |
   +----java.awt.AWTEventMulticaster

public class AWTEventMulticaster
   extends Object
   implements ComponentListener, ContainerListener, FocusListener, KeyListener, MouseListener, MouseMotionListener, WindowListener, ActionListener, ItemListener, AdjustmentListener, TextListener

A class which implements efficient and thread-safe multi-cast event dispatching for the AWT events defined in the java.awt.event package. This class will manage an immutable structure consisting of a chain of event listeners and will dispatch events to those listeners. Because the structure is immutable, it is safe to use this API to add/remove listeners during the process of an event dispatch operation. An example of how this class could be used to implement a new component which fires "action" events:

 public myComponent extends Component {
     ActionListener actionListener = null;
     public void addActionListener(ActionListener l) {
   actionListener = AWTEventMulticaster.add(actionListener, l);
     }
     public void removeActionListener(ActionListener l) {
  	   actionListener = AWTEventMulticaster.remove(actionListener, l);
     }
     public void processEvent(AWTEvent e) {
         // when event occurs which causes "action" semantic
         if (actionListener != null) {
             actionListener.actionPerformed(new ActionEvent());
         }
 }

 a

 b

 AWTEventMulticaster(EventListener, EventListener)

Creates an event multicaster instance which chains listener-a with listener-b.

 actionPerformed(ActionEvent)

Handles the actionPerformed event by invoking the actionPerformed methods on listener-a and listener-b.

 add(ActionListener, ActionListener)

Adds action-listener-a with action-listener-b and returns the resulting multicast listener.

 add(AdjustmentListener, AdjustmentListener)

Adds adjustment-listener-a with adjustment-listener-b and returns the resulting multicast listener.

 add(ComponentListener, ComponentListener)

Adds component-listener-a with component-listener-b and returns the resulting multicast listener.

 add(ContainerListener, ContainerListener)

Adds container-listener-a with container-listener-b and returns the resulting multicast listener.

 add(FocusListener, FocusListener)

Adds focus-listener-a with focus-listener-b and returns the resulting multicast listener.

 add(ItemListener, ItemListener)

Adds item-listener-a with item-listener-b and returns the resulting multicast listener.

 add(KeyListener, KeyListener)

Adds key-listener-a with key-listener-b and returns the resulting multicast listener.

 add(MouseListener, MouseListener)

Adds mouse-listener-a with mouse-listener-b and returns the resulting multicast listener.

 add(MouseMotionListener, MouseMotionListener)

Adds mouse-motion-listener-a with mouse-motion-listener-b and returns the resulting multicast listener.

 add(TextListener, TextListener)

 add(WindowListener, WindowListener)

Adds window-listener-a with window-listener-b and returns the resulting multicast listener.

 addInternal(EventListener, EventListener)

Returns the resulting multicast listener from adding listener-a and listener-b together.

 adjustmentValueChanged(AdjustmentEvent)

Handles the adjustmentValueChanged event by invoking the adjustmentValueChanged methods on listener-a and listener-b.

 componentAdded(ContainerEvent)

Handles the componentAdded container event by invoking the componentAdded methods on listener-a and listener-b.

 componentHidden(ComponentEvent)

Handles the componentHidden event by invoking the componentHidden methods on listener-a and listener-b.

 componentMoved(ComponentEvent)

Handles the componentMoved event by invoking the componentMoved methods on listener-a and listener-b.

 componentRemoved(ContainerEvent)

Handles the componentRemoved container event by invoking the componentRemoved methods on listener-a and listener-b.

 componentResized(ComponentEvent)

Handles the componentResized event by invoking the componentResized methods on listener-a and listener-b.

 componentShown(ComponentEvent)

Handles the componentShown event by invoking the componentShown methods on listener-a and listener-b.

 focusGained(FocusEvent)

Handles the focusGained event by invoking the focusGained methods on listener-a and listener-b.

 focusLost(FocusEvent)

Handles the focusLost event by invoking the focusLost methods on listener-a and listener-b.

 itemStateChanged(ItemEvent)

Handles the itemStateChanged event by invoking the itemStateChanged methods on listener-a and listener-b.

 keyPressed(KeyEvent)

Handles the keyPressed event by invoking the keyPressed methods on listener-a and listener-b.

 keyReleased(KeyEvent)

Handles the keyReleased event by invoking the keyReleased methods on listener-a and listener-b.

 keyTyped(KeyEvent)

Handles the keyTyped event by invoking the keyTyped methods on listener-a and listener-b.

 mouseClicked(MouseEvent)

Handles the mouseClicked event by invoking the mouseClicked methods on listener-a and listener-b.

 mouseDragged(MouseEvent)

Handles the mouseDragged event by invoking the mouseDragged methods on listener-a and listener-b.

 mouseEntered(MouseEvent)

Handles the mouseEntered event by invoking the mouseEntered methods on listener-a and listener-b.

 mouseExited(MouseEvent)

Handles the mouseExited event by invoking the mouseExited methods on listener-a and listener-b.

 mouseMoved(MouseEvent)

Handles the mouseMoved event by invoking the mouseMoved methods on listener-a and listener-b.

 mousePressed(MouseEvent)

Handles the mousePressed event by invoking the mousePressed methods on listener-a and listener-b.

 mouseReleased(MouseEvent)

Handles the mouseReleased event by invoking the mouseReleased methods on listener-a and listener-b.

 remove(ActionListener, ActionListener)

Removes the old action-listener from action-listener-l and returns the resulting multicast listener.

 remove(AdjustmentListener, AdjustmentListener)

Removes the old adjustment-listener from adjustment-listener-l and returns the resulting multicast listener.

 remove(ComponentListener, ComponentListener)

Removes the old component-listener from component-listener-l and returns the resulting multicast listener.

 remove(ContainerListener, ContainerListener)

Removes the old container-listener from container-listener-l and returns the resulting multicast listener.

 remove(EventListener)

Removes a listener from this multicaster and returns the resulting multicast listener.

 remove(FocusListener, FocusListener)

Removes the old focus-listener from focus-listener-l and returns the resulting multicast listener.

 remove(ItemListener, ItemListener)

Removes the old item-listener from item-listener-l and returns the resulting multicast listener.

 remove(KeyListener, KeyListener)

Removes the old key-listener from key-listener-l and returns the resulting multicast listener.

 remove(MouseListener, MouseListener)

Removes the old mouse-listener from mouse-listener-l and returns the resulting multicast listener.

 remove(MouseMotionListener, MouseMotionListener)

Removes the old mouse-motion-listener from mouse-motion-listener-l and returns the resulting multicast listener.

 remove(TextListener, TextListener)

 remove(WindowListener, WindowListener)

Removes the old window-listener from window-listener-l and returns the resulting multicast listener.

 removeInternal(EventListener, EventListener)

Returns the resulting multicast listener after removing the old listener from listener-l.

 save(ObjectOutputStream, String, EventListener)

 saveInternal(ObjectOutputStream, String)

 textValueChanged(TextEvent)

 windowActivated(WindowEvent)

Handles the windowActivated event by invoking the windowActivated methods on listener-a and listener-b.

 windowClosed(WindowEvent)

Handles the windowClosed event by invoking the windowClosed methods on listener-a and listener-b.

 windowClosing(WindowEvent)

Handles the windowClosing event by invoking the windowClosing methods on listener-a and listener-b.

 windowDeactivated(WindowEvent)

Handles the windowDeactivated event by invoking the windowDeactivated methods on listener-a and listener-b.

 windowDeiconified(WindowEvent)

Handles the windowDeiconfied event by invoking the windowDeiconified methods on listener-a and listener-b.

 windowIconified(WindowEvent)

Handles the windowIconified event by invoking the windowIconified methods on listener-a and listener-b.

 windowOpened(WindowEvent)

Handles the windowOpened event by invoking the windowOpened methods on listener-a and listener-b.

 a

 protected final EventListener a

 b

 protected final EventListener b

 AWTEventMulticaster

 protected AWTEventMulticaster(EventListener a,
                               EventListener b)

Creates an event multicaster instance which chains listener-a with listener-b.

Parameters:

a - listener-a

b - listener-b

 actionPerformed

 public void actionPerformed(ActionEvent e)

Handles the actionPerformed event by invoking the actionPerformed methods on listener-a and listener-b.

Parameters:

e - the action event

 add

 public static ActionListener add(ActionListener a,
                                  ActionListener b)

Adds action-listener-a with action-listener-b and returns the resulting multicast listener.

Parameters:

a - action-listener-a

b - action-listener-b

 add

 public static AdjustmentListener add(AdjustmentListener a,
                                      AdjustmentListener b)

Adds adjustment-listener-a with adjustment-listener-b and returns the resulting multicast listener.

Parameters:

a - adjustment-listener-a

b - adjustment-listener-b

 add

 public static ComponentListener add(ComponentListener a,
                                     ComponentListener b)

Adds component-listener-a with component-listener-b and returns the resulting multicast listener.

Parameters:

a - component-listener-a

b - component-listener-b

 add

 public static ContainerListener add(ContainerListener a,
                                     ContainerListener b)

Adds container-listener-a with container-listener-b and returns the resulting multicast listener.

Parameters:

a - container-listener-a

b - container-listener-b

 add

 public static FocusListener add(FocusListener a,
                                 FocusListener b)

Adds focus-listener-a with focus-listener-b and returns the resulting multicast listener.

Parameters:

a - focus-listener-a

b - focus-listener-b

 add

 public static ItemListener add(ItemListener a,
                                ItemListener b)

Adds item-listener-a with item-listener-b and returns the resulting multicast listener.

Parameters:

a - item-listener-a

b - item-listener-b

 add

 public static KeyListener add(KeyListener a,
                               KeyListener b)

Adds key-listener-a with key-listener-b and returns the resulting multicast listener.

Parameters:

a - key-listener-a

b - key-listener-b

 add

 public static MouseListener add(MouseListener a,
                                 MouseListener b)

Adds mouse-listener-a with mouse-listener-b and returns the resulting multicast listener.

Parameters:

a - mouse-listener-a

b - mouse-listener-b

 add

 public static MouseMotionListener add(MouseMotionListener a,
                                       MouseMotionListener b)

Adds mouse-motion-listener-a with mouse-motion-listener-b and returns the resulting multicast listener.

Parameters:

a - mouse-motion-listener-a

b - mouse-motion-listener-b

 add

 public static TextListener add(TextListener a,
                                TextListener b)

 add

 public static WindowListener add(WindowListener a,
                                  WindowListener b)

Adds window-listener-a with window-listener-b and returns the resulting multicast listener.

Parameters:

a - window-listener-a

b - window-listener-b

 addInternal

 protected static EventListener addInternal(EventListener a,
                                            EventListener b)

Returns the resulting multicast listener from adding listener-a and listener-b together. If listener-a is null, it returns listener-b; If listener-b is null, it returns listener-a If neither are null, then it creates and returns a new AWTEventMulticaster instance which chains a with b.

Parameters:

a - event listener-a

b - event listener-b

 adjustmentValueChanged

 public void adjustmentValueChanged(AdjustmentEvent e)

Handles the adjustmentValueChanged event by invoking the adjustmentValueChanged methods on listener-a and listener-b.

Parameters:

e - the adjustment event

 componentAdded

 public void componentAdded(ContainerEvent e)

Handles the componentAdded container event by invoking the componentAdded methods on listener-a and listener-b.

Parameters:

e - the component event

 componentHidden

 public void componentHidden(ComponentEvent e)

Handles the componentHidden event by invoking the componentHidden methods on listener-a and listener-b.

Parameters:

e - the component event

 componentMoved

 public void componentMoved(ComponentEvent e)

Handles the componentMoved event by invoking the componentMoved methods on listener-a and listener-b.

Parameters:

e - the component event

 componentRemoved

 public void componentRemoved(ContainerEvent e)

Handles the componentRemoved container event by invoking the componentRemoved methods on listener-a and listener-b.

Parameters:

e - the component event

 componentResized

 public void componentResized(ComponentEvent e)

Handles the componentResized event by invoking the componentResized methods on listener-a and listener-b.

Parameters:

e - the component event

 componentShown

 public void componentShown(ComponentEvent e)

Handles the componentShown event by invoking the componentShown methods on listener-a and listener-b.

Parameters:

e - the component event

 focusGained

 public void focusGained(FocusEvent e)

Handles the focusGained event by invoking the focusGained methods on listener-a and listener-b.

Parameters:

e - the focus event

 focusLost

 public void focusLost(FocusEvent e)

Handles the focusLost event by invoking the focusLost methods on listener-a and listener-b.

Parameters:

e - the focus event

 itemStateChanged

 public void itemStateChanged(ItemEvent e)

Handles the itemStateChanged event by invoking the itemStateChanged methods on listener-a and listener-b.

Parameters:

e - the item event

 keyPressed

 public void keyPressed(KeyEvent e)

Handles the keyPressed event by invoking the keyPressed methods on listener-a and listener-b.

Parameters:

e - the key event

 keyReleased

 public void keyReleased(KeyEvent e)

Handles the keyReleased event by invoking the keyReleased methods on listener-a and listener-b.

Parameters:

e - the key event

 keyTyped

 public void keyTyped(KeyEvent e)

Handles the keyTyped event by invoking the keyTyped methods on listener-a and listener-b.

Parameters:

e - the key event

 mouseClicked

 public void mouseClicked(MouseEvent e)

Handles the mouseClicked event by invoking the mouseClicked methods on listener-a and listener-b.

Parameters:

e - the mouse event

 mouseDragged

 public void mouseDragged(MouseEvent e)

Handles the mouseDragged event by invoking the mouseDragged methods on listener-a and listener-b.

Parameters:

e - the mouse event

 mouseEntered

 public void mouseEntered(MouseEvent e)

Handles the mouseEntered event by invoking the mouseEntered methods on listener-a and listener-b.

Parameters:

e - the mouse event

 mouseExited

 public void mouseExited(MouseEvent e)

Handles the mouseExited event by invoking the mouseExited methods on listener-a and listener-b.

Parameters:

e - the mouse event

 mouseMoved

 public void mouseMoved(MouseEvent e)

Handles the mouseMoved event by invoking the mouseMoved methods on listener-a and listener-b.

Parameters:

e - the mouse event

 mousePressed

 public void mousePressed(MouseEvent e)

Handles the mousePressed event by invoking the mousePressed methods on listener-a and listener-b.

Parameters:

e - the mouse event

 mouseReleased

 public void mouseReleased(MouseEvent e)

Handles the mouseReleased event by invoking the mouseReleased methods on listener-a and listener-b.

Parameters:

e - the mouse event

 remove

 public static ActionListener remove(ActionListener l,
                                     ActionListener oldl)

Removes the old action-listener from action-listener-l and returns the resulting multicast listener.

Parameters:

l - action-listener-l

oldl - the action-listener being removed

 remove

 public static AdjustmentListener remove(AdjustmentListener l,
                                         AdjustmentListener oldl)

Removes the old adjustment-listener from adjustment-listener-l and returns the resulting multicast listener.

Parameters:

l - adjustment-listener-l

oldl - the adjustment-listener being removed

 remove

 public static ComponentListener remove(ComponentListener l,
                                        ComponentListener oldl)

Removes the old component-listener from component-listener-l and returns the resulting multicast listener.

Parameters:

l - component-listener-l

oldl - the component-listener being removed

 remove

 public static ContainerListener remove(ContainerListener l,
                                        ContainerListener oldl)

Removes the old container-listener from container-listener-l and returns the resulting multicast listener.

Parameters:

l - container-listener-l

oldl - the container-listener being removed

 remove

 protected EventListener remove(EventListener oldl)

Removes a listener from this multicaster and returns the resulting multicast listener.

Parameters:

oldl - the listener to be removed

 remove

 public static FocusListener remove(FocusListener l,
                                    FocusListener oldl)

Removes the old focus-listener from focus-listener-l and returns the resulting multicast listener.

Parameters:

l - focus-listener-l

oldl - the focus-listener being removed

 remove

 public static ItemListener remove(ItemListener l,
                                   ItemListener oldl)

Removes the old item-listener from item-listener-l and returns the resulting multicast listener.

Parameters:

l - item-listener-l

oldl - the item-listener being removed

 remove

 public static KeyListener remove(KeyListener l,
                                  KeyListener oldl)

Removes the old key-listener from key-listener-l and returns the resulting multicast listener.

Parameters:

l - key-listener-l

oldl - the key-listener being removed

 remove

 public static MouseListener remove(MouseListener l,
                                    MouseListener oldl)

Removes the old mouse-listener from mouse-listener-l and returns the resulting multicast listener.

Parameters:

l - mouse-listener-l

oldl - the mouse-listener being removed

 remove

 public static MouseMotionListener remove(MouseMotionListener l,
                                          MouseMotionListener oldl)

Removes the old mouse-motion-listener from mouse-motion-listener-l and returns the resulting multicast listener.

Parameters:

l - mouse-motion-listener-l

oldl - the mouse-motion-listener being removed

 remove

 public static TextListener remove(TextListener l,
                                   TextListener oldl)

 remove

 public static WindowListener remove(WindowListener l,
                                     WindowListener oldl)

Removes the old window-listener from window-listener-l and returns the resulting multicast listener.

Parameters:

l - window-listener-l

oldl - the window-listener being removed

 removeInternal

 protected static EventListener removeInternal(EventListener l,
                                               EventListener oldl)

Returns the resulting multicast listener after removing the old listener from listener-l. If listener-l equals the old listener OR listener-l is null, returns null. Else if listener-l is an instance of AWTEventMulticaster, then it removes the old listener from it. Else, returns listener l.

Parameters:

l - the listener being removed from

oldl - the listener being removed

 save

 protected static void save(ObjectOutputStream s,
                            String k,
                            EventListener l) throws IOException

 saveInternal

 protected void saveInternal(ObjectOutputStream s,
                             String k) throws IOException

 textValueChanged

 public void textValueChanged(TextEvent e)

 windowActivated

 public void windowActivated(WindowEvent e)

Handles the windowActivated event by invoking the windowActivated methods on listener-a and listener-b.

Parameters:

e - the window event

 windowClosed

 public void windowClosed(WindowEvent e)

Handles the windowClosed event by invoking the windowClosed methods on listener-a and listener-b.

Parameters:

e - the window event

 windowClosing

 public void windowClosing(WindowEvent e)

Handles the windowClosing event by invoking the windowClosing methods on listener-a and listener-b.

Parameters:

e - the window event

 windowDeactivated

 public void windowDeactivated(WindowEvent e)

Handles the windowDeactivated event by invoking the windowDeactivated methods on listener-a and listener-b.

Parameters:

e - the window event

 windowDeiconified

 public void windowDeiconified(WindowEvent e)

Handles the windowDeiconfied event by invoking the windowDeiconified methods on listener-a and listener-b.

Parameters:

e - the window event

 windowIconified

 public void windowIconified(WindowEvent e)

Handles the windowIconified event by invoking the windowIconified methods on listener-a and listener-b.

Parameters:

e - the window event

 windowOpened

 public void windowOpened(WindowEvent e)

Handles the windowOpened event by invoking the windowOpened methods on listener-a and listener-b.

Parameters:

e - the window event


 Class java.awt.BorderLayout

java.lang.Object
   |
   +----java.awt.BorderLayout

public class BorderLayout
   extends Object
   implements LayoutManager2, Serializable

A border layout lays out a container, arranging and resizing its components to fit in five regions: North, South, East, West, and Center. When adding a component to a container with a border layout, use one of these five names, for example:

    Panel p = new Panel();
    p.setLayout(new BorderLayout());
    p.add(new Button("Okay"), "South");

As a convenience, BorderLayout interprets the absence of a string specification the same as "Center":

    Panel p2 = new Panel();
    p2.setLayout(new BorderLayout());
    p2.add(new TextArea());  // Same as p.add(new TextArea(), "Center");

The components are laid out according to their preferred sizes and the constraints of the container's size. The North and South components may be stretched horizontally; the East and West components may be stretched vertically; the Center component may stretch both horizontally and vertically to fill any space left over.

Here is an example of five buttons in an applet laid out using the BorderLayout layout manager:

The code for this applet is as follows:

 import java.awt.*;
 import java.applet.Applet;
 public class buttonDir extends Applet {
   public void init() {
     setLayout(new BorderLayout());
     add("North",  new Button("North"));
     add("South",  new Button("South"));
     add("East",   new Button("East"));
     add("West",   new Button("West"));
     add("Center", new Button("Center"));
   }
 }

     See Also:
     add

 CENTER

The center layout constraint (middle of container).

 EAST

The east layout constraint (left side of container).

 NORTH

The north layout constraint (top of container).

 SOUTH

The south layout constraint (bottom of container).

 WEST

The west layout constraint (right side of container).

 BorderLayout()

Constructs a new border layout with no gaps between components.

 BorderLayout(int, int)

Constructs a border layout with the specified gaps between components.

 addLayoutComponent(Component, Object)

Adds the specified component to the layout, using the specified constraint object.

 addLayoutComponent(String, Component)

Deprecated.

 getHgap()

Returns the horizontal gap between components.

 getLayoutAlignmentX(Container)

Returns the alignment along the x axis.

 getLayoutAlignmentY(Container)

Returns the alignment along the y axis.

 getVgap()

Returns the vertical gap between components.

 invalidateLayout(Container)

Invalidates the layout, indicating that if the layout manager has cached information it should be discarded.

 layoutContainer(Container)

Lays out the container argument using this border layout.

 maximumLayoutSize(Container)

Returns the maximum dimensions for this layout given the components in the specified target container.

 minimumLayoutSize(Container)

Determines the minimum size of the target container using this layout manager.

 preferredLayoutSize(Container)

Determines the preferred size of the target container using this layout manager, based on the components in the container.

 removeLayoutComponent(Component)

Removes the specified component from this border layout.

 setHgap(int)

Sets the horizontal gap between components.

 setVgap(int)

Sets the vertical gap between components.

 toString()

Returns a string representation of the state of this border layout.

 CENTER

 public static final String CENTER

The center layout constraint (middle of container).

 EAST

 public static final String EAST

The east layout constraint (left side of container).

 NORTH

 public static final String NORTH

The north layout constraint (top of container).

 SOUTH

 public static final String SOUTH

The south layout constraint (bottom of container).

 WEST

 public static final String WEST

The west layout constraint (right side of container).

 BorderLayout

 public BorderLayout()

Constructs a new border layout with no gaps between components.

 BorderLayout

 public BorderLayout(int hgap,
                     int vgap)

Constructs a border layout with the specified gaps between components. The horizontal gap is specified by hgap and the vertical gap is specified by vgap.

Parameters:

hgap - the horizontal gap.

vgap - the vertical gap.

 addLayoutComponent

 public void addLayoutComponent(Component comp,
                                Object constraints)

Adds the specified component to the layout, using the specified constraint object. For border layouts, the constraint must be one of the following strings: "North", "South", "East", "West", or "Center".

Most applications do not call this method directly. This method is called when a component is added to a container using the Container.add method with the same argument types.

Parameters:

comp - the component to be added.

constraints - an object that specifies how and where the component is added to the layout.

Throws: IllegalArgumentException

if the constraint object is not a string, or if it not one of the five specified strings.

See Also:

add

 addLayoutComponent

 public void addLayoutComponent(String name,
                                Component comp)

Note: addLayoutComponent() is deprecated. replaced by addLayoutComponent(Component, Object).

 getHgap

 public int getHgap()

Returns the horizontal gap between components.

 getLayoutAlignmentX

 public float getLayoutAlignmentX(Container parent)

Returns the alignment along the x axis. This specifies how the component would like to be aligned relative to other components. The value should be a number between 0 and 1 where 0 represents alignment along the origin, 1 is aligned the furthest away from the origin, 0.5 is centered, etc.

 getLayoutAlignmentY

 public float getLayoutAlignmentY(Container parent)

Returns the alignment along the y axis. This specifies how the component would like to be aligned relative to other components. The value should be a number between 0 and 1 where 0 represents alignment along the origin, 1 is aligned the furthest away from the origin, 0.5 is centered, etc.

 getVgap

 public int getVgap()

Returns the vertical gap between components.

 invalidateLayout

 public void invalidateLayout(Container target)

Invalidates the layout, indicating that if the layout manager has cached information it should be discarded.

 layoutContainer

 public void layoutContainer(Container target)

Lays out the container argument using this border layout.

This method actually reshapes the components in the specified container in order to satisfy the constraints of this BorderLayout object. The North and Southcomponents, if any, are placed at the top and bottom of the container, respectively. The West and East components are then placed on the left and right, respectively. Finally, the Center object is placed in any remaining space in the middle.

Most applications do not call this method directly. This method is called when a container calls its doLayout method.

Parameters:

target - the container in which to do the layout.

See Also:

Container, doLayout

 maximumLayoutSize

 public Dimension maximumLayoutSize(Container target)

Returns the maximum dimensions for this layout given the components in the specified target container.

Parameters:

target - the component which needs to be laid out

See Also:

Container, minimumLayoutSize, preferredLayoutSize

 minimumLayoutSize

 public Dimension minimumLayoutSize(Container target)

Determines the minimum size of the target container using this layout manager.

This method is called when a container calls its getMinimumSize method. Most applications do not call this method directly.

Parameters:

target - the container in which to do the layout.

Returns:

the minimum dimensions needed to lay out the subcomponents of the specified container.

See Also:

Container, preferredLayoutSize, getMinimumSize

 preferredLayoutSize

 public Dimension preferredLayoutSize(Container target)

Determines the preferred size of the target container using this layout manager, based on the components in the container.

Most applications do not call this method directly. This method is called when a container calls its getPreferredSize method.

Parameters:

target - the container in which to do the layout.

Returns:

the preferred dimensions to lay out the subcomponents of the specified container.

See Also:

Container, minimumLayoutSize, getPreferredSize

 removeLayoutComponent

 public void removeLayoutComponent(Component comp)

Removes the specified component from this border layout. This method is called when a container calls its remove or removeAll methods. Most applications do not call this method directly.

Parameters:

comp - the component to be removed.

See Also:

remove, removeAll

 setHgap

 public void setHgap(int hgap)

Sets the horizontal gap between components.

Parameters:

hgap - the horizontal gap between components

 setVgap

 public void setVgap(int vgap)

Sets the vertical gap between components.

Parameters:

vgap - the vertical gap between components

 toString

 public String toString()

Returns a string representation of the state of this border layout.

Returns:

a string representation of this border layout.

Overrides:

toString in class Object


 Class java.awt.Button

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Button

public class Button
   extends Component

This class creates a labeled button. The application can cause some action to happen when the button is pushed. This image depicts three views of a "Quit" button as it appears under the Solaris operating system:

The first view shows the button as it appears normally. The second view shows the button when it has input focus. Its outline is darkened to let the user know that it is an active object. The third view shows the button when the user clicks the mouse over the button, and thus requests that an action be performed.

The gesture of clicking on a button with the mouse is associated with one instance of ActionEvent, which is sent out when the mouse is both pressed and released over the button. If an application is interested in knowing when the button has been pressed but not released, as a separate gesture, it can specialize processMouseEvent, or it can register itself as a listener for mouse events by calling addMouseListener. Both of these methods are defined by Component, the abstract superclass of all components.

When a button is pressed and released, AWT sends an instance of ActionEvent to the button, by calling processEvent on the button. The button's processEvent method receives all events for the button; it passes an action event along by calling its own processActionEvent method. The latter method passes the action event on to any action listeners that have registered an interest in action events generated by this button.

If an application wants to perform some action based on a button being pressed and released, it should implement ActionListener and register the new listener to receive events from this button, by calling the button's addActionListener method. The application can make use of the button's action command as a messaging protocol.

     See Also:
     ActionEvent, ActionListener, processMouseEvent, addMouseListener

 Button()

Constructs a Button with no label.

 Button(String)

Constructs a Button with the specified label.

 addActionListener(ActionListener)

Adds the specified action listener to receive action events from this button.

 addNotify()

Creates the peer of the button.

 getActionCommand()

Returns the command name of the action event fired by this button.

 getLabel()

Gets the label of this button.

 paramString()

Returns the parameter string representing the state of this button.

 processActionEvent(ActionEvent)

Processes action events occurring on this button by dispatching them to any registered ActionListener objects.

 processEvent(AWTEvent)

Processes events on this button.

 removeActionListener(ActionListener)

Removes the specified action listener so that it no longer receives action events from this button.

 setActionCommand(String)

Sets the command name for the action event fired by this button.

 setLabel(String)

Sets the button's label to be the specified string.

 Button

 public Button()

Constructs a Button with no label.

 Button

 public Button(String label)

Constructs a Button with the specified label.

Parameters:

label - A string label for the button.

 addActionListener

 public synchronized void addActionListener(ActionListener l)

Adds the specified action listener to receive action events from this button. Action events occur when a user presses or releases the mouse over this button.

Parameters:

l - the action listener.

See Also:

ActionListener, removeActionListener

 addNotify

 public void addNotify()

Creates the peer of the button. The button's peer allows the application to change the look of the button without changing its functionality.

Overrides:

addNotify in class Component

See Also:

createButton, getToolkit

 getActionCommand

 public String getActionCommand()

Returns the command name of the action event fired by this button.

 getLabel

 public String getLabel()

Gets the label of this button.

Returns:

the button's label, or null if the button has no label.

See Also:

setLabel

 paramString

 protected String paramString()

Returns the parameter string representing the state of this button. This string is useful for debugging.

Returns:

the parameter string of this button.

Overrides:

paramString in class Component

 processActionEvent

 protected void processActionEvent(ActionEvent e)

Processes action events occurring on this button by dispatching them to any registered ActionListener objects.

This method is not called unless action events are enabled for this button. Action events are enabled when one of the following occurs:

•	An ActionListener object is registered via addActionListener.

•	Action events are enabled via enableEvents.

Parameters:

e - the action event.

See Also:

ActionListener, addActionListener, enableEvents

 processEvent

 protected void processEvent(AWTEvent e)

Processes events on this button. If an event is an instance of ActionEvent, this method invokes the processActionEvent method. Otherwise, it invokes processEvent on the superclass.

Parameters:

e - the event.

Overrides:

processEvent in class Component

See Also:

ActionEvent, processActionEvent

 removeActionListener

 public synchronized void removeActionListener(ActionListener l)

Removes the specified action listener so that it no longer receives action events from this button. Action events occur when a user presses or releases the mouse over this button.

Parameters:

l - the action listener.

See Also:

ActionListener, addActionListener

 setActionCommand

 public void setActionCommand(String command)

Sets the command name for the action event fired by this button. By default this action command is set to match the label of the button.

Parameters:

command - A string used to set the button's action command.

See Also:

ActionEvent

 setLabel

 public synchronized void setLabel(String label)

Sets the button's label to be the specified string.

Parameters:

label - the new label, or null if the button has no label.

See Also:

getLabel


 Class java.awt.Canvas

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Canvas

public class Canvas
   extends Component

A Canvas component represents a blank rectangular area of the screen onto which the application can draw or from which the application can trap input events from the user.

An application must subclass the Canvas class in order to get useful functionality such as creating a custom component. The paint method must be overridden in order to perform custom graphics on the canvas.

 Canvas()

Constructs a new Canvas.

 addNotify()

Creates the peer of the canvas.

 paint(Graphics)

This method is called to repaint this canvas.

 Canvas

 public Canvas()

Constructs a new Canvas.

 addNotify

 public void addNotify()

Creates the peer of the canvas. This peer allows you to change the user interface of the canvas without changing its functionality.

Overrides:

addNotify in class Component

See Also:

createCanvas, getToolkit

 paint

 public void paint(Graphics g)

This method is called to repaint this canvas. Most applications that subclass Canvas should override this method in order to perform some useful operation.

The paint method provided by Canvas redraws this canvas's rectangle in the background color.

The graphics context's origin (0, 0) is the top-left corner of this canvas. Its clipping region is the area of the context.

Parameters:

g - the graphics context.

Overrides:

paint in class Component

See Also:

Graphics


 Class java.awt.CardLayout

java.lang.Object
   |
   +----java.awt.CardLayout

public class CardLayout
   extends Object
   implements LayoutManager2, Serializable

A CardLayout object is a layout manager for a container. It treats each component in the container as a card. Only one card is visible at a time, and the container acts as a stack of cards.

The ordering of cards is determined by the container's own internal ordering of its component objects. CardLayout defines a set of methods that allow an application to flip through these cards sequentially, or to show a specified card. The addLayoutComponent method can be used to associate a string identifier with a given card for fast random access.

     See Also:
     Container

 CardLayout()

Creates a new card layout with gaps of size zero.

 CardLayout(int, int)

Creates a new card layout with the specified horizontal and vertical gaps.

 addLayoutComponent(Component, Object)

Adds the specified component to this card layout's internal table of names.

 addLayoutComponent(String, Component)

Deprecated.

 first(Container)

Flips to the first card of the container.

 getHgap()

Gets the horizontal gap between components.

 getLayoutAlignmentX(Container)

Returns the alignment along the x axis.

 getLayoutAlignmentY(Container)

Returns the alignment along the y axis.

 getVgap()

Gets the vertical gap between components.

 invalidateLayout(Container)

Invalidates the layout, indicating that if the layout manager has cached information it should be discarded.

 last(Container)

Flips to the last card of the container.

 layoutContainer(Container)

Lays out the specified container using this card layout.

 maximumLayoutSize(Container)

Returns the maximum dimensions for this layout given the components in the specified target container.

 minimumLayoutSize(Container)

Calculates the minimum size for the specified panel.

 next(Container)

Flips to the next card of the specified container.

 preferredLayoutSize(Container)

Determines the preferred size of the container argument using this card layout.

 previous(Container)

Flips to the previous card of the specified container.

 removeLayoutComponent(Component)

Removes the specified component from the layout.

 setHgap(int)

Sets the horizontal gap between components.

 setVgap(int)

Sets the vertical gap between components.

 show(Container, String)

Flips to the component that was added to this layout with the specified name, using addLayoutComponent.

 toString()

Returns a string representation of the state of this card layout.

 CardLayout

 public CardLayout()

Creates a new card layout with gaps of size zero.

 CardLayout

 public CardLayout(int hgap,
                   int vgap)

Creates a new card layout with the specified horizontal and vertical gaps. The horizontal gaps are placed at the left and right edges. The vertical gaps are placed at the top and bottom edges.

Parameters:

hgap - the horizontal gap.

vgap - the vertical gap.

 addLayoutComponent

 public void addLayoutComponent(Component comp,
                                Object constraints)

Adds the specified component to this card layout's internal table of names. The object specified by constraints must be a string. The card layout stores this string as a key-value pair that can be used for random access to a particular card. By calling the show method, an application can display the component with the specified name.

Parameters:

comp - the component to be added.

constraints - a tag that identifies a particular card in the layout.

Throws: IllegalArgumentException

if the constraint is not a string.

See Also:

show

 addLayoutComponent

 public void addLayoutComponent(String name,
                                Component comp)

Note: addLayoutComponent() is deprecated. replaced by addLayoutComponent(Component, Object).

 first

 public void first(Container parent)

Flips to the first card of the container.

Parameters:

parent - the name of the parent container in which to do the layout.

See Also:

last

 getHgap

 public int getHgap()

Gets the horizontal gap between components.

Returns:

the horizontal gap between components.

See Also:

setHgap, getVgap

 getLayoutAlignmentX

 public float getLayoutAlignmentX(Container parent)

Returns the alignment along the x axis. This specifies how the component would like to be aligned relative to other components. The value should be a number between 0 and 1 where 0 represents alignment along the origin, 1 is aligned the furthest away from the origin, 0.5 is centered, etc.

 getLayoutAlignmentY

 public float getLayoutAlignmentY(Container parent)

Returns the alignment along the y axis. This specifies how the component would like to be aligned relative to other components. The value should be a number between 0 and 1 where 0 represents alignment along the origin, 1 is aligned the furthest away from the origin, 0.5 is centered, etc.

 getVgap

 public int getVgap()

Gets the vertical gap between components.

Returns:

the vertical gap between components.

See Also:

setVgap, getHgap

 invalidateLayout

 public void invalidateLayout(Container target)

Invalidates the layout, indicating that if the layout manager has cached information it should be discarded.

 last

 public void last(Container parent)

Flips to the last card of the container.

Parameters:

parent - the name of the parent container in which to do the layout.

See Also:

first

 layoutContainer

 public void layoutContainer(Container parent)

Lays out the specified container using this card layout.

Each component in the parent container is reshaped to be the size of the container, minus space for surrounding insets, horizontal gaps, and vertical gaps.

Parameters:

parent - the name of the parent container in which to do the layout.

See Also:

doLayout

 maximumLayoutSize

 public Dimension maximumLayoutSize(Container target)

Returns the maximum dimensions for this layout given the components in the specified target container.

Parameters:

target - the component which needs to be laid out

See Also:

Container, minimumLayoutSize, preferredLayoutSize

 minimumLayoutSize

 public Dimension minimumLayoutSize(Container parent)

Calculates the minimum size for the specified panel.

Parameters:

parent - the name of the parent container in which to do the layout.

Returns:

the minimum dimensions required to lay out the subcomponents of the specified container.

See Also:

doLayout, preferredLayoutSize

 next

 public void next(Container parent)

Flips to the next card of the specified container. If the currently visible card is the last one, this method flips to the first card in the layout.

Parameters:

parent - the name of the parent container in which to do the layout.

See Also:

previous

 preferredLayoutSize

 public Dimension preferredLayoutSize(Container parent)

Determines the preferred size of the container argument using this card layout.

Parameters:

parent - the name of the parent container.

Returns:

the preferred dimensions to lay out the subcomponents of the specified container.

See Also:

getPreferredSize, minimumLayoutSize

 previous

 public void previous(Container parent)

Flips to the previous card of the specified container. If the currently visible card is the first one, this method flips to the last card in the layout.

Parameters:

parent - the name of the parent container in which to do the layout.

See Also:

next

 removeLayoutComponent

 public void removeLayoutComponent(Component comp)

Removes the specified component from the layout.

Parameters:

comp - the component to be removed.

See Also:

remove, removeAll

 setHgap

 public void setHgap(int hgap)

Sets the horizontal gap between components.

Parameters:

hgap - the horizontal gap between components.

See Also:

getHgap, setVgap

 setVgap

 public void setVgap(int vgap)

Sets the vertical gap between components.

Parameters:

vgap - the vertical gap between components.

See Also:

getVgap, setHgap

 show

 public void show(Container parent,
                  String name)

Flips to the component that was added to this layout with the specified name, using addLayoutComponent. If no such component exists, then nothing happens.

Parameters:

parent - the name of the parent container in which to do the layout.

name - the component name.

See Also:

addLayoutComponent

 toString

 public String toString()

Returns a string representation of the state of this card layout.

Returns:

a string representation of this card layout.

Overrides:

toString in class Object


 Class java.awt.Checkbox

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Checkbox

public class Checkbox
   extends Component
   implements ItemSelectable

A check box is a graphical component that can be in either an "on" (true) or "off" (false) state. Clicking on a check box changes its state from "on" to "off," or from "off" to "on."

The following code example creates a set of check boxes in a grid layout:

 setLayout(new GridLayout(3, 1));
 add(new Checkbox("one", null, true));
 add(new Checkbox("two"));
 add(new Checkbox("three"));

This image depicts the check boxes and grid layout created by this code example:

The button labeled one is in the "on" state, and the other two are in the "off" state. In this example, which uses the GridLayout class, the states of the three check boxes are set independently.

Alternatively, several check boxes can be grouped together under the control of a single object, using the CheckboxGroup class. In a check box group, at most one button can be in the "on" state at any given time. Clicking on a check box to turn it on forces any other check box in the same group that is on into the "off" state.

     See Also:
     GridLayout, CheckboxGroup

 Checkbox()

Creates a check box with no label.

 Checkbox(String)

Creates a check box with the specified label.

 Checkbox(String, boolean)

Creates a check box with the specified label.

 Checkbox(String, boolean, CheckboxGroup)

Creates a check box with the specified label, in the specified check box group, and set to the specified state.

 Checkbox(String, CheckboxGroup, boolean)

Constructs a Checkbox with the specified label, set to the specified state, and in the specified check box group.

 addItemListener(ItemListener)

Adds the specified item listener to receive item events from this check box.

 addNotify()

Creates the peer of the Checkbox.

 getCheckboxGroup()

Determines this check box's group.

 getLabel()

Gets the label of this check box.

 getSelectedObjects()

Returns the an array (length 1) containing the checkbox label or null if the checkbox is not selected.

 getState()

Determines whether this check box is in the "on" or "off" state.

 paramString()

Returns the parameter string representing the state of this check box.

 processEvent(AWTEvent)

Processes events on this check box.

 processItemEvent(ItemEvent)

Processes item events occurring on this check box by dispatching them to any registered ItemListener objects.

 removeItemListener(ItemListener)

Removes the specified item listener so that the item listener no longer receives item events from this check box.

 setCheckboxGroup(CheckboxGroup)

Sets this check box's group to be the specified check box group.

 setLabel(String)

Sets this check box's label to be the string argument.

 setState(boolean)

Sets the state of this check box to the specified state.

 Checkbox

 public Checkbox()

Creates a check box with no label. The state of this check box is set to "off," and it is not part of any check box group.

 Checkbox

 public Checkbox(String label)

Creates a check box with the specified label. The state of this check box is set to "off," and it is not part of any check box group.

Parameters:

label - a string label for this check box, or null for no label.

 Checkbox

 public Checkbox(String label,
                 boolean state)

Creates a check box with the specified label. The state of this check box is as specified by the state argument, and it is not part of any check box group.

Parameters:

label - a string label for this check box, or null for no label.

state - the initial state of this check box.

 Checkbox

 public Checkbox(String label,
                 boolean state,
                 CheckboxGroup group)

Creates a check box with the specified label, in the specified check box group, and set to the specified state.

Parameters:

label - a string label for this check box, or null for no label.

state - the initial state of this check box.

group - a check box group for this check box, or null for no group.

 Checkbox

 public Checkbox(String label,
                 CheckboxGroup group,
                 boolean state)

Constructs a Checkbox with the specified label, set to the specified state, and in the specified check box group.

 addItemListener

 public synchronized void addItemListener(ItemListener l)

Adds the specified item listener to receive item events from this check box.

Parameters:

l - the item listener.

See Also:

ItemEvent, ItemListener, removeItemListener

 addNotify

 public void addNotify()

Creates the peer of the Checkbox. The peer allows you to change the look of the Checkbox without changing its functionality.

Overrides:

addNotify in class Component

See Also:

createCheckbox, getToolkit

 getCheckboxGroup

 public CheckboxGroup getCheckboxGroup()

Determines this check box's group.

Returns:

this check box's group, or null if the check box is not part of a check box group.

See Also:

setCheckboxGroup

 getLabel

 public String getLabel()

Gets the label of this check box.

Returns:

the label of this check box, or null if this check box has no label.

See Also:

setLabel

 getSelectedObjects

 public Object[] getSelectedObjects()

Returns the an array (length 1) containing the checkbox label or null if the checkbox is not selected.

See Also:

ItemSelectable

 getState

 public boolean getState()

Determines whether this check box is in the "on" or "off" state. The boolean value true indicates the "on" state, and false indicates the "off" state.

Returns:

the state of this check box, as a boolean value.

See Also:

setState

 paramString

 protected String paramString()

Returns the parameter string representing the state of this check box. This string is useful for debugging.

Returns:

the parameter string of this check box.

Overrides:

paramString in class Component

 processEvent

 protected void processEvent(AWTEvent e)

Processes events on this check box. If the event is an instance of ItemEvent, this method invokes the processItemEvent method. Otherwise, it calls its superclass's processEvent method.

Parameters:

e - the event.

Overrides:

processEvent in class Component

See Also:

ItemEvent, processItemEvent

 processItemEvent

 protected void processItemEvent(ItemEvent e)

Processes item events occurring on this check box by dispatching them to any registered ItemListener objects.

This method is not called unless item events are enabled for this component. Item events are enabled when one of the following occurs:

•	An ItemListener object is registered via addItemListener.

•	Item events are enabled via enableEvents.

Parameters:

e - the item event.

See Also:

ItemEvent, ItemListener, addItemListener, enableEvents

 removeItemListener

 public synchronized void removeItemListener(ItemListener l)

Removes the specified item listener so that the item listener no longer receives item events from this check box.

Parameters:

l - the item listener.

See Also:

ItemEvent, ItemListener, addItemListener

 setCheckboxGroup

 public void setCheckboxGroup(CheckboxGroup g)

Sets this check box's group to be the specified check box group. If this check box is already in a different check box group, it is first taken out of that group.

Parameters:

g - the new check box group, or null to remove this check box from any check box group.

See Also:

getCheckboxGroup

 setLabel

 public synchronized void setLabel(String label)

Sets this check box's label to be the string argument.

Parameters:

label - a string to set as the new label, or null for no label.

See Also:

getLabel

 setState

 public void setState(boolean state)

Sets the state of this check box to the specified state. The boolean value true indicates the "on" state, and false indicates the "off" state.

Parameters:

state - the boolean state of the check box.

See Also:

getState


 Class java.awt.CheckboxGroup

java.lang.Object
   |
   +----java.awt.CheckboxGroup

public class CheckboxGroup
   extends Object
   implements Serializable

The CheckboxGroup class is used to group together a set of Checkbox buttons.

Exactly one check box button in a CheckboxGroup can be in the "on" state at any given time. Pushing any button sets its state to "on" and forces any other button that is in the "on" state into the "off" state.

The following code example produces a new check box group, with three check boxes:

 setLayout(new GridLayout(3, 1));
 CheckboxGroup cbg = new CheckboxGroup();
 add(new Checkbox("one", cbg, true));
 add(new Checkbox("two", cbg, false));
 add(new Checkbox("three", cbg, false));

This image depicts the check box group created by this example:

     See Also:
     Checkbox

 CheckboxGroup()

Creates a new instance of CheckboxGroup.

 getCurrent()

Deprecated.

 getSelectedCheckbox()

Gets the current choice from this check box group.

 setCurrent(Checkbox)

Deprecated.

 setSelectedCheckbox(Checkbox)

Sets the currently selected check box in this group to be the specified check box.

 toString()

Returns a string representation of this check box group, including the value of its current selection.

 CheckboxGroup

 public CheckboxGroup()

Creates a new instance of CheckboxGroup.

 getCurrent

 public Checkbox getCurrent()

Note: getCurrent() is deprecated. As of JDK version 1.1, replaced by getSelectedCheckbox().

 getSelectedCheckbox

 public Checkbox getSelectedCheckbox()

Gets the current choice from this check box group. The current choice is the check box in this group that is currently in the "on" state, or null if all check boxes in the group are off.

Returns:

the check box that is currently in the "on" state, or null.

See Also:

Checkbox, setSelectedCheckbox

 setCurrent

 public synchronized void setCurrent(Checkbox box)

Note: setCurrent() is deprecated. As of JDK version 1.1, replaced by setSelectedCheckbox(Checkbox).

 setSelectedCheckbox

 public synchronized void setSelectedCheckbox(Checkbox box)

Sets the currently selected check box in this group to be the specified check box. This method sets the state of that check box to "on" and sets all other check boxes in the group to be off.

If the check box argument is null or belongs to a different check box group, then this method does nothing.

Parameters:

box - the Checkbox to set as the current selection.

See Also:

Checkbox, getSelectedCheckbox

 toString

 public String toString()

Returns a string representation of this check box group, including the value of its current selection.

Returns:

a string representation of this check box group.

Overrides:

toString in class Object


 Class java.awt.CheckboxMenuItem

java.lang.Object
   |
   +----java.awt.MenuComponent
           |
           +----java.awt.MenuItem
                   |
                   +----java.awt.CheckboxMenuItem

public class CheckboxMenuItem
   extends MenuItem
   implements ItemSelectable

This class represents a check box that can be included in a menu. Clicking on the check box in the menu changes its state from "on" to "off" or from "off" to "on."

The following picture depicts a menu which contains an instance of CheckBoxMenuItem:

The item labeled Check shows a check box menu item in its "off" state.

When a check box menu item is selected, AWT sends an item event to the item. Since the event is an instance of ItemEvent, the processEvent method examines the event and passes it along to processItemEvent. The latter method redirects the event to any ItemListener objects that have registered an interest in item events generated by this menu item.

     See Also:
     ItemEvent, ItemListener

 CheckboxMenuItem()

Create a check box menu item with an empty label.

 CheckboxMenuItem(String)

Create a check box menu item with the specified label.

 CheckboxMenuItem(String, boolean)

Create a check box menu item with the specified label and state.

 addItemListener(ItemListener)

Adds the specified item listener to receive item events from this check box menu item.

 addNotify()

Creates the peer of the checkbox item.

 getSelectedObjects()

Returns the an array (length 1) containing the checkbox menu item label or null if the checkbox is not selected.

 getState()

Determines whether the state of this check box menu item is "on" or "off."

 paramString()

Returns the parameter string representing the state of this check box menu item.

 processEvent(AWTEvent)

Processes events on this check box menu item.

 processItemEvent(ItemEvent)

Processes item events occurring on this check box menu item by dispatching them to any registered ItemListener objects.

 removeItemListener(ItemListener)

Removes the specified item listener so that it no longer receives item events from this check box menu item.

 setState(boolean)

Sets this check box menu item to the specifed state.

 CheckboxMenuItem

 public CheckboxMenuItem()

Create a check box menu item with an empty label. The item's state is initially set to "off."

 CheckboxMenuItem

 public CheckboxMenuItem(String label)

Create a check box menu item with the specified label. The item's state is initially set to "off."

Parameters:

label - a string label for the check box menu item, or null for an unlabeled menu item.

 CheckboxMenuItem

 public CheckboxMenuItem(String label,
                         boolean state)

Create a check box menu item with the specified label and state.

Parameters:

label - the button label.

state - the initial state of the menu item, where true indicates "on" and false indicates "off."

 addItemListener

 public synchronized void addItemListener(ItemListener l)

Adds the specified item listener to receive item events from this check box menu item.

Parameters:

l - the item listener.

See Also:

ItemEvent, ItemListener, removeItemListener

 addNotify

 public void addNotify()

Creates the peer of the checkbox item. This peer allows us to change the look of the checkbox item without changing its functionality. Most applications do not call this method directly.

Overrides:

addNotify in class MenuItem

See Also:

createCheckboxMenuItem, getToolkit

 getSelectedObjects

 public synchronized Object[] getSelectedObjects()

Returns the an array (length 1) containing the checkbox menu item label or null if the checkbox is not selected.

See Also:

ItemSelectable

 getState

 public boolean getState()

Determines whether the state of this check box menu item is "on" or "off."

Returns:

the state of this check box menu item, where true indicates "on" and false indicates "off."

See Also:

setState

 paramString

 public String paramString()

Returns the parameter string representing the state of this check box menu item. This string is useful for debugging.

Returns:

the parameter string of this check box menu item.

Overrides:

paramString in class MenuItem

 processEvent

 protected void processEvent(AWTEvent e)

Processes events on this check box menu item. If the event is an instance of ItemEvent, this method invokes the processItemEvent method. If the event is not an item event, it invokes processEvent on the superclass.

Check box menu items currently support only item events.

Parameters:

e - the event

Overrides:

processEvent in class MenuItem

See Also:

ItemEvent, processItemEvent

 processItemEvent

 protected void processItemEvent(ItemEvent e)

Processes item events occurring on this check box menu item by dispatching them to any registered ItemListener objects.

This method is not called unless item events are enabled for this menu item. Item events are enabled when one of the following occurs:

•	An ItemListener object is registered via addItemListener.

•	Item events are enabled via enableEvents.

Parameters:

e - the item event.

See Also:

ItemEvent, ItemListener, addItemListener, enableEvents

 removeItemListener

 public synchronized void removeItemListener(ItemListener l)

Removes the specified item listener so that it no longer receives item events from this check box menu item.

Parameters:

l - the item listener.

See Also:

ItemEvent, ItemListener, addItemListener

 setState

 public synchronized void setState(boolean b)

Sets this check box menu item to the specifed state. The boolean value true indicates "on" while false indicates "off."

Parameters:

b - the boolean state of this check box menu item.

See Also:

getState


 Class java.awt.Choice

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Choice

public class Choice
   extends Component
   implements ItemSelectable

The Choice class presents a pop-up menu of choices. The current choice is displayed as the title of the menu.

The following code example produces a pop-up menu:

 Choice ColorChooser = new Choice();
 ColorChooser.add("Green");
 ColorChooser.add("Red");
 ColorChooser.add("Blue");

After this choice menu has been added to a panel, it appears as follows in its normal state:

In the picture, "Green" is the current choice. Pushing the mouse button down on the object causes a menu to appear with the current choice highlighted.

 Choice()

Creates a new choice menu.

 add(String)

Adds an item to this Choice menu.

 addItem(String)

Adds an item to this Choice.

 addItemListener(ItemListener)

Adds the specified item listener to receive item events from this Choice menu.

 addNotify()

Creates the Choice's peer.

 countItems()

Deprecated.

 getItem(int)

Gets the string at the specified index in this Choice menu.

 getItemCount()

Returns the number of items in this Choice menu.

 getSelectedIndex()

Returns the index of the currently selected item.

 getSelectedItem()

Gets a representation of the current choice as a string.

 getSelectedObjects()

Returns an array (length 1) containing the currently selected item.

 insert(String, int)

Inserts the item into this choice at the specified position.

 paramString()

Returns the parameter string representing the state of this choice menu.

 processEvent(AWTEvent)

Processes events on this choice.

 processItemEvent(ItemEvent)

Processes item events occurring on this Choice menu by dispatching them to any registered ItemListener objects.

 remove(int)

Removes an item from the choice menu at the specified position.

 remove(String)

Remove the first occurrence of item from the Choice menu.

 removeAll()

Removes all items from the choice menu.

 removeItemListener(ItemListener)

Removes the specified item listener so that it no longer receives item events from this Choice menu.

 select(int)

Sets the selected item in this Choice menu to be the item at the specified position.

 select(String)

Sets the selected item in this Choice menu to be the item whose name is equal to the specified string.

 Choice

 public Choice()

Creates a new choice menu. The menu initially has no items in it.

By default, the first item added to the choice menu becomes the selected item, until a different selection is made by the user by calling one of the select methods.

See Also:

select, select

 add

 public synchronized void add(String item)

Adds an item to this Choice menu.

Parameters:

item - the item to be added

Throws: NullPointerException

if the item's value is null.

 addItem

 public synchronized void addItem(String item)

Adds an item to this Choice.

Parameters:

item - the item to be added

Throws: NullPointerException

If the item's value is equal to null.

 addItemListener

 public synchronized void addItemListener(ItemListener l)

Adds the specified item listener to receive item events from this Choice menu.

Parameters:

l - the item listener.

See Also:

ItemEvent, ItemListener, removeItemListener

 addNotify

 public void addNotify()

Creates the Choice's peer. This peer allows us to change the look of the Choice without changing its functionality.

Overrides:

addNotify in class Component

See Also:

createChoice, getToolkit

 countItems

 public int countItems()

Note: countItems() is deprecated. As of JDK version 1.1, replaced by getItemCount().

 getItem

 public String getItem(int index)

Gets the string at the specified index in this Choice menu.

Parameters:

index - the index at which to begin.

See Also:

getItemCount

 getItemCount

 public int getItemCount()

Returns the number of items in this Choice menu.

See Also:

getItem

 getSelectedIndex

 public int getSelectedIndex()

Returns the index of the currently selected item.

See Also:

getSelectedItem

 getSelectedItem

 public synchronized String getSelectedItem()

Gets a representation of the current choice as a string.

Returns:

a string representation of the currently selected item in this choice menu.

See Also:

getSelectedIndex

 getSelectedObjects

 public synchronized Object[] getSelectedObjects()

Returns an array (length 1) containing the currently selected item. If this choice has no items, returns null.

See Also:

ItemSelectable

 insert

 public synchronized void insert(String item,
                                 int index)

Inserts the item into this choice at the specified position.

Parameters:

item - the item to be inserted

index - the position at which the item should be inserted

Throws: IllegalArgumentException

if index is less than 0.

 paramString

 protected String paramString()

Returns the parameter string representing the state of this choice menu. This string is useful for debugging.

Returns:

the parameter string of this Choice menu.

Overrides:

paramString in class Component

 processEvent

 protected void processEvent(AWTEvent e)

Processes events on this choice. If the event is an instance of ItemEvent, it invokes the processItemEvent method. Otherwise, it calls its superclass's processEvent method.

Parameters:

e - the event.

Overrides:

processEvent in class Component

See Also:

ItemEvent, processItemEvent

 processItemEvent

 protected void processItemEvent(ItemEvent e)

Processes item events occurring on this Choice menu by dispatching them to any registered ItemListener objects.

This method is not called unless item events are enabled for this component. Item events are enabled when one of the following occurs:

•	An ItemListener object is registered via addItemListener.

•	Item events are enabled via enableEvents.

Parameters:

e - the item event.

See Also:

ItemEvent, ItemListener, addItemListener, enableEvents

 remove

 public synchronized void remove(int position)

Removes an item from the choice menu at the specified position.

Parameters:

position - the position of the item.

 remove

 public synchronized void remove(String item)

Remove the first occurrence of item from the Choice menu.

Parameters:

item - the item to remove from this Choice menu.

Throws: IllegalArgumentException

if the item doesn't exist in the choice menu.

 removeAll

 public synchronized void removeAll()

Removes all items from the choice menu.

See Also:

remove

 removeItemListener

 public synchronized void removeItemListener(ItemListener l)

Removes the specified item listener so that it no longer receives item events from this Choice menu.

Parameters:

l - the item listener.

See Also:

ItemEvent, ItemListener, addItemListener

 select

 public synchronized void select(int pos)

Sets the selected item in this Choice menu to be the item at the specified position.

Parameters:

pos - the positon of the selected item.

Throws: IllegalArgumentException

if the specified position is invalid.

See Also:

getSelectedItem, getSelectedIndex

 select

 public synchronized void select(String str)

Sets the selected item in this Choice menu to be the item whose name is equal to the specified string. If more than one item matches (is equal to) the specified string, the one with the smallest index is selected.

Parameters:

str - the specified string

See Also:

getSelectedItem, getSelectedIndex


 Class java.awt.Color

java.lang.Object
   |
   +----java.awt.Color

public class Color
   extends Object
   implements Serializable

This class encapsulates colors using the RGB format. In RGB format, the red, blue, and green components of a color are each represented by an integer in the range 0-255. The value 0 indicates no contribution from this primary color. The value 255 indicates the maximum intensity of this color component.

Although the Color class is based on the three-component RGB model, the class provides a set of convenience methods for converting between RGB and HSB colors. For a definition of the RGB and HSB color models, see Foley, van Dam, Feiner, and Hughes, Computer Graphics: Principles and Practice.

 black

The color black.

 blue

The color blue.

 cyan

The color cyan.

 darkGray

The color dark gray.

 gray

The color gray.

 green

The color green.

 lightGray

The color light gray.

 magenta

The color magneta.

 orange

The color orange.

 pink

The color pink.

 red

The color red.

 white

The color white.

 yellow

The color yellow.

 Color(float, float, float)

Creates a color with the specified red, green, and blue values, where each of the values is in the range 0.0-1.0.

 Color(int)

Creates a color with the specified RGB value, where the red component is in bits 16-23 of the argument, the green component is in bits 8-15 of the argument, and the blue component is in bits 0-7.

 Color(int, int, int)

Creates a color with the specified red, green, and blue components.

 brighter()

Creates a brighter version of this color.

 darker()

Creates a darker version of this color.

 decode(String)

Converts a string to an integer and returns the specified color.

 equals(Object)

Determines whether another object is equal to this color.

 getBlue()

Gets the blue component of this color.

 getColor(String)

Finds a color in the system properties.

 getColor(String, Color)

Finds a color in the system properties.

 getColor(String, int)

Finds a color in the system properties.

 getGreen()

Gets the green component of this color.

 getHSBColor(float, float, float)

Creates a Color object based on values supplied for the HSB color model.

 getRed()

Gets the red component of this color.

 getRGB()

Gets the RGB value representing the color in the default RGB ColorModel.

 hashCode()

Computes the hash code for this color.

 HSBtoRGB(float, float, float)

Converts the components of a color, as specified by the HSB model, to an equivalent set of values for the RGB model.

 RGBtoHSB(int, int, int, float[])

Converts the components of a color, as specified by the RGB model, to an equivalent set of values for hue, saturation, and brightness, the three components of the HSB model.

 toString()

Creates a string that represents this color and indicates the values of its RGB components.

 black

 public static final Color black

The color black.

 blue

 public static final Color blue

The color blue.

 cyan

 public static final Color cyan

The color cyan.

 darkGray

 public static final Color darkGray

The color dark gray.

 gray

 public static final Color gray

The color gray.

 green

 public static final Color green

The color green.

 lightGray

 public static final Color lightGray

The color light gray.

 magenta

 public static final Color magenta

The color magneta.

 orange

 public static final Color orange

The color orange.

 pink

 public static final Color pink

The color pink.

 red

 public static final Color red

The color red.

 white

 public static final Color white

The color white.

 yellow

 public static final Color yellow

The color yellow.

 Color

 public Color(float r,
              float g,
              float b)

Creates a color with the specified red, green, and blue values, where each of the values is in the range 0.0-1.0. The value 0.0 indicates no contribution from the primary color component. The value 1.0 indicates the maximum intensity of the primary color component.

The actual color used in rendering depends on finding the best match given the color space available for a given output device.

Parameters:

r - the red component

g - the red component

b - the red component

See Also:

getRed, getGreen, getBlue, getRGB

 Color

 public Color(int rgb)

Creates a color with the specified RGB value, where the red component is in bits 16-23 of the argument, the green component is in bits 8-15 of the argument, and the blue component is in bits 0-7. The value zero indicates no contribution from the primary color component.

The actual color used in rendering depends on finding the best match given the color space available for a given output device.

Parameters:

rgb - an integer giving the red, green, and blue components.

See Also:

getRGBdefault, getRed, getGreen, getBlue, getRGB

 Color

 public Color(int r,
              int g,
              int b)

Creates a color with the specified red, green, and blue components. The three arguments must each be in the range 0-255.

The actual color used in rendering depends on finding the best match given the color space available for a given output device.

Parameters:

r - the red component.

g - the green component.

b - the blue component.

See Also:

getRed, getGreen, getBlue, getRGB

 brighter

 public Color brighter()

Creates a brighter version of this color.

This method applies an arbitrary scale factor to each of the three RGB components of the color to create a brighter version of the same color. Although brighter and darker are inverse operations, the results of a series of invocations of these two methods may be inconsistent because of rounding errors.

Returns:

a new Color object, a brighter version of this color.

See Also:

darker

 darker

 public Color darker()

Creates a darker version of this color.

This method applies an arbitrary scale factor to each of the three RGB components of the color to create a darker version of the same color. Although brighter and darker are inverse operations, the results of a series of invocations of these two methods may be inconsistent because of rounding errors.

Returns:

a new Color object, a darker version of this color.

See Also:

brighter

 decode

 public static Color decode(String nm) throws NumberFormatException

Converts a string to an integer and returns the specified color. This method handles string formats that are used to represent octal and hexidecimal numbers.

Parameters:

nm - a string that represents a color as a 24-bit integer.

Returns:

the new color

Throws: NumberFormatException

if the specified string cannot be interpreted as a decimal, octal, or hexidecimal integer.

See Also:

decode

 equals

 public boolean equals(Object obj)

Determines whether another object is equal to this color.

The result is true if and only if the argument is not null and is a Color object that has the same red, green, and blue values as this object.

Parameters:

obj - the object to compare with.

Returns:

true if the objects are the same; false otherwise.

Overrides:

equals in class Object

 getBlue

 public int getBlue()

Gets the blue component of this color. The result is an integer in the range 0 to 255.

Returns:

the blue component of this color.

See Also:

getRGB

 getColor

 public static Color getColor(String nm)

Finds a color in the system properties.

The argument is treated as the name of a system property to be obtained. The string value of this property is then interpreted as an integer which is then converted to a color.

If the specified property is not found, or could not be parsed as an integer, then null is returned.

Parameters:

nm - the name of the color property

Returns:

the color value of the property.

See Also:

getProperty, getInteger, Color

 getColor

 public static Color getColor(String nm,
                              Color v)

Finds a color in the system properties.

The first argument is treated as the name of a system property to be obtained. The string value of this property is then interpreted as an integer which is then converted to a color.

If the specified property is not found, or cannot be parsed as an integer, then the color specified by the second argument is returned instead.

Parameters:

nm - the name of the color property

v - the default color value.

Returns:

the color value of the property.

See Also:

getProperty, getInteger, Color

 getColor

 public static Color getColor(String nm,
                              int v)

Finds a color in the system properties.

The first argument is treated as the name of a system property to be obtained. The string value of this property is then interpreted as an integer which is then converted to a color.

If the specified property is not found, or could not be parsed as an integer, then the integer value v is used instead, and is converted to a color.

Parameters:

nm - the name of the color property.

v - the default color value, as an integer.

Returns:

the color value of the property.

See Also:

getProperty, getInteger, Color

 getGreen

 public int getGreen()

Gets the green component of this color. The result is an integer in the range 0 to 255.

Returns:

the green component of this color.

See Also:

getRGB

 getHSBColor

 public static Color getHSBColor(float h,
                                 float s,
                                 float b)

Creates a Color object based on values supplied for the HSB color model.

Each of the three components should be a floating-point value between zero and one (a number in the range 0.0 ? h, s, b ? 1.0).

Parameters:

h - the hue component.

s - the saturation of the color.

b - the brightness of the color.

Returns:

a Color object with the specified hue, saturation, and brightness.

 getRed

 public int getRed()

Gets the red component of this color. The result is an integer in the range 0 to 255.

Returns:

the red component of this color.

See Also:

getRGB

 getRGB

 public int getRGB()

Gets the RGB value representing the color in the default RGB ColorModel. The red, green, and blue components of the color are each scaled to be a value between 0 (abscence of the color) and 255 (complete saturation). Bits 24-31 of the returned integer are 0xff, bits 16-23 are the red value, bit 8-15 are the green value, and bits 0-7 are the blue value.

See Also:

getRGBdefault, getRed, getGreen, getBlue

 hashCode

 public int hashCode()

Computes the hash code for this color.

Returns:

a hash code value for this object.

Overrides:

hashCode in class Object

 HSBtoRGB

 public static int HSBtoRGB(float hue,
                            float saturation,
                            float brightness)

Converts the components of a color, as specified by the HSB model, to an equivalent set of values for the RGB model.

The integer that is returned by HSBtoRGB encodes the value of a color in bits 0-23 of an integer value, the same format used by the method getRGB. This integer can be supplied as an argument to the Color constructor that takes a single integer argument.

Parameters:

hue - the hue component of the color.

saturation - the saturation of the color.

brightness - the brightness of the color.

Returns:

the RGB value of the color with the indicated hue, saturation, and brightness.

See Also:

getRGB, Color

 RGBtoHSB

 public static float[] RGBtoHSB(int r,
                                int g,
                                int b,
                                float hsbvals[])

Converts the components of a color, as specified by the RGB model, to an equivalent set of values for hue, saturation, and brightness, the three components of the HSB model.

If the hsbvals argument is null, then a new array is allocated to return the result. Otherwise, the method returns the array hsbvals, with the values put into that array.

Parameters:

r - the red component of the color.

g - the green component of the color.

b - the blue component of the color.

hsbvals - the array to be used to return the three HSB values, or null.

Returns:

an array of three elements containing the hue, saturation, and brightness (in that order), of the color with the indicated red, green, and blue components.

See Also:

getRGB, Color

 toString

 public String toString()

Creates a string that represents this color and indicates the values of its RGB components.

Returns:

a representation of this color as a String object.

Overrides:

toString in class Object


 Class java.awt.Component

java.lang.Object
   |
   +----java.awt.Component

public abstract class Component
   extends Object
   implements ImageObserver, MenuContainer, Serializable

A component is an object having a graphical representation that can be displayed on the screen and that can interact with the user. Examples of components are the buttons, checkboxes, and scrollbars of a typical graphical user interface.

The Component class is the abstract superclass of the nonmenu-related Abstract Window Toolkit components. Class Component can also be extended directly to create a lightweight component. A lightweight component is a component that is not associated with a native opaque window.

 BOTTOM_ALIGNMENT

Ease-of-use constant for getAlignmentY.

 CENTER_ALIGNMENT

Ease-of-use constant for getAlignmentY and getAlignmentX.

 LEFT_ALIGNMENT

Ease-of-use constant for getAlignmentX.

 RIGHT_ALIGNMENT

Ease-of-use constant for getAlignmentX.

 TOP_ALIGNMENT

Ease-of-use constant for getAlignmentY().

 Component()

Constructs a new component.

 action(Event, Object)

Deprecated.

 add(PopupMenu)

Adds the specified popup menu to the component.

 addComponentListener(ComponentListener)

Adds the specified component listener to receive component events from this component.

 addFocusListener(FocusListener)

Adds the specified focus listener to receive focus events from this component.

 addKeyListener(KeyListener)

Adds the specified key listener to receive key events from this component.

 addMouseListener(MouseListener)

Adds the specified mouse listener to receive mouse events from this component.

 addMouseMotionListener(MouseMotionListener)

Adds the specified mouse motion listener to receive mouse motion events from this component.

 addNotify()

Notifies this component that it has been added to a container and if a peer is required, it should be created.

 bounds()

Deprecated.

 checkImage(Image, ImageObserver)

Returns the status of the construction of a screen representation of the specified image.

 checkImage(Image, int, int, ImageObserver)

Returns the status of the construction of a screen representation of the specified image.

 contains(int, int)

Checks whether this component "contains" the specified point, where x and y are defined to be relative to the coordinate system of this component.

 contains(Point)

Checks whether this component "contains" the specified point, where the point's x and y coordinates are defined to be relative to the coordinate system of this component.

 createImage(ImageProducer)

Creates an image from the specified image producer.

 createImage(int, int)

Creates an off-screen drawable image to be used for double buffering.

 deliverEvent(Event)

Deprecated.

 disable()

Deprecated.

 disableEvents(long)

Disables the events defined by the specified event mask parameter from being delivered to this component.

 dispatchEvent(AWTEvent)

Dispatches an event to this component or one of its sub components.

 doLayout()

Prompts the layout manager to lay out this component.

 enable()

Deprecated.

 enable(boolean)

Deprecated.

 enableEvents(long)

Enables the events defined by the specified event mask parameter to be delivered to this component.

 getAlignmentX()

Returns the alignment along the x axis.

 getAlignmentY()

Returns the alignment along the y axis.

 getBackground()

Gets the background color of this component.

 getBounds()

Gets the bounds of this component in the form of a Rectangle object.

 getColorModel()

Gets the instance of ColorModel used to display the component on the output device.

 getComponentAt(int, int)

Determines if this component or one of its immediate subcomponents contains the (x, y) location, and if so, returns the containing component.

 getComponentAt(Point)

Returns the component or subcomponent that contains the specified point.

 getCursor()

Gets the cursor set on this component.

 getFont()

Gets the font of this component.

 getFontMetrics(Font)

Gets the font metrics for the specified font.

 getForeground()

Gets the foreground color of this component.

 getGraphics()

Creates a graphics context for this component.

 getLocale()

Gets the locale of this component.

 getLocation()

Gets the location of this component in the form of a point specifying the component's top-left corner.

 getLocationOnScreen()

Gets the location of this component in the form of a point specifying the component's top-left corner in the screen's coordinate space.

 getMaximumSize()

Gets the maximum size of this component.

 getMinimumSize()

Gets the mininimum size of this component.

 getName()

Gets the name of the component.

 getParent()

Gets the parent of this component.

 getPeer()

Deprecated.

 getPreferredSize()

Gets the preferred size of this component.

 getSize()

Returns the size of this component in the form of a Dimension object.

 getToolkit()

Gets the toolkit of this component.

 getTreeLock()

Gets this component's locking object (the object that owns the thread sychronization monitor) for AWT component-tree and layout operations.

 gotFocus(Event, Object)

Deprecated.

 handleEvent(Event)

Deprecated.

 hide()

Deprecated.

 imageUpdate(Image, int, int, int, int, int)

Repaints the component when the image has changed.

 inside(int, int)

Deprecated.

 invalidate()

Invalidates this component.

 isEnabled()

Determines whether this component is enabled.

 isFocusTraversable()

Returns the value of a flag that indicates whether this component can be traversed using Tab or Shift-Tab keyboard focus traversal.

 isShowing()

Determines whether this component is showing on screen.

 isValid()

Determines whether this component is valid.

 isVisible()

Determines whether this component is visible.

 keyDown(Event, int)

Deprecated.

 keyUp(Event, int)

Deprecated.

 layout()

Deprecated.

 list()

Prints a listing of this component to the standard system output stream System.out.

 list(PrintStream)

Prints a listing of this component to the specified output stream.

 list(PrintStream, int)

Prints out a list, starting at the specified indention, to the specified print stream.

 list(PrintWriter)

Prints a listing to the specified print writer.

 list(PrintWriter, int)

Prints out a list, starting at the specified indention, to the specified print writer.

 locate(int, int)

Deprecated.

 location()

Deprecated.

 lostFocus(Event, Object)

Deprecated.

 minimumSize()

Deprecated.

 mouseDown(Event, int, int)

Deprecated.

 mouseDrag(Event, int, int)

Deprecated.

 mouseEnter(Event, int, int)

Deprecated.

 mouseExit(Event, int, int)

Deprecated.

 mouseMove(Event, int, int)

Deprecated.

 mouseUp(Event, int, int)

Deprecated.

 move(int, int)

Deprecated.

 nextFocus()

Deprecated.

 paint(Graphics)

Paints this component.

 paintAll(Graphics)

Paints this component and all of its subcomponents.

 paramString()

Returns the parameter string representing the state of this component.

 postEvent(Event)

Deprecated.

 preferredSize()

Deprecated.

 prepareImage(Image, ImageObserver)

Prepares an image for rendering on this component.

 prepareImage(Image, int, int, ImageObserver)

Prepares an image for rendering on this component at the specified width and height.

 print(Graphics)

Prints this component.

 printAll(Graphics)

Prints this component and all of its subcomponents.

 processComponentEvent(ComponentEvent)

Processes component events occurring on this component by dispatching them to any registered ComponentListener objects.

 processEvent(AWTEvent)

Processes events occurring on this component.

 processFocusEvent(FocusEvent)

Processes focus events occurring on this component by dispatching them to any registered FocusListener objects.

 processKeyEvent(KeyEvent)

Processes key events occurring on this component by dispatching them to any registered <codeKeyListener objects.

 processMouseEvent(MouseEvent)

Processes mouse events occurring on this component by dispatching them to any registered MouseListener objects.

 processMouseMotionEvent(MouseEvent)

Processes mouse motion events occurring on this component by dispatching them to any registered MouseMotionListener objects.

 remove(MenuComponent)

Removes the specified popup menu from the component.

 removeComponentListener(ComponentListener)

Removes the specified component listener so that it no longer receives component events from this component.

 removeFocusListener(FocusListener)

Removes the specified focus listener so that it no longer receives focus events from this component.

 removeKeyListener(KeyListener)

Removes the specified key listener so that it no longer receives key events from this component.

 removeMouseListener(MouseListener)

Removes the specified mouse listener so that it no longer receives mouse events from this component.

 removeMouseMotionListener(MouseMotionListener)

Removes the specified mouse motion listener so that it no longer receives mouse motion events from this component.

 removeNotify()

Notifies this component that it has been removed from its container and if a peers exists, it destroys it.

 repaint()

Repaints this component.

 repaint(int, int, int, int)

Repaints the specified rectangle of this component.

 repaint(long)

Repaints the component.

 repaint(long, int, int, int, int)

Repaints the specified rectangle of this component within tm milliseconds.

 requestFocus()

Requests that this component get the input focus.

 reshape(int, int, int, int)

Deprecated.

 resize(Dimension)

Deprecated.

 resize(int, int)

Deprecated.

 setBackground(Color)

Sets the background color of this component.

 setBounds(int, int, int, int)

Moves and resizes this component.

 setBounds(Rectangle)

Moves and resizes this component to conform to the new bounding rectangle r.

 setCursor(Cursor)

Set the cursor image to a predefined cursor.

 setEnabled(boolean)

Enables or disables this component, depending on the value of the parameter b.

 setFont(Font)

Sets the font of this component.

 setForeground(Color)

Sets the foreground color of this component.

 setLocale(Locale)

Sets the locale of this component.

 setLocation(int, int)

Moves this component to a new location.

 setLocation(Point)

Moves this component to a new location.

 setName(String)

Sets the name of the component to the specified string.

 setSize(Dimension)

Resizes this component so that it has width d.width and height d.height.

 setSize(int, int)

Resizes this component so that it has width width and height.

 setVisible(boolean)

Shows or hides this component depending on the value of parameter b.

 show()

Deprecated.

 show(boolean)

Deprecated.

 size()

Deprecated.

 toString()

Returns a string representation of this component and its values.

 transferFocus()

Transfers the focus to the next component.

 update(Graphics)

Updates this component.

 validate()

Ensures that this component has a valid layout.

 BOTTOM_ALIGNMENT

 public static final float BOTTOM_ALIGNMENT

Ease-of-use constant for getAlignmentY. Specifies an alignment to the bottom of the component.

See Also:

getAlignmentY

 CENTER_ALIGNMENT

 public static final float CENTER_ALIGNMENT

Ease-of-use constant for getAlignmentY and getAlignmentX. Specifies an alignment to the center of the component

See Also:

getAlignmentX, getAlignmentY

 LEFT_ALIGNMENT

 public static final float LEFT_ALIGNMENT

Ease-of-use constant for getAlignmentX. Specifies an alignment to the left side of the component.

See Also:

getAlignmentX

 RIGHT_ALIGNMENT

 public static final float RIGHT_ALIGNMENT

Ease-of-use constant for getAlignmentX. Specifies an alignment to the right side of the component.

See Also:

getAlignmentX

 TOP_ALIGNMENT

 public static final float TOP_ALIGNMENT

Ease-of-use constant for getAlignmentY(). Specifies an alignment to the top of the component.

See Also:

getAlignmentY

 Component

 protected Component()

Constructs a new component. Class Component can be extended directly to create a lightweight component that does not utilize an opaque native window. A lightweight component must be hosted by a native container somewhere higher up in the component tree (for example, by a Frame object).

 action

 public boolean action(Event evt,
                       Object what)

Note: action() is deprecated. As of JDK version 1.1, should register this component as ActionListener on component which fires action events.

 add

 public synchronized void add(PopupMenu popup)

Adds the specified popup menu to the component.

Parameters:

popup - the popup menu to be added to the component.

See Also:

remove

 addComponentListener

 public synchronized void addComponentListener(ComponentListener l)

Adds the specified component listener to receive component events from this component.

Parameters:

l - the component listener.

See Also:

ComponentEvent, ComponentListener, removeComponentListener

 addFocusListener

 public synchronized void addFocusListener(FocusListener l)

Adds the specified focus listener to receive focus events from this component.

Parameters:

l - the focus listener.

See Also:

FocusEvent, FocusListener, removeFocusListener

 addKeyListener

 public synchronized void addKeyListener(KeyListener l)

Adds the specified key listener to receive key events from this component.

Parameters:

l - the key listener.

See Also:

KeyEvent, KeyListener, removeKeyListener

 addMouseListener

 public synchronized void addMouseListener(MouseListener l)

Adds the specified mouse listener to receive mouse events from this component.

Parameters:

l - the mouse listener.

See Also:

MouseEvent, MouseListener, removeMouseListener

 addMouseMotionListener

 public synchronized void addMouseMotionListener(MouseMotionListener l)

Adds the specified mouse motion listener to receive mouse motion events from this component.

Parameters:

l - the mouse motion listener.

See Also:

MouseMotionEvent, MouseMotionListener, removeMouseMotionListener

 addNotify

 public void addNotify()

Notifies this component that it has been added to a container and if a peer is required, it should be created. This method should be called by Container.add, and not by user code directly.

See Also:

removeNotify

 bounds

 public Rectangle bounds()

Note: bounds() is deprecated. As of JDK version 1.1, replaced by getBounds().

 checkImage

 public int checkImage(Image image,
                       ImageObserver observer)

Returns the status of the construction of a screen representation of the specified image.

This method does not cause the image to begin loading. An application must use the prepareImage method to force the loading of an image.

Information on the flags returned by this method can be found with the discussion of the ImageObserver interface.

Parameters:

image - the Image object whose status is being checked.

observer - the ImageObserver object to be notified as the image is being prepared.

Returns:

the bitwise inclusive OR of ImageObserver flags indicating what information about the image is currently available.

See Also:

prepareImage, checkImage, ImageObserver

 checkImage

 public int checkImage(Image image,
                       int width,
                       int height,
                       ImageObserver observer)

Returns the status of the construction of a screen representation of the specified image.

This method does not cause the image to begin loading. An application must use the prepareImage method to force the loading of an image.

The checkImage method of Component calls its peer's checkImage method to calculate the flags. If this component does not yet have a peer, the component's toolkit's checkImage method is called instead.

Information on the flags returned by this method can be found with the discussion of the ImageObserver interface.

Parameters:

image - the Image object whose status is being checked.

width - the width of the scaled version whose status is to be checked.

height - the height of the scaled version whose status is to be checked.

observer - the ImageObserver object to be notified as the image is being prepared.

Returns:

the bitwise inclusive OR of ImageObserver flags indicating what information about the image is currently available.

See Also:

prepareImage, checkImage, ImageObserver

 contains

 public boolean contains(int x,
                         int y)

Checks whether this component "contains" the specified point, where x and y are defined to be relative to the coordinate system of this component.

Parameters:

x - the x coordinate of the point.

y - the y coordinate of the point.

See Also:

getComponentAt

 contains

 public boolean contains(Point p)

Checks whether this component "contains" the specified point, where the point's x and y coordinates are defined to be relative to the coordinate system of this component.

Parameters:

p - the point.

See Also:

getComponentAt

 createImage

 public Image createImage(ImageProducer producer)

Creates an image from the specified image producer.

Parameters:

producer - the image producer

Returns:

the image produced.

 createImage

 public Image createImage(int width,
                          int height)

Creates an off-screen drawable image to be used for double buffering.

Parameters:

width - the specified width.

height - the specified height.

Returns:

an off-screen drawable image, which can be used for double buffering.

 deliverEvent

 public void deliverEvent(Event e)

Note: deliverEvent() is deprecated. As of JDK version 1.1, replaced by dispatchEvent(AWTEvent e).

 disable

 public void disable()

Note: disable() is deprecated. As of JDK version 1.1, replaced by setEnabled(boolean).

 disableEvents

 protected final void disableEvents(long eventsToDisable)

Disables the events defined by the specified event mask parameter from being delivered to this component.

Parameters:

eventsToDisable - the event mask defining the event types

See Also:

enableEvents

 dispatchEvent

 public final void dispatchEvent(AWTEvent e)

Dispatches an event to this component or one of its sub components.

Parameters:

e - the event

 doLayout

 public void doLayout()

Prompts the layout manager to lay out this component. This is usually called when the component (more specifically, container) is validated.

See Also:

validate, LayoutManager

 enable

 public void enable()

Note: enable() is deprecated. As of JDK version 1.1, replaced by setEnabled(boolean).

 enable

 public void enable(boolean b)

Note: enable() is deprecated. As of JDK version 1.1, replaced by setEnabled(boolean).

 enableEvents

 protected final void enableEvents(long eventsToEnable)

Enables the events defined by the specified event mask parameter to be delivered to this component.

Event types are automatically enabled when a listener for that event type is added to the component.

This method only needs to be invoked by subclasses of Component which desire to have the specified event types delivered to processEvent regardless of whether or not a listener is registered.

Parameters:

eventsToEnable - the event mask defining the event types.

See Also:

processEvent, disableEvents

 getAlignmentX

 public float getAlignmentX()

Returns the alignment along the x axis. This specifies how the component would like to be aligned relative to other components. The value should be a number between 0 and 1 where 0 represents alignment along the origin, 1 is aligned the furthest away from the origin, 0.5 is centered, etc.

 getAlignmentY

 public float getAlignmentY()

Returns the alignment along the y axis. This specifies how the component would like to be aligned relative to other components. The value should be a number between 0 and 1 where 0 represents alignment along the origin, 1 is aligned the furthest away from the origin, 0.5 is centered, etc.

 getBackground

 public Color getBackground()

Gets the background color of this component.

Returns:

This component's background color. If this component does not have a background color, the background color of its parent is returned.

See Also:

setBackground

 getBounds

 public Rectangle getBounds()

Gets the bounds of this component in the form of a Rectangle object. The bounds specify this component's width, height, and location relative to its parent.

Returns:

A rectangle indicating this component's bounds.

See Also:

setBounds, getLocation, getSize

 getColorModel

 public ColorModel getColorModel()

Gets the instance of ColorModel used to display the component on the output device.

Returns:

The color model used by this component.

See Also:

ColorModel, getColorModel, getColorModel

 getComponentAt

 public Component getComponentAt(int x,
                                 int y)

Determines if this component or one of its immediate subcomponents contains the (x, y) location, and if so, returns the containing component. This method only looks one level deep. If the point (x, y) is inside a subcomponent that itself has subcomponents, it does not go looking down the subcomponent tree.

The locate method of Component simply returns the component itself if the (x, y) coordinate location is inside its bounding box, and null otherwise.

Parameters:

x - the x coordinate.

y - the y coordinate.

Returns:

the component or subcomponent that contains the (x, y) location; null if the location is outside this component.

See Also:

contains

 getComponentAt

 public Component getComponentAt(Point p)

Returns the component or subcomponent that contains the specified point.

Parameters:

p - the point.

See Also:

contains

 getCursor

 public Cursor getCursor()

Gets the cursor set on this component.

Returns:

The cursor for this component.

See Also:

setCursor, Cursor

 getFont

 public Font getFont()

Gets the font of this component.

Returns:

This component's font. If a font has not been set for this component, the font of its parent is returned.

See Also:

setFont

 getFontMetrics

 public FontMetrics getFontMetrics(Font font)

Gets the font metrics for the specified font.

Parameters:

font - The font for which font metrics is to be obtained.

font - the font.

Returns:

The font metrics for font.

See Also:

getFont, getPeer, getFontMetrics, getFontMetrics

 getForeground

 public Color getForeground()

Gets the foreground color of this component.

Returns:

This component's foreground color. If this component does not have a foreground color, the foreground color of its parent is returned.

See Also:

setForeground

 getGraphics

 public Graphics getGraphics()

Creates a graphics context for this component. This method will return null if this component is currently not on the screen.

Returns:

A graphics context for this component, or null if it has none.

See Also:

paint

 getLocale

 public Locale getLocale()

Gets the locale of this component.

Returns:

This component's locale. If this component does not have a locale, the locale of its parent is returned.

Throws: IllegalComponentStateException

If the Component does not have its own locale and has not yet been added to a containment hierarchy such that the locale can be determined from the containing parent.

See Also:

setLocale

 getLocation

 public Point getLocation()

Gets the location of this component in the form of a point specifying the component's top-left corner. The location will be relative to the parent's coordinate space.

Returns:

An instance of Point representing the top-left corner of the component's bounds in the coordinate space of the component's parent.

See Also:

setLocation, getLocationOnScreen

 getLocationOnScreen

 public Point getLocationOnScreen()

Gets the location of this component in the form of a point specifying the component's top-left corner in the screen's coordinate space.

Returns:

An instance of Point representing the top-left corner of the component's bounds in the coordinate space of the screen.

See Also:

setLocation, getLocation

 getMaximumSize

 public Dimension getMaximumSize()

Gets the maximum size of this component.

Returns:

A dimension object indicating this component's maximum size.

See Also:

getMinimumSize, getPreferredSize, LayoutManager

 getMinimumSize

 public Dimension getMinimumSize()

Gets the mininimum size of this component.

Returns:

A dimension object indicating this component's minimum size.

See Also:

getPreferredSize, awtLayoutManager

 getName

 public String getName()

Gets the name of the component.

Returns:

This component's name.

See Also:

setName

 getParent

 public Container getParent()

Gets the parent of this component.

Returns:

The parent container of this component.

 getPeer

 public ComponentPeer getPeer()

Note: getPeer() is deprecated. As of JDK version 1.1, programs should not directly manipulate peers.

 getPreferredSize

 public Dimension getPreferredSize()

Gets the preferred size of this component.

Returns:

A dimension object indicating this component's preferred size.

See Also:

getMinimumSize, LayoutManager

 getSize

 public Dimension getSize()

Returns the size of this component in the form of a Dimension object. The height field of the Dimension object contains this component's height, and the width field of the Dimension object contains this component's width.

Returns:

A Dimension object that indicates the size of this component.

See Also:

setSize

 getToolkit

 public Toolkit getToolkit()

Gets the toolkit of this component. Note that the frame that contains a component controls which toolkit is used by that component. Therefore if the component is moved from one frame to another, the toolkit it uses may change.

Returns:

The toolkit of this component.

 getTreeLock

 public final Object getTreeLock()

Gets this component's locking object (the object that owns the thread sychronization monitor) for AWT component-tree and layout operations.

Returns:

This component's locking object.

 gotFocus

 public boolean gotFocus(Event evt,
                         Object what)

Note: gotFocus() is deprecated. As of JDK version 1.1, replaced by processFocusEvent(FocusEvent).

 handleEvent

 public boolean handleEvent(Event evt)

Note: handleEvent() is deprecated. As of JDK version 1.1 replaced by processEvent(AWTEvent).

 hide

 public void hide()

Note: hide() is deprecated. As of JDK version 1.1, replaced by setVisible(boolean).

 imageUpdate

 public boolean imageUpdate(Image img,
                            int flags,
                            int x,
                            int y,
                            int w,
                            int h)

Repaints the component when the image has changed. This imageUpdate method of an ImageObserver is called when more information about an image which had been previously requested using an asynchronous routine such as the drawImage method of Graphics becomes available. See the definition of imageUpdate for more information on this method and its arguments.

The imageUpdate method of Component incrementally draws an image on the component as more of the bits of the image are available.

If the system property awt.image.incrementalDraw is missing or has the value true, the image is incrementally drawn, If the system property has any other value, then the image is not drawn until it has been completely loaded.

Also, if incremental drawing is in effect, the value of the system property awt.image.redrawrate is interpreted as an integer to give the maximum redraw rate, in milliseconds. If the system property is missing or cannot be interpreted as an integer, the redraw rate is once every 100ms.

The interpretation of the x, y, width, and height arguments depends on the value of the infoflags argument.

Parameters:

img - the image being observed.

infoflags - see imageUpdate for more information.

x - the x coordinate.

y - the y coordinate.

width - the width.

height - the height.

Returns:

true if the flags indicate that the image is completely loaded; false otherwise.

See Also:

ImageObserver, drawImage, drawImage, drawImage, drawImage, imageUpdate

 inside

 public boolean inside(int x,
                       int y)

Note: inside() is deprecated. As of JDK version 1.1, replaced by contains(int, int).

 invalidate

 public void invalidate()

Invalidates this component. This component and all parents above it are marked as needing to be laid out. This method can be called often, so it needs to execute quickly.

See Also:

validate, doLayout, LayoutManager

 isEnabled

 public boolean isEnabled()

Determines whether this component is enabled. An enabled component can respond to user input and generate events. Components are enabled initially by default. A component may be enabled or disabled by calling its setEnabled method.

Returns:

true if the component is enabled; false otherwise.

See Also:

setEnabled

 isFocusTraversable

 public boolean isFocusTraversable()

Returns the value of a flag that indicates whether this component can be traversed using Tab or Shift-Tab keyboard focus traversal. If this method returns "false", this component may still request the keyboard focus using requestFocus(), but it will not automatically be assigned focus during tab traversal.

Returns:

true if this component is focus-traverable; false otherwise.

 isShowing

 public boolean isShowing()

Determines whether this component is showing on screen. This means that the component must be visible, and it must be in a container that is visible and showing.

Returns:

true if the component is showing; false otherwise.

See Also:

setVisible

 isValid

 public boolean isValid()

Determines whether this component is valid. Components are invalidated when they are first shown on the screen.

Returns:

true if the component is valid; false otherwise.

See Also:

validate, invalidate

 isVisible

 public boolean isVisible()

Determines whether this component is visible. Components are initially visible, with the exception of top level components such as Frame objects.

Returns:

true if the component is visible; false otherwise.

See Also:

setVisible

 keyDown

 public boolean keyDown(Event evt,
                        int key)

Note: keyDown() is deprecated. As of JDK version 1.1, replaced by processKeyEvent(KeyEvent).

 keyUp

 public boolean keyUp(Event evt,
                      int key)

Note: keyUp() is deprecated. As of JDK version 1.1, replaced by processKeyEvent(KeyEvent).

 layout

 public void layout()

Note: layout() is deprecated. As of JDK version 1.1, replaced by doLayout().

 list

 public void list()

Prints a listing of this component to the standard system output stream System.out.

See Also:

out

 list

 public void list(PrintStream out)

Prints a listing of this component to the specified output stream.

Parameters:

out - a print stream.

 list

 public void list(PrintStream out,
                  int indent)

Prints out a list, starting at the specified indention, to the specified print stream.

Parameters:

out - a print stream.

indent - number of spaces to indent.

See Also:

println

 list

 public void list(PrintWriter out)

Prints a listing to the specified print writer.

Parameters:

out - The print writer to print to.

 list

 public void list(PrintWriter out,
                  int indent)

Prints out a list, starting at the specified indention, to the specified print writer.

Parameters:

out - The print writer to print to.

indent - The number of spaces to indent.

See Also:

println

 locate

 public Component locate(int x,
                         int y)

Note: locate() is deprecated. As of JDK version 1.1, replaced by getComponentAt(int, int).

 location

 public Point location()

Note: location() is deprecated. As of JDK version 1.1, replaced by getLocation().

 lostFocus

 public boolean lostFocus(Event evt,
                          Object what)

Note: lostFocus() is deprecated. As of JDK version 1.1, replaced by processFocusEvent(FocusEvent).

 minimumSize

 public Dimension minimumSize()

Note: minimumSize() is deprecated. As of JDK version 1.1, replaced by getMinimumSize().

 mouseDown

 public boolean mouseDown(Event evt,
                          int x,
                          int y)

Note: mouseDown() is deprecated. As of JDK version 1.1, replaced by processMouseEvent(MouseEvent).

 mouseDrag

 public boolean mouseDrag(Event evt,
                          int x,
                          int y)

Note: mouseDrag() is deprecated. As of JDK version 1.1, replaced by processMouseMotionEvent(MouseEvent).

 mouseEnter

 public boolean mouseEnter(Event evt,
                           int x,
                           int y)

Note: mouseEnter() is deprecated. As of JDK version 1.1, replaced by processMouseEvent(MouseEvent).

 mouseExit

 public boolean mouseExit(Event evt,
                          int x,
                          int y)

Note: mouseExit() is deprecated. As of JDK version 1.1, replaced by processMouseEvent(MouseEvent).

 mouseMove

 public boolean mouseMove(Event evt,
                          int x,
                          int y)

Note: mouseMove() is deprecated. As of JDK version 1.1, replaced by processMouseMotionEvent(MouseEvent).

 mouseUp

 public boolean mouseUp(Event evt,
                        int x,
                        int y)

Note: mouseUp() is deprecated. As of JDK version 1.1, replaced by processMouseEvent(MouseEvent).

 move

 public void move(int x,
                  int y)

Note: move() is deprecated. As of JDK version 1.1, replaced by setLocation(int, int).

 nextFocus

 public void nextFocus()

Note: nextFocus() is deprecated. As of JDK version 1.1, replaced by transferFocus().

 paint

 public void paint(Graphics g)

Paints this component. This method is called when the contents of the component should be painted in response to the component first being shown or damage needing repair. The clip rectangle in the Graphics parameter will be set to the area which needs to be painted.

Parameters:

g - The graphics context to use for painting.

See Also:

update

 paintAll

 public void paintAll(Graphics g)

Paints this component and all of its subcomponents.

The origin of the graphics context, its (0, 0) coordinate point, is the top-left corner of this component. The clipping region of the graphics context is the bounding rectangle of this component.

Parameters:

g - the graphics context to use for painting.

See Also:

paint

 paramString

 protected String paramString()

Returns the parameter string representing the state of this component. This string is useful for debugging.

Returns:

the parameter string of this component.

 postEvent

 public boolean postEvent(Event e)

Note: postEvent() is deprecated. As of JDK version 1.1, replaced by dispatchEvent(AWTEvent).

 preferredSize

 public Dimension preferredSize()

Note: preferredSize() is deprecated. As of JDK version 1.1, replaced by getPreferredSize().

 prepareImage

 public boolean prepareImage(Image image,
                             ImageObserver observer)

Prepares an image for rendering on this component. The image data is downloaded asynchronously in another thread and the appropriate screen representation of the image is generated.

Parameters:

image - the Image for which to prepare a screen representation.

observer - the ImageObserver object to be notified as the image is being prepared.

Returns:

true if the image has already been fully prepared; false otherwise.

 prepareImage

 public boolean prepareImage(Image image,
                             int width,
                             int height,
                             ImageObserver observer)

Prepares an image for rendering on this component at the specified width and height.

The image data is downloaded asynchronously in another thread, and an appropriately scaled screen representation of the image is generated.

Parameters:

image - the instance of Image for which to prepare a screen representation.

width - the width of the desired screen representation.

height - the height of the desired screen representation.

observer - the ImageObserver object to be notified as the image is being prepared.

Returns:

true if the image has already been fully prepared; false otherwise.

See Also:

ImageObserver

 print

 public void print(Graphics g)

Prints this component. Applications should override this method for components that must do special processing before being printed or should be printed differently than they are painted.

The default implementation of this method calls the paint method.

The origin of the graphics context, its (0, 0) coordinate point, is the top-left corner of this component. The clipping region of the graphics context is the bounding rectangle of this component.

Parameters:

g - the graphics context to use for printing.

See Also:

paint

 printAll

 public void printAll(Graphics g)

Prints this component and all of its subcomponents.

The origin of the graphics context, its (0, 0) coordinate point, is the top-left corner of this component. The clipping region of the graphics context is the bounding rectangle of this component.

Parameters:

g - the graphics context to use for printing.

See Also:

print

 processComponentEvent

 protected void processComponentEvent(ComponentEvent e)

Processes component events occurring on this component by dispatching them to any registered ComponentListener objects.

This method is not called unless component events are enabled for this component. Component events are enabled when one of the following occurs:

•	A ComponentListener object is registered via addComponentListener.

•	Component events are enabled via enableEvents.

Parameters:

e - the component event.

See Also:

ComponentEvent, ComponentListener, addComponentListener, enableEvents

 processEvent

 protected void processEvent(AWTEvent e)

Processes events occurring on this component. By default this method calls the appropriate process<event type>Event method for the given class of event.

Parameters:

e - the event.

See Also:

processComponentEvent, processFocusEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent

 processFocusEvent

 protected void processFocusEvent(FocusEvent e)

Processes focus events occurring on this component by dispatching them to any registered FocusListener objects.

This method is not called unless focus events are enabled for this component. Focus events are enabled when one of the following occurs:

•	A FocusListener object is registered via addFocusListener.

•	Focus events are enabled via enableEvents.

Parameters:

e - the focus event.

See Also:

FocusEvent, FocusListener, addFocusListener, enableEvents

 processKeyEvent

 protected void processKeyEvent(KeyEvent e)

Processes key events occurring on this component by dispatching them to any registered <codeKeyListener objects.

This method is not called unless key events are enabled for this component. Key events are enabled when one of the following occurs:

•	A KeyListener object is registered via addKeyListener.

•	Key events are enabled via enableEvents.

Parameters:

e - the key event.

See Also:

KeyEvent, KeyListener, addKeyListener, enableEvents

 processMouseEvent

 protected void processMouseEvent(MouseEvent e)

Processes mouse events occurring on this component by dispatching them to any registered MouseListener objects.

This method is not called unless mouse events are enabled for this component. Mouse events are enabled when one of the following occurs:

•	A MouseListener object is registered via addMouseListener.

•	Mouse events are enabled via enableEvents.

Parameters:

e - the mouse event.

See Also:

MouseEvent, MouseListener, addMouseListener, enableEvents

 processMouseMotionEvent

 protected void processMouseMotionEvent(MouseEvent e)

Processes mouse motion events occurring on this component by dispatching them to any registered MouseMotionListener objects.

This method is not called unless mouse motion events are enabled for this component. Mouse motion events are enabled when one of the following occurs:

•	A MouseMotionListener object is registered via addMouseMotionListener.

•	Mouse motion events are enabled via enableEvents.

Parameters:

e - the mouse motion event.

See Also:

MouseMotionEvent, MouseMotionListener, addMouseMotionListener, enableEvents

 remove

 public synchronized void remove(MenuComponent popup)

Removes the specified popup menu from the component.

Parameters:

popup - the popup menu to be removed.

See Also:

add

 removeComponentListener

 public synchronized void removeComponentListener(ComponentListener l)

Removes the specified component listener so that it no longer receives component events from this component.

Parameters:

l - the component listener.

See Also:

ComponentEvent, ComponentListener, addComponentListener

 removeFocusListener

 public synchronized void removeFocusListener(FocusListener l)

Removes the specified focus listener so that it no longer receives focus events from this component.

Parameters:

l - the focus listener.

See Also:

FocusEvent, FocusListener, addFocusListener

 removeKeyListener

 public synchronized void removeKeyListener(KeyListener l)

Removes the specified key listener so that it no longer receives key events from this component.

Parameters:

l - the key listener.

See Also:

KeyEvent, KeyListener, addKeyListener

 removeMouseListener

 public synchronized void removeMouseListener(MouseListener l)

Removes the specified mouse listener so that it no longer receives mouse events from this component.

Parameters:

l - the mouse listener.

See Also:

MouseEvent, MouseListener, addMouseListener

 removeMouseMotionListener

 public synchronized void removeMouseMotionListener(MouseMotionListener l)

Removes the specified mouse motion listener so that it no longer receives mouse motion events from this component.

Parameters:

l - the mouse motion listener.

See Also:

MouseMotionEvent, MouseMotionListener, addMouseMotionListener

 removeNotify

 public void removeNotify()

Notifies this component that it has been removed from its container and if a peers exists, it destroys it. This method should be called by Container.remove, and not by user code directly.

See Also:

addNotify

 repaint

 public void repaint()

Repaints this component.

This method causes a call to this component's update method as soon as possible.

See Also:

update

 repaint

 public void repaint(int x,
                     int y,
                     int width,
                     int height)

Repaints the specified rectangle of this component.

This method causes a call to this component's update method as soon as possible.

Parameters:

x - the x coordinate.

y - the y coordinate.

width - the width.

height - the height.

See Also:

update

 repaint

 public void repaint(long tm)

Repaints the component. This will result in a call to update within tm milliseconds.

Parameters:

tm - maximum time in milliseconds before update

See Also:

paint, update

 repaint

 public void repaint(long tm,
                     int x,
                     int y,
                     int width,
                     int height)

Repaints the specified rectangle of this component within tm milliseconds.

This method causes a call to this component's update method.

Parameters:

tm - maximum time in milliseconds before update.

x - the x coordinate.

y - the y coordinate.

width - the width.

height - the height.

See Also:

update

 requestFocus

 public void requestFocus()

Requests that this component get the input focus.

This component's gotFocus method is called when this method is successful. The component must be visible on the screen for this request to be granted

See Also:

FocusEvent, addFocusListener, processFocusEvent, isFocusTraversable

 reshape

 public void reshape(int x,
                     int y,
                     int width,
                     int height)

Note: reshape() is deprecated. As of JDK version 1.1, replaced by setBounds(int, int, int, int).

 resize

 public void resize(Dimension d)

Note: resize() is deprecated. As of JDK version 1.1, replaced by setSize(Dimension).

 resize

 public void resize(int width,
                    int height)

Note: resize() is deprecated. As of JDK version 1.1, replaced by setSize(int, int).

 setBackground

 public void setBackground(Color c)

Sets the background color of this component.

Parameters:

c - The color to become this component's background color.

See Also:

getBackground

 setBounds

 public void setBounds(int x,
                       int y,
                       int width,
                       int height)

Moves and resizes this component. The new location of the top-left corner is specified by x and y, and the new size is specified by width and height.

Parameters:

x - The new x-coordinate of this component.

y - The new y-coordinate of this component.

width - The new width of this component.

height - The new height of this component.

See Also:

getBounds, setLocation, setLocation, setSize, setSize

 setBounds

 public void setBounds(Rectangle r)

Moves and resizes this component to conform to the new bounding rectangle r. This component's new position is specified by r.x and r.y, and its new size is specified by r.width and r.height

Parameters:

r - The new bounding rectangle for this component.

See Also:

getBounds, setLocation, setLocation, setSize, setSize

 setCursor

 public synchronized void setCursor(Cursor cursor)

Set the cursor image to a predefined cursor.

Parameters:

cursor - One of the constants defined by the Cursor class.

See Also:

getCursor, Cursor

 setEnabled

 public void setEnabled(boolean b)

Enables or disables this component, depending on the value of the parameter b. An enabled component can respond to user input and generate events. Components are enabled initially by default.

Parameters:

b - If true, this component is enabled; otherwise this component is disabled.

See Also:

isEnabled

 setFont

 public synchronized void setFont(Font f)

Sets the font of this component.

Parameters:

f - The font to become this component's font.

See Also:

getFont

 setForeground

 public void setForeground(Color c)

Sets the foreground color of this component.

Parameters:

c - The color to become this component's foreground color.

See Also:

getForeground

 setLocale

 public void setLocale(Locale l)

Sets the locale of this component.

Parameters:

l - The locale to become this component's locale.

See Also:

getLocale

 setLocation

 public void setLocation(int x,
                         int y)

Moves this component to a new location. The top-left corner of the new location is specified by the x and y parameters in the coordinate space of this component's parent.

Parameters:

x - The x-coordinate of the new location's top-left corner in the parent's coordinate space.

y - The y-coordinate of the new location's top-left corner in the parent's coordinate space.

See Also:

getLocation, setBounds

 setLocation

 public void setLocation(Point p)

Moves this component to a new location. The top-left corner of the new location is specified by point p. Point p is given in the parent's coordinate space.

Parameters:

p - The point defining the top-left corner of the new location, given in the coordinate space of this component's parent.

See Also:

getLocation, setBounds

 setName

 public void setName(String name)

Sets the name of the component to the specified string.

Parameters:

name - The string that is to be this component's name.

See Also:

getName

 setSize

 public void setSize(Dimension d)

Resizes this component so that it has width d.width and height d.height.

Parameters:

d - The dimension specifying the new size of this component.

See Also:

setSize, setBounds

 setSize

 public void setSize(int width,
                     int height)

Resizes this component so that it has width width and height.

Parameters:

width - The new width of this component in pixels.

height - The new height of this component in pixels.

See Also:

getSize, setBounds

 setVisible

 public void setVisible(boolean b)

Shows or hides this component depending on the value of parameter b.

Parameters:

b - If true, shows this component; otherwise, hides this component.

See Also:

isVisible

 show

 public void show()

Note: show() is deprecated. As of JDK version 1.1, replaced by setVisible(boolean).

 show

 public void show(boolean b)

Note: show() is deprecated. As of JDK version 1.1, replaced by setVisible(boolean).

 size

 public Dimension size()

Note: size() is deprecated. As of JDK version 1.1, replaced by getSize().

 toString

 public String toString()

Returns a string representation of this component and its values.

Returns:

a string representation of this component.

Overrides:

toString in class Object

 transferFocus

 public void transferFocus()

Transfers the focus to the next component.

See Also:

requestFocus, gotFocus

 update

 public void update(Graphics g)

Updates this component.

The AWT calls the update method in response to a call to repaint</code. The appearance of the component on the screen has not changed since the last call to update or paint. You can assume that the background is not cleared.

The updatemethod of Component does the following:

•	Clears this component by filling it with the background color.

•	Sets the color of the graphics context to be the foreground color of this component.

•	Calls this component's paint method to completely redraw this component.

The origin of the graphics context, its (0, 0) coordinate point, is the top-left corner of this component. The clipping region of the graphics context is the bounding rectangle of this component.

Parameters:

g - the specified context to use for updating.

See Also:

paint, repaint

 validate

 public void validate()

Ensures that this component has a valid layout. This method is primarily intended to operate on instances of Container.

See Also:

invalidate, doLayout, LayoutManager, validate


 Class java.awt.Container

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Container

public abstract class Container
   extends Component

A generic Abstract Window Toolkit(AWT) container object is a component that can contain other AWT components.

Components added to a container are tracked in a list. The order of the list will define the components' front-to-back stacking order within the container. If no index is specified when adding a component to a container, it will be added to the end of the list (and hence to the bottom of the stacking order).

     See Also:
     add, getComponent, LayoutManager

 Container()

Constructs a new Container.

 add(Component)

Adds the specified component to the end of this container.

 add(Component, int)

Adds the specified component to this container at the given position.

 add(Component, Object)

Adds the specified component to the end of this container.

 add(Component, Object, int)

Adds the specified component to this container with the specified constraints at the specified index.

 add(String, Component)

Adds the specified component to this container.

 addContainerListener(ContainerListener)

Adds the specified container listener to receive container events from this container.

 addImpl(Component, Object, int)

Adds the specified component to this container at the specified index.

 addNotify()

Notifies the container to create a peer.

 countComponents()

Deprecated.

 deliverEvent(Event)

Deprecated.

 doLayout()

Causes this container to lay out its components.

 getAlignmentX()

Returns the alignment along the x axis.

 getAlignmentY()

Returns the alignment along the y axis.

 getComponent(int)

Gets the nth component in this container.

 getComponentAt(int, int)

Locates the component that contains the x,y position.

 getComponentAt(Point)

Gets the component that contains the specified point.

 getComponentCount()

Gets the number of components in this panel.

 getComponents()

Gets all the components in this container.

 getInsets()

Determines the insets of this container, which indicate the size of the container's border.

 getLayout()

Gets the layout manager for this container.

 getMaximumSize()

Returns the maximum size of this container.

 getMinimumSize()

Returns the minimum size of this container.

 getPreferredSize()

Returns the preferred size of this container.

 insets()

Deprecated.

 invalidate()

Invalidates the container.

 isAncestorOf(Component)

Checks if the component is contained in the component hierarchy of this container.

 layout()

Deprecated.

 list(PrintStream, int)

Prints a listing of this container to the specified output stream.

 list(PrintWriter, int)

Prints out a list, starting at the specified indention, to the specified print writer.

 locate(int, int)

Deprecated.

 minimumSize()

Deprecated.

 paint(Graphics)

Paints the container.

 paintComponents(Graphics)

Paints each of the components in this container.

 paramString()

Returns the parameter string representing the state of this container.

 preferredSize()

Deprecated.

 print(Graphics)

Prints the container.

 printComponents(Graphics)

Prints each of the components in this container.

 processContainerEvent(ContainerEvent)

Processes container events occurring on this container by dispatching them to any registered ContainerListener objects.

 processEvent(AWTEvent)

Processes events on this container.

 remove(Component)

Removes the specified component from this container.

 remove(int)

Removes the component, specified by index, from this container.

 removeAll()

Removes all the components from this container.

 removeContainerListener(ContainerListener)

Removes the specified container listener so it no longer receives container events from this container.

 removeNotify()

Notifies this container and all of its subcomponents to remove their peers.

 setLayout(LayoutManager)

Sets the layout manager for this container.

 update(Graphics)

Updates the container.

 validate()

Validates this container and all of its subcomponents.

 validateTree()

Recursively descends the container tree and recomputes the layout for any subtrees marked as needing it (those marked as invalid).

 Container

 protected Container()

Constructs a new Container. Containers can be extended directly, but are lightweight in this case and must be contained by a parent somewhere higher up in the component tree that is native. (such as Frame for example).

 add

 public Component add(Component comp)

Adds the specified component to the end of this container.

Parameters:

comp - the component to be added.

Returns:

the component argument.

 add

 public Component add(Component comp,
                      int index)

Adds the specified component to this container at the given position.

Parameters:

comp - the component to be added.

index - the position at which to insert the component, or -1 to insert the component at the end.

Returns:

the component comp

See Also:

remove

 add

 public void add(Component comp,
                 Object constraints)

Adds the specified component to the end of this container. Also notifies the layout manager to add the component to this container's layout using the specified constraints object.

Parameters:

comp - the component to be added

constraints - an object expressing layout contraints for this component

See Also:

LayoutManager

 add

 public void add(Component comp,
                 Object constraints,
                 int index)

Adds the specified component to this container with the specified constraints at the specified index. Also notifies the layout manager to add the component to the this container's layout using the specified constraints object.

Parameters:

comp - the component to be added

constraints - an object expressing layout contraints for this

index - the position in the container's list at which to insert the component. -1 means insert at the end. component

See Also:

remove, LayoutManager

 add

 public Component add(String name,
                      Component comp)

Adds the specified component to this container. It is strongly advised to use the 1.1 method, add(Component, Object), in place of this method.

 addContainerListener

 public synchronized void addContainerListener(ContainerListener l)

Adds the specified container listener to receive container events from this container.

Parameters:

l - the container listener

 addImpl

 protected void addImpl(Component comp,
                        Object constraints,
                        int index)

Adds the specified component to this container at the specified index. This method also notifies the layout manager to add the component to this container's layout using the specified constraints object.

This is the method to override if a program needs to track every add request to a container. An overriding method should usually include a call to the superclass's version of the method:

super.addImpl(comp, constraints, index)

Parameters:

comp - the component to be added.

constraints - an object expressing layout contraints for this component.

index - the position in the container's list at which to insert the component, where -1 means insert at the end.

See Also:

add, add, add, LayoutManager

 addNotify

 public void addNotify()

Notifies the container to create a peer. It will also notify the components contained in this container. This method should be called by Container.add, and not by user code directly.

Overrides:

addNotify in class Component

See Also:

removeNotify

 countComponents

 public int countComponents()

Note: countComponents() is deprecated. As of JDK version 1.1, replaced by getComponentCount().

 deliverEvent

 public void deliverEvent(Event e)

Note: deliverEvent() is deprecated. As of JDK version 1.1, replaced by dispatchEvent(AWTEvent e)

Overrides:

deliverEvent in class Component

 doLayout

 public void doLayout()

Causes this container to lay out its components. Most programs should not call this method directly, but should invoke the validate method instead.

Overrides:

doLayout in class Component

See Also:

layoutContainer, setLayout, validate

 getAlignmentX

 public float getAlignmentX()

Returns the alignment along the x axis. This specifies how the component would like to be aligned relative to other components. The value should be a number between 0 and 1 where 0 represents alignment along the origin, 1 is aligned the furthest away from the origin, 0.5 is centered, etc.

Overrides:

getAlignmentX in class Component

 getAlignmentY

 public float getAlignmentY()

Returns the alignment along the y axis. This specifies how the component would like to be aligned relative to other components. The value should be a number between 0 and 1 where 0 represents alignment along the origin, 1 is aligned the furthest away from the origin, 0.5 is centered, etc.

Overrides:

getAlignmentY in class Component

 getComponent

 public Component getComponent(int n)

Gets the nth component in this container.

Parameters:

n - the index of the component to get.

Returns:

the nth component in this container.

Throws: ArrayIndexOutOfBoundsException

if the nth value does not exist.

 getComponentAt

 public Component getComponentAt(int x,
                                 int y)

Locates the component that contains the x,y position. The top-most child component is returned in the case where there is overlap in the components. This is determined by finding the component closest to the index 0 that claims to contain the given point via Component.contains().

Parameters:

x - the x coordinate

y - the y</i. coordinate

Returns:

null if the component does not contain the position. If there is no child component at the requested point and the point is within the bounds of the container the container itself is returned; otherwise the top-most child is returned.

Overrides:

getComponentAt in class Component

See Also:

contains

 getComponentAt

 public Component getComponentAt(Point p)

Gets the component that contains the specified point.

Parameters:

p - the point.

Returns:

returns the component that contains the point, or null if the component does not contain the point.

Overrides:

getComponentAt in class Component

See Also:

contains

 getComponentCount

 public int getComponentCount()

Gets the number of components in this panel.

Returns:

the number of components in this panel.

See Also:

getComponent

 getComponents

 public Component[] getComponents()

Gets all the components in this container.

Returns:

an array of all the components in this container.

 getInsets

 public Insets getInsets()

Determines the insets of this container, which indicate the size of the container's border.

A Frame object, for example, has a top inset that corresponds to the height of the frame's title bar.

Returns:

the insets of this container.

See Also:

Insets, LayoutManager

 getLayout

 public LayoutManager getLayout()

Gets the layout manager for this container.

See Also:

doLayout, setLayout

 getMaximumSize

 public Dimension getMaximumSize()

Returns the maximum size of this container.

Overrides:

getMaximumSize in class Component

See Also:

getPreferredSize

 getMinimumSize

 public Dimension getMinimumSize()

Returns the minimum size of this container.

Returns:

an instance of Dimension that represents the minimum size of this container.

Overrides:

getMinimumSize in class Component

See Also:

getPreferredSize, getLayout, minimumLayoutSize, getMinimumSize

 getPreferredSize

 public Dimension getPreferredSize()

Returns the preferred size of this container.

Returns:

an instance of Dimension that represents the preferred size of this container.

Overrides:

getPreferredSize in class Component

See Also:

getMinimumSize, getLayout, preferredLayoutSize, getPreferredSize

 insets

 public Insets insets()

Note: insets() is deprecated. As of JDK version 1.1, replaced by getInsets().

 invalidate

 public void invalidate()

Invalidates the container. The container and all parents above it are marked as needing to be laid out. This method can be called often, so it needs to execute quickly.

Overrides:

invalidate in class Component

See Also:

validate, layout, LayoutManager

 isAncestorOf

 public boolean isAncestorOf(Component c)

Checks if the component is contained in the component hierarchy of this container.

Parameters:

c - the component

Returns:

true if it is an ancestor; true otherwise.

 layout

 public void layout()

Note: layout() is deprecated. As of JDK version 1.1, replaced by doLayout().

Overrides:

layout in class Component

 list

 public void list(PrintStream out,
                  int indent)

Prints a listing of this container to the specified output stream. The listing starts at the specified indentation.

Parameters:

out - a print stream.

indent - the number of spaces to indent.

Overrides:

list in class Component

See Also:

list

 list

 public void list(PrintWriter out,
                  int indent)

Prints out a list, starting at the specified indention, to the specified print writer.

Overrides:

list in class Component

 locate

 public Component locate(int x,
                         int y)

Note: locate() is deprecated. As of JDK version 1.1, replaced by getComponentAt(int, int).

Overrides:

locate in class Component

 minimumSize

 public Dimension minimumSize()

Note: minimumSize() is deprecated. As of JDK version 1.1, replaced by getMinimumSize().

Overrides:

minimumSize in class Component

 paint

 public void paint(Graphics g)

Paints the container. This forwards the paint to any lightweight components that are children of this container. If this method is reimplemented, super.paint(g) should be called so that lightweight components are properly rendered. If a child component is entirely clipped by the current clipping setting in g, paint() will not be forwarded to that child.

Parameters:

g - the specified Graphics window

Overrides:

paint in class Component

See Also:

update

 paintComponents

 public void paintComponents(Graphics g)

Paints each of the components in this container.

Parameters:

g - the graphics context.

See Also:

paint, paintAll

 paramString

 protected String paramString()

Returns the parameter string representing the state of this container. This string is useful for debugging.

Returns:

the parameter string of this container.

Overrides:

paramString in class Component

 preferredSize

 public Dimension preferredSize()

Note: preferredSize() is deprecated. As of JDK version 1.1, replaced by getPreferredSize().

Overrides:

preferredSize in class Component

 print

 public void print(Graphics g)

Prints the container. This forwards the print to any lightweight components that are children of this container. If this method is reimplemented, super.print(g) should be called so that lightweight components are properly rendered. If a child component is entirely clipped by the current clipping setting in g, print() will not be forwarded to that child.

Parameters:

g - the specified Graphics window

Overrides:

print in class Component

See Also:

update

 printComponents

 public void printComponents(Graphics g)

Prints each of the components in this container.

Parameters:

g - the graphics context.

See Also:

print, printAll

 processContainerEvent

 protected void processContainerEvent(ContainerEvent e)

Processes container events occurring on this container by dispatching them to any registered ContainerListener objects. NOTE: This method will not be called unless container events are enabled for this component; this happens when one of the following occurs: a) A ContainerListener object is registered via addContainerListener() b) Container events are enabled via enableEvents()

Parameters:

e - the container event

See Also:

enableEvents

 processEvent

 protected void processEvent(AWTEvent e)

Processes events on this container. If the event is a ContainerEvent, it invokes the processContainerEvent method, else it invokes its superclass's processEvent.

Parameters:

e - the event

Overrides:

processEvent in class Component

 remove

 public void remove(Component comp)

Removes the specified component from this container.

Parameters:

comp - the component to be removed

See Also:

add

 remove

 public void remove(int index)

Removes the component, specified by index, from this container.

Parameters:

index - the index of the component to be removed.

See Also:

add

 removeAll

 public void removeAll()

Removes all the components from this container.

See Also:

add, remove

 removeContainerListener

 public void removeContainerListener(ContainerListener l)

Removes the specified container listener so it no longer receives container events from this container.

Parameters:

l - the container listener

 removeNotify

 public void removeNotify()

Notifies this container and all of its subcomponents to remove their peers. This method should be invoked by the container's remove method, and not directly by user code.

Overrides:

removeNotify in class Component

See Also:

remove, remove

 setLayout

 public void setLayout(LayoutManager mgr)

Sets the layout manager for this container.

Parameters:

mgr - the specified layout manager

See Also:

doLayout, getLayout

 update

 public void update(Graphics g)

Updates the container. This forwards the update to any lightweight components that are children of this container. If this method is reimplemented, super.update(g) should be called so that lightweight components are properly rendered. If a child component is entirely clipped by the current clipping setting in g, update() will not be forwarded to that child.

Parameters:

g - the specified Graphics window

Overrides:

update in class Component

See Also:

update

 validate

 public void validate()

Validates this container and all of its subcomponents.

AWT uses validate to cause a container to lay out its subcomponents again after the components it contains have been added to or modified.

Overrides:

validate in class Component

See Also:

validate, invalidate

 validateTree

 protected void validateTree()

Recursively descends the container tree and recomputes the layout for any subtrees marked as needing it (those marked as invalid). Synchronization should be provided by the method that calls this one: validate.


 Class java.awt.Cursor

java.lang.Object
   |
   +----java.awt.Cursor

public class Cursor
   extends Object
   implements Serializable

A class to encapsulate the bitmap representation of the mouse cursor.

     See Also:
     setCursor

 CROSSHAIR_CURSOR

The crosshair cursor type.

 DEFAULT_CURSOR

The default cursor type (gets set if no cursor is defined).

 E_RESIZE_CURSOR

The east-resize cursor type.

 HAND_CURSOR

The hand cursor type.

 MOVE_CURSOR

The move cursor type.

 N_RESIZE_CURSOR

The north-resize cursor type.

 NE_RESIZE_CURSOR

The north-east-resize cursor type.

 NW_RESIZE_CURSOR

The north-west-resize cursor type.

 predefined

 S_RESIZE_CURSOR

The south-resize cursor type.

 SE_RESIZE_CURSOR

The south-east-resize cursor type.

 SW_RESIZE_CURSOR

The south-west-resize cursor type.

 TEXT_CURSOR

The text cursor type.

 W_RESIZE_CURSOR

The west-resize cursor type.

 WAIT_CURSOR

The wait cursor type.

 Cursor(int)

Creates a new cursor object with the specified type.

 getDefaultCursor()

Return the system default cursor.

 getPredefinedCursor(int)

Returns a cursor object with the specified predefined type.

 getType()

Returns the type for this cursor.

 CROSSHAIR_CURSOR

 public static final int CROSSHAIR_CURSOR

The crosshair cursor type.

 DEFAULT_CURSOR

 public static final int DEFAULT_CURSOR

The default cursor type (gets set if no cursor is defined).

 E_RESIZE_CURSOR

 public static final int E_RESIZE_CURSOR

The east-resize cursor type.

 HAND_CURSOR

 public static final int HAND_CURSOR

The hand cursor type.

 MOVE_CURSOR

 public static final int MOVE_CURSOR

The move cursor type.

 N_RESIZE_CURSOR

 public static final int N_RESIZE_CURSOR

The north-resize cursor type.

 NE_RESIZE_CURSOR

 public static final int NE_RESIZE_CURSOR

The north-east-resize cursor type.

 NW_RESIZE_CURSOR

 public static final int NW_RESIZE_CURSOR

The north-west-resize cursor type.

 predefined

 protected static Cursor predefined[]

 S_RESIZE_CURSOR

 public static final int S_RESIZE_CURSOR

The south-resize cursor type.

 SE_RESIZE_CURSOR

 public static final int SE_RESIZE_CURSOR

The south-east-resize cursor type.

 SW_RESIZE_CURSOR

 public static final int SW_RESIZE_CURSOR

The south-west-resize cursor type.

 TEXT_CURSOR

 public static final int TEXT_CURSOR

The text cursor type.

 W_RESIZE_CURSOR

 public static final int W_RESIZE_CURSOR

The west-resize cursor type.

 WAIT_CURSOR

 public static final int WAIT_CURSOR

The wait cursor type.

 Cursor

 public Cursor(int type)

Creates a new cursor object with the specified type.

Parameters:

type - the type of cursor

 getDefaultCursor

 public static Cursor getDefaultCursor()

Return the system default cursor.

 getPredefinedCursor

 public static Cursor getPredefinedCursor(int type)

Returns a cursor object with the specified predefined type.

Parameters:

type - the type of predefined cursor

 getType

 public int getType()

Returns the type for this cursor.


 Class java.awt.Dialog

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Container
                   |
                   +----java.awt.Window
                           |
                           +----java.awt.Dialog

public class Dialog
   extends Window

A class that produces a dialog - a window that takes input from the user. The default layout for a dialog is BorderLayout.

Dialogs are capable of generating the following window events: WindowOpened, WindowClosing, WindowClosed, WindowActivated, WindowDeactivated.

     See Also:
     WindowEvent, addWindowListener

 Dialog(Frame)

Constructs an initially invisible Dialog with an empty title.

 Dialog(Frame, boolean)

Constructs an initially invisible Dialog with an empty title.

 Dialog(Frame, String)

Constructs an initially invisible Dialog with a title.

 Dialog(Frame, String, boolean)

Constructs an initially invisible Dialog with a title.

 addNotify()

Creates the dialog's peer.

 getTitle()

Gets the title of the dialog.

 isModal()

Indicates whether the dialog is modal.

 isResizable()

Indicates whether this dialog window is resizable.

 paramString()

Returns the parameter string representing the state of this dialog window.

 setModal(boolean)

Specifies whether this dialog is modal.

 setResizable(boolean)

Sets the resizable flag.

 setTitle(String)

Sets the title of the Dialog.

 show()

Shows the dialog.

 Dialog

 public Dialog(Frame parent)

Constructs an initially invisible Dialog with an empty title.

Parameters:

parent - the owner of the dialog

See Also:

setSize, setVisible

 Dialog

 public Dialog(Frame parent,
               boolean modal)

Constructs an initially invisible Dialog with an empty title. A modal Dialog grabs all the input to the parent frame from the user.

Parameters:

parent - the owner of the dialog

modal - if true, dialog blocks input to the parent window when shown

 Dialog

 public Dialog(Frame parent,
               String title)

Constructs an initially invisible Dialog with a title.

Parameters:

parent - the owner of the dialog

title - the title of the dialog

See Also:

setSize, setVisible

 Dialog

 public Dialog(Frame parent,
               String title,
               boolean modal)

Constructs an initially invisible Dialog with a title. A modal Dialog grabs all the input to the parent frame from the user.

Parameters:

parent - the owner of the dialog

title - the title of the dialog

modal - if true, dialog blocks input to the parent window when shown

See Also:

setSize, setVisible

 addNotify

 public void addNotify()

Creates the dialog's peer. The peer allows us to change the appearance of the frame without changing its functionality.

Overrides:

addNotify in class Window

 getTitle

 public String getTitle()

Gets the title of the dialog.

Returns:

the title of this dialog window.

See Also:

setTitle

 isModal

 public boolean isModal()

Indicates whether the dialog is modal. A modal dialog grabs all input from the user.

Returns:

true if this dialog window is modal; false otherwise.

See Also:

setModal

 isResizable

 public boolean isResizable()

Indicates whether this dialog window is resizable.

Returns:

true if the user can resize the dialog; false otherwise.

See Also:

setResizable

 paramString

 protected String paramString()

Returns the parameter string representing the state of this dialog window. This string is useful for debugging.

Returns:

the parameter string of this dialog window.

Overrides:

paramString in class Container

 setModal

 public void setModal(boolean b)

Specifies whether this dialog is modal. A modal Dialog grabs all the input to the parent frame from the user.

See Also:

isModal

 setResizable

 public synchronized void setResizable(boolean resizable)

Sets the resizable flag.

Parameters:

resizable - true if the user can resize this dialog; false otherwise.

See Also:

isResizable

 setTitle

 public synchronized void setTitle(String title)

Sets the title of the Dialog.

Parameters:

title - the new title being given to the dialog

See Also:

getTitle

 show

 public void show()

Shows the dialog. This will bring the dialog to the front if the dialog is already visible. If the dialog is modal, this call will block input to the parent window until the dialog is taken down by calling hide or dispose. It is permissible to show modal dialogs from the event dispatching thread because the toolkit will ensure that another dispatching thread will run while the one which invoked show is blocked.

Overrides:

show in class Window

See Also:

hide


 Class java.awt.Dimension

java.lang.Object
   |
   +----java.awt.Dimension

public class Dimension
   extends Object
   implements Serializable

The Dimension class encapsulates the width and height of a component in a single object. The class is associated with certain properties of components. Several methods defined by the Component class and the LayoutManager interface return a Dimension object.

Normally the values of width and height are non-negative integers. The constructors that allow you to create a dimension do not prevent you from setting a negative value for these properties. If the value of width or height is negative, the behavior of some methods defined by other objects is undefined.

     See Also:
     Component, LayoutManager

 height

The height dimension.

 width

The width dimension.

 Dimension()

Creates an instance of Dimension with a width of zero and a height of zero.

 Dimension(Dimension)

Creates an instance of Dimension whose width and height are the same as for the specified dimension.

 Dimension(int, int)

Constructs a Dimension and initializes it to the specified width and specified height.

 equals(Object)

Checks whether two dimension objects have equal values.

 getSize()

Gets the size of this Dimension object.

 setSize(Dimension)

Set the size of this Dimension object to the specified size.

 setSize(int, int)

Set the size of this Dimension object to the specified width and height.

 toString()

Returns a string that represents this Dimension object's values.

 height

 public int height

The height dimension.

 width

 public int width

The width dimension.

 Dimension

 public Dimension()

Creates an instance of Dimension with a width of zero and a height of zero.

 Dimension

 public Dimension(Dimension d)

Creates an instance of Dimension whose width and height are the same as for the specified dimension.

Parameters:

d - the specified dimension for the width and height values.

 Dimension

 public Dimension(int width,
                  int height)

Constructs a Dimension and initializes it to the specified width and specified height.

Parameters:

width - the specified width dimension

height - the specified height dimension

 equals

 public boolean equals(Object obj)

Checks whether two dimension objects have equal values.

Overrides:

equals in class Object

 getSize

 public Dimension getSize()

Gets the size of this Dimension object. This method is included for completeness, to parallel the getSize method defined by Component.

Returns:

the size of this dimension, a new instance of Dimension with the same width and height.

See Also:

setSize, getSize

 setSize

 public void setSize(Dimension d)

Set the size of this Dimension object to the specified size. This method is included for completeness, to parallel the setSize method defined by Component.

Parameters:

d - the new size for this Dimension object.

See Also:

getSize, setSize

 setSize

 public void setSize(int width,
                     int height)

Set the size of this Dimension object to the specified width and height. This method is included for completeness, to parallel the setSize method defined by Component.

Parameters:

width - the new width for this Dimension object.

height - the new height for this Dimension object.

See Also:

getSize, setSize

 toString

 public String toString()

Returns a string that represents this Dimension object's values.

Returns:

a string representation of this dimension, including the values of width and height.

Overrides:

toString in class Object


 Class java.awt.Event

java.lang.Object
   |
   +----java.awt.Event

public class Event
   extends Object
   implements Serializable

Event is a platform-independent class that encapsulates events from the platform's Graphical User Interface in the Java 1.0 event model. In Java 1.1 and later versions, the Event class is maintained only for backwards compatibilty. The information in this class description is provided to assist programmers in converting Java 1.0 programs to the new event model.

In the Java 1.0 event model, an event contains an id field that indicates what type of event it is and which other Event variables are relevant for the event.

For keyboard events, key contains a value indicating which key was activated, and modifiers contains the modifiers for that event. For the KEY_PRESS and KEY_RELEASE event ids, the value of key is the unicode character code for the key. For KEY_ACTION and KEY_ACTION_RELEASE, the value of key is one of the defined action-key identifiers in the Event class (PGUP, PGDN, F1, F2, etc).

 ACTION_EVENT

This event indicates that the user wants some action to occur.

 ALT_MASK

This flag indicates that the Alt key was down when the event occurred.

 arg

An arbitrary argument of the event.

 BACK_SPACE

The BackSpace key.

 CAPS_LOCK

The Caps Lock key, a non-ASCII action key.

 clickCount

For MOUSE_DOWN events, this field indicates the number of consecutive clicks.

 CTRL_MASK

This flag indicates that the Control key was down when the event occurred.

 DELETE

The Delete key.

 DOWN

The Down Arrow key, a non-ASCII action key.

 END

The End key, a non-ASCII action key.

 ENTER

The Enter key.

 ESCAPE

The Escape key.

 evt

The next event.

 F1

The F1 function key, a non-ASCII action key.

 F10

The F10 function key, a non-ASCII action key.

 F11

The F11 function key, a non-ASCII action key.

 F12

The F12 function key, a non-ASCII action key.

 F2

The F2 function key, a non-ASCII action key.

 F3

The F3 function key, a non-ASCII action key.

 F4

The F4 function key, a non-ASCII action key.

 F5

The F5 function key, a non-ASCII action key.

 F6

The F6 function key, a non-ASCII action key.

 F7

The F7 function key, a non-ASCII action key.

 F8

The F8 function key, a non-ASCII action key.

 F9

The F9 function key, a non-ASCII action key.

 GOT_FOCUS

A component gained the focus.

 HOME

The Home key, a non-ASCII action key.

 id

Indicates which type of event the event is, and which other Event variables are relevant for the event.

 INSERT

The Insert key, a non-ASCII action key.

 key

The key code of the key that was pressed in a keyboard event.

 KEY_ACTION

The user has pressed a non-ASCII action key.

 KEY_ACTION_RELEASE

The user has released a non-ASCII action key.

 KEY_PRESS

The user has pressed a normal key.

 KEY_RELEASE

The user has released a normal key.

 LEFT

The Left Arrow key, a non-ASCII action key.

 LIST_DESELECT

An item in a list has been deselected.

 LIST_SELECT

An item in a list has been selected.

 LOAD_FILE

A file loading event.

 LOST_FOCUS

A component lost the focus.

 META_MASK

This flag indicates that the Meta key was down when the event occurred.

 modifiers

The state of the modifier keys.

 MOUSE_DOWN

The user has pressed the mouse button.

 MOUSE_DRAG

The user has moved the mouse with a button pressed.

 MOUSE_ENTER

The mouse has entered a component.

 MOUSE_EXIT

The mouse has exited a component.

 MOUSE_MOVE

The mouse has moved with no button pressed.

 MOUSE_UP

The user has released the mouse button.

 NUM_LOCK

The Num Lock key, a non-ASCII action key.

 PAUSE

The Pause key, a non-ASCII action key.

 PGDN

The Page Down key, a non-ASCII action key.

 PGUP

The Page Up key, a non-ASCII action key.

 PRINT_SCREEN

The Print Screen key, a non-ASCII action key.

 RIGHT

The Right Arrow key, a non-ASCII action key.

 SAVE_FILE

A file saving event.

 SCROLL_ABSOLUTE

The user has moved the bubble (thumb) in a scroll bar, moving to an "absolute" position, rather than to an offset from the last postion.

 SCROLL_BEGIN

The scroll begin event.

 SCROLL_END

The scroll end event.

 SCROLL_LINE_DOWN

The user has activated the line down area of a scroll bar.

 SCROLL_LINE_UP

The user has activated the line up area of a scroll bar.

 SCROLL_LOCK

The Scroll Lock key, a non-ASCII action key.

 SCROLL_PAGE_DOWN

The user has activated the page down area of a scroll bar.

 SCROLL_PAGE_UP

The user has activated the page up area of a scroll bar.

 SHIFT_MASK

This flag indicates that the Shift key was down when the event occurred.

 TAB

The Tab key.

 target

The target component.

 UP

The Up Arrow key, a non-ASCII action key.

 when

The time stamp.

 WINDOW_DEICONIFY

The user has asked the window manager to de-iconify the window.

 WINDOW_DESTROY

The user has asked the window manager to kill the window.

 WINDOW_EXPOSE

The user has asked the window manager to expose the window.

 WINDOW_ICONIFY

The user has asked the window manager to iconify the window.

 WINDOW_MOVED

The user has asked the window manager to move the window.

 x

The x coordinate of the event.

 y

The y coordinate of the event.

 Event(Object, int, Object)

Creates an instance of Event with the specified target component, event type, and argument.

 Event(Object, long, int, int, int, int, int)

Creates an instance of Event, with the specified target component, time stamp, event type, x and y coordinates, keyboard key, state of the modifier keys, and an argument set to null.

 Event(Object, long, int, int, int, int, int, Object)

Creates an instance of Event with the specified target component, time stamp, event type, x and y coordinates, keyboard key, state of the modifier keys, and argument.

 controlDown()

Checks if the Control key is down.

 metaDown()

Checks if the Meta key is down.

 paramString()

Returns the parameter string representing this event.

 shiftDown()

Checks if the Shift key is down.

 toString()

Returns a representation of this event's values as a string.

 translate(int, int)

Translates this event so that its x and y coordinates are increased by dx and dy, respectively.

 ACTION_EVENT

 public static final int ACTION_EVENT

This event indicates that the user wants some action to occur.

 ALT_MASK

 public static final int ALT_MASK

This flag indicates that the Alt key was down when the event occurred. For mouse events, this flag indicates that the middle mouse button was pressed or released.

 arg

 public Object arg

An arbitrary argument of the event. The value of this field depends on the type of event.

 BACK_SPACE

 public static final int BACK_SPACE

The BackSpace key.

 CAPS_LOCK

 public static final int CAPS_LOCK

The Caps Lock key, a non-ASCII action key.

 clickCount

 public int clickCount

For MOUSE_DOWN events, this field indicates the number of consecutive clicks. For other events, its value is 0.

 CTRL_MASK

 public static final int CTRL_MASK

This flag indicates that the Control key was down when the event occurred.

 DELETE

 public static final int DELETE

The Delete key.

 DOWN

 public static final int DOWN

The Down Arrow key, a non-ASCII action key.

 END

 public static final int END

The End key, a non-ASCII action key.

 ENTER

 public static final int ENTER

The Enter key.

 ESCAPE

 public static final int ESCAPE

The Escape key.

 evt

 public Event evt

The next event. This field is set when putting events into a linked list.

 F1

 public static final int F1

The F1 function key, a non-ASCII action key.

 F10

 public static final int F10

The F10 function key, a non-ASCII action key.

 F11

 public static final int F11

The F11 function key, a non-ASCII action key.

 F12

 public static final int F12

The F12 function key, a non-ASCII action key.

 F2

 public static final int F2

The F2 function key, a non-ASCII action key.

 F3

 public static final int F3

The F3 function key, a non-ASCII action key.

 F4

 public static final int F4

The F4 function key, a non-ASCII action key.

 F5

 public static final int F5

The F5 function key, a non-ASCII action key.

 F6

 public static final int F6

The F6 function key, a non-ASCII action key.

 F7

 public static final int F7

The F7 function key, a non-ASCII action key.

 F8

 public static final int F8

The F8 function key, a non-ASCII action key.

 F9

 public static final int F9

The F9 function key, a non-ASCII action key.

 GOT_FOCUS

 public static final int GOT_FOCUS

A component gained the focus.

 HOME

 public static final int HOME

The Home key, a non-ASCII action key.

 id

 public int id

Indicates which type of event the event is, and which other Event variables are relevant for the event.

 INSERT

 public static final int INSERT

The Insert key, a non-ASCII action key.

 key

 public int key

The key code of the key that was pressed in a keyboard event.

 KEY_ACTION

 public static final int KEY_ACTION

The user has pressed a non-ASCII action key. The key field contains a value that indicates that the event occurred on one of the action keys, which comprise the 12 function keys, the arrow (cursor) keys, Page Up, Page Down, Home, End, Print Screen, Scroll Lock, Caps Lock, Num Lock, Pause, and Insert.

 KEY_ACTION_RELEASE

 public static final int KEY_ACTION_RELEASE

The user has released a non-ASCII action key. The key field contains a value that indicates that the event occurred on one of the action keys, which comprise the 12 function keys, the arrow (cursor) keys, Page Up, Page Down, Home, End, Print Screen, Scroll Lock, Caps Lock, Num Lock, Pause, and Insert.

 KEY_PRESS

 public static final int KEY_PRESS

The user has pressed a normal key.

 KEY_RELEASE

 public static final int KEY_RELEASE

The user has released a normal key.

 LEFT

 public static final int LEFT

The Left Arrow key, a non-ASCII action key.

 LIST_DESELECT

 public static final int LIST_DESELECT

An item in a list has been deselected.

 LIST_SELECT

 public static final int LIST_SELECT

An item in a list has been selected.

 LOAD_FILE

 public static final int LOAD_FILE

A file loading event.

 LOST_FOCUS

 public static final int LOST_FOCUS

A component lost the focus.

 META_MASK

 public static final int META_MASK

This flag indicates that the Meta key was down when the event occurred. For mouse events, this flag indicates that the right button was pressed or released.

 modifiers

 public int modifiers

The state of the modifier keys.

NOTE: changing the modifier keys is not recommended, because many native implementations do not recognize modifier changes. This is especially true when the shift modifier is changed.

 MOUSE_DOWN

 public static final int MOUSE_DOWN

The user has pressed the mouse button. The ALT_MASK flag indicates that the middle button has been pressed. The META_MASKflag indicates that the right button has been pressed.

See Also:

ALT_MASK, META_MASK

 MOUSE_DRAG

 public static final int MOUSE_DRAG

The user has moved the mouse with a button pressed. The ALT_MASK flag indicates that the middle button is being pressed. The META_MASK flag indicates that the right button is being pressed.

See Also:

ALT_MASK, META_MASK

 MOUSE_ENTER

 public static final int MOUSE_ENTER

The mouse has entered a component.

 MOUSE_EXIT

 public static final int MOUSE_EXIT

The mouse has exited a component.

 MOUSE_MOVE

 public static final int MOUSE_MOVE

The mouse has moved with no button pressed.

 MOUSE_UP

 public static final int MOUSE_UP

The user has released the mouse button. The ALT_MASK flag indicates that the middle button has been released. The META_MASKflag indicates that the right button has been released.

See Also:

ALT_MASK, META_MASK

 NUM_LOCK

 public static final int NUM_LOCK

The Num Lock key, a non-ASCII action key.

 PAUSE

 public static final int PAUSE

The Pause key, a non-ASCII action key.

 PGDN

 public static final int PGDN

The Page Down key, a non-ASCII action key.

 PGUP

 public static final int PGUP

The Page Up key, a non-ASCII action key.

 PRINT_SCREEN

 public static final int PRINT_SCREEN

The Print Screen key, a non-ASCII action key.

 RIGHT

 public static final int RIGHT

The Right Arrow key, a non-ASCII action key.

 SAVE_FILE

 public static final int SAVE_FILE

A file saving event.

 SCROLL_ABSOLUTE

 public static final int SCROLL_ABSOLUTE

The user has moved the bubble (thumb) in a scroll bar, moving to an "absolute" position, rather than to an offset from the last postion.

 SCROLL_BEGIN

 public static final int SCROLL_BEGIN

The scroll begin event.

 SCROLL_END

 public static final int SCROLL_END

The scroll end event.

 SCROLL_LINE_DOWN

 public static final int SCROLL_LINE_DOWN

The user has activated the line down area of a scroll bar.

 SCROLL_LINE_UP

 public static final int SCROLL_LINE_UP

The user has activated the line up area of a scroll bar.

 SCROLL_LOCK

 public static final int SCROLL_LOCK

The Scroll Lock key, a non-ASCII action key.

 SCROLL_PAGE_DOWN

 public static final int SCROLL_PAGE_DOWN

The user has activated the page down area of a scroll bar.

 SCROLL_PAGE_UP

 public static final int SCROLL_PAGE_UP

The user has activated the page up area of a scroll bar.

 SHIFT_MASK

 public static final int SHIFT_MASK

This flag indicates that the Shift key was down when the event occurred.

 TAB

 public static final int TAB

The Tab key.

 target

 public Object target

The target component. This indicates the component over which the event occurred or with which the event is associated.

 UP

 public static final int UP

The Up Arrow key, a non-ASCII action key.

 when

 public long when

The time stamp.

 WINDOW_DEICONIFY

 public static final int WINDOW_DEICONIFY

The user has asked the window manager to de-iconify the window.

 WINDOW_DESTROY

 public static final int WINDOW_DESTROY

The user has asked the window manager to kill the window.

 WINDOW_EXPOSE

 public static final int WINDOW_EXPOSE

The user has asked the window manager to expose the window.

 WINDOW_ICONIFY

 public static final int WINDOW_ICONIFY

The user has asked the window manager to iconify the window.

 WINDOW_MOVED

 public static final int WINDOW_MOVED

The user has asked the window manager to move the window.

 x

 public int x

The x coordinate of the event.

 y

 public int y

The y coordinate of the event.

 Event

 public Event(Object target,
              int id,
              Object arg)

Creates an instance of Event with the specified target component, event type, and argument.

Parameters:

target - the target component.

id - the event type.

arg - the specified argument.

 Event

 public Event(Object target,
              long when,
              int id,
              int x,
              int y,
              int key,
              int modifiers)

Creates an instance of Event, with the specified target component, time stamp, event type, x and y coordinates, keyboard key, state of the modifier keys, and an argument set to null.

Parameters:

target - the target component.

when - the time stamp.

id - the event type.

x - the x coordinate.

y - the y coordinate.

key - the key pressed in a keyboard event.

modifiers - the state of the modifier keys.

 Event

 public Event(Object target,
              long when,
              int id,
              int x,
              int y,
              int key,
              int modifiers,
              Object arg)

Creates an instance of Event with the specified target component, time stamp, event type, x and y coordinates, keyboard key, state of the modifier keys, and argument.

Parameters:

target - the target component.

when - the time stamp.

id - the event type.

x - the x coordinate.

y - the y coordinate.

key - the key pressed in a keyboard event.

modifiers - the state of the modifier keys.

arg - the specified argument.

 controlDown

 public boolean controlDown()

Checks if the Control key is down.

Returns:

true if the key is down; false otherwise.

See Also:

modifiers, shiftDown, metaDown

 metaDown

 public boolean metaDown()

Checks if the Meta key is down.

Returns:

true if the key is down; false otherwise.

See Also:

modifiers, shiftDown, controlDown

 paramString

 protected String paramString()

Returns the parameter string representing this event. This string is useful for debugging.

Returns:

the parameter string of this event.

 shiftDown

 public boolean shiftDown()

Checks if the Shift key is down.

Returns:

true if the key is down; false otherwise.

See Also:

modifiers, controlDown, metaDown

 toString

 public String toString()

Returns a representation of this event's values as a string.

Returns:

a string that represents the event and the values of its member fields.

Overrides:

toString in class Object

See Also:

paramString

 translate

 public void translate(int x,
                       int y)

Translates this event so that its x and y coordinates are increased by dx and dy, respectively.

This method translates an event relative to the given component. This involves, at a minimum, translating the coordinates into the local coordinate system of the given component. It may also involve translating a region in the case of an expose event.

Parameters:

dx - the distance to translate the x coordinate.

dy - the distance to translate the y coordinate.


 Class java.awt.EventQueue

java.lang.Object
   |
   +----java.awt.EventQueue

public class EventQueue
   extends Object

EventQueue is a platform-independent class that queues events, both from the underlying peer classes and from trusted application classes. There is only one EventQueue for the system.

 EventQueue()

 getNextEvent()

Remove an event from the queue and return it.

 peekEvent()

Return the first event without removing it.

 peekEvent(int)

 postEvent(AWTEvent)

Post a 1.1-style event to the EventQueue.

 EventQueue

 public EventQueue()

 getNextEvent

 public synchronized AWTEvent getNextEvent() throws InterruptedException

Remove an event from the queue and return it. This method will block until an event has been posted by another thread.

Returns:

the next AWTEvent

Throws: InterruptedException

if another thread has interrupted this thread.

 peekEvent

 public synchronized AWTEvent peekEvent()

Return the first event without removing it.

Returns:

the first event, which is either an instance of java.awt.Event or java.awt.AWTEvent.

 peekEvent

 public synchronized AWTEvent peekEvent(int id)

 postEvent

 public synchronized void postEvent(AWTEvent theEvent)

Post a 1.1-style event to the EventQueue.

Parameters:

theEvent - an instance of java.awt.AWTEvent, or a subclass of it.


 Class java.awt.FileDialog

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Container
                   |
                   +----java.awt.Window
                           |
                           +----java.awt.Dialog
                                   |
                                   +----java.awt.FileDialog

public class FileDialog
   extends Dialog

The FileDialog class displays a dialog window from which the user can select a file.

Since it is a modal dialog, when the application calls its show method to display the dialog, it blocks the rest of the application until the user has chosen a file.

     See Also:
     show

 LOAD

This constant value indicates that the purpose of the file dialog window is to locate a file from which to read.

 SAVE

This constant value indicates that the purpose of the file dialog window is to locate a file to which to write.

 FileDialog(Frame)

Creates a file dialog for loading a file.

 FileDialog(Frame, String)

Creates a file dialog window with the specified title for loading a file.

 FileDialog(Frame, String, int)

Creates a file dialog window with the specified title for loading or saving a file.

 addNotify()

Creates the file dialog's peer.

 getDirectory()

Gets the directory of this file dialog.

 getFile()

Gets the selected file of this file dialog.

 getFilenameFilter()

Determines this file dialog's filename filter.

 getMode()

Indicates whether this file dialog box is for loading from a file or for saving to a file.

 paramString()

Returns the parameter string representing the state of this file dialog window.

 setDirectory(String)

Sets the directory of this file dialog window to be the specified directory.

 setFile(String)

Sets the selected file for this file dialog window to be the specified file.

 setFilenameFilter(FilenameFilter)

Sets the filename filter for this file dialog window to the specified filter.

 setMode(int)

Sets the mode of the file dialog.

 LOAD

 public static final int LOAD

This constant value indicates that the purpose of the file dialog window is to locate a file from which to read.

 SAVE

 public static final int SAVE

This constant value indicates that the purpose of the file dialog window is to locate a file to which to write.

 FileDialog

 public FileDialog(Frame parent)

Creates a file dialog for loading a file. The title of the file dialog is initially empty.

Parameters:

parent - the owner of the dialog

 FileDialog

 public FileDialog(Frame parent,
                   String title)

Creates a file dialog window with the specified title for loading a file. The files shown are those in the current directory.

Parameters:

parent - the owner of the dialog.

title - the title of the dialog.

 FileDialog

 public FileDialog(Frame parent,
                   String title,
                   int mode)

Creates a file dialog window with the specified title for loading or saving a file.

If the value of mode is LOAD, then the file dialog is finding a file to read. If the value of mode is SAVE, the file dialog is finding a place to write a file.

Parameters:

parent - the owner of the dialog.

title - the title of the dialog.

mode - the mode of the dialog.

See Also:

LOAD, SAVE

 addNotify

 public void addNotify()

Creates the file dialog's peer. The peer allows us to change the look of the file dialog without changing its functionality.

Overrides:

addNotify in class Dialog

 getDirectory

 public String getDirectory()

Gets the directory of this file dialog.

Returns:

the directory of this file dialog.

See Also:

setDirectory

 getFile

 public String getFile()

Gets the selected file of this file dialog.

Returns:

the currently selected file of this file dialog window, or null if none is selected.

See Also:

setFile

 getFilenameFilter

 public FilenameFilter getFilenameFilter()

Determines this file dialog's filename filter. A filename filter allows the user to specify which files appear in the file dialog window.

Returns:

this file dialog's filename filter.

See Also:

FilenameFilter, setFilenameFilter

 getMode

 public int getMode()

Indicates whether this file dialog box is for loading from a file or for saving to a file.

Returns:

the mode of this file dialog window, either FileDialog.LOAD or FileDialog.SAVE.

See Also:

LOAD, SAVE, setMode

 paramString

 protected String paramString()

Returns the parameter string representing the state of this file dialog window. This string is useful for debugging.

Returns:

the parameter string of this file dialog window.

Overrides:

paramString in class Dialog

 setDirectory

 public synchronized void setDirectory(String dir)

Sets the directory of this file dialog window to be the specified directory.

Parameters:

dir - the specific directory.

See Also:

getDirectory

 setFile

 public synchronized void setFile(String file)

Sets the selected file for this file dialog window to be the specified file. This file becomes the default file if it is set before the file dialog window is first shown.

Parameters:

file - the file being set.

See Also:

getFile

 setFilenameFilter

 public synchronized void setFilenameFilter(FilenameFilter filter)

Sets the filename filter for this file dialog window to the specified filter.

Parameters:

filter - the specified filter.

See Also:

FilenameFilter, getFilenameFilter

 setMode

 public void setMode(int mode)

Sets the mode of the file dialog.

Parameters:

mode - the mode for this file dialog, either FileDialog.LOAD or FileDialog.SAVE.

Throws: IllegalArgumentException

if an illegal file dialog mode is used.

See Also:

LOAD, SAVE, getMode


 Class java.awt.FlowLayout

java.lang.Object
   |
   +----java.awt.FlowLayout

public class FlowLayout
   extends Object
   implements LayoutManager, Serializable

A flow layout arranges components in a left-to-right flow, much like lines of text in a paragraph. Flow layouts are typically used to arrange buttons in a panel. It will arrange buttons left to right until no more buttons fit on the same line. Each line is centered.

For example, the following picture shows an applet using the flow layout manager (its default layout manager) to position three buttons:

Here is the code for this applet:

 import java.awt.*;
 import java.applet.Applet;
 public class myButtons extends Applet {
     Button button1, button2, button3;
     public void init() {
         button1 = new Button("Ok");
         button2 = new Button("Open");
         button3 = new Button("Close");
         add(button1);
         add(button2);
         add(button3);
     }
 }

A flow layout lets each component assume its natural (preferred) size.

 CENTER

This value indicates that each row of components should be centered.

 LEFT

This value indicates that each row of components should be left-justified.

 RIGHT

This value indicates that each row of components should be right-justified.

 FlowLayout()

Constructs a new Flow Layout with a centered alignment and a default 5-unit horizontal and vertical gap.

 FlowLayout(int)

Constructs a new Flow Layout with the specified alignment and a default 5-unit horizontal and vertical gap.

 FlowLayout(int, int, int)

Creates a new flow layout manager with the indicated alignment and the indicated horizontal and vertical gaps.

 addLayoutComponent(String, Component)

Adds the specified component to the layout.

 getAlignment()

Gets the alignment for this layout.

 getHgap()

Gets the horizontal gap between components.

 getVgap()

Gets the vertical gap between components.

 layoutContainer(Container)

Lays out the container.

 minimumLayoutSize(Container)

Returns the minimum dimensions needed to layout the components contained in the specified target container.

 preferredLayoutSize(Container)

Returns the preferred dimensions for this layout given the components in the specified target container.

 removeLayoutComponent(Component)

Removes the specified component from the layout.

 setAlignment(int)

Sets the alignment for this layout.

 setHgap(int)

Sets the horizontal gap between components.

 setVgap(int)

Sets the vertical gap between components.

 toString()

Returns a string representation of this FlowLayout object and its values.

 CENTER

 public static final int CENTER

This value indicates that each row of components should be centered.

 LEFT

 public static final int LEFT

This value indicates that each row of components should be left-justified.

 RIGHT

 public static final int RIGHT

This value indicates that each row of components should be right-justified.

 FlowLayout

 public FlowLayout()

Constructs a new Flow Layout with a centered alignment and a default 5-unit horizontal and vertical gap.

 FlowLayout

 public FlowLayout(int align)

Constructs a new Flow Layout with the specified alignment and a default 5-unit horizontal and vertical gap. The value of the alignment argument must be one of FlowLayout.LEFT, FlowLayout.RIGHT, or FlowLayout.CENTER.

Parameters:

align - the alignment value

 FlowLayout

 public FlowLayout(int align,
                   int hgap,
                   int vgap)

Creates a new flow layout manager with the indicated alignment and the indicated horizontal and vertical gaps.

The value of the alignment argument must be one of FlowLayout.LEFT, FlowLayout.RIGHT, or FlowLayout.CENTER.

Parameters:

align - the alignment value.

hgap - the horizontal gap between components.

vgap - the vertical gap between components.

 addLayoutComponent

 public void addLayoutComponent(String name,
                                Component comp)

Adds the specified component to the layout. Not used by this class.

Parameters:

name - the name of the component

comp - the component to be added

 getAlignment

 public int getAlignment()

Gets the alignment for this layout. Possible values are FlowLayout.LEFT, FlowLayout.RIGHT, or FlowLayout.CENTER.

Returns:

the alignment value for this layout.

See Also:

setAlignment

 getHgap

 public int getHgap()

Gets the horizontal gap between components.

Returns:

the horizontal gap between components.

See Also:

setHgap

 getVgap

 public int getVgap()

Gets the vertical gap between components.

Returns:

the vertical gap between components.

See Also:

setVgap

 layoutContainer

 public void layoutContainer(Container target)

Lays out the container. This method lets each component take its preferred size by reshaping the components in the target container in order to satisfy the constraints of this FlowLayout object.

Parameters:

target - the specified component being laid out.

See Also:

Container, doLayout

 minimumLayoutSize

 public Dimension minimumLayoutSize(Container target)

Returns the minimum dimensions needed to layout the components contained in the specified target container.

Parameters:

target - the component which needs to be laid out

Returns:

the minimum dimensions to lay out the subcomponents of the specified container.

See Also:

preferredLayoutSize, Container, doLayout

 preferredLayoutSize

 public Dimension preferredLayoutSize(Container target)

Returns the preferred dimensions for this layout given the components in the specified target container.

Parameters:

target - the component which needs to be laid out

Returns:

the preferred dimensions to lay out the subcomponents of the specified container.

See Also:

Container, minimumLayoutSize, getPreferredSize

 removeLayoutComponent

 public void removeLayoutComponent(Component comp)

Removes the specified component from the layout. Not used by this class.

Parameters:

comp - the component to remove

See Also:

removeAll

 setAlignment

 public void setAlignment(int align)

Sets the alignment for this layout. Possible values are FlowLayout.LEFT, FlowLayout.RIGHT, and FlowLayout.CENTER.

Parameters:

align - the alignment value.

See Also:

getAlignment

 setHgap

 public void setHgap(int hgap)

Sets the horizontal gap between components.

Parameters:

hgap - the horizontal gap between components

See Also:

getHgap

 setVgap

 public void setVgap(int vgap)

Sets the vertical gap between components.

Parameters:

vgap - the vertical gap between components

See Also:

getVgap

 toString

 public String toString()

Returns a string representation of this FlowLayout object and its values.

Returns:

a string representation of this layout.

Overrides:

toString in class Object


 Class java.awt.Font

java.lang.Object
   |
   +----java.awt.Font

public class Font
   extends Object
   implements Serializable

A class that produces font objects.

 BOLD

The bold style constant.

 ITALIC

The italicized style constant.

 name

The logical name of this font.

 PLAIN

The plain style constant.

 size

The point size of this font.

 style

The style of the font.

 Font(String, int, int)

Creates a new font with the specified name, style and point size.

 decode(String)

Gets the specified font using the name passed in.

 equals(Object)

Compares this object to the specifed object.

 getFamily()

Gets the platform specific family name of the font.

 getFont(String)

Gets a font from the system properties list.

 getFont(String, Font)

Gets the specified font from the system properties list.

 getName()

Gets the logical name of the font.

 getPeer()

Gets the peer of the font.

 getSize()

Gets the point size of the font.

 getStyle()

Gets the style of the font.

 hashCode()

Returns a hashcode for this font.

 isBold()

Indicates whether the font's style is bold.

 isItalic()

Indicates whether the font's style is italic.

 isPlain()

Indicates whether the font's style is plain.

 toString()

Converts this object to a String representation.

 BOLD

 public static final int BOLD

The bold style constant. This style can be combined with the other style constants for mixed styles.

 ITALIC

 public static final int ITALIC

The italicized style constant. This style can be combined with the other style constants for mixed styles.

 name

 protected String name

The logical name of this font.

 PLAIN

 public static final int PLAIN

The plain style constant. This style can be combined with the other style constants for mixed styles.

 size

 protected int size

The point size of this font.

 style

 protected int style

The style of the font. This is the sum of the constants PLAIN, BOLD, or ITALIC.

 Font

 public Font(String name,
             int style,
             int size)

Creates a new font with the specified name, style and point size.

Parameters:

name - the font name

style - the constant style used

size - the point size of the font

See Also:

getFontList

 decode

 public static Font decode(String str)

Gets the specified font using the name passed in.

Parameters:

str - the name

 equals

 public boolean equals(Object obj)

Compares this object to the specifed object. The result is true if and only if the argument is not null and is a Font object with the same name, style, and point size as this font.

Parameters:

obj - the object to compare this font with.

Returns:

true if the objects are equal; false otherwise.

Overrides:

equals in class Object

 getFamily

 public String getFamily()

Gets the platform specific family name of the font. Use the getName method to get the logical name of the font.

Returns:

a string, the platform specific family name.

See Also:

getName

 getFont

 public static Font getFont(String nm)

Gets a font from the system properties list.

Parameters:

nm - the property name

See Also:

getFont

 getFont

 public static Font getFont(String nm,
                            Font font)

Gets the specified font from the system properties list. The first argument is treated as the name of a system property to be obtained as if by the method System.getProperty. The string value of this property is then interpreted as a font.

The property value should be one of the following forms:

•	fontname-style-pointsize

•	fontname-pointsize

•	fontname-style

•	fontname

where style is one of the three strings "BOLD", "BOLDITALIC", or "ITALIC", and point size is a decimal representation of the point size.

The default style is PLAIN. The default point size is 12.

If the specified property is not found, the font argument is returned instead.

Parameters:

nm - the property name

font - a default font to return if property nm is not defined

Returns:

the Font value of the property.

 getName

 public String getName()

Gets the logical name of the font.

Returns:

a string, the logical name of the font.

See Also:

getFamily

 getPeer

 public FontPeer getPeer()

Gets the peer of the font.

Returns:

the peer of the font.

 getSize

 public int getSize()

Gets the point size of the font.

Returns:

the point size of this font.

 getStyle

 public int getStyle()

Gets the style of the font.

Returns:

the style of this font.

See Also:

isPlain, isBold, isItalic

 hashCode

 public int hashCode()

Returns a hashcode for this font.

Returns:

a hashcode value for this font.

Overrides:

hashCode in class Object

 isBold

 public boolean isBold()

Indicates whether the font's style is bold.

Returns:

true if the font is bold; false otherwise.

See Also:

getStyle

 isItalic

 public boolean isItalic()

Indicates whether the font's style is italic.

Returns:

true if the font is italic; false otherwise.

See Also:

getStyle

 isPlain

 public boolean isPlain()

Indicates whether the font's style is plain.

Returns:

true if the font is neither bold nor italic; false otherwise.

See Also:

getStyle

 toString

 public String toString()

Converts this object to a String representation.

Returns:

a string representation of this object

Overrides:

toString in class Object


 Class java.awt.FontMetrics

java.lang.Object
   |
   +----java.awt.FontMetrics

public abstract class FontMetrics
   extends Object
   implements Serializable

A font metrics object, which gives information about the rendering of a particular font on a particular screen. Note that the implementations of these methods are inefficient, they are usually overridden with more efficient toolkit-specific implementations.

Note to subclassers: Since many of these methods form closed mutually recursive loops, you must take care that you implement at least one of the methods in each such loop in order to prevent infinite recursion when your subclass is used. In particular, the following is the minimal suggested set of methods to override in order to ensure correctness and prevent infinite recursion (though other subsets are equally feasible):

•	getAscent()

•	getDescent()

•	getLeading()

•	getMaxAdvance()

•	charWidth(char ch)

•	charsWidth(char data[], int off, int len)

 When an application asks AWT to place a character at the position (x, y), the character is placed so that its reference point (shown as the dot in the accompanying image) is put at that position. The reference point specifies a horizontal line called the baseline of the character. In normal printing, the baselines of characters should align.

In addition, every character in a font has an ascent, a descent, and an advance width. The ascent is the amount by which the character ascends above the baseline. The descent is the amount by which the character descends below the baseline. The advance width indicates the position at which AWT should place the next character.

If the current character is placed with its reference point at the position (x, y), and the character's advance width is w, then the following character is placed with its reference point at the position (x + w, y). The advance width is often the same as the width of character's bounding box, but need not be so. In particular, oblique and italic fonts often have characters whose top-right corner extends slightly beyond the advance width.

An array of characters or a string can also have an ascent, a descent, and an advance width. The ascent of the array is the maximum ascent of any character in the array. The descent is the maximum descent of any character in the array. The advance width is the sum of the advance widths of each of the characters in the array.

     See Also:
     Font

 font

The actual font.

 FontMetrics(Font)

Creates a new FontMetrics object for finding out height and width information about the specified font and specific character glyphs in that font.

 bytesWidth(byte[], int, int)

Returns the total advance width for showing the specified array of bytes in this Font.

 charsWidth(char[], int, int)

Returns the total advance width for showing the specified array of characters in this Font.

 charWidth(char)

Returns the advance width of the specified character in this Font.

 charWidth(int)

Returns the advance width of the specified character in this Font.

 getAscent()

Determines the font ascent of the font described by this font metric.

 getDescent()

Determines the font descent of the font described by this font metric.

 getFont()

Gets the font described by this font metric.

 getHeight()

Gets the standard height of a line of text in this font.

 getLeading()

Determines the standard leading of the font described by this font metric.

 getMaxAdvance()

Gets the maximum advance width of any character in this Font.

 getMaxAscent()

Determines the maximum ascent of the font described by this font metric.

 getMaxDecent()

For backward compatibility only. Deprecated.

 getMaxDescent()

Determines the maximum descent of the font described by this font metric.

 getWidths()

Gets the advance widths of the first 256 characters in the Font.

 stringWidth(String)

Returns the total advance width for showing the specified String in this Font.

 toString()

Returns a representation of this FontMetric object's values as a string.

 font

 protected Font font

The actual font.

See Also:

getFont

 FontMetrics

 protected FontMetrics(Font font)

Creates a new FontMetrics object for finding out height and width information about the specified font and specific character glyphs in that font.

Parameters:

font - the font

See Also:

Font

 bytesWidth

 public int bytesWidth(byte data[],
                       int off,
                       int len)

Returns the total advance width for showing the specified array of bytes in this Font. The advance width is the amount by which the current point is moved from one character to the next in a line of text.

Parameters:

data - the array of bytes to be measured

off - the start offset of the bytes in the array

len - the number of bytes to be measured from the array

Returns:

the advance width of the subarray of the specified byte array in the font described by this font metric.

See Also:

charsWidth, stringWidth

 charsWidth

 public int charsWidth(char data[],
                       int off,
                       int len)

Returns the total advance width for showing the specified array of characters in this Font. The advance width is the amount by which the current point is moved from one character to the next in a line of text.

Parameters:

data - the array of characters to be measured

off - the start offset of the characters in the array

len - the number of characters to be measured from the array

Returns:

the advance width of the subarray of the specified char array in the font described by this font metric.

See Also:

charWidth, charWidth, bytesWidth, stringWidth

 charWidth

 public int charWidth(char ch)

Returns the advance width of the specified character in this Font. The advance width is the amount by which the current point is moved from one character to the next in a line of text.

Parameters:

ch - the character to be measured

Returns:

the advance width of the specified char > in the font described by this font metric.

See Also:

charsWidth, stringWidth

 charWidth

 public int charWidth(int ch)

Returns the advance width of the specified character in this Font. The advance width is the amount by which the current point is moved from one character to the next in a line of text.

Parameters:

ch - the character to be measured

Returns:

the advance width of the specified char in the font described by this font metric.

See Also:

charsWidth, stringWidth

 getAscent

 public int getAscent()

Determines the font ascent of the font described by this font metric. The font ascent is the distance from the font's baseline to the top of most alphanumeric characters. Some characters in the font may extend above the font ascent line.

Returns:

the font ascent of the font.

See Also:

getMaxAscent

 getDescent

 public int getDescent()

Determines the font descent of the font described by this font metric. The font descent is the distance from the font's baseline to the bottom of most alphanumeric characters with descenders. Some characters in the font may extend below the font descent line.

Returns:

the font descent of the font.

See Also:

getMaxDescent

 getFont

 public Font getFont()

Gets the font described by this font metric.

Returns:

the font described by this font metric.

 getHeight

 public int getHeight()

Gets the standard height of a line of text in this font. This is the distance between the baseline of adjacent lines of text. It is the sum of the leading + ascent + descent. There is no guarantee that lines of text spaced at this distance will be disjoint; such lines may overlap if some characters overshoot either the standard ascent or the standard descent metric.

Returns:

the standard height of the font.

See Also:

getLeading, getAscent, getDescent

 getLeading

 public int getLeading()

Determines the standard leading of the font described by this font metric. The standard leading (interline spacing) is the logical amount of space to be reserved between the descent of one line of text and the ascent of the next line. The height metric is calculated to include this extra space.

Returns:

the standard leading of the font.

See Also:

getHeight, getAscent, getDescent

 getMaxAdvance

 public int getMaxAdvance()

Gets the maximum advance width of any character in this Font. The advance width is the amount by which the current point is moved from one character to the next in a line of text.

Returns:

the maximum advance width of any character in the font, or -1 if the maximum advance width is not known.

 getMaxAscent

 public int getMaxAscent()

Determines the maximum ascent of the font described by this font metric. No character extends further above the font's baseline than this height.

Returns:

the maximum ascent of any character in the font.

See Also:

getAscent

 getMaxDecent

 public int getMaxDecent()

Note: getMaxDecent() is deprecated. As of JDK version 1.1.1, replaced by getMaxDescent().

For backward compatibility only.

See Also:

getMaxDescent

 getMaxDescent

 public int getMaxDescent()

Determines the maximum descent of the font described by this font metric. No character extends further below the font's baseline than this height.

Returns:

the maximum descent of any character in the font.

See Also:

getDescent

 getWidths

 public int[] getWidths()

Gets the advance widths of the first 256 characters in the Font. The advance width is the amount by which the current point is moved from one character to the next in a line of text.

Returns:

an array giving the advance widths of the characters in the font described by this font metric.

 stringWidth

 public int stringWidth(String str)

Returns the total advance width for showing the specified String in this Font. The advance width is the amount by which the current point is moved from one character to the next in a line of text.

Parameters:

str - the String to be measured

Returns:

the advance width of the specified string in the font described by this font metric.

See Also:

bytesWidth, charsWidth

 toString

 public String toString()

Returns a representation of this FontMetric object's values as a string.

Returns:

a string representation of this font metric.

Overrides:

toString in class Object


 Class java.awt.Frame

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Container
                   |
                   +----java.awt.Window
                           |
                           +----java.awt.Frame

public class Frame
   extends Window
   implements MenuContainer

A Frame is a top-level window with a title and a border. The default layout for a frame is BorderLayout. Frames are capable of generating the following types of window events: WindowOpened, WindowClosing, WindowClosed, WindowIconified, WindowDeiconified, WindowActivated, WindowDeactivated.

     See Also:
     WindowEvent, addWindowListener

 CROSSHAIR_CURSOR

 DEFAULT_CURSOR

 E_RESIZE_CURSOR

 HAND_CURSOR

 MOVE_CURSOR

 N_RESIZE_CURSOR

 NE_RESIZE_CURSOR

 NW_RESIZE_CURSOR

 S_RESIZE_CURSOR

 SE_RESIZE_CURSOR

 SW_RESIZE_CURSOR

 TEXT_CURSOR

 W_RESIZE_CURSOR

 WAIT_CURSOR

 Frame()

Constructs a new instance of Frame that is initially invisible.

 Frame(String)

Constructs a new, initially invisible Frame object with the specified title.

 addNotify()

Creates the Frame's peer.

 dispose()

Disposes of the Frame.

 getCursorType()

Deprecated.

 getIconImage()

Gets the icon image for this frame.

 getMenuBar()

Gets the menu bar for this frame.

 getTitle()

Gets the title of the frame.

 isResizable()

Indicates whether this frame is resizable.

 paramString()

Returns the parameter String of this Frame.

 remove(MenuComponent)

Removes the specified menu bar from this frame.

 setCursor(int)

Deprecated.

 setIconImage(Image)

Sets the image to display when this frame is iconized.

 setMenuBar(MenuBar)

Sets the menu bar for this frame to the specified menu bar.

 setResizable(boolean)

Sets the resizable flag, which determines whether this frame is resizable.

 setTitle(String)

Sets the title for this frame to the specified title.

 CROSSHAIR_CURSOR

 public static final int CROSSHAIR_CURSOR

 DEFAULT_CURSOR

 public static final int DEFAULT_CURSOR

 E_RESIZE_CURSOR

 public static final int E_RESIZE_CURSOR

 HAND_CURSOR

 public static final int HAND_CURSOR

 MOVE_CURSOR

 public static final int MOVE_CURSOR

 N_RESIZE_CURSOR

 public static final int N_RESIZE_CURSOR

 NE_RESIZE_CURSOR

 public static final int NE_RESIZE_CURSOR

 NW_RESIZE_CURSOR

 public static final int NW_RESIZE_CURSOR

 S_RESIZE_CURSOR

 public static final int S_RESIZE_CURSOR

 SE_RESIZE_CURSOR

 public static final int SE_RESIZE_CURSOR

 SW_RESIZE_CURSOR

 public static final int SW_RESIZE_CURSOR

 TEXT_CURSOR

 public static final int TEXT_CURSOR

 W_RESIZE_CURSOR

 public static final int W_RESIZE_CURSOR

 WAIT_CURSOR

 public static final int WAIT_CURSOR

 Frame

 public Frame()

Constructs a new instance of Frame that is initially invisible.

See Also:

setSize, setVisible

 Frame

 public Frame(String title)

Constructs a new, initially invisible Frame object with the specified title.

Parameters:

title - the title for the frame

See Also:

setSize, setVisible

 addNotify

 public void addNotify()

Creates the Frame's peer. The peer allows us to change the look of the Frame without changing its functionality.

Overrides:

addNotify in class Window

 dispose

 public void dispose()

Disposes of the Frame. This method must be called to release the resources that are used for the frame. All components contained by the frame and all windows owned by the frame will also be destroyed.

Overrides:

dispose in class Window

 getCursorType

 public int getCursorType()

Note: getCursorType() is deprecated. As of JDK version 1.1, replaced by Component.getCursor().

 getIconImage

 public Image getIconImage()

Gets the icon image for this frame.

Returns:

the icon image for this frame, or null if this frame doesn't have an icon image.

See Also:

setIconImage

 getMenuBar

 public MenuBar getMenuBar()

Gets the menu bar for this frame.

Returns:

the menu bar for this frame, or null if this frame doesn't have a menu bar.

See Also:

setMenuBar

 getTitle

 public String getTitle()

Gets the title of the frame.

Returns:

the title of this frame, or null if this frame doesn't have a title.

See Also:

setTitle

 isResizable

 public boolean isResizable()

Indicates whether this frame is resizable. By default, all frames are initially resizable.

Returns:

true if the user can resize this frame; false otherwise.

See Also:

setResizable

 paramString

 protected String paramString()

Returns the parameter String of this Frame.

Overrides:

paramString in class Container

 remove

 public synchronized void remove(MenuComponent m)

Removes the specified menu bar from this frame.

Parameters:

m - the menu component to remove.

Overrides:

remove in class Component

 setCursor

 public synchronized void setCursor(int cursorType)

Note: setCursor() is deprecated. As of JDK version 1.1, replaced by Component.setCursor(Cursor).

 setIconImage

 public synchronized void setIconImage(Image image)

Sets the image to display when this frame is iconized. Not all platforms support the concept of iconizing a window.

Parameters:

image - the icon image to be displayed

See Also:

getIconImage

 setMenuBar

 public synchronized void setMenuBar(MenuBar mb)

Sets the menu bar for this frame to the specified menu bar.

Parameters:

mb - the menu bar being set

See Also:

getMenuBar

 setResizable

 public synchronized void setResizable(boolean resizable)

Sets the resizable flag, which determines whether this frame is resizable. By default, all frames are initially resizable.

Parameters:

resizable - true if this frame is resizable; false otherwise.

See Also:

isResizable

 setTitle

 public synchronized void setTitle(String title)

Sets the title for this frame to the specified title.

Parameters:

title - the specified title of this frame.

See Also:

getTitle


 Class java.awt.Graphics

java.lang.Object
   |
   +----java.awt.Graphics

public abstract class Graphics
   extends Object

The Graphics class is the abstract base class for all graphics contexts that allow an application to draw onto components that are realized on various devices, as well as onto off-screen images.

A Graphics object encapsulates state information needed for the basic rendering operations that Java supports. This state information includes the following properties:

•

The Component object on which to draw.

•	A translation origin for rendering and clipping coordinates.

•	The current clip.

•	The current color.

•	The current font.

•	The current logical pixel operation function (XOR or Paint).

•	The current XOR alternation color (see setXORMode).

Coordinates are infinitely thin and lie between the pixels of the output device. Operations which draw the outline of a figure operate by traversing an infinitely thin path between pixels with a pixel-sized pen that hangs down and to the right of the anchor point on the path. Operations which fill a figure operate by filling the interior of that infinitely thin path. Operations which render horizontal text render the ascending portion of character glyphs entirely above the baseline coordinate.

The graphics pen hangs down and to the right from the path it traverses. This has the following implications:

•

If you draw a figure that covers a given rectangle, that figure occupies one extra row of pixels on the right and bottom edges as compared to filling a figure that is bounded by that same rectangle.

•	If you draw a horizontal line along the same y coordinate as the baseline of a line of text, that line is drawn entirely below the text, except for any descenders.

All coordinates which appear as arguments to the methods of this Graphics object are considered relative to the translation origin of this Graphics object prior to the invocation of the method. All rendering operations modify only pixels which lie within the area bounded by both the current clip of the graphics context and the extents of the component used to create the Graphics object. All drawing or writing is done in the current color, using the current paint mode, and in the current font.

     See Also:
     Component, clipRect, setColor, setPaintMode, setXORMode, setFont

 Graphics()

Constructs a new Graphics object.

 clearRect(int, int, int, int)

Clears the specified rectangle by filling it with the background color of the current drawing surface.

 clipRect(int, int, int, int)

Intersects the current clip with the specified rectangle.

 copyArea(int, int, int, int, int, int)

Copies an area of the component by a distance specified by dx and dy.

 create()

Creates a new Graphics object that is a copy of this Graphics object.

 create(int, int, int, int)

Creates a new Graphics object based on this Graphics object, but with a new translation and clip area.

 dispose()

Disposes of this graphics context and releases any system resources that it is using.

 draw3DRect(int, int, int, int, boolean)

Draws a 3-D highlighted outline of the specified rectangle.

 drawArc(int, int, int, int, int, int)

Draws the outline of a circular or elliptical arc covering the specified rectangle.

 drawBytes(byte[], int, int, int, int)

Draws the text given by the specified byte array, using this graphics context's current font and color.

 drawChars(char[], int, int, int, int)

Draws the text given by the specified character array, using this graphics context's current font and color.

 drawImage(Image, int, int, Color, ImageObserver)

Draws as much of the specified image as is currently available.

 drawImage(Image, int, int, ImageObserver)

Draws as much of the specified image as is currently available.

 drawImage(Image, int, int, int, int, Color, ImageObserver)

Draws as much of the specified image as has already been scaled to fit inside the specified rectangle.

 drawImage(Image, int, int, int, int, ImageObserver)

Draws as much of the specified image as has already been scaled to fit inside the specified rectangle.

 drawImage(Image, int, int, int, int, int, int, int, int, Color, ImageObserver)

Draws as much of the specified area of the specified image as is currently available, scaling it on the fly to fit inside the specified area of the destination drawable surface.

 drawImage(Image, int, int, int, int, int, int, int, int, ImageObserver)

Draws as much of the specified area of the specified image as is currently available, scaling it on the fly to fit inside the specified area of the destination drawable surface.

 drawLine(int, int, int, int)

Draws a line, using the current color, between the points (x1, y1) and (x2, y2) in this graphics context's coordinate system.

 drawOval(int, int, int, int)

Draws the outline of an oval.

 drawPolygon(int[], int[], int)

Draws a closed polygon defined by arrays of x and y coordinates.

 drawPolygon(Polygon)

Draws the outline of a polygon defined by the specified Polygon object.

 drawPolyline(int[], int[], int)

Draws a sequence of connected lines defined by arrays of x and y coordinates.

 drawRect(int, int, int, int)

Draws the outline of the specified rectangle.

 drawRoundRect(int, int, int, int, int, int)

Draws an outlined round-cornered rectangle using this graphics context's current color.

 drawString(String, int, int)

Draws the text given by the specified string, using this graphics context's current font and color.

 fill3DRect(int, int, int, int, boolean)

Paints a 3-D highlighted rectangle filled with the current color.

 fillArc(int, int, int, int, int, int)

Fills a circular or elliptical arc covering the specified rectangle.

 fillOval(int, int, int, int)

Fills an oval bounded by the specified rectangle with the current color.

 fillPolygon(int[], int[], int)

Fills a closed polygon defined by arrays of x and y coordinates.

 fillPolygon(Polygon)

Fills the polygon defined by the specified Polygon object with the graphics context's current color.

 fillRect(int, int, int, int)

Fills the specified rectangle.

 fillRoundRect(int, int, int, int, int, int)

Fills the specified rounded corner rectangle with the current color.

 finalize()

Disposes of this graphics context once it is no longer referenced.

 getClip()

Gets the current clipping area.

 getClipBounds()

Returns the bounding rectangle of the current clipping area.

 getClipRect()

Deprecated.

 getColor()

Gets this graphics context's current color.

 getFont()

Gets the current font.

 getFontMetrics()

Gets the font metrics of the current font.

 getFontMetrics(Font)

Gets the font metrics for the specified font.

 setClip(int, int, int, int)

Sets the current clip to the rectangle specified by the given coordinates.

 setClip(Shape)

Sets the current clipping area to an arbitrary clip shape.

 setColor(Color)

Sets this graphics context's current color to the specified color.

 setFont(Font)

Sets this graphics context's font to the specified font.

 setPaintMode()

Sets the paint mode of this graphics context to overwrite the destination with this graphics context's current color.

 setXORMode(Color)

Sets the paint mode of this graphics context to alternate between this graphics context's current color and the new specified color.

 toString()

Returns a String object representing this Graphics object's value.

 translate(int, int)

Translates the origin of the graphics context to the point (x, y) in the current coordinate system.

 Graphics

 protected Graphics()

Constructs a new Graphics object. This constructor is the default contructor for a graphics context.

Since Graphics is an abstract class, applications cannot call this constructor directly. Graphics contexts are obtained from other graphics contexts or are created by calling getGraphics on a component.

See Also:

create, getGraphics

 clearRect

 public abstract void clearRect(int x,
                                int y,
                                int width,
                                int height)

Clears the specified rectangle by filling it with the background color of the current drawing surface. This operation does not use the current paint mode.

Beginning with Java 1.1, the background color of offscreen images may be system dependent. Applications should use setColor followed by fillRect to ensure that an offscreen image is cleared to a specific color.

Parameters:

x - the x coordinate of the rectangle to clear.

y - the y coordinate of the rectangle to clear.

width - the width of the rectangle to clear.

height - the height of the rectangle to clear.

See Also:

fillRect, drawRect, setColor, setPaintMode, setXORMode

 clipRect

 public abstract void clipRect(int x,
                               int y,
                               int width,
                               int height)

Intersects the current clip with the specified rectangle. The resulting clipping area is the intersection of the current clipping area and the specified rectangle. This method can only be used to make the current clip smaller. To set the current clip larger, use any of the setClip methods. Rendering operations have no effect outside of the clipping area.

Parameters:

x - the x coordinate of the rectangle to intersect the clip with

y - the y coordinate of the rectangle to intersect the clip with

width - the width of the rectangle to intersect the clip with

height - the height of the rectangle to intersect the clip with

See Also:

setClip, setClip

 copyArea

 public abstract void copyArea(int x,
                               int y,
                               int width,
                               int height,
                               int dx,
                               int dy)

Copies an area of the component by a distance specified by dx and dy. From the point specified by x and y, this method copies downwards and to the right. To copy an area of the component to the left or upwards, specify a negative value for dx or dy. If a portion of the source rectangle lies outside the bounds of the component, or is obscured by another window or component, copyArea will be unable to copy the associated pixels. The area that is omitted can be refreshed by calling the component's paint method.

Parameters:

x - the x coordinate of the source rectangle.

y - the y coordinate of the source rectangle.

width - the width of the source rectangle.

height - the height of the source rectangle.

dx - the horizontal distance to copy the pixels.

dy - the vertical distance to copy the pixels.

 create

 public abstract Graphics create()

Creates a new Graphics object that is a copy of this Graphics object.

Returns:

a new graphics context that is a copy of this graphics context.

 create

 public Graphics create(int x,
                        int y,
                        int width,
                        int height)

Creates a new Graphics object based on this Graphics object, but with a new translation and clip area. The new Graphics object has its origin translated to the specified point (x, y). Its clip area is determined by the intersection of the original clip area with the specified rectangle. The arguments are all interpreted in the coordinate system of the original Graphics object. The new graphics context is identical to the original, except in two respects:

•	The new graphics context is translated by (x, y). That is to say, the point (0, 0) in the new graphics context is the same as (x, y) in the original graphics context.

•	The new graphics context has an additional clipping rectangle, in addition to whatever (translated) clipping rectangle it inherited from the original graphics context. The origin of the new clipping rectangle is at (0, 0), and its size is specified by the width and height arguments.

Parameters:

x - the x coordinate.

y - the y coordinate.

width - the width of the clipping rectangle.

height - the height of the clipping rectangle.

Returns:

a new graphics context.

See Also:

translate, clipRect

 dispose

 public abstract void dispose()

Disposes of this graphics context and releases any system resources that it is using. A Graphics object cannot be used after disposehas been called.

When a Java program runs, a large number of Graphics objects can be created within a short time frame. Although the finalization process of the garbage collector also disposes of the same system resources, it is preferable to manually free the associated resources by calling this method rather than to rely on a finalization process which may not run to completion for a long period of time.

Graphics objects which are provided as arguments to the paint and update methods of components are automatically released by the system when those methods return. For efficiency, programmers should call dispose when finished using a Graphics object only if it was created directly from a component or another Graphics object.

See Also:

finalize, paint, update, getGraphics, create

 draw3DRect

 public void draw3DRect(int x,
                        int y,
                        int width,
                        int height,
                        boolean raised)

Draws a 3-D highlighted outline of the specified rectangle. The edges of the rectangle are highlighted so that they appear to be beveled and lit from the upper left corner.

The colors used for the highlighting effect are determined based on the current color. The resulting rectangle covers an area that is width + 1 pixels wide by height + 1 pixels tall.

Parameters:

x - the x coordinate of the rectangle to be drawn.

y - the y coordinate of the rectangle to be drawn.

width - the width of the rectangle to be drawn.

height - the height of the rectangle to be drawn.

raised - a boolean that determines whether the rectangle appears to be raised above the surface or sunk into the surface.

See Also:

fill3DRect

 drawArc

 public abstract void drawArc(int x,
                              int y,
                              int width,
                              int height,
                              int startAngle,
                              int arcAngle)

Draws the outline of a circular or elliptical arc covering the specified rectangle.

The resulting arc begins at startAngle and extends for arcAngle degrees, using the current color. Angles are interpreted such that 0 degrees is at the 3 o'clock position. A positive value indicates a counter-clockwise rotation while a negative value indicates a clockwise rotation.

The center of the arc is the center of the rectangle whose origin is (x, y) and whose size is specified by the width and height arguments.

The resulting arc covers an area width + 1 pixels wide by height + 1 pixels tall.

Parameters:

x - the x coordinate of the upper-left corner of the arc to be drawn.

y - the y coordinate of the upper-left corner of the arc to be drawn.

width - the width of the arc to be drawn.

height - the height of the arc to be drawn.

startAngle - the beginning angle.

arcAngle - the angular extent of the arc, relative to the start angle.

See Also:

fillArc

 drawBytes

 public void drawBytes(byte data[],
                       int offset,
                       int length,
                       int x,
                       int y)

Draws the text given by the specified byte array, using this graphics context's current font and color. The baseline of the first character is at position (x, y) in this graphics context's coordinate system.

Parameters:

data - the data to be drawn

offset - the start offset in the data

length - the number of bytes that are drawn

x - the x coordinate of the baseline of the text

y - the y coordinate of the baseline of the text

See Also:

drawChars, drawString

 drawChars

 public void drawChars(char data[],
                       int offset,
                       int length,
                       int x,
                       int y)

Draws the text given by the specified character array, using this graphics context's current font and color. The baseline of the first character is at position (x, y) in this graphics context's coordinate system.

Parameters:

data - the array of characters to be drawn

offset - the start offset in the data

length - the number of characters to be drawn

x - the x coordinate of the baseline of the text

y - the y coordinate of the baseline of the text

See Also:

drawBytes, drawString

 drawImage

 public abstract boolean drawImage(Image img,
                                   int x,
                                   int y,
                                   Color bgcolor,
                                   ImageObserver observer)

Draws as much of the specified image as is currently available. The image is drawn with its top-left corner at (x, y) in this graphics context's coordinate space. Transparent pixels are drawn in the specified background color.

This operation is equivalent to filling a rectangle of the width and height of the specified image with the given color and then drawing the image on top of it, but possibly more efficient.

This method returns immediately in all cases, even if the complete image has not yet been loaded, and it has not been dithered and converted for the current output device.

If the image has not yet been completely loaded, then drawImage returns false. As more of the image becomes available, the process that draws the image notifies the specified image observer.

Parameters:

img - the specified image to be drawn.

x - the x coordinate.

y - the y coordinate.

bgcolor - the background color to paint under the non-opaque portions of the image.

observer - object to be notified as more of the image is converted.

See Also:

Image, ImageObserver, imageUpdate

 drawImage

 public abstract boolean drawImage(Image img,
                                   int x,
                                   int y,
                                   ImageObserver observer)

Draws as much of the specified image as is currently available. The image is drawn with its top-left corner at (x, y) in this graphics context's coordinate space. Transparent pixels in the image do not affect whatever pixels are already there.

This method returns immediately in all cases, even if the complete image has not yet been loaded, and it has not been dithered and converted for the current output device.

If the image has not yet been completely loaded, then drawImage returns false. As more of the image becomes available, the process that draws the image notifies the specified image observer.

Parameters:

img - the specified image to be drawn.

x - the x coordinate.

y - the y coordinate.

observer - object to be notified as more of the image is converted.

See Also:

Image, ImageObserver, imageUpdate

 drawImage

 public abstract boolean drawImage(Image img,
                                   int x,
                                   int y,
                                   int width,
                                   int height,
                                   Color bgcolor,
                                   ImageObserver observer)

Draws as much of the specified image as has already been scaled to fit inside the specified rectangle.

The image is drawn inside the specified rectangle of this graphics context's coordinate space, and is scaled if necessary. Transparent pixels are drawn in the specified background color. This operation is equivalent to filling a rectangle of the width and height of the specified image with the given color and then drawing the image on top of it, but possibly more efficient.

This method returns immediately in all cases, even if the entire image has not yet been scaled, dithered, and converted for the current output device. If the current output representation is not yet complete then drawImage returns false. As more of the image becomes available, the process that draws the image notifies the specified image observer.

A scaled version of an image will not necessarily be available immediately just because an unscaled version of the image has been constructed for this output device. Each size of the image may be cached separately and generated from the original data in a separate image production sequence.

Parameters:

img - the specified image to be drawn.

x - the x coordinate.

y - the y coordinate.

width - the width of the rectangle.

height - the height of the rectangle.

bgcolor - the background color to paint under the non-opaque portions of the image.

observer - object to be notified as more of the image is converted.

See Also:

Image, ImageObserver, imageUpdate

 drawImage

 public abstract boolean drawImage(Image img,
                                   int x,
                                   int y,
                                   int width,
                                   int height,
                                   ImageObserver observer)

Draws as much of the specified image as has already been scaled to fit inside the specified rectangle.

The image is drawn inside the specified rectangle of this graphics context's coordinate space, and is scaled if necessary. Transparent pixels do not affect whatever pixels are already there.

This method returns immediately in all cases, even if the entire image has not yet been scaled, dithered, and converted for the current output device. If the current output representation is not yet complete, then drawImage returns false. As more of the image becomes available, the process that draws the image notifies the image observer by calling its imageUpdate method.

A scaled version of an image will not necessarily be available immediately just because an unscaled version of the image has been constructed for this output device. Each size of the image may be cached separately and generated from the original data in a separate image production sequence.

Parameters:

img - the specified image to be drawn.

x - the x coordinate.

y - the y coordinate.

width - the width of the rectangle.

height - the height of the rectangle.

observer - object to be notified as more of the image is converted.

See Also:

Image, ImageObserver, imageUpdate

 drawImage

 public abstract boolean drawImage(Image img,
                                   int dx1,
                                   int dy1,
                                   int dx2,
                                   int dy2,
                                   int sx1,
                                   int sy1,
                                   int sx2,
                                   int sy2,
                                   Color bgcolor,
                                   ImageObserver observer)

Draws as much of the specified area of the specified image as is currently available, scaling it on the fly to fit inside the specified area of the destination drawable surface.

Transparent pixels are drawn in the specified background color. This operation is equivalent to filling a rectangle of the width and height of the specified image with the given color and then drawing the image on top of it, but possibly more efficient.

This method returns immediately in all cases, even if the image area to be drawn has not yet been scaled, dithered, and converted for the current output device. If the current output representation is not yet complete then drawImage returns false. As more of the image becomes available, the process that draws the image notifies the specified image observer.

This method always uses the unscaled version of the image to render the scaled rectangle and performs the required scaling on the fly. It does not use a cached, scaled version of the image for this operation. Scaling of the image from source to destination is performed such that the first coordinate of the source rectangle is mapped to the first coordinate of the destination rectangle, and the second source coordinate is mapped to the second destination coordinate. The subimage is scaled and flipped as needed to preserve those mappings.

Parameters:

img - the specified image to be drawn

dx1 - the x coordinate of the first corner of the destination rectangle.

dy1 - the y coordinate of the first corner of the destination rectangle.

dx2 - the x coordinate of the second corner of the destination rectangle.

dy2 - the y coordinate of the second corner of the destination rectangle.

sx1 - the x coordinate of the first corner of the source rectangle.

sy1 - the y coordinate of the first corner of the source rectangle.

sx2 - the x coordinate of the second corner of the source rectangle.

sy2 - the y coordinate of the second corner of the source rectangle.

bgcolor - the background color to paint under the non-opaque portions of the image.

observer - object to be notified as more of the image is scaled and converted.

See Also:

Image, ImageObserver, imageUpdate

 drawImage

 public abstract boolean drawImage(Image img,
                                   int dx1,
                                   int dy1,
                                   int dx2,
                                   int dy2,
                                   int sx1,
                                   int sy1,
                                   int sx2,
                                   int sy2,
                                   ImageObserver observer)

Draws as much of the specified area of the specified image as is currently available, scaling it on the fly to fit inside the specified area of the destination drawable surface. Transparent pixels do not affect whatever pixels are already there.

This method returns immediately in all cases, even if the image area to be drawn has not yet been scaled, dithered, and converted for the current output device. If the current output representation is not yet complete then drawImage returns false. As more of the image becomes available, the process that draws the image notifies the specified image observer.

This method always uses the unscaled version of the image to render the scaled rectangle and performs the required scaling on the fly. It does not use a cached, scaled version of the image for this operation. Scaling of the image from source to destination is performed such that the first coordinate of the source rectangle is mapped to the first coordinate of the destination rectangle, and the second source coordinate is mapped to the second destination coordinate. The subimage is scaled and flipped as needed to preserve those mappings.

Parameters:

img - the specified image to be drawn

dx1 - the x coordinate of the first corner of the destination rectangle.

dy1 - the y coordinate of the first corner of the destination rectangle.

dx2 - the x coordinate of the second corner of the destination rectangle.

dy2 - the y coordinate of the second corner of the destination rectangle.

sx1 - the x coordinate of the first corner of the source rectangle.

sy1 - the y coordinate of the first corner of the source rectangle.

sx2 - the x coordinate of the second corner of the source rectangle.

sy2 - the y coordinate of the second corner of the source rectangle.

observer - object to be notified as more of the image is scaled and converted.

See Also:

Image, ImageObserver, imageUpdate

 drawLine

 public abstract void drawLine(int x1,
                               int y1,
                               int x2,
                               int y2)

Draws a line, using the current color, between the points (x1, y1) and (x2, y2) in this graphics context's coordinate system.

Parameters:

x1 - the first point's x coordinate.

y1 - the first point's y coordinate.

x2 - the second point's x coordinate.

y2 - the second point's y coordinate.

 drawOval

 public abstract void drawOval(int x,
                               int y,
                               int width,
                               int height)

Draws the outline of an oval. The result is a circle or ellipse that fits within the rectangle specified by the x, y, width, and height arguments.

The oval covers an area that is width + 1 pixels wide and height + 1 pixels tall.

Parameters:

x - the x coordinate of the upper left corner of the oval to be drawn.

y - the y coordinate of the upper left corner of the oval to be drawn.

width - the width of the oval to be drawn.

height - the height of the oval to be drawn.

See Also:

fillOval

 drawPolygon

 public abstract void drawPolygon(int xPoints[],
                                  int yPoints[],
                                  int nPoints)

Draws a closed polygon defined by arrays of x and y coordinates. Each pair of (x, y) coordinates defines a point.

This method draws the polygon defined by nPoint line segments, where the first nPoint - 1 line segments are line segments from (xPoints[i - 1], yPoints[i - 1]) to (xPoints[i], yPoints[i]), for 1 ? i ? nPoints. The figure is automatically closed by drawing a line connecting the final point to the first point, if those points are different.

Parameters:

xPoints - a an array of x coordinates.

yPoints - a an array of y coordinates.

nPoints - a the total number of points.

See Also:

fillPolygon, drawPolyline

 drawPolygon

 public void drawPolygon(Polygon p)

Draws the outline of a polygon defined by the specified Polygon object.

Parameters:

p - the polygon to draw.

See Also:

fillPolygon, drawPolyline

 drawPolyline

 public abstract void drawPolyline(int xPoints[],
                                   int yPoints[],
                                   int nPoints)

Draws a sequence of connected lines defined by arrays of x and y coordinates. Each pair of (x, y) coordinates defines a point. The figure is not closed if the first point differs from the last point.

Parameters:

xPoints - an array of x points

yPoints - an array of y points

nPoints - the total number of points

See Also:

drawPolygon

 drawRect

 public void drawRect(int x,
                      int y,
                      int width,
                      int height)

Draws the outline of the specified rectangle. The left and right edges of the rectangle are at x and x + width. The top and bottom edges are at y and y + height. The rectangle is drawn using the graphics context's current color.

Parameters:

x - the x coordinate of the rectangle to be drawn.

y - the y coordinate of the rectangle to be drawn.

width - the width of the rectangle to be drawn.

height - the height of the rectangle to be drawn.

See Also:

fillRect, clearRect

 drawRoundRect

 public abstract void drawRoundRect(int x,
                                    int y,
                                    int width,
                                    int height,
                                    int arcWidth,
                                    int arcHeight)

Draws an outlined round-cornered rectangle using this graphics context's current color. The left and right edges of the rectangle are at x and x + width, respectively. The top and bottom edges of the rectangle are at y and y + height.

Parameters:

x - the x coordinate of the rectangle to be drawn.

y - the y coordinate of the rectangle to be drawn.

width - the width of the rectangle to be drawn.

height - the height of the rectangle to be drawn.

arcWidth - the horizontal diameter of the arc at the four corners.

arcHeight - the vertical diameter of the arc at the four corners.

See Also:

fillRoundRect

 drawString

 public abstract void drawString(String str,
                                 int x,
                                 int y)

Draws the text given by the specified string, using this graphics context's current font and color. The baseline of the first character is at position (x, y) in this graphics context's coordinate system.

Parameters:

str - the string to be drawn.

x - the x coordinate.

y - the y coordinate.

See Also:

drawBytes, drawChars

 fill3DRect

 public void fill3DRect(int x,
                        int y,
                        int width,
                        int height,
                        boolean raised)

Paints a 3-D highlighted rectangle filled with the current color. The edges of the rectangle will be highlighted so that it appears as if the edges were beveled and lit from the upper left corner. The colors used for the highlighting effect will be determined from the current color.

Parameters:

x - the x coordinate of the rectangle to be filled.

y - the y coordinate of the rectangle to be filled.

width - the width of the rectangle to be filled.

height - the height of the rectangle to be filled.

raised - a boolean value that determines whether the rectangle appears to be raised above the surface or etched into the surface.

See Also:

draw3DRect

 fillArc

 public abstract void fillArc(int x,
                              int y,
                              int width,
                              int height,
                              int startAngle,
                              int arcAngle)

Fills a circular or elliptical arc covering the specified rectangle.

The resulting arc begins at startAngle and extends for arcAngle degrees. Angles are interpreted such that 0 degrees is at the 3 o'clock position. A positive value indicates a counter-clockwise rotation while a negative value indicates a clockwise rotation.

The center of the arc is the center of the rectangle whose origin is (x, y) and whose size is specified by the width and height arguments.

The resulting arc covers an area width + 1 pixels wide by height + 1 pixels tall.

Parameters:

x - the x coordinate of the upper-left corner of the arc to be filled.

y - the y coordinate of the upper-left corner of the arc to be filled.

width - the width of the arc to be filled.

height - the height of the arc to be filled.

startAngle - the beginning angle.

arcAngle - the angular extent of the arc, relative to the start angle.

See Also:

drawArc

 fillOval

 public abstract void fillOval(int x,
                               int y,
                               int width,
                               int height)

Fills an oval bounded by the specified rectangle with the current color.

Parameters:

x - the x coordinate of the upper left corner of the oval to be filled.

y - the y coordinate of the upper left corner of the oval to be filled.

width - the width of the oval to be filled.

height - the height of the oval to be filled.

See Also:

drawOval

 fillPolygon

 public abstract void fillPolygon(int xPoints[],
                                  int yPoints[],
                                  int nPoints)

Fills a closed polygon defined by arrays of x and y coordinates.

This method draws the polygon defined by nPoint line segments, where the first nPoint - 1 line segments are line segments from (xPoints[i - 1], yPoints[i - 1]) to (xPoints[i], yPoints[i]), for 1 ? i ? nPoints. The figure is automatically closed by drawing a line connecting the final point to the first point, if those points are different.

The area inside the polygon is defined using an even-odd fill rule, also known as the alternating rule.

Parameters:

xPoints - a an array of x coordinates.

yPoints - a an array of y coordinates.

nPoints - a the total number of points.

See Also:

drawPolygon

 fillPolygon

 public void fillPolygon(Polygon p)

Fills the polygon defined by the specified Polygon object with the graphics context's current color.

The area inside the polygon is defined using an even-odd fill rule, also known as the alternating rule.

Parameters:

p - the polygon to fill.

See Also:

drawPolygon

 fillRect

 public abstract void fillRect(int x,
                               int y,
                               int width,
                               int height)

Fills the specified rectangle. The left and right edges of the rectangle are at x and x + width - 1. The top and bottom edges are at y and y + height - 1. The resulting rectangle covers an area width pixels wide by height pixels tall. The rectangle is filled using the graphics context's current color.

Parameters:

x - the x coordinate of the rectangle to be filled.

y - the y coordinate of the rectangle to be filled.

width - the width of the rectangle to be filled.

height - the height of the rectangle to be filled.

See Also:

fillRect, clearRect

 fillRoundRect

 public abstract void fillRoundRect(int x,
                                    int y,
                                    int width,
                                    int height,
                                    int arcWidth,
                                    int arcHeight)

Fills the specified rounded corner rectangle with the current color. The left and right edges of the rectangle are at x and x + width - 1, respectively. The top and bottom edges of the rectangle are at y and y + height - 1.

Parameters:

x - the x coordinate of the rectangle to be filled.

y - the y coordinate of the rectangle to be filled.

width - the width of the rectangle to be filled.

height - the height of the rectangle to be filled.

arcWidth - the horizontal diameter of the arc at the four corners.

arcHeight - the vertical diameter of the arc at the four corners.

See Also:

drawRoundRect

 finalize

 public void finalize()

Disposes of this graphics context once it is no longer referenced.

Overrides:

finalize in class Object

See Also:

dispose

 getClip

 public abstract Shape getClip()

Gets the current clipping area.

Returns:

a Shape object representing the current clipping area.

See Also:

getClipBounds, clipRect, setClip, setClip

 getClipBounds

 public abstract Rectangle getClipBounds()

Returns the bounding rectangle of the current clipping area. The coordinates in the rectangle are relative to the coordinate system origin of this graphics context.

Returns:

the bounding rectangle of the current clipping area.

See Also:

getClip, clipRect, setClip, setClip

 getClipRect

 public Rectangle getClipRect()

Note: getClipRect() is deprecated. As of JDK version 1.1, replaced by getClipBounds().

 getColor

 public abstract Color getColor()

Gets this graphics context's current color.

Returns:

this graphics context's current color.

See Also:

Color, setColor

 getFont

 public abstract Font getFont()

Gets the current font.

Returns:

this graphics context's current font.

See Also:

Font, setFont

 getFontMetrics

 public FontMetrics getFontMetrics()

Gets the font metrics of the current font.

Returns:

the font metrics of this graphics context's current font.

See Also:

getFont, FontMetrics, getFontMetrics

 getFontMetrics

 public abstract FontMetrics getFontMetrics(Font f)

Gets the font metrics for the specified font.

Parameters:

f - the specified font

Returns:

the font metrics for the specified font.

See Also:

getFont, FontMetrics, getFontMetrics

 setClip

 public abstract void setClip(int x,
                              int y,
                              int width,
                              int height)

Sets the current clip to the rectangle specified by the given coordinates. Rendering operations have no effect outside of the clipping area.

Parameters:

x - the x coordinate of the new clip rectangle.

y - the y coordinate of the new clip rectangle.

width - the width of the new clip rectangle.

height - the height of the new clip rectangle.

See Also:

clipRect, setClip

 setClip

 public abstract void setClip(Shape clip)

Sets the current clipping area to an arbitrary clip shape. Not all objects which implement the Shape interface can be used to set the clip. The only Shape objects which are guaranteed to be supported are Shape objects which are obtained via the getClip method and via Rectangle objects.

See Also:

getClip, clipRect, setClip

 setColor

 public abstract void setColor(Color c)

Sets this graphics context's current color to the specified color. All subsequent graphics operations using this graphics context use this specified color.

Parameters:

c - the new rendering color.

See Also:

Color, getColor

 setFont

 public abstract void setFont(Font font)

Sets this graphics context's font to the specified font. All subsequent text operations using this graphics context use this font.

Parameters:

font - the font.

See Also:

getFont, drawChars, drawString, drawBytes

 setPaintMode

 public abstract void setPaintMode()

Sets the paint mode of this graphics context to overwrite the destination with this graphics context's current color. This sets the logical pixel operation function to the paint or overwrite mode. All subsequent rendering operations will overwrite the destination with the current color.

 setXORMode

 public abstract void setXORMode(Color c1)

Sets the paint mode of this graphics context to alternate between this graphics context's current color and the new specified color. This specifies that logical pixel operations are performed in the XOR mode, which alternates pixels between the current color and a specified XOR color.

When drawing operations are performed, pixels which are the current color are changed to the specified color, and vice versa.

Pixels that are of colors other than those two colors are changed in an unpredictable but reversible manner; if the same figure is drawn twice, then all pixels are restored to their original values.

Parameters:

c1 - the XOR alternation color

 toString

 public String toString()

Returns a String object representing this Graphics object's value.

Returns:

a string representation of this graphics context.

Overrides:

toString in class Object

 translate

 public abstract void translate(int x,
                                int y)

Translates the origin of the graphics context to the point (x, y) in the current coordinate system. Modifies this graphics context so that its new origin corresponds to the point (x, y) in this graphics context's original coordinate system. All coordinates used in subsequent rendering operations on this graphics context will be relative to this new origin.

Parameters:

x - the x coordinate.

y - the y coordinate.


 Class java.awt.GridBagConstraints

java.lang.Object
   |
   +----java.awt.GridBagConstraints

public class GridBagConstraints
   extends Object
   implements Cloneable, Serializable

The GridBagConstraints class specifies constraints for components that are laid out using the GridBagLayout class.

     See Also:
     GridBagLayout

 anchor

This field is used when the component is smaller than its display area.

 BOTH

Resize the component both horizontally and vertically.

 CENTER

Put the component in the center of its display area.

 EAST

Put the component on the left side of its display area, centered vertically.

 fill

This field is used when the component's display area is larger than the component's requested size.

 gridheight

Specifies the number of cells in a column for the component's display area.

 gridwidth

Specifies the number of cells in a row for the component's display area.

 gridx

Specifies the cell at the left of the component's display area, where the leftmost cell has gridx = 0.

 gridy

Specifies the cell at the top of the component's display area, where the topmost cell has gridy = 0.

 HORIZONTAL

Resize the component horizontally but not vertically.

 insets

This field specifies the external padding of the component, the minimum amount of space between the component and the edges of its display area.

 ipadx

This field specifies the internal padding of the component, how much space to add to the minimum width of the component.

 ipady

This field specifies the internal padding, that is, how much space to add to the minimum height of the component.

 NONE

Do not resize the component.

 NORTH

Put the component at the top of its display area, centered horizontally.

 NORTHEAST

Put the component at the top-right corner of its display area.

 NORTHWEST

Put the component at the top-left corner of its display area.

 RELATIVE

Specify that this component is the next-to-last component in its column or row (gridwidth, gridheight), or that this component be placed next to the previously added component (gridx, gridy).

 REMAINDER

Specify that this component is the last component in its column or row.

 SOUTH

Put the component at the bottom of its display area, centered horizontally.

 SOUTHEAST

Put the component at the bottom-right corner of its display area.

 SOUTHWEST

Put the component at the bottom-left corner of its display area.

 VERTICAL

Resize the component vertically but not horizontally.

 weightx

Specifies how to distribute extra horizontal space.

 weighty

Specifies how to distribute extra vertical space.

 WEST

Put the component on the left side of its display area, centered vertically.

 GridBagConstraints()

Creates a GridBagConstraint object with all of its fields set to their default value.

 clone()

Creates a copy of this grid bag constraint.

 anchor

 public int anchor

This field is used when the component is smaller than its display area. It determines where, within the display area, to place the component. Possible values are CENTER, NORTH, NORTHEAST, EAST, SOUTHEAST, SOUTH, SOUTHWEST, WEST, and NORTHWEST. The default value is CENTER.

 BOTH

 public static final int BOTH

Resize the component both horizontally and vertically.

 CENTER

 public static final int CENTER

Put the component in the center of its display area.

 EAST

 public static final int EAST

Put the component on the left side of its display area, centered vertically.

 fill

 public int fill

This field is used when the component's display area is larger than the component's requested size. It determines whether to resize the component, and if so, how.

The following values are valid for fill:

•	NONE: Do not resize the component.

•	HORIZONTAL: Make the component wide enough to fill its display area horizontally, but do not change its height.

•	VERTICAL: Make the component tall enough to fill its display area vertically, but do not change its width.

•	BOTH: Make the component fill its display area entirely.

The default value is NONE.

 gridheight

 public int gridheight

Specifies the number of cells in a column for the component's display area.

Use REMAINDER to specify that the component be the last one in its column. Use RELATIVE to specify that the component be the next-to-last one in its column.

The default value is 1.

See Also:

gridwidth

 gridwidth

 public int gridwidth

Specifies the number of cells in a row for the component's display area.

Use REMAINDER to specify that the component be the last one in its row. Use RELATIVE to specify that the component be the next-to-last one in its row.

The default value is 1.

See Also:

gridheight

 gridx

 public int gridx

Specifies the cell at the left of the component's display area, where the leftmost cell has gridx = 0. The value RELATIVE specifies that the component be placed just to the right of the component that was added to the container just before this component was added.

The default value is RELATIVE.

See Also:

gridy

 gridy

 public int gridy

Specifies the cell at the top of the component's display area, where the topmost cell has gridy = 0. The value RELATIVE specifies that the component be placed just below the component that was added to the container just before this component was added.

The default value is RELATIVE.

See Also:

gridx

 HORIZONTAL

 public static final int HORIZONTAL

Resize the component horizontally but not vertically.

 insets

 public Insets insets

This field specifies the external padding of the component, the minimum amount of space between the component and the edges of its display area.

The default value is new Insets(0, 0, 0, 0).

 ipadx

 public int ipadx

This field specifies the internal padding of the component, how much space to add to the minimum width of the component. The width of the component is at least its minimum width plus (ipadx * 2) pixels.

The default value is 0.

See Also:

ipady

 ipady

 public int ipady

This field specifies the internal padding, that is, how much space to add to the minimum height of the component. The height of the component is at least its minimum height plus (ipady * 2) pixels.

The default value is 0.

See Also:

ipadx

 NONE

 public static final int NONE

Do not resize the component.

 NORTH

 public static final int NORTH

Put the component at the top of its display area, centered horizontally.

 NORTHEAST

 public static final int NORTHEAST

Put the component at the top-right corner of its display area.

 NORTHWEST

 public static final int NORTHWEST

Put the component at the top-left corner of its display area.

 RELATIVE

 public static final int RELATIVE

Specify that this component is the next-to-last component in its column or row (gridwidth, gridheight), or that this component be placed next to the previously added component (gridx, gridy).

See Also:

gridwidth, gridheight, gridx, gridy

 REMAINDER

 public static final int REMAINDER

Specify that this component is the last component in its column or row.

 SOUTH

 public static final int SOUTH

Put the component at the bottom of its display area, centered horizontally.

 SOUTHEAST

 public static final int SOUTHEAST

Put the component at the bottom-right corner of its display area.

 SOUTHWEST

 public static final int SOUTHWEST

Put the component at the bottom-left corner of its display area.

 VERTICAL

 public static final int VERTICAL

Resize the component vertically but not horizontally.

 weightx

 public double weightx

Specifies how to distribute extra horizontal space.

The grid bag layout manager calculates the weight of a column to be the maximum weighty of all the components in a row. If the resulting layout is smaller horizontally than the area it needs to fill, the extra space is distributed to each column in proportion to its weight. A column that has a weight zero receives no extra space.

If all the weights are zero, all the extra space appears between the grids of the cell and the left and right edges.

The default value of this field is 0.

See Also:

weighty

 weighty

 public double weighty

Specifies how to distribute extra vertical space.

The grid bag layout manager calculates the weight of a row to be the maximum weightx of all the components in a row. If the resulting layout is smaller vertically than the area it needs to fill, the extra space is distributed to each row in proportion to its weight. A row that has a weight of zero receives no extra space.

If all the weights are zero, all the extra space appears between the grids of the cell and the top and bottom edges.

The default value of this field is 0.

See Also:

weightx

 WEST

 public static final int WEST

Put the component on the left side of its display area, centered vertically.

 GridBagConstraints

 public GridBagConstraints()

Creates a GridBagConstraint object with all of its fields set to their default value.

 clone

 public Object clone()

Creates a copy of this grid bag constraint.

Returns:

a copy of this grid bag constraint

Overrides:

clone in class Object


 Class java.awt.GridBagLayout

java.lang.Object
   |
   +----java.awt.GridBagLayout

public class GridBagLayout
   extends Object
   implements LayoutManager2, Serializable

The GridBagLayout class is a flexible layout manager that aligns components vertically and horizontally, without requiring that the components be of the same size. Each GridBagLayout object maintains a dynamic rectangular grid of cells, with each component occupying one or more cells, called its display area.

Each component managed by a grid bag layout is associated with an instance of GridBagConstraints that specifies how the component is laid out within its display area.

How a GridBagLayout object places a set of components depends on the GridBagConstraints object associated with each component, and on the minimum size and the preferred size of the components' containers.

To use a grid bag layout effectively, you must customize one or more of the GridBagConstraints objects that are associated with its components. You customize a GridBagConstraints object by setting one or more of its instance variables:

gridx, gridy

Specifies the cell at the upper left of the component's display area, where the upper-left-most cell has address gridx = 0, gridy = 0. Use GridBagConstraints.RELATIVE (the default value) to specify that the component be just placed just to the right of (for gridx) or just below (for gridy) the component that was added to the container just before this component was added.

gridwidth, gridheight

Specifies the number of cells in a row (for gridwidth) or column (for gridheight) in the component's display area. The default value is 1. Use GridBagConstraints.REMAINDER to specify that the component be the last one in its row (for gridwidth) or column (for gridheight). Use GridBagConstraints.RELATIVE to specify that the component be the next to last one in its row (for gridwidth) or column (for gridheight).

fill

Used when the component's display area is larger than the component's requested size to determine whether (and how) to resize the component. Possible values are GridBagConstraints.NONE (the default), GridBagConstraints.HORIZONTAL (make the component wide enough to fill its display area horizontally, but don't change its height), GridBagConstraints.VERTICAL (make the component tall enough to fill its display area vertically, but don't change its width), and GridBagConstraints.BOTH (make the component fill its display area entirely).

ipadx, ipady

Specifies the component's internal padding within the layout, how much to add to the minimum size of the component. The width of the component will be at least its minimum width plus (ipadx * 2) pixels (since the padding applies to both sides of the component). Similarly, the height of the component will be at least the minimum height plus (ipady * 2) pixels.

insets

Specifies the component's external padding, the minimum amount of space between the component and the edges of its display area.

anchor

Used when the component is smaller than its display area to determine where (within the display area) to place the component. Valid values are GridBagConstraints.CENTER (the default), GridBagConstraints.NORTH, GridBagConstraints.NORTHEAST, GridBagConstraints.EAST, GridBagConstraints.SOUTHEAST, GridBagConstraints.SOUTH, GridBagConstraints.SOUTHWEST, GridBagConstraints.WEST, and GridBagConstraints.NORTHWEST.

weightx, weighty

Used to determine how to distribute space, which is important for specifying resizing behavior. Unless you specify a weight for at least one component in a row (weightx) and column (weighty), all the components clump together in the center of their container. This is because when the weight is zero (the default), the GridBagLayout object puts any extra space between its grid of cells and the edges of the container.

The following figure shows ten components (all buttons) managed by a grid bag layout:

Each of the ten components has the fill field of its associated GridBagConstraints object set to GridBagConstraints.BOTH. In addition, the components have the following non-default constraints:

•

Button1, Button2, Button3: weightx = 1.0

•	Button4: weightx = 1.0, gridwidth = GridBagConstraints.REMAINDER

•	Button5: gridwidth = GridBagConstraints.REMAINDER

•	Button6: gridwidth = GridBagConstraints.RELATIVE

•	Button7: gridwidth = GridBagConstraints.REMAINDER

•	Button8: gridheight = 2, weighty = 1.0

•	Button9, Button 10: gridwidth = GridBagConstraints.REMAINDER

Here is the code that implements the example shown above:

 import java.awt.*;
 import java.util.*;
 import java.applet.Applet;
 public class GridBagEx1 extends Applet {
     protected void makebutton(String name,
                               GridBagLayout gridbag,
                               GridBagConstraints c) {
         Button button = new Button(name);
         gridbag.setConstraints(button, c);
         add(button);
     }
     public void init() {
         GridBagLayout gridbag = new GridBagLayout();
         GridBagConstraints c = new GridBagConstraints();
         setFont(new Font("Helvetica", Font.PLAIN, 14));
         setLayout(gridbag);
         c.fill = GridBagConstraints.BOTH;
         c.weightx = 1.0;
         makebutton("Button1", gridbag, c);
         makebutton("Button2", gridbag, c);
         makebutton("Button3", gridbag, c);
     	   c.gridwidth = GridBagConstraints.REMAINDER; //end row
         makebutton("Button4", gridbag, c);
         c.weightx = 0.0;	   //reset to the default
         makebutton("Button5", gridbag, c); //another row
 	   c.gridwidth = GridBagConstraints.RELATIVE; //next-to-last in row
         makebutton("Button6", gridbag, c);
 	   c.gridwidth = GridBagConstraints.REMAINDER; //end row
         makebutton("Button7", gridbag, c);
 	   c.gridwidth = 1;	   	   //reset to the default
 	   c.gridheight = 2;
         c.weighty = 1.0;
         makebutton("Button8", gridbag, c);
         c.weighty = 0.0;	   //reset to the default
 	   c.gridwidth = GridBagConstraints.REMAINDER; //end row
 	   c.gridheight = 1;	   //reset to the default
         makebutton("Button9", gridbag, c);
         makebutton("Button10", gridbag, c);
         setSize(300, 100);
     }
     public static void main(String args[]) {
 	   Frame f = new Frame("GridBag Layout Example");
 	   GridBagEx1 ex1 = new GridBagEx1();
 	   ex1.init();
 	   f.add("Center", ex1);
 	   f.pack();
 	   f.setSize(f.getPreferredSize());
 	   f.show();
     }
 }

     See Also:
     GridBagConstraints

 columnWeights

 columnWidths

 comptable

 defaultConstraints

 layoutInfo

 MAXGRIDSIZE

The maximum number of grid positions (both horizontally and vertically) that can be laid out by the grid bag layout.

 MINSIZE

The smallest grid that can be laid out by the grid bag layout.

 PREFERREDSIZE

 rowHeights

 rowWeights

 GridBagLayout()

Creates a grid bag layout manager.

 addLayoutComponent(Component, Object)

Adds the specified component to the layout, using the specified constraint object.

 addLayoutComponent(String, Component)

Adds the specified component with the specified name to the layout.

 AdjustForGravity(GridBagConstraints, Rectangle)

 ArrangeGrid(Container)

 getConstraints(Component)

Gets the constraints for the specified component.

 getLayoutAlignmentX(Container)

Returns the alignment along the x axis.

 getLayoutAlignmentY(Container)

Returns the alignment along the y axis.

 getLayoutDimensions()

Determines column widths and row heights for the layout grid.

 GetLayoutInfo(Container, int)

Print the layout constraints.

 getLayoutOrigin()

Determines the origin of the layout grid.

 getLayoutWeights()

Determines the weights of the layout grid's columns and rows.

 GetMinSize(Container, GridBagLayoutInfo)

 invalidateLayout(Container)

Invalidates the layout, indicating that if the layout manager has cached information it should be discarded.

 layoutContainer(Container)

Lays out the specified container using this grid bag layout.

 location(int, int)

Determines which cell in the layout grid contains the point specified by (x, y).

 lookupConstraints(Component)

Retrieves the constraints for the specified component.

 maximumLayoutSize(Container)

Returns the maximum dimensions for this layout given the components in the specified target container.

 minimumLayoutSize(Container)

Determines the minimum size of the target container using this grid bag layout.

 preferredLayoutSize(Container)

Determines the preferred size of the target container using this grid bag layout.

 removeLayoutComponent(Component)

Removes the specified component from this layout.

 setConstraints(Component, GridBagConstraints)

Sets the constraints for the specified component in this layout.

 toString()

Returns a string representation of this grid bag layout's values.

 columnWeights

 public double columnWeights[]

 columnWidths

 public int columnWidths[]

 comptable

 protected Hashtable comptable

 defaultConstraints

 protected GridBagConstraints defaultConstraints

 layoutInfo

 protected GridBagLayoutInfo layoutInfo

 MAXGRIDSIZE

 protected static final int MAXGRIDSIZE

The maximum number of grid positions (both horizontally and vertically) that can be laid out by the grid bag layout.

 MINSIZE

 protected static final int MINSIZE

The smallest grid that can be laid out by the grid bag layout.

 PREFERREDSIZE

 protected static final int PREFERREDSIZE

 rowHeights

 public int rowHeights[]

 rowWeights

 public double rowWeights[]

 GridBagLayout

 public GridBagLayout()

Creates a grid bag layout manager.

 addLayoutComponent

 public void addLayoutComponent(Component comp,
                                Object constraints)

Adds the specified component to the layout, using the specified constraint object.

Parameters:

comp - the component to be added.

constraints - an object that determines how the component is added to the layout.

 addLayoutComponent

 public void addLayoutComponent(String name,
                                Component comp)

Adds the specified component with the specified name to the layout.

Parameters:

name - the name of the component.

comp - the component to be added.

 AdjustForGravity

 protected void AdjustForGravity(GridBagConstraints constraints,
                                 Rectangle r)

 ArrangeGrid

 protected void ArrangeGrid(Container parent)

 getConstraints

 public GridBagConstraints getConstraints(Component comp)

Gets the constraints for the specified component. A copy of the actual GridBagConstraints object is returned.

Parameters:

comp - the component to be queried.

Returns:

the constraint for the specified component in this grid bag layout; a copy of the actual constraint object is returned.

 getLayoutAlignmentX

 public float getLayoutAlignmentX(Container parent)

Returns the alignment along the x axis. This specifies how the component would like to be aligned relative to other components. The value should be a number between 0 and 1 where 0 represents alignment along the origin, 1 is aligned the furthest away from the origin, 0.5 is centered, etc.

 getLayoutAlignmentY

 public float getLayoutAlignmentY(Container parent)

Returns the alignment along the y axis. This specifies how the component would like to be aligned relative to other components. The value should be a number between 0 and 1 where 0 represents alignment along the origin, 1 is aligned the furthest away from the origin, 0.5 is centered, etc.

 getLayoutDimensions

 public int[][] getLayoutDimensions()

Determines column widths and row heights for the layout grid.

Most applications do not call this method directly.

Returns:

an array of two arrays, containing the widths of the layout columns and the heights of the layout rows.

 GetLayoutInfo

 protected GridBagLayoutInfo GetLayoutInfo(Container parent,
                                           int sizeflag)

Print the layout constraints. Useful for debugging.

 getLayoutOrigin

 public Point getLayoutOrigin()

Determines the origin of the layout grid. Most applications do not call this method directly.

Returns:

the origin of the cell in the top-left corner of the layout grid.

 getLayoutWeights

 public double[][] getLayoutWeights()

Determines the weights of the layout grid's columns and rows. Weights are used to calculate how much a given column or row stretches beyond its preferred size, if the layout has extra room to fill.

Most applications do not call this method directly.

Returns:

an array of two arrays, representing the horizontal weights of the layout columns and the vertical weights of the layout rows.

 GetMinSize

 protected Dimension GetMinSize(Container parent,
                                GridBagLayoutInfo info)

 invalidateLayout

 public void invalidateLayout(Container target)

Invalidates the layout, indicating that if the layout manager has cached information it should be discarded.

 layoutContainer

 public void layoutContainer(Container parent)

Lays out the specified container using this grid bag layout. This method reshapes components in the specified container in order to satisfy the contraints of this GridBagLayout object.

Most applications do not call this method directly.

Parameters:

parent - the container in which to do the layout.

See Also:

Container, doLayout

 location

 public Point location(int x,
                       int y)

Determines which cell in the layout grid contains the point specified by (x, y). Each cell is identified by its column index (ranging from 0 to the number of columns minus 1) and its row index (ranging from 0 to the number of rows minus 1).

If the (x, y) point lies outside the grid, the following rules are used. The column index is returned as zero if x lies to the left of the layout, and as the number of columns if x lies to the right of the layout. The row index is returned as zero if y lies above the layout, and as the number of rows if y lies below the layout.

Parameters:

x - the x coordinate of a point.

y - the y coordinate of a point.

Returns:

an ordered pair of indexes that indicate which cell in the layout grid contains the point (x, y).

 lookupConstraints

 protected GridBagConstraints lookupConstraints(Component comp)

Retrieves the constraints for the specified component. The return value is not a copy, but is the actual GridBagConstraints object used by the layout mechanism.

Parameters:

comp - the component to be queried

Returns:

the contraints for the specified component.

 maximumLayoutSize

 public Dimension maximumLayoutSize(Container target)

Returns the maximum dimensions for this layout given the components in the specified target container.

Parameters:

target - the component which needs to be laid out

See Also:

Container, minimumLayoutSize, preferredLayoutSize

 minimumLayoutSize

 public Dimension minimumLayoutSize(Container parent)

Determines the minimum size of the target container using this grid bag layout.

Most applications do not call this method directly.

Parameters:

target - the container in which to do the layout.

See Also:

doLayout

 preferredLayoutSize

 public Dimension preferredLayoutSize(Container parent)

Determines the preferred size of the target container using this grid bag layout.

Most applications do not call this method directly.

Parameters:

target - the container in which to do the layout.

See Also:

getPreferredSize

 removeLayoutComponent

 public void removeLayoutComponent(Component comp)

Removes the specified component from this layout.

Most applications do not call this method directly.

Parameters:

comp - the component to be removed.

See Also:

remove, removeAll

 setConstraints

 public void setConstraints(Component comp,
                            GridBagConstraints constraints)

Sets the constraints for the specified component in this layout.

Parameters:

comp - the component to be modified.

constraints - the constraints to be applied.

 toString

 public String toString()

Returns a string representation of this grid bag layout's values.

Returns:

a string representation of this grid bag layout.

Overrides:

toString in class Object


 Class java.awt.GridLayout

java.lang.Object
   |
   +----java.awt.GridLayout

public class GridLayout
   extends Object
   implements LayoutManager, Serializable

The GridLayout class is a layout manager that lays out a container's components in a rectangular grid.

The container is divided into equal-sized rectangles, and one component is placed in each rectangle.

For example, the following is an applet that lays out six buttons into three rows and two columns:

 import java.awt.*;
 import java.applet.Applet;
 public class ButtonGrid extends Applet {
     public void init() {
         setLayout(new GridLayout(3,2));
         add(new Button("1"));
         add(new Button("2"));
         add(new Button("3"));
         add(new Button("4"));
         add(new Button("5"));
         add(new Button("6"));
     }
 }

It produces the following output:

 GridLayout()

Creates a grid layout with a default of one column per component, in a single row.

 GridLayout(int, int)

Creates a grid layout with the specified number of rows and columns.

 GridLayout(int, int, int, int)

Creates a grid layout with the specified number of rows and columns.

 addLayoutComponent(String, Component)

Adds the specified component with the specified name to the layout.

 getColumns()

Gets the number of columns in this layout.

 getHgap()

Gets the horizontal gap between components.

 getRows()

Gets the number of rows in this layout.

 getVgap()

Gets the vertical gap between components.

 layoutContainer(Container)

Lays out the specified container using this layout.

 minimumLayoutSize(Container)

Determines the minimum size of the container argument using this grid layout.

 preferredLayoutSize(Container)

Determines the preferred size of the container argument using this grid layout.

 removeLayoutComponent(Component)

Removes the specified component from the layout.

 setColumns(int)

Sets the number of columns in this layout to the specified value.

 setHgap(int)

Sets the horizontal gap between components to the specified value.

 setRows(int)

Sets the number of rows in this layout to the specified value.

 setVgap(int)

Sets the vertical gap between components to the specified value.

 toString()

Returns the string representation of this grid layout's values.

 GridLayout

 public GridLayout()

Creates a grid layout with a default of one column per component, in a single row.

 GridLayout

 public GridLayout(int rows,
                   int cols)

Creates a grid layout with the specified number of rows and columns. All components in the layout are given equal size.

One, but not both, of rows and cols can be zero, which means that any number of objects can be placed in a row or in a column.

Parameters:

rows - the rows, with the value zero meaning any number of rows.

cols - the columns, with the value zero meaning any number of columns.

 GridLayout

 public GridLayout(int rows,
                   int cols,
                   int hgap,
                   int vgap)

Creates a grid layout with the specified number of rows and columns. All components in the layout are given equal size.

In addition, the horizontal and vertical gaps are set to the specified values. Horizontal gaps are placed at the left and right edges, and between each of the columns. Vertical gaps are placed at the top and bottom edges, and between each of the rows.

One, but not both, of rows and cols can be zero, which means that any number of objects can be placed in a row or in a column.

Parameters:

rows - the rows, with the value zero meaning any number of rows.

cols - the columns, with the value zero meaning any number of columns.

hgap - the horizontal gap.

vgap - the vertical gap.

Throws: IllegalArgumentException

if the of rows or cols is invalid.

 addLayoutComponent

 public void addLayoutComponent(String name,
                                Component comp)

Adds the specified component with the specified name to the layout.

Parameters:

name - the name of the component.

comp - the component to be added.

 getColumns

 public int getColumns()

Gets the number of columns in this layout.

Returns:

the number of columns in this layout.

 getHgap

 public int getHgap()

Gets the horizontal gap between components.

Returns:

the horizontal gap between components.

 getRows

 public int getRows()

Gets the number of rows in this layout.

Returns:

the number of rows in this layout.

 getVgap

 public int getVgap()

Gets the vertical gap between components.

Returns:

the vertical gap between components.

 layoutContainer

 public void layoutContainer(Container parent)

Lays out the specified container using this layout.

This method reshapes the components in the specified target container in order to satisfy the constraints of the GridLayout object.

The grid layout manager determines the size of individual components by dividing the free space in the container into equal-sized portions according to the number of rows and columns in the layout. The container's free space equals the container's size minus any insets and any specified horizontal or vertical gap. All components in a grid layout are given the same size.

Parameters:

target - the container in which to do the layout.

See Also:

Container, doLayout

 minimumLayoutSize

 public Dimension minimumLayoutSize(Container parent)

Determines the minimum size of the container argument using this grid layout.

The minimum width of a grid layout is the largest minimum width of any of the widths in the container times the number of columns, plus the horizontal padding times the number of columns plus one, plus the left and right insets of the target container.

The minimum height of a grid layout is the largest minimum height of any of the widths in the container times the number of rows, plus the vertical padding times the number of rows plus one, plus the top and left insets of the target container.

Parameters:

target - the container in which to do the layout.

Returns:

the minimum dimensions needed to lay out the subcomponents of the specified container.

See Also:

preferredLayoutSize, doLayout

 preferredLayoutSize

 public Dimension preferredLayoutSize(Container parent)

Determines the preferred size of the container argument using this grid layout.

The preferred width of a grid layout is the largest preferred width of any of the widths in the container times the number of columns, plus the horizontal padding times the number of columns plus one, plus the left and right insets of the target container.

The preferred height of a grid layout is the largest preferred height of any of the widths in the container times the number of rows, plus the vertical padding times the number of rows plus one, plus the top and left insets of the target container.

Parameters:

target - the container in which to do the layout.

Returns:

the preferred dimensions to lay out the subcomponents of the specified container.

See Also:

minimumLayoutSize, getPreferredSize

 removeLayoutComponent

 public void removeLayoutComponent(Component comp)

Removes the specified component from the layout.

Parameters:

comp - the component to be removed.

 setColumns

 public void setColumns(int cols)

Sets the number of columns in this layout to the specified value.

Parameters:

cols - the number of columns in this layout.

Throws: IllegalArgumentException

if the value of both rows and cols is set to zero.

 setHgap

 public void setHgap(int hgap)

Sets the horizontal gap between components to the specified value.

Parameters:

hgap - the horizontal gap between components.

 setRows

 public void setRows(int rows)

Sets the number of rows in this layout to the specified value.

Parameters:

rows - the number of rows in this layout.

Throws: IllegalArgumentException

if the value of both rows and cols is set to zero.

 setVgap

 public void setVgap(int vgap)

Sets the vertical gap between components to the specified value.

Parameters:

vgap - the vertical gap between components.

 toString

 public String toString()

Returns the string representation of this grid layout's values.

Returns:

a string representation of this grid layout.

Overrides:

toString in class Object


 Class java.awt.Image

java.lang.Object
   |
   +----java.awt.Image

public abstract class Image
   extends Object

The abstract class Image is the superclass of all classes that represent graphical images. The image must be obtained in a platform-specific manner.

 SCALE_AREA_AVERAGING

Use the Area Averaging image scaling algorithm.

 SCALE_DEFAULT

Use the default image-scaling algorithm.

 SCALE_FAST

Choose an image-scaling algorithm that gives higher priority to scaling speed than smoothness of the scaled image.

 SCALE_REPLICATE

Use the image scaling algorithm embodied in the ReplicateScaleFilter class.

 SCALE_SMOOTH

Choose an image-scaling algorithm that gives higher priority to image smoothness than scaling speed.

 UndefinedProperty

The UndefinedProperty object should be returned whenever a property which was not defined for a particular image is fetched.

 Image()

 flush()

Flushes all resources being used by this Image object.

 getGraphics()

Creates a graphics context for drawing to an off-screen image.

 getHeight(ImageObserver)

Determines the height of the image.

 getProperty(String, ImageObserver)

Gets a property of this image by name.

 getScaledInstance(int, int, int)

Creates a scaled version of this image.

 getSource()

Gets the object that produces the pixels for the image.

 getWidth(ImageObserver)

Determines the width of the image.

 SCALE_AREA_AVERAGING

 public static final int SCALE_AREA_AVERAGING

Use the Area Averaging image scaling algorithm. The image object is free to substitute a different filter that performs the same algorithm yet integrates more efficiently into the image infrastructure supplied by the toolkit.

See Also:

AreaAveragingScaleFilter

 SCALE_DEFAULT

 public static final int SCALE_DEFAULT

Use the default image-scaling algorithm.

 SCALE_FAST

 public static final int SCALE_FAST

Choose an image-scaling algorithm that gives higher priority to scaling speed than smoothness of the scaled image.

 SCALE_REPLICATE

 public static final int SCALE_REPLICATE

Use the image scaling algorithm embodied in the ReplicateScaleFilter class. The Image object is free to substitute a different filter that performs the same algorithm yet integrates more efficiently into the imaging infrastructure supplied by the toolkit.

See Also:

ReplicateScaleFilter

 SCALE_SMOOTH

 public static final int SCALE_SMOOTH

Choose an image-scaling algorithm that gives higher priority to image smoothness than scaling speed.

 UndefinedProperty

 public static final Object UndefinedProperty

The UndefinedProperty object should be returned whenever a property which was not defined for a particular image is fetched.

 Image

 public Image()

 flush

 public abstract void flush()

Flushes all resources being used by this Image object. This includes any pixel data that is being cached for rendering to the screen as well as any system resources that are being used to store data or pixels for the image. The image is reset to a state similar to when it was first created so that if it is again rendered, the image data will have to be recreated or fetched again from its source.

 getGraphics

 public abstract Graphics getGraphics()

Creates a graphics context for drawing to an off-screen image. This method can only be called for off-screen images.

Returns:

a graphics context to draw to the off-screen image.

See Also:

Graphics, createImage

 getHeight

 public abstract int getHeight(ImageObserver observer)

Determines the height of the image. If the height is not yet known, this method returns -1 and the specified ImageObserver object is notified later.

Parameters:

observer - an object waiting for the image to be loaded.

Returns:

the height of this image, or -1 if the height is not yet known.

See Also:

getWidth, ImageObserver

 getProperty

 public abstract Object getProperty(String name,
                                    ImageObserver observer)

Gets a property of this image by name.

Individual property names are defined by the various image formats. If a property is not defined for a particular image, this method returns the UndefinedProperty object.

If the properties for this image are not yet known, this method returns null, and the ImageObserver object is notified later.

The property name "comment" should be used to store an optional comment which can be presented to the application as a description of the image, its source, or its author.

Parameters:

name - a property name.

observer - an object waiting for this image to be loaded.

Returns:

the value of the named property.

See Also:

ImageObserver, UndefinedProperty

 getScaledInstance

 public Image getScaledInstance(int width,
                                int height,
                                int hints)

Creates a scaled version of this image. A new Image object is returned which will render the image at the specified width and height by default. The new Image object may be loaded asynchronously even if the original source image has already been loaded completely. If either the width or height is a negative number then a value is substituted to maintain the aspect ratio of the original image dimensions.

Parameters:

width - the width to which to scale the image.

height - the height to which to scale the image.

hints - flags to indicate the type of algorithm to use for image resampling.

Returns:

a scaled version of the image.

See Also:

SCALE_DEFAULT, SCALE_FAST, SCALE_SMOOTH, SCALE_REPLICATE, SCALE_AREA_AVERAGING

 getSource

 public abstract ImageProducer getSource()

Gets the object that produces the pixels for the image. This method is called by the image filtering classes and by methods that perform image conversion and scaling.

Returns:

the image producer that produces the pixels for this image.

See Also:

ImageProducer

 getWidth

 public abstract int getWidth(ImageObserver observer)

Determines the width of the image. If the width is not yet known, this method returns -1 and the specified ImageObserver object is notified later.

Parameters:

observer - an object waiting for the image to be loaded.

Returns:

the width of this image, or -1 if the width is not yet known.

See Also:

getHeight, ImageObserver


 Class java.awt.Insets

java.lang.Object
   |
   +----java.awt.Insets

public class Insets
   extends Object
   implements Cloneable, Serializable

An Insets object is a representation of the borders of a container. It specifies the space that a container must leave at each of its edges. The space can be a border, a blank space, or a title.

     See Also:
     LayoutManager, Container

 bottom

The inset from the bottom.

 left

The inset from the left.

 right

The inset from the right.

 top

The inset from the top.

 Insets(int, int, int, int)

Creates and initializes a new Insets object with the specified top, left, bottom, and right insets.

 clone()

Create a copy of this object.

 equals(Object)

Checks whether two insets objects are equal.

 toString()

Returns a String object representing this Insets object's values.

 bottom

 public int bottom

The inset from the bottom.

 left

 public int left

The inset from the left.

 right

 public int right

The inset from the right.

 top

 public int top

The inset from the top.

 Insets

 public Insets(int top,
               int left,
               int bottom,
               int right)

Creates and initializes a new Insets object with the specified top, left, bottom, and right insets.

Parameters:

top - the inset from the top.

left - the inset from the left.

bottom - the inset from the bottom.

right - the inset from the right.

 clone

 public Object clone()

Create a copy of this object.

Returns:

a copy of this Insets object.

Overrides:

clone in class Object

 equals

 public boolean equals(Object obj)

Checks whether two insets objects are equal. Two instances of Insets are equal if the four integer values of the fields top, left, bottom, and right are all equal.

Returns:

true if the two insets are equal; otherwise false.

Overrides:

equals in class Object

 toString

 public String toString()

Returns a String object representing this Insets object's values.

Returns:

a string representation of this Insets object, including the values of its member fields.

Overrides:

toString in class Object


 Class java.awt.Label

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Label

public class Label
   extends Component

A Label object is a component for placing text in a container. A label displays a single line of read-only text. The text can be changed by the application, but a user cannot edit it directly.

For example, the code . . .

 setLayout(new FlowLayout(FlowLayout.CENTER, 10, 10));
 add(new Label("Hi There!"));
 add(new Label("Another Label"));

produces the following label:

 CENTER

Indicates that the label should be centered.

 LEFT

Indicates that the label should be left justified.

 RIGHT

Indicates that the label should be right justified.

 Label()

Constructs an empty label.

 Label(String)

Constructs a new label with the specified string of text, left justified.

 Label(String, int)

Constructs a new label that presents the specified string of text with the specified alignment.

 addNotify()

Creates the peer for this label.

 getAlignment()

Gets the current alignment of this label.

 getText()

Gets the text of this label.

 paramString()

Returns the parameter string representing the state of this label.

 setAlignment(int)

Sets the alignment for this label to the specified alignment.

 setText(String)

Sets the text for this label to the specified text.

 CENTER

 public static final int CENTER

Indicates that the label should be centered.

 LEFT

 public static final int LEFT

Indicates that the label should be left justified.

 RIGHT

 public static final int RIGHT

Indicates that the label should be right justified.

 Label

 public Label()

Constructs an empty label.

 Label

 public Label(String text)

Constructs a new label with the specified string of text, left justified.

Parameters:

text - the string that the label presents.

 Label

 public Label(String text,
              int alignment)

Constructs a new label that presents the specified string of text with the specified alignment.

Possible values for alignment are Label.LEFT, Label.RIGHT, and Label.CENTER.

Parameters:

text - the string that the label presents.

alignment - the alignment value.

 addNotify

 public void addNotify()

Creates the peer for this label. The peer allows us to modify the appearance of the label without changing its functionality.

Overrides:

addNotify in class Component

 getAlignment

 public int getAlignment()

Gets the current alignment of this label. Possible values are Label.LEFT, Label.RIGHT, and Label.CENTER.

See Also:

setAlignment

 getText

 public String getText()

Gets the text of this label.

Returns:

the text of this label.

See Also:

setText

 paramString

 protected String paramString()

Returns the parameter string representing the state of this label. This string is useful for debugging.

Returns:

the parameter string of this label.

Overrides:

paramString in class Component

 setAlignment

 public synchronized void setAlignment(int alignment)

Sets the alignment for this label to the specified alignment. Possible values are Label.LEFT, Label.RIGHT, and Label.CENTER.

Parameters:

alignment - the alignment to be set.

Throws: IllegalArgumentException

if an improper value for alignment is given.

See Also:

getAlignment

 setText

 public synchronized void setText(String text)

Sets the text for this label to the specified text.

Parameters:

text - the text that this label presents.

See Also:

getText


 Class java.awt.List

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.List

public class List
   extends Component
   implements ItemSelectable

The List component presents the user with a scrolling list of text items. The list can be set up so that the user can choose either one item or multiple items.

For example, the code . . .

 List lst = new List(4, false);
 lst.add("Mercury");
 lst.add("Venus");
 lst.add("Earth");
 lst.add("JavaSoft");
 lst.add("Mars");
 lst.add("Jupiter");
 lst.add("Saturn");
 lst.add("Uranus");
 lst.add("Neptune");
 lst.add("Pluto");
 cnt.add(lst);

where cnt is a container, produces the following scrolling list:

Clicking on an item that isn't selected selects it. Clicking on an item that is already selected deselects it. In the preceding example, only one item from the scrolling list can be selected at a time, since the second argument when creating the new scrolling list is false. Selecting an item causes any other selected item to be automatically deselected.

Beginning with Java 1.1, the Abstract Window Toolkit sends the List object all mouse, keyboard, and focus events that occur over it. (The old AWT event model is being maintained only for backwards compatibility, and its use is discouraged.)

When an item is selected or deselected, AWT sends an instance of ItemEvent to the list. When the user double-clicks on an item in a scrolling list, AWT sends an instance of ActionEvent to the list following the item event. AWT also generates an action event when the user presses the return key while an item in the list is selected.

If an application wants to perform some action based on an item in this list being selected or activated, it should implement ItemListener or ActionListener as appropriate and register the new listener to receive events from this list.

For multiple-selection scrolling lists, it is considered a better user interface to use an external gesture (such as clicking on a button) to trigger the action.

     See Also:
     ItemEvent, ItemListener, ActionEvent, ActionListener

 List()

Creates a new scrolling list.

 List(int)

Creates a new scrolling list initialized with the specified number of visible lines.

 List(int, boolean)

Creates a new scrolling list initialized to display the specified number of rows.

 add(String)

Adds the specified item to the end of scrolling list.

 add(String, int)

Adds the specified item to the end of the scrolling list.

 addActionListener(ActionListener)

Adds the specified action listener to receive action events from this list.

 addItem(String)

 addItem(String, int)

 addItemListener(ItemListener)

Adds the specified item listener to receive item events from this list.

 addNotify()

Creates the peer for the list.

 allowsMultipleSelections()

Deprecated.

 clear()

Deprecated.

 countItems()

Deprecated.

 delItem(int)

Removes the item at the specified position from this list.

 delItems(int, int)

Deprecated.

 deselect(int)

Deselects the item at the specified index.

 getItem(int)

Gets the item associated with the specified index.

 getItemCount()

Gets the number of items in the list.

 getItems()

Gets the items in the list.

 getMinimumSize()

Determines the minimum size of this scrolling list.

 getMinimumSize(int)

Gets the minumum dimensions for a list with the specified number of rows.

 getPreferredSize()

Gets the preferred size of this scrolling list.

 getPreferredSize(int)

Gets the preferred dimensions for a list with the specified number of rows.

 getRows()

Get the number of visible lines in this list.

 getSelectedIndex()

Gets the index of the selected item on the list,

 getSelectedIndexes()

Gets the selected indexes on the list.

 getSelectedItem()

Get the selected item on this scrolling list.

 getSelectedItems()

Get the selected items on this scrolling list.

 getSelectedObjects()

Returns the selected items on the list in an array of Objects.

 getVisibleIndex()

Gets the index of the item that was last made visible by the method makeVisible.

 isIndexSelected(int)

Determines if the specified item in this scrolling list is selected.

 isMultipleMode()

Determines whether this list allows multiple selections.

 isSelected(int)

Deprecated.

 makeVisible(int)

Makes the item at the specified index visible.

 minimumSize()

Deprecated.

 minimumSize(int)

Deprecated.

 paramString()

Returns the parameter string representing the state of this scrolling list.

 preferredSize()

Deprecated.

 preferredSize(int)

Deprecated.

 processActionEvent(ActionEvent)

Processes action events occurring on this component by dispatching them to any registered ActionListener objects.

 processEvent(AWTEvent)

Processes events on this scrolling list.

 processItemEvent(ItemEvent)

Processes item events occurring on this list by dispatching them to any registered ItemListener objects.

 remove(int)

Remove the item at the specified position from this scrolling list.

 remove(String)

Removes the first occurrence of an item from the list.

 removeActionListener(ActionListener)

Removes the specified action listener so that it no longer receives action events from this list.

 removeAll()

Removes all items from this list.

 removeItemListener(ItemListener)

Removes the specified item listener so that it no longer receives item events from this list.

 removeNotify()

Removes the peer for this list.

 replaceItem(String, int)

Replaces the item at the specified index in the scrolling list with the new string.

 select(int)

Selects the item at the specified index in the scrolling list.

 setMultipleMode(boolean)

Sets the flag that determines whether this list allows multiple selections.

 setMultipleSelections(boolean)

Deprecated.

 List

 public List()

Creates a new scrolling list. Initially there are no visible lines, and only one item can be selected from the list.

 List

 public List(int rows)

Creates a new scrolling list initialized with the specified number of visible lines. By default, multiple selections are not allowed.

Parameters:

rows - the number of items to show.

 List

 public List(int rows,
             boolean multipleMode)

Creates a new scrolling list initialized to display the specified number of rows. If the value of multipleMode is true, then the user can select multiple items from the list. If it is false, only one item at a time can be selected.

Parameters:

rows - the number of items to show.

multipleMode - if true, then multiple selections are allowed; otherwise, only one item can be selected at a time.

 add

 public void add(String item)

Adds the specified item to the end of scrolling list.

Parameters:

item - the item to be added.

 add

 public synchronized void add(String item,
                              int index)

Adds the specified item to the end of the scrolling list. The index is zero-based. If value of the index is -1 then the item is added to the end. If value of the index is greater than the number of items in the list, the item is added at the end.

Parameters:

item - the item to be added.

index - the position at which to add the item.

 addActionListener

 public synchronized void addActionListener(ActionListener l)

Adds the specified action listener to receive action events from this list. Action events occur when a user double-clicks on a list item.

Parameters:

l - the action listener.

See Also:

ActionEvent, ActionListener, removeActionListener

 addItem

 public void addItem(String item)

 addItem

 public synchronized void addItem(String item,
                                  int index)

 addItemListener

 public synchronized void addItemListener(ItemListener l)

Adds the specified item listener to receive item events from this list.

Parameters:

l - the item listener.

See Also:

ItemEvent, ItemListener, removeItemListener

 addNotify

 public void addNotify()

Creates the peer for the list. The peer allows us to modify the list's appearance without changing its functionality.

Overrides:

addNotify in class Component

 allowsMultipleSelections

 public boolean allowsMultipleSelections()

Note: allowsMultipleSelections() is deprecated. As of JDK version 1.1, replaced by isMultipleMode().

 clear

 public synchronized void clear()

Note: clear() is deprecated. As of JDK version 1.1, replaced by removeAll().

 countItems

 public int countItems()

Note: countItems() is deprecated. As of JDK version 1.1, replaced by getItemCount().

 delItem

 public synchronized void delItem(int position)

Removes the item at the specified position from this list.

 delItems

 public synchronized void delItems(int start,
                                   int end)

Note: delItems() is deprecated. As of JDK version 1.1, Not for public use in the future. This method is expected to be retained only as a package private method.

 deselect

 public synchronized void deselect(int index)

Deselects the item at the specified index.

If the item at the specified index is not selected, or if the index is out of range, then the operation is ignored.

Parameters:

index - the position of the item to deselect.

See Also:

select, getSelectedItem, isIndexSelected

 getItem

 public String getItem(int index)

Gets the item associated with the specified index.

Parameters:

index - the position of the item.

Returns:

an item that is associated with the specified index.

See Also:

getItemCount

 getItemCount

 public int getItemCount()

Gets the number of items in the list.

Returns:

the number of items in the list.

See Also:

getItem

 getItems

 public synchronized String[] getItems()

Gets the items in the list.

Returns:

a string array containing items of the list.

See Also:

select, deselect, isIndexSelected

 getMinimumSize

 public Dimension getMinimumSize()

Determines the minimum size of this scrolling list.

Returns:

the minimum dimensions needed to display this scrolling list.

Overrides:

getMinimumSize in class Component

See Also:

getMinimumSize

 getMinimumSize

 public Dimension getMinimumSize(int rows)

Gets the minumum dimensions for a list with the specified number of rows.

Parameters:

rows - number of rows in the list.

Returns:

the minimum dimensions for displaying this scrolling list.

See Also:

getMinimumSize

 getPreferredSize

 public Dimension getPreferredSize()

Gets the preferred size of this scrolling list.

Returns:

the preferred dimensions for displaying this scrolling list.

Overrides:

getPreferredSize in class Component

See Also:

getPreferredSize

 getPreferredSize

 public Dimension getPreferredSize(int rows)

Gets the preferred dimensions for a list with the specified number of rows.

Parameters:

rows - number of rows in the list.

Returns:

the preferred dimensions for displaying this scrolling list.

See Also:

getPreferredSize

 getRows

 public int getRows()

Get the number of visible lines in this list.

Returns:

the number of visible lines in this scrolling list.

 getSelectedIndex

 public synchronized int getSelectedIndex()

Gets the index of the selected item on the list,

Returns:

the index of the selected item, or -1 if no item is selected, or if more that one item is selected.

See Also:

select, deselect, isIndexSelected

 getSelectedIndexes

 public synchronized int[] getSelectedIndexes()

Gets the selected indexes on the list.

Returns:

an array of the selected indexes of this scrolling list.

See Also:

select, deselect, isIndexSelected

 getSelectedItem

 public synchronized String getSelectedItem()

Get the selected item on this scrolling list.

Returns:

the selected item on the list, or null if no item is selected.

See Also:

select, deselect, isIndexSelected

 getSelectedItems

 public synchronized String[] getSelectedItems()

Get the selected items on this scrolling list.

Returns:

an array of the selected items on this scrolling list.

See Also:

select, deselect, isIndexSelected

 getSelectedObjects

 public Object[] getSelectedObjects()

Returns the selected items on the list in an array of Objects.

See Also:

ItemSelectable

 getVisibleIndex

 public int getVisibleIndex()

Gets the index of the item that was last made visible by the method makeVisible.

Returns:

the index of the item that was last made visible.

See Also:

makeVisible

 isIndexSelected

 public boolean isIndexSelected(int index)

Determines if the specified item in this scrolling list is selected.

Parameters:

index - the item to be checked.

Returns:

true if the specified item has been selected; false otherwise.

See Also:

select, deselect

 isMultipleMode

 public boolean isMultipleMode()

Determines whether this list allows multiple selections.

Returns:

true if this list allows multiple selections; otherwise, false.

See Also:

setMultipleMode

 isSelected

 public boolean isSelected(int index)

Note: isSelected() is deprecated. As of JDK version 1.1, replaced by isIndexSelected(int).

 makeVisible

 public synchronized void makeVisible(int index)

Makes the item at the specified index visible.

Parameters:

index - the position of the item.

See Also:

getVisibleIndex

 minimumSize

 public Dimension minimumSize()

Note: minimumSize() is deprecated. As of JDK version 1.1, replaced by getMinimumSize().

Overrides:

minimumSize in class Component

 minimumSize

 public Dimension minimumSize(int rows)

Note: minimumSize() is deprecated. As of JDK version 1.1, replaced by getMinimumSize(int).

 paramString

 protected String paramString()

Returns the parameter string representing the state of this scrolling list. This string is useful for debugging.

Returns:

the parameter string of this scrolling list.

Overrides:

paramString in class Component

 preferredSize

 public Dimension preferredSize()

Note: preferredSize() is deprecated. As of JDK version 1.1, replaced by getPreferredSize().

Overrides:

preferredSize in class Component

 preferredSize

 public Dimension preferredSize(int rows)

Note: preferredSize() is deprecated. As of JDK version 1.1, replaced by getPreferredSize(int).

 processActionEvent

 protected void processActionEvent(ActionEvent e)

Processes action events occurring on this component by dispatching them to any registered ActionListener objects.

This method is not called unless action events are enabled for this component. Action events are enabled when one of the following occurs:

•	An ActionListener object is registered via addActionListener.

•	Action events are enabled via enableEvents.

Parameters:

e - the action event.

See Also:

ActionEvent, ActionListener, addActionListener, enableEvents

 processEvent

 protected void processEvent(AWTEvent e)

Processes events on this scrolling list. If an event is an instance of ItemEvent, it invokes the processItemEvent method. Else, if the event is an instance of ActionEvent, it invokes processActionEvent. If the event is not an item event or an action event, it invokes processEvent on the superclass.

Parameters:

e - the event.

Overrides:

processEvent in class Component

See Also:

ActionEvent, ItemEvent, processActionEvent, processItemEvent

 processItemEvent

 protected void processItemEvent(ItemEvent e)

Processes item events occurring on this list by dispatching them to any registered ItemListener objects.

This method is not called unless item events are enabled for this component. Item events are enabled when one of the following occurs:

•	An ItemListener object is registered via addItemListener.

•	Item events are enabled via enableEvents.

Parameters:

e - the item event.

See Also:

ItemEvent, ItemListener, addItemListener, enableEvents

 remove

 public synchronized void remove(int position)

Remove the item at the specified position from this scrolling list.

Parameters:

position - the index of the item to delete.

See Also:

add

 remove

 public synchronized void remove(String item)

Removes the first occurrence of an item from the list.

Parameters:

item - the item to remove from the list.

Throws: IllegalArgumentException

if the item doesn't exist in the list.

 removeActionListener

 public synchronized void removeActionListener(ActionListener l)

Removes the specified action listener so that it no longer receives action events from this list. Action events occur when a user double-clicks on a list item.

Parameters:

l - the action listener.

See Also:

ActionEvent, ActionListener, addActionListener

 removeAll

 public synchronized void removeAll()

Removes all items from this list.

See Also:

remove, delItems

 removeItemListener

 public synchronized void removeItemListener(ItemListener l)

Removes the specified item listener so that it no longer receives item events from this list.

Parameters:

l - the item listener.

See Also:

ItemEvent, ItemListener, addItemListener

 removeNotify

 public void removeNotify()

Removes the peer for this list. The peer allows us to modify the list's appearance without changing its functionality.

Overrides:

removeNotify in class Component

 replaceItem

 public synchronized void replaceItem(String newValue,
                                      int index)

Replaces the item at the specified index in the scrolling list with the new string.

Parameters:

newValue - a new string to replace an existing item.

index - the position of the item to replace.

 select

 public void select(int index)

Selects the item at the specified index in the scrolling list.

Parameters:

index - the position of the item to select.

See Also:

getSelectedItem, deselect, isIndexSelected

 setMultipleMode

 public synchronized void setMultipleMode(boolean b)

Sets the flag that determines whether this list allows multiple selections.

Parameters:

b - if true then multiple selections are allowed; otherwise, only one item from the list can be selected at once.

See Also:

isMultipleMode

 setMultipleSelections

 public synchronized void setMultipleSelections(boolean b)

Note: setMultipleSelections() is deprecated. As of JDK version 1.1, replaced by setMultipleMode(boolean).


 Class java.awt.MediaTracker

java.lang.Object
   |
   +----java.awt.MediaTracker

public class MediaTracker
   extends Object
   implements Serializable

The MediaTracker class is a utility class to track the status of a number of media objects. Media objects could include audio clips as well as images, though currently only images are supported.

To use a media tracker, create an instance of MediaTracker and call its addImage method for each image to be tracked. In addition, each image can be assigned a unique identifier. This identifier controls the priority order in which the images are fetched. It can also be used to identify unique subsets of the images that can be waited on independently. Images with a lower ID are loaded in preference to those with a higher ID number.

Here is an example:

 import java.applet.Applet;
 import java.awt.Color;
 import java.awt.Image;
 import java.awt.Graphics;
 import java.awt.MediaTracker;
 public class ImageBlaster extends Applet implements Runnable {
MediaTracker tracker;
Image bg;
Image anim[] = new Image[5];
int index;
Thread animator;
// Get the images for the background (id == 0)
// and the animation frames (id == 1)
      // and add them to the MediaTracker
public void init() {
    tracker = new MediaTracker(this);
    bg = getImage(getDocumentBase(),
                  "images/background.gif");
    tracker.addImage(bg, 0);
    for (int i = 0; i < 5; i++) {
anim[i] = getImage(getDocumentBase(),
                      "images/anim"+i+".gif");
tracker.addImage(anim[i], 1);
    }
}
// Start the animation thread.
public void start() {
    animator = new Thread(this);
    animator.start();
}
// Stop the animation thread.
public void stop() {
    animator.stop();
    animator = null;
}
// Run the animation thread.
// First wait for the background image to fully load
      // and paint.  Then wait for all of the animation
// frames to finish loading. Finally, loop and
// increment the animation frame index.
public void run() {
    try {
tracker.waitForID(0);
tracker.waitForID(1);
    } catch (InterruptedException e) {
return;
    }
    Thread me = Thread.currentThread();
    while (animator == me) {
try {
    Thread.sleep(100);
} catch (InterruptedException e) {
    break;
}
synchronized (this) {
    index++;
    if (index >= anim.length) {
index = 0;
    }
}
repaint();
    }
}
// The background image fills the frame so we
// don't need to clear the applet on repaints.
      // Just call the paint method.
public void update(Graphics g) {
    paint(g);
}
// Paint a large red rectangle if there are any errors
// loading the images.  Otherwise always paint the
// background so that it appears incrementally as it
      // is loading.  Finally, only paint the current animation
// frame if all of the frames (id == 1) are done loading,
// so that we don't get partial animations.
public void paint(Graphics g) {
    if ((tracker.statusAll(false) & MediaTracker.ERRORED) != 0) {
g.setColor(Color.red);
g.fillRect(0, 0, size().width, size().height);
return;
    }
    g.drawImage(bg, 0, 0, this);
    if (tracker.statusID(1, false) == MediaTracker.COMPLETE) {
g.drawImage(anim[index], 10, 10, this);
    }
}
 }

 ABORTED

Flag indicating that the downloading of some media was aborted.

 COMPLETE

Flag indicating that the downloading of media was completed successfully.

 ERRORED

Flag indicating that the downloading of some media encountered an error.

 LOADING

Flag indicating some media is currently being loaded.

 MediaTracker(Component)

Creates a media tracker to track images for a given component.

 addImage(Image, int)

Adds an image to the list of images being tracked by this media tracker.

 addImage(Image, int, int, int)

Adds a scaled image to the list of images being tracked by this media tracker.

 checkAll()

Checks to see if all images being tracked by this media tracker have finished loading.

 checkAll(boolean)

Checks to see if all images being tracked by this media tracker have finished loading.

 checkID(int)

Checks to see if all images tracked by this media tracker that are tagged with the specified identifier have finished loading.

 checkID(int, boolean)

Checks to see if all images tracked by this media tracker that are tagged with the specified identifier have finished loading.

 getErrorsAny()

Returns a list of all media that have encountered an error.

 getErrorsID(int)

Returns a list of media with the specified ID that have encountered an error.

 isErrorAny()

Checks the error status of all of the images.

 isErrorID(int)

Checks the error status of all of the images tracked by this media tracker with the specified identifier.

 removeImage(Image)

Remove the specified image from this media tracker.

 removeImage(Image, int)

Remove the specified image from the specified tracking ID of this media tracker.

 removeImage(Image, int, int, int)

Remove the specified image with the specified width, height, and ID from this media tracker.

 statusAll(boolean)

Calculates and returns the bitwise inclusive OR of the status of all media that are tracked by this media tracker.

 statusID(int, boolean)

Calculates and returns the bitwise inclusive OR of the status of all media with the specified identifier that are tracked by this media tracker.

 waitForAll()

Starts loading all images tracked by this media tracker.

 waitForAll(long)

Starts loading all images tracked by this media tracker.

 waitForID(int)

Starts loading all images tracked by this media tracker with the specified identifier.

 waitForID(int, long)

Starts loading all images tracked by this media tracker with the specified identifier.

 ABORTED

 public static final int ABORTED

Flag indicating that the downloading of some media was aborted.

See Also:

statusAll, statusID

 COMPLETE

 public static final int COMPLETE

Flag indicating that the downloading of media was completed successfully.

See Also:

statusAll, statusID

 ERRORED

 public static final int ERRORED

Flag indicating that the downloading of some media encountered an error.

See Also:

statusAll, statusID

 LOADING

 public static final int LOADING

Flag indicating some media is currently being loaded.

See Also:

statusAll, statusID

 MediaTracker

 public MediaTracker(Component comp)

Creates a media tracker to track images for a given component.

Parameters:

comp - the component on which the images will eventually be drawn.

 addImage

 public void addImage(Image image,
                      int id)

Adds an image to the list of images being tracked by this media tracker. The image will eventually be rendered at its default (unscaled) size.

Parameters:

image - the image to be tracked.

id - an identifier used to track this image.

 addImage

 public synchronized void addImage(Image image,
                                   int id,
                                   int w,
                                   int h)

Adds a scaled image to the list of images being tracked by this media tracker. The image will eventually be rendered at the indicated width and height.

Parameters:

image - the image to be tracked.

id - an identifier that can be used to track this image.

w - the width at which the image is rendered.

h - the height at which the image is rendered.

 checkAll

 public boolean checkAll()

Checks to see if all images being tracked by this media tracker have finished loading.

This method does not start loading the images if they are not already loading.

If there is an error while loading or scaling an image, then that image is considered to have finished loading. Use the isErrorAny or isErrorID methods to check for errors.

Returns:

true if all images have finished loading, have been aborted, or have encountered an error; false otherwise.

See Also:

checkAll, checkID, isErrorAny, isErrorID

 checkAll

 public boolean checkAll(boolean load)

Checks to see if all images being tracked by this media tracker have finished loading.

If the value of the load flag is true, then this method starts loading any images that are not yet being loaded.

If there is an error while loading or scaling an image, that image is considered to have finished loading. Use the isErrorAny and isErrorID methods to check for errors.

Parameters:

load - if true, start loading any images that are not yet being loaded.

Returns:

true if all images have finished loading, have been aborted, or have encountered an error; false otherwise.

See Also:

checkID, checkAll, isErrorAny, isErrorID

 checkID

 public boolean checkID(int id)

Checks to see if all images tracked by this media tracker that are tagged with the specified identifier have finished loading.

This method does not start loading the images if they are not already loading.

If there is an error while loading or scaling an image, then that image is considered to have finished loading. Use the isErrorAny or isErrorID methods to check for errors.

Parameters:

id - the identifier of the images to check.

Returns:

true if all images have finished loading, have been aborted, or have encountered an error; false otherwise.

See Also:

checkID, checkAll, isErrorAny, isErrorID

 checkID

 public boolean checkID(int id,
                        boolean load)

Checks to see if all images tracked by this media tracker that are tagged with the specified identifier have finished loading.

If the value of the load flag is true, then this method starts loading any images that are not yet being loaded.

If there is an error while loading or scaling an image, then that image is considered to have finished loading. Use the isErrorAny or isErrorID methods to check for errors.

Parameters:

id - the identifier of the images to check.

load - if true, start loading any images that are not yet being loaded.

Returns:

true if all images have finished loading, have been aborted, or have encountered an error; false otherwise.

See Also:

checkID, checkAll, isErrorAny, isErrorID

 getErrorsAny

 public synchronized Object[] getErrorsAny()

Returns a list of all media that have encountered an error.

Returns:

an array of media objects tracked by this media tracker that have encountered an error, or null if there are none with errors.

See Also:

isErrorAny, getErrorsID

 getErrorsID

 public synchronized Object[] getErrorsID(int id)

Returns a list of media with the specified ID that have encountered an error.

Parameters:

id - the identifier of the images to check.

Returns:

an array of media objects tracked by this media tracker with the specified identifier that have encountered an error, or null if there are none with errors.

See Also:

isErrorID, isErrorAny, getErrorsAny

 isErrorAny

 public synchronized boolean isErrorAny()

Checks the error status of all of the images.

Returns:

true if any of the images tracked by this media tracker had an error during loading; false otherwise.

See Also:

isErrorID, getErrorsAny

 isErrorID

 public synchronized boolean isErrorID(int id)

Checks the error status of all of the images tracked by this media tracker with the specified identifier.

Parameters:

id - the identifier of the images to check.

Returns:

true if any of the images with the specified identifier had an error during loading; false otherwise.

See Also:

isErrorAny, getErrorsID

 removeImage

 public synchronized void removeImage(Image image)

Remove the specified image from this media tracker. All instances of the specified image are removed, regardless of scale or ID.

Parameters:

image - the image to be removed

See Also:

removeImage, removeImage

 removeImage

 public synchronized void removeImage(Image image,
                                      int id)

Remove the specified image from the specified tracking ID of this media tracker. All instances of Image being tracked under the specified ID are removed regardless of scale.

Parameters:

image - the image to be removed.

id - the tracking ID frrom which to remove the image.

See Also:

removeImage, removeImage

 removeImage

 public synchronized void removeImage(Image image,
                                      int id,
                                      int width,
                                      int height)

Remove the specified image with the specified width, height, and ID from this media tracker. Only the specified instance (with any duplicates) is removed.

Parameters:

image - the image to be removed

id - the tracking ID from which to remove the image.

width - the width to remove (-1 for unscaled).

height - the height to remove (-1 for unscaled).

See Also:

removeImage, removeImage

 statusAll

 public int statusAll(boolean load)

Calculates and returns the bitwise inclusive OR of the status of all media that are tracked by this media tracker.

Possible flags defined by the MediaTracker class are LOADING, ABORTED, ERRORED, and COMPLETE. An image that hasn't started loading has zero as its status.

If the value of load is true, then this method starts loading any images that are not yet being loaded.

Parameters:

load - if true, start loading any images that are not yet being loaded.

Returns:

the bitwise inclusive OR of the status of all of the media being tracked.

See Also:

statusID, LOADING, ABORTED, ERRORED, COMPLETE

 statusID

 public int statusID(int id,
                     boolean load)

Calculates and returns the bitwise inclusive OR of the status of all media with the specified identifier that are tracked by this media tracker.

Possible flags defined by the MediaTracker class are LOADING, ABORTED, ERRORED, and COMPLETE. An image that hasn't started loading has zero as its status.

If the value of load is true, then this method starts loading any images that are not yet being loaded.

Parameters:

id - the identifier of the images to check.

load - if true, start loading any images that are not yet being loaded.

Returns:

the bitwise inclusive OR of the status of all of the media with the specified identifier that are being tracked.

See Also:

statusAll, LOADING, ABORTED, ERRORED, COMPLETE

 waitForAll

 public void waitForAll() throws InterruptedException

Starts loading all images tracked by this media tracker. This method waits until all the images being tracked have finished loading.

If there is an error while loading or scaling an image, then that image is considered to have finished loading. Use the isErrorAny or isErrorID methods to check for errors.

Throws: InterruptedException

if another thread has interrupted this thread.

See Also:

waitForID, waitForAll, isErrorAny, isErrorID

 waitForAll

 public synchronized boolean waitForAll(long ms) throws InterruptedException

Starts loading all images tracked by this media tracker. This method waits until all the images being tracked have finished loading, or until the length of time specified in milliseconds by the ms argument has passed.

If there is an error while loading or scaling an image, then that image is considered to have finished loading. Use the isErrorAny or isErrorID methods to check for errors.

Parameters:

ms - the number of milliseconds to wait for the loading to complete.

Returns:

true if all images were successfully loaded; false otherwise.

Throws: InterruptedException

if another thread has interrupted this thread.

See Also:

waitForID, waitForAll, isErrorAny, isErrorID

 waitForID

 public void waitForID(int id) throws InterruptedException

Starts loading all images tracked by this media tracker with the specified identifier. This method waits until all the images with the specified identifier have finished loading.

If there is an error while loading or scaling an image, then that image is considered to have finished loading. Use the isErrorAny and isErrorID methods to check for errors.

Parameters:

id - the identifier of the images to check.

Throws: InterruptedException

if another thread has interrupted this thread.

See Also:

waitForAll, isErrorAny, isErrorID

 waitForID

 public synchronized boolean waitForID(int id,
                                       long ms) throws InterruptedException

Starts loading all images tracked by this media tracker with the specified identifier. This method waits until all the images with the specified identifier have finished loading, or until the length of time specified in milliseconds by the ms argument has passed.

If there is an error while loading or scaling an image, then that image is considered to have finished loading. Use the statusID, isErrorID, and isErrorAny methods to check for errors.

Parameters:

id - the identifier of the images to check.

ms - the length of time, in milliseconds, to wait for the loading to complete.

Throws: InterruptedException

if another thread has interrupted this thread.

See Also:

waitForAll, waitForID, statusID, isErrorAny, isErrorID


 Class java.awt.Menu

java.lang.Object
   |
   +----java.awt.MenuComponent
           |
           +----java.awt.MenuItem
                   |
                   +----java.awt.Menu

public class Menu
   extends MenuItem
   implements MenuContainer

A Menu object is a pull-down menu component that is deployed from a menu bar.

A menu can optionally be a tear-off menu. A tear-off menu can be opened and dragged away from its parent menu bar or menu. It remains on the screen after the mouse button has been released. The mechanism for tearing off a menu is platform dependent, since the look and feel of the tear-off menu is determined by its peer. On platforms that do not support tear-off menus, the tear-off property is ignored.

Each item in a menu must belong to the MenuItem class. It can be an instance of MenuItem, a submenu (an instance of Menu), or a check box (an instance of CheckboxMenuItem).

     See Also:
     MenuItem, CheckboxMenuItem

 Menu()

Constructs a new menu with an empty label.

 Menu(String)

Constructs a new menu with the specified label.

 Menu(String, boolean)

Constructs a new menu with the specified label.

 add(MenuItem)

Adds the specified menu item to this menu.

 add(String)

Adds an item with the specified label to this menu.

 addNotify()

Creates the menu's peer.

 addSeparator()

Adds a separator line, or a hypen, to the menu at the current position.

 countItems()

Deprecated.

 getItem(int)

Gets the item located at the specified index of this menu.

 getItemCount()

Get the number of items in this menu.

 insert(MenuItem, int)

Inserts a menu item into this menu at the specified position.

 insert(String, int)

Inserts a menu item with the specified label into this menu at the specified position.

 insertSeparator(int)

Inserts a separator at the specified position.

 isTearOff()

Indicates whether this menu is a tear-off menu.

 paramString()

Gets the parameter string representing the state of this menu.

 remove(int)

Removes the menu item at the specified index from this menu.

 remove(MenuComponent)

Removes the specified menu item from this menu.

 removeAll()

Removes all items from this menu.

 removeNotify()

Removes the menu's peer.

 Menu

 public Menu()

Constructs a new menu with an empty label. This menu is not a tear-off menu.

 Menu

 public Menu(String label)

Constructs a new menu with the specified label. This menu is not a tear-off menu.

Parameters:

label - the menu's label in the menu bar, or in another menu of which this menu is a submenu.

 Menu

 public Menu(String label,
             boolean tearOff)

Constructs a new menu with the specified label. If the value of tearOff is true, the menu can be torn off.

Tear-off functionality may not be supported by all implementations of AWT. If a particular implementation doesn't support tear-off menus, this value is silently ignored.

Parameters:

label - the menu's label in the menu bar, or in another menu of which this menu is a submenu.

tearOff - if true, the menu is a tear-off menu.

 add

 public synchronized MenuItem add(MenuItem mi)

Adds the specified menu item to this menu. If the menu item has been part of another menu, remove it from that menu.

Parameters:

mi - the menu item to be added.

Returns:

the menu item added.

See Also:

insert, insert

 add

 public void add(String label)

Adds an item with the specified label to this menu.

Parameters:

label - the text on the item.

See Also:

insert, insert

 addNotify

 public void addNotify()

Creates the menu's peer. The peer allows us to modify the appearance of the menu without changing its functionality.

Overrides:

addNotify in class MenuItem

 addSeparator

 public void addSeparator()

Adds a separator line, or a hypen, to the menu at the current position.

See Also:

insertSeparator

 countItems

 public int countItems()

Note: countItems() is deprecated. As of JDK version 1.1, replaced by getItemCount().

 getItem

 public MenuItem getItem(int index)

Gets the item located at the specified index of this menu.

Parameters:

index - the position of the item to be returned.

Returns:

the item located at the specified index.

 getItemCount

 public int getItemCount()

Get the number of items in this menu.

Returns:

the number of items in this menu.

 insert

 public synchronized void insert(MenuItem menuitem,
                                 int index)

Inserts a menu item into this menu at the specified position.

Parameters:

menuitem - the menu item to be inserted.

index - the position at which the menu item should be inserted.

Throws: IllegalArgumentException

if the value of index is less than zero.

See Also:

add, add

 insert

 public void insert(String label,
                    int index)

Inserts a menu item with the specified label into this menu at the specified position.

Parameters:

label - the text on the item.

index - the position at which the menu item should be inserted.

See Also:

add, add

 insertSeparator

 public void insertSeparator(int index)

Inserts a separator at the specified position.

Parameters:

index - the position at which the menu separator should be inserted.

Throws: IllegalArgumentException

if the value of index is less than 0.

See Also:

addSeparator

 isTearOff

 public boolean isTearOff()

Indicates whether this menu is a tear-off menu.

Tear-off functionality may not be supported by all implementations of AWT. If a particular implementation doesn't support tear-off menus, this value is silently ignored.

Returns:

true if this is a tear-off menu; false otherwise.

 paramString

 public String paramString()

Gets the parameter string representing the state of this menu. This string is useful for debugging.

Overrides:

paramString in class MenuItem

 remove

 public synchronized void remove(int index)

Removes the menu item at the specified index from this menu.

Parameters:

index - the position of the item to be removed.

 remove

 public synchronized void remove(MenuComponent item)

Removes the specified menu item from this menu.

Parameters:

item - the item to be removed from the menu

 removeAll

 public synchronized void removeAll()

Removes all items from this menu.

 removeNotify

 public void removeNotify()

Removes the menu's peer. The peer allows us to modify the appearance of the menu without changing its functionality.

Overrides:

removeNotify in class MenuComponent


 Class java.awt.MenuBar

java.lang.Object
   |
   +----java.awt.MenuComponent
           |
           +----java.awt.MenuBar

public class MenuBar
   extends MenuComponent
   implements MenuContainer

The MenuBar class encapsulates the platform's concept of a menu bar bound to a frame. In order to associate the menu bar with a Frame object, call the frame's setMenuBar method.

<!-- target for cross references --> This is what a menu bar might look like:

A menu bar handles keyboard shortcuts for menu items, passing them along to its child menus. (Keyboard shortcuts, which are optional, provide the user with an alternative to the mouse for invoking a menu item and the action that is associated with it.) Each menu item can maintain an instance of MenuShortcut. The MenuBar class defines several methods, shortCuts and getShortcutMenuItem that retrieve information about the shortcuts a given menu bar is managing.

     See Also:
     Frame, setMenuBar, Menu, MenuItem, MenuShortcut

 MenuBar()

Creates a new menu bar.

 add(Menu)

Adds the specified menu to the menu bar.

 addNotify()

Creates the menu bar's peer.

 countMenus()

Deprecated.

 deleteShortcut(MenuShortcut)

Deletes the specified menu shortcut.

 getHelpMenu()

Gets the help menu on the menu bar.

 getMenu(int)

Gets the specified menu.

 getMenuCount()

Gets the number of menus on the menu bar.

 getShortcutMenuItem(MenuShortcut)

Gets the instance of MenuItem associated with the specified MenuShortcut object, or null if none has been specified.

 remove(int)

Removes the menu located at the specified index from this menu bar.

 remove(MenuComponent)

Removes the specified menu component from this menu bar.

 removeNotify()

Removes the menu bar's peer.

 setHelpMenu(Menu)

Sets the help menu on this menu bar to be the specified menu.

 shortcuts()

Gets an enumeration of all menu shortcuts this menu bar is managing.

 MenuBar

 public MenuBar()

Creates a new menu bar.

 add

 public synchronized Menu add(Menu m)

Adds the specified menu to the menu bar.

Parameters:

m - the menu to be added.

Returns:

the menu added.

See Also:

remove, remove

 addNotify

 public void addNotify()

Creates the menu bar's peer. The peer allows us to change the appearance of the menu bar without changing any of the menu bar's functionality.

 countMenus

 public int countMenus()

Note: countMenus() is deprecated. As of JDK version 1.1, replaced by getMenuCount().

 deleteShortcut

 public void deleteShortcut(MenuShortcut s)

Deletes the specified menu shortcut.

Parameters:

s - the menu shortcut to delete.

 getHelpMenu

 public Menu getHelpMenu()

Gets the help menu on the menu bar.

Returns:

the help menu on this menu bar.

 getMenu

 public Menu getMenu(int i)

Gets the specified menu.

Parameters:

i - the index position of the menu to be returned.

Returns:

the menu at the specified index of this menu bar.

 getMenuCount

 public int getMenuCount()

Gets the number of menus on the menu bar.

Returns:

the number of menus on the menu bar.

 getShortcutMenuItem

 public MenuItem getShortcutMenuItem(MenuShortcut s)

Gets the instance of MenuItem associated with the specified MenuShortcut object, or null if none has been specified.

Parameters:

s - the specified menu shortcut.

See Also:

MenuItem, MenuShortcut

 remove

 public synchronized void remove(int index)

Removes the menu located at the specified index from this menu bar.

Parameters:

index - the position of the menu to be removed.

See Also:

add

 remove

 public synchronized void remove(MenuComponent m)

Removes the specified menu component from this menu bar.

Parameters:

m - the menu component to be removed.

See Also:

add

 removeNotify

 public void removeNotify()

Removes the menu bar's peer. The peer allows us to change the appearance of the menu bar without changing any of the menu bar's functionality.

Overrides:

removeNotify in class MenuComponent

 setHelpMenu

 public synchronized void setHelpMenu(Menu m)

Sets the help menu on this menu bar to be the specified menu.

Parameters:

m - the menu to be set as the help menu.

 shortcuts

 public synchronized Enumeration shortcuts()

Gets an enumeration of all menu shortcuts this menu bar is managing.

Returns:

an enumeration of menu shortcuts that this menu bar is managing.

See Also:

MenuShortcut


 Class java.awt.MenuComponent

java.lang.Object
   |
   +----java.awt.MenuComponent

public abstract class MenuComponent
   extends Object
   implements Serializable

The abstract class MenuComponent is the superclass of all menu-related components. In this respect, the class MenuComponent is analogous to the abstract superclass Component for AWT components.

Menu components receive and process AWT events, just as components do, through the method processEvent.

 MenuComponent()

 dispatchEvent(AWTEvent)

 getFont()

Gets the font used for this menu component.

 getName()

Gets the name of the menu component.

 getParent()

Returns the parent container for this menu component.

 getPeer()

Deprecated.

 paramString()

Returns the parameter string representing the state of this menu component.

 postEvent(Event)

Posts the specified event to the menu. Deprecated.

 processEvent(AWTEvent)

Processes events occurring on this menu component.

 removeNotify()

Removes the menu component's peer.

 setFont(Font)

Sets the font to be used for this menu component to the specified font.

 setName(String)

Sets the name of the component to the specified string.

 toString()

Returns a representation of this menu component as a string.

 MenuComponent

 public MenuComponent()

 dispatchEvent

 public final void dispatchEvent(AWTEvent e)

 getFont

 public Font getFont()

Gets the font used for this menu component.

Returns:

the font used in this menu component, if there is one; null otherwise.

See Also:

setFont

 getName

 public String getName()

Gets the name of the menu component.

Returns:

the name of the menu component.

See Also:

setName

 getParent

 public MenuContainer getParent()

Returns the parent container for this menu component.

Returns:

the menu component containing this menu component, or null if this menu component is the outermost component, the menu bar itself.

 getPeer

 public MenuComponentPeer getPeer()

Note: getPeer() is deprecated. As of JDK version 1.1, programs should not directly manipulate peers.

 paramString

 protected String paramString()

Returns the parameter string representing the state of this menu component. This string is useful for debugging.

Returns:

the parameter string of this menu component.

 postEvent

 public boolean postEvent(Event evt)

Note: postEvent() is deprecated. As of JDK version 1.1, replaced by dispatchEvent(AWTEvent).

Posts the specified event to the menu. This method is part of the Java 1.0 event system and it is maintained only for backwards compatibility. Its use is discouraged, and it may not be supported in the future.

Parameters:

evt - the event which is to take place

 processEvent

 protected void processEvent(AWTEvent e)

Processes events occurring on this menu component.

Parameters:

e - the event

 removeNotify

 public void removeNotify()

Removes the menu component's peer. The peer allows us to modify the appearance of the menu component without changing the functionality of the menu component.

 setFont

 public void setFont(Font f)

Sets the font to be used for this menu component to the specified font. This font is also used by all subcomponents of this menu component, unless those subcomponents specify a different font.

Parameters:

f - the font to be set.

See Also:

getFont

 setName

 public void setName(String name)

Sets the name of the component to the specified string.

Parameters:

name - the name of the menu component.

See Also:

getName

 toString

 public String toString()

Returns a representation of this menu component as a string.

Returns:

a string representation of this menu component.

Overrides:

toString in class Object


 Class java.awt.MenuItem

java.lang.Object
   |
   +----java.awt.MenuComponent
           |
           +----java.awt.MenuItem

public class MenuItem
   extends MenuComponent

All items in a menu must belong to the class MenuItem, or one of its subclasses.

The default MenuItem object embodies a simple labeled menu item.

This picture of a menu bar shows five menu items:

The first two items are simple menu items, labeled "Basic" and "Simple". Following these two items is a separator, which is itself a menu item, created with the label "-". Next is an instance of CheckboxMenuItem labeled "Check". The final menu item is a submenu labeled "More Examples", and this submenu is an instance of Menu.

When a menu item is selected, AWT sends an action event to the menu item. Since the event is an instance of ActionEvent, the processEvent method examines the event and passes it along to processActionEvent. The latter method redirects the event to any ActionListener objects that have registered an interest in action events generated by this menu item.

Note that the subclass Menu overrides this behavior and does not send any event to the frame until one of its subitems is selected.

 MenuItem()

Constructs a new MenuItem with an empty label and no keyboard shortcut.

 MenuItem(String)

Constructs a new MenuItem with the specified label and no keyboard shortcut.

 MenuItem(String, MenuShortcut)

Create a menu item with an associated keyboard shortcut.

 addActionListener(ActionListener)

Adds the specified action listener to receive action events from this menu item.

 addNotify()

Creates the menu item's peer.

 deleteShortcut()

Delete any MenuShortcut object associated with this menu item.

 disable()

Deprecated.

 disableEvents(long)

Disables event delivery to this menu item for events defined by the specified event mask parameter.

 enable()

Deprecated.

 enable(boolean)

Deprecated.

 enableEvents(long)

Enables event delivery to this menu item for events to be defined by the specified event mask parameter

Since event types are automatically enabled when a listener for that type is added to the menu item, this method only needs to be invoked by subclasses of MenuItem which desire to have the specified event types delivered to processEvent regardless of whether a listener is registered.

 getActionCommand()

Gets the command name of the action event that is fired by this menu item.

 getLabel()

Gets the label for this menu item.

 getShortcut()

Get the MenuShortcut object associated with this menu item,

 isEnabled()

Checks whether this menu item is enabled.

 paramString()

Returns the parameter string representing the state of this menu item.

 processActionEvent(ActionEvent)

Processes action events occurring on this menu item, by dispatching them to any registered ActionListener objects.

 processEvent(AWTEvent)

Processes events on this menu item.

 removeActionListener(ActionListener)

Removes the specified action listener so it no longer receives action events from this menu item.

 setActionCommand(String)

Sets the command name of the action event that is fired by this menu item.

 setEnabled(boolean)

Sets whether or not this menu item can be chosen.

 setLabel(String)

Sets the label for this menu item to the specified label.

 setShortcut(MenuShortcut)

Set the MenuShortcut object associated with this menu item.

 MenuItem

 public MenuItem()

Constructs a new MenuItem with an empty label and no keyboard shortcut.

 MenuItem

 public MenuItem(String label)

Constructs a new MenuItem with the specified label and no keyboard shortcut. Note that use of "-" in a label is reserved to indicate a separator between menu items. By default, all menu items except for separators are enabled.

Parameters:

label - the label for this menu item.

 MenuItem

 public MenuItem(String label,
                 MenuShortcut s)

Create a menu item with an associated keyboard shortcut. Note that use of "-" in a label is reserved to indicate a separator between menu items. By default, all menu items except for separators are enabled.

Parameters:

label - the label for this menu item.

s - the instance of MenuShortcut associated with this menu item.

 addActionListener

 public synchronized void addActionListener(ActionListener l)

Adds the specified action listener to receive action events from this menu item.

Parameters:

l - the action listener.

See Also:

ActionEvent, ActionListener, removeActionListener

 addNotify

 public void addNotify()

Creates the menu item's peer. The peer allows us to modify the appearance of the menu item without changing its functionality.

 deleteShortcut

 public void deleteShortcut()

Delete any MenuShortcut object associated with this menu item.

 disable

 public synchronized void disable()

Note: disable() is deprecated. As of JDK version 1.1, replaced by setEnabled(boolean).

 disableEvents

 protected final void disableEvents(long eventsToDisable)

Disables event delivery to this menu item for events defined by the specified event mask parameter.

Parameters:

eventsToDisable - the event mask defining the event types.

See Also:

processEvent, enableEvents, disableEvents

 enable

 public synchronized void enable()

Note: enable() is deprecated. As of JDK version 1.1, replaced by setEnabled(boolean).

 enable

 public void enable(boolean b)

Note: enable() is deprecated. As of JDK version 1.1, replaced by setEnabled(boolean).

 enableEvents

 protected final void enableEvents(long eventsToEnable)

Enables event delivery to this menu item for events to be defined by the specified event mask parameter

Since event types are automatically enabled when a listener for that type is added to the menu item, this method only needs to be invoked by subclasses of MenuItem which desire to have the specified event types delivered to processEvent regardless of whether a listener is registered.

Parameters:

eventsToEnable - the event mask defining the event types.

See Also:

processEvent, disableEvents, enableEvents

 getActionCommand

 public String getActionCommand()

Gets the command name of the action event that is fired by this menu item.

See Also:

setActionCommand

 getLabel

 public String getLabel()

Gets the label for this menu item.

Returns:

the label of this menu item, or null if this menu item has no label.

See Also:

setLabel

 getShortcut

 public MenuShortcut getShortcut()

Get the MenuShortcut object associated with this menu item,

Returns:

the menu shortcut associated with this menu item, or null if none has been specified.

See Also:

setShortcut

 isEnabled

 public boolean isEnabled()

Checks whether this menu item is enabled.

See Also:

setEnabled

 paramString

 public String paramString()

Returns the parameter string representing the state of this menu item. This string is useful for debugging.

Returns:

the parameter string of this menu item.

Overrides:

paramString in class MenuComponent

 processActionEvent

 protected void processActionEvent(ActionEvent e)

Processes action events occurring on this menu item, by dispatching them to any registered ActionListener objects. This method is not called unless action events are enabled for this component. Action events are enabled when one of the following occurs:

•	An ActionListener object is registered via addActionListener.

•	Action events are enabled via enableEvents.

Parameters:

e - the action event.

See Also:

ActionEvent, ActionListener, enableEvents

 processEvent

 protected void processEvent(AWTEvent e)

Processes events on this menu item. If the event is an instance of ActionEvent, it invokes processActionEvent, another method defined by MenuItem.

Currently, menu items only support action events.

Parameters:

e - the event.

Overrides:

processEvent in class MenuComponent

See Also:

processActionEvent

 removeActionListener

 public synchronized void removeActionListener(ActionListener l)

Removes the specified action listener so it no longer receives action events from this menu item.

Parameters:

l - the action listener.

See Also:

ActionEvent, ActionListener, addActionListener

 setActionCommand

 public void setActionCommand(String command)

Sets the command name of the action event that is fired by this menu item.

By default, the action command is set to the label of the menu item.

Parameters:

command - the action command to be set for this menu item.

See Also:

getActionCommand

 setEnabled

 public synchronized void setEnabled(boolean b)

Sets whether or not this menu item can be chosen.

Parameters:

b - if true, enables this menu item; if false, disables it.

See Also:

isEnabled

 setLabel

 public synchronized void setLabel(String label)

Sets the label for this menu item to the specified label.

Parameters:

label - the new label, or null for no label.

See Also:

getLabel

 setShortcut

 public void setShortcut(MenuShortcut s)

Set the MenuShortcut object associated with this menu item. If a menu shortcut is already associated with this menu item, it is replaced.

Parameters:

s - the menu shortcut to associate with this menu item.

See Also:

getShortcut


 Class java.awt.MenuShortcut

java.lang.Object
   |
   +----java.awt.MenuShortcut

public class MenuShortcut
   extends Object
   implements Serializable

A class which represents a keyboard accelerator for a MenuItem.

 MenuShortcut(int)

Constructs a new MenuShortcut for the specified key.

 MenuShortcut(int, boolean)

Constructs a new MenuShortcut for the specified key.

 equals(MenuShortcut)

Returns whether this MenuShortcut is the same as another: equality is defined to mean that both MenuShortcuts use the same key and both either use or don't use the SHIFT key.

 getKey()

Return the raw keycode of this MenuShortcut.

 paramString()

 toString()

Returns an internationalized description of the MenuShortcut.

 usesShiftModifier()

Return whether this MenuShortcut must be invoked using the SHIFT key.

 MenuShortcut

 public MenuShortcut(int key)

Constructs a new MenuShortcut for the specified key.

Parameters:

key - the raw keycode for this MenuShortcut, as would be returned in the keyCode field of a KeyEvent if this key were pressed.

 MenuShortcut

 public MenuShortcut(int key,
                     boolean useShiftModifier)

Constructs a new MenuShortcut for the specified key.

Parameters:

key - the raw keycode for this MenuShortcut, as would be returned in the keyCode field of a KeyEvent if this key were pressed.

useShiftModifier - indicates whether this MenuShortcut is invoked with the SHIFT key down.

 equals

 public boolean equals(MenuShortcut s)

Returns whether this MenuShortcut is the same as another: equality is defined to mean that both MenuShortcuts use the same key and both either use or don't use the SHIFT key.

Parameters:

s - the MenuShortcut to compare with this.

 getKey

 public int getKey()

Return the raw keycode of this MenuShortcut.

 paramString

 protected String paramString()

 toString

 public String toString()

Returns an internationalized description of the MenuShortcut.

Overrides:

toString in class Object

 usesShiftModifier

 public boolean usesShiftModifier()

Return whether this MenuShortcut must be invoked using the SHIFT key.


 Class java.awt.Panel

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Container
                   |
                   +----java.awt.Panel

public class Panel
   extends Container

Panel is the simplest container class. A panel provides space in which an application can attach any other component, including other panels.

The default layout manager for a panel is the FlowLayout layout manager.

     See Also:
     FlowLayout

 Panel()

Creates a new panel using the default layout manager.

 Panel(LayoutManager)

Creates a new panel with the specified layout manager.

 addNotify()

Creates the Panel's peer.

 Panel

 public Panel()

Creates a new panel using the default layout manager. The default layout manager for all panels is the FlowLayout class.

 Panel

 public Panel(LayoutManager layout)

Creates a new panel with the specified layout manager.

Parameters:

layout - the layout manager for this panel.

 addNotify

 public void addNotify()

Creates the Panel's peer. The peer allows you to modify the appearance of the panel without changing its functionality.

Overrides:

addNotify in class Container


 Class java.awt.Point

java.lang.Object
   |
   +----java.awt.Point

public class Point
   extends Object
   implements Serializable

The Point class represents a location in a two-dimensional (x, y) coordinate space.

 x

The x coordinate.

 y

The y coordinate.

 Point()

Constructs and initializes a point at the origin (0, 0) of the coordinate space.

 Point(int, int)

Constructs and initializes a point at the specified (x, y) location in the coordinate space.

 Point(Point)

Constructs and initializes a point with the same location as the specified Point object.

 equals(Object)

Determines whether two points are equal.

 getLocation()

Returns the location of this point.

 hashCode()

Returns the hashcode for this point.

 move(int, int)

Moves this point to the specificed location in the (x, y) coordinate plane.

 setLocation(int, int)

Changes the point to have the specificed location.

 setLocation(Point)

Sets the location of the point to the specificed location.

 toString()

Returns a representation of this point and its location in the (x, y) coordinate space as a string.

 translate(int, int)

Translates this point, at location (x, y), by dx along the x axis and dy along the y axis so that it now represents the point (x + dx, y + dy).

 x

 public int x

The x coordinate.

 y

 public int y

The y coordinate.

 Point

 public Point()

Constructs and initializes a point at the origin (0, 0) of the coordinate space.

Parameters:

x - the x coordinate.

y - the y coordinate.

 Point

 public Point(int x,
              int y)

Constructs and initializes a point at the specified (x, y) location in the coordinate space.

Parameters:

x - the x coordinate.

y - the y coordinate.

 Point

 public Point(Point p)

Constructs and initializes a point with the same location as the specified Point object.

Parameters:

p - a point.

 equals

 public boolean equals(Object obj)

Determines whether two points are equal. Two instances of Point are equal if the values of their x and y member fields, representing their position in the coordinate space, are the same.

Parameters:

obj - an object to be compared with this point.

Returns:

true if the object to be compared is an instance of Point and has the same values; false otherwise.

Overrides:

equals in class Object

 getLocation

 public Point getLocation()

Returns the location of this point. This method is included for completeness, to parallel the getLocation method of Component.

Returns:

a copy of this point, at the same location.

See Also:

getLocation, setLocation, setLocation

 hashCode

 public int hashCode()

Returns the hashcode for this point.

Returns:

a hash code for this point.

Overrides:

hashCode in class Object

 move

 public void move(int x,
                  int y)

Moves this point to the specificed location in the (x, y) coordinate plane. This method is identical with setLocation(int, int).

Parameters:

x - the x coordinate of the new location.

y - the y coordinate of the new location.

See Also:

setLocation

 setLocation

 public void setLocation(int x,
                         int y)

Changes the point to have the specificed location.

This method is included for completeness, to parallel the setLocation method of Component. Its behavior is identical with move(int, int).

Parameters:

x - the x coordinate of the new location.

y - the y coordinate of the new location.

See Also:

setLocation, getLocation, move

 setLocation

 public void setLocation(Point p)

Sets the location of the point to the specificed location. This method is included for completeness, to parallel the setLocation method of Component.

Parameters:

p - a point, the new location for this point.

See Also:

setLocation, getLocation

 toString

 public String toString()

Returns a representation of this point and its location in the (x, y) coordinate space as a string.

Returns:

a string representation of this point, including the values of its member fields.

Overrides:

toString in class Object

 translate

 public void translate(int x,
                       int y)

Translates this point, at location (x, y), by dx along the x axis and dy along the y axis so that it now represents the point (x + dx, y + dy).

Parameters:

dx - the distance to move this point along the x axis.

dy - the distance to move this point along the y axis.


 Class java.awt.Polygon

java.lang.Object
   |
   +----java.awt.Polygon

public class Polygon
   extends Object
   implements Shape, Serializable

The Polygon class encapsulates a description of a closed, two-dimensional region within a coordinate space. This region is bounded by an arbitrary number of line segments, each of which is one side of the polygon. Internally, a polygon comprises of a list of (x, y) coordinate pairs, where each pair defines a vertex of the polygon, and two successive pairs are the endpoints of a line that is a side of the polygon. The first and final pairs of (x, y) points are joined by a line segment that closes the polygon.

 bounds

 npoints

The total number of points.

 xpoints

The array of x coordinates.

 ypoints

The array of y coordinates.

 Polygon()

Creates an empty polygon.

 Polygon(int[], int[], int)

Constructs and initializes a polygon from the specified parameters.

 addPoint(int, int)

Appends a point to this polygon.

 contains(int, int)

Determines whether the specified point is contained by this polygon.

 contains(Point)

Determines whether the specified point is inside the Polygon.

 getBoundingBox()

Deprecated.

 getBounds()

Gets the bounding box of this polygon.

 inside(int, int)

Deprecated.

 translate(int, int)

Translates the vertices by deltaX along the x axis and by deltaY along the y axis.

 bounds

 protected Rectangle bounds

 npoints

 public int npoints

The total number of points.

 xpoints

 public int xpoints[]

The array of x coordinates.

 ypoints

 public int ypoints[]

The array of y coordinates.

 Polygon

 public Polygon()

Creates an empty polygon.

 Polygon

 public Polygon(int xpoints[],
                int ypoints[],
                int npoints)

Constructs and initializes a polygon from the specified parameters.

Parameters:

xpoints - an array of x coordinates.

ypoints - an array of y coordinates.

npoints - the total number of points in the polygon.

Throws: NegativeArraySizeException

if the value of npoints is negative.

 addPoint

 public void addPoint(int x,
                      int y)

Appends a point to this polygon.

If an operation that calculates the bounding box of this polygon has already been performed, such as getBounds or contains, then this method updates the bounding box.

Parameters:

x - the x coordinate of the point.

y - the y coordinate of the point.

See Also:

getBounds, contains

 contains

 public boolean contains(int x,
                         int y)

Determines whether the specified point is contained by this polygon.

(The contains method is based on code by Hanpeter van Vliet [hvvliet@inter.nl.net].)

Parameters:

x - the x coordinate of the point to be tested.

y - the y coordinate of the point to be tested.

Returns:

true if the point (x, y) is contained by this polygon; false otherwise.

 contains

 public boolean contains(Point p)

Determines whether the specified point is inside the Polygon. Uses an even-odd insideness rule (also known as an alternating rule).

Parameters:

p - the point to be tested

 getBoundingBox

 public Rectangle getBoundingBox()

Note: getBoundingBox() is deprecated. As of JDK version 1.1, replaced by getBounds().

 getBounds

 public Rectangle getBounds()

Gets the bounding box of this polygon. The bounding box is the smallest rectangle whose sides are parallel to the x and y axes of the coordinate space, and that can completely contain the polygon.

Returns:

a rectangle that defines the bounds of this polygon.

 inside

 public boolean inside(int x,
                       int y)

Note: inside() is deprecated. As of JDK version 1.1, replaced by contains(int, int).

 translate

 public void translate(int deltaX,
                       int deltaY)

Translates the vertices by deltaX along the x axis and by deltaY along the y axis.

Parameters:

deltaX - the amount to translate along the x axis

deltaY - the amount to translate along the y axis


 Class java.awt.PopupMenu

java.lang.Object
   |
   +----java.awt.MenuComponent
           |
           +----java.awt.MenuItem
                   |
                   +----java.awt.Menu
                           |
                           +----java.awt.PopupMenu

public class PopupMenu
   extends Menu

A class that implements a menu which can be dynamically popped up at a specified position within a component.

 PopupMenu()

Creates a new popup menu.

 PopupMenu(String)

Creates a new popup menu with the specified name.

 addNotify()

Creates the popup menu's peer.

 show(Component, int, int)

Shows the popup menu at the x, y position relative to an origin component.

 PopupMenu

 public PopupMenu()

Creates a new popup menu.

 PopupMenu

 public PopupMenu(String label)

Creates a new popup menu with the specified name.

Parameters:

title - the title string for the popup menu

 addNotify

 public synchronized void addNotify()

Creates the popup menu's peer. The peer allows us to change the appearance of the popup menu without changing any of the popup menu's functionality.

Overrides:

addNotify in class Menu

 show

 public void show(Component origin,
                  int x,
                  int y)

Shows the popup menu at the x, y position relative to an origin component. The origin component must be contained within the component hierarchy of the popup menu's parent. Both the origin and the parent must be showing on the screen for this method to be valid.

Parameters:

origin - the component which defines the coordinate space

x - the x coordinate position to popup the menu

y - the y coordinate position to popup the menu


 Class java.awt.PrintJob

java.lang.Object
   |
   +----java.awt.PrintJob

public abstract class PrintJob
   extends Object

An abstract class which initiates and executes a print job. It provides access to a print graphics object which renders to an appropriate print device.

     See Also:
     getPrintJob

 PrintJob()

 end()

Ends the print job and does any necessary cleanup.

 finalize()

Ends this print job once it is no longer referenced.

 getGraphics()

Gets a Graphics object that will draw to the next page.

 getPageDimension()

Returns the dimensions of the page in pixels.

 getPageResolution()

Returns the resolution of the page in pixels per inch.

 lastPageFirst()

Returns true if the last page will be printed first.

 PrintJob

 public PrintJob()

 end

 public abstract void end()

Ends the print job and does any necessary cleanup.

 finalize

 public void finalize()

Ends this print job once it is no longer referenced.

Overrides:

finalize in class Object

See Also:

end

 getGraphics

 public abstract Graphics getGraphics()

Gets a Graphics object that will draw to the next page. The page is sent to the printer when the graphics object is disposed. This graphics object will also implement the PrintGraphics interface.

See Also:

PrintGraphics

 getPageDimension

 public abstract Dimension getPageDimension()

Returns the dimensions of the page in pixels. The resolution of the page is chosen so that it is similar to the screen resolution.

 getPageResolution

 public abstract int getPageResolution()

Returns the resolution of the page in pixels per inch. Note that this doesn't have to correspond to the physical resolution of the printer.

 lastPageFirst

 public abstract boolean lastPageFirst()

Returns true if the last page will be printed first.


 Class java.awt.Rectangle

java.lang.Object
   |
   +----java.awt.Rectangle

public class Rectangle
   extends Object
   implements Shape, Serializable

A rectangle specifies an area in a coordinate space that is defined by the rectangle's top-left point (x, y) in the coordinate space, its width, and its height.

A rectangle's width and height are public fields. The constructors that allow you to create a rectangle, and the methods that allow you to modify one, do not prevent you from setting a negative value for width or height.

A rectangle whose width or height is negative is considered empty, and all methods defined by the Rectangle class behave accordingly. If the rectangle is empty, then the method isEmpty returns true. No point can be contained by or inside an empty rectangle, however the values of width and height are still valid. An empty rectangle still has a location in the coordinate space, and methods that change its size or location remain valid. The behavior of methods that operate on more than one rectangle is undefined if any of the participating rectangles has a negative width or height. These methods include intersects, intersection, and union.

 height

The height of the rectangle.

 width

The width of the rectangle.

 x

The x coordinate of the rectangle.

 y

The y coordinate of the rectangle.

 Rectangle()

Constructs a new rectangle whose top-left corner is at (0, 0) in the coordinate space, and whose width and height are zero.

 Rectangle(Dimension)

Constructs a new rectangle whose top left corner is (0, 0) and whose width and height are specified by the dimension argument.

 Rectangle(int, int)

Constructs a new rectangle whose top-left corner is at (0, 0) in the coordinate space, and whose width and height are specified by the arguments of the same name.

 Rectangle(int, int, int, int)

Constructs a new rectangle whose top-left corner is specified as (x, y) and whose width and height are specified by the arguments of the same name.

 Rectangle(Point)

Constructs a new rectangle whose top-left corner is the specified point, and whose width and height are zero.

 Rectangle(Point, Dimension)

Constructs a new rectangle whose top-left corner is specified by the point argument, and whose width and height are specified by the dimension argument.

 Rectangle(Rectangle)

Constructs a new rectangle, initialized to match the values of the specificed rectangle.

 add(int, int)

Adds a point, specified by the integer arguments newx and newy, to this rectangle.

 add(Point)

Adds the point pt to this rectangle.

 add(Rectangle)

Adds a rectangle to this rectangle.

 contains(int, int)

Checks whether this rectangle contains the point at the specified location (x, y).

 contains(Point)

Checks whether this rectangle contains the specified point.

 equals(Object)

Checks whether two rectangles are equal.

 getBounds()

Gets the bounding rectangle of this rectangle.

 getLocation()

Returns the location of this rectangle.

 getSize()

Gets the size (width and height) of this rectangle.

 grow(int, int)

Grows the rectangle both horizontally and vertically.

 hashCode()

Returns the hashcode for this rectangle.

 inside(int, int)

Deprecated.

 intersection(Rectangle)

Computes the intersection of this rectangle with the specified rectangle.

 intersects(Rectangle)

Determines whether this rectangle and the specified rectangle intersect.

 isEmpty()

Determines whether this rectangle is empty.

 move(int, int)

Deprecated.

 reshape(int, int, int, int)

Deprecated.

 resize(int, int)

Deprecated.

 setBounds(int, int, int, int)

Sets the bounding rectangle of this rectangle to the specified values for x, y, width, and height.

 setBounds(Rectangle)

Sets the bounding rectangle of this rectangle to match the specified rectangle.

 setLocation(int, int)

Moves the rectangle to the specified location.

 setLocation(Point)

Moves the rectangle to the specified location.

 setSize(Dimension)

Sets the size of this rectangle to match the specified dimension.

 setSize(int, int)

Sets the size of this rectangle to the specified width and height.

 toString()

Returns a string representation of this rectangle and its values.

 translate(int, int)

Translates the rectangle the indicated distance, to the right along the x coordinate axis, and downward along the y coordinate axis.

 union(Rectangle)

Computes the union of this rectangle with the specified rectangle.

 height

 public int height

The height of the rectangle.

 width

 public int width

The width of the rectangle.

 x

 public int x

The x coordinate of the rectangle.

 y

 public int y

The y coordinate of the rectangle.

 Rectangle

 public Rectangle()

Constructs a new rectangle whose top-left corner is at (0, 0) in the coordinate space, and whose width and height are zero.

 Rectangle

 public Rectangle(Dimension d)

Constructs a new rectangle whose top left corner is (0, 0) and whose width and height are specified by the dimension argument.

Parameters:

d - a dimension, specifying width and height.

 Rectangle

 public Rectangle(int width,
                  int height)

Constructs a new rectangle whose top-left corner is at (0, 0) in the coordinate space, and whose width and height are specified by the arguments of the same name.

Parameters:

width - the width of the rectangle.

height - the height of the rectangle.

 Rectangle

 public Rectangle(int x,
                  int y,
                  int width,
                  int height)

Constructs a new rectangle whose top-left corner is specified as (x, y) and whose width and height are specified by the arguments of the same name.

Parameters:

x - the x coordinate.

y - the y coordinate.

width - the width of the rectangle.

height - the height of the rectangle.

 Rectangle

 public Rectangle(Point p)

Constructs a new rectangle whose top-left corner is the specified point, and whose width and height are zero.

Parameters:

p - the top left corner of the rectangle.

 Rectangle

 public Rectangle(Point p,
                  Dimension d)

Constructs a new rectangle whose top-left corner is specified by the point argument, and whose width and height are specified by the dimension argument.

Parameters:

p - a point, the top-left corner of the rectangle.

d - a dimension, representing the width and height.

 Rectangle

 public Rectangle(Rectangle r)

Constructs a new rectangle, initialized to match the values of the specificed rectangle.

Parameters:

r - a rectangle from which to copy initial values.

 add

 public void add(int newx,
                 int newy)

Adds a point, specified by the integer arguments newx and newy, to this rectangle. The resulting rectangle is the smallest rectangle that contains both the original rectangle and the specified point.

After adding a point, a call to contains with the added point as an argument will not necessarily return true. The contains method does not return true for points on the right or bottom edges of a rectangle. Therefore if the added point falls on the left or bottom edge of the enlarged rectangle, contains will return false for that point.

Parameters:

newx - the x coordinate of the new point.

newy - the y coordinate of the new point.

 add

 public void add(Point pt)

Adds the point pt to this rectangle. The resulting rectangle is the smallest rectangle that contains both the original rectangle and the specified point.

After adding a point, a call to contains with the added point as an argument will not necessarily return true. The contains method does not return true for points on the right or bottom edges of a rectangle. Therefore if the added point falls on the left or bottom edge of the enlarged rectangle, contains will return false for that point.

Parameters:

pt - the new point to add to the rectangle.

 add

 public void add(Rectangle r)

Adds a rectangle to this rectangle. The resulting rectangle is the union of the two rectangles.

Parameters:

a - rectangle.

 contains

 public boolean contains(int x,
                         int y)

Checks whether this rectangle contains the point at the specified location (x, y).

Parameters:

x - the x coordinate.

y - the y coordinate.

Returns:

true if the point (x, y) is inside this rectangle; false otherwise.

 contains

 public boolean contains(Point p)

Checks whether this rectangle contains the specified point.

Parameters:

p - the point (location) to test.

Returns:

true if the point (x, y) is inside this rectangle; false otherwise.

 equals

 public boolean equals(Object obj)

Checks whether two rectangles are equal.

The result is true if and only if the argument is not null and is a Rectangle object that has the same top-left corner, width, and height as this rectangle.

Parameters:

obj - the object to compare with.

Returns:

true if the objects are equal; false otherwise.

Overrides:

equals in class Object

 getBounds

 public Rectangle getBounds()

Gets the bounding rectangle of this rectangle.

This method is included for completeness, to parallel the getBounds method of Component.

Returns:

a new rectangle, equal to the bounding rectangle for this rectangle.

See Also:

getBounds

 getLocation

 public Point getLocation()

Returns the location of this rectangle.

This method is included for completeness, to parallel the getLocation method of Component.

See Also:

getLocation

 getSize

 public Dimension getSize()

Gets the size (width and height) of this rectangle.

This method is included for completeness, to parallel the getSize method of Component.

Returns:

a dimension, representing the size.

See Also:

getSize

 grow

 public void grow(int h,
                  int v)

Grows the rectangle both horizontally and vertically.

This method modifies the rectangle so that it is h units larger on both the left and right side, and v units larger at both the top and bottom.

The new rectangle has (x - h, y - v) as its top-left corner, a width of width + 2h, and a height of height + 2v.

If negative values are supplied for h and v, the size of the rectangle decreases accordingly. The grow method does not check whether the resulting values of width and height are non-negative.

Parameters:

h - the horizontal expansion.

v - the vertical expansion.

 hashCode

 public int hashCode()

Returns the hashcode for this rectangle.

Returns:

the hashcode for this rectangle.

Overrides:

hashCode in class Object

 inside

 public boolean inside(int x,
                       int y)

Note: inside() is deprecated. As of JDK version 1.1, replaced by contains(int, int).

 intersection

 public Rectangle intersection(Rectangle r)

Computes the intersection of this rectangle with the specified rectangle. Returns a new rectangle that represents the intersection of the two rectangles.

Parameters:

r - a rectangle.

Returns:

the largest rectangle contained in both the specified rectangle and in this rectangle.

 intersects

 public boolean intersects(Rectangle r)

Determines whether this rectangle and the specified rectangle intersect. Two rectangles intersect if their intersection is nonempty.

Parameters:

r - a rectangle.

Returns:

true if the specified rectangle and this rectangle insersect; false otherwise.

 isEmpty

 public boolean isEmpty()

Determines whether this rectangle is empty. A rectangle is empty if its width or its height is less than or equal to zero.

Returns:

true if this rectangle is empty; false otherwise.

 move

 public void move(int x,
                  int y)

Note: move() is deprecated. As of JDK version 1.1, replaced by setLocation(int, int).

 reshape

 public void reshape(int x,
                     int y,
                     int width,
                     int height)

Note: reshape() is deprecated. As of JDK version 1.1, replaced by setBounds(int, int, int, int).

 resize

 public void resize(int width,
                    int height)

Note: resize() is deprecated. As of JDK version 1.1, replaced by setSize(int, int).

 setBounds

 public void setBounds(int x,
                       int y,
                       int width,
                       int height)

Sets the bounding rectangle of this rectangle to the specified values for x, y, width, and height.

This method is included for completeness, to parallel the setBounds method of Component.

Parameters:

x - the new x coordinate for the top-left corner of this rectangle.

y - the new y coordinate for the top-left corner of this rectangle.

width - the new width for this rectangle.

height - the new height for this rectangle.

See Also:

setBounds

 setBounds

 public void setBounds(Rectangle r)

Sets the bounding rectangle of this rectangle to match the specified rectangle.

This method is included for completeness, to parallel the setBounds method of Component.

Parameters:

r - a rectangle.

See Also:

setBounds

 setLocation

 public void setLocation(int x,
                         int y)

Moves the rectangle to the specified location.

This method is included for completeness, to parallel the setLocation method of Component.

Parameters:

x - the x coordinate of the new location.

y - the y coordinate of the new location.

See Also:

setLocation

 setLocation

 public void setLocation(Point p)

Moves the rectangle to the specified location.

This method is included for completeness, to parallel the setLocation method of Component.

Parameters:

p - the new location for the point.

See Also:

setLocation

 setSize

 public void setSize(Dimension d)

Sets the size of this rectangle to match the specified dimension.

This method is included for completeness, to parallel the setSize method of Component.

Parameters:

d - the new size for the Dimension object

See Also:

setSize

 setSize

 public void setSize(int width,
                     int height)

Sets the size of this rectangle to the specified width and height.

This method is included for completeness, to parallel the setSize method of Component.

Parameters:

width - the new width for this rectangle object.

height - the new height for this rectangle object.

See Also:

setSize

 toString

 public String toString()

Returns a string representation of this rectangle and its values.

Returns:

a string representation of this rectangle.

Overrides:

toString in class Object

 translate

 public void translate(int x,
                       int y)

Translates the rectangle the indicated distance, to the right along the x coordinate axis, and downward along the y coordinate axis.

Parameters:

dx - the distance to move the rectangle along the x axis.

dy - the distance to move the rectangle along the y axis.

See Also:

setLocation, setLocation

 union

 public Rectangle union(Rectangle r)

Computes the union of this rectangle with the specified rectangle. Returns a new rectangle that represents the union of the two rectangles.

Parameters:

r - a rectangle.

Returns:

the smallest rectangle containing both the specified rectangle and this rectangle.


 Class java.awt.ScrollPane

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Container
                   |
                   +----java.awt.ScrollPane

public class ScrollPane
   extends Container

A container class which implements automatic horizontal and/or vertical scrolling for a single child component. The display policy for the scrollbars can be set to:

1.	as needed: scrollbars created and shown only when needed by scrollpane

2.	always: scrollbars created and always shown by the scrollpane

3.	never: scrollbars never created or shown by the scrollpane

The state of the horizontal and vertical scrollbars is represented by two objects (one for each dimension) which implement the Adjustable interface. The API provides methods to access those objects such that the attributes on the Adjustable object (such as unitIncrement, value, etc.) can be manipulated.

Certain adjustable properties (minimum, maximum, blockIncrement, and visibleAmount) are set internally by the scrollpane in accordance with the geometry of the scrollpane and its child and these should not be set by programs using the scrollpane.

If the scrollbar display policy is defined as "never", then the scrollpane can still be programmatically scrolled using the setScrollPosition() method and the scrollpane will move and clip the child's contents appropriately. This policy is useful if the program needs to create and manage its own adjustable controls.

The placement of the scrollbars is controlled by platform-specific properties set by the user outside of the program.

The initial size of this container is set to 100x100, but can be reset using setSize().

Insets are used to define any space used by scrollbars and any borders created by the scroll pane. getInsets() can be used to get the current value for the insets. If the value of scrollbarsAlwaysVisible is false, then the value of the insets will change dynamically depending on whether the scrollbars are currently visible or not.

 SCROLLBARS_ALWAYS

Specifies that horizontal/vertical scrollbars should always be shown regardless of the respective sizes of the scrollpane and child.

 SCROLLBARS_AS_NEEDED

Specifies that horizontal/vertical scrollbar should be shown only when the size of the child exceeds the size of the scrollpane in the horizontal/vertical dimension.

 SCROLLBARS_NEVER

Specifies that horizontal/vertical scrollbars should never be shown regardless of the respective sizes of the scrollpane and child.

 ScrollPane()

Create a new scrollpane container with a scrollbar display policy of "as needed".

 ScrollPane(int)

Create a new scrollpane container.

 addImpl(Component, Object, int)

Adds the specified component to this scroll pane container.

 addNotify()

Creates the scroll pane's peer.

 doLayout()

Lays out this container by resizing its child to its preferred size.

 getHAdjustable()

Returns the Adjustable object which represents the state of the horizontal scrollbar.

 getHScrollbarHeight()

Returns the height that would be occupied by a horizontal scrollbar, which is independent of whether it is currently displayed by the scroll pane or not.

 getScrollbarDisplayPolicy()

Returns the display policy for the scrollbars.

 getScrollPosition()

Returns the current x,y position within the child which is displayed at the 0,0 location of the scrolled panel's view port.

 getVAdjustable()

Returns the Adjustable object which represents the state of the vertical scrollbar.

 getViewportSize()

Returns the current size of the scroll pane's view port.

 getVScrollbarWidth()

Returns the width that would be occupied by a vertical scrollbar, which is independent of whether it is currently displayed by the scroll pane or not.

 layout()

Deprecated.

 paramString()

Returns the parameter string representing the state of this container.

 printComponents(Graphics)

Prints the component in this scroll pane.

 setLayout(LayoutManager)

Sets the layout manager for this container.

 setScrollPosition(int, int)

Scrolls to the specified position within the child component.

 setScrollPosition(Point)

Scrolls to the specified position within the child component.

 SCROLLBARS_ALWAYS

 public static final int SCROLLBARS_ALWAYS

Specifies that horizontal/vertical scrollbars should always be shown regardless of the respective sizes of the scrollpane and child.

 SCROLLBARS_AS_NEEDED

 public static final int SCROLLBARS_AS_NEEDED

Specifies that horizontal/vertical scrollbar should be shown only when the size of the child exceeds the size of the scrollpane in the horizontal/vertical dimension.

 SCROLLBARS_NEVER

 public static final int SCROLLBARS_NEVER

Specifies that horizontal/vertical scrollbars should never be shown regardless of the respective sizes of the scrollpane and child.

 ScrollPane

 public ScrollPane()

Create a new scrollpane container with a scrollbar display policy of "as needed".

 ScrollPane

 public ScrollPane(int scrollbarDisplayPolicy)

Create a new scrollpane container.

Parameters:

scrollbarDisplayPolicy - policy for when scrollbars should be shown

 addImpl

 protected final void addImpl(Component comp,
                              Object constraints,
                              int index)

Adds the specified component to this scroll pane container. If the scroll pane has an existing child component, that component is removed and the new one is added.

Parameters:

comp - the component to be added

constraints - not applicable

index - position of child component (must be <= 0)

Overrides:

addImpl in class Container

 addNotify

 public void addNotify()

Creates the scroll pane's peer.

Overrides:

addNotify in class Container

 doLayout

 public void doLayout()

Lays out this container by resizing its child to its preferred size. If the new preferred size of the child causes the current scroll position to be invalid, the scroll position is set to the closest valid position.

Overrides:

doLayout in class Container

See Also:

validate

 getHAdjustable

 public Adjustable getHAdjustable()

Returns the Adjustable object which represents the state of the horizontal scrollbar. If the scrollbar display policy is "never", this method returns null.

 getHScrollbarHeight

 public int getHScrollbarHeight()

Returns the height that would be occupied by a horizontal scrollbar, which is independent of whether it is currently displayed by the scroll pane or not.

Returns:

the height of a horizontal scrollbar in pixels

 getScrollbarDisplayPolicy

 public int getScrollbarDisplayPolicy()

Returns the display policy for the scrollbars.

Returns:

the display policy for the scrollbars

 getScrollPosition

 public Point getScrollPosition()

Returns the current x,y position within the child which is displayed at the 0,0 location of the scrolled panel's view port. This is a convenience method which interfaces with the adjustable objects which respresent the state of the scrollbars.

Returns:

the coordinate position for the current scroll position

 getVAdjustable

 public Adjustable getVAdjustable()

Returns the Adjustable object which represents the state of the vertical scrollbar. If the scrollbar display policy is "never", this method returns null.

 getViewportSize

 public Dimension getViewportSize()

Returns the current size of the scroll pane's view port.

Returns:

the size of the view port in pixels

 getVScrollbarWidth

 public int getVScrollbarWidth()

Returns the width that would be occupied by a vertical scrollbar, which is independent of whether it is currently displayed by the scroll pane or not.

Returns:

the width of a vertical scrollbar in pixels

 layout

 public void layout()

Note: layout() is deprecated. As of JDK version 1.1, replaced by doLayout().

Overrides:

layout in class Container

 paramString

 public String paramString()

Returns the parameter string representing the state of this container.

Overrides:

paramString in class Container

 printComponents

 public void printComponents(Graphics g)

Prints the component in this scroll pane.

Parameters:

g - the specified Graphics window

Overrides:

printComponents in class Container

See Also:

print, printAll

 setLayout

 public final void setLayout(LayoutManager mgr)

Sets the layout manager for this container. This method is overridden to prevent the layout mgr from being set.

Parameters:

mgr - the specified layout manager

Overrides:

setLayout in class Container

 setScrollPosition

 public void setScrollPosition(int x,
                               int y)

Scrolls to the specified position within the child component. A call to this method is only valid if the scroll pane contains a child. Specifying a position outside of the legal scrolling bounds of the child will scroll to the closest legal position. Legal bounds are defined to be the rectangle: x = 0, y = 0, width = (child width - view port width), height = (child height - view port height). This is a convenience method which interfaces with the Adjustable objects which respresent the state of the scrollbars.

Parameters:

x - the x position to scroll to

y - the y position to scroll to

Throws: IllegalArgumentException

if specified coordinates are not within the legal scrolling bounds of the child component.

 setScrollPosition

 public void setScrollPosition(Point p)

Scrolls to the specified position within the child component. A call to this method is only valid if the scroll pane contains a child and the specified position is within legal scrolling bounds of the child. Legal bounds are defined to be the rectangle: x = 0, y = 0, width = (child width - view port width), height = (child height - view port height). This is a convenience method which interfaces with the Adjustable objects which respresent the state of the scrollbars.

Parameters:

p - the Point representing the position to scroll to

Throws: IllegalArgumentException

if specified coordinates are not within the legal scrolling bounds of the child component.


 Class java.awt.Scrollbar

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Scrollbar

public class Scrollbar
   extends Component
   implements Adjustable

The Scrollbar class embodies a scroll bar, a familiar user-interface object. A scroll bar provides a convenient means for allowing a user to select from a range of values. The following three vertical scroll bars could be used as slider controls to pick the red, green, and blue components of a color:

Each scroll bar in this example could be created with code similar to the following:

 redSlider=new Scrollbar(Scrollbar.VERTICAL, 0, 1, 0, 255);
 add(redSlider);

Alternatively, a scroll bar can represent a range of values. For example, if a scroll bar is used for scrolling through text, the width of the "bubble" or "thumb" can represent the amount of text that is visible. Here is an example of a scroll bar that represents a range:

The value range represented by the bubble is the visible range of the scroll bar. The horizontal scroll bar in this example could be created with code like the following:

 ranger = new Scrollbar(Scrollbar.HORIZONTAL, 0, 64, 0, 255);
 add(ranger);

Note that the maximum value above, 255, is the maximum value for the scroll bar's bubble. The actual width of the scroll bar's track is 255 + 64. When the scroll bar is set to its maximum value, the left side of the bubble is at 255, and the right side is at 255 + 64.

Normally, the user changes the value of the scroll bar by making a gesture with the mouse. For example, the user can drag the scroll bar's bubble up and down, or click in the scroll bar's unit increment or block increment areas. Keyboard gestures can also be mapped to the scroll bar. By convention, the Page Up and Page Down keys are equivalent to clicking in the scroll bar's block increment and block decrement areas.

When the user changes the value of the scroll bar, the scroll bar receives an instance of AdjustmentEvent. The scroll bar processes this event, passing it along to any registered listeners.

Any object that wishes to be notified of changes to the scroll bar's value should implement AdjustmentListener, an interface defined in the package java.awt.event. Listeners can be added and removed dynamically by calling the methods addAdjustmentListener and removeAdjustmentListener.

The AdjustmentEvent class defines five types of adjustment event, listed here:

•

AdjustmentEvent.TRACK is sent out when the user drags the scroll bar's bubble.

•	AdjustmentEvent.UNIT_INCREMENT is sent out when the user clicks in the left arrow of a horizontal scroll bar, or the top arrow of a vertical scroll bar, or makes the equivalent gesture from the keyboard.

•	AdjustmentEvent.UNIT_DECREMENT is sent out when the user clicks in the right arrow of a horizontal scroll bar, or the bottom arrow of a vertical scroll bar, or makes the equivalent gesture from the keyboard.

•	AdjustmentEvent.BLOCK_INCREMENT is sent out when the user clicks in the track, to the left of the bubble on a horizontal scroll bar, or above the bubble on a vertical scroll bar. By convention, the Page Up key is equivalent, if the user is using a keyboard that defines a Page Up key.

•	AdjustmentEvent.BLOCK_DECREMENT is sent out when the user clicks in the track, to the right of the bubble on a horizontal scroll bar, or below the bubble on a vertical scroll bar. By convention, the Page Down key is equivalent, if the user is using a keyboard that defines a Page Down key.

The JDK 1.0 event system is supported for backwards compatibility, but its use with newer versions of JDK is discouraged. The fives types of adjustment event introduced with JDK 1.1 correspond to the five event types that are associated with scroll bars in previous JDK versions. The following list gives the adjustment event type, and the corresponding JDK 1.0 event type it replaces.

•

AdjustmentEvent.TRACK replaces Event.SCROLL_ABSOLUTE

•	AdjustmentEvent.UNIT_INCREMENT replaces Event.SCROLL_LINE_UP

•	AdjustmentEvent.UNIT_DECREMENT replaces Event.SCROLL_LINE_DOWN

•	AdjustmentEvent.BLOCK_INCREMENT replaces Event.SCROLL_PAGE_UP

•	AdjustmentEvent.BLOCK_DECREMENT replaces Event.SCROLL_PAGE_DOWN

     See Also:
     AdjustmentEvent, AdjustmentListener

 HORIZONTAL

A constant that indicates a horizontal scroll bar.

 VERTICAL

A constant that indicates a vertical scroll bar.

 Scrollbar()

Constructs a new vertical scroll bar.

 Scrollbar(int)

Constructs a new scroll bar with the specified orientation.

 Scrollbar(int, int, int, int, int)

Constructs a new scroll bar with the specified orientation, initial value, page size, and minimum and maximum values.

 addAdjustmentListener(AdjustmentListener)

Adds the specified adjustment listener to receive instances of AdjustmentEvent from this scroll bar.

 addNotify()

Creates the Scrollbar's peer.

 getBlockIncrement()

Gets the block increment of this scroll bar.

 getLineIncrement()

Deprecated.

 getMaximum()

Gets the maximum value of this scroll bar.

 getMinimum()

Gets the minimum value of this scroll bar.

 getOrientation()

Determines the orientation of this scroll bar.

 getPageIncrement()

Deprecated.

 getUnitIncrement()

Gets the unit increment for this scrollbar.

 getValue()

Gets the current value of this scroll bar.

 getVisible()

Deprecated.

 getVisibleAmount()

Gets the visible amount of this scroll bar.

 paramString()

Returns the parameter string representing the state of this scroll bar.

 processAdjustmentEvent(AdjustmentEvent)

Processes adjustment events occurring on this scrollbar by dispatching them to any registered AdjustmentListener objects.

 processEvent(AWTEvent)

Processes events on this scroll bar.

 removeAdjustmentListener(AdjustmentListener)

Removes the specified adjustment listener so that it no longer receives instances of AdjustmentEvent from this scroll bar.

 setBlockIncrement(int)

Sets the block increment for this scroll bar.

 setLineIncrement(int)

Deprecated.

 setMaximum(int)

Sets the maximum value of this scroll bar.

 setMinimum(int)

Sets the minimum value of this scroll bar.

 setOrientation(int)

Sets the orientation for this scroll bar.

 setPageIncrement(int)

Deprecated.

 setUnitIncrement(int)

Sets the unit increment for this scroll bar.

 setValue(int)

Sets the value of this scroll bar to the specified value.

 setValues(int, int, int, int)

Sets the values of four properties for this scroll bar.

 setVisibleAmount(int)

Sets the visible amount of this scroll bar.

 HORIZONTAL

 public static final int HORIZONTAL

A constant that indicates a horizontal scroll bar.

 VERTICAL

 public static final int VERTICAL

A constant that indicates a vertical scroll bar.

 Scrollbar

 public Scrollbar()

Constructs a new vertical scroll bar.

 Scrollbar

 public Scrollbar(int orientation)

Constructs a new scroll bar with the specified orientation.

The orientation argument must take one of the two values Scrollbar.HORIZONTAL, or Scrollbar.VERTICAL, indicating a horizontal or vertical scroll bar, respectively.

Parameters:

orientation - indicates the orientation of the scroll bar.

Throws: IllegalArgumentException

when an illegal value for the orientation argument is supplied.

 Scrollbar

 public Scrollbar(int orientation,
                  int value,
                  int visible,
                  int minimum,
                  int maximum)

Constructs a new scroll bar with the specified orientation, initial value, page size, and minimum and maximum values.

The orientation argument must take one of the two values Scrollbar.HORIZONTAL, or Scrollbar.VERTICAL, indicating a horizontal or vertical scroll bar, respectively.

If the specified maximum value is less than the minimum value, it is changed to be the same as the minimum value. If the initial value is lower than the minimum value, it is changed to be the minimum value; if it is greater than the maximum value, it is changed to be the maximum value.

Parameters:

orientation - indicates the orientation of the scroll bar.

value - the initial value of the scroll bar.

visible - the size of the scroll bar's bubble, representing the visible portion; the scroll bar uses this value when paging up or down by a page.

minimum - the minimum value of the scroll bar.

maximum - the maximum value of the scroll bar.

 addAdjustmentListener

 public synchronized void addAdjustmentListener(AdjustmentListener l)

Adds the specified adjustment listener to receive instances of AdjustmentEvent from this scroll bar.

Parameters:

l - the adjustment listener.

See Also:

AdjustmentEvent, AdjustmentListener, removeAdjustmentListener

 addNotify

 public void addNotify()

Creates the Scrollbar's peer. The peer allows you to modify the appearance of the Scrollbar without changing any of its functionality.

Overrides:

addNotify in class Component

 getBlockIncrement

 public int getBlockIncrement()

Gets the block increment of this scroll bar.

The block increment is the value that is added (subtracted) when the user activates the block increment area of the scroll bar, generally through a mouse or keyboard gesture that the scroll bar receives as an adjustment event.

Returns:

the block increment of this scroll bar.

See Also:

setBlockIncrement

 getLineIncrement

 public int getLineIncrement()

Note: getLineIncrement() is deprecated. As of JDK version 1.1, replaced by getUnitIncrement().

 getMaximum

 public int getMaximum()

Gets the maximum value of this scroll bar.

Returns:

the maximum value of this scroll bar.

See Also:

getValue, getMinimum

 getMinimum

 public int getMinimum()

Gets the minimum value of this scroll bar.

Returns:

the minimum value of this scroll bar.

See Also:

getValue, getMaximum

 getOrientation

 public int getOrientation()

Determines the orientation of this scroll bar.

Returns:

the orientation of this scroll bar, either Scrollbar.HORIZONTAL or Scrollbar.VERTICAL.

See Also:

setOrientation

 getPageIncrement

 public int getPageIncrement()

Note: getPageIncrement() is deprecated. As of JDK version 1.1, replaced by getBlockIncrement().

 getUnitIncrement

 public int getUnitIncrement()

Gets the unit increment for this scrollbar.

The unit increment is the value that is added (subtracted) when the user activates the unit increment area of the scroll bar, generally through a mouse or keyboard gesture that the scroll bar receives as an adjustment event.

Returns:

the unit increment of this scroll bar.

See Also:

setUnitIncrement

 getValue

 public int getValue()

Gets the current value of this scroll bar.

Returns:

the current value of this scroll bar.

See Also:

getMinimum, getMaximum

 getVisible

 public int getVisible()

Note: getVisible() is deprecated. As of JDK version 1.1, replaced by getVisibleAmount().

 getVisibleAmount

 public int getVisibleAmount()

Gets the visible amount of this scroll bar.

The visible amount of a scroll bar is the range of values represented by the width of the scroll bar's bubble. It is used to determine the scroll bar's block increment.

Returns:

the visible amount of this scroll bar.

See Also:

setVisibleAmount

 paramString

 protected String paramString()

Returns the parameter string representing the state of this scroll bar. This string is useful for debugging.

Returns:

the parameter string of this scroll bar.

Overrides:

paramString in class Component

 processAdjustmentEvent

 protected void processAdjustmentEvent(AdjustmentEvent e)

Processes adjustment events occurring on this scrollbar by dispatching them to any registered AdjustmentListener objects.

This method is not called unless adjustment events are enabled for this component. Adjustment events are enabled when one of the following occurs:

•	An AdjustmentListener object is registered via addAdjustmentListener.

•	Adjustment events are enabled via enableEvents.

Parameters:

e - the adjustment event.

See Also:

AdjustmentEvent, AdjustmentListener, addAdjustmentListener, enableEvents

 processEvent

 protected void processEvent(AWTEvent e)

Processes events on this scroll bar. If the event is an instance of AdjustmentEvent, it invokes the processAdjustmentEvent method. Otherwise, it invokes its superclass's processEvent method.

Parameters:

e - the event.

Overrides:

processEvent in class Component

See Also:

AdjustmentEvent, processAdjustmentEvent

 removeAdjustmentListener

 public synchronized void removeAdjustmentListener(AdjustmentListener l)

Removes the specified adjustment listener so that it no longer receives instances of AdjustmentEvent from this scroll bar.

Parameters:

l - the adjustment listener.

See Also:

AdjustmentEvent, AdjustmentListener, addAdjustmentListener

 setBlockIncrement

 public synchronized void setBlockIncrement(int v)

Sets the block increment for this scroll bar.

The block increment is the value that is added (subtracted) when the user activates the block increment area of the scroll bar, generally through a mouse or keyboard gesture that the scroll bar receives as an adjustment event.

Parameters:

v - the amount by which to increment or decrement the scroll bar's value.

See Also:

getBlockIncrement

 setLineIncrement

 public void setLineIncrement(int v)

Note: setLineIncrement() is deprecated. As of JDK version 1.1, replaced by setUnitIncrement(int).

 setMaximum

 public synchronized void setMaximum(int newMaximum)

Sets the maximum value of this scroll bar.

Normally, a program should change a scroll bar's maximum value only by calling setValues. The setValues method simultaneously and synchronously sets the minimum, maximum, visible amount, and value properties of a scroll bar, so that they are mutually consistent.

Parameters:

newMaximum - the new maximum value for this scroll bar.

See Also:

setValues, setMinimum

 setMinimum

 public synchronized void setMinimum(int newMinimum)

Sets the minimum value of this scroll bar.

Normally, a program should change a scroll bar's minimum value only by calling setValues. The setValues method simultaneously and synchronously sets the minimum, maximum, visible amount, and value properties of a scroll bar, so that they are mutually consistent.

Parameters:

newMinimum - the new minimum value for this scroll bar.

See Also:

setValues, setMaximum

 setOrientation

 public synchronized void setOrientation(int orientation)

Sets the orientation for this scroll bar.

Parameters:

the - orientation of this scroll bar, either Scrollbar.HORIZONTAL or Scrollbar.VERTICAL.

Throws: IllegalArgumentException

if the value supplied for orientation is not a legal value.

See Also:

getOrientation

 setPageIncrement

 public void setPageIncrement(int v)

Note: setPageIncrement() is deprecated. As of JDK version 1.1, replaced by setBlockIncrement().

 setUnitIncrement

 public synchronized void setUnitIncrement(int v)

Sets the unit increment for this scroll bar.

The unit increment is the value that is added (subtracted) when the user activates the unit increment area of the scroll bar, generally through a mouse or keyboard gesture that the scroll bar receives as an adjustment event.

Parameters:

v - the amount by which to increment or decrement the scroll bar's value.

See Also:

getUnitIncrement

 setValue

 public synchronized void setValue(int newValue)

Sets the value of this scroll bar to the specified value.

If the value supplied is less than the current minimum or greater than the current maximum, then one of those values is substituted, as appropriate.

Normally, a program should change a scroll bar's value only by calling setValues. The setValues method simultaneously and synchronously sets the minimum, maximum, visible amount, and value properties of a scroll bar, so that they are mutually consistent.

Parameters:

newValue - the new value of the scroll bar.

See Also:

setValues, getValue, getMinimum, getMaximum

 setValues

 public synchronized void setValues(int value,
                                    int visible,
                                    int minimum,
                                    int maximum)

Sets the values of four properties for this scroll bar.

This method simultaneously and synchronously sets the values of four scroll bar properties, assuring that the values of these properties are mutually consistent. It enforces the constraints that maximum cannot be less than minimum, and that value cannot be less than the minimum or greater than the maximum.

Parameters:

value - is the position in the current window.

visible - is the amount visible per page.

minimum - is the minimum value of the scroll bar.

maximum - is the maximum value of the scroll bar.

 setVisibleAmount

 public synchronized void setVisibleAmount(int newAmount)

Sets the visible amount of this scroll bar.

The visible amount of a scroll bar is the range of values represented by the width of the scroll bar's bubble. It is used to determine the scroll bar's block increment.

Normally, a program should change a scroll bar's value only by calling setValues. The setValues method simultaneously and synchronously sets the minimum, maximum, visible amount, and value properties of a scroll bar, so that they are mutually consistent.

Parameters:

newAmount - the amount visible per page.

See Also:

getVisibleAmount, setValues


 Class java.awt.SystemColor

java.lang.Object
   |
   +----java.awt.Color
           |
           +----java.awt.SystemColor

public final class SystemColor
   extends Color
   implements Serializable

A class to encapsulate symbolic colors representing the color of GUI objects on a system. For systems which support the dynamic update of the system colors (when the user changes the colors) the actual RGB values of these symbolic colors will also change dynamically. In order to compare the "current" RGB value of a SystemColor object with a non-symbolic Color object, getRGB() should be used rather than equals().

 ACTIVE_CAPTION

The array index for the active caption background color.

 ACTIVE_CAPTION_BORDER

The array index for the active caption border color.

 ACTIVE_CAPTION_TEXT

The array index for the action caption text color.

 activeCaption

The background color for captions in window borders.

 activeCaptionBorder

The border color for captions in window borders.

 activeCaptionText

The text color for captions in window borders.

 CONTROL

The array index for the control background color.

 control

The background color for control objects.

 CONTROL_DK_SHADOW

The array index for the control dark shadow color.

 CONTROL_HIGHLIGHT

The array index for the control highlight color.

 CONTROL_LT_HIGHLIGHT

The array index for the control light highlight color.

 CONTROL_SHADOW

The array index for the control shadow color.

 CONTROL_TEXT

The array index for the control text color.

 controlDkShadow

The dark shadow color for control objects.

 controlHighlight

The regular highlight color for control objects.

 controlLtHighlight

The light highlight color for control objects.

 controlShadow

The regular shadow color for control objects.

 controlText

The text color for control objects.

 desktop

The color of the desktop background.

 DESKTOP

The array index for the desktop background color.

 INACTIVE_CAPTION

The array index for the inactive caption background color.

 INACTIVE_CAPTION_BORDER

The array index for the inactive caption border color.

 INACTIVE_CAPTION_TEXT

The array index for the inactive caption text color.

 inactiveCaption

The background color for inactive captions in window borders.

 inactiveCaptionBorder

The border color for inactive captios in window borders.

 inactiveCaptionText

The text color for inactive captions in window borders.

 INFO

The array index for the info background color.

 info

The background color for info(help) text.

 INFO_TEXT

The array index for the info text color.

 infoText

The text color for info(help) text.

 menu

The background color for menus.

 MENU

The array index for the menu background color.

 MENU_TEXT

The array index for the menu text color.

 menuText

The text color for menus.

 NUM_COLORS

The number of system colors in the array.

 scrollbar

The background color for scrollbars.

 SCROLLBAR

The array index for the scrollbar background color.

 TEXT

The array index for the text background color.

 text

The background color for text components.

 TEXT_HIGHLIGHT

The array index for the text highlight color.

 TEXT_HIGHLIGHT_TEXT

The array index for the text highlight text color.

 TEXT_INACTIVE_TEXT

The array index for the text inactive text color.

 TEXT_TEXT

The array index for the text text color.

 textHighlight

The background color for highlighted text.

 textHighlightText

The text color for highlighted text.

 textInactiveText

The text color for inactive text.

 textText

The text color for text components.

 WINDOW

The array index for the window background color.

 window

The background color for windows.

 WINDOW_BORDER

The array index for the window border color.

 WINDOW_TEXT

The array index for the window text color.

 windowBorder

The border color for windows.

 windowText

The text color for windows.

 getRGB()

Gets the "current" RGB value representing the symbolic color.

 toString()

Returns the String representation of this Color's values.

 ACTIVE_CAPTION

 public static final int ACTIVE_CAPTION

The array index for the active caption background color.

 ACTIVE_CAPTION_BORDER

 public static final int ACTIVE_CAPTION_BORDER

The array index for the active caption border color.

 ACTIVE_CAPTION_TEXT

 public static final int ACTIVE_CAPTION_TEXT

The array index for the action caption text color.

 activeCaption

 public static final SystemColor activeCaption

The background color for captions in window borders.

 activeCaptionBorder

 public static final SystemColor activeCaptionBorder

The border color for captions in window borders.

 activeCaptionText

 public static final SystemColor activeCaptionText

The text color for captions in window borders.

 CONTROL

 public static final int CONTROL

The array index for the control background color.

 control

 public static final SystemColor control

The background color for control objects.

 CONTROL_DK_SHADOW

 public static final int CONTROL_DK_SHADOW

The array index for the control dark shadow color.

 CONTROL_HIGHLIGHT

 public static final int CONTROL_HIGHLIGHT

The array index for the control highlight color.

 CONTROL_LT_HIGHLIGHT

 public static final int CONTROL_LT_HIGHLIGHT

The array index for the control light highlight color.

 CONTROL_SHADOW

 public static final int CONTROL_SHADOW

The array index for the control shadow color.

 CONTROL_TEXT

 public static final int CONTROL_TEXT

The array index for the control text color.

 controlDkShadow

 public static final SystemColor controlDkShadow

The dark shadow color for control objects.

 controlHighlight

 public static final SystemColor controlHighlight

The regular highlight color for control objects.

 controlLtHighlight

 public static final SystemColor controlLtHighlight

The light highlight color for control objects.

 controlShadow

 public static final SystemColor controlShadow

The regular shadow color for control objects.

 controlText

 public static final SystemColor controlText

The text color for control objects.

 desktop

 public static final SystemColor desktop

The color of the desktop background.

 DESKTOP

 public static final int DESKTOP

The array index for the desktop background color.

 INACTIVE_CAPTION

 public static final int INACTIVE_CAPTION

The array index for the inactive caption background color.

 INACTIVE_CAPTION_BORDER

 public static final int INACTIVE_CAPTION_BORDER

The array index for the inactive caption border color.

 INACTIVE_CAPTION_TEXT

 public static final int INACTIVE_CAPTION_TEXT

The array index for the inactive caption text color.

 inactiveCaption

 public static final SystemColor inactiveCaption

The background color for inactive captions in window borders.

 inactiveCaptionBorder

 public static final SystemColor inactiveCaptionBorder

The border color for inactive captios in window borders.

 inactiveCaptionText

 public static final SystemColor inactiveCaptionText

The text color for inactive captions in window borders.

 INFO

 public static final int INFO

The array index for the info background color.

 info

 public static final SystemColor info

The background color for info(help) text.

 INFO_TEXT

 public static final int INFO_TEXT

The array index for the info text color.

 infoText

 public static final SystemColor infoText

The text color for info(help) text.

 menu

 public static final SystemColor menu

The background color for menus.

 MENU

 public static final int MENU

The array index for the menu background color.

 MENU_TEXT

 public static final int MENU_TEXT

The array index for the menu text color.

 menuText

 public static final SystemColor menuText

The text color for menus.

 NUM_COLORS

 public static final int NUM_COLORS

The number of system colors in the array.

 scrollbar

 public static final SystemColor scrollbar

The background color for scrollbars.

 SCROLLBAR

 public static final int SCROLLBAR

The array index for the scrollbar background color.

 TEXT

 public static final int TEXT

The array index for the text background color.

 text

 public static final SystemColor text

The background color for text components.

 TEXT_HIGHLIGHT

 public static final int TEXT_HIGHLIGHT

The array index for the text highlight color.

 TEXT_HIGHLIGHT_TEXT

 public static final int TEXT_HIGHLIGHT_TEXT

The array index for the text highlight text color.

 TEXT_INACTIVE_TEXT

 public static final int TEXT_INACTIVE_TEXT

The array index for the text inactive text color.

 TEXT_TEXT

 public static final int TEXT_TEXT

The array index for the text text color.

 textHighlight

 public static final SystemColor textHighlight

The background color for highlighted text.

 textHighlightText

 public static final SystemColor textHighlightText

The text color for highlighted text.

 textInactiveText

 public static final SystemColor textInactiveText

The text color for inactive text.

 textText

 public static final SystemColor textText

The text color for text components.

 WINDOW

 public static final int WINDOW

The array index for the window background color.

 window

 public static final SystemColor window

The background color for windows.

 WINDOW_BORDER

 public static final int WINDOW_BORDER

The array index for the window border color.

 WINDOW_TEXT

 public static final int WINDOW_TEXT

The array index for the window text color.

 windowBorder

 public static final SystemColor windowBorder

The border color for windows.

 windowText

 public static final SystemColor windowText

The text color for windows.

 getRGB

 public int getRGB()

Gets the "current" RGB value representing the symbolic color. (Bits 24-31 are 0xff, 16-23 are red, 8-15 are green, 0-7 are blue).

Overrides:

getRGB in class Color

See Also:

getRGBdefault, getBlue, getGreen, getRed

 toString

 public String toString()

Returns the String representation of this Color's values.

Overrides:

toString in class Color


 Class java.awt.TextArea

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.TextComponent
                   |
                   +----java.awt.TextArea

public class TextArea
   extends TextComponent

A TextArea object is a multi-line region that displays text. It can be set to allow editing or to be read-only.

The following image shows the appearance of a text area:

This text area could be created by the following line of code:

 new TextArea("Hello", 5, 40);

 SCROLLBARS_BOTH

Create and display both vertical and horizontal scrollbars.

 SCROLLBARS_HORIZONTAL_ONLY

Create and display horizontal scrollbar only.

 SCROLLBARS_NONE

Do not create or display any scrollbars for the text area.

 SCROLLBARS_VERTICAL_ONLY

Create and display vertical scrollbar only.

 TextArea()

Constructs a new text area.

 TextArea(int, int)

Constructs a new empty TextArea with the specified number of rows and columns.

 TextArea(String)

Constructs a new text area with the specified text.

 TextArea(String, int, int)

Constructs a new text area with the specified text, and with the specified number of rows and columns.

 TextArea(String, int, int, int)

Constructs a new text area with the specified text, and with the rows, columns, and scroll bar visibility as specified.

 addNotify()

Creates the TextArea's peer.

 append(String)

Appends the given text to the text area's current text.

 appendText(String)

Deprecated.

 getColumns()

Gets the number of columns in this text area.

 getMinimumSize()

Determines the minimum size of this text area.

 getMinimumSize(int, int)

Determines the minimum size of a text area with the specified number of rows and columns.

 getPreferredSize()

Determines the preferred size of this text area.

 getPreferredSize(int, int)

Determines the preferred size of a text area with the specified number of rows and columns.

 getRows()

Gets the number of rows in the text area.

 getScrollbarVisibility()

Gets an enumerated value that indicates which scroll bars the text area uses.

 insert(String, int)

Inserts the specified text at the specified position in this text area.

 insertText(String, int)

Deprecated.

 minimumSize()

Deprecated.

 minimumSize(int, int)

Deprecated.

 paramString()

Returns the parameter string representing the state of this text area.

 preferredSize()

Deprecated.

 preferredSize(int, int)

Deprecated.

 replaceRange(String, int, int)

Replaces text between the indicated start and end positions with the specified replacement text.

 replaceText(String, int, int)

Deprecated.

 setColumns(int)

Sets the number of columns for this text area.

 setRows(int)

Sets the number of rows for this text area.

 SCROLLBARS_BOTH

 public static final int SCROLLBARS_BOTH

Create and display both vertical and horizontal scrollbars.

 SCROLLBARS_HORIZONTAL_ONLY

 public static final int SCROLLBARS_HORIZONTAL_ONLY

Create and display horizontal scrollbar only.

 SCROLLBARS_NONE

 public static final int SCROLLBARS_NONE

Do not create or display any scrollbars for the text area.

 SCROLLBARS_VERTICAL_ONLY

 public static final int SCROLLBARS_VERTICAL_ONLY

Create and display vertical scrollbar only.

 TextArea

 public TextArea()

Constructs a new text area. This text area is created with both vertical and horizontal scroll bars.

 TextArea

 public TextArea(int rows,
                 int columns)

Constructs a new empty TextArea with the specified number of rows and columns.

Parameters:

rows - the number of rows

columns - the number of columns

 TextArea

 public TextArea(String text)

Constructs a new text area with the specified text. This text area is created with both vertical and horizontal scroll bars.

Parameters:

text - the text to be displayed.

 TextArea

 public TextArea(String text,
                 int rows,
                 int columns)

Constructs a new text area with the specified text, and with the specified number of rows and columns. This text area is created with both vertical and horizontal scroll bars.

Parameters:

text - the text to be displayed.

rows - the number of rows.

columns - the number of columns.

 TextArea

 public TextArea(String text,
                 int rows,
                 int columns,
                 int scrollbars)

Constructs a new text area with the specified text, and with the rows, columns, and scroll bar visibility as specified.

The TextArea class defines several constants that can be supplied as values for the scrollbars argument: SCROLLBARS_BOTH, SCROLLBARS_VERTICAL_ONLY, SCROLLBARS_HORIZONTAL_ONLY, and SCROLLBARS_NEITHER.

Parameters:

text - the text to be displayed.

rows - the number of rows.

columns - the number of columns.

scrollbars - a constant that determines what scrollbars are created to view the text area.

 addNotify

 public void addNotify()

Creates the TextArea's peer. The peer allows us to modify the appearance of the TextArea without changing any of its functionality.

Overrides:

addNotify in class Component

 append

 public synchronized void append(String str)

Appends the given text to the text area's current text.

Parameters:

str - the text to append.

See Also:

insert

 appendText

 public void appendText(String str)

Note: appendText() is deprecated. As of JDK version 1.1, replaced by append(String).

 getColumns

 public int getColumns()

Gets the number of columns in this text area.

Returns:

the number of columns in the text area.

See Also:

setColumns, getRows

 getMinimumSize

 public Dimension getMinimumSize()

Determines the minimum size of this text area.

Returns:

the preferred dimensions needed for this text area.

Overrides:

getMinimumSize in class Component

See Also:

getPreferredSize

 getMinimumSize

 public Dimension getMinimumSize(int rows,
                                 int columns)

Determines the minimum size of a text area with the specified number of rows and columns.

Parameters:

rows - the number of rows.

cols - the number of columns.

Returns:

the minimum dimensions required to display the text area with the specified number of rows and columns.

See Also:

getMinimumSize

 getPreferredSize

 public Dimension getPreferredSize()

Determines the preferred size of this text area.

Returns:

the preferred dimensions needed for this text area.

Overrides:

getPreferredSize in class Component

See Also:

getPreferredSize

 getPreferredSize

 public Dimension getPreferredSize(int rows,
                                   int columns)

Determines the preferred size of a text area with the specified number of rows and columns.

Parameters:

rows - the number of rows.

cols - the number of columns.

Returns:

the preferred dimensions required to display the text area with the specified number of rows and columns.

See Also:

getPreferredSize

 getRows

 public int getRows()

Gets the number of rows in the text area.

Returns:

the number of rows in the text area.

See Also:

setRows, getColumns

 getScrollbarVisibility

 public int getScrollbarVisibility()

Gets an enumerated value that indicates which scroll bars the text area uses.

The TextArea class defines four integer constants that are used to specify which scroll bars are available. TextArea has one constructor that gives the application discretion over scroll bars.

Returns:

an integer that indicates which scroll bars are used.

See Also:

SCROLLBARS_BOTH, SCROLLBARS_VERTICAL_ONLY, SCROLLBARS_HORIZONTAL_ONLY, SCROLLBARS_NONE, TextArea

 insert

 public synchronized void insert(String str,
                                 int pos)

Inserts the specified text at the specified position in this text area.

Parameters:

str - the text to insert.

pos - the position at which to insert.

See Also:

setText, replaceRange, append

 insertText

 public void insertText(String str,
                        int pos)

Note: insertText() is deprecated. As of JDK version 1.1, replaced by insert(String, int).

 minimumSize

 public Dimension minimumSize()

Note: minimumSize() is deprecated. As of JDK version 1.1, replaced by getMinimumSize().

Overrides:

minimumSize in class Component

 minimumSize

 public Dimension minimumSize(int rows,
                              int columns)

Note: minimumSize() is deprecated. As of JDK version 1.1, replaced by getMinimumSize(int, int).

 paramString

 protected String paramString()

Returns the parameter string representing the state of this text area. This string is useful for debugging.

Returns:

the parameter string of this text area.

Overrides:

paramString in class TextComponent

 preferredSize

 public Dimension preferredSize()

Note: preferredSize() is deprecated. As of JDK version 1.1, replaced by getPreferredSize().

Overrides:

preferredSize in class Component

 preferredSize

 public Dimension preferredSize(int rows,
                                int columns)

Note: preferredSize() is deprecated. As of JDK version 1.1, replaced by getPreferredSize(int, int).

 replaceRange

 public synchronized void replaceRange(String str,
                                       int start,
                                       int end)

Replaces text between the indicated start and end positions with the specified replacement text.

Parameters:

str - the text to use as the replacement.

start - the start position.

end - the end position.

See Also:

insert

 replaceText

 public void replaceText(String str,
                         int start,
                         int end)

Note: replaceText() is deprecated. As of JDK version 1.1, replaced by replaceRange(String, int, int).

 setColumns

 public void setColumns(int columns)

Sets the number of columns for this text area.

Parameters:

columns - the number of columns.

Throws: IllegalArgumentException

if the value supplied for columns is less than zero.

See Also:

getColumns, setRows

 setRows

 public void setRows(int rows)

Sets the number of rows for this text area.

Parameters:

rows - the number of rows.

Throws: IllegalArgumentException

if the value supplied for rows is less than zero.

See Also:

getRows, setColumns


 Class java.awt.TextComponent

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.TextComponent

public class TextComponent
   extends Component

The TextComponent class is the superclass of any component that allows the editing of some text.

A text component embodies a string of text. The TextComponent class defines a set of methods that determine whether or not this text is editable. If the component is editable, it defines another set of methods that supports a text insertion caret.

In addition, the class defines methods that are used to maintain a current selection from the text. The text selection, a substring of the component's text, is the target of editing operations. It is also referred to as the selected text.

 textListener

 addTextListener(TextListener)

Adds the specified text event listener to recieve text events from this textcomponent.

 getCaretPosition()

Gets the position of the text insertion caret for this text component.

 getSelectedText()

Gets the selected text from the text that is presented by this text component.

 getSelectionEnd()

Gets the end position of the selected text in this text component.

 getSelectionStart()

Gets the start position of the selected text in this text component.

 getText()

Gets the text that is presented by this text component.

 isEditable()

Indicates whether or not this text component is editable.

 paramString()

Returns the parameter string representing the state of this text component.

 processEvent(AWTEvent)

Processes events on this textcomponent.

 processTextEvent(TextEvent)

Processes text events occurring on this text component by dispatching them to any registered TextListener objects.

 removeNotify()

Removes the TextComponent's peer.

 removeTextListener(TextListener)

Removes the specified text event listener so that it no longer receives text events from this textcomponent

 select(int, int)

Selects the text between the specified start and end positions.

 selectAll()

Selects all the text in this text component.

 setCaretPosition(int)

Sets the position of the text insertion caret for this text component.

 setEditable(boolean)

Sets the flag that determines whether or not this text component is editable.

 setSelectionEnd(int)

Sets the selection end for this text component to the specified position.

 setSelectionStart(int)

Sets the selection start for this text component to the specified position.

 setText(String)

Sets the text that is presented by this text component to be the specified text.

 textListener

 protected transient TextListener textListener

 addTextListener

 public synchronized void addTextListener(TextListener l)

Adds the specified text event listener to recieve text events from this textcomponent.

Parameters:

l - the text event listener

 getCaretPosition

 public int getCaretPosition()

Gets the position of the text insertion caret for this text component.

Returns:

the position of the text insertion caret.

 getSelectedText

 public synchronized String getSelectedText()

Gets the selected text from the text that is presented by this text component.

Returns:

the selected text of this text component.

See Also:

select

 getSelectionEnd

 public synchronized int getSelectionEnd()

Gets the end position of the selected text in this text component.

Returns:

the end position of the selected text.

See Also:

setSelectionEnd, getSelectionStart

 getSelectionStart

 public synchronized int getSelectionStart()

Gets the start position of the selected text in this text component.

Returns:

the start position of the selected text.

See Also:

setSelectionStart, getSelectionEnd

 getText

 public synchronized String getText()

Gets the text that is presented by this text component.

See Also:

setText

 isEditable

 public boolean isEditable()

Indicates whether or not this text component is editable.

Returns:

true if this text component is editable; false otherwise.

See Also:

setEditable

 paramString

 protected String paramString()

Returns the parameter string representing the state of this text component. This string is useful for debugging.

Returns:

the parameter string of this text component.

Overrides:

paramString in class Component

 processEvent

 protected void processEvent(AWTEvent e)

Processes events on this textcomponent. If the event is a TextEvent, it invokes the processTextEvent method, else it invokes its superclass's processEvent.

Parameters:

e - the event

Overrides:

processEvent in class Component

 processTextEvent

 protected void processTextEvent(TextEvent e)

Processes text events occurring on this text component by dispatching them to any registered TextListener objects. NOTE: This method will not be called unless text events are enabled for this component; this happens when one of the following occurs: a) A TextListener object is registered via addTextListener() b) Text events are enabled via enableEvents()

Parameters:

e - the text event

See Also:

enableEvents

 removeNotify

 public void removeNotify()

Removes the TextComponent's peer. The peer allows us to modify the appearance of the TextComponent without changing its functionality.

Overrides:

removeNotify in class Component

 removeTextListener

 public void removeTextListener(TextListener l)

Removes the specified text event listener so that it no longer receives text events from this textcomponent

 select

 public synchronized void select(int selectionStart,
                                 int selectionEnd)

Selects the text between the specified start and end positions.

This method sets the start and end positions of the selected text, enforcing the restriction that the end position must be greater than or equal to the start position. The start position must be greater than zero, and the end position must be less that or equal to the length of the text component's text. If the caller supplies values that are inconsistent or out of bounds, the method enforces these constraints silently, and without failure.

Parameters:

selectionStart - the start position of the text to select.

selectionEnd - the end position of the text to select.

See Also:

setSelectionStart, setSelectionEnd, selectAll

 selectAll

 public synchronized void selectAll()

Selects all the text in this text component.

See Also:

TextComponent@select

 setCaretPosition

 public void setCaretPosition(int position)

Sets the position of the text insertion caret for this text component.

Parameters:

position - the position of the text insertion caret.

Throws: IllegalArgumentException

if the value supplied for position is less than zero.

 setEditable

 public synchronized void setEditable(boolean b)

Sets the flag that determines whether or not this text component is editable.

If the flag is set to true, this text component becomes user editable. If the flag is set to false, the user cannot change the text of this text component.

Parameters:

t - a flag indicating whether this text component should be user editable.

See Also:

isEditable

 setSelectionEnd

 public synchronized void setSelectionEnd(int selectionEnd)

Sets the selection end for this text component to the specified position. The new end point is constrained to be at or after the current selection start. It also cannot be set beyond the end of the component's text. If the caller supplies a value for selectionEnd that is out of bounds, the method enforces these constraints silently, and without failure.

Parameters:

selectionEnd - the end position of the selected text.

See Also:

getSelectionEnd, setSelectionStart

 setSelectionStart

 public synchronized void setSelectionStart(int selectionStart)

Sets the selection start for this text component to the specified position. The new start point is constrained to be at or before the current selection end. It also cannot be set to less than zero, the beginning of the component's text. If the caller supplies a value for selectionStart that is out of bounds, the method enforces these constraints silently, and without failure.

Parameters:

selectionStart - the start position of the selected text.

See Also:

getSelectionStart, setSelectionEnd

 setText

 public synchronized void setText(String t)

Sets the text that is presented by this text component to be the specified text.

Parameters:

t - the new text.

See Also:

getText


 Class java.awt.TextField

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.TextComponent
                   |
                   +----java.awt.TextField

public class TextField
   extends TextComponent

A TextField object is a text component that allows for the editing of a single line of text.

For example, the following image depicts a frame with four text fields of varying widths. Two of these text fields display the predefined text "Hello".

Here is the code that produces these four text fields:

 TextField tf1, tf2, tf3, tf4;
 // a blank text field
 tf1 = new TextField();
 // blank field of 20 columns
 tf2 = new TextField("", 20);
 // predefined text displayed
 tf3 = new TextField("Hello!");
 // predefined text in 30 columns
 tf4 = new TextField("Hello", 30);

Every time the user types a key in the text field, AWT sends two action events to the text field. The first one represents the key press and the second one, the key release. Each action event embodies the state of the system at the time that some action occurred. The properties of an action event indicate which key was pressed, what modifier keys were also pressed, and the time at which the event occurred.

Since the event is an instance of ActionEvent, the TextField class's processEvent method examines the event and passes it along to processActionEvent. The latter method redirects the event to any ActionListener objects that have registered an interest in action events generated by this text field.

     See Also:
     ActionEvent, processEvent, processActionEvent

 TextField()

Constructs a new text field.

 TextField(int)

Constructs a new empty TextField with the specified number of columns.

 TextField(String)

Constructs a new text field initialized with the specified text.

 TextField(String, int)

Constructs a new text field initialized with the specified text to be displayed, and wide enough to hold the specified number of characters.

 addActionListener(ActionListener)

Adds the specified action listener to recieve action events from this text field.

 addNotify()

Creates the TextField's peer.

 echoCharIsSet()

Indicates whether or not this text field has a character set for echoing.

 getColumns()

Gets the number of columns in this text field.

 getEchoChar()

Gets the character that is to be used for echoing.

 getMinimumSize()

Gets the minumum dimensions for this text field.

 getMinimumSize(int)

Gets the minumum dimensions for a text field with the specified number of columns.

 getPreferredSize()

Gets the preferred size of this text field.

 getPreferredSize(int)

Gets the preferred size of this text field with the specified number of columns.

 minimumSize()

Deprecated.

 minimumSize(int)

Deprecated.

 paramString()

Returns the parameter string representing the state of this text field.

 preferredSize()

Deprecated.

 preferredSize(int)

Deprecated.

 processActionEvent(ActionEvent)

Processes action events occurring on this text field by dispatching them to any registered ActionListener objects.

 processEvent(AWTEvent)

Processes events on this text field.

 removeActionListener(ActionListener)

Removes the specified action listener so that it no longer receives action events from this text field.

 setColumns(int)

Sets the number of columns in this text field.

 setEchoChar(char)

Sets the echo character for this text field.

 setEchoCharacter(char)

Deprecated.

 TextField

 public TextField()

Constructs a new text field.

 TextField

 public TextField(int columns)

Constructs a new empty TextField with the specified number of columns.

Parameters:

columns - the number of columns

 TextField

 public TextField(String text)

Constructs a new text field initialized with the specified text.

Parameters:

text - the text to be displayed.

 TextField

 public TextField(String text,
                  int columns)

Constructs a new text field initialized with the specified text to be displayed, and wide enough to hold the specified number of characters.

Parameters:

text - the text to be displayed.

columns - the number of characters.

 addActionListener

 public synchronized void addActionListener(ActionListener l)

Adds the specified action listener to recieve action events from this text field.

Parameters:

l - the action listener.

See Also:

ActionListener, removeActionListener

 addNotify

 public void addNotify()

Creates the TextField's peer. The peer allows us to modify the appearance of the TextField without changing its functionality.

Overrides:

addNotify in class Component

 echoCharIsSet

 public boolean echoCharIsSet()

Indicates whether or not this text field has a character set for echoing.

An echo character is useful for text fields where user input should not be echoed to the screen, as in the case of a text field for entering a password.

Returns:

true if this text field has a character set for echoing; false otherwise.

See Also:

setEchoChar, getEchoChar

 getColumns

 public int getColumns()

Gets the number of columns in this text field.

Returns:

the number of columns.

See Also:

setColumns

 getEchoChar

 public char getEchoChar()

Gets the character that is to be used for echoing.

An echo character is useful for text fields where user input should not be echoed to the screen, as in the case of a text field for entering a password.

Returns:

the echo character for this text field.

See Also:

echoCharIsSet, setEchoChar

 getMinimumSize

 public Dimension getMinimumSize()

Gets the minumum dimensions for this text field.

Returns:

the minimum dimensions for displaying this text field.

Overrides:

getMinimumSize in class Component

 getMinimumSize

 public Dimension getMinimumSize(int columns)

Gets the minumum dimensions for a text field with the specified number of columns.

Parameters:

columns - the number of columns in this text field.

 getPreferredSize

 public Dimension getPreferredSize()

Gets the preferred size of this text field.

Returns:

the preferred dimensions for displaying this text field.

Overrides:

getPreferredSize in class Component

 getPreferredSize

 public Dimension getPreferredSize(int columns)

Gets the preferred size of this text field with the specified number of columns.

Parameters:

columns - the number of columns in this text field.

Returns:

the preferred dimensions for displaying this text field.

 minimumSize

 public Dimension minimumSize()

Note: minimumSize() is deprecated. As of JDK version 1.1, replaced by getMinimumSize().

Overrides:

minimumSize in class Component

 minimumSize

 public Dimension minimumSize(int columns)

Note: minimumSize() is deprecated. As of JDK version 1.1, replaced by getMinimumSize(int).

 paramString

 protected String paramString()

Returns the parameter string representing the state of this text field. This string is useful for debugging.

Returns:

the parameter string of this text field.

Overrides:

paramString in class TextComponent

 preferredSize

 public Dimension preferredSize()

Note: preferredSize() is deprecated. As of JDK version 1.1, replaced by getPreferredSize().

Overrides:

preferredSize in class Component

 preferredSize

 public Dimension preferredSize(int columns)

Note: preferredSize() is deprecated. As of JDK version 1.1, replaced by getPreferredSize(int).

 processActionEvent

 protected void processActionEvent(ActionEvent e)

Processes action events occurring on this text field by dispatching them to any registered ActionListener objects.

This method is not called unless action events are enabled for this component. Action events are enabled when one of the following occurs:

•	An ActionListener object is registered via addActionListener.

•	Action events are enabled via enableEvents.

Parameters:

e - the action event.

See Also:

ActionListener, addActionListener, enableEvents

 processEvent

 protected void processEvent(AWTEvent e)

Processes events on this text field. If the event is an instance of ActionEvent, it invokes the processActionEvent method. Otherwise, it invokes processEvent on the superclass.

Parameters:

e - the event.

Overrides:

processEvent in class TextComponent

See Also:

ActionEvent, processActionEvent

 removeActionListener

 public synchronized void removeActionListener(ActionListener l)

Removes the specified action listener so that it no longer receives action events from this text field.

Parameters:

l - the action listener.

See Also:

ActionListener, addActionListener

 setColumns

 public void setColumns(int columns)

Sets the number of columns in this text field.

Parameters:

columns - the number of columns.

Throws: IllegalArgumentException

if the value supplied for columns is less than zero.

See Also:

getColumns

 setEchoChar

 public void setEchoChar(char c)

Sets the echo character for this text field.

An echo character is useful for text fields where user input should not be echoed to the screen, as in the case of a text field for entering a password.

Parameters:

c - the echo character for this text field.

See Also:

echoCharIsSet, getEchoChar

 setEchoCharacter

 public void setEchoCharacter(char c)

Note: setEchoCharacter() is deprecated. As of JDK version 1.1, replaced by setEchoChar(char).


 Class java.awt.Toolkit

java.lang.Object
   |
   +----java.awt.Toolkit

public abstract class Toolkit
   extends Object

This class is the abstract superclass of all actual implementations of the Abstract Window Toolkit. Subclasses of Toolkit are used to bind the various components to particular native toolkit implementations.

Most applications should not call any of the methods in this class directly. The methods defined by Toolkit are the "glue" that joins the platform-independent classes in the java.awt package with their counterparts in java.awt.peer. Some methods defined by Toolkit query the native operating system directly.

 Toolkit()

 beep()

Emits an audio beep.

 checkImage(Image, int, int, ImageObserver)

Indicates the construction status of a specified image that is being prepared for display.

 createButton(Button)

Creates this toolkit's implementation of Button using the specified peer interface.

 createCanvas(Canvas)

Creates this toolkit's implementation of Canvas using the specified peer interface.

 createCheckbox(Checkbox)

Creates this toolkit's implementation of Checkbox using the specified peer interface.

 createCheckboxMenuItem(CheckboxMenuItem)

Creates this toolkit's implementation of CheckboxMenuItem using the specified peer interface.

 createChoice(Choice)

Creates this toolkit's implementation of Choice using the specified peer interface.

 createComponent(Component)

Creates a peer for a component or container.

 createDialog(Dialog)

Creates this toolkit's implementation of Dialog using the specified peer interface.

 createFileDialog(FileDialog)

Creates this toolkit's implementation of FileDialog using the specified peer interface.

 createFrame(Frame)

Creates this toolkit's implementation of Frame using the specified peer interface.

 createImage(byte[])

Creates an image which decodes the image stored in the specified byte array.

 createImage(byte[], int, int)

Creates an image which decodes the image stored in the specified byte array, and at the specified offset and length.

 createImage(ImageProducer)

Creates an image with the specified image producer.

 createLabel(Label)

Creates this toolkit's implementation of Label using the specified peer interface.

 createList(List)

Creates this toolkit's implementation of List using the specified peer interface.

 createMenu(Menu)

Creates this toolkit's implementation of Menu using the specified peer interface.

 createMenuBar(MenuBar)

Creates this toolkit's implementation of MenuBar using the specified peer interface.

 createMenuItem(MenuItem)

Creates this toolkit's implementation of MenuItem using the specified peer interface.

 createPanel(Panel)

Creates this toolkit's implementation of Panel using the specified peer interface.

 createPopupMenu(PopupMenu)

Creates this toolkit's implementation of PopupMenu using the specified peer interface.

 createScrollbar(Scrollbar)

Creates this toolkit's implementation of Scrollbar using the specified peer interface.

 createScrollPane(ScrollPane)

Creates this toolkit's implementation of ScrollPane using the specified peer interface.

 createTextArea(TextArea)

Creates this toolkit's implementation of TextArea using the specified peer interface.

 createTextField(TextField)

Creates this toolkit's implementation of TextField using the specified peer interface.

 createWindow(Window)

Creates this toolkit's implementation of Window using the specified peer interface.

 getColorModel()

Determines the color model of this toolkit's screen.

 getDefaultToolkit()

Gets the default toolkit.

 getFontList()

Returns the names of the available fonts in this toolkit.

For 1.1, the following font names are deprecated (the replacement name follows):

•	TimesRoman (use Serif)

•	Helvetica (use SansSerif)

•	Courier (use Monospaced)

The ZapfDingbats font is also deprecated in 1.1, but only as a separate fontname.

 getFontMetrics(Font)

Gets the screen metrics of the font.

 getFontPeer(String, int)

Creates this toolkit's implementation of Font using the specified peer interface.

 getImage(String)

Returns an image which gets pixel data from the specified file.

 getImage(URL)

Returns an image which gets pixel data from the specified URL.

 getMenuShortcutKeyMask()

Determines which modifier key is the appropriate accelerator key for menu shortcuts.

 getNativeContainer(Component)

Give native peers the ability to query the native container given a native component (eg the direct parent may be lightweight).

 getPrintJob(Frame, String, Properties)

Gets a PrintJob object which is the result of initiating a print operation on the toolkit's platform.

 getProperty(String, String)

Gets a property with the specified key and default.

 getScreenResolution()

Returns the screen resolution in dots-per-inch.

 getScreenSize()

Gets the size of the screen.

 getSystemClipboard()

Gets an instance of the system clipboard which interfaces with clipboard facilities provided by the native platform.

 getSystemEventQueue()

Get the application's or applet's EventQueue instance.

 getSystemEventQueueImpl()

 loadSystemColors(int[])

Fills in the integer array that is supplied as an argument with the current system color values.

 prepareImage(Image, int, int, ImageObserver)

Prepares an image for rendering.

 sync()

Synchronizes this toolkit's graphics state.

 Toolkit

 public Toolkit()

 beep

 public abstract void beep()

Emits an audio beep.

 checkImage

 public abstract int checkImage(Image image,
                                int width,
                                int height,
                                ImageObserver observer)

Indicates the construction status of a specified image that is being prepared for display.

If the values of the width and height arguments are both -1, this method returns the construction status of a screen representation of the specified image in this toolkit. Otherwise, this method returns the construction status of a scaled representation of the image at the specified width and height.

This method does not cause the image to begin loading. An application must call prepareImage to force the loading of an image.

This method is called by the component's checkImage methods.

Information on the flags returned by this method can be found with the definition of the ImageObserver interface.

Parameters:

image - the image whose status is being checked.

width - the width of the scaled version whose status is being checked, or -1.

height - the height of the scaled version whose status is being checked, or -1.

observer - the ImageObserver object to be notified as the image is being prepared.

Returns:

the bitwise inclusive OR of the ImageObserver flags for the image data that is currently available.

See Also:

prepareImage, checkImage, checkImage, ImageObserver

 createButton

 protected abstract ButtonPeer createButton(Button target)

Creates this toolkit's implementation of Button using the specified peer interface.

Parameters:

target - the button to be implemented.

Returns:

this toolkit's implementation of Button.

See Also:

Button, ButtonPeer

 createCanvas

 protected abstract CanvasPeer createCanvas(Canvas target)

Creates this toolkit's implementation of Canvas using the specified peer interface.

Parameters:

target - the canvas to be implemented.

Returns:

this toolkit's implementation of Canvas.

See Also:

Canvas, CanvasPeer

 createCheckbox

 protected abstract CheckboxPeer createCheckbox(Checkbox target)

Creates this toolkit's implementation of Checkbox using the specified peer interface.

Parameters:

target - the check box to be implemented.

Returns:

this toolkit's implementation of Checkbox.

See Also:

Checkbox, CheckboxPeer

 createCheckboxMenuItem

 protected abstract CheckboxMenuItemPeer createCheckboxMenuItem(CheckboxMenuItem target)

Creates this toolkit's implementation of CheckboxMenuItem using the specified peer interface.

Parameters:

target - the checkbox menu item to be implemented.

Returns:

this toolkit's implementation of CheckboxMenuItem.

See Also:

CheckboxMenuItem, CheckboxMenuItemPeer

 createChoice

 protected abstract ChoicePeer createChoice(Choice target)

Creates this toolkit's implementation of Choice using the specified peer interface.

Parameters:

target - the choice to be implemented.

Returns:

this toolkit's implementation of Choice.

See Also:

Choice, ChoicePeer

 createComponent

 protected LightweightPeer createComponent(Component target)

Creates a peer for a component or container. This peer is windowless and allows the Component and Container classes to be extended directly to create windowless components that are defined entirely in java.

Parameters:

target - The Component to be created.

 createDialog

 protected abstract DialogPeer createDialog(Dialog target)

Creates this toolkit's implementation of Dialog using the specified peer interface.

Parameters:

target - the dialog to be implemented.

Returns:

this toolkit's implementation of Dialog.

See Also:

Dialog, DialogPeer

 createFileDialog

 protected abstract FileDialogPeer createFileDialog(FileDialog target)

Creates this toolkit's implementation of FileDialog using the specified peer interface.

Parameters:

target - the file dialog to be implemented.

Returns:

this toolkit's implementation of FileDialog.

See Also:

FileDialog, FileDialogPeer

 createFrame

 protected abstract FramePeer createFrame(Frame target)

Creates this toolkit's implementation of Frame using the specified peer interface.

Parameters:

target - the frame to be implemented.

Returns:

this toolkit's implementation of Frame.

See Also:

Frame, FramePeer

 createImage

 public Image createImage(byte imagedata[])

Creates an image which decodes the image stored in the specified byte array.

The data must be in some image format, such as GIF or JPEG, that is supported by this toolkit.

Parameters:

imagedata - an array of bytes, representing image data in a supported image format.

Returns:

an image.

 createImage

 public abstract Image createImage(byte imagedata[],
                                   int imageoffset,
                                   int imagelength)

Creates an image which decodes the image stored in the specified byte array, and at the specified offset and length. The data must be in some image format, such as GIF or JPEG, that is supported by this toolkit.

Parameters:

imagedata - an array of bytes, representing image data in a supported image format.

imageoffset - the offset of the beginning of the data in the array.

imagelength - the length of the data in the array.

Returns:

an image.

 createImage

 public abstract Image createImage(ImageProducer producer)

Creates an image with the specified image producer.

Parameters:

producer - the image producer to be used.

Returns:

an image with the specified image producer.

See Also:

Image, ImageProducer, createImage

 createLabel

 protected abstract LabelPeer createLabel(Label target)

Creates this toolkit's implementation of Label using the specified peer interface.

Parameters:

target - the label to be implemented.

Returns:

this toolkit's implementation of Label.

See Also:

Label, LabelPeer

 createList

 protected abstract ListPeer createList(List target)

Creates this toolkit's implementation of List using the specified peer interface.

Parameters:

target - the list to be implemented.

Returns:

this toolkit's implementation of List.

See Also:

List, ListPeer

 createMenu

 protected abstract MenuPeer createMenu(Menu target)

Creates this toolkit's implementation of Menu using the specified peer interface.

Parameters:

target - the menu to be implemented.

Returns:

this toolkit's implementation of Menu.

See Also:

Menu, MenuPeer

 createMenuBar

 protected abstract MenuBarPeer createMenuBar(MenuBar target)

Creates this toolkit's implementation of MenuBar using the specified peer interface.

Parameters:

target - the menu bar to be implemented.

Returns:

this toolkit's implementation of MenuBar.

See Also:

MenuBar, MenuBarPeer

 createMenuItem

 protected abstract MenuItemPeer createMenuItem(MenuItem target)

Creates this toolkit's implementation of MenuItem using the specified peer interface.

Parameters:

target - the menu item to be implemented.

Returns:

this toolkit's implementation of MenuItem.

See Also:

MenuItem, MenuItemPeer

 createPanel

 protected abstract PanelPeer createPanel(Panel target)

Creates this toolkit's implementation of Panel using the specified peer interface.

Parameters:

target - the panel to be implemented.

Returns:

this toolkit's implementation of Panel.

See Also:

Panel, PanelPeer

 createPopupMenu

 protected abstract PopupMenuPeer createPopupMenu(PopupMenu target)

Creates this toolkit's implementation of PopupMenu using the specified peer interface.

Parameters:

target - the popup menu to be implemented.

Returns:

this toolkit's implementation of PopupMenu.

See Also:

PopupMenu, PopupMenuPeer

 createScrollbar

 protected abstract ScrollbarPeer createScrollbar(Scrollbar target)

Creates this toolkit's implementation of Scrollbar using the specified peer interface.

Parameters:

target - the scroll bar to be implemented.

Returns:

this toolkit's implementation of Scrollbar.

See Also:

Scrollbar, ScrollbarPeer

 createScrollPane

 protected abstract ScrollPanePeer createScrollPane(ScrollPane target)

Creates this toolkit's implementation of ScrollPane using the specified peer interface.

Parameters:

target - the scroll pane to be implemented.

Returns:

this toolkit's implementation of ScrollPane.

See Also:

ScrollPane, ScrollPanePeer

 createTextArea

 protected abstract TextAreaPeer createTextArea(TextArea target)

Creates this toolkit's implementation of TextArea using the specified peer interface.

Parameters:

target - the text area to be implemented.

Returns:

this toolkit's implementation of TextArea.

See Also:

TextArea, TextAreaPeer

 createTextField

 protected abstract TextFieldPeer createTextField(TextField target)

Creates this toolkit's implementation of TextField using the specified peer interface.

Parameters:

target - the text field to be implemented.

Returns:

this toolkit's implementation of TextField.

See Also:

TextField, TextFieldPeer

 createWindow

 protected abstract WindowPeer createWindow(Window target)

Creates this toolkit's implementation of Window using the specified peer interface.

Parameters:

target - the window to be implemented.

Returns:

this toolkit's implementation of Window.

See Also:

Window, WindowPeer

 getColorModel

 public abstract ColorModel getColorModel()

Determines the color model of this toolkit's screen.

ColorModel is an abstract class that encapsulates the ability to translate between the pixel values of an image and its red, green, blue, and alpha components.

This toolkit method is called by the getColorModel method of the Component class.

Returns:

the color model of this toolkit's screen.

See Also:

ColorModel, getColorModel

 getDefaultToolkit

 public static synchronized Toolkit getDefaultToolkit()

Gets the default toolkit.

If there is a system property named "awt.toolkit", that property is treated as the name of a class that is a subclass of Toolkit.

If the system property does not exist, then the default toolkit used is the class named "sun.awt.motif.MToolkit", which is a motif implementation of the Abstract Window Toolkit.

Returns:

the default toolkit.

Throws: AWTError

if a toolkit could not be found, or if one could not be accessed or instantiated.

 getFontList

 public abstract String[] getFontList()

Returns the names of the available fonts in this toolkit.

For 1.1, the following font names are deprecated (the replacement name follows):

•	TimesRoman (use Serif)

•	Helvetica (use SansSerif)

•	Courier (use Monospaced)

The ZapfDingbats font is also deprecated in 1.1, but only as a separate fontname. Unicode defines the ZapfDingbat characters starting at ?, and as of 1.1 Java supports those characters.

Returns:

the names of the available fonts in this toolkit.

 getFontMetrics

 public abstract FontMetrics getFontMetrics(Font font)

Gets the screen metrics of the font.

Parameters:

font - a font.

Returns:

the screen metrics of the specified font in this toolkit.

 getFontPeer

 protected abstract FontPeer getFontPeer(String name,
                                         int style)

Creates this toolkit's implementation of Font using the specified peer interface.

Parameters:

target - the font to be implemented.

Returns:

this toolkit's implementation of Font.

See Also:

Font, FontPeer

 getImage

 public abstract Image getImage(String filename)

Returns an image which gets pixel data from the specified file.

Parameters:

filename - the name of a file containing pixel data in a recognized file format.

Returns:

an image which gets its pixel data from the specified file.

 getImage

 public abstract Image getImage(URL url)

Returns an image which gets pixel data from the specified URL.

Parameters:

url - the URL to use in fetching the pixel data.

Returns:

an image which gets its pixel data from the specified URL.

 getMenuShortcutKeyMask

 public int getMenuShortcutKeyMask()

Determines which modifier key is the appropriate accelerator key for menu shortcuts.

Menu shortcuts, which are embodied in the MenuShortcut class, are handled by the MenuBar class.

By default, this method returns Event.CTRL_MASK. Toolkit implementations should override this method if the Control key isn't the correct key for accelerators.

Returns:

the modifier mask on the Event class that is used for menu shortcuts on this toolkit.

See Also:

MenuBar, MenuShortcut

 getNativeContainer

 protected static Container getNativeContainer(Component c)

Give native peers the ability to query the native container given a native component (eg the direct parent may be lightweight).

 getPrintJob

 public abstract PrintJob getPrintJob(Frame frame,
                                      String jobtitle,
                                      Properties props)

Gets a PrintJob object which is the result of initiating a print operation on the toolkit's platform.

Returns:

a PrintJob object, or null if the user cancelled the print job.

See Also:

PrintJob

 getProperty

 public static String getProperty(String key,
                                  String defaultValue)

Gets a property with the specified key and default. This method returns defaultValue if the property is not found.

 getScreenResolution

 public abstract int getScreenResolution()

Returns the screen resolution in dots-per-inch.

Returns:

this toolkit's screen resolution, in dots-per-inch.

 getScreenSize

 public abstract Dimension getScreenSize()

Gets the size of the screen.

Returns:

the size of this toolkit's screen, in pixels.

 getSystemClipboard

 public abstract Clipboard getSystemClipboard()

Gets an instance of the system clipboard which interfaces with clipboard facilities provided by the native platform.

This clipboard enables data transfer between Java programs and native applications which use native clipboard facilities.

Returns:

an instance of the system clipboard.

See Also:

Clipboard

 getSystemEventQueue

 public final EventQueue getSystemEventQueue()

Get the application's or applet's EventQueue instance. Depending on the Toolkit implementation, different EventQueues may be returned for different applets. Applets should therefore not assume that the EventQueue instance returned by this method will be shared by other applets or the system.

 getSystemEventQueueImpl

 protected abstract EventQueue getSystemEventQueueImpl()

 loadSystemColors

 protected void loadSystemColors(int systemColors[])

Fills in the integer array that is supplied as an argument with the current system color values.

This method is called by the method updateSystemColors in the SystemColor class.

Parameters:

an - integer array.

See Also:

updateSystemColors

 prepareImage

 public abstract boolean prepareImage(Image image,
                                      int width,
                                      int height,
                                      ImageObserver observer)

Prepares an image for rendering.

If the values of the width and height arguments are both -1, this method prepares the image for rendering on the default screen; otherwise, this method prepares an image for rendering on the default screen at the specified width and height.

The image data is downloaded asynchronously in another thread, and an appropriately scaled screen representation of the image is generated.

This method is called by components prepareImage methods.

Information on the flags returned by this method can be found with the definition of the ImageObserver interface.

Parameters:

image - the image for which to prepare a screen representation.

width - the width of the desired screen representation, or -1.

height - the height of the desired screen representation, or -1.

observer - the ImageObserver object to be notified as the image is being prepared.

Returns:

true if the image has already been fully prepared; false otherwise.

See Also:

prepareImage, prepareImage, ImageObserver

 sync

 public abstract void sync()

Synchronizes this toolkit's graphics state. Some window systems may do buffering of graphics events.

This method ensures that the display is up-to-date. It is useful for animation.


 Class java.awt.Window

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Container
                   |
                   +----java.awt.Window

public class Window
   extends Container

A Window object is a top-level window with no borders and no menubar. It could be used to implement a pop-up menu. The default layout for a window is BorderLayout. A Window object blocks input to other application windows when it is shown.

Windows are capable of generating the following window events: WindowOpened, WindowClosed.

     See Also:
     WindowEvent, addWindowListener, BorderLayout

 Window(Frame)

Constructs a new invisible window.

 addNotify()

Creates the Window's peer.

 addWindowListener(WindowListener)

Adds the specified window listener to receive window events from this window.

 dispose()

Disposes of this window.

 getFocusOwner()

Returns the child component of this Window which has focus if and only if this Window is active.

 getLocale()

Gets the Locale object that is associated with this window, if the locale has been set.

 getToolkit()

Returns the toolkit of this frame.

 getWarningString()

Gets the warning string that is displayed with this window.

 isShowing()

Checks if this Window is showing on screen.

 pack()

Causes subcomponents of this window to be laid out at their preferred size.

 postEvent(Event)

Deprecated.

 processEvent(AWTEvent)

Processes events on this window.

 processWindowEvent(WindowEvent)

Processes window events occurring on this window by dispatching them to any registered WindowListener objects.

 removeWindowListener(WindowListener)

Removes the specified window listener so that it no longer receives window events from this window.

 show()

Shows this window, and brings it to the front.

 toBack()

Sends this window to the back.

 toFront()

Brings this window to the front.

 Window

 public Window(Frame parent)

Constructs a new invisible window.

The window is not initially visible. Call the show method to cause the window to become visible.

Parameters:

parent - the main application frame.

See Also:

show, setSize

 addNotify

 public void addNotify()

Creates the Window's peer. The peer allows us to modify the appearance of the Window without changing its functionality.

Overrides:

addNotify in class Container

 addWindowListener

 public synchronized void addWindowListener(WindowListener l)

Adds the specified window listener to receive window events from this window.

Parameters:

l - the window listener

 dispose

 public void dispose()

Disposes of this window. This method must be called to release the resources that are used for the window.

 getFocusOwner

 public Component getFocusOwner()

Returns the child component of this Window which has focus if and only if this Window is active.

Returns:

the component with focus, or null if no children have focus assigned to them.

 getLocale

 public Locale getLocale()

Gets the Locale object that is associated with this window, if the locale has been set. If no locale has been set, then the default locale is returned.

Returns:

the locale that is set for this window.

Overrides:

getLocale in class Component

See Also:

Locale

 getToolkit

 public Toolkit getToolkit()

Returns the toolkit of this frame.

Returns:

the toolkit of this window.

Overrides:

getToolkit in class Component

See Also:

Toolkit, getDefaultToolkit, getToolkit

 getWarningString

 public final String getWarningString()

Gets the warning string that is displayed with this window. If this window is insecure, the warning string is displayed somewhere in the visible area of the window. A window is insecure if there is a security manager, and the security manager's checkTopLevelWindow method returns false when this window is passed to it as an argument.

If the window is secure, then getWarningString returns null. If the window is insecure, this methods checks for the system property awt.appletWarning and returns the string value of that property.

Returns:

the warning string for this window.

See Also:

checkTopLevelWindow

 isShowing

 public boolean isShowing()

Checks if this Window is showing on screen.

Overrides:

isShowing in class Component

See Also:

setVisible

 pack

 public void pack()

Causes subcomponents of this window to be laid out at their preferred size.

 postEvent

 public boolean postEvent(Event e)

Note: postEvent() is deprecated. As of JDK version 1.1 replaced by dispatchEvent(AWTEvent).

Overrides:

postEvent in class Component

 processEvent

 protected void processEvent(AWTEvent e)

Processes events on this window. If the event is an WindowEvent, it invokes the processWindowEvent method, else it invokes its superclass's processEvent.

Parameters:

e - the event

Overrides:

processEvent in class Container

 processWindowEvent

 protected void processWindowEvent(WindowEvent e)

Processes window events occurring on this window by dispatching them to any registered WindowListener objects. NOTE: This method will not be called unless window events are enabled for this component; this happens when one of the following occurs: a) A WindowListener object is registered via addWindowListener() b) Window events are enabled via enableEvents()

Parameters:

e - the window event

See Also:

enableEvents

 removeWindowListener

 public synchronized void removeWindowListener(WindowListener l)

Removes the specified window listener so that it no longer receives window events from this window.

Parameters:

l - the window listener

 show

 public void show()

Shows this window, and brings it to the front.

If this window is not yet visible, show makes it visible. If this window is already visible, then this method brings it to the front.

Overrides:

show in class Component

See Also:

toFront, setVisible

 toBack

 public void toBack()

Sends this window to the back. Places this window at the bottom of the stacking order and makes the corresponding adjustment to other visible windows.

See Also:

toFront

 toFront

 public void toFront()

Brings this window to the front. Places this window at the top of the stacking order and shows it in front of any other windows.

See Also:

toBack


 Class java.awt.AWTException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.awt.AWTException

public class AWTException
   extends Exception

Signals that an Absract Window Toolkit exception has occurred.

 AWTException(String)

Constructs an instance of AWTException with the specified detail message.

 AWTException

 public AWTException(String msg)

Constructs an instance of AWTException with the specified detail message. A detail message is an instance of String that describes this particular exception.

Parameters:

msg - the detail message


 Class java.awt.IllegalComponentStateException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.lang.RuntimeException
                           |
                           +----java.lang.IllegalStateException
                                   |
                                   +----java.awt.IllegalComponentStateException

public class IllegalComponentStateException
   extends IllegalStateException

Signals that an AWT component is not in an appropriate state for the requested operation.

 IllegalComponentStateException()

Constructs an IllegalComponentStateException with no detail message.

 IllegalComponentStateException(String)

Constructs an IllegalComponentStateException with the specified detail message.

 IllegalComponentStateException

 public IllegalComponentStateException()

Constructs an IllegalComponentStateException with no detail message. A detail message is a String that describes this particular exception.

 IllegalComponentStateException

 public IllegalComponentStateException(String s)

Constructs an IllegalComponentStateException with the specified detail message. A detail message is a String that describes this particular exception.

Parameters:

s - the String that contains a detailed message


 Class java.awt.AWTError

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Error
                   |
                   +----java.awt.AWTError

public class AWTError
   extends Error

Thrown when a serious Abstract Window Toolkit error has occurred.

 AWTError(String)

Constructs an instance of AWTError with the specified detail message.

 AWTError

 public AWTError(String msg)

Constructs an instance of AWTError with the specified detail message.

Parameters:

msg - the detail message.


 package java.awt.datatransfer

   ClipboardOwner
   Transferable

   Clipboard
   DataFlavor
   StringSelection

   UnsupportedFlavorException


 Interface java.awt.datatransfer.ClipboardOwner

public interface ClipboardOwner

Defines the interface for classes that will provide data to a clipboard.

 lostOwnership(Clipboard, Transferable)

Notifies this object that it is no longer the owner of the contents of the clipboard.

 lostOwnership

 public abstract void lostOwnership(Clipboard clipboard,
                                    Transferable contents)

Notifies this object that it is no longer the owner of the contents of the clipboard.

Parameters:

clipboard - the clipboard that is no longer owned

contents - the contents which this owner had placed on the clipboard


 Interface java.awt.datatransfer.Transferable

public interface Transferable

Defines the interface for classes that can be used to provide data for a transfer operation.

 getTransferData(DataFlavor)

Returns an object which represents the data to be transferred.

 getTransferDataFlavors()

Returns an array of DataFlavor objects indicating the flavors the data can be provided in.

 isDataFlavorSupported(DataFlavor)

Returns whether or not the specified data flavor is supported for this object.

 getTransferData

 public abstract Object getTransferData(DataFlavor flavor) throws UnsupportedFlavorException, IOException

Returns an object which represents the data to be transferred. The class of the object returned is defined by the representation class of the flavor.

Parameters:

flavor - the requested flavor for the data

Throws: IOException

if the data is no longer available in the requested flavor.

Throws: UnsupportedFlavorException

if the requested data flavor is not supported.

See Also:

getRepresentationClass

 getTransferDataFlavors

 public abstract DataFlavor[] getTransferDataFlavors()

Returns an array of DataFlavor objects indicating the flavors the data can be provided in. The array should be ordered according to preference for providing the data (from most richly descriptive to least descriptive).

Returns:

an array of data flavors in which this data can be transferred

 isDataFlavorSupported

 public abstract boolean isDataFlavorSupported(DataFlavor flavor)

Returns whether or not the specified data flavor is supported for this object.

Parameters:

flavor - the requested flavor for the data

Returns:

boolean indicating wjether or not the data flavor is supported


 Class java.awt.datatransfer.Clipboard

java.lang.Object
   |
   +----java.awt.datatransfer.Clipboard

public class Clipboard
   extends Object

A class which implements a mechanism to transfer data using cut/copy/paste operations.

 contents

 owner

 Clipboard(String)

Creates a clipboard object.

 getContents(Object)

Returns a transferable object representing the current contents of the clipboard.

 getName()

Returns the name of this clipboard object.

 setContents(Transferable, ClipboardOwner)

Sets the current contents of the clipboard to the specified transferable object and registers the specified clipboard owner as the owner of the new contents.

 contents

 protected Transferable contents

 owner

 protected ClipboardOwner owner

 Clipboard

 public Clipboard(String name)

Creates a clipboard object.

 getContents

 public synchronized Transferable getContents(Object requestor)

Returns a transferable object representing the current contents of the clipboard. If the clipboard currently has no contents, it returns null.

Parameters:

requestor - the object requesting the clip data

Returns:

the current transferable object on the clipboard

 getName

 public String getName()

Returns the name of this clipboard object.

 setContents

 public synchronized void setContents(Transferable contents,
                                      ClipboardOwner owner)

Sets the current contents of the clipboard to the specified transferable object and registers the specified clipboard owner as the owner of the new contents. If there is an existing owner registered, that owner is notified that it no longer holds ownership of the clipboard contents.

Parameters:

content - the transferable object representing the clipboard content

owner - the object which owns the clipboard content


 Class java.awt.datatransfer.DataFlavor

java.lang.Object
   |
   +----java.awt.datatransfer.DataFlavor

public class DataFlavor
   extends Object

Each instance represents the opaque concept of a data format as would appear on a clipboard, during drag and drop, or in a file system.

 plainTextFlavor

The DataFlavor representing plain text with unicode encoding, where:

representationClass = InputStream

mimeType = "text/plain; charset=unicode"

 stringFlavor

The DataFlavor representing a Java Unicode String class, where:

representationClass = java.lang.String

mimeType = "application/x-java-serialized-object"

 DataFlavor(Class, String)

Construct a DataFlavor that represents a Java class

The returned DataFlavor will have the following characteristics

representationClass = representationClass

mimeType = application/x-java-serialized-object

 DataFlavor(String, String)

Construct a DataFlavor that represents a MimeType

The returned DataFlavor will have the following characteristics:

If the mimeType is "application/x-java-serialized-object; class=<representation class>", the result is the same as calling new DataFlavor(Class:forName(<representation class>) as above

otherwise:

representationClass = InputStream

mimeType = mimeType

 equals(DataFlavor)

 getHumanPresentableName()

Returns the human presentable name for the data foramt that this DataFlavor represents.

 getMimeType()

Returns the MIME type string for this DataFlavor

 getRepresentationClass()

Returns the Class which objects supporting this DataFlavor will return when this DataFlavor is requested.

 isMimeTypeEqual(DataFlavor)

Convenience function equivalent to calling: isMimeTypeEqual(dataFlavor.getMimeType());

 isMimeTypeEqual(String)

Is the string representation of the MIME type passed in equivalent to the MIME type of this DataFlavor.

 normalizeMimeType(String)

Called for each MIME type string to give DataFlavor subtypes the opportunity to change how the normalization of MIME types is accomplished.

 normalizeMimeTypeParameter(String, String)

Called on DataFlavor for every MIME Type parameter to allow DataFlavor subclasses to handle special parameters like the text/plain charset parameters, whose values are case insensitive.

 setHumanPresentableName(String)

Sets the human presentable name for the data format that this DataFlavor represents.

 plainTextFlavor

 public static DataFlavor plainTextFlavor

The DataFlavor representing plain text with unicode encoding, where:

representationClass = InputStream

mimeType = "text/plain; charset=unicode"

 stringFlavor

 public static DataFlavor stringFlavor

The DataFlavor representing a Java Unicode String class, where:

representationClass = java.lang.String

mimeType = "application/x-java-serialized-object"

 DataFlavor

 public DataFlavor(Class representationClass,
                   String humanPresentableName)

Construct a DataFlavor that represents a Java class

The returned DataFlavor will have the following characteristics

representationClass = representationClass

mimeType = application/x-java-serialized-object

Parameters:

representationClass - the class used to transfer data in this flavor

humanPresentableName - the human-readible string used to identify this flavor

 DataFlavor

 public DataFlavor(String mimeType,
                   String humanPresentableName)

Construct a DataFlavor that represents a MimeType

The returned DataFlavor will have the following characteristics:

If the mimeType is "application/x-java-serialized-object; class=<representation class>", the result is the same as calling new DataFlavor(Class:forName(<representation class>) as above

otherwise:

representationClass = InputStream

mimeType = mimeType

Parameters:

mimeType - the string used to identify the MIME type for this flavor

humanPresentableName - the human-readible string used to identify this flavor

 equals

 public boolean equals(DataFlavor dataFlavor)

 getHumanPresentableName

 public String getHumanPresentableName()

Returns the human presentable name for the data foramt that this DataFlavor represents. This name would be localized for different countries

 getMimeType

 public String getMimeType()

Returns the MIME type string for this DataFlavor

 getRepresentationClass

 public Class getRepresentationClass()

Returns the Class which objects supporting this DataFlavor will return when this DataFlavor is requested.

 isMimeTypeEqual

 public final boolean isMimeTypeEqual(DataFlavor dataFlavor)

Convenience function equivalent to calling: isMimeTypeEqual(dataFlavor.getMimeType());

 isMimeTypeEqual

 public boolean isMimeTypeEqual(String mimeType)

Is the string representation of the MIME type passed in equivalent to the MIME type of this DataFlavor. This may involve adding default attributes for some MIME types (like adding charset=US-ASCII to text/plain MIME types that have no charset parameter specified)

 normalizeMimeType

 protected String normalizeMimeType(String mimeType)

Called for each MIME type string to give DataFlavor subtypes the opportunity to change how the normalization of MIME types is accomplished. One possible use would be to add default parameter/value pairs in cases where none are present in the MIME type string passed in

 normalizeMimeTypeParameter

 protected String normalizeMimeTypeParameter(String parameterName,
                                             String parameterValue)

Called on DataFlavor for every MIME Type parameter to allow DataFlavor subclasses to handle special parameters like the text/plain charset parameters, whose values are case insensitive. (MIME type parameter values are supposed to be case sensitive.

This method is called for each parameter name/value pair and should return the normalized representation of the parameterValue

 setHumanPresentableName

 public void setHumanPresentableName(String humanPresentableName)

Sets the human presentable name for the data format that this DataFlavor represents. This name would be localized for different countries


 Class java.awt.datatransfer.StringSelection

java.lang.Object
   |
   +----java.awt.datatransfer.StringSelection

public class StringSelection
   extends Object
   implements Transferable, ClipboardOwner

A class which implements the capability required to transfer a simple java String in plain text format.

 StringSelection(String)

Creates a transferable object capable of transferring the specified string in plain text format.

 getTransferData(DataFlavor)

If the data was requested in the "java.lang.String" flavor, return the String representing the selection.

 getTransferDataFlavors()

Returns the array of flavors in which it can provide the data.

 isDataFlavorSupported(DataFlavor)

Returns whether the requested flavor is supported by this object.

 lostOwnership(Clipboard, Transferable)

 StringSelection

 public StringSelection(String data)

Creates a transferable object capable of transferring the specified string in plain text format.

 getTransferData

 public synchronized Object getTransferData(DataFlavor flavor) throws UnsupportedFlavorException, IOException

If the data was requested in the "java.lang.String" flavor, return the String representing the selection.

Parameters:

flavor - the requested flavor for the data

Throws: UnsupportedFlavorException

if the requested data flavor is not supported in the "java.lang.String" flavor.

 getTransferDataFlavors

 public synchronized DataFlavor[] getTransferDataFlavors()

Returns the array of flavors in which it can provide the data.

 isDataFlavorSupported

 public boolean isDataFlavorSupported(DataFlavor flavor)

Returns whether the requested flavor is supported by this object.

Parameters:

flavor - the requested flavor for the data

 lostOwnership

 public void lostOwnership(Clipboard clipboard,
                           Transferable contents)


 Class java.awt.datatransfer.UnsupportedFlavorException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.awt.datatransfer.UnsupportedFlavorException

public class UnsupportedFlavorException
   extends Exception

Signals that the requested data is not supported in this flavor.

     See Also:
     getTransferData

 UnsupportedFlavorException(DataFlavor)

Constructs an UnsupportedFlavorException.

 UnsupportedFlavorException

 public UnsupportedFlavorException(DataFlavor flavor)

Constructs an UnsupportedFlavorException.

Parameters:

flavor - the flavor object which caused the exception


 package java.awt.event

   ActionListener
   AdjustmentListener
   ComponentListener
   ContainerListener
   FocusListener
   ItemListener
   KeyListener
   MouseListener
   MouseMotionListener
   TextListener
   WindowListener

   ActionEvent
   AdjustmentEvent
   ComponentAdapter
   ComponentEvent
   ContainerAdapter
   ContainerEvent
   FocusAdapter
   FocusEvent
   InputEvent
   ItemEvent
   KeyAdapter
   KeyEvent
   MouseAdapter
   MouseEvent
   MouseMotionAdapter
   PaintEvent
   TextEvent
   WindowAdapter
   WindowEvent


 Interface java.awt.event.ActionListener

public interface ActionListener
   extends EventListener

The listener interface for receiving action events.

 actionPerformed(ActionEvent)

Invoked when an action occurs.

 actionPerformed

 public abstract void actionPerformed(ActionEvent e)

Invoked when an action occurs.


 Interface java.awt.event.AdjustmentListener

public interface AdjustmentListener
   extends EventListener

The listener interface for receiving adjustment events.

 adjustmentValueChanged(AdjustmentEvent)

Invoked when the value of the adjustable has changed.

 adjustmentValueChanged

 public abstract void adjustmentValueChanged(AdjustmentEvent e)

Invoked when the value of the adjustable has changed.


 Interface java.awt.event.ComponentListener

public interface ComponentListener
   extends EventListener

The listener interface for receiving component events. Component events are provided for notification purposes ONLY; The AWT will automatically handle component moves and resizes internally so that GUI layout works properly regardless of whether a program registers a ComponentListener or not.

 componentHidden(ComponentEvent)

Invoked when component has been hidden.

 componentMoved(ComponentEvent)

Invoked when component has been moved.

 componentResized(ComponentEvent)

Invoked when component has been resized.

 componentShown(ComponentEvent)

Invoked when component has been shown.

 componentHidden

 public abstract void componentHidden(ComponentEvent e)

Invoked when component has been hidden.

 componentMoved

 public abstract void componentMoved(ComponentEvent e)

Invoked when component has been moved.

 componentResized

 public abstract void componentResized(ComponentEvent e)

Invoked when component has been resized.

 componentShown

 public abstract void componentShown(ComponentEvent e)

Invoked when component has been shown.


 Interface java.awt.event.ContainerListener

public interface ContainerListener
   extends EventListener

The listener interface for receiving container events. Container events are provided for notification purposes ONLY; The AWT will automatically handle add and remove operations internally.

 componentAdded(ContainerEvent)

Invoked when a component has been added to the container.

 componentRemoved(ContainerEvent)

Invoked when a component has been removed from the container.

 componentAdded

 public abstract void componentAdded(ContainerEvent e)

Invoked when a component has been added to the container.

 componentRemoved

 public abstract void componentRemoved(ContainerEvent e)

Invoked when a component has been removed from the container.


 Interface java.awt.event.FocusListener

public interface FocusListener
   extends EventListener

The listener interface for receiving keyboard focus events on a component.

 focusGained(FocusEvent)

Invoked when a component gains the keyboard focus.

 focusLost(FocusEvent)

Invoked when a component loses the keyboard focus.

 focusGained

 public abstract void focusGained(FocusEvent e)

Invoked when a component gains the keyboard focus.

 focusLost

 public abstract void focusLost(FocusEvent e)

Invoked when a component loses the keyboard focus.


 Interface java.awt.event.ItemListener

public interface ItemListener
   extends EventListener

The listener interface for receiving item events.

     See Also:
     ItemSelectable

 itemStateChanged(ItemEvent)

Invoked when an item's state has been changed.

 itemStateChanged

 public abstract void itemStateChanged(ItemEvent e)

Invoked when an item's state has been changed.


 Interface java.awt.event.KeyListener

public interface KeyListener
   extends EventListener

The listener interface for receiving keyboard events.

 keyPressed(KeyEvent)

Invoked when a key has been pressed.

 keyReleased(KeyEvent)

Invoked when a key has been released.

 keyTyped(KeyEvent)

Invoked when a key has been typed.

 keyPressed

 public abstract void keyPressed(KeyEvent e)

Invoked when a key has been pressed.

 keyReleased

 public abstract void keyReleased(KeyEvent e)

Invoked when a key has been released.

 keyTyped

 public abstract void keyTyped(KeyEvent e)

Invoked when a key has been typed. This event occurs when a key press is followed by a key release.


 Interface java.awt.event.MouseListener

public interface MouseListener
   extends EventListener

The listener interface for receiving mouse events on a component.

 mouseClicked(MouseEvent)

Invoked when the mouse has been clicked on a component.

 mouseEntered(MouseEvent)

Invoked when the mouse enters a component.

 mouseExited(MouseEvent)

Invoked when the mouse exits a component.

 mousePressed(MouseEvent)

Invoked when a mouse button has been pressed on a component.

 mouseReleased(MouseEvent)

Invoked when a mouse button has been released on a component.

 mouseClicked

 public abstract void mouseClicked(MouseEvent e)

Invoked when the mouse has been clicked on a component.

 mouseEntered

 public abstract void mouseEntered(MouseEvent e)

Invoked when the mouse enters a component.

 mouseExited

 public abstract void mouseExited(MouseEvent e)

Invoked when the mouse exits a component.

 mousePressed

 public abstract void mousePressed(MouseEvent e)

Invoked when a mouse button has been pressed on a component.

 mouseReleased

 public abstract void mouseReleased(MouseEvent e)

Invoked when a mouse button has been released on a component.


 Interface java.awt.event.MouseMotionListener

public interface MouseMotionListener
   extends EventListener

The listener interface for receiving mouse motion events on a component.

 mouseDragged(MouseEvent)

Invoked when a mouse button is pressed on a component and then dragged.

 mouseMoved(MouseEvent)

Invoked when the mouse button has been moved on a component (with no buttons no down).

 mouseDragged

 public abstract void mouseDragged(MouseEvent e)

Invoked when a mouse button is pressed on a component and then dragged. Mouse drag events will continue to be delivered to the component where the first originated until the mouse button is released (regardless of whether the mouse position is within the bounds of the component).

 mouseMoved

 public abstract void mouseMoved(MouseEvent e)

Invoked when the mouse button has been moved on a component (with no buttons no down).


 Interface java.awt.event.TextListener

public interface TextListener
   extends EventListener

The listener interface for receiving adjustment events.

 textValueChanged(TextEvent)

Invoked when the value of the text has changed.

 textValueChanged

 public abstract void textValueChanged(TextEvent e)

Invoked when the value of the text has changed.


 Interface java.awt.event.WindowListener

public interface WindowListener
   extends EventListener

The listener interface for receiving window events.

 windowActivated(WindowEvent)

Invoked when a window is activated.

 windowClosed(WindowEvent)

Invoked when a window has been closed.

 windowClosing(WindowEvent)

Invoked when a window is in the process of being closed.

 windowDeactivated(WindowEvent)

Invoked when a window is de-activated.

 windowDeiconified(WindowEvent)

Invoked when a window is de-iconified.

 windowIconified(WindowEvent)

Invoked when a window is iconified.

 windowOpened(WindowEvent)

Invoked when a window has been opened.

 windowActivated

 public abstract void windowActivated(WindowEvent e)

Invoked when a window is activated.

 windowClosed

 public abstract void windowClosed(WindowEvent e)

Invoked when a window has been closed.

 windowClosing

 public abstract void windowClosing(WindowEvent e)

Invoked when a window is in the process of being closed. The close operation can be overridden at this point.

 windowDeactivated

 public abstract void windowDeactivated(WindowEvent e)

Invoked when a window is de-activated.

 windowDeiconified

 public abstract void windowDeiconified(WindowEvent e)

Invoked when a window is de-iconified.

 windowIconified

 public abstract void windowIconified(WindowEvent e)

Invoked when a window is iconified.

 windowOpened

 public abstract void windowOpened(WindowEvent e)

Invoked when a window has been opened.


 Class java.awt.event.ActionEvent

java.lang.Object
   |
   +----java.util.EventObject
           |
           +----java.awt.AWTEvent
                   |
                   +----java.awt.event.ActionEvent

public class ActionEvent
   extends AWTEvent

The action semantic event.

     See Also:
     ActionListener

 ACTION_FIRST

Marks the first integer id for the range of action event ids.

 ACTION_LAST

Marks the last integer id for the range of action event ids.

 ACTION_PERFORMED

An action performed event type.

 ALT_MASK

The alt modifier constant.

 CTRL_MASK

The control modifier constant.

 META_MASK

The meta modifier constant.

 SHIFT_MASK

The shift modifier constant.

 ActionEvent(Object, int, String)

Constructs an ActionEvent object with the specified source object.

 ActionEvent(Object, int, String, int)

Constructs an ActionEvent object with the specified source object.

 getActionCommand()

Returns the command name associated with this action.

 getModifiers()

Returns the modifiers held down during this action event.

 paramString()

 ACTION_FIRST

 public static final int ACTION_FIRST

Marks the first integer id for the range of action event ids.

 ACTION_LAST

 public static final int ACTION_LAST

Marks the last integer id for the range of action event ids.

 ACTION_PERFORMED

 public static final int ACTION_PERFORMED

An action performed event type.

 ALT_MASK

 public static final int ALT_MASK

The alt modifier constant.

 CTRL_MASK

 public static final int CTRL_MASK

The control modifier constant.

 META_MASK

 public static final int META_MASK

The meta modifier constant.

 SHIFT_MASK

 public static final int SHIFT_MASK

The shift modifier constant.

 ActionEvent

 public ActionEvent(Object source,
                    int id,
                    String command)

Constructs an ActionEvent object with the specified source object.

Parameters:

source - the object where the event originated

id - the type of event

command - the command string for this action event

 ActionEvent

 public ActionEvent(Object source,
                    int id,
                    String command,
                    int modifiers)

Constructs an ActionEvent object with the specified source object.

Parameters:

source - the object where the event originated

id - the type of event

command - the command string for this action event

modifiers - the modifiers held down during this action

 getActionCommand

 public String getActionCommand()

Returns the command name associated with this action.

 getModifiers

 public int getModifiers()

Returns the modifiers held down during this action event.

 paramString

 public String paramString()


 Class java.awt.event.AdjustmentEvent

java.lang.Object
   |
   +----java.util.EventObject
           |
           +----java.awt.AWTEvent
                   |
                   +----java.awt.event.AdjustmentEvent

public class AdjustmentEvent
   extends AWTEvent

The adjustment event emitted by Adjustable objects.

     See Also:
     Adjustable, AdjustmentListener

 ADJUSTMENT_FIRST

Marks the first integer id for the range of adjustment event ids.

 ADJUSTMENT_LAST

Marks the last integer id for the range of adjustment event ids.

 ADJUSTMENT_VALUE_CHANGED

The adjustment value changed event.

 BLOCK_DECREMENT

The block decrement adjustment type.

 BLOCK_INCREMENT

The block increment adjustment type.

 TRACK

The absolute tracking adjustment type.

 UNIT_DECREMENT

The unit decrement adjustment type.

 UNIT_INCREMENT

The unit increment adjustment type.

 AdjustmentEvent(Adjustable, int, int, int)

Constructs a AdjustmentEvent object with the specified Adjustable source, type, and value.

 getAdjustable()

Returns the Adjustable object where this event originated.

 getAdjustmentType()

Returns the type of adjustment which caused the value changed event.

 getValue()

Returns the current value in the adjustment event.

 paramString()

 ADJUSTMENT_FIRST

 public static final int ADJUSTMENT_FIRST

Marks the first integer id for the range of adjustment event ids.

 ADJUSTMENT_LAST

 public static final int ADJUSTMENT_LAST

Marks the last integer id for the range of adjustment event ids.

 ADJUSTMENT_VALUE_CHANGED

 public static final int ADJUSTMENT_VALUE_CHANGED

The adjustment value changed event.

 BLOCK_DECREMENT

 public static final int BLOCK_DECREMENT

The block decrement adjustment type.

 BLOCK_INCREMENT

 public static final int BLOCK_INCREMENT

The block increment adjustment type.

 TRACK

 public static final int TRACK

The absolute tracking adjustment type.

 UNIT_DECREMENT

 public static final int UNIT_DECREMENT

The unit decrement adjustment type.

 UNIT_INCREMENT

 public static final int UNIT_INCREMENT

The unit increment adjustment type.

 AdjustmentEvent

 public AdjustmentEvent(Adjustable source,
                        int id,
                        int type,
                        int value)

Constructs a AdjustmentEvent object with the specified Adjustable source, type, and value.

Parameters:

source - the Adjustable object where the event originated

 getAdjustable

 public Adjustable getAdjustable()

Returns the Adjustable object where this event originated.

 getAdjustmentType

 public int getAdjustmentType()

Returns the type of adjustment which caused the value changed event.

See Also:

UNIT_INCREMENT, UNIT_DECREMENT, BLOCK_INCREMENT, BLOCK_DECREMENT, TRACK

 getValue

 public int getValue()

Returns the current value in the adjustment event.

 paramString

 public String paramString()


 Class java.awt.event.ComponentAdapter

java.lang.Object
   |
   +----java.awt.event.ComponentAdapter

public abstract class ComponentAdapter
   extends Object
   implements ComponentListener

The adapter which receives component events. The methods in this class are empty; this class is provided as a convenience for easily creating listeners by extending this class and overriding only the methods of interest.

 ComponentAdapter()

 componentHidden(ComponentEvent)

 componentMoved(ComponentEvent)

 componentResized(ComponentEvent)

 componentShown(ComponentEvent)

 ComponentAdapter

 public ComponentAdapter()

 componentHidden

 public void componentHidden(ComponentEvent e)

 componentMoved

 public void componentMoved(ComponentEvent e)

 componentResized

 public void componentResized(ComponentEvent e)

 componentShown

 public void componentShown(ComponentEvent e)


 Class java.awt.event.ComponentEvent

java.lang.Object
   |
   +----java.util.EventObject
           |
           +----java.awt.AWTEvent
                   |
                   +----java.awt.event.ComponentEvent

public class ComponentEvent
   extends AWTEvent

The root event class for all component-level events. These events are provided for notification purposes ONLY; The AWT will automatically handle component moves and resizes internally so that GUI layout works properly regardless of whether a program is receiving these events or not.

     See Also:
     ComponentListener

 COMPONENT_FIRST

Marks the first integer id for the range of component event ids.

 COMPONENT_HIDDEN

The component hidden event type.

 COMPONENT_LAST

Marks the last integer id for the range of component event ids.

 COMPONENT_MOVED

The component moved event type.

 COMPONENT_RESIZED

The component resized event type.

 COMPONENT_SHOWN

The component shown event type.

 ComponentEvent(Component, int)

Constructs a ComponentEvent object with the specified source component and type.

 getComponent()

Returns the component where this event originated.

 paramString()

 COMPONENT_FIRST

 public static final int COMPONENT_FIRST

Marks the first integer id for the range of component event ids.

 COMPONENT_HIDDEN

 public static final int COMPONENT_HIDDEN

The component hidden event type.

 COMPONENT_LAST

 public static final int COMPONENT_LAST

Marks the last integer id for the range of component event ids.

 COMPONENT_MOVED

 public static final int COMPONENT_MOVED

The component moved event type.

 COMPONENT_RESIZED

 public static final int COMPONENT_RESIZED

The component resized event type.

 COMPONENT_SHOWN

 public static final int COMPONENT_SHOWN

The component shown event type.

 ComponentEvent

 public ComponentEvent(Component source,
                       int id)

Constructs a ComponentEvent object with the specified source component and type.

Parameters:

source - the component where the event originated

 getComponent

 public Component getComponent()

Returns the component where this event originated.

 paramString

 public String paramString()


 Class java.awt.event.ContainerAdapter

java.lang.Object
   |
   +----java.awt.event.ContainerAdapter

public abstract class ContainerAdapter
   extends Object
   implements ContainerListener

The adapter which receives container events. The methods in this class are empty; this class is provided as a convenience for easily creating listeners by extending this class and overriding only the methods of interest.

 ContainerAdapter()

 componentAdded(ContainerEvent)

 componentRemoved(ContainerEvent)

 ContainerAdapter

 public ContainerAdapter()

 componentAdded

 public void componentAdded(ContainerEvent e)

 componentRemoved

 public void componentRemoved(ContainerEvent e)


 Class java.awt.event.ContainerEvent

java.lang.Object
   |
   +----java.util.EventObject
           |
           +----java.awt.AWTEvent
                   |
                   +----java.awt.event.ComponentEvent
                           |
                           +----java.awt.event.ContainerEvent

public class ContainerEvent
   extends ComponentEvent

The class for container-level events. These events are provided for notification purposes ONLY; The AWT will automatically handle container add and remove operations internally.

     See Also:
     ContainerListener

 COMPONENT_ADDED

The component moved event type.

 COMPONENT_REMOVED

The component resized event type.

 CONTAINER_FIRST

Marks the first integer id for the range of container event ids.

 CONTAINER_LAST

Marks the last integer id for the range of container event ids.

 ContainerEvent(Component, int, Component)

Constructs a ContainerEvent object with the specified source container, type, and child which is being added or removed.

 getChild()

Returns the child component that was added or removed in this event.

 getContainer()

Returns the container where this event originated.

 paramString()

 COMPONENT_ADDED

 public static final int COMPONENT_ADDED

The component moved event type.

 COMPONENT_REMOVED

 public static final int COMPONENT_REMOVED

The component resized event type.

 CONTAINER_FIRST

 public static final int CONTAINER_FIRST

Marks the first integer id for the range of container event ids.

 CONTAINER_LAST

 public static final int CONTAINER_LAST

Marks the last integer id for the range of container event ids.

 ContainerEvent

 public ContainerEvent(Component source,
                       int id,
                       Component child)

Constructs a ContainerEvent object with the specified source container, type, and child which is being added or removed.

Parameters:

source - the container where the event originated

 getChild

 public Component getChild()

Returns the child component that was added or removed in this event.

 getContainer

 public Container getContainer()

Returns the container where this event originated.

 paramString

 public String paramString()


 Class java.awt.event.FocusAdapter

java.lang.Object
   |
   +----java.awt.event.FocusAdapter

public abstract class FocusAdapter
   extends Object
   implements FocusListener

The adapter which receives focus events. The methods in this class are empty; this class is provided as a convenience for easily creating listeners by extending this class and overriding only the methods of interest.

 FocusAdapter()

 focusGained(FocusEvent)

 focusLost(FocusEvent)

 FocusAdapter

 public FocusAdapter()

 focusGained

 public void focusGained(FocusEvent e)

 focusLost

 public void focusLost(FocusEvent e)


 Class java.awt.event.FocusEvent

java.lang.Object
   |
   +----java.util.EventObject
           |
           +----java.awt.AWTEvent
                   |
                   +----java.awt.event.ComponentEvent
                           |
                           +----java.awt.event.FocusEvent

public class FocusEvent
   extends ComponentEvent

The component-level focus event. There are two levels of focus change events: permanent and temporary. Permanent focus change events occur when focus is directly moved from one component to another, such as through calls to requestFocus() or as the user uses the Tab key to traverse components. Temporary focus change events occur when focus is temporarily gained or lost for a component as the indirect result of another operation, such as window deactivation or a scrollbar drag. In this case, the original focus state will automatically be restored once that operation is finished, or, for the case of window deactivation, when the window is reactivated. Both permanent and temporary focus events are delivered using the FOCUS_GAINED and FOCUS_LOST event ids; the levels may be distinguished in the event using the isTemporary() method.

 FOCUS_FIRST

Marks the first integer id for the range of focus event ids.

 FOCUS_GAINED

The focus gained event type.

 FOCUS_LAST

Marks the last integer id for the range of focus event ids.

 FOCUS_LOST

The focus lost event type.

 FocusEvent(Component, int)

Constructs a permanent-level FocusEvent object with the specified source component and type.

 FocusEvent(Component, int, boolean)

Constructs a FocusEvent object with the specified source component, type, and whether or not the focus event is a temporary level event.

 isTemporary()

Returns whether or not this focus change event is a temporary change.

 paramString()

 FOCUS_FIRST

 public static final int FOCUS_FIRST

Marks the first integer id for the range of focus event ids.

 FOCUS_GAINED

 public static final int FOCUS_GAINED

The focus gained event type.

 FOCUS_LAST

 public static final int FOCUS_LAST

Marks the last integer id for the range of focus event ids.

 FOCUS_LOST

 public static final int FOCUS_LOST

The focus lost event type.

 FocusEvent

 public FocusEvent(Component source,
                   int id)

Constructs a permanent-level FocusEvent object with the specified source component and type.

Parameters:

source - the object where the event originated

 FocusEvent

 public FocusEvent(Component source,
                   int id,
                   boolean temporary)

Constructs a FocusEvent object with the specified source component, type, and whether or not the focus event is a temporary level event.

Parameters:

source - the object where the event originated

 isTemporary

 public boolean isTemporary()

Returns whether or not this focus change event is a temporary change.

 paramString

 public String paramString()


 Class java.awt.event.InputEvent

java.lang.Object
   |
   +----java.util.EventObject
           |
           +----java.awt.AWTEvent
                   |
                   +----java.awt.event.ComponentEvent
                           |
                           +----java.awt.event.InputEvent

public abstract class InputEvent
   extends ComponentEvent

The root event class for all component-level input events. Input events are delivered to listeners before they are processed normally by the source where they originated. This allows listeners and component subclasses to "consume" the event so that the source will not process them in their default manner. For example, consuming mousePressed events on a Button component will prevent the Button from being activated.

 ALT_MASK

The alt key modifier constant.

 BUTTON1_MASK

The mouse button1 modifier constant.

 BUTTON2_MASK

The mouse button2 modifier constant.

 BUTTON3_MASK

The mouse button3 modifier constant.

 CTRL_MASK

The control key modifier constant.

 META_MASK

The meta key modifier constant.

 SHIFT_MASK

The shift key modifier constant.

 consume()

Consumes this event so that it will not be processed in the default manner by the source which originated it.

 getModifiers()

Returns the modifiers flag for this event.

 getWhen()

Returns the timestamp of when this event occurred.

 isAltDown()

Returns whether or not the Alt modifier is down on this event.

 isConsumed()

Returns whether or not this event has been consumed.

 isControlDown()

Returns whether or not the Control modifier is down on this event.

 isMetaDown()

Returns whether or not the Meta modifier is down on this event.

 isShiftDown()

Returns whether or not the Shift modifier is down on this event.

 ALT_MASK

 public static final int ALT_MASK

The alt key modifier constant.

 BUTTON1_MASK

 public static final int BUTTON1_MASK

The mouse button1 modifier constant.

 BUTTON2_MASK

 public static final int BUTTON2_MASK

The mouse button2 modifier constant.

 BUTTON3_MASK

 public static final int BUTTON3_MASK

The mouse button3 modifier constant.

 CTRL_MASK

 public static final int CTRL_MASK

The control key modifier constant.

 META_MASK

 public static final int META_MASK

The meta key modifier constant.

 SHIFT_MASK

 public static final int SHIFT_MASK

The shift key modifier constant.

 consume

 public void consume()

Consumes this event so that it will not be processed in the default manner by the source which originated it.

Overrides:

consume in class AWTEvent

 getModifiers

 public int getModifiers()

Returns the modifiers flag for this event.

 getWhen

 public long getWhen()

Returns the timestamp of when this event occurred.

 isAltDown

 public boolean isAltDown()

Returns whether or not the Alt modifier is down on this event.

 isConsumed

 public boolean isConsumed()

Returns whether or not this event has been consumed.

Overrides:

isConsumed in class AWTEvent

See Also:

consume

 isControlDown

 public boolean isControlDown()

Returns whether or not the Control modifier is down on this event.

 isMetaDown

 public boolean isMetaDown()

Returns whether or not the Meta modifier is down on this event.

 isShiftDown

 public boolean isShiftDown()

Returns whether or not the Shift modifier is down on this event.


 Class java.awt.event.ItemEvent

java.lang.Object
   |
   +----java.util.EventObject
           |
           +----java.awt.AWTEvent
                   |
                   +----java.awt.event.ItemEvent

public class ItemEvent
   extends AWTEvent

The item event emitted by ItemSelectable objects. This event is generated when an item is selected or de-selected.

     See Also:
     ItemSelectable, ItemListener

 DESELECTED

The item de-selected state change type.

 ITEM_FIRST

Marks the first integer id for the range of item event ids.

 ITEM_LAST

Marks the last integer id for the range of item event ids.

 ITEM_STATE_CHANGED

The item state changed event type.

 SELECTED

The item selected state change type.

 ItemEvent(ItemSelectable, int, Object, int)

Constructs a ItemSelectEvent object with the specified ItemSelectable source, type, item, and item select state.

 getItem()

Returns the item where the event occurred.

 getItemSelectable()

Returns the ItemSelectable object where this event originated.

 getStateChange()

Returns the state change type which generated the event.

 paramString()

 DESELECTED

 public static final int DESELECTED

The item de-selected state change type.

 ITEM_FIRST

 public static final int ITEM_FIRST

Marks the first integer id for the range of item event ids.

 ITEM_LAST

 public static final int ITEM_LAST

Marks the last integer id for the range of item event ids.

 ITEM_STATE_CHANGED

 public static final int ITEM_STATE_CHANGED

The item state changed event type.

 SELECTED

 public static final int SELECTED

The item selected state change type.

 ItemEvent

 public ItemEvent(ItemSelectable source,
                  int id,
                  Object item,
                  int stateChange)

Constructs a ItemSelectEvent object with the specified ItemSelectable source, type, item, and item select state.

Parameters:

source - the ItemSelectable object where the event originated

 getItem

 public Object getItem()

Returns the item where the event occurred.

 getItemSelectable

 public ItemSelectable getItemSelectable()

Returns the ItemSelectable object where this event originated.

 getStateChange

 public int getStateChange()

Returns the state change type which generated the event.

See Also:

SELECTED, DESELECTED

 paramString

 public String paramString()


 Class java.awt.event.KeyAdapter

java.lang.Object
   |
   +----java.awt.event.KeyAdapter

public abstract class KeyAdapter
   extends Object
   implements KeyListener

The adapter which receives keyboard events. The methods in this class are empty; this class is provided as a convenience for easily creating listeners by extending this class and overriding only the methods of interest.

 KeyAdapter()

 keyPressed(KeyEvent)

 keyReleased(KeyEvent)

 keyTyped(KeyEvent)

 KeyAdapter

 public KeyAdapter()

 keyPressed

 public void keyPressed(KeyEvent e)

 keyReleased

 public void keyReleased(KeyEvent e)

 keyTyped

 public void keyTyped(KeyEvent e)


 Class java.awt.event.KeyEvent

java.lang.Object
   |
   +----java.util.EventObject
           |
           +----java.awt.AWTEvent
                   |
                   +----java.awt.event.ComponentEvent
                           |
                           +----java.awt.event.InputEvent
                                   |
                                   +----java.awt.event.KeyEvent

public class KeyEvent
   extends InputEvent

The component-level keyboard event.

 CHAR_UNDEFINED

KEY_PRESSED and KEY_RELEASED events which do not map to a valid Unicode character do not have a defined keyChar.

 KEY_FIRST

Marks the first integer id for the range of key event ids.

 KEY_LAST

Marks the last integer id for the range of key event ids.

 KEY_PRESSED

The key pressed event type.

 KEY_RELEASED

The key released event type.

 KEY_TYPED

The key typed event type.

 VK_0

VK_0 thru VK_9 are the same as ASCII '0' thru '9' (0x30 - 0x39)

 VK_1

 VK_2

 VK_3

 VK_4

 VK_5

 VK_6

 VK_7

 VK_8

 VK_9

 VK_A

VK_A thru VK_Z are the same as ASCII 'A' thru 'Z' (0x41 - 0x5A)

 VK_ACCEPT

 VK_ADD

 VK_ALT

 VK_B

 VK_BACK_QUOTE

 VK_BACK_SLASH

 VK_BACK_SPACE

 VK_C

 VK_CANCEL

 VK_CAPS_LOCK

 VK_CLEAR

 VK_CLOSE_BRACKET

 VK_COMMA

 VK_CONTROL

 VK_CONVERT

 VK_D

 VK_DECIMAL

 VK_DELETE

 VK_DIVIDE

 VK_DOWN

 VK_E

 VK_END

 VK_ENTER

Virtual key codes.

 VK_EQUALS

 VK_ESCAPE

 VK_F

 VK_F1

 VK_F10

 VK_F11

 VK_F12

 VK_F2

 VK_F3

 VK_F4

 VK_F5

 VK_F6

 VK_F7

 VK_F8

 VK_F9

 VK_FINAL

for Asian Keyboard

 VK_G

 VK_H

 VK_HELP

 VK_HOME

 VK_I

 VK_INSERT

 VK_J

 VK_K

 VK_KANA

 VK_KANJI

 VK_L

 VK_LEFT

 VK_M

 VK_META

 VK_MODECHANGE

 VK_MULTIPLY

 VK_N

 VK_NONCONVERT

 VK_NUM_LOCK

 VK_NUMPAD0

 VK_NUMPAD1

 VK_NUMPAD2

 VK_NUMPAD3

 VK_NUMPAD4

 VK_NUMPAD5

 VK_NUMPAD6

 VK_NUMPAD7

 VK_NUMPAD8

 VK_NUMPAD9

 VK_O

 VK_OPEN_BRACKET

 VK_P

 VK_PAGE_DOWN

 VK_PAGE_UP

 VK_PAUSE

 VK_PERIOD

 VK_PRINTSCREEN

 VK_Q

 VK_QUOTE

 VK_R

 VK_RIGHT

 VK_S

 VK_SCROLL_LOCK

 VK_SEMICOLON

 VK_SEPARATER

 VK_SHIFT

 VK_SLASH

 VK_SPACE

 VK_SUBTRACT

 VK_T

 VK_TAB

 VK_U

 VK_UNDEFINED

KEY_TYPED events do not have a defined keyCode.

 VK_UP

 VK_V

 VK_W

 VK_X

 VK_Y

 VK_Z

 KeyEvent(Component, int, long, int, int)

 KeyEvent(Component, int, long, int, int, char)

Constructs a KeyEvent object with the specified source component, type, modifiers, and key.

 getKeyChar()

Returns the character associated with the key in this event.

 getKeyCode()

Returns the integer key-code associated with the key in this event.

 getKeyModifiersText(int)

Returns a String describing the modifier key(s), such as "Shift", or "Ctrl+Shift".

 getKeyText(int)

Returns a String describing the keyCode, such as "HOME", "F1" or "A".

 isActionKey()

Returns whether or not the key in this event is an "action" key, as defined in Event.java.

 paramString()

 setKeyChar(char)

 setKeyCode(int)

 setModifiers(int)

Change the modifiers for a KeyEvent. Deprecated.

 CHAR_UNDEFINED

 public static final char CHAR_UNDEFINED

KEY_PRESSED and KEY_RELEASED events which do not map to a valid Unicode character do not have a defined keyChar.

 KEY_FIRST

 public static final int KEY_FIRST

Marks the first integer id for the range of key event ids.

 KEY_LAST

 public static final int KEY_LAST

Marks the last integer id for the range of key event ids.

 KEY_PRESSED

 public static final int KEY_PRESSED

The key pressed event type.

 KEY_RELEASED

 public static final int KEY_RELEASED

The key released event type.

 KEY_TYPED

 public static final int KEY_TYPED

The key typed event type. This type is generated by a combination of a key press followed by a key release.

 VK_0

 public static final int VK_0

VK_0 thru VK_9 are the same as ASCII '0' thru '9' (0x30 - 0x39)

 VK_1

 public static final int VK_1

 VK_2

 public static final int VK_2

 VK_3

 public static final int VK_3

 VK_4

 public static final int VK_4

 VK_5

 public static final int VK_5

 VK_6

 public static final int VK_6

 VK_7

 public static final int VK_7

 VK_8

 public static final int VK_8

 VK_9

 public static final int VK_9

 VK_A

 public static final int VK_A

VK_A thru VK_Z are the same as ASCII 'A' thru 'Z' (0x41 - 0x5A)

 VK_ACCEPT

 public static final int VK_ACCEPT

 VK_ADD

 public static final int VK_ADD

 VK_ALT

 public static final int VK_ALT

 VK_B

 public static final int VK_B

 VK_BACK_QUOTE

 public static final int VK_BACK_QUOTE

 VK_BACK_SLASH

 public static final int VK_BACK_SLASH

 VK_BACK_SPACE

 public static final int VK_BACK_SPACE

 VK_C

 public static final int VK_C

 VK_CANCEL

 public static final int VK_CANCEL

 VK_CAPS_LOCK

 public static final int VK_CAPS_LOCK

 VK_CLEAR

 public static final int VK_CLEAR

 VK_CLOSE_BRACKET

 public static final int VK_CLOSE_BRACKET

 VK_COMMA

 public static final int VK_COMMA

 VK_CONTROL

 public static final int VK_CONTROL

 VK_CONVERT

 public static final int VK_CONVERT

 VK_D

 public static final int VK_D

 VK_DECIMAL

 public static final int VK_DECIMAL

 VK_DELETE

 public static final int VK_DELETE

 VK_DIVIDE

 public static final int VK_DIVIDE

 VK_DOWN

 public static final int VK_DOWN

 VK_E

 public static final int VK_E

 VK_END

 public static final int VK_END

 VK_ENTER

 public static final int VK_ENTER

Virtual key codes. These codes report which keyboard key has been pressed, rather than any character generated by one or more keys being pressed. For example, pressing the Shift key will cause a KEY_PRESSED event with a VK_SHIFT keyCode, while pressing the 'a' key will result in a VK_A keyCode. After the 'a' key is released, a KEY_RELEASED event will be fired with VK_A, followed by a KEY_TYPED event with a keyChar value of 'A'. Key combinations which do not result in characters, such as action keys like F1, will not generate KEY_TYPED events. Note: not all keyboards or systems are capable of generating all virtual key codes. No attempt is made in Java to artificially generate these keys. WARNING: aside from those keys where are defined by the Java language (VK_ENTER, VK_BACK_SPACE, and VK_TAB), do not rely on the values of these constants. Sun reserves the right to change these values as needed to accomodate a wider range of keyboards in the future.

 VK_EQUALS

 public static final int VK_EQUALS

 VK_ESCAPE

 public static final int VK_ESCAPE

 VK_F

 public static final int VK_F

 VK_F1

 public static final int VK_F1

 VK_F10

 public static final int VK_F10

 VK_F11

 public static final int VK_F11

 VK_F12

 public static final int VK_F12

 VK_F2

 public static final int VK_F2

 VK_F3

 public static final int VK_F3

 VK_F4

 public static final int VK_F4

 VK_F5

 public static final int VK_F5

 VK_F6

 public static final int VK_F6

 VK_F7

 public static final int VK_F7

 VK_F8

 public static final int VK_F8

 VK_F9

 public static final int VK_F9

 VK_FINAL

 public static final int VK_FINAL

for Asian Keyboard

 VK_G

 public static final int VK_G

 VK_H

 public static final int VK_H

 VK_HELP

 public static final int VK_HELP

 VK_HOME

 public static final int VK_HOME

 VK_I

 public static final int VK_I

 VK_INSERT

 public static final int VK_INSERT

 VK_J

 public static final int VK_J

 VK_K

 public static final int VK_K

 VK_KANA

 public static final int VK_KANA

 VK_KANJI

 public static final int VK_KANJI

 VK_L

 public static final int VK_L

 VK_LEFT

 public static final int VK_LEFT

 VK_M

 public static final int VK_M

 VK_META

 public static final int VK_META

 VK_MODECHANGE

 public static final int VK_MODECHANGE

 VK_MULTIPLY

 public static final int VK_MULTIPLY

 VK_N

 public static final int VK_N

 VK_NONCONVERT

 public static final int VK_NONCONVERT

 VK_NUM_LOCK

 public static final int VK_NUM_LOCK

 VK_NUMPAD0

 public static final int VK_NUMPAD0

 VK_NUMPAD1

 public static final int VK_NUMPAD1

 VK_NUMPAD2

 public static final int VK_NUMPAD2

 VK_NUMPAD3

 public static final int VK_NUMPAD3

 VK_NUMPAD4

 public static final int VK_NUMPAD4

 VK_NUMPAD5

 public static final int VK_NUMPAD5

 VK_NUMPAD6

 public static final int VK_NUMPAD6

 VK_NUMPAD7

 public static final int VK_NUMPAD7

 VK_NUMPAD8

 public static final int VK_NUMPAD8

 VK_NUMPAD9

 public static final int VK_NUMPAD9

 VK_O

 public static final int VK_O

 VK_OPEN_BRACKET

 public static final int VK_OPEN_BRACKET

 VK_P

 public static final int VK_P

 VK_PAGE_DOWN

 public static final int VK_PAGE_DOWN

 VK_PAGE_UP

 public static final int VK_PAGE_UP

 VK_PAUSE

 public static final int VK_PAUSE

 VK_PERIOD

 public static final int VK_PERIOD

 VK_PRINTSCREEN

 public static final int VK_PRINTSCREEN

 VK_Q

 public static final int VK_Q

 VK_QUOTE

 public static final int VK_QUOTE

 VK_R

 public static final int VK_R

 VK_RIGHT

 public static final int VK_RIGHT

 VK_S

 public static final int VK_S

 VK_SCROLL_LOCK

 public static final int VK_SCROLL_LOCK

 VK_SEMICOLON

 public static final int VK_SEMICOLON

 VK_SEPARATER

 public static final int VK_SEPARATER

 VK_SHIFT

 public static final int VK_SHIFT

 VK_SLASH

 public static final int VK_SLASH

 VK_SPACE

 public static final int VK_SPACE

 VK_SUBTRACT

 public static final int VK_SUBTRACT

 VK_T

 public static final int VK_T

 VK_TAB

 public static final int VK_TAB

 VK_U

 public static final int VK_U

 VK_UNDEFINED

 public static final int VK_UNDEFINED

KEY_TYPED events do not have a defined keyCode.

 VK_UP

 public static final int VK_UP

 VK_V

 public static final int VK_V

 VK_W

 public static final int VK_W

 VK_X

 public static final int VK_X

 VK_Y

 public static final int VK_Y

 VK_Z

 public static final int VK_Z

 KeyEvent

 public KeyEvent(Component source,
                 int id,
                 long when,
                 int modifiers,
                 int keyCode)

 KeyEvent

 public KeyEvent(Component source,
                 int id,
                 long when,
                 int modifiers,
                 int keyCode,
                 char keyChar)

Constructs a KeyEvent object with the specified source component, type, modifiers, and key.

Parameters:

source - the object where the event originated

 getKeyChar

 public char getKeyChar()

Returns the character associated with the key in this event. If no valid Unicode character exists for this key event, keyChar is CHAR_UNDEFINED.

 getKeyCode

 public int getKeyCode()

Returns the integer key-code associated with the key in this event. For KEY_TYPED events, keyCode is VK_UNDEFINED.

 getKeyModifiersText

 public static String getKeyModifiersText(int modifiers)

Returns a String describing the modifier key(s), such as "Shift", or "Ctrl+Shift". These strings can be localized by changing the awt.properties file.

 getKeyText

 public static String getKeyText(int keyCode)

Returns a String describing the keyCode, such as "HOME", "F1" or "A". These strings can be localized by changing the awt.properties file.

 isActionKey

 public boolean isActionKey()

Returns whether or not the key in this event is an "action" key, as defined in Event.java.

 paramString

 public String paramString()

 setKeyChar

 public void setKeyChar(char keyChar)

 setKeyCode

 public void setKeyCode(int keyCode)

 setModifiers

 public void setModifiers(int modifiers)

Note: setModifiers() is deprecated. , as of JDK1.1.4

Change the modifiers for a KeyEvent.

NOTE: use of this method is not recommended, because many AWT implementations do not recognize modifier changes. This is especially true for KEY_TYPED events where the shift modifier is changed.


 Class java.awt.event.MouseAdapter

java.lang.Object
   |
   +----java.awt.event.MouseAdapter

public abstract class MouseAdapter
   extends Object
   implements MouseListener

The adapter which receives mouse events. The methods in this class are empty; this class is provided as a convenience for easily creating listeners by extending this class and overriding only the methods of interest.

 MouseAdapter()

 mouseClicked(MouseEvent)

 mouseEntered(MouseEvent)

 mouseExited(MouseEvent)

 mousePressed(MouseEvent)

 mouseReleased(MouseEvent)

 MouseAdapter

 public MouseAdapter()

 mouseClicked

 public void mouseClicked(MouseEvent e)

 mouseEntered

 public void mouseEntered(MouseEvent e)

 mouseExited

 public void mouseExited(MouseEvent e)

 mousePressed

 public void mousePressed(MouseEvent e)

 mouseReleased

 public void mouseReleased(MouseEvent e)


 Class java.awt.event.MouseEvent

java.lang.Object
   |
   +----java.util.EventObject
           |
           +----java.awt.AWTEvent
                   |
                   +----java.awt.event.ComponentEvent
                           |
                           +----java.awt.event.InputEvent
                                   |
                                   +----java.awt.event.MouseEvent

public class MouseEvent
   extends InputEvent

The mouse event.

 MOUSE_CLICKED

The mouse clicked event type.

 MOUSE_DRAGGED

The mouse dragged event type.

 MOUSE_ENTERED

The mouse entered event type.

 MOUSE_EXITED

The mouse exited event type.

 MOUSE_FIRST

Marks the first integer id for the range of mouse event ids.

 MOUSE_LAST

Marks the last integer id for the range of mouse event ids.

 MOUSE_MOVED

The mouse moved event type.

 MOUSE_PRESSED

The mouse pressed event type.

 MOUSE_RELEASED

The mouse released event type.

 MouseEvent(Component, int, long, int, int, int, int, boolean)

Constructs a MouseEvent object with the specified source component, type, modifiers, coordinates, and click count.

 getClickCount()

Return the number of mouse clicks associated with this event.

 getPoint()

Returns the x,y position of the event relative to the source component.

 getX()

Returns the x position of the event relative to the source component.

 getY()

Returns the y position of the event relative to the source component.

 isPopupTrigger()

Returns whether or not this mouse event is the popup-menu trigger event for the platform.

 paramString()

 translatePoint(int, int)

Translates the coordinate position of the event by x, y.

 MOUSE_CLICKED

 public static final int MOUSE_CLICKED

The mouse clicked event type.

 MOUSE_DRAGGED

 public static final int MOUSE_DRAGGED

The mouse dragged event type.

 MOUSE_ENTERED

 public static final int MOUSE_ENTERED

The mouse entered event type.

 MOUSE_EXITED

 public static final int MOUSE_EXITED

The mouse exited event type.

 MOUSE_FIRST

 public static final int MOUSE_FIRST

Marks the first integer id for the range of mouse event ids.

 MOUSE_LAST

 public static final int MOUSE_LAST

Marks the last integer id for the range of mouse event ids.

 MOUSE_MOVED

 public static final int MOUSE_MOVED

The mouse moved event type.

 MOUSE_PRESSED

 public static final int MOUSE_PRESSED

The mouse pressed event type.

 MOUSE_RELEASED

 public static final int MOUSE_RELEASED

The mouse released event type.

 MouseEvent

 public MouseEvent(Component source,
                   int id,
                   long when,
                   int modifiers,
                   int x,
                   int y,
                   int clickCount,
                   boolean popupTrigger)

Constructs a MouseEvent object with the specified source component, type, modifiers, coordinates, and click count.

Parameters:

source - the object where the event originated

 getClickCount

 public int getClickCount()

Return the number of mouse clicks associated with this event.

 getPoint

 public Point getPoint()

Returns the x,y position of the event relative to the source component.

 getX

 public int getX()

Returns the x position of the event relative to the source component.

 getY

 public int getY()

Returns the y position of the event relative to the source component.

 isPopupTrigger

 public boolean isPopupTrigger()

Returns whether or not this mouse event is the popup-menu trigger event for the platform.

 paramString

 public String paramString()

 translatePoint

 public synchronized void translatePoint(int x,
                                         int y)

Translates the coordinate position of the event by x, y.

Parameters:

x - the x value added to the current x coordinate position

y - the y value added to the current y coordinate position


 Class java.awt.event.MouseMotionAdapter

java.lang.Object
   |
   +----java.awt.event.MouseMotionAdapter

public abstract class MouseMotionAdapter
   extends Object
   implements MouseMotionListener

The adapter which receives mouse motion events. The methods in this class are empty; this class is provided as a convenience for easily creating listeners by extending this class and overriding only the methods of interest.

 MouseMotionAdapter()

 mouseDragged(MouseEvent)

 mouseMoved(MouseEvent)

 MouseMotionAdapter

 public MouseMotionAdapter()

 mouseDragged

 public void mouseDragged(MouseEvent e)

 mouseMoved

 public void mouseMoved(MouseEvent e)


 Class java.awt.event.PaintEvent

java.lang.Object
   |
   +----java.util.EventObject
           |
           +----java.awt.AWTEvent
                   |
                   +----java.awt.event.ComponentEvent
                           |
                           +----java.awt.event.PaintEvent

public class PaintEvent
   extends ComponentEvent

The component-level paint event. This event is a special type which is used to ensure that paint/update method calls are serialized along with the other events delivered from the event queue. This event is not designed to be used with the Event Listener model; programs should continue to override paint/update methods in order render themselves properly.

 PAINT

The paint event type.

 PAINT_FIRST

Marks the first integer id for the range of paint event ids.

 PAINT_LAST

Marks the last integer id for the range of paint event ids.

 UPDATE

The update event type.

 PaintEvent(Component, int, Rectangle)

Constructs a PaintEvent object with the specified source component and type.

 getUpdateRect()

Returns the rectangle representing the area which needs to be repainted in response to this event.

 paramString()

 setUpdateRect(Rectangle)

Sets the rectangle representing the area which needs to be repainted in response to this event.

 PAINT

 public static final int PAINT

The paint event type.

 PAINT_FIRST

 public static final int PAINT_FIRST

Marks the first integer id for the range of paint event ids.

 PAINT_LAST

 public static final int PAINT_LAST

Marks the last integer id for the range of paint event ids.

 UPDATE

 public static final int UPDATE

The update event type.

 PaintEvent

 public PaintEvent(Component source,
                   int id,
                   Rectangle updateRect)

Constructs a PaintEvent object with the specified source component and type.

Parameters:

source - the object where the event originated

 getUpdateRect

 public Rectangle getUpdateRect()

Returns the rectangle representing the area which needs to be repainted in response to this event.

 paramString

 public String paramString()

 setUpdateRect

 public void setUpdateRect(Rectangle updateRect)

Sets the rectangle representing the area which needs to be repainted in response to this event.

Parameters:

updateRect - the rectangle area which needs to be repainted


 Class java.awt.event.TextEvent

java.lang.Object
   |
   +----java.util.EventObject
           |
           +----java.awt.AWTEvent
                   |
                   +----java.awt.event.TextEvent

public class TextEvent
   extends AWTEvent

The text event emitted by TextComponents.

     See Also:
     TextComponent, TextEventListener

 TEXT_FIRST

Marks the first integer id for the range of adjustment event ids.

 TEXT_LAST

Marks the last integer id for the range of adjustment event ids.

 TEXT_VALUE_CHANGED

The adjustment value changed event.

 TextEvent(Object, int)

Constructs a TextEvent object with the specified TextComponent source, and type.

 paramString()

 TEXT_FIRST

 public static final int TEXT_FIRST

Marks the first integer id for the range of adjustment event ids.

 TEXT_LAST

 public static final int TEXT_LAST

Marks the last integer id for the range of adjustment event ids.

 TEXT_VALUE_CHANGED

 public static final int TEXT_VALUE_CHANGED

The adjustment value changed event.

 TextEvent

 public TextEvent(Object source,
                  int id)

Constructs a TextEvent object with the specified TextComponent source, and type.

Parameters:

source - the TextComponent where the event originated

 paramString

 public String paramString()


 Class java.awt.event.WindowAdapter

java.lang.Object
   |
   +----java.awt.event.WindowAdapter

public abstract class WindowAdapter
   extends Object
   implements WindowListener

The adapter which receives window events. The methods in this class are empty; this class is provided as a convenience for easily creating listeners by extending this class and overriding only the methods of interest.

 WindowAdapter()

 windowActivated(WindowEvent)

 windowClosed(WindowEvent)

 windowClosing(WindowEvent)

 windowDeactivated(WindowEvent)

 windowDeiconified(WindowEvent)

 windowIconified(WindowEvent)

 windowOpened(WindowEvent)

 WindowAdapter

 public WindowAdapter()

 windowActivated

 public void windowActivated(WindowEvent e)

 windowClosed

 public void windowClosed(WindowEvent e)

 windowClosing

 public void windowClosing(WindowEvent e)

 windowDeactivated

 public void windowDeactivated(WindowEvent e)

 windowDeiconified

 public void windowDeiconified(WindowEvent e)

 windowIconified

 public void windowIconified(WindowEvent e)

 windowOpened

 public void windowOpened(WindowEvent e)


 Class java.awt.event.WindowEvent

java.lang.Object
   |
   +----java.util.EventObject
           |
           +----java.awt.AWTEvent
                   |
                   +----java.awt.event.ComponentEvent
                           |
                           +----java.awt.event.WindowEvent

public class WindowEvent
   extends ComponentEvent

The window-level event.

 WINDOW_ACTIVATED

The window activated event type.

 WINDOW_CLOSED

The window closed event type.

 WINDOW_CLOSING

The window closing event type.

 WINDOW_DEACTIVATED

The window deactivated event type.

 WINDOW_DEICONIFIED

The window deiconified event type.

 WINDOW_FIRST

Marks the first integer id for the range of window event ids.

 WINDOW_ICONIFIED

The window iconified event type.

 WINDOW_LAST

Marks the last integer id for the range of window event ids.

 WINDOW_OPENED

The window opened event type.

 WindowEvent(Window, int)

Constructs a WindowEvent object with the specified source window and type.

 getWindow()

Returns the window where this event originated.

 paramString()

 WINDOW_ACTIVATED

 public static final int WINDOW_ACTIVATED

The window activated event type.

 WINDOW_CLOSED

 public static final int WINDOW_CLOSED

The window closed event type. This event is delivered after the window has been closed as the result of a call to hide or destroy.

 WINDOW_CLOSING

 public static final int WINDOW_CLOSING

The window closing event type. This event is delivered when the user selects "Quit" from the window's system menu. If the program does not explicitly hide or destroy the window as a result of this event, the window close operation will be cancelled.

 WINDOW_DEACTIVATED

 public static final int WINDOW_DEACTIVATED

The window deactivated event type.

 WINDOW_DEICONIFIED

 public static final int WINDOW_DEICONIFIED

The window deiconified event type.

 WINDOW_FIRST

 public static final int WINDOW_FIRST

Marks the first integer id for the range of window event ids.

 WINDOW_ICONIFIED

 public static final int WINDOW_ICONIFIED

The window iconified event type.

 WINDOW_LAST

 public static final int WINDOW_LAST

Marks the last integer id for the range of window event ids.

 WINDOW_OPENED

 public static final int WINDOW_OPENED

The window opened event type. This event is delivered only the first time a window is made visible.

 WindowEvent

 public WindowEvent(Window source,
                    int id)

Constructs a WindowEvent object with the specified source window and type.

Parameters:

source - the component where the event originated

 getWindow

 public Window getWindow()

Returns the window where this event originated.

 paramString

 public String paramString()


 package java.awt.image

   ImageConsumer
   ImageObserver
   ImageProducer

   AreaAveragingScaleFilter
   ColorModel
   CropImageFilter
   DirectColorModel
   FilteredImageSource
   ImageFilter
   IndexColorModel
   MemoryImageSource
   PixelGrabber
   RGBImageFilter
   ReplicateScaleFilter


 Interface java.awt.image.ImageConsumer

public interface ImageConsumer

The interface for objects expressing interest in image data through the ImageProducer interfaces. When a consumer is added to an image producer, the producer delivers all of the data about the image using the method calls defined in this interface.

     See Also:
     ImageProducer

 COMPLETESCANLINES

The pixels will be delivered in (multiples of) complete scanlines at a time.

 IMAGEABORTED

The image creation process was deliberately aborted.

 IMAGEERROR

An error was encountered while producing the image.

 RANDOMPIXELORDER

The pixels will be delivered in a random order.

 SINGLEFRAME

The image contain a single static image.

 SINGLEFRAMEDONE

One frame of the image is complete but there are more frames to be delivered.

 SINGLEPASS

The pixels will be delivered in a single pass.

 STATICIMAGEDONE

The image is complete and there are no more pixels or frames to be delivered.

 TOPDOWNLEFTRIGHT

The pixels will be delivered in top-down, left-to-right order.

 imageComplete(int)

The imageComplete method is called when the ImageProducer is finished delivering all of the pixels that the source image contains, or when a single frame of a multi-frame animation has been completed, or when an error in loading or producing the image has occured.

 setColorModel(ColorModel)

The ColorModel object used for the majority of the pixels reported using the setPixels method calls.

 setDimensions(int, int)

The dimensions of the source image are reported using the setDimensions method call.

 setHints(int)

The ImageProducer can deliver the pixels in any order, but the ImageConsumer may be able to scale or convert the pixels to the destination ColorModel more efficiently or with higher quality if it knows some information about how the pixels will be delivered up front.

 setPixels(int, int, int, int, ColorModel, byte[], int, int)

The pixels of the image are delivered using one or more calls to the setPixels method.

 setPixels(int, int, int, int, ColorModel, int[], int, int)

The pixels of the image are delivered using one or more calls to the setPixels method.

 setProperties(Hashtable)

Sets the extensible list of properties associated with this image.

 COMPLETESCANLINES

 public static final int COMPLETESCANLINES

The pixels will be delivered in (multiples of) complete scanlines at a time.

See Also:

setHints

 IMAGEABORTED

 public static final int IMAGEABORTED

The image creation process was deliberately aborted.

See Also:

imageComplete

 IMAGEERROR

 public static final int IMAGEERROR

An error was encountered while producing the image.

See Also:

imageComplete

 RANDOMPIXELORDER

 public static final int RANDOMPIXELORDER

The pixels will be delivered in a random order. This tells the ImageConsumer not to use any optimizations that depend on the order of pixel delivery, which should be the default assumption in the absence of any call to the setHints method.

See Also:

setHints

 SINGLEFRAME

 public static final int SINGLEFRAME

The image contain a single static image. The pixels will be defined in calls to the setPixels methods and then the imageComplete method will be called with the STATICIMAGEDONE flag after which no more image data will be delivered. An example of an image type which would not meet these criteria would be the output of a video feed, or the representation of a 3D rendering being manipulated by the user. The end of each frame in those types of images will be indicated by calling imageComplete with the SINGLEFRAMEDONE flag.

See Also:

setHints, imageComplete

 SINGLEFRAMEDONE

 public static final int SINGLEFRAMEDONE

One frame of the image is complete but there are more frames to be delivered.

See Also:

imageComplete

 SINGLEPASS

 public static final int SINGLEPASS

The pixels will be delivered in a single pass. Each pixel will appear in only one call to any of the setPixels methods. An example of an image format which does not meet this criterion is a progressive JPEG image which defines pixels in multiple passes, each more refined than the previous.

See Also:

setHints

 STATICIMAGEDONE

 public static final int STATICIMAGEDONE

The image is complete and there are no more pixels or frames to be delivered.

See Also:

imageComplete

 TOPDOWNLEFTRIGHT

 public static final int TOPDOWNLEFTRIGHT

The pixels will be delivered in top-down, left-to-right order.

See Also:

setHints

 imageComplete

 public abstract void imageComplete(int status)

The imageComplete method is called when the ImageProducer is finished delivering all of the pixels that the source image contains, or when a single frame of a multi-frame animation has been completed, or when an error in loading or producing the image has occured. The ImageConsumer should remove itself from the list of consumers registered with the ImageProducer at this time, unless it is interested in successive frames.

See Also:

removeConsumer

 setColorModel

 public abstract void setColorModel(ColorModel model)

The ColorModel object used for the majority of the pixels reported using the setPixels method calls. Note that each set of pixels delivered using setPixels contains its own ColorModel object, so no assumption should be made that this model will be the only one used in delivering pixel values. A notable case where multiple ColorModel objects may be seen is a filtered image when for each set of pixels that it filters, the filter determines whether the pixels can be sent on untouched, using the original ColorModel, or whether the pixels should be modified (filtered) and passed on using a ColorModel more convenient for the filtering process.

See Also:

ColorModel

 setDimensions

 public abstract void setDimensions(int width,
                                    int height)

The dimensions of the source image are reported using the setDimensions method call.

 setHints

 public abstract void setHints(int hintflags)

The ImageProducer can deliver the pixels in any order, but the ImageConsumer may be able to scale or convert the pixels to the destination ColorModel more efficiently or with higher quality if it knows some information about how the pixels will be delivered up front. The setHints method should be called before any calls to any of the setPixels methods with a bit mask of hints about the manner in which the pixels will be delivered. If the ImageProducer does not follow the guidelines for the indicated hint, the results are undefined.

 setPixels

 public abstract void setPixels(int x,
                                int y,
                                int w,
                                int h,
                                ColorModel model,
                                byte pixels[],
                                int off,
                                int scansize)

The pixels of the image are delivered using one or more calls to the setPixels method. Each call specifies the location and size of the rectangle of source pixels that are contained in the array of pixels. The specified ColorModel object should be used to convert the pixels into their corresponding color and alpha components. Pixel (m,n) is stored in the pixels array at index (n * scansize + m + off). The pixels delivered using this method are all stored as bytes.

See Also:

ColorModel

 setPixels

 public abstract void setPixels(int x,
                                int y,
                                int w,
                                int h,
                                ColorModel model,
                                int pixels[],
                                int off,
                                int scansize)

The pixels of the image are delivered using one or more calls to the setPixels method. Each call specifies the location and size of the rectangle of source pixels that are contained in the array of pixels. The specified ColorModel object should be used to convert the pixels into their corresponding color and alpha components. Pixel (m,n) is stored in the pixels array at index (n * scansize + m + off). The pixels delivered using this method are all stored as ints.

See Also:

ColorModel

 setProperties

 public abstract void setProperties(Hashtable props)

Sets the extensible list of properties associated with this image.


 Interface java.awt.image.ImageObserver

public interface ImageObserver

An asynchronous update interface for receiving notifications about Image information as the Image is constructed.

 ABORT

An image which was being tracked asynchronously was aborted before production was complete.

 ALLBITS

A static image which was previously drawn is now complete and can be drawn again in its final form.

 ERROR

An image which was being tracked asynchronously has encountered an error.

 FRAMEBITS

Another complete frame of a multi-frame image which was previously drawn is now available to be drawn again.

 HEIGHT

The height of the base image is now available and can be taken from the height argument to the imageUpdate callback method.

 PROPERTIES

The properties of the image are now available.

 SOMEBITS

More pixels needed for drawing a scaled variation of the image are available.

 WIDTH

The width of the base image is now available and can be taken from the width argument to the imageUpdate callback method.

 imageUpdate(Image, int, int, int, int, int)

This method is called when information about an image which was previously requested using an asynchronous interface becomes available.

 ABORT

 public static final int ABORT

An image which was being tracked asynchronously was aborted before production was complete. No more information will become available without further action to trigger another image production sequence. If the ERROR flag was not also set in this image update, then accessing any of the data in the image will restart the production again, probably from the beginning.

See Also:

imageUpdate

 ALLBITS

 public static final int ALLBITS

A static image which was previously drawn is now complete and can be drawn again in its final form. The x, y, width, and height arguments to the imageUpdate callback method should be ignored.

See Also:

drawImage, imageUpdate

 ERROR

 public static final int ERROR

An image which was being tracked asynchronously has encountered an error. No further information will become available and drawing the image will fail. As a convenience, the ABORT flag will be indicated at the same time to indicate that the image production was aborted.

See Also:

imageUpdate

 FRAMEBITS

 public static final int FRAMEBITS

Another complete frame of a multi-frame image which was previously drawn is now available to be drawn again. The x, y, width, and height arguments to the imageUpdate callback method should be ignored.

See Also:

drawImage, imageUpdate

 HEIGHT

 public static final int HEIGHT

The height of the base image is now available and can be taken from the height argument to the imageUpdate callback method.

See Also:

getHeight, imageUpdate

 PROPERTIES

 public static final int PROPERTIES

The properties of the image are now available.

See Also:

getProperty, imageUpdate

 SOMEBITS

 public static final int SOMEBITS

More pixels needed for drawing a scaled variation of the image are available. The bounding box of the new pixels can be taken from the x, y, width, and height arguments to the imageUpdate callback method.

See Also:

drawImage, imageUpdate

 WIDTH

 public static final int WIDTH

The width of the base image is now available and can be taken from the width argument to the imageUpdate callback method.

See Also:

getWidth, imageUpdate

 imageUpdate

 public abstract boolean imageUpdate(Image img,
                                     int infoflags,
                                     int x,
                                     int y,
                                     int width,
                                     int height)

This method is called when information about an image which was previously requested using an asynchronous interface becomes available. Asynchronous interfaces are method calls such as getWidth(ImageObserver) and drawImage(img, x, y, ImageObserver) which take an ImageObserver object as an argument. Those methods register the caller as interested either in information about the overall image itself (in the case of getWidth(ImageObserver)) or about an output version of an image (in the case of the drawImage(img, x, y, [w, h,] ImageObserver) call).

This method should return true if further updates are needed or false if the required information has been acquired. The image which was being tracked is passed in using the img argument. Various constants are combined to form the infoflags argument which indicates what information about the image is now available. The interpretation of the x, y, width, and height arguments depends on the contents of the infoflags argument.

See Also:

getWidth, getHeight, drawImage


 Interface java.awt.image.ImageProducer

public interface ImageProducer

The interface for objects which can produce the image data for Images. Each image contains an ImageProducer which is used to reconstruct the image whenever it is needed, for example, when a new size of the Image is scaled, or when the width or height of the Image is being requested.

     See Also:
     ImageConsumer

 addConsumer(ImageConsumer)

This method is used to register an ImageConsumer with the ImageProducer for access to the image data during a later reconstruction of the Image.

 isConsumer(ImageConsumer)

This method determines if a given ImageConsumer object is currently registered with this ImageProducer as one of its consumers.

 removeConsumer(ImageConsumer)

This method removes the given ImageConsumer object from the list of consumers currently registered to receive image data.

 requestTopDownLeftRightResend(ImageConsumer)

This method is used by an ImageConsumer to request that the ImageProducer attempt to resend the image data one more time in TOPDOWNLEFTRIGHT order so that higher quality conversion algorithms which depend on receiving pixels in order can be used to produce a better output version of the image.

 startProduction(ImageConsumer)

This method both registers the given ImageConsumer object as a consumer and starts an immediate reconstruction of the image data which will then be delivered to this consumer and any other consumer which may have already been registered with the producer.

 addConsumer

 public abstract void addConsumer(ImageConsumer ic)

This method is used to register an ImageConsumer with the ImageProducer for access to the image data during a later reconstruction of the Image. The ImageProducer may, at its discretion, start delivering the image data to the consumer using the ImageConsumer interface immediately, or when the next available image reconstruction is triggered by a call to the startProduction method.

See Also:

startProduction

 isConsumer

 public abstract boolean isConsumer(ImageConsumer ic)

This method determines if a given ImageConsumer object is currently registered with this ImageProducer as one of its consumers.

 removeConsumer

 public abstract void removeConsumer(ImageConsumer ic)

This method removes the given ImageConsumer object from the list of consumers currently registered to receive image data. It is not considered an error to remove a consumer that is not currently registered. The ImageProducer should stop sending data to this consumer as soon as is feasible.

 requestTopDownLeftRightResend

 public abstract void requestTopDownLeftRightResend(ImageConsumer ic)

This method is used by an ImageConsumer to request that the ImageProducer attempt to resend the image data one more time in TOPDOWNLEFTRIGHT order so that higher quality conversion algorithms which depend on receiving pixels in order can be used to produce a better output version of the image. The ImageProducer is free to ignore this call if it cannot resend the data in that order. If the data can be resent, then the ImageProducer should respond by executing the following minimum set of ImageConsumer method calls:

ic.setHints(TOPDOWNLEFTRIGHT | < otherhints >);
ic.setPixels(...);	// As many times as needed
ic.imageComplete();

See Also:

setHints

 startProduction

 public abstract void startProduction(ImageConsumer ic)

This method both registers the given ImageConsumer object as a consumer and starts an immediate reconstruction of the image data which will then be delivered to this consumer and any other consumer which may have already been registered with the producer. This method differs from the addConsumer method in that a reproduction of the image data should be triggered as soon as possible.

See Also:

addConsumer


 Class java.awt.image.AreaAveragingScaleFilter

java.lang.Object
   |
   +----java.awt.image.ImageFilter
           |
           +----java.awt.image.ReplicateScaleFilter
                   |
                   +----java.awt.image.AreaAveragingScaleFilter

public class AreaAveragingScaleFilter
   extends ReplicateScaleFilter

An ImageFilter class for scaling images using a simple area averaging algorithm that produces smoother results than the nearest neighbor algorithm. This class extends the basic ImageFilter Class to scale an existing image and provide a source for a new image containing the resampled image. The pixels in the source image are blended to produce pixels for an image of the specified size. The blending process is analogous to scaling up the source image to a multiple of the destination size using pixel replication and then scaling it back down to the destination size by simply averaging all the pixels in the supersized image that fall within a given pixel of the destination image. If the data from the source is not delivered in TopDownLeftRight order then the filter will back off to a simple pixel replication behavior and utilize the requestTopDownLeftRightResend() method to refilter the pixels in a better way at the end. It is meant to be used in conjunction with a FilteredImageSource object to produce scaled versions of existing images.

     See Also:
     FilteredImageSource, ReplicateImageFilter, ImageFilter

 AreaAveragingScaleFilter(int, int)

Constructs an AreaAveragingScaleFilter that scales the pixels from its source Image as specified by the width and height parameters.

 setHints(int)

Detect if the data is being delivered with the necessary hints to allow the averaging algorithm to do its work.

 setPixels(int, int, int, int, ColorModel, byte[], int, int)

Combine the components for the delivered byte pixels into the accumulation arrays and send on any averaged data for rows of pixels that are complete.

 setPixels(int, int, int, int, ColorModel, int[], int, int)

Combine the components for the delivered int pixels into the accumulation arrays and send on any averaged data for rows of pixels that are complete.

 AreaAveragingScaleFilter

 public AreaAveragingScaleFilter(int width,
                                 int height)

Constructs an AreaAveragingScaleFilter that scales the pixels from its source Image as specified by the width and height parameters.

Parameters:

width - the target width to scale the image

height - the target height to scale the image

 setHints

 public void setHints(int hints)

Detect if the data is being delivered with the necessary hints to allow the averaging algorithm to do its work.

Overrides:

setHints in class ImageFilter

See Also:

setHints

 setPixels

 public void setPixels(int x,
                       int y,
                       int w,
                       int h,
                       ColorModel model,
                       byte pixels[],
                       int off,
                       int scansize)

Combine the components for the delivered byte pixels into the accumulation arrays and send on any averaged data for rows of pixels that are complete. If the correct hints were not specified in the setHints call then relay the work to our superclass which is capable of scaling pixels regardless of the delivery hints.

Overrides:

setPixels in class ReplicateScaleFilter

See Also:

ReplicateScaleFilter

 setPixels

 public void setPixels(int x,
                       int y,
                       int w,
                       int h,
                       ColorModel model,
                       int pixels[],
                       int off,
                       int scansize)

Combine the components for the delivered int pixels into the accumulation arrays and send on any averaged data for rows of pixels that are complete. If the correct hints were not specified in the setHints call then relay the work to our superclass which is capable of scaling pixels regardless of the delivery hints.

Overrides:

setPixels in class ReplicateScaleFilter

See Also:

ReplicateScaleFilter


 Class java.awt.image.ColorModel

java.lang.Object
   |
   +----java.awt.image.ColorModel

public abstract class ColorModel
   extends Object

A class that encapsulates the methods for translating from pixel values to alpha, red, green, and blue color components for an image. This class is abstract.

     See Also:
     IndexColorModel, DirectColorModel

 pixel_bits

 ColorModel(int)

Constructs a ColorModel which describes a pixel of the specified number of bits.

 finalize()

Called by the garbage collector on an object when garbage collection determines that there are no more references to the object.

 getAlpha(int)

The subclass must provide a function which provides the alpha color compoment for the specified pixel.

 getBlue(int)

The subclass must provide a function which provides the blue color compoment for the specified pixel.

 getGreen(int)

The subclass must provide a function which provides the green color compoment for the specified pixel.

 getPixelSize()

Returns the number of bits per pixel described by this ColorModel.

 getRed(int)

The subclass must provide a function which provides the red color compoment for the specified pixel.

 getRGB(int)

Returns the color of the pixel in the default RGB color model.

 getRGBdefault()

Return a ColorModel which describes the default format for integer RGB values used throughout the AWT image interfaces.

 pixel_bits

 protected int pixel_bits

 ColorModel

 public ColorModel(int bits)

Constructs a ColorModel which describes a pixel of the specified number of bits.

 finalize

 public void finalize()

Called by the garbage collector on an object when garbage collection determines that there are no more references to the object.

Overrides:

finalize in class Object

 getAlpha

 public abstract int getAlpha(int pixel)

The subclass must provide a function which provides the alpha color compoment for the specified pixel.

Returns:

The alpha transparency value ranging from 0 to 255

 getBlue

 public abstract int getBlue(int pixel)

The subclass must provide a function which provides the blue color compoment for the specified pixel.

Returns:

The blue color component ranging from 0 to 255

 getGreen

 public abstract int getGreen(int pixel)

The subclass must provide a function which provides the green color compoment for the specified pixel.

Returns:

The green color component ranging from 0 to 255

 getPixelSize

 public int getPixelSize()

Returns the number of bits per pixel described by this ColorModel.

 getRed

 public abstract int getRed(int pixel)

The subclass must provide a function which provides the red color compoment for the specified pixel.

Returns:

The red color component ranging from 0 to 255

 getRGB

 public int getRGB(int pixel)

Returns the color of the pixel in the default RGB color model.

See Also:

getRGBdefault

 getRGBdefault

 public static ColorModel getRGBdefault()

Return a ColorModel which describes the default format for integer RGB values used throughout the AWT image interfaces. The format for the RGB values is an integer with 8 bits each of alpha, red, green, and blue color components ordered correspondingly from the most significant byte to the least significant byte, as in: 0xAARRGGBB


 Class java.awt.image.CropImageFilter

java.lang.Object
   |
   +----java.awt.image.ImageFilter
           |
           +----java.awt.image.CropImageFilter

public class CropImageFilter
   extends ImageFilter

An ImageFilter class for cropping images. This class extends the basic ImageFilter Class to extract a given rectangular region of an existing Image and provide a source for a new image containing just the extracted region. It is meant to be used in conjunction with a FilteredImageSource object to produce cropped versions of existing images.

     See Also:
     FilteredImageSource, ImageFilter

 CropImageFilter(int, int, int, int)

Constructs a CropImageFilter that extracts the absolute rectangular region of pixels from its source Image as specified by the x, y, w, and h parameters.

 setDimensions(int, int)

Override the source image's dimensions and pass the dimensions of the rectangular cropped region to the ImageConsumer.

 setPixels(int, int, int, int, ColorModel, byte[], int, int)

Determine whether the delivered byte pixels intersect the region to be extracted and passes through only that subset of pixels that appear in the output region.

 setPixels(int, int, int, int, ColorModel, int[], int, int)

Determine if the delivered int pixels intersect the region to be extracted and pass through only that subset of pixels that appear in the output region.

 setProperties(Hashtable)

Passes along the properties from the source object after adding a property indicating the cropped region.

 CropImageFilter

 public CropImageFilter(int x,
                        int y,
                        int w,
                        int h)

Constructs a CropImageFilter that extracts the absolute rectangular region of pixels from its source Image as specified by the x, y, w, and h parameters.

Parameters:

x - the x location of the top of the rectangle to be extracted

y - the y location of the top of the rectangle to be extracted

w - the width of the rectangle to be extracted

h - the height of the rectangle to be extracted

 setDimensions

 public void setDimensions(int w,
                           int h)

Override the source image's dimensions and pass the dimensions of the rectangular cropped region to the ImageConsumer.

Overrides:

setDimensions in class ImageFilter

See Also:

ImageConsumer

 setPixels

 public void setPixels(int x,
                       int y,
                       int w,
                       int h,
                       ColorModel model,
                       byte pixels[],
                       int off,
                       int scansize)

Determine whether the delivered byte pixels intersect the region to be extracted and passes through only that subset of pixels that appear in the output region.

Overrides:

setPixels in class ImageFilter

 setPixels

 public void setPixels(int x,
                       int y,
                       int w,
                       int h,
                       ColorModel model,
                       int pixels[],
                       int off,
                       int scansize)

Determine if the delivered int pixels intersect the region to be extracted and pass through only that subset of pixels that appear in the output region.

Overrides:

setPixels in class ImageFilter

 setProperties

 public void setProperties(Hashtable props)

Passes along the properties from the source object after adding a property indicating the cropped region.

Overrides:

setProperties in class ImageFilter


 Class java.awt.image.DirectColorModel

java.lang.Object
   |
   +----java.awt.image.ColorModel
           |
           +----java.awt.image.DirectColorModel

public class DirectColorModel
   extends ColorModel

A ColorModel class that specifies a translation from pixel values to alpha, red, green, and blue color components for pixels which have the color components embedded directly in the bits of the pixel itself. This color model is similar to an X11 TrueColor visual.

Many of the methods in this class are final. This is because the underlying native graphics code makes assumptions about the layout and operation of this class and those assumptions are reflected in the implementations of the methods here that are marked final. You can subclass this class for other reaons, but you cannot override or modify the behaviour of those methods.

     See Also:
     ColorModel

 DirectColorModel(int, int, int, int)

Constructs a DirectColorModel from the given masks specifying which bits in the pixel contain the red, green and blue color components.

 DirectColorModel(int, int, int, int, int)

Constructs a DirectColorModel from the given masks specifying which bits in the pixel contain the alhpa, red, green and blue color components.

 getAlpha(int)

Return the alpha transparency value for the specified pixel in the range 0-255.

 getAlphaMask()

Returns the mask indicating which bits in a pixel contain the alpha transparency component.

 getBlue(int)

Returns the blue color compoment for the specified pixel in the range 0-255.

 getBlueMask()

Returns the mask indicating which bits in a pixel contain the blue color component.

 getGreen(int)

Returns the green color compoment for the specified pixel in the range 0-255.

 getGreenMask()

Returns the mask indicating which bits in a pixel contain the green color component.

 getRed(int)

Returns the red color compoment for the specified pixel in the range 0-255.

 getRedMask()

Returns the mask indicating which bits in a pixel contain the red color component.

 getRGB(int)

Returns the color of the pixel in the default RGB color model.

 DirectColorModel

 public DirectColorModel(int bits,
                         int rmask,
                         int gmask,
                         int bmask)

Constructs a DirectColorModel from the given masks specifying which bits in the pixel contain the red, green and blue color components. Pixels described by this color model will all have alpha components of 255 (fully opaque). All of the bits in each mask must be contiguous and fit in the specified number of least significant bits of the integer.

 DirectColorModel

 public DirectColorModel(int bits,
                         int rmask,
                         int gmask,
                         int bmask,
                         int amask)

Constructs a DirectColorModel from the given masks specifying which bits in the pixel contain the alhpa, red, green and blue color components. All of the bits in each mask must be contiguous and fit in the specified number of least significant bits of the integer.

 getAlpha

 public final int getAlpha(int pixel)

Return the alpha transparency value for the specified pixel in the range 0-255.

Overrides:

getAlpha in class ColorModel

 getAlphaMask

 public final int getAlphaMask()

Returns the mask indicating which bits in a pixel contain the alpha transparency component.

 getBlue

 public final int getBlue(int pixel)

Returns the blue color compoment for the specified pixel in the range 0-255.

Overrides:

getBlue in class ColorModel

 getBlueMask

 public final int getBlueMask()

Returns the mask indicating which bits in a pixel contain the blue color component.

 getGreen

 public final int getGreen(int pixel)

Returns the green color compoment for the specified pixel in the range 0-255.

Overrides:

getGreen in class ColorModel

 getGreenMask

 public final int getGreenMask()

Returns the mask indicating which bits in a pixel contain the green color component.

 getRed

 public final int getRed(int pixel)

Returns the red color compoment for the specified pixel in the range 0-255.

Overrides:

getRed in class ColorModel

 getRedMask

 public final int getRedMask()

Returns the mask indicating which bits in a pixel contain the red color component.

 getRGB

 public final int getRGB(int pixel)

Returns the color of the pixel in the default RGB color model.

Overrides:

getRGB in class ColorModel

See Also:

getRGBdefault


 Class java.awt.image.FilteredImageSource

java.lang.Object
   |
   +----java.awt.image.FilteredImageSource

public class FilteredImageSource
   extends Object
   implements ImageProducer

This class is an implementation of the ImageProducer interface which takes an existing image and a filter object and uses them to produce image data for a new filtered version of the original image. Here is an example which filters an image by swapping the red and blue compents:

Image src = getImage("doc:///demo/images/duke/T1.gif");
ImageFilter colorfilter = new RedBlueSwapFilter();
Image img = createImage(new FilteredImageSource(src.getSource(),
colorfilter));

     See Also:
     ImageProducer

 FilteredImageSource(ImageProducer, ImageFilter)

Constructs an ImageProducer object from an existing ImageProducer and a filter object.

 addConsumer(ImageConsumer)

Adds an ImageConsumer to the list of consumers interested in data for this image.

 isConsumer(ImageConsumer)

Determines whether an ImageConsumer is on the list of consumers currently interested in data for this image.

 removeConsumer(ImageConsumer)

Removes an ImageConsumer from the list of consumers interested in data for this image.

 requestTopDownLeftRightResend(ImageConsumer)

Requests that a given ImageConsumer have the image data delivered one more time in top-down, left-right order.

 startProduction(ImageConsumer)

Adds an ImageConsumer to the list of consumers interested in data for this image, and immediately starts delivery of the image data through the ImageConsumer interface.

 FilteredImageSource

 public FilteredImageSource(ImageProducer orig,
                            ImageFilter imgf)

Constructs an ImageProducer object from an existing ImageProducer and a filter object.

See Also:

ImageFilter, createImage

 addConsumer

 public synchronized void addConsumer(ImageConsumer ic)

Adds an ImageConsumer to the list of consumers interested in data for this image.

See Also:

ImageConsumer

 isConsumer

 public synchronized boolean isConsumer(ImageConsumer ic)

Determines whether an ImageConsumer is on the list of consumers currently interested in data for this image.

Returns:

true if the ImageConsumer is on the list; false otherwise

See Also:

ImageConsumer

 removeConsumer

 public synchronized void removeConsumer(ImageConsumer ic)

Removes an ImageConsumer from the list of consumers interested in data for this image.

See Also:

ImageConsumer

 requestTopDownLeftRightResend

 public void requestTopDownLeftRightResend(ImageConsumer ic)

Requests that a given ImageConsumer have the image data delivered one more time in top-down, left-right order. The request is handed to the ImageFilter for further processing, since the ability to preserve the pixel ordering depends on the filter.

See Also:

ImageConsumer

 startProduction

 public void startProduction(ImageConsumer ic)

Adds an ImageConsumer to the list of consumers interested in data for this image, and immediately starts delivery of the image data through the ImageConsumer interface.

See Also:

ImageConsumer


 Class java.awt.image.ImageFilter

java.lang.Object
   |
   +----java.awt.image.ImageFilter

public class ImageFilter
   extends Object
   implements ImageConsumer, Cloneable

This class implements a filter for the set of interface methods that are used to deliver data from an ImageProducer to an ImageConsumer. It is meant to be used in conjunction with a FilteredImageSource object to produce filtered versions of existing images. It is a base class that provides the calls needed to implement a "Null filter" which has no effect on the data being passed through. Filters should subclass this class and override the methods which deal with the data that needs to be filtered and modify it as necessary.

     See Also:
     FilteredImageSource, ImageConsumer

 consumer

The consumer of the particular image data stream for which this instance of the ImageFilter is filtering data.

 ImageFilter()

 clone()

Clones this object.

 getFilterInstance(ImageConsumer)

Returns a unique instance of an ImageFilter object which will actually perform the filtering for the specified ImageConsumer.

 imageComplete(int)

Filters the information provided in the imageComplete method of the ImageConsumer interface.

 resendTopDownLeftRight(ImageProducer)

Responds to a request for a TopDownLeftRight (TDLR) ordered resend of the pixel data from an ImageConsumer.

 setColorModel(ColorModel)

Filter the information provided in the setColorModel method of the ImageConsumer interface.

 setDimensions(int, int)

Filters the information provided in the setDimensions method of the ImageConsumer interface.

 setHints(int)

Filters the information provided in the setHints method of the ImageConsumer interface.

 setPixels(int, int, int, int, ColorModel, byte[], int, int)

Filters the information provided in the setPixels method of the ImageConsumer interface which takes an array of bytes.

 setPixels(int, int, int, int, ColorModel, int[], int, int)

Filters the information provided in the setPixels method of the ImageConsumer interface which takes an array of integers.

 setProperties(Hashtable)

Passes the properties from the source object along after adding a property indicating the stream of filters it has been run through.

 consumer

 protected ImageConsumer consumer

The consumer of the particular image data stream for which this instance of the ImageFilter is filtering data. It is not initialized during the constructor, but rather during the getFilterInstance() method call when the FilteredImageSource is creating a unique instance of this object for a particular image data stream.

See Also:

getFilterInstance, ImageConsumer

 ImageFilter

 public ImageFilter()

 clone

 public Object clone()

Clones this object.

Overrides:

clone in class Object

 getFilterInstance

 public ImageFilter getFilterInstance(ImageConsumer ic)

Returns a unique instance of an ImageFilter object which will actually perform the filtering for the specified ImageConsumer. The default implementation just clones this object.

 imageComplete

 public void imageComplete(int status)

Filters the information provided in the imageComplete method of the ImageConsumer interface.

See Also:

imageComplete

 resendTopDownLeftRight

 public void resendTopDownLeftRight(ImageProducer ip)

Responds to a request for a TopDownLeftRight (TDLR) ordered resend of the pixel data from an ImageConsumer. The ImageFilter can respond to this request in one of three ways.

1.	If the filter can determine that it will forward the pixels in TDLR order if its upstream producer object sends them in TDLR order, then the request is automatically forwarded by default to the indicated ImageProducer using this filter as the requesting ImageConsumer, so no override is necessary.

2.	If the filter can resend the pixels in the right order on its own (presumably because the generated pixels have been saved in some sort of buffer), then it can override this method and simply resend the pixels in TDLR order as specified in the ImageProducer API.

3.	If the filter simply returns from this method then the request will be ignored and no resend will occur.

Parameters:

ip - The ImageProducer that is feeding this instance of the filter - also the ImageProducer that the request should be forwarded to if necessary.

See Also:

requestTopDownLeftRightResend

 setColorModel

 public void setColorModel(ColorModel model)

Filter the information provided in the setColorModel method of the ImageConsumer interface.

See Also:

setColorModel

 setDimensions

 public void setDimensions(int width,
                           int height)

Filters the information provided in the setDimensions method of the ImageConsumer interface.

See Also:

setDimensions

 setHints

 public void setHints(int hints)

Filters the information provided in the setHints method of the ImageConsumer interface.

See Also:

setHints

 setPixels

 public void setPixels(int x,
                       int y,
                       int w,
                       int h,
                       ColorModel model,
                       byte pixels[],
                       int off,
                       int scansize)

Filters the information provided in the setPixels method of the ImageConsumer interface which takes an array of bytes.

See Also:

setPixels

 setPixels

 public void setPixels(int x,
                       int y,
                       int w,
                       int h,
                       ColorModel model,
                       int pixels[],
                       int off,
                       int scansize)

Filters the information provided in the setPixels method of the ImageConsumer interface which takes an array of integers.

See Also:

setPixels

 setProperties

 public void setProperties(Hashtable props)

Passes the properties from the source object along after adding a property indicating the stream of filters it has been run through.


 Class java.awt.image.IndexColorModel

java.lang.Object
   |
   +----java.awt.image.ColorModel
           |
           +----java.awt.image.IndexColorModel

public class IndexColorModel
   extends ColorModel

A ColorModel class that specifies a translation from pixel values to alpha, red, green, and blue color components for pixels which represent indices into a fixed colormap. An optional transparent pixel value can be supplied which indicates a completely transparent pixel, regardless of any alpha value recorded for that pixel value. This color model is similar to an X11 PseudoColor visual.

Many of the methods in this class are final. The reason for this is that the underlying native graphics code makes assumptions about the layout and operation of this class and those assumptions are reflected in the implementations of the methods here that are marked final. You can subclass this class for other reaons, but you cannot override or modify the behaviour of those methods.

     See Also:
     ColorModel

 IndexColorModel(int, int, byte[], byte[], byte[])

Constructs an IndexColorModel from the given arrays of red, green, and blue components.

 IndexColorModel(int, int, byte[], byte[], byte[], byte[])

Constructs an IndexColorModel from the given arrays of red, green, blue and alpha components.

 IndexColorModel(int, int, byte[], byte[], byte[], int)

Constructs an IndexColorModel from the given arrays of red, green, and blue components.

 IndexColorModel(int, int, byte[], int, boolean)

Constructs an IndexColorModel from a single arrays of packed red, green, blue and optional alpha components.

 IndexColorModel(int, int, byte[], int, boolean, int)

Constructs an IndexColorModel from a single arrays of packed red, green, blue and optional alpha components.

 getAlpha(int)

Returns the alpha transparency value for the specified pixel in the range 0-255.

 getAlphas(byte[])

Copies the array of alpha transparency values into the given array.

 getBlue(int)

Returns the blue color compoment for the specified pixel in the range 0-255.

 getBlues(byte[])

Copies the array of blue color components into the given array.

 getGreen(int)

Returns the green color compoment for the specified pixel in the range 0-255.

 getGreens(byte[])

Copies the array of green color components into the given array.

 getMapSize()

Returns the size of the color component arrays in this IndexColorModel.

 getRed(int)

Returns the red color compoment for the specified pixel in the range 0-255.

 getReds(byte[])

Copies the array of red color components into the given array.

 getRGB(int)

Returns the color of the pixel in the default RGB color model.

 getTransparentPixel()

Returns the index of the transparent pixel in this IndexColorModel or -1 if there is no transparent pixel.

 IndexColorModel

 public IndexColorModel(int bits,
                        int size,
                        byte r[],
                        byte g[],
                        byte b[])

Constructs an IndexColorModel from the given arrays of red, green, and blue components. Pixels described by this color model will all have alpha components of 255 (fully opaque). All of the arrays specifying the color components must have at least the specified number of entries.

Parameters:

bits - The number of bits each pixel occupies.

size - The size of the color component arrays.

r - The array of red color components.

g - The array of green color components.

b - The array of blue color components.

 IndexColorModel

 public IndexColorModel(int bits,
                        int size,
                        byte r[],
                        byte g[],
                        byte b[],
                        byte a[])

Constructs an IndexColorModel from the given arrays of red, green, blue and alpha components. All of the arrays specifying the color components must have at least the specified number of entries.

Parameters:

bits - The number of bits each pixel occupies.

size - The size of the color component arrays.

r - The array of red color components.

g - The array of green color components.

b - The array of blue color components.

a - The array of alpha value components.

 IndexColorModel

 public IndexColorModel(int bits,
                        int size,
                        byte r[],
                        byte g[],
                        byte b[],
                        int trans)

Constructs an IndexColorModel from the given arrays of red, green, and blue components. Pixels described by this color model will all have alpha components of 255 (fully opaque), except for the indicated transparent pixel. All of the arrays specifying the color components must have at least the specified number of entries.

Parameters:

bits - The number of bits each pixel occupies.

size - The size of the color component arrays.

r - The array of red color components.

g - The array of green color components.

b - The array of blue color components.

trans - The index of the transparent pixel.

 IndexColorModel

 public IndexColorModel(int bits,
                        int size,
                        byte cmap[],
                        int start,
                        boolean hasalpha)

Constructs an IndexColorModel from a single arrays of packed red, green, blue and optional alpha components. The array must have enough values in it to fill all of the needed component arrays of the specified size.

Parameters:

bits - The number of bits each pixel occupies.

size - The size of the color component arrays.

cmap - The array of color components.

start - The starting offset of the first color component.

hasalpha - Indicates whether alpha values are contained in the cmap array.

 IndexColorModel

 public IndexColorModel(int bits,
                        int size,
                        byte cmap[],
                        int start,
                        boolean hasalpha,
                        int trans)

Constructs an IndexColorModel from a single arrays of packed red, green, blue and optional alpha components. The specified transparent index represents a pixel which will be considered entirely transparent regardless of any alpha value specified for it. The array must have enough values in it to fill all of the needed component arrays of the specified size.

Parameters:

bits - The number of bits each pixel occupies.

size - The size of the color component arrays.

cmap - The array of color components.

start - The starting offset of the first color component.

hasalpha - Indicates whether alpha values are contained in the cmap array.

trans - The index of the fully transparent pixel.

 getAlpha

 public final int getAlpha(int pixel)

Returns the alpha transparency value for the specified pixel in the range 0-255.

Overrides:

getAlpha in class ColorModel

 getAlphas

 public final void getAlphas(byte a[])

Copies the array of alpha transparency values into the given array. Only the initial entries of the array as specified by getMapSize() will be written.

 getBlue

 public final int getBlue(int pixel)

Returns the blue color compoment for the specified pixel in the range 0-255.

Overrides:

getBlue in class ColorModel

 getBlues

 public final void getBlues(byte b[])

Copies the array of blue color components into the given array. Only the initial entries of the array as specified by getMapSize() will be written.

 getGreen

 public final int getGreen(int pixel)

Returns the green color compoment for the specified pixel in the range 0-255.

Overrides:

getGreen in class ColorModel

 getGreens

 public final void getGreens(byte g[])

Copies the array of green color components into the given array. Only the initial entries of the array as specified by getMapSize() are written.

 getMapSize

 public final int getMapSize()

Returns the size of the color component arrays in this IndexColorModel.

 getRed

 public final int getRed(int pixel)

Returns the red color compoment for the specified pixel in the range 0-255.

Overrides:

getRed in class ColorModel

 getReds

 public final void getReds(byte r[])

Copies the array of red color components into the given array. Only the initial entries of the array as specified by getMapSize() are written.

 getRGB

 public final int getRGB(int pixel)

Returns the color of the pixel in the default RGB color model.

Overrides:

getRGB in class ColorModel

See Also:

getRGBdefault

 getTransparentPixel

 public final int getTransparentPixel()

Returns the index of the transparent pixel in this IndexColorModel or -1 if there is no transparent pixel.


 Class java.awt.image.MemoryImageSource

java.lang.Object
   |
   +----java.awt.image.MemoryImageSource

public class MemoryImageSource
   extends Object
   implements ImageProducer

This class is an implementation of the ImageProducer interface which uses an array to produce pixel values for an Image. Here is an example which calculates a 100x100 image representing a fade from black to blue along the X axis and a fade from black to red along the Y axis:

int w = 100;
int h = 100;
int pix[] = new int[w * h];
int index = 0;
for (int y = 0; y < h; y++) {
    int red = (y * 255) / (h - 1);
    for (int x = 0; x < w; x++) {
int blue = (x * 255) / (w - 1);
pix[index++] = (255 << 24) | (red << 16) | blue;
    }
}
Image img = createImage(new MemoryImageSource(w, h, pix, 0, w));

The MemoryImageSource is also capable of managing a memory image which varies over time to allow animation or custom rendering. Here is an example showing how to set up the animation source and signal changes in the data (adapted from the MemoryAnimationSourceDemo by Garth Dickie):

int pixels[];
MemoryImageSource source;
public void init() {
    int width = 50;
    int height = 50;
    int size = width * height;
    pixels = new int[size];
    int value = getBackground().getRGB();
    for (int i = 0; i < size; i++) {
pixels[i] = value;
    }
    source = new MemoryImageSource(width, height, pixels, 0, width);
    source.setAnimated(true);
    image = createImage(source);
}
public void run() {
    Thread me = Thread.currentThread( );
    me.setPriority(Thread.MIN_PRIORITY);
    while (true) {
try {
    thread.sleep(10);
} catch( InterruptedException e ) {
    return;
}
// Modify the values in the pixels array at (x, y, w, h)
// Send the new data to the interested ImageConsumers
source.newPixels(x, y, w, h);
    }
}

     See Also:
     ImageProducer

 MemoryImageSource(int, int, ColorModel, byte[], int, int)

Constructs an ImageProducer object which uses an array of bytes to produce data for an Image object.

 MemoryImageSource(int, int, ColorModel, byte[], int, int, Hashtable)

Constructs an ImageProducer object which uses an array of bytes to produce data for an Image object.

 MemoryImageSource(int, int, ColorModel, int[], int, int)

Constructs an ImageProducer object which uses an array of integers to produce data for an Image object.

 MemoryImageSource(int, int, ColorModel, int[], int, int, Hashtable)

Constructs an ImageProducer object which uses an array of integers to produce data for an Image object.

 MemoryImageSource(int, int, int[], int, int)

Constructs an ImageProducer object which uses an array of integers in the default RGB ColorModel to produce data for an Image object.

 MemoryImageSource(int, int, int[], int, int, Hashtable)

Constructs an ImageProducer object which uses an array of integers in the default RGB ColorModel to produce data for an Image object.

 addConsumer(ImageConsumer)

Adds an ImageConsumer to the list of consumers interested in data for this image.

 isConsumer(ImageConsumer)

Determine if an ImageConsumer is on the list of consumers currently interested in data for this image.

 newPixels()

Send a whole new buffer of pixels to any ImageConsumers that are currently interested in the data for this image and notify them that an animation frame is complete.

 newPixels(byte[], ColorModel, int, int)

Change to a new byte array to hold the pixels for this image.

 newPixels(int, int, int, int)

Send a rectangular region of the buffer of pixels to any ImageConsumers that are currently interested in the data for this image and notify them that an animation frame is complete.

 newPixels(int, int, int, int, boolean)

Send a rectangular region of the buffer of pixels to any ImageConsumers that are currently interested in the data for this image.

 newPixels(int[], ColorModel, int, int)

Change to a new int array to hold the pixels for this image.

 removeConsumer(ImageConsumer)

Remove an ImageConsumer from the list of consumers interested in data for this image.

 requestTopDownLeftRightResend(ImageConsumer)

Requests that a given ImageConsumer have the image data delivered one more time in top-down, left-right order.

 setAnimated(boolean)

Change this memory image into a multi-frame animation or a single-frame static image depending on the animated parameter.

 setFullBufferUpdates(boolean)

Specify whether this animated memory image should always be updated by sending the complete buffer of pixels whenever there is a change.

 startProduction(ImageConsumer)

Adds an ImageConsumer to the list of consumers interested in data for this image, and immediately start delivery of the image data through the ImageConsumer interface.

 MemoryImageSource

 public MemoryImageSource(int w,
                          int h,
                          ColorModel cm,
                          byte pix[],
                          int off,
                          int scan)

Constructs an ImageProducer object which uses an array of bytes to produce data for an Image object.

See Also:

createImage

 MemoryImageSource

 public MemoryImageSource(int w,
                          int h,
                          ColorModel cm,
                          byte pix[],
                          int off,
                          int scan,
                          Hashtable props)

Constructs an ImageProducer object which uses an array of bytes to produce data for an Image object.

See Also:

createImage

 MemoryImageSource

 public MemoryImageSource(int w,
                          int h,
                          ColorModel cm,
                          int pix[],
                          int off,
                          int scan)

Constructs an ImageProducer object which uses an array of integers to produce data for an Image object.

See Also:

createImage

 MemoryImageSource

 public MemoryImageSource(int w,
                          int h,
                          ColorModel cm,
                          int pix[],
                          int off,
                          int scan,
                          Hashtable props)

Constructs an ImageProducer object which uses an array of integers to produce data for an Image object.

See Also:

createImage

 MemoryImageSource

 public MemoryImageSource(int w,
                          int h,
                          int pix[],
                          int off,
                          int scan)

Constructs an ImageProducer object which uses an array of integers in the default RGB ColorModel to produce data for an Image object.

See Also:

createImage, getRGBdefault

 MemoryImageSource

 public MemoryImageSource(int w,
                          int h,
                          int pix[],
                          int off,
                          int scan,
                          Hashtable props)

Constructs an ImageProducer object which uses an array of integers in the default RGB ColorModel to produce data for an Image object.

See Also:

createImage, getRGBdefault

 addConsumer

 public synchronized void addConsumer(ImageConsumer ic)

Adds an ImageConsumer to the list of consumers interested in data for this image.

See Also:

ImageConsumer

 isConsumer

 public synchronized boolean isConsumer(ImageConsumer ic)

Determine if an ImageConsumer is on the list of consumers currently interested in data for this image.

Returns:

true if the ImageConsumer is on the list; false otherwise

See Also:

ImageConsumer

 newPixels

 public void newPixels()

Send a whole new buffer of pixels to any ImageConsumers that are currently interested in the data for this image and notify them that an animation frame is complete. This method only has effect if the animation flag has been turned on through the setAnimated() method.

See Also:

ImageConsumer, setAnimated

 newPixels

 public synchronized void newPixels(byte newpix[],
                                    ColorModel newmodel,
                                    int offset,
                                    int scansize)

Change to a new byte array to hold the pixels for this image. If the animation flag has been turned on through the setAnimated() method, then the new pixels will be immediately delivered to any ImageConsumers that are currently interested in the data for this image.

See Also:

setAnimated

 newPixels

 public synchronized void newPixels(int x,
                                    int y,
                                    int w,
                                    int h)

Send a rectangular region of the buffer of pixels to any ImageConsumers that are currently interested in the data for this image and notify them that an animation frame is complete. This method only has effect if the animation flag has been turned on through the setAnimated() method. If the full buffer update flag was turned on with the setFullBufferUpdates() method then the rectangle parameters will be ignored and the entire buffer will always be sent.

Parameters:

x - the x coordinate of the upper left corner of the rectangle of pixels to be sent

y - the y coordinate of the upper left corner of the rectangle of pixels to be sent

w - the width of the rectangle of pixels to be sent

h - the height of the rectangle of pixels to be sent

See Also:

ImageConsumer, setAnimated, setFullBufferUpdates

 newPixels

 public synchronized void newPixels(int x,
                                    int y,
                                    int w,
                                    int h,
                                    boolean framenotify)

Send a rectangular region of the buffer of pixels to any ImageConsumers that are currently interested in the data for this image. If the framenotify parameter is true then the consumers are also notified that an animation frame is complete. This method only has effect if the animation flag has been turned on through the setAnimated() method. If the full buffer update flag was turned on with the setFullBufferUpdates() method then the rectangle parameters will be ignored and the entire buffer will always be sent.

Parameters:

x - the x coordinate of the upper left corner of the rectangle of pixels to be sent

y - the y coordinate of the upper left corner of the rectangle of pixels to be sent

w - the width of the rectangle of pixels to be sent

h - the height of the rectangle of pixels to be sent

framenotify - true if the consumers should be sent a SINGLEFRAMEDONE notification

See Also:

ImageConsumer, setAnimated, setFullBufferUpdates

 newPixels

 public synchronized void newPixels(int newpix[],
                                    ColorModel newmodel,
                                    int offset,
                                    int scansize)

Change to a new int array to hold the pixels for this image. If the animation flag has been turned on through the setAnimated() method, then the new pixels will be immediately delivered to any ImageConsumers that are currently interested in the data for this image.

See Also:

setAnimated

 removeConsumer

 public synchronized void removeConsumer(ImageConsumer ic)

Remove an ImageConsumer from the list of consumers interested in data for this image.

See Also:

ImageConsumer

 requestTopDownLeftRightResend

 public void requestTopDownLeftRightResend(ImageConsumer ic)

Requests that a given ImageConsumer have the image data delivered one more time in top-down, left-right order.

See Also:

ImageConsumer

 setAnimated

 public synchronized void setAnimated(boolean animated)

Change this memory image into a multi-frame animation or a single-frame static image depending on the animated parameter.

This method should be called immediately after the MemoryImageSource is constructed and before an image is created with it to ensure that all ImageConsumers will receive the correct multi-frame data. If an ImageConsumer is added to this ImageProducer before this flag is set then that ImageConsumer will see only a snapshot of the pixel data that was available when it connected.

Parameters:

animated - true if the image is a multi-frame animation

 setFullBufferUpdates

 public synchronized void setFullBufferUpdates(boolean fullbuffers)

Specify whether this animated memory image should always be updated by sending the complete buffer of pixels whenever there is a change. This flag is ignored if the animation flag is not turned on through the setAnimated() method.

This method should be called immediately after the MemoryImageSource is constructed and before an image is created with it to ensure that all ImageConsumers will receive the correct pixel delivery hints.

Parameters:

fullbuffers - true if the complete pixel buffer should always be sent

See Also:

setAnimated

 startProduction

 public void startProduction(ImageConsumer ic)

Adds an ImageConsumer to the list of consumers interested in data for this image, and immediately start delivery of the image data through the ImageConsumer interface.

See Also:

ImageConsumer


 Class java.awt.image.PixelGrabber

java.lang.Object
   |
   +----java.awt.image.PixelGrabber

public class PixelGrabber
   extends Object
   implements ImageConsumer

The PixelGrabber class implements an ImageConsumer which can be attached to an Image or ImageProducer object to retrieve a subset of the pixels in that image. Here is an example:

 public void handlesinglepixel(int x, int y, int pixel) {
int alpha = (pixel >> 24) & 0xff;
int red   = (pixel >> 16) & 0xff;
int green = (pixel >>  8) & 0xff;
int blue  = (pixel      ) & 0xff;
// Deal with the pixel as necessary...
 }
 public void handlepixels(Image img, int x, int y, int w, int h) {
int[] pixels = new int[w * h];
PixelGrabber pg = new PixelGrabber(img, x, y, w, h, pixels, 0, w);
try {
    pg.grabPixels();
} catch (InterruptedException e) {
    System.err.println("interrupted waiting for pixels!");
    return;
}
if ((pg.getStatus() & ImageObserver.ABORT) != 0) {
    System.err.println("image fetch aborted or errored");
    return;
}
for (int j = 0; j < h; j++) {
    for (int i = 0; i < w; i++) {
handlesinglepixel(x+i, y+j, pixels[j * w + i]);
    }
}
 }

     See Also:
     getRGBdefault

 PixelGrabber(Image, int, int, int, int, boolean)

Create a PixelGrabber object to grab the (x, y, w, h) rectangular section of pixels from the specified image.

 PixelGrabber(Image, int, int, int, int, int[], int, int)

Create a PixelGrabber object to grab the (x, y, w, h) rectangular section of pixels from the specified image into the given array.

 PixelGrabber(ImageProducer, int, int, int, int, int[], int, int)

Create a PixelGrabber object to grab the (x, y, w, h) rectangular section of pixels from the image produced by the specified ImageProducer into the given array.

 abortGrabbing()

Request the PixelGrabber to abort the image fetch.

 getColorModel()

Get the ColorModel for the pixels stored in the array.

 getHeight()

Get the height of the pixel buffer (after adjusting for image height).

 getPixels()

Get the pixel buffer.

 getStatus()

Return the status of the pixels.

 getWidth()

Get the width of the pixel buffer (after adjusting for image width).

 grabPixels()

Request the Image or ImageProducer to start delivering pixels and wait for all of the pixels in the rectangle of interest to be delivered.

 grabPixels(long)

Request the Image or ImageProducer to start delivering pixels and wait for all of the pixels in the rectangle of interest to be delivered or until the specified timeout has elapsed.

 imageComplete(int)

The imageComplete method is part of the ImageConsumer API which this class must implement to retrieve the pixels.

 setColorModel(ColorModel)

The setColorModel method is part of the ImageConsumer API which this class must implement to retrieve the pixels.

 setDimensions(int, int)

The setDimensions method is part of the ImageConsumer API which this class must implement to retrieve the pixels.

 setHints(int)

The setHints method is part of the ImageConsumer API which this class must implement to retrieve the pixels.

 setPixels(int, int, int, int, ColorModel, byte[], int, int)

The setPixels method is part of the ImageConsumer API which this class must implement to retrieve the pixels.

 setPixels(int, int, int, int, ColorModel, int[], int, int)

The setPixels method is part of the ImageConsumer API which this class must implement to retrieve the pixels.

 setProperties(Hashtable)

The setProperties method is part of the ImageConsumer API which this class must implement to retrieve the pixels.

 startGrabbing()

Request the PixelGrabber to start fetching the pixels.

 status()

DEPRECATED: Replaced by getStatus().

 PixelGrabber

 public PixelGrabber(Image img,
                     int x,
                     int y,
                     int w,
                     int h,
                     boolean forceRGB)

Create a PixelGrabber object to grab the (x, y, w, h) rectangular section of pixels from the specified image. The pixels are accumulated in the original ColorModel if the same ColorModel is used for every call to setPixels, otherwise the pixels are accumulated in the default RGB ColorModel. If the forceRGB parameter is true, then the pixels will be accumulated in the default RGB ColorModel anywya. A buffer is allocated by the PixelGrabber to hold the pixels in either case. If (w < 0) or (h < 0), then they will default to the remaining width and height of the source data when that information is delivered.

Parameters:

img - the image to retrieve the image data from

x - the x coordinate of the upper left corner of the rectangle of pixels to retrieve from the image, relative to the default (unscaled) size of the image

y - the y coordinate of the upper left corner of the rectangle of pixels to retrieve from the image

w - the width of the rectangle of pixels to retrieve

h - the height of the rectangle of pixels to retrieve

forceRGB - true if the pixels should always be converted to the default RGB ColorModel

 PixelGrabber

 public PixelGrabber(Image img,
                     int x,
                     int y,
                     int w,
                     int h,
                     int pix[],
                     int off,
                     int scansize)

Create a PixelGrabber object to grab the (x, y, w, h) rectangular section of pixels from the specified image into the given array. The pixels are stored into the array in the default RGB ColorModel. The RGB data for pixel (i, j) where (i, j) is inside the rectangle (x, y, w, h) is stored in the array at pix[(j - y) * scansize + (i - x) + off].

Parameters:

img - the image to retrieve pixels from

x - the x coordinate of the upper left corner of the rectangle of pixels to retrieve from the image, relative to the default (unscaled) size of the image

y - the y coordinate of the upper left corner of the rectangle of pixels to retrieve from the image

w - the width of the rectangle of pixels to retrieve

h - the height of the rectangle of pixels to retrieve

pix - the array of integers which are to be used to hold the RGB pixels retrieved from the image

off - the offset into the array of where to store the first pixel

scansize - the distance from one row of pixels to the next in the array

See Also:

getRGBdefault

 PixelGrabber

 public PixelGrabber(ImageProducer ip,
                     int x,
                     int y,
                     int w,
                     int h,
                     int pix[],
                     int off,
                     int scansize)

Create a PixelGrabber object to grab the (x, y, w, h) rectangular section of pixels from the image produced by the specified ImageProducer into the given array. The pixels are stored into the array in the default RGB ColorModel. The RGB data for pixel (i, j) where (i, j) is inside the rectangle (x, y, w, h) is stored in the array at pix[(j - y) * scansize + (i - x) + off].

Parameters:

img - the image to retrieve pixels from

x - the x coordinate of the upper left corner of the rectangle of pixels to retrieve from the image, relative to the default (unscaled) size of the image

y - the y coordinate of the upper left corner of the rectangle of pixels to retrieve from the image

w - the width of the rectangle of pixels to retrieve

h - the height of the rectangle of pixels to retrieve

pix - the array of integers which are to be used to hold the RGB pixels retrieved from the image

off - the offset into the array of where to store the first pixel

scansize - the distance from one row of pixels to the next in the array

See Also:

getRGBdefault

 abortGrabbing

 public synchronized void abortGrabbing()

Request the PixelGrabber to abort the image fetch.

 getColorModel

 public synchronized ColorModel getColorModel()

Get the ColorModel for the pixels stored in the array. If the PixelGrabber was constructed with an explicit pixel buffer then this method will always return the default RGB ColorModel, otherwise it may return null until the ColorModel used by the ImageProducer is known. Since the PixelGrabber may fall back on accumulating the data in the default RGB ColorModel at any time if the source image uses more than one ColorModel to deliver the data, the ColorModel object returned by this method may change over time until the image grab is complete.

Returns:

the ColorModel object used for storing the pixels

See Also:

getStatus, getRGBdefault

 getHeight

 public synchronized int getHeight()

Get the height of the pixel buffer (after adjusting for image height). If no width was specified for the rectangle of pixels to grab then then this information will only be available after the image has delivered the dimensions.

Returns:

the final height used for the pixel buffer or -1 if the height is not yet known

See Also:

getStatus

 getPixels

 public synchronized Object getPixels()

Get the pixel buffer. If the PixelGrabber was not constructed with an explicit pixel buffer to hold the pixels then this method will return null until the size and format of the image data is known. Since the PixelGrabber may fall back on accumulating the data in the default RGB ColorModel at any time if the source image uses more than one ColorModel to deliver the data, the array object returned by this method may change over time until the image grab is complete.

Returns:

either a byte array or an int array

See Also:

getStatus

 getStatus

 public synchronized int getStatus()

Return the status of the pixels. The ImageObserver flags representing the available pixel information are returned.

Returns:

the bitwise OR of all relevant ImageObserver flags

See Also:

ImageObserver

 getWidth

 public synchronized int getWidth()

Get the width of the pixel buffer (after adjusting for image width). If no width was specified for the rectangle of pixels to grab then then this information will only be available after the image has delivered the dimensions.

Returns:

the final width used for the pixel buffer or -1 if the width is not yet known

See Also:

getStatus

 grabPixels

 public boolean grabPixels() throws InterruptedException

Request the Image or ImageProducer to start delivering pixels and wait for all of the pixels in the rectangle of interest to be delivered.

Returns:

true if the pixels were successfully grabbed, false on abort, error or timeout

Throws: InterruptedException

Another thread has interrupted this thread.

 grabPixels

 public synchronized boolean grabPixels(long ms) throws InterruptedException

Request the Image or ImageProducer to start delivering pixels and wait for all of the pixels in the rectangle of interest to be delivered or until the specified timeout has elapsed.

Parameters:

ms - the number of milliseconds to wait for the image pixels to arrive before timing out

Returns:

true if the pixels were successfully grabbed, false on abort, error or timeout

Throws: InterruptedException

Another thread has interrupted this thread.

 imageComplete

 public synchronized void imageComplete(int status)

The imageComplete method is part of the ImageConsumer API which this class must implement to retrieve the pixels.

 setColorModel

 public void setColorModel(ColorModel model)

The setColorModel method is part of the ImageConsumer API which this class must implement to retrieve the pixels.

 setDimensions

 public void setDimensions(int width,
                           int height)

The setDimensions method is part of the ImageConsumer API which this class must implement to retrieve the pixels.

 setHints

 public void setHints(int hints)

The setHints method is part of the ImageConsumer API which this class must implement to retrieve the pixels.

 setPixels

 public void setPixels(int srcX,
                       int srcY,
                       int srcW,
                       int srcH,
                       ColorModel model,
                       byte pixels[],
                       int srcOff,
                       int srcScan)

The setPixels method is part of the ImageConsumer API which this class must implement to retrieve the pixels.

 setPixels

 public void setPixels(int srcX,
                       int srcY,
                       int srcW,
                       int srcH,
                       ColorModel model,
                       int pixels[],
                       int srcOff,
                       int srcScan)

The setPixels method is part of the ImageConsumer API which this class must implement to retrieve the pixels.

 setProperties

 public void setProperties(Hashtable props)

The setProperties method is part of the ImageConsumer API which this class must implement to retrieve the pixels.

 startGrabbing

 public synchronized void startGrabbing()

Request the PixelGrabber to start fetching the pixels.

 status

 public synchronized int status()

DEPRECATED: Replaced by getStatus().


 Class java.awt.image.RGBImageFilter

java.lang.Object
   |
   +----java.awt.image.ImageFilter
           |
           +----java.awt.image.RGBImageFilter

public abstract class RGBImageFilter
   extends ImageFilter

This class provides an easy way to create an ImageFilter which modifies the pixels of an image in the default RGB ColorModel. It is meant to be used in conjunction with a FilteredImageSource object to produce filtered versions of existing images. It is an abstract class that provides the calls needed to channel all of the pixel data through a single method which converts pixels one at a time in the default RGB ColorModel regardless of the ColorModel being used by the ImageProducer. The only method which needs to be defined to create a useable image filter is the filterRGB method. Here is an example of a definition of a filter which swaps the red and blue components of an image:

class RedBlueSwapFilter extends RGBImageFilter {
    public RedBlueSwapFilter() {
// The filter's operation does not depend on the
// pixel's location, so IndexColorModels can be
// filtered directly.
canFilterIndexColorModel = true;
    }
    public int filterRGB(int x, int y, int rgb) {
return ((rgb & 0xff00ff00)
| ((rgb & 0xff0000) >> 16)
| ((rgb & 0xff) << 16));
    }
}

     See Also:
     FilteredImageSource, ImageFilter, getRGBdefault

 canFilterIndexColorModel

This boolean indicates whether or not it is acceptable to apply the color filtering of the filterRGB method to the color table entries of an IndexColorModel object in lieu of pixel by pixel filtering.

 newmodel

 origmodel

 RGBImageFilter()

 filterIndexColorModel(IndexColorModel)

Filters an IndexColorModel object by running each entry in its color tables through the filterRGB function that RGBImageFilter subclasses must provide.

 filterRGB(int, int, int)

Subclasses must specify a method to convert a single input pixel in the default RGB ColorModel to a single output pixel.

 filterRGBPixels(int, int, int, int, int[], int, int)

Filters a buffer of pixels in the default RGB ColorModel by passing them one by one through the filterRGB method.

 setColorModel(ColorModel)

If the ColorModel is an IndexColorModel, and the subclass has set the canFilterIndexColorModel flag to true, we substitute a filtered version of the color model here and wherever that original ColorModel object appears in the setPixels methods.

 setPixels(int, int, int, int, ColorModel, byte[], int, int)

If the ColorModel object is the same one that has already been converted, then simply passes the pixels through with the converted ColorModel.

 setPixels(int, int, int, int, ColorModel, int[], int, int)

If the ColorModel object is the same one that has already been converted, then simply passes the pixels through with the converted ColorModel, otherwise converts the buffer of integer pixels to the default RGB ColorModel and passes the converted buffer to the filterRGBPixels method to be converted one by one.

 substituteColorModel(ColorModel, ColorModel)

Registers two ColorModel objects for substitution.

 canFilterIndexColorModel

 protected boolean canFilterIndexColorModel

This boolean indicates whether or not it is acceptable to apply the color filtering of the filterRGB method to the color table entries of an IndexColorModel object in lieu of pixel by pixel filtering. Subclasses should set this variable to true in their constructor if their filterRGB method does not depend on the coordinate of the pixel being filtered.

See Also:

substituteColorModel, filterRGB, IndexColorModel

 newmodel

 protected ColorModel newmodel

 origmodel

 protected ColorModel origmodel

 RGBImageFilter

 public RGBImageFilter()

 filterIndexColorModel

 public IndexColorModel filterIndexColorModel(IndexColorModel icm)

Filters an IndexColorModel object by running each entry in its color tables through the filterRGB function that RGBImageFilter subclasses must provide. Uses coordinates of -1 to indicate that a color table entry is being filtered rather than an actual pixel value.

Parameters:

icm - the IndexColorModel object to be filtered

Returns:

a new IndexColorModel representing the filtered colors

 filterRGB

 public abstract int filterRGB(int x,
                               int y,
                               int rgb)

Subclasses must specify a method to convert a single input pixel in the default RGB ColorModel to a single output pixel.

See Also:

getRGBdefault, filterRGBPixels

 filterRGBPixels

 public void filterRGBPixels(int x,
                             int y,
                             int w,
                             int h,
                             int pixels[],
                             int off,
                             int scansize)

Filters a buffer of pixels in the default RGB ColorModel by passing them one by one through the filterRGB method.

See Also:

getRGBdefault, filterRGB

 setColorModel

 public void setColorModel(ColorModel model)

If the ColorModel is an IndexColorModel, and the subclass has set the canFilterIndexColorModel flag to true, we substitute a filtered version of the color model here and wherever that original ColorModel object appears in the setPixels methods. Otherwise overrides the default ColorModel used by the ImageProducer and specifies the default RGB ColorModel instead.

Overrides:

setColorModel in class ImageFilter

See Also:

ImageConsumer, getRGBdefault

 setPixels

 public void setPixels(int x,
                       int y,
                       int w,
                       int h,
                       ColorModel model,
                       byte pixels[],
                       int off,
                       int scansize)

If the ColorModel object is the same one that has already been converted, then simply passes the pixels through with the converted ColorModel. Otherwise converts the buffer of byte pixels to the default RGB ColorModel and passes the converted buffer to the filterRGBPixels method to be converted one by one.

Overrides:

setPixels in class ImageFilter

See Also:

getRGBdefault, filterRGBPixels

 setPixels

 public void setPixels(int x,
                       int y,
                       int w,
                       int h,
                       ColorModel model,
                       int pixels[],
                       int off,
                       int scansize)

If the ColorModel object is the same one that has already been converted, then simply passes the pixels through with the converted ColorModel, otherwise converts the buffer of integer pixels to the default RGB ColorModel and passes the converted buffer to the filterRGBPixels method to be converted one by one. Converts a buffer of integer pixels to the default RGB ColorModel and passes the converted buffer to the filterRGBPixels method.

Overrides:

setPixels in class ImageFilter

See Also:

getRGBdefault, filterRGBPixels

 substituteColorModel

 public void substituteColorModel(ColorModel oldcm,
                                  ColorModel newcm)

Registers two ColorModel objects for substitution. If the oldcm is encountered during any of the setPixels methods, the newcm is substituted and the pixels passed through untouched (but with the new ColorModel object).

Parameters:

oldcm - the ColorModel object to be replaced on the fly

newcm - the ColorModel object to replace oldcm on the fly


 Class java.awt.image.ReplicateScaleFilter

java.lang.Object
   |
   +----java.awt.image.ImageFilter
           |
           +----java.awt.image.ReplicateScaleFilter

public class ReplicateScaleFilter
   extends ImageFilter

An ImageFilter class for scaling images using the simplest algorithm. This class extends the basic ImageFilter Class to scale an existing image and provide a source for a new image containing the resampled image. The pixels in the source image are sampled to produce pixels for an image of the specified size by replicating rows and columns of pixels to scale up or omitting rows and columns of pixels to scale down. It is meant to be used in conjunction with a FilteredImageSource object to produce scaled versions of existing images.

     See Also:
     FilteredImageSource, ImageFilter

 destHeight

 destWidth

 outpixbuf

 srccols

 srcHeight

 srcrows

 srcWidth

 ReplicateScaleFilter(int, int)

Constructs a ReplicateScaleFilter that scales the pixels from its source Image as specified by the width and height parameters.

 setDimensions(int, int)

Override the dimensions of the source image and pass the dimensions of the new scaled size to the ImageConsumer.

 setPixels(int, int, int, int, ColorModel, byte[], int, int)

Choose which rows and columns of the delivered byte pixels are needed for the destination scaled image and pass through just those rows and columns that are needed, replicated as necessary.

 setPixels(int, int, int, int, ColorModel, int[], int, int)

Choose which rows and columns of the delivered int pixels are needed for the destination scaled image and pass through just those rows and columns that are needed, replicated as necessary.

 setProperties(Hashtable)

Passes along the properties from the source object after adding a property indicating the scale applied.

 destHeight

 protected int destHeight

 destWidth

 protected int destWidth

 outpixbuf

 protected Object outpixbuf

 srccols

 protected int srccols[]

 srcHeight

 protected int srcHeight

 srcrows

 protected int srcrows[]

 srcWidth

 protected int srcWidth

 ReplicateScaleFilter

 public ReplicateScaleFilter(int width,
                             int height)

Constructs a ReplicateScaleFilter that scales the pixels from its source Image as specified by the width and height parameters.

Parameters:

width - the target width to scale the image

height - the target height to scale the image

 setDimensions

 public void setDimensions(int w,
                           int h)

Override the dimensions of the source image and pass the dimensions of the new scaled size to the ImageConsumer.

Overrides:

setDimensions in class ImageFilter

See Also:

ImageConsumer

 setPixels

 public void setPixels(int x,
                       int y,
                       int w,
                       int h,
                       ColorModel model,
                       byte pixels[],
                       int off,
                       int scansize)

Choose which rows and columns of the delivered byte pixels are needed for the destination scaled image and pass through just those rows and columns that are needed, replicated as necessary.

Overrides:

setPixels in class ImageFilter

 setPixels

 public void setPixels(int x,
                       int y,
                       int w,
                       int h,
                       ColorModel model,
                       int pixels[],
                       int off,
                       int scansize)

Choose which rows and columns of the delivered int pixels are needed for the destination scaled image and pass through just those rows and columns that are needed, replicated as necessary.

Overrides:

setPixels in class ImageFilter

 setProperties

 public void setProperties(Hashtable props)

Passes along the properties from the source object after adding a property indicating the scale applied.

Overrides:

setProperties in class ImageFilter


 package java.awt.peer

   ActiveEvent
   ButtonPeer
   CanvasPeer
   CheckboxMenuItemPeer
   CheckboxPeer
   ChoicePeer
   ComponentPeer
   ContainerPeer
   DialogPeer
   FileDialogPeer
   FontPeer
   FramePeer
   LabelPeer
   LightweightPeer
   ListPeer
   MenuBarPeer
   MenuComponentPeer
   MenuItemPeer
   MenuPeer
   PanelPeer
   PopupMenuPeer
   ScrollPanePeer
   ScrollbarPeer
   TextAreaPeer
   TextComponentPeer
   TextFieldPeer
   WindowPeer


 Interface java.awt.peer.ActiveEvent

public interface ActiveEvent

An interface for events that know how dispatch themselves. By implementing this interface an event can be placed upon the event queue and this method will be called to dispatch the event. This allows objects that are not components to arrange for behavior to occur on a different thread from the current thread. Peer implementations can use this facility to avoid making upcalls that could potentially cause a deadlock.

 dispatch()

Dispatch the event to it's target, listeners of the events source, or do whatever it is this event is supposed to do.

 dispatch

 public abstract void dispatch()

Dispatch the event to it's target, listeners of the events source, or do whatever it is this event is supposed to do.


 Interface java.awt.peer.ButtonPeer

public interface ButtonPeer
   extends ComponentPeer

 setLabel(String)

 setLabel

 public abstract void setLabel(String label)


 Interface java.awt.peer.CanvasPeer

public interface CanvasPeer
   extends ComponentPeer


 Interface java.awt.peer.CheckboxMenuItemPeer

public interface CheckboxMenuItemPeer
   extends MenuItemPeer

 setState(boolean)

 setState

 public abstract void setState(boolean t)


 Interface java.awt.peer.CheckboxPeer

public interface CheckboxPeer
   extends ComponentPeer

 setCheckboxGroup(CheckboxGroup)

 setLabel(String)

 setState(boolean)

 setCheckboxGroup

 public abstract void setCheckboxGroup(CheckboxGroup g)

 setLabel

 public abstract void setLabel(String label)

 setState

 public abstract void setState(boolean state)


 Interface java.awt.peer.ChoicePeer

public interface ChoicePeer
   extends ComponentPeer

 add(String, int)

 addItem(String, int)

 remove(int)

 select(int)

 add

 public abstract void add(String item,
                          int index)

 addItem

 public abstract void addItem(String item,
                              int index)

 remove

 public abstract void remove(int index)

 select

 public abstract void select(int index)


 Interface java.awt.peer.ComponentPeer

public interface ComponentPeer

 checkImage(Image, int, int, ImageObserver)

 createImage(ImageProducer)

 createImage(int, int)

 disable()

DEPRECATED: Replaced by setEnabled(boolean).

 dispose()

 enable()

DEPRECATED: Replaced by setEnabled(boolean).

 getColorModel()

 getFontMetrics(Font)

 getGraphics()

 getLocationOnScreen()

 getMinimumSize()

 getPreferredSize()

 getToolkit()

 handleEvent(AWTEvent)

 hide()

DEPRECATED: Replaced by setVisible(boolean).

 isFocusTraversable()

 minimumSize()

DEPRECATED: Replaced by getMinimumSize().

 paint(Graphics)

 preferredSize()

DEPRECATED: Replaced by getPreferredSize().

 prepareImage(Image, int, int, ImageObserver)

 print(Graphics)

 repaint(long, int, int, int, int)

 requestFocus()

 reshape(int, int, int, int)

DEPRECATED: Replaced by setBounds(int, int, int, int).

 setBackground(Color)

 setBounds(int, int, int, int)

 setCursor(Cursor)

 setEnabled(boolean)

 setFont(Font)

 setForeground(Color)

 setVisible(boolean)

 show()

DEPRECATED: Replaced by setVisible(boolean).

 checkImage

 public abstract int checkImage(Image img,
                                int w,
                                int h,
                                ImageObserver o)

 createImage

 public abstract Image createImage(ImageProducer producer)

 createImage

 public abstract Image createImage(int width,
                                   int height)

 disable

 public abstract void disable()

DEPRECATED: Replaced by setEnabled(boolean).

 dispose

 public abstract void dispose()

 enable

 public abstract void enable()

DEPRECATED: Replaced by setEnabled(boolean).

 getColorModel

 public abstract ColorModel getColorModel()

 getFontMetrics

 public abstract FontMetrics getFontMetrics(Font font)

 getGraphics

 public abstract Graphics getGraphics()

 getLocationOnScreen

 public abstract Point getLocationOnScreen()

 getMinimumSize

 public abstract Dimension getMinimumSize()

 getPreferredSize

 public abstract Dimension getPreferredSize()

 getToolkit

 public abstract Toolkit getToolkit()

 handleEvent

 public abstract void handleEvent(AWTEvent e)

 hide

 public abstract void hide()

DEPRECATED: Replaced by setVisible(boolean).

 isFocusTraversable

 public abstract boolean isFocusTraversable()

 minimumSize

 public abstract Dimension minimumSize()

DEPRECATED: Replaced by getMinimumSize().

 paint

 public abstract void paint(Graphics g)

 preferredSize

 public abstract Dimension preferredSize()

DEPRECATED: Replaced by getPreferredSize().

 prepareImage

 public abstract boolean prepareImage(Image img,
                                      int w,
                                      int h,
                                      ImageObserver o)

 print

 public abstract void print(Graphics g)

 repaint

 public abstract void repaint(long tm,
                              int x,
                              int y,
                              int width,
                              int height)

 requestFocus

 public abstract void requestFocus()

 reshape

 public abstract void reshape(int x,
                              int y,
                              int width,
                              int height)

DEPRECATED: Replaced by setBounds(int, int, int, int).

 setBackground

 public abstract void setBackground(Color c)

 setBounds

 public abstract void setBounds(int x,
                                int y,
                                int width,
                                int height)

 setCursor

 public abstract void setCursor(Cursor cursor)

 setEnabled

 public abstract void setEnabled(boolean b)

 setFont

 public abstract void setFont(Font f)

 setForeground

 public abstract void setForeground(Color c)

 setVisible

 public abstract void setVisible(boolean b)

 show

 public abstract void show()

DEPRECATED: Replaced by setVisible(boolean).


 Interface java.awt.peer.ContainerPeer

public interface ContainerPeer
   extends ComponentPeer

 beginValidate()

 endValidate()

 getInsets()

 insets()

DEPRECATED: Replaced by getInsets().

 beginValidate

 public abstract void beginValidate()

 endValidate

 public abstract void endValidate()

 getInsets

 public abstract Insets getInsets()

 insets

 public abstract Insets insets()

DEPRECATED: Replaced by getInsets().


 Interface java.awt.peer.DialogPeer

public interface DialogPeer
   extends WindowPeer

 setResizable(boolean)

 setTitle(String)

 setResizable

 public abstract void setResizable(boolean resizeable)

 setTitle

 public abstract void setTitle(String title)


 Interface java.awt.peer.FileDialogPeer

public interface FileDialogPeer
   extends DialogPeer

 setDirectory(String)

 setFile(String)

 setFilenameFilter(FilenameFilter)

 setDirectory

 public abstract void setDirectory(String dir)

 setFile

 public abstract void setFile(String file)

 setFilenameFilter

 public abstract void setFilenameFilter(FilenameFilter filter)


 Interface java.awt.peer.FontPeer

public interface FontPeer


 Interface java.awt.peer.FramePeer

public interface FramePeer
   extends WindowPeer

 setIconImage(Image)

 setMenuBar(MenuBar)

 setResizable(boolean)

 setTitle(String)

 setIconImage

 public abstract void setIconImage(Image im)

 setMenuBar

 public abstract void setMenuBar(MenuBar mb)

 setResizable

 public abstract void setResizable(boolean resizeable)

 setTitle

 public abstract void setTitle(String title)


 Interface java.awt.peer.LabelPeer

public interface LabelPeer
   extends ComponentPeer

 setAlignment(int)

 setText(String)

 setAlignment

 public abstract void setAlignment(int alignment)

 setText

 public abstract void setText(String label)


 Interface java.awt.peer.LightweightPeer

public interface LightweightPeer
   extends ComponentPeer

The LightweightPeer interface marks a component as depending upon a native container so window related events can be routed to the component. Since this only applies to components and their extensions, this interface extends ComponentPeer.


 Interface java.awt.peer.ListPeer

public interface ListPeer
   extends ComponentPeer

 add(String, int)

 addItem(String, int)

DEPRECATED: Replaced by add(String, int).

 clear()

DEPRECATED: Replaced by removeAll().

 delItems(int, int)

 deselect(int)

 getMinimumSize(int)

 getPreferredSize(int)

 getSelectedIndexes()

 makeVisible(int)

 minimumSize(int)

DEPRECATED: Replaced by getMinimumSize(int).

 preferredSize(int)

DEPRECATED: Replaced by getPreferredSize(int).

 removeAll()

 select(int)

 setMultipleMode(boolean)

 setMultipleSelections(boolean)

DEPRECATED: Replaced by setMultipleMode(boolean).

 add

 public abstract void add(String item,
                          int index)

 addItem

 public abstract void addItem(String item,
                              int index)

DEPRECATED: Replaced by add(String, int).

 clear

 public abstract void clear()

DEPRECATED: Replaced by removeAll().

 delItems

 public abstract void delItems(int start,
                               int end)

 deselect

 public abstract void deselect(int index)

 getMinimumSize

 public abstract Dimension getMinimumSize(int rows)

 getPreferredSize

 public abstract Dimension getPreferredSize(int rows)

 getSelectedIndexes

 public abstract int[] getSelectedIndexes()

 makeVisible

 public abstract void makeVisible(int index)

 minimumSize

 public abstract Dimension minimumSize(int v)

DEPRECATED: Replaced by getMinimumSize(int).

 preferredSize

 public abstract Dimension preferredSize(int v)

DEPRECATED: Replaced by getPreferredSize(int).

 removeAll

 public abstract void removeAll()

 select

 public abstract void select(int index)

 setMultipleMode

 public abstract void setMultipleMode(boolean b)

 setMultipleSelections

 public abstract void setMultipleSelections(boolean v)

DEPRECATED: Replaced by setMultipleMode(boolean).


 Interface java.awt.peer.MenuBarPeer

public interface MenuBarPeer
   extends MenuComponentPeer

 addHelpMenu(Menu)

 addMenu(Menu)

 delMenu(int)

 addHelpMenu

 public abstract void addHelpMenu(Menu m)

 addMenu

 public abstract void addMenu(Menu m)

 delMenu

 public abstract void delMenu(int index)


 Interface java.awt.peer.MenuComponentPeer

public interface MenuComponentPeer

 dispose()

 dispose

 public abstract void dispose()


 Interface java.awt.peer.MenuItemPeer

public interface MenuItemPeer
   extends MenuComponentPeer

 disable()

DEPRECATED: Replaced by setEnabled(boolean).

 enable()

DEPRECATED: Replaced by setEnabled(boolean).

 setEnabled(boolean)

 setLabel(String)

 disable

 public abstract void disable()

DEPRECATED: Replaced by setEnabled(boolean).

 enable

 public abstract void enable()

DEPRECATED: Replaced by setEnabled(boolean).

 setEnabled

 public abstract void setEnabled(boolean b)

 setLabel

 public abstract void setLabel(String label)


 Interface java.awt.peer.MenuPeer

public interface MenuPeer
   extends MenuItemPeer

 addItem(MenuItem)

 addSeparator()

 delItem(int)

 addItem

 public abstract void addItem(MenuItem item)

 addSeparator

 public abstract void addSeparator()

 delItem

 public abstract void delItem(int index)


 Interface java.awt.peer.PanelPeer

public interface PanelPeer
   extends ContainerPeer


 Interface java.awt.peer.PopupMenuPeer

public interface PopupMenuPeer
   extends MenuPeer

 show(Event)

 show

 public abstract void show(Event e)


 Interface java.awt.peer.ScrollPanePeer

public interface ScrollPanePeer
   extends ContainerPeer

 childResized(int, int)

 getHScrollbarHeight()

 getVScrollbarWidth()

 setScrollPosition(int, int)

 setUnitIncrement(Adjustable, int)

 setValue(Adjustable, int)

 childResized

 public abstract void childResized(int w,
                                   int h)

 getHScrollbarHeight

 public abstract int getHScrollbarHeight()

 getVScrollbarWidth

 public abstract int getVScrollbarWidth()

 setScrollPosition

 public abstract void setScrollPosition(int x,
                                        int y)

 setUnitIncrement

 public abstract void setUnitIncrement(Adjustable adj,
                                       int u)

 setValue

 public abstract void setValue(Adjustable adj,
                               int v)


 Interface java.awt.peer.ScrollbarPeer

public interface ScrollbarPeer
   extends ComponentPeer

 setLineIncrement(int)

 setPageIncrement(int)

 setValues(int, int, int, int)

 setLineIncrement

 public abstract void setLineIncrement(int l)

 setPageIncrement

 public abstract void setPageIncrement(int l)

 setValues

 public abstract void setValues(int value,
                                int visible,
                                int minimum,
                                int maximum)


 Interface java.awt.peer.TextAreaPeer

public interface TextAreaPeer
   extends TextComponentPeer

 getMinimumSize(int, int)

 getPreferredSize(int, int)

 insert(String, int)

 insertText(String, int)

DEPRECATED: Replaced by insert(String, int).

 minimumSize(int, int)

DEPRECATED: Replaced by getMinimumSize(int, int).

 preferredSize(int, int)

DEPRECATED: Replaced by getPreferredSize(int, int).

 replaceRange(String, int, int)

 replaceText(String, int, int)

DEPRECATED: Replaced by ReplaceRange(String, int, int).

 getMinimumSize

 public abstract Dimension getMinimumSize(int rows,
                                          int columns)

 getPreferredSize

 public abstract Dimension getPreferredSize(int rows,
                                            int columns)

 insert

 public abstract void insert(String text,
                             int pos)

 insertText

 public abstract void insertText(String txt,
                                 int pos)

DEPRECATED: Replaced by insert(String, int).

 minimumSize

 public abstract Dimension minimumSize(int rows,
                                       int cols)

DEPRECATED: Replaced by getMinimumSize(int, int).

 preferredSize

 public abstract Dimension preferredSize(int rows,
                                         int cols)

DEPRECATED: Replaced by getPreferredSize(int, int).

 replaceRange

 public abstract void replaceRange(String text,
                                   int start,
                                   int end)

 replaceText

 public abstract void replaceText(String txt,
                                  int start,
                                  int end)

DEPRECATED: Replaced by ReplaceRange(String, int, int).


 Interface java.awt.peer.TextComponentPeer

public interface TextComponentPeer
   extends ComponentPeer

 getCaretPosition()

 getSelectionEnd()

 getSelectionStart()

 getText()

 select(int, int)

 setCaretPosition(int)

 setEditable(boolean)

 setText(String)

 getCaretPosition

 public abstract int getCaretPosition()

 getSelectionEnd

 public abstract int getSelectionEnd()

 getSelectionStart

 public abstract int getSelectionStart()

 getText

 public abstract String getText()

 select

 public abstract void select(int selStart,
                             int selEnd)

 setCaretPosition

 public abstract void setCaretPosition(int pos)

 setEditable

 public abstract void setEditable(boolean editable)

 setText

 public abstract void setText(String l)


 Interface java.awt.peer.TextFieldPeer

public interface TextFieldPeer
   extends TextComponentPeer

 getMinimumSize(int)

 getPreferredSize(int)

 minimumSize(int)

DEPRECATED: Replaced by getMinimumSize(int).

 preferredSize(int)

DEPRECATED: Replaced by getPreferredSize(int).

 setEchoChar(char)

 setEchoCharacter(char)

DEPRECATED: Replaced by setEchoChar(char echoChar).

 getMinimumSize

 public abstract Dimension getMinimumSize(int columns)

 getPreferredSize

 public abstract Dimension getPreferredSize(int columns)

 minimumSize

 public abstract Dimension minimumSize(int cols)

DEPRECATED: Replaced by getMinimumSize(int).

 preferredSize

 public abstract Dimension preferredSize(int cols)

DEPRECATED: Replaced by getPreferredSize(int).

 setEchoChar

 public abstract void setEchoChar(char echoChar)

 setEchoCharacter

 public abstract void setEchoCharacter(char c)

DEPRECATED: Replaced by setEchoChar(char echoChar).


 Interface java.awt.peer.WindowPeer

public interface WindowPeer
   extends ContainerPeer

 toBack()

 toFront()

 toBack

 public abstract void toBack()

 toFront

 public abstract void toFront()


 package java.beans

   BeanInfo
   Customizer
   PropertyChangeListener
   PropertyEditor
   VetoableChangeListener
   Visibility

   BeanDescriptor
   Beans
   EventSetDescriptor
   FeatureDescriptor
   IndexedPropertyDescriptor
   Introspector
   MethodDescriptor
   ParameterDescriptor
   PropertyChangeEvent
   PropertyChangeSupport
   PropertyDescriptor
   PropertyEditorManager
   PropertyEditorSupport
   SimpleBeanInfo
   VetoableChangeSupport

   IntrospectionException
   PropertyVetoException


 Interface java.beans.BeanInfo

public interface BeanInfo

A bean implementor who wishes to provide explicit information about their bean may provide a BeanInfo class that implements this BeanInfo interface and provides explicit information about the methods, properties, events, etc, of their bean.

A bean implementor doesn't need to provide a complete set of explicit information. You can pick and choose which information you want to provide and the rest will be obtained by automatic analysis using low-level reflection of the bean classes' methods and applying standard design patterns.

You get the opportunity to provide lots and lots of different information as part of the various XyZDescriptor classes. But don't panic, you only really need to provide the minimal core information required by the various constructors.

See also the SimpleBeanInfo class which provides a convenient "noop" base class for BeanInfo classes, which you can override for those specific places where you want to return explicit info.

To learn about all the behaviour of a bean see the Introspector class.

 ICON_COLOR_16x16

Constant to indicate a 16 x 16 color icon.

 ICON_COLOR_32x32

Constant to indicate a 32 x 32 color icon.

 ICON_MONO_16x16

Constant to indicate a 16 x 16 monochrome icon.

 ICON_MONO_32x32

Constant to indicate a 32 x 32 monochrome icon.

 getAdditionalBeanInfo()

This method allows a BeanInfo object to return an arbitrary collection of other BeanInfo objects that provide additional information on the current bean.

 getBeanDescriptor()

 getDefaultEventIndex()

A bean may have a "default" event that is the event that will mostly commonly be used by human's when using the bean.

 getDefaultPropertyIndex()

A bean may have a "default" property that is the property that will mostly commonly be initially chosen for update by human's who are customizing the bean.

 getEventSetDescriptors()

 getIcon(int)

This method returns an image object that can be used to represent the bean in toolboxes, toolbars, etc.

 getMethodDescriptors()

 getPropertyDescriptors()

 ICON_COLOR_16x16

 public static final int ICON_COLOR_16x16

Constant to indicate a 16 x 16 color icon.

 ICON_COLOR_32x32

 public static final int ICON_COLOR_32x32

Constant to indicate a 32 x 32 color icon.

 ICON_MONO_16x16

 public static final int ICON_MONO_16x16

Constant to indicate a 16 x 16 monochrome icon.

 ICON_MONO_32x32

 public static final int ICON_MONO_32x32

Constant to indicate a 32 x 32 monochrome icon.

 getAdditionalBeanInfo

 public abstract BeanInfo[] getAdditionalBeanInfo()

This method allows a BeanInfo object to return an arbitrary collection of other BeanInfo objects that provide additional information on the current bean.

If there are conflicts or overlaps between the information provided by different BeanInfo objects, then the current BeanInfo takes precedence over the getAdditionalBeanInfo objects, and later elements in the array take precedence over earlier ones.

Returns:

an array of BeanInfo objects. May return null.

 getBeanDescriptor

 public abstract BeanDescriptor getBeanDescriptor()

Returns:

A BeanDescriptor providing overall information about the bean, such as its displayName, its customizer, etc. May return null if the information should be obtained by automatic analysis.

 getDefaultEventIndex

 public abstract int getDefaultEventIndex()

A bean may have a "default" event that is the event that will mostly commonly be used by human's when using the bean.

Returns:

Index of default event in the EventSetDescriptor array returned by getEventSetDescriptors.

Returns -1 if there is no default event.

 getDefaultPropertyIndex

 public abstract int getDefaultPropertyIndex()

A bean may have a "default" property that is the property that will mostly commonly be initially chosen for update by human's who are customizing the bean.

Returns:

Index of default property in the PropertyDescriptor array returned by getPropertyDescriptors.

Returns -1 if there is no default property.

 getEventSetDescriptors

 public abstract EventSetDescriptor[] getEventSetDescriptors()

Returns:

An array of EventSetDescriptors describing the kinds of events fired by this bean. May return null if the information should be obtained by automatic analysis.

 getIcon

 public abstract Image getIcon(int iconKind)

This method returns an image object that can be used to represent the bean in toolboxes, toolbars, etc. Icon images will typically be GIFs, but may in future include other formats.

Beans aren't required to provide icons and may return null from this method.

There are four possible flavors of icons (16x16 color, 32x32 color, 16x16 mono, 32x32 mono). If a bean choses to only support a single icon we recommend supporting 16x16 color.

We recommend that icons have a "transparent" background so they can be rendered onto an existing background.

Parameters:

iconKind - The kind of icon requested. This should be one of the constant values ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, or ICON_MONO_32x32.

Returns:

An image object representing the requested icon. May return null if no suitable icon is available.

 getMethodDescriptors

 public abstract MethodDescriptor[] getMethodDescriptors()

Returns:

An array of MethodDescriptors describing the externally visible methods supported by this bean. May return null if the information should be obtained by automatic analysis.

 getPropertyDescriptors

 public abstract PropertyDescriptor[] getPropertyDescriptors()

Returns:

An array of PropertyDescriptors describing the editable properties supported by this bean. May return null if the information should be obtained by automatic analysis.

If a property is indexed, then its entry in the result array will belong to the IndexedPropertyDescriptor subclass of PropertyDescriptor. A client of getPropertyDescriptors can use "instanceof" to check if a given PropertyDescriptor is an IndexedPropertyDescriptor.


 Interface java.beans.Customizer

public interface Customizer

A customizer class provides a complete custom GUI for customizing a target Java Bean.

Each customizer should inherit from the java.awt.Component class so it can be instantiated inside an AWT dialog or panel.

Each customizer should have a null constructor.

 addPropertyChangeListener(PropertyChangeListener)

Register a listener for the PropertyChange event.

 removePropertyChangeListener(PropertyChangeListener)

Remove a listener for the PropertyChange event.

 setObject(Object)

Set the object to be customized.

 addPropertyChangeListener

 public abstract void addPropertyChangeListener(PropertyChangeListener listener)

Register a listener for the PropertyChange event. The customizer should fire a PropertyChange event whenever it changes the target bean in a way that might require the displayed properties to be refreshed.

Parameters:

listener - An object to be invoked when a PropertyChange event is fired.

 removePropertyChangeListener

 public abstract void removePropertyChangeListener(PropertyChangeListener listener)

Remove a listener for the PropertyChange event.

Parameters:

listener - The PropertyChange listener to be removed.

 setObject

 public abstract void setObject(Object bean)

Set the object to be customized. This method should be called only once, before the Customizer has been added to any parent AWT container.

Parameters:

bean - The object to be customized.


 Interface java.beans.PropertyChangeListener

public interface PropertyChangeListener
   extends EventListener

A "PropertyChange" event gets fired whenever a bean changes a "bound" property. You can register a PropertyChangeListener with a source bean so as to be notified of any bound property updates.

 propertyChange(PropertyChangeEvent)

This method gets called when a bound property is changed.

 propertyChange

 public abstract void propertyChange(PropertyChangeEvent evt)

This method gets called when a bound property is changed.

Parameters:

evt - A PropertyChangeEvent object describing the event source and the property that has changed.


 Interface java.beans.PropertyEditor

public interface PropertyEditor

A PropertyEditor class provides support for GUIs that want to allow users to edit a property value of a given type.

PropertyEditor supports a variety of different kinds of ways of displaying and updating property values. Most PropertyEditors will only need to support a subset of the different options available in this API.

Simple PropertyEditors may only support the getAsText and setAsText methods and need not support (say) paintValue or getCustomEditor. More complex types may be unable to support getAsText and setAsText but will instead support paintValue and getCustomEditor.

Every propertyEditor must support one or more of the three simple display styles. Thus it can either (1) support isPaintable or (2) both return a non-null String[] from getTags() and return a non-null value from getAsText or (3) simply return a non-null String from getAsText().

Every property editor must support a call on setValue when the argument object is of the type for which this is the corresponding propertyEditor. In addition, each property editor must either support a custom editor, or support setAsText.

Each PropertyEditor should have a null constructor.

 addPropertyChangeListener(PropertyChangeListener)

Register a listener for the PropertyChange event.

 getAsText()

 getCustomEditor()

A PropertyEditor may choose to make available a full custom Component that edits its property value.

 getJavaInitializationString()

This method is intended for use when generating Java code to set the value of the property.

 getTags()

If the property value must be one of a set of known tagged values, then this method should return an array of the tags.

 getValue()

 isPaintable()

 paintValue(Graphics, Rectangle)

Paint a representation of the value into a given area of screen real estate.

 removePropertyChangeListener(PropertyChangeListener)

Remove a listener for the PropertyChange event.

 setAsText(String)

Set the property value by parsing a given String.

 setValue(Object)

Set (or change) the object that is to be edited.

 supportsCustomEditor()

 addPropertyChangeListener

 public abstract void addPropertyChangeListener(PropertyChangeListener listener)

Register a listener for the PropertyChange event. When a PropertyEditor changes its value it should fire a PropertyChange event on all registered PropertyChangeListeners, specifying the null value for the property name and itself as the source.

Parameters:

listener - An object to be invoked when a PropertyChange event is fired.

 getAsText

 public abstract String getAsText()

Returns:

The property value as a human editable string.

Returns null if the value can't be expressed as an editable string.

If a non-null value is returned, then the PropertyEditor should be prepared to parse that string back in setAsText().

 getCustomEditor

 public abstract Component getCustomEditor()

A PropertyEditor may choose to make available a full custom Component that edits its property value. It is the responsibility of the PropertyEditor to hook itself up to its editor Component itself and to report property value changes by firing a PropertyChange event.

The higher-level code that calls getCustomEditor may either embed the Component in some larger property sheet, or it may put it in its own individual dialog, or ...

Returns:

A java.awt.Component that will allow a human to directly edit the current property value. May be null if this is not supported.

 getJavaInitializationString

 public abstract String getJavaInitializationString()

This method is intended for use when generating Java code to set the value of the property. It should return a fragment of Java code that can be used to initialize a variable with the current property value.

Example results are "2", "new Color(127,127,34)", "Color.orange", etc.

Returns:

A fragment of Java code representing an initializer for the current value.

 getTags

 public abstract String[] getTags()

If the property value must be one of a set of known tagged values, then this method should return an array of the tags. This can be used to represent (for example) enum values. If a PropertyEditor supports tags, then it should support the use of setAsText with a tag value as a way of setting the value and the use of getAsText to identify the current value.

Returns:

The tag values for this property. May be null if this property cannot be represented as a tagged value.

 getValue

 public abstract Object getValue()

Returns:

The value of the property. Builtin types such as "int" will be wrapped as the corresponding object type such as "java.lang.Integer".

 isPaintable

 public abstract boolean isPaintable()

Returns:

True if the class will honor the paintValue method.

 paintValue

 public abstract void paintValue(Graphics gfx,
                                 Rectangle box)

Paint a representation of the value into a given area of screen real estate. Note that the propertyEditor is responsible for doing its own clipping so that it fits into the given rectangle.

If the PropertyEditor doesn't honor paint requests (see isPaintable) this method should be a silent noop.

The given Graphics object will have the default font, color, etc of the parent container. The PropertyEditor may change graphics attributes such as font and color and doesn't need to restore the old values.

Parameters:

gfx - Graphics object to paint into.

box - Rectangle within graphics object into which we should paint.

 removePropertyChangeListener

 public abstract void removePropertyChangeListener(PropertyChangeListener listener)

Remove a listener for the PropertyChange event.

Parameters:

listener - The PropertyChange listener to be removed.

 setAsText

 public abstract void setAsText(String text) throws IllegalArgumentException

Set the property value by parsing a given String. May raise java.lang.IllegalArgumentException if either the String is badly formatted or if this kind of property can't be expressed as text.

Parameters:

text - The string to be parsed.

 setValue

 public abstract void setValue(Object value)

Set (or change) the object that is to be edited. Builtin types such as "int" must be wrapped as the corresponding object type such as "java.lang.Integer".

Parameters:

value - The new target object to be edited. Note that this object should not be modified by the PropertyEditor, rather the PropertyEditor should create a new object to hold any modified value.

 supportsCustomEditor

 public abstract boolean supportsCustomEditor()

Returns:

True if the propertyEditor can provide a custom editor.


 Interface java.beans.VetoableChangeListener

public interface VetoableChangeListener
   extends EventListener

A VetoableChange event gets fired whenever a bean changes a "constrained" property. You can register a VetoableChangeListener with a source bean so as to be notified of any constrained property updates.

 vetoableChange(PropertyChangeEvent)

This method gets called when a constrained property is changed.

 vetoableChange

 public abstract void vetoableChange(PropertyChangeEvent evt) throws PropertyVetoException

This method gets called when a constrained property is changed.

Parameters:

evt - a PropertyChangeEvent object describing the event source and the property that has changed.

Throws: PropertyVetoException

if the recipient wishes the property change to be rolled back.


 Interface java.beans.Visibility

public interface Visibility

Under some circumstances a bean may be run on servers where a GUI is not available. This interface can be used to query a bean to determine whether it absolutely needs a gui, and to advise the bean whether a GUI is available.

This interface is for expert developers, and is not needed for normal simple beans. To avoid confusing end-users we avoid using getXXX setXXX design patterns for these methods.

 avoidingGui()

 dontUseGui()

This method instructs the bean that it should not use the Gui.

 needsGui()

 okToUseGui()

This method instructs the bean that it is OK to use the Gui.

 avoidingGui

 public abstract boolean avoidingGui()

Returns:

true if the bean is currently avoiding use of the Gui. e.g. due to a call on dontUseGui().

 dontUseGui

 public abstract void dontUseGui()

This method instructs the bean that it should not use the Gui.

 needsGui

 public abstract boolean needsGui()

Returns:

True if the bean absolutely needs a GUI available in order to get its work done.

 okToUseGui

 public abstract void okToUseGui()

This method instructs the bean that it is OK to use the Gui.


 Class java.beans.BeanDescriptor

java.lang.Object
   |
   +----java.beans.FeatureDescriptor
           |
           +----java.beans.BeanDescriptor

public class BeanDescriptor
   extends FeatureDescriptor

A BeanDescriptor provides global information about a "bean", including its Java class, its displayName, etc.

This is one of the kinds of descriptor returned by a BeanInfo object, which also returns descriptors for properties, method, and events.

 BeanDescriptor(Class)

Create a BeanDescriptor for a bean that doesn't have a customizer.

 BeanDescriptor(Class, Class)

Create a BeanDescriptor for a bean that has a customizer.

 getBeanClass()

 getCustomizerClass()

 BeanDescriptor

 public BeanDescriptor(Class beanClass)

Create a BeanDescriptor for a bean that doesn't have a customizer.

Parameters:

beanClass - The Class object of the Java class that implements the bean. For example sun.beans.OurButton.class.

 BeanDescriptor

 public BeanDescriptor(Class beanClass,
                       Class customizerClass)

Create a BeanDescriptor for a bean that has a customizer.

Parameters:

beanClass - The Class object of the Java class that implements the bean. For example sun.beans.OurButton.class.

customizerClass - The Class object of the Java class that implements the bean's Customizer. For example sun.beans.OurButtonCustomizer.class.

 getBeanClass

 public Class getBeanClass()

Returns:

The Class object for the bean.

 getCustomizerClass

 public Class getCustomizerClass()

Returns:

The Class object for the bean's customizer. This may be null if the bean doesn't have a customizer.


 Class java.beans.Beans

java.lang.Object
   |
   +----java.beans.Beans

public class Beans
   extends Object

This class provides some general purpose beans control methods.

 Beans()

 getInstanceOf(Object, Class)

From a given bean, obtain an object representing a specified type view of that source object.

 instantiate(ClassLoader, String)

Instantiate a bean.

 isDesignTime()

Test if we are in design-mode.

 isGuiAvailable()

 isInstanceOf(Object, Class)

Check if a bean can be viewed as a given target type.

 setDesignTime(boolean)

Used to indicate whether of not we are running in an application builder environment.

 setGuiAvailable(boolean)

Used to indicate whether of not we are running in an environment where GUI interaction is available.

 Beans

 public Beans()

 getInstanceOf

 public static Object getInstanceOf(Object bean,
                                    Class targetType)

From a given bean, obtain an object representing a specified type view of that source object.

The result may be the same object or a different object. If the requested target view isn't available then the given bean is returned.

This method is provided in Beans 1.0 as a hook to allow the addition of more flexible bean behaviour in the future.

Parameters:

obj - Object from which we want to obtain a view.

targetType - The type of view we'd like to get.

 instantiate

 public static Object instantiate(ClassLoader cls,
                                  String beanName) throws IOException, ClassNotFoundException

Instantiate a bean.

The bean is created based on a name relative to a class-loader. This name should be a dot-separated name such as "a.b.c".

In Beans 1.0 the given name can indicate either a serialized object or a class. Other mechanisms may be added in the future. In beans 1.0 we first try to treat the beanName as a serialized object name then as a class name.

When using the beanName as a serialized object name we convert the given beanName to a resource pathname and add a trailing ".ser" suffix. We then try to load a serialized object from that resource.

For example, given a beanName of "x.y", Beans.instantiate would first try to read a serialized object from the resource "x/y.ser" and if that failed it would try to load the class "x.y" and create an instance of that class.

If the bean is a subtype of java.applet.Applet, then it is given some special initialization. First, it is supplied with a default AppletStub and AppletContext. Second, if it was instantiated from a classname the applet's "init" method is called. (If the bean was deserialized this step is skipped.)

Note that for beans which are applets, it is the caller's responsiblity to call "start" on the applet. For correct behaviour, this should be done after the applet has been added into a visible AWT container.

Note that applets created via beans.instantiate run in a slightly different environment than applets running inside browsers. In particular, bean applets have no access to "parameters", so they may wish to provide property get/set methods to set parameter values. We advise bean-applet developers to test their bean-applets against both the JDK appletviewer (for a reference browser environment) and the BDK BeanBox (for a reference bean container).

Parameters:

classLoader - the class-loader from which we should create the bean. If this is null, then the system class-loader is used.

beanName - the name of the bean within the class-loader. For example "sun.beanbox.foobah"

Throws: ClassNotFoundException

if the class of a serialized object could not be found.

Throws: IOException

if an I/O error occurs.

 isDesignTime

 public static boolean isDesignTime()

Test if we are in design-mode.

Returns:

True if we are running in an application construction environment.

 isGuiAvailable

 public static boolean isGuiAvailable()

Returns:

True if we are running in an environment where beans can assume that an interactive GUI is available, so they can pop up dialog boxes, etc. This will normally return true in a windowing environment, and will normally return false in a server environment or if an application is running as part of a batch job.

 isInstanceOf

 public static boolean isInstanceOf(Object bean,
                                    Class targetType)

Check if a bean can be viewed as a given target type. The result will be true if the Beans.getInstanceof method can be used on the given bean to obtain an object that represents the specified targetType type view.

Parameters:

bean - Bean from which we want to obtain a view.

targetType - The type of view we'd like to get.

Returns:

"true" if the given bean supports the given targetType.

 setDesignTime

 public static void setDesignTime(boolean isDesignTime) throws SecurityException

Used to indicate whether of not we are running in an application builder environment. Note that this method is security checked and is not available to (for example) untrusted applets.

Parameters:

isDesignTime - True if we're in an application builder tool.

 setGuiAvailable

 public static void setGuiAvailable(boolean isGuiAvailable) throws SecurityException

Used to indicate whether of not we are running in an environment where GUI interaction is available. Note that this method is security checked and is not available to (for example) untrusted applets.

Parameters:

isGuiAvailable - True if GUI interaction is available.


 Class java.beans.EventSetDescriptor

java.lang.Object
   |
   +----java.beans.FeatureDescriptor
           |
           +----java.beans.EventSetDescriptor

public class EventSetDescriptor
   extends FeatureDescriptor

An EventSetDescriptor describes a group of events that a given Java bean fires.

The given group of events are all delivered as method calls on a single event listener interface, and an event listener object can be registered via a call on a registration method supplied by the event source.

 EventSetDescriptor(Class, String, Class, String)

This constructor creates an EventSetDescriptor assuming that you are following the most simple standard design pattern where a named event "fred" is (1) delivered as a call on the single method of interface FredListener, (2) has a single argument of type FredEvent, and (3) where the FredListener may be registered with a call on an addFredListener method of the source component and removed with a call on a removeFredListener method.

 EventSetDescriptor(Class, String, Class, String[], String, String)

This constructor creates an EventSetDescriptor from scratch using string names.

 EventSetDescriptor(String, Class, Method[], Method, Method)

This constructor creates an EventSetDescriptor from scratch using java.lang.reflect.Method and java.lang.Class objects.

 EventSetDescriptor(String, Class, MethodDescriptor[], Method, Method)

This constructor creates an EventSetDescriptor from scratch using java.lang.reflect.MethodDescriptor and java.lang.Class objects.

 getAddListenerMethod()

 getListenerMethodDescriptors()

 getListenerMethods()

 getListenerType()

 getRemoveListenerMethod()

 isInDefaultEventSet()

Report if an event set is in the "default set".

 isUnicast()

Normally event sources are multicast.

 setInDefaultEventSet(boolean)

Mark an event set as being in the "default" set (or not).

 setUnicast(boolean)

Mark an event set as unicast (or not).

 EventSetDescriptor

 public EventSetDescriptor(Class sourceClass,
                           String eventSetName,
                           Class listenerType,
                           String listenerMethodName) throws IntrospectionException

This constructor creates an EventSetDescriptor assuming that you are following the most simple standard design pattern where a named event "fred" is (1) delivered as a call on the single method of interface FredListener, (2) has a single argument of type FredEvent, and (3) where the FredListener may be registered with a call on an addFredListener method of the source component and removed with a call on a removeFredListener method.

Parameters:

sourceClass - The class firing the event.

eventSetName - The programmatic name of the event. E.g. "fred". Note that this should normally start with a lower-case character.

listenerType - The target interface that events will get delivered to.

listenerMethodName - The method that will get called when the event gets delivered to its target listener interface.

Throws: IntrospectionException

if an exception occurs during introspection.

 EventSetDescriptor

 public EventSetDescriptor(Class sourceClass,
                           String eventSetName,
                           Class listenerType,
                           String listenerMethodNames[],
                           String addListenerMethodName,
                           String removeListenerMethodName) throws IntrospectionException

This constructor creates an EventSetDescriptor from scratch using string names.

Parameters:

sourceClass - The class firing the event.

eventSetName - The programmatic name of the event set. Note that this should normally start with a lower-case character.

listenerType - The Class of the target interface that events will get delivered to.

listenerMethodNames - The names of the methods that will get called when the event gets delivered to its target listener interface.

addListenerMethodName - The name of the method on the event source that can be used to register an event listener object.

removeListenerMethodName - The name of the method on the event source that can be used to de-register an event listener object.

Throws: IntrospectionException

if an exception occurs during introspection.

 EventSetDescriptor

 public EventSetDescriptor(String eventSetName,
                           Class listenerType,
                           Method listenerMethods[],
                           Method addListenerMethod,
                           Method removeListenerMethod) throws IntrospectionException

This constructor creates an EventSetDescriptor from scratch using java.lang.reflect.Method and java.lang.Class objects.

Parameters:

eventSetName - The programmatic name of the event set.

listenerType - The Class for the listener interface.

listenerMethods - An array of Method objects describing each of the event handling methods in the target listener.

addListenerMethod - The method on the event source that can be used to register an event listener object.

removeListenerMethod - The method on the event source that can be used to de-register an event listener object.

Throws: IntrospectionException

if an exception occurs during introspection.

 EventSetDescriptor

 public EventSetDescriptor(String eventSetName,
                           Class listenerType,
                           MethodDescriptor listenerMethodDescriptors[],
                           Method addListenerMethod,
                           Method removeListenerMethod) throws IntrospectionException

This constructor creates an EventSetDescriptor from scratch using java.lang.reflect.MethodDescriptor and java.lang.Class objects.

Parameters:

eventSetName - The programmatic name of the event set.

listenerType - The Class for the listener interface.

listenerMethodDescriptors - An array of MethodDescriptor objects describing each of the event handling methods in the target listener.

addListenerMethod - The method on the event source that can be used to register an event listener object.

removeListenerMethod - The method on the event source that can be used to de-register an event listener object.

Throws: IntrospectionException

if an exception occurs during introspection.

 getAddListenerMethod

 public Method getAddListenerMethod()

Returns:

The method used to register a listener at the event source.

 getListenerMethodDescriptors

 public MethodDescriptor[] getListenerMethodDescriptors()

Returns:

An array of MethodDescriptor objects for the target methods within the target listener interface that will get called when events are fired.

 getListenerMethods

 public Method[] getListenerMethods()

Returns:

An array of Method objects for the target methods within the target listener interface that will get called when events are fired.

 getListenerType

 public Class getListenerType()

Returns:

The Class object for the target interface that will get invoked when the event is fired.

 getRemoveListenerMethod

 public Method getRemoveListenerMethod()

Returns:

The method used to register a listener at the event source.

 isInDefaultEventSet

 public boolean isInDefaultEventSet()

Report if an event set is in the "default set".

Returns:

True if the event set is in the "default set". Defaults to "true".

 isUnicast

 public boolean isUnicast()

Normally event sources are multicast. However there are some exceptions that are strictly unicast.

Returns:

True if the event set is unicast. Defaults to "false".

 setInDefaultEventSet

 public void setInDefaultEventSet(boolean inDefaultEventSet)

Mark an event set as being in the "default" set (or not). By default this is true.

Parameters:

unicast - True if the event set is unicast.

 setUnicast

 public void setUnicast(boolean unicast)

Mark an event set as unicast (or not).

Parameters:

unicast - True if the event set is unicast.


 Class java.beans.FeatureDescriptor

java.lang.Object
   |
   +----java.beans.FeatureDescriptor

public class FeatureDescriptor
   extends Object

The FeatureDescriptor class is the common baseclass for PropertyDescriptor, EventSetDescriptor, and MethodDescriptor, etc.

It supports some common information that can be set and retrieved for any of the introspection descriptors.

In addition it provides an extension mechanism so that arbitrary attribute/value pairs can be associated with a design feature.

 FeatureDescriptor()

 attributeNames()

 getDisplayName()

 getName()

 getShortDescription()

 getValue(String)

Retrieve a named attribute with this feature.

 isExpert()

The "expert" flag is used to distinguish between those features that are intended for expert users from those that are intended for normal users.

 isHidden()

The "hidden" flag is used to identify features that are intended only for tool use, and which should not be exposed to humans.

 setDisplayName(String)

 setExpert(boolean)

The "expert" flag is used to distinguish between features that are intended for expert users from those that are intended for normal users.

 setHidden(boolean)

The "hidden" flag is used to identify features that are intended only for tool use, and which should not be exposed to humans.

 setName(String)

 setShortDescription(String)

You can associate a short descriptive string with a feature.

 setValue(String, Object)

Associate a named attribute with this feature.

 FeatureDescriptor

 public FeatureDescriptor()

 attributeNames

 public Enumeration attributeNames()

Returns:

An enumeration of the locale-independent names of any attributes that have been registered with setValue.

 getDisplayName

 public String getDisplayName()

Returns:

The localized display name for the property/method/event. This defaults to the same as its programmatic name from getName.

 getName

 public String getName()

Returns:

The programmatic name of the property/method/event

 getShortDescription

 public String getShortDescription()

Returns:

A localized short description associated with this property/method/event. This defaults to be the display name.

 getValue

 public Object getValue(String attributeName)

Retrieve a named attribute with this feature.

Parameters:

attributeName - The locale-independent name of the attribute

Returns:

The value of the attribute. May be null if the attribute is unknown.

 isExpert

 public boolean isExpert()

The "expert" flag is used to distinguish between those features that are intended for expert users from those that are intended for normal users.

Returns:

True if this feature is intended for use by experts only.

 isHidden

 public boolean isHidden()

The "hidden" flag is used to identify features that are intended only for tool use, and which should not be exposed to humans.

Returns:

True if this feature should be hidden from human users.

 setDisplayName

 public void setDisplayName(String displayName)

Parameters:

displayName - The localized display name for the property/method/event.

 setExpert

 public void setExpert(boolean expert)

The "expert" flag is used to distinguish between features that are intended for expert users from those that are intended for normal users.

Parameters:

expert - True if this feature is intended for use by experts only.

 setHidden

 public void setHidden(boolean hidden)

The "hidden" flag is used to identify features that are intended only for tool use, and which should not be exposed to humans.

Parameters:

hidden - True if this feature should be hidden from human users.

 setName

 public void setName(String name)

Parameters:

name - The programmatic name of the property/method/event

 setShortDescription

 public void setShortDescription(String text)

You can associate a short descriptive string with a feature. Normally these descriptive strings should be less than about 40 characters.

Parameters:

text - A (localized) short description to be associated with this property/method/event.

 setValue

 public void setValue(String attributeName,
                      Object value)

Associate a named attribute with this feature.

Parameters:

attributeName - The locale-independent name of the attribute

value - The value.


 Class java.beans.IndexedPropertyDescriptor

java.lang.Object
   |
   +----java.beans.FeatureDescriptor
           |
           +----java.beans.PropertyDescriptor
                   |
                   +----java.beans.IndexedPropertyDescriptor

public class IndexedPropertyDescriptor
   extends PropertyDescriptor

An IndexedPropertyDescriptor describes a property that acts like an array and has an indexed read and/or indexed write method to access specific elements of the array.

An indexed property may also provide simple non-indexed read and write methods. If these are present, they read and write arrays of the type returned by the indexed read method.

 IndexedPropertyDescriptor(String, Class)

This constructor constructs an IndexedPropertyDescriptor for a property that follows the standard Java conventions by having getFoo and setFoo accessor methods, for both indexed access and array access.

 IndexedPropertyDescriptor(String, Class, String, String, String, String)

This constructor takes the name of a simple property, and method names for reading and writing the property, both indexed and non-indexed.

 IndexedPropertyDescriptor(String, Method, Method, Method, Method)

This constructor takes the name of a simple property, and Method objects for reading and writing the property.

 getIndexedPropertyType()

 getIndexedReadMethod()

 getIndexedWriteMethod()

 IndexedPropertyDescriptor

 public IndexedPropertyDescriptor(String propertyName,
                                  Class beanClass) throws IntrospectionException

This constructor constructs an IndexedPropertyDescriptor for a property that follows the standard Java conventions by having getFoo and setFoo accessor methods, for both indexed access and array access.

Thus if the argument name is "fred", it will assume that there is an indexed reader method "getFred", a non-indexed (array) reader method also called "getFred", an indexed writer method "setFred", and finally a non-indexed writer method "setFred".

Parameters:

propertyName - The programmatic name of the property.

beanClass - The Class object for the target bean.

Throws: IntrospectionException

if an exception occurs during introspection.

 IndexedPropertyDescriptor

 public IndexedPropertyDescriptor(String propertyName,
                                  Class beanClass,
                                  String getterName,
                                  String setterName,
                                  String indexedGetterName,
                                  String indexedSetterName) throws IntrospectionException

This constructor takes the name of a simple property, and method names for reading and writing the property, both indexed and non-indexed.

Parameters:

propertyName - The programmatic name of the property.

beanClass - The Class object for the target bean.

getterName - The name of the method used for reading the property values as an array. May be null if the property is write-only or must be indexed.

setterName - The name of the method used for writing the property values as an array. May be null if the property is read-only or must be indexed.

indexedGetterName - The name of the method used for reading an indexed property value. May be null if the property is write-only.

indexedSetterName - The name of the method used for writing an indexed property value. May be null if the property is read-only.

Throws: IntrospectionException

if an exception occurs during introspection.

 IndexedPropertyDescriptor

 public IndexedPropertyDescriptor(String propertyName,
                                  Method getter,
                                  Method setter,
                                  Method indexedGetter,
                                  Method indexedSetter) throws IntrospectionException

This constructor takes the name of a simple property, and Method objects for reading and writing the property.

Parameters:

propertyName - The programmatic name of the property.

getter - The method used for reading the property values as an array. May be null if the property is write-only or must be indexed.

setter - The method used for writing the property values as an array. May be null if the property is read-only or must be indexed.

indexedGetter - The method used for reading an indexed property value. May be null if the property is write-only.

indexedSetter - The method used for writing an indexed property value. May be null if the property is read-only.

Throws: IntrospectionException

if an exception occurs during introspection.

 getIndexedPropertyType

 public Class getIndexedPropertyType()

Returns:

The Java Class for the indexed properties type. Note that the Class may describe a primitive Java type such as "int".

This is the type that will be returned by the indexedReadMethod.

 getIndexedReadMethod

 public Method getIndexedReadMethod()

Returns:

The method that should be used to read an indexed property value. May return null if the property isn't indexed or is write-only.

 getIndexedWriteMethod

 public Method getIndexedWriteMethod()

Returns:

The method that should be used to write an indexed property value. May return null if the property isn't indexed or is read-only.


 Class java.beans.Introspector

java.lang.Object
   |
   +----java.beans.Introspector

public class Introspector
   extends Object

The Introspector class provides a standard way for tools to learn about the properties, events, and methods supported by a target Java Bean.

For each of those three kinds of information, the Introspector will separately analyze the bean's class and superclasses looking for either explicit or implicit information and use that information to build a BeanInfo object that comprehensively describes the target bean.

For each class "Foo", explicit information may be available if there exists a corresponding "FooBeanInfo" class that provides a non-null value when queried for the information. We first look for the BeanInfo class by taking the full package-qualified name of the target bean class and appending "BeanInfo" to form a new class name. If this fails, then we take the final classname component of this name, and look for that class in each of the packages specified in the BeanInfo package search path.

Thus for a class such as "sun.xyz.OurButton" we would first look for a BeanInfo class called "sun.xyz.OurButtonBeanInfo" and if that failed we'd look in each package in the BeanInfo search path for an OurButtonBeanInfo class. With the default search path, this would mean looking for "sun.beans.infos.OurButtonBeanInfo".

If a class provides explicit BeanInfo about itself then we add that to the BeanInfo information we obtained from analyzing any derived classes, but we regard the explicit information as being definitive for the current class and its base classes, and do not proceed any further up the superclass chain.

If we don't find explicit BeanInfo on a class, we use low-level reflection to study the methods of the class and apply standard design patterns to identify property accessors, event sources, or public methods. We then proceed to analyze the class's superclass and add in the information from it (and possibly on up the superclass chain).

 decapitalize(String)

Utility method to take a string and convert it to normal Java variable name capitalization.

 getBeanInfo(Class)

Introspect on a Java bean and learn about all its properties, exposed methods, and events.

 getBeanInfo(Class, Class)

Introspect on a Java bean and learn all about its properties, exposed methods, below a given "stop" point.

 getBeanInfoSearchPath()

 setBeanInfoSearchPath(String[])

Change the list of package names that will be used for finding BeanInfo classes.

 decapitalize

 public static String decapitalize(String name)

Utility method to take a string and convert it to normal Java variable name capitalization. This normally means converting the first character from upper case to lower case, but in the (unusual) special case when there is more than one character and both the first and second characters are upper case, we leave it alone.

Thus "FooBah" becomes "fooBah" and "X" becomes "x", but "URL" stays as "URL".

Parameters:

name - The string to be decapitalized.

Returns:

The decapitalized version of the string.

 getBeanInfo

 public static BeanInfo getBeanInfo(Class beanClass) throws IntrospectionException

Introspect on a Java bean and learn about all its properties, exposed methods, and events.

Parameters:

beanClass - The bean class to be analyzed.

Returns:

A BeanInfo object describing the target bean.

Throws: IntrospectionException

if an exception occurs during introspection.

 getBeanInfo

 public static BeanInfo getBeanInfo(Class beanClass,
                                    Class stopClass) throws IntrospectionException

Introspect on a Java bean and learn all about its properties, exposed methods, below a given "stop" point.

Parameters:

bean - The bean class to be analyzed.

stopClass - The baseclass at which to stop the analysis. Any methods/properties/events in the stopClass or in its baseclasses will be ignored in the analysis.

Throws: IntrospectionException

if an exception occurs during introspection.

 getBeanInfoSearchPath

 public static String[] getBeanInfoSearchPath()

Returns:

The array of package names that will be searched in order to find BeanInfo classes.

This is initially set to {"sun.beans.infos"}.

 setBeanInfoSearchPath

 public static void setBeanInfoSearchPath(String path[])

Change the list of package names that will be used for finding BeanInfo classes.

Parameters:

path - Array of package names.


 Class java.beans.MethodDescriptor

java.lang.Object
   |
   +----java.beans.FeatureDescriptor
           |
           +----java.beans.MethodDescriptor

public class MethodDescriptor
   extends FeatureDescriptor

A MethodDescriptor describes a particular method that a Java Bean supports for external access from other components.

 MethodDescriptor(Method)

 MethodDescriptor(Method, ParameterDescriptor[])

 getMethod()

 getParameterDescriptors()

 MethodDescriptor

 public MethodDescriptor(Method method)

Parameters:

method - The low-level method information.

 MethodDescriptor

 public MethodDescriptor(Method method,
                         ParameterDescriptor parameterDescriptors[])

Parameters:

method - The low-level method information.

parameterDescriptors - Descriptive information for each of the method's parameters.

 getMethod

 public Method getMethod()

Returns:

The low-level description of the method

 getParameterDescriptors

 public ParameterDescriptor[] getParameterDescriptors()

Returns:

The locale-independent names of the parameters. May return a null array if the parameter names aren't known.


 Class java.beans.ParameterDescriptor

java.lang.Object
   |
   +----java.beans.FeatureDescriptor
           |
           +----java.beans.ParameterDescriptor

public class ParameterDescriptor
   extends FeatureDescriptor

The ParameterDescriptor class allows bean implementors to provide additional information on each of their parameters, beyond the low level type information provided by the java.lang.reflect.Method class.

Currently all our state comes from the FeatureDescriptor base class.

 ParameterDescriptor()

 ParameterDescriptor

 public ParameterDescriptor()


 Class java.beans.PropertyChangeEvent

java.lang.Object
   |
   +----java.util.EventObject
           |
           +----java.beans.PropertyChangeEvent

public class PropertyChangeEvent
   extends EventObject

A "PropertyChange" event gets delivered whenever a bean changes a "bound" or "constrained" property. A PropertyChangeEvent object is sent as an argument to the PropertyChangeListener and VetoableChangeListener methods.

Normally PropertyChangeEvents are accompanied by the name and the old and new value of the changed property. If the new value is a builtin type (such as int or boolean) it must be wrapped as the corresponding java.lang.* Object type (such as Integer or Boolean).

Null values may be provided for the old and the new values if their true values are not known.

An event source may send a null object as the name to indicate that an arbitrary set of if its properties have changed. In this case the old and new values should also be null.

 PropertyChangeEvent(Object, String, Object, Object)

 getNewValue()

 getOldValue()

 getPropagationId()

The "propagationId" field is reserved for future use.

 getPropertyName()

 setPropagationId(Object)

 PropertyChangeEvent

 public PropertyChangeEvent(Object source,
                            String propertyName,
                            Object oldValue,
                            Object newValue)

Parameters:

source - The bean that fired the event.

propertyName - The programmatic name of the property that was changed.

oldValue - The old value of the property.

newValue - The new value of the property.

 getNewValue

 public Object getNewValue()

Returns:

The new value for the property, expressed as an Object. May be null if multiple properties have changed.

 getOldValue

 public Object getOldValue()

Returns:

The old value for the property, expressed as an Object. May be null if multiple properties have changed.

 getPropagationId

 public Object getPropagationId()

The "propagationId" field is reserved for future use. In Beans 1.0 the sole requirement is that if a listener catches a PropertyChangeEvent and then fires a PropertyChangeEvent of its own, then it should make sure that it propagates the propagationId field from its incoming event to its outgoing event.

Returns:

the propagationId object associated with a bound/constrained property update.

 getPropertyName

 public String getPropertyName()

Returns:

The programmatic name of the property that was changed. May be null if multiple properties have changed.

 setPropagationId

 public void setPropagationId(Object propagationId)

Parameters:

propagationId - The propagationId object for the event.


 Class java.beans.PropertyChangeSupport

java.lang.Object
   |
   +----java.beans.PropertyChangeSupport

public class PropertyChangeSupport
   extends Object
   implements Serializable

This is a utility class that can be used by beans that support bound properties. You can use an instance of this class as a member field of your bean and delegate various work to it.

 PropertyChangeSupport(Object)

 addPropertyChangeListener(PropertyChangeListener)

Add a PropertyChangeListener to the listener list.

 firePropertyChange(String, Object, Object)

Report a bound property update to any registered listeners.

 removePropertyChangeListener(PropertyChangeListener)

Remove a PropertyChangeListener from the listener list.

 PropertyChangeSupport

 public PropertyChangeSupport(Object sourceBean)

 addPropertyChangeListener

 public synchronized void addPropertyChangeListener(PropertyChangeListener listener)

Add a PropertyChangeListener to the listener list.

Parameters:

listener - The PropertyChangeListener to be added

 firePropertyChange

 public void firePropertyChange(String propertyName,
                                Object oldValue,
                                Object newValue)

Report a bound property update to any registered listeners. No event is fired if old and new are equal and non-null.

Parameters:

propertyName - The programmatic name of the property that was changed.

oldValue - The old value of the property.

newValue - The new value of the property.

 removePropertyChangeListener

 public synchronized void removePropertyChangeListener(PropertyChangeListener listener)

Remove a PropertyChangeListener from the listener list.

Parameters:

listener - The PropertyChangeListener to be removed


 Class java.beans.PropertyDescriptor

java.lang.Object
   |
   +----java.beans.FeatureDescriptor
           |
           +----java.beans.PropertyDescriptor

public class PropertyDescriptor
   extends FeatureDescriptor

A PropertyDescriptor describes one property that a Java Bean exports via a pair of accessor methods.

 PropertyDescriptor(String, Class)

Constructs a PropertyDescriptor for a property that follows the standard Java convention by having getFoo and setFoo accessor methods.

 PropertyDescriptor(String, Class, String, String)

This constructor takes the name of a simple property, and method names for reading and writing the property.

 PropertyDescriptor(String, Method, Method)

This constructor takes the name of a simple property, and Method objects for reading and writing the property.

 getPropertyEditorClass()

 getPropertyType()

 getReadMethod()

 getWriteMethod()

 isBound()

Updates to "bound" properties will cause a "PropertyChange" event to get fired when the property is changed.

 isConstrained()

Attempted updates to "Constrained" properties will cause a "VetoableChange" event to get fired when the property is changed.

 setBound(boolean)

Updates to "bound" properties will cause a "PropertyChange" event to get fired when the property is changed.

 setConstrained(boolean)

Attempted updates to "Constrained" properties will cause a "VetoableChange" event to get fired when the property is changed.

 setPropertyEditorClass(Class)

Normally PropertyEditors will be found using the PropertyEditorManager.

 PropertyDescriptor

 public PropertyDescriptor(String propertyName,
                           Class beanClass) throws IntrospectionException

Constructs a PropertyDescriptor for a property that follows the standard Java convention by having getFoo and setFoo accessor methods. Thus if the argument name is "fred", it will assume that the reader method is "getFred" and the writer method is "setFred". Note that the property name should start with a lower case character, which will be capitalized in the method names.

Parameters:

propertyName - The programmatic name of the property.

beanClass - The Class object for the target bean. For example sun.beans.OurButton.class.

Throws: IntrospectionException

if an exception occurs during introspection.

 PropertyDescriptor

 public PropertyDescriptor(String propertyName,
                           Class beanClass,
                           String getterName,
                           String setterName) throws IntrospectionException

This constructor takes the name of a simple property, and method names for reading and writing the property.

Parameters:

propertyName - The programmatic name of the property.

beanClass - The Class object for the target bean. For example sun.beans.OurButton.class.

getterName - The name of the method used for reading the property value. May be null if the property is write-only.

setterName - The name of the method used for writing the property value. May be null if the property is read-only.

Throws: IntrospectionException

if an exception occurs during introspection.

 PropertyDescriptor

 public PropertyDescriptor(String propertyName,
                           Method getter,
                           Method setter) throws IntrospectionException

This constructor takes the name of a simple property, and Method objects for reading and writing the property.

Parameters:

propertyName - The programmatic name of the property.

getter - The method used for reading the property value. May be null if the property is write-only.

setter - The method used for writing the property value. May be null if the property is read-only.

Throws: IntrospectionException

if an exception occurs during introspection.

 getPropertyEditorClass

 public Class getPropertyEditorClass()

Returns:

Any explicit PropertyEditor Class that has been registered for this property. Normally this will return "null", indicating that no special editor has been registered, so the PropertyEditorManager should be used to locate a suitable PropertyEditor.

 getPropertyType

 public Class getPropertyType()

Returns:

The Java type info for the property. Note that the "Class" object may describe a built-in Java type such as "int". The result may be "null" if this is an indexed property that does not support non-indexed access.

This is the type that will be returned by the ReadMethod.

 getReadMethod

 public Method getReadMethod()

Returns:

The method that should be used to read the property value. May return null if the property can't be read.

 getWriteMethod

 public Method getWriteMethod()

Returns:

The method that should be used to write the property value. May return null if the property can't be written.

 isBound

 public boolean isBound()

Updates to "bound" properties will cause a "PropertyChange" event to get fired when the property is changed.

Returns:

True if this is a bound property.

 isConstrained

 public boolean isConstrained()

Attempted updates to "Constrained" properties will cause a "VetoableChange" event to get fired when the property is changed.

Returns:

True if this is a constrained property.

 setBound

 public void setBound(boolean bound)

Updates to "bound" properties will cause a "PropertyChange" event to get fired when the property is changed.

Parameters:

bound - True if this is a bound property.

 setConstrained

 public void setConstrained(boolean constrained)

Attempted updates to "Constrained" properties will cause a "VetoableChange" event to get fired when the property is changed.

Parameters:

constrained - True if this is a constrained property.

 setPropertyEditorClass

 public void setPropertyEditorClass(Class propertyEditorClass)

Normally PropertyEditors will be found using the PropertyEditorManager. However if for some reason you want to associate a particular PropertyEditor with a given property, then you can do it with this method.

Parameters:

propertyEditorClass - The Class for the desired PropertyEditor.


 Class java.beans.PropertyEditorManager

java.lang.Object
   |
   +----java.beans.PropertyEditorManager

public class PropertyEditorManager
   extends Object

The PropertyEditorManager can be used to locate a property editor for any given type name. This property editor must support the java.beans.PropertyEditor interface for editing a given object.

The PropertyEditorManager uses three techniques for locating an editor for a given type. First, it provides a registerEditor method to allow an editor to be specifically registered for a given type. Second it tries to locate a suitable class by adding "Editor" to the full qualified classname of the given type (e.g. "foo.bah.FozEditor"). Finally it takes the simple classname (without the package name) adds "Editor" to it and looks in a search-path of packages for a matching class.

So for an input class foo.bah.Fred, the PropertyEditorManager would first look in its tables to see if an editor had been registered for foo.bah.Fred and if so use that. Then it will look for a foo.bah.FredEditor class. Then it will look for (say) standardEditorsPackage.FredEditor class.

Default PropertyEditors will be provided for the Java builtin types "boolean", "byte", "short", "int", "long", "float", and "double"; and for the classes java.lang.String. java.awt.Color, and java.awt.Font.

 PropertyEditorManager()

 findEditor(Class)

Locate a value editor for a given target type.

 getEditorSearchPath()

 registerEditor(Class, Class)

Register an editor class to be used to editor values of a given target class.

 setEditorSearchPath(String[])

Change the list of package names that will be used for finding property editors.

 PropertyEditorManager

 public PropertyEditorManager()

 findEditor

 public static PropertyEditor findEditor(Class targetType)

Locate a value editor for a given target type.

Parameters:

targetType - The Class object for the type to be edited

Returns:

An editor object for the given target class. The result is null if no suitable editor can be found.

 getEditorSearchPath

 public static String[] getEditorSearchPath()

Returns:

The array of package names that will be searched in order to find property editors.

This is initially set to {"sun.beans.editors"}.

 registerEditor

 public static void registerEditor(Class targetType,
                                   Class editorClass)

Register an editor class to be used to editor values of a given target class.

Parameters:

targetType - the Class object of the type to be edited

editorClass - the Class object of the editor class. If this is null, then any existing definition will be removed.

 setEditorSearchPath

 public static void setEditorSearchPath(String path[])

Change the list of package names that will be used for finding property editors.

Parameters:

path - Array of package names.


 Class java.beans.PropertyEditorSupport

java.lang.Object
   |
   +----java.beans.PropertyEditorSupport

public class PropertyEditorSupport
   extends Object
   implements PropertyEditor

 PropertyEditorSupport()

Constructor for use by derived PropertyEditor classes.

 PropertyEditorSupport(Object)

Constructor for use when a PropertyEditor is delegating to us.

 addPropertyChangeListener(PropertyChangeListener)

Register a listener for the PropertyChange event.

 firePropertyChange()

Report that we have been modified to any interested listeners.

 getAsText()

 getCustomEditor()

A PropertyEditor may chose to make available a full custom Component that edits its property value.

 getJavaInitializationString()

This method is intended for use when generating Java code to set the value of the property.

 getTags()

If the property value must be one of a set of known tagged values, then this method should return an array of the tag values.

 getValue()

 isPaintable()

 paintValue(Graphics, Rectangle)

Paint a representation of the value into a given area of screen real estate.

 removePropertyChangeListener(PropertyChangeListener)

Remove a listener for the PropertyChange event.

 setAsText(String)

Set the property value by parsing a given String.

 setValue(Object)

Set (or change) the object that is to be edited.

 supportsCustomEditor()

 PropertyEditorSupport

 protected PropertyEditorSupport()

Constructor for use by derived PropertyEditor classes.

 PropertyEditorSupport

 protected PropertyEditorSupport(Object source)

Constructor for use when a PropertyEditor is delegating to us.

Parameters:

source - The source to use for any events we fire.

 addPropertyChangeListener

 public synchronized void addPropertyChangeListener(PropertyChangeListener listener)

Register a listener for the PropertyChange event. The class will fire a PropertyChange value whenever the value is updated.

Parameters:

listener - An object to be invoked when a PropertyChange event is fired.

 firePropertyChange

 public void firePropertyChange()

Report that we have been modified to any interested listeners.

Parameters:

source - The PropertyEditor that caused the event.

 getAsText

 public String getAsText()

Returns:

The property value as a string suitable for presentation to a human to edit.

Returns "null" is the value can't be expressed as a string.

If a non-null value is returned, then the PropertyEditor should be prepared to parse that string back in setAsText().

 getCustomEditor

 public Component getCustomEditor()

A PropertyEditor may chose to make available a full custom Component that edits its property value. It is the responsibility of the PropertyEditor to hook itself up to its editor Component itself and to report property value changes by firing a PropertyChange event.

The higher-level code that calls getCustomEditor may either embed the Component in some larger property sheet, or it may put it in its own individual dialog, or ...

Returns:

A java.awt.Component that will allow a human to directly edit the current property value. May be null if this is not supported.

 getJavaInitializationString

 public String getJavaInitializationString()

This method is intended for use when generating Java code to set the value of the property. It should return a fragment of Java code that can be used to initialize a variable with the current property value.

Example results are "2", "new Color(127,127,34)", "Color.orange", etc.

Returns:

A fragment of Java code representing an initializer for the current value.

 getTags

 public String[] getTags()

If the property value must be one of a set of known tagged values, then this method should return an array of the tag values. This can be used to represent (for example) enum values. If a PropertyEditor supports tags, then it should support the use of setAsText with a tag value as a way of setting the value.

Returns:

The tag values for this property. May be null if this property cannot be represented as a tagged value.

 getValue

 public Object getValue()

Returns:

The value of the property.

 isPaintable

 public boolean isPaintable()

Returns:

True if the class will honor the paintValue method.

 paintValue

 public void paintValue(Graphics gfx,
                        Rectangle box)

Paint a representation of the value into a given area of screen real estate. Note that the propertyEditor is responsible for doing its own clipping so that it fits into the given rectangle.

If the PropertyEditor doesn't honor paint requests (see isPaintable) this method should be a silent noop.

Parameters:

gfx - Graphics object to paint into.

box - Rectangle within graphics object into which we should paint.

 removePropertyChangeListener

 public synchronized void removePropertyChangeListener(PropertyChangeListener listener)

Remove a listener for the PropertyChange event.

Parameters:

listener - The PropertyChange listener to be removed.

 setAsText

 public void setAsText(String text) throws IllegalArgumentException

Set the property value by parsing a given String. May raise java.lang.IllegalArgumentException if either the String is badly formatted or if this kind of property can't be expressed as text.

Parameters:

text - The string to be parsed.

 setValue

 public void setValue(Object value)

Set (or change) the object that is to be edited.

Parameters:

value - The new target object to be edited. Note that this object should not be modified by the PropertyEditor, rather the PropertyEditor should create a new object to hold any modified value.

 supportsCustomEditor

 public boolean supportsCustomEditor()

Returns:

True if the propertyEditor can provide a custom editor.


 Class java.beans.SimpleBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo

public class SimpleBeanInfo
   extends Object
   implements BeanInfo

This is a support class to make it easier for people to provide BeanInfo classes.

It defaults to providing "noop" information, and can be selectively overriden to provide more explicit information on chosen topics. When the introspector sees the "noop" values, it will apply low level introspection and design patterns to automatically analyze the target bean.

 SimpleBeanInfo()

 getAdditionalBeanInfo()

Claim there are no other relevant BeanInfo objects.

 getBeanDescriptor()

Deny knowledge about the class and customizer of the bean.

 getDefaultEventIndex()

Deny knowledge of a default event.

 getDefaultPropertyIndex()

Deny knowledge of a default property.

 getEventSetDescriptors()

Deny knowledge of event sets.

 getIcon(int)

Claim there are no icons available.

 getMethodDescriptors()

Deny knowledge of methods.

 getPropertyDescriptors()

Deny knowledge of properties.

 loadImage(String)

This is a utility method to help in loading icon images.

 SimpleBeanInfo

 public SimpleBeanInfo()

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Claim there are no other relevant BeanInfo objects. You may override this if you want to (for example) return a BeanInfo for a base class.

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Deny knowledge about the class and customizer of the bean. You can override this if you wish to provide explicit info.

 getDefaultEventIndex

 public int getDefaultEventIndex()

Deny knowledge of a default event. You can override this if you wish to define a default event for the bean.

 getDefaultPropertyIndex

 public int getDefaultPropertyIndex()

Deny knowledge of a default property. You can override this if you wish to define a default property for the bean.

 getEventSetDescriptors

 public EventSetDescriptor[] getEventSetDescriptors()

Deny knowledge of event sets. You can override this if you wish to provide explicit event set info.

 getIcon

 public Image getIcon(int iconKind)

Claim there are no icons available. You can override this if you want to provide icons for your bean.

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Deny knowledge of methods. You can override this if you wish to provide explicit method info.

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Deny knowledge of properties. You can override this if you wish to provide explicit property info.

 loadImage

 public Image loadImage(String resourceName)

This is a utility method to help in loading icon images. It takes the name of a resource file associated with the current object's class file and loads an image object from that file. Typically images will be GIFs.

Parameters:

resourceName - A pathname relative to the directory holding the class file of the current class. For example, "wombat.gif".

Returns:

an image object. May be null if the load failed.


 Class java.beans.VetoableChangeSupport

java.lang.Object
   |
   +----java.beans.VetoableChangeSupport

public class VetoableChangeSupport
   extends Object
   implements Serializable

This is a utility class that can be used by beans that support constrained properties. You can use an instance of this class as a member field of your bean and delegate various work to it.

 VetoableChangeSupport(Object)

 addVetoableChangeListener(VetoableChangeListener)

Add a VetoableListener to the listener list.

 fireVetoableChange(String, Object, Object)

Report a vetoable property update to any registered listeners.

 removeVetoableChangeListener(VetoableChangeListener)

Remove a VetoableChangeListener from the listener list.

 VetoableChangeSupport

 public VetoableChangeSupport(Object sourceBean)

 addVetoableChangeListener

 public synchronized void addVetoableChangeListener(VetoableChangeListener listener)

Add a VetoableListener to the listener list.

Parameters:

listener - The VetoableChangeListener to be added

 fireVetoableChange

 public void fireVetoableChange(String propertyName,
                                Object oldValue,
                                Object newValue) throws PropertyVetoException

Report a vetoable property update to any registered listeners. If anyone vetos the change, then fire a new event reverting everyone to the old value and then rethrow the PropertyVetoException.

No event is fired if old and new are equal and non-null.

Parameters:

propertyName - The programmatic name of the property that was changed.

oldValue - The old value of the property.

newValue - The new value of the property.

Throws: PropertyVetoException

if the recipient wishes the property change to be rolled back.

 removeVetoableChangeListener

 public synchronized void removeVetoableChangeListener(VetoableChangeListener listener)

Remove a VetoableChangeListener from the listener list.

Parameters:

listener - The VetoableChangeListener to be removed


 Class java.beans.IntrospectionException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.beans.IntrospectionException

public class IntrospectionException
   extends Exception

Thrown when an exception happens during Introspection.

Typical causes include not being able to map a string class name to a Class object, not being able to resolve a string method name, or specifying a method name that has the wrong type signature for its intended use.

 IntrospectionException(String)

 IntrospectionException

 public IntrospectionException(String mess)

Parameters:

mess - Descriptive message


 Class java.beans.PropertyVetoException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.beans.PropertyVetoException

public class PropertyVetoException
   extends Exception

A PropertyVetoException is thrown when a proposed change to a property represents an unacceptable value.

 PropertyVetoException(String, PropertyChangeEvent)

 getPropertyChangeEvent()

 PropertyVetoException

 public PropertyVetoException(String mess,
                              PropertyChangeEvent evt)

Parameters:

mess - Descriptive message

evt - A PropertyChangeEvent describing the vetoed change.

 getPropertyChangeEvent

 public PropertyChangeEvent getPropertyChangeEvent()


 package java.io

   DataInput
   DataOutput
   Externalizable
   FilenameFilter
   ObjectInput
   ObjectInputValidation
   ObjectOutput
   Serializable

   BufferedInputStream
   BufferedOutputStream
   BufferedReader
   BufferedWriter
   ByteArrayInputStream
   ByteArrayOutputStream
   CharArrayReader
   CharArrayWriter
   DataInputStream
   DataOutputStream
   File
   FileDescriptor
   FileInputStream
   FileOutputStream
   FileReader
   FileWriter
   FilterInputStream
   FilterOutputStream
   FilterReader
   FilterWriter
   InputStream
   InputStreamReader
   LineNumberInputStream
   LineNumberReader
   ObjectInputStream
   ObjectOutputStream
   ObjectStreamClass
   OutputStream
   OutputStreamWriter
   PipedInputStream
   PipedOutputStream
   PipedReader
   PipedWriter
   PrintStream
   PrintWriter
   PushbackInputStream
   PushbackReader
   RandomAccessFile
   Reader
   SequenceInputStream
   StreamTokenizer
   StringBufferInputStream
   StringReader
   StringWriter
   Writer

   CharConversionException
   EOFException
   FileNotFoundException
   IOException
   InterruptedIOException
   InvalidClassException
   InvalidObjectException
   NotActiveException
   NotSerializableException
   ObjectStreamException
   OptionalDataException
   StreamCorruptedException
   SyncFailedException
   UTFDataFormatException
   UnsupportedEncodingException
   WriteAbortedException


 Interface java.io.DataInput

public interface DataInput

The data input interface is implemented by streams that can read primitive Java data types from a stream in a machine-independent manner.

     See Also:
     DataInputStream, DataOutput

 readBoolean()

Reads a boolean value from the input stream.

 readByte()

Reads a signed 8-bit value from the input stream.

 readChar()

Reads a Unicode char value from the input stream.

 readDouble()

Reads a double value from the input stream.

 readFloat()

Reads a float value from the input stream.

 readFully(byte[])

Reads b.length bytes into the byte array.

 readFully(byte[], int, int)

Reads b.length bytes into the byte array.

 readInt()

Reads an int value from the input stream.

 readLine()

Reads the next line of text from the input stream.

 readLong()

Reads a long value from the input stream.

 readShort()

Reads a 16-bit value from the input stream.

 readUnsignedByte()

Reads an unsigned 8-bit value from the input stream.

 readUnsignedShort()

Reads an unsigned 16-bit value from the input stream.

 readUTF()

Reads in a string that has been encoded using a modified UTF-8 format.

 skipBytes(int)

Skips exactly n bytes of input.

 readBoolean

 public abstract boolean readBoolean() throws IOException

Reads a boolean value from the input stream.

Returns:

the boolean value read.

Throws: EOFException

if this stream reaches the end before reading all the bytes.

Throws: IOException

if an I/O error occurs.

 readByte

 public abstract byte readByte() throws IOException

Reads a signed 8-bit value from the input stream.

Returns:

the 8-bit value read.

Throws: EOFException

if this stream reaches the end before reading all the bytes.

Throws: IOException

if an I/O error occurs.

 readChar

 public abstract char readChar() throws IOException

Reads a Unicode char value from the input stream.

Returns:

the Unicode char read.

Throws: EOFException

if this stream reaches the end before reading all the bytes.

Throws: IOException

if an I/O error occurs.

 readDouble

 public abstract double readDouble() throws IOException

Reads a double value from the input stream.

Returns:

the double value read.

Throws: EOFException

if this stream reaches the end before reading all the bytes.

Throws: IOException

if an I/O error occurs.

 readFloat

 public abstract float readFloat() throws IOException

Reads a float value from the input stream.

Returns:

the float value read.

Throws: EOFException

if this stream reaches the end before reading all the bytes.

Throws: IOException

if an I/O error occurs.

 readFully

 public abstract void readFully(byte b[]) throws IOException

Reads b.length bytes into the byte array. This method blocks until all the bytes are read.

Parameters:

b - the buffer into which the data is read.

Throws: EOFException

if this stream reaches the end before reading all the bytes.

Throws: IOException

if an I/O error occurs.

 readFully

 public abstract void readFully(byte b[],
                                int off,
                                int len) throws IOException

Reads b.length bytes into the byte array. This method blocks until all the bytes are read.

Parameters:

b - the buffer into which the data is read.

Throws: EOFException

if this stream reaches the end before reading all the bytes.

Throws: IOException

if an I/O error occurs.

 readInt

 public abstract int readInt() throws IOException

Reads an int value from the input stream.

Returns:

the int value read.

Throws: EOFException

if this stream reaches the end before reading all the bytes.

Throws: IOException

if an I/O error occurs.

 readLine

 public abstract String readLine() throws IOException

Reads the next line of text from the input stream.

Returns:

if this stream reaches the end before reading all the bytes.

Throws: IOException

if an I/O error occurs.

 readLong

 public abstract long readLong() throws IOException

Reads a long value from the input stream.

Returns:

the long value read.

Throws: EOFException

if this stream reaches the end before reading all the bytes.

Throws: IOException

if an I/O error occurs.

 readShort

 public abstract short readShort() throws IOException

Reads a 16-bit value from the input stream.

Returns:

the 16-bit value read.

Throws: EOFException

if this stream reaches the end before reading all the bytes.

Throws: IOException

if an I/O error occurs.

 readUnsignedByte

 public abstract int readUnsignedByte() throws IOException

Reads an unsigned 8-bit value from the input stream.

Returns:

the unsigned 8-bit value read.

Throws: EOFException

if this stream reaches the end before reading all the bytes.

Throws: IOException

if an I/O error occurs.

 readUnsignedShort

 public abstract int readUnsignedShort() throws IOException

Reads an unsigned 16-bit value from the input stream.

Returns:

the unsigned 16-bit value read.

Throws: EOFException

if this stream reaches the end before reading all the bytes.

Throws: IOException

if an I/O error occurs.

 readUTF

 public abstract String readUTF() throws IOException

Reads in a string that has been encoded using a modified UTF-8 format.

For an exact description of this method, see the discussion in Gosling, Joy, and Steele, The Java Language Specification.

Returns:

a Unicode string.

Throws: EOFException

if this stream reaches the end before reading all the bytes.

Throws: IOException

if an I/O error occurs.

Throws: UTFDataFormatException

if the bytes do not represent a valid UTF-8 encoding of a string.

 skipBytes

 public abstract int skipBytes(int n) throws IOException

Skips exactly n bytes of input.

Parameters:

n - the number of bytes to be skipped.

Returns:

the number of bytes skipped, which is always n.

Throws: EOFException

if this stream reaches the end before skipping all the bytes.

Throws: IOException

if an I/O error occurs.


 Interface java.io.DataOutput

public interface DataOutput

The data output interface is implemented by streams that can write primitive Java data types to an output stream in a machine-independent manner.

     See Also:
     DataInput, DataOutputStream

 write(byte[])

Writes b.length bytes from the specified byte array to this output stream.

 write(byte[], int, int)

Writes len bytes from the specified byte array starting at offset off to this output stream.

 write(int)

Writes the specified byte to this data output stream.

 writeBoolean(boolean)

Writes a boolean value to this output stream.

 writeByte(int)

Writes an 8-bit value to this output stream.

 writeBytes(String)

Writes a string to this output stream.

 writeChar(int)

Writes a char value to this output stream.

 writeChars(String)

Writes a string to this output stream.

 writeDouble(double)

Writes a double value to this output stream.

 writeFloat(float)

Writes a float value to this output stream.

 writeInt(int)

Writes an int value to this output stream.

 writeLong(long)

Writes a long value to this output stream.

 writeShort(int)

Writes a 16-bit value to this output stream.

 writeUTF(String)

Writes a Unicode string by encoding it using modified UTF-8 format.

 write

 public abstract void write(byte b[]) throws IOException

Writes b.length bytes from the specified byte array to this output stream.

Parameters:

b - the data.

Throws: IOException

if an I/O error occurs.

 write

 public abstract void write(byte b[],
                            int off,
                            int len) throws IOException

Writes len bytes from the specified byte array starting at offset off to this output stream.

Parameters:

b - the data.

off - the start offset in the data.

len - the number of bytes to write.

Throws: IOException

if an I/O error occurs.

 write

 public abstract void write(int b) throws IOException

Writes the specified byte to this data output stream.

Parameters:

b - the byte to be written.

Throws: IOException

if an I/O error occurs.

 writeBoolean

 public abstract void writeBoolean(boolean v) throws IOException

Writes a boolean value to this output stream.

Parameters:

v - the boolean to be written.

Throws: IOException

if an I/O error occurs.

 writeByte

 public abstract void writeByte(int v) throws IOException

Writes an 8-bit value to this output stream.

Parameters:

v - the byte value to be written.

Throws: IOException

if an I/O error occurs.

 writeBytes

 public abstract void writeBytes(String s) throws IOException

Writes a string to this output stream.

Parameters:

s - the string of bytes to be written.

Throws: IOException

if an I/O error occurs.

 writeChar

 public abstract void writeChar(int v) throws IOException

Writes a char value to this output stream.

Parameters:

v - the char value to be written.

Throws: IOException

if an I/O error occurs.

 writeChars

 public abstract void writeChars(String s) throws IOException

Writes a string to this output stream.

Parameters:

s - the string value to be written.

Throws: IOException

if an I/O error occurs.

 writeDouble

 public abstract void writeDouble(double v) throws IOException

Writes a double value to this output stream.

Parameters:

v - the double value to be written.

Throws: IOException

if an I/O error occurs.

 writeFloat

 public abstract void writeFloat(float v) throws IOException

Writes a float value to this output stream.

Parameters:

v - the float value to be written.

Throws: IOException

if an I/O error occurs.

 writeInt

 public abstract void writeInt(int v) throws IOException

Writes an int value to this output stream.

Parameters:

v - the int value to be written.

Throws: IOException

if an I/O error occurs.

 writeLong

 public abstract void writeLong(long v) throws IOException

Writes a long value to this output stream.

Parameters:

v - the long value to be written.

Throws: IOException

if an I/O error occurs.

 writeShort

 public abstract void writeShort(int v) throws IOException

Writes a 16-bit value to this output stream.

Parameters:

v - the short value to be written.

Throws: IOException

if an I/O error occurs.

 writeUTF

 public abstract void writeUTF(String str) throws IOException

Writes a Unicode string by encoding it using modified UTF-8 format.

Parameters:

str - the string value to be written.

Throws: IOException

if an I/O error occurs.


 Interface java.io.Externalizable

public interface Externalizable
   extends Serializable

Externalization allows a class to specify the methods to be used to write the object's contents to a stream and to read them back. The Externalizable interface's writeExternal and readExternal methods are implemented by a class to give the class complete control over the format and contents of the stream for an object and its supertypes. These methods must explicitly coordinate with the supertype to save its state.

Object Serialization uses the Serializable and Externalizable interfaces. Object persistence mechanisms may use them also. Each object to be stored is tested for the Externalizable interface. If the object supports it, the writeExternal method is called. If the object does not support Externalizable and does implement Serializable the object should be saved using ObjectOutputStream.

When an Externalizable object is to be reconstructed, an instance is created using the public no-arg constructor and the readExternal method called. Serializable objects are restored by reading them from an ObjectInputStream.

     See Also:
     ObjectOutputStream, ObjectInputStream, ObjectOutput, ObjectInput, Serializable

 readExternal(ObjectInput)

The object implements the readExternal method to restore its contents by calling the methods of DataInput for primitive types and readObject for objects, strings and arrays.

 writeExternal(ObjectOutput)

The object implements the writeExternal method to save its contents by calling the methods of DataOutput for its primitive values or calling the writeObject method of ObjectOutput for objects, strings and arrays.

 readExternal

 public abstract void readExternal(ObjectInput in) throws IOException, ClassNotFoundException

The object implements the readExternal method to restore its contents by calling the methods of DataInput for primitive types and readObject for objects, strings and arrays. The readExternal method must read the values in the same sequence and with the same types as were written by writeExternal.

Throws: ClassNotFoundException

If the class for an object being restored cannot be found.

 writeExternal

 public abstract void writeExternal(ObjectOutput out) throws IOException

The object implements the writeExternal method to save its contents by calling the methods of DataOutput for its primitive values or calling the writeObject method of ObjectOutput for objects, strings and arrays.

Throws: IOException

Includes any I/O exceptions that may occur


 Interface java.io.FilenameFilter

public interface FilenameFilter

Instances of classes that implement this interface are used to filter filenames. These instances are used to filter directory listings in the list method of class File, and by the Abstract Window Toolkit's file dialog component.

     See Also:
     setFilenameFilter, File, list

 accept(File, String)

Tests if a specified file should be included in a file list.

 accept

 public abstract boolean accept(File dir,
                                String name)

Tests if a specified file should be included in a file list.

Parameters:

dir - the directory in which the file was found.

name - the name of the file.

Returns:

true if the name should be included in the file list; false otherwise.


 Interface java.io.ObjectInput

public interface ObjectInput
   extends DataInput

ObjectInput extends the DataInput interface to include the writing of objects. DataInput includes methods for the input of primitive types, ObjectInput extends that interface to include objects, arrays, and Strings.

     See Also:
     InputStream, ObjectOutputStream, ObjectInputStream

 available()

Returns the number of bytes that can be read without blocking.

 close()

Closes the input stream.

 read()

Reads a byte of data.

 read(byte[])

Reads into an array of bytes.

 read(byte[], int, int)

Reads into an array of bytes.

 readObject()

Read and return an object.

 skip(long)

Skips n bytes of input.

 available

 public abstract int available() throws IOException

Returns the number of bytes that can be read without blocking.

Returns:

the number of available bytes.

 close

 public abstract void close() throws IOException

Closes the input stream. Must be called to release any resources associated with the stream.

Throws: IOException

If an I/O error has occurred.

 read

 public abstract int read() throws IOException

Reads a byte of data. This method will block if no input is available.

Returns:

the byte read, or -1 if the end of the stream is reached.

Throws: IOException

If an I/O error has occurred.

 read

 public abstract int read(byte b[]) throws IOException

Reads into an array of bytes. This method will block until some input is available.

Parameters:

b - the buffer into which the data is read

Returns:

the actual number of bytes read, -1 is returned when the end of the stream is reached.

Throws: IOException

If an I/O error has occurred.

 read

 public abstract int read(byte b[],
                          int off,
                          int len) throws IOException

Reads into an array of bytes. This method will block until some input is available.

Parameters:

b - the buffer into which the data is read

off - the start offset of the data

len - the maximum number of bytes read

Returns:

the actual number of bytes read, -1 is returned when the end of the stream is reached.

Throws: IOException

If an I/O error has occurred.

 readObject

 public abstract Object readObject() throws ClassNotFoundException, IOException

Read and return an object. The class that implements this interface defines where the object is "read" from.

Throws: ClassNotFoundException

If the class of a serialized object cannot be found.

Throws: IOException

If any of the usual Input/Output related exceptions occur.

 skip

 public abstract long skip(long n) throws IOException

Skips n bytes of input.

Parameters:

n - the number of bytes to be skipped

Returns:

the actual number of bytes skipped.

Throws: IOException

If an I/O error has occurred.


 Interface java.io.ObjectInputValidation

public interface ObjectInputValidation

Callback interface to allow validation of objects within a graph. Allows an object to be called when a complete graph of objects has been deserialized.

     See Also:
     ObjectInputStream, registerValidation

 validateObject()

Validates the object

 validateObject

 public abstract void validateObject() throws InvalidObjectException

Validates the object

Throws: InvalidObjectException

If the object cannot validate itself.


 Interface java.io.ObjectOutput

public interface ObjectOutput
   extends DataOutput

ObjectOutput extends the DataOutput interface to include writing of objects. DataOutput includes methods for output of primitive types, ObjectOutput extends that interface to include objects, arrays, and Strings.

     See Also:
     InputStream, ObjectOutputStream, ObjectInputStream

 close()

Closes the stream.

 flush()

Flushes the stream.

 write(byte[])

Writes an array of bytes.

 write(byte[], int, int)

Writes a sub array of bytes.

 write(int)

Writes a byte.

 writeObject(Object)

Write an object to the underlying storage or stream.

 close

 public abstract void close() throws IOException

Closes the stream. This method must be called to release any resources associated with the stream.

Throws: IOException

If an I/O error has occurred.

 flush

 public abstract void flush() throws IOException

Flushes the stream. This will write any buffered output bytes.

Throws: IOException

If an I/O error has occurred.

 write

 public abstract void write(byte b[]) throws IOException

Writes an array of bytes. This method will block until the bytes are actually written.

Parameters:

b - the data to be written

Throws: IOException

If an I/O error has occurred.

 write

 public abstract void write(byte b[],
                            int off,
                            int len) throws IOException

Writes a sub array of bytes.

Parameters:

b - the data to be written

off - the start offset in the data

len - the number of bytes that are written

Throws: IOException

If an I/O error has occurred.

 write

 public abstract void write(int b) throws IOException

Writes a byte. This method will block until the byte is actually written.

Parameters:

b - the byte

Throws: IOException

If an I/O error has occurred.

 writeObject

 public abstract void writeObject(Object obj) throws IOException

Write an object to the underlying storage or stream. The class that implements this interface defines how the object is written.

Throws: IOException

Any of the usual Input/Output related exceptions.


 Interface java.io.Serializable

public interface Serializable

Serializability of a class is enabled by the class implementing the java.io.Serializable interface. Classes that do not implement this interface will not have any of their state serialized or deserialized. All subtypes of a serializable class are themselves serializable. The serialization interface has no methods or fields and serves only to identify the semantics of being serializable.

To allow subtypes of non-serializable classes to be serialized, the subtype may assume responsibility for saving and restoring the state of the supertype's public, protected, and (if accessible) package fields. The subtype may assume this responsibility only if the class it extends has an accessible no-arg constructor to initialize the class's state. It is an error to declare a class Serializable in this case. The error will be detected at runtime.

During deserialization, the fields of non-serializable classes will be initialized using the public or protected no-arg constructor of the class. A no-arg constructor must be accessible to the subclass that is serializable. The fields of serializable subclasses will be restored from the stream.

When traversing a graph, an object may be encountered that does not support the Serializable interface. In this case the NotSerializableException will be thrown and will identify the class of the non-serializable object.

Classes that require special handling during the serialization and deserialization process must implement special methods with these exact signatures:

 private void writeObject(java.io.ObjectOutputStream out)
     throws IOException
 private void readObject(java.io.ObjectInputStream in)
     throws IOException, ClassNotFoundException;

The writeObject method is responsible for writing the state of the object for its particular class so that the corresponding readObject method can restore it. The default mechanism for saving the Object's fields can be invoked by calling out.defaultWriteObject. The method does not need to concern itself with the state belonging to its superclasses or subclasses. State is saved by writing the individual fields to the ObjectOutputStream using the writeObject method or by using the methods for primitive data types supported by DataOutput.

The readObject method is responsible for reading from the stream and restoring the classes fields. It may call in.defaultReadObject to invoke the default mechanism for restoring the object's non-static and non-transient fields. The defaultReadObject method uses information in the stream to assign the fields of the object saved in the stream with the correspondingly named fields in the current object. This handles the case when the class has evolved to add new fields. The method does not need to concern itself with the state belonging to its superclasses or subclasses. State is saved by writing the individual fields to the ObjectOutputStream using the writeObject method or by using the methods for primitive data types supported by DataOutput.

     See Also:
     ObjectOutputStream, ObjectInputStream, ObjectOutput, ObjectInput, Externalizable


 Class java.io.BufferedInputStream

java.lang.Object
   |
   +----java.io.InputStream
           |
           +----java.io.FilterInputStream
                   |
                   +----java.io.BufferedInputStream

public class BufferedInputStream
   extends FilterInputStream

The class implements a buffered input stream. By setting up such an input stream, an application can read bytes from a stream without necessarily causing a call to the underlying system for each byte read. The data is read by blocks into a buffer; subsequent reads can access the data directly from the buffer.

 buf

The buffer where data is stored.

 count

The index one greater than the index of the last valid byte in the buffer.

 marklimit

The maximum read ahead allowed after a call to the mark method before subsequent calls to the reset method fail.

 markpos

The value of the pos field at the time the last mark method was called.

 pos

The current position in the buffer.

 BufferedInputStream(InputStream)

Creates a new buffered input stream to read data from the specified input stream with a default 512-byte buffer size.

 BufferedInputStream(InputStream, int)

Creates a new buffered input stream to read data from the specified input stream with the specified buffer size.

 available()

Returns the number of bytes that can be read from this input stream without blocking.

 mark(int)

Marks the current position in this input stream.

 markSupported()

Tests if this input stream supports the mark and reset methods.

 read()

Reads the next byte of data from this buffered input stream.

 read(byte[], int, int)

Reads bytes into a portion of an array.

 reset()

Repositions this stream to the position at the time the mark method was last called on this input stream.

 skip(long)

Skips over and discards n bytes of data from the input stream.

 buf

 protected byte buf[]

The buffer where data is stored.

 count

 protected int count

The index one greater than the index of the last valid byte in the buffer.

 marklimit

 protected int marklimit

The maximum read ahead allowed after a call to the mark method before subsequent calls to the reset method fail.

See Also:

mark, reset

 markpos

 protected int markpos

The value of the pos field at the time the last mark method was called. The value of this field is -1 if there is no current mark.

See Also:

mark, pos

 pos

 protected int pos

The current position in the buffer. This is the index of the next character to be read from the buf array.

See Also:

buf

 BufferedInputStream

 public BufferedInputStream(InputStream in)

Creates a new buffered input stream to read data from the specified input stream with a default 512-byte buffer size.

Parameters:

in - the underlying input stream.

 BufferedInputStream

 public BufferedInputStream(InputStream in,
                            int size)

Creates a new buffered input stream to read data from the specified input stream with the specified buffer size.

Parameters:

in - the underlying input stream.

size - the buffer size.

 available

 public synchronized int available() throws IOException

Returns the number of bytes that can be read from this input stream without blocking.

The available method of BufferedInputStream returns the sum of the the number of bytes remaining to be read in the buffer (count - pos) and the result of calling the available method of the underlying input stream.

Returns:

the number of bytes that can be read from this input stream without blocking.

Throws: IOException

if an I/O error occurs.

Overrides:

available in class FilterInputStream

See Also:

in

 mark

 public synchronized void mark(int readlimit)

Marks the current position in this input stream. A subsequent call to the reset method repositions the stream at the last marked position so that subsequent reads re-read the same bytes.

The readlimit argument tells the input stream to allow that many bytes to be read before the mark position gets invalidated.

Parameters:

readlimit - the maximum limit of bytes that can be read before the mark position becomes invalid.

Overrides:

mark in class FilterInputStream

See Also:

reset

 markSupported

 public boolean markSupported()

Tests if this input stream supports the mark and reset methods. The markSupported method of BufferedInputStream returns true.

Returns:

a boolean indicating if this stream type supports the mark and reset methods.

Overrides:

markSupported in class FilterInputStream

See Also:

mark, reset

 read

 public synchronized int read() throws IOException

Reads the next byte of data from this buffered input stream. The value byte is returned as an int in the range 0 to 255. If no byte is available because the end of the stream has been reached, the value -1 is returned. This method blocks until input data is available, the end of the stream is detected, or an exception is thrown.

The read method of BufferedInputStream returns the next byte of data from its buffer if the buffer is not empty. Otherwise, it refills the buffer from the underlying input stream and returns the next character, if the underlying stream has not returned an end-of-stream indicator.

Returns:

the next byte of data, or -1 if the end of the stream is reached.

Throws: IOException

if an I/O error occurs.

Overrides:

read in class FilterInputStream

See Also:

in

 read

 public synchronized int read(byte b[],
                              int off,
                              int len) throws IOException

Reads bytes into a portion of an array. This method will block until some input is available, an I/O error occurs, or the end of the stream is reached.

If this stream's buffer is not empty, bytes are copied from it into the array argument. Otherwise, the buffer is refilled from the underlying input stream and, unless the stream returns an end-of-stream indication, the array argument is filled with characters from the newly-filled buffer.

As an optimization, if the buffer is empty, the mark is not valid, and len is at least as large as the buffer, then this method will read directly from the underlying stream into the given array. Thus redundant BufferedInputStreams will not copy data unnecessarily.

Parameters:

b - destination buffer.

off - offset at which to start storing bytes.

len - maximum number of bytes to read.

Returns:

the number of bytes read, or -1 if the end of the stream has been reached.

Throws: IOException

if an I/O error occurs.

Overrides:

read in class FilterInputStream

 reset

 public synchronized void reset() throws IOException

Repositions this stream to the position at the time the mark method was last called on this input stream.

If the stream has not been marked, or if the mark has been invalidated, an IOException is thrown. Stream marks are intended to be used in situations where you need to read ahead a little to see what's in the stream. Often this is most easily done by invoking some general parser. If the stream is of the type handled by the parser, it just chugs along happily. If the stream is not of that type, the parser should toss an exception when it fails. If an exception gets tossed within readlimit bytes, the parser will allow the outer code to reset the stream and to try another parser.

Throws: IOException

if this stream has not been marked or if the mark has been invalidated.

Overrides:

reset in class FilterInputStream

See Also:

mark

 skip

 public synchronized long skip(long n) throws IOException

Skips over and discards n bytes of data from the input stream. The skip method may, for a variety of reasons, end up skipping over some smaller number of bytes, possibly zero. The actual number of bytes skipped is returned.

The skip method of BufferedInputStream compares the number of bytes it has available in its buffer, k, where k = count - pos, with n. If n ? k, then the pos field is incremented by n. Otherwise, the pos field is incremented to have the value count, and the remaining bytes are skipped by calling the skip method on the underlying input stream, supplying the argument n - k.

Parameters:

n - the number of bytes to be skipped.

Returns:

the actual number of bytes skipped.

Throws: IOException

if an I/O error occurs.

Overrides:

skip in class FilterInputStream


 Class java.io.BufferedOutputStream

java.lang.Object
   |
   +----java.io.OutputStream
           |
           +----java.io.FilterOutputStream
                   |
                   +----java.io.BufferedOutputStream

public class BufferedOutputStream
   extends FilterOutputStream

The class implements a buffered output stream. By setting up such an output stream, an application can write bytes to the underlying output stream without necessarily causing a call to the underlying system for each byte written. The data is written into a buffer, and then written to the underlying stream if the buffer reaches its capacity, the buffer output stream is closed, or the buffer output stream is explicity flushed.

 buf

The buffer where data is stored.

 count

The number of valid bytes in the buffer.

 BufferedOutputStream(OutputStream)

Creates a new buffered output stream to write data to the specified underlying output stream with a default 512-byte buffer size.

 BufferedOutputStream(OutputStream, int)

Creates a new buffered output stream to write data to the specified underlying output stream with the specified buffer size.

 flush()

Flushes this buffered output stream.

 write(byte[], int, int)

Writes len bytes from the specified byte array starting at offset off to this buffered output stream.

 write(int)

Writes the specified byte to this buffered output stream.

 buf

 protected byte buf[]

The buffer where data is stored.

 count

 protected int count

The number of valid bytes in the buffer.

 BufferedOutputStream

 public BufferedOutputStream(OutputStream out)

Creates a new buffered output stream to write data to the specified underlying output stream with a default 512-byte buffer size.

Parameters:

out - the underlying output stream.

 BufferedOutputStream

 public BufferedOutputStream(OutputStream out,
                             int size)

Creates a new buffered output stream to write data to the specified underlying output stream with the specified buffer size.

Parameters:

out - the underlying output stream.

size - the buffer size.

 flush

 public synchronized void flush() throws IOException

Flushes this buffered output stream. This forces any buffered output bytes to be written out to the underlying output stream.

Throws: IOException

if an I/O error occurs.

Overrides:

flush in class FilterOutputStream

See Also:

out

 write

 public synchronized void write(byte b[],
                                int off,
                                int len) throws IOException

Writes len bytes from the specified byte array starting at offset off to this buffered output stream.

Ordinarily this method stores bytes from the given array into this stream's buffer, flushing the buffer to the underlying output stream as needed. If the requested length is at least as large as this stream's buffer, however, then this method will flush the buffer and write the bytes directly to the underlying output stream. Thus redundant BufferedOutputStreams will not copy data unnecessarily.

Parameters:

b - the data.

off - the start offset in the data.

len - the number of bytes to write.

Throws: IOException

if an I/O error occurs.

Overrides:

write in class FilterOutputStream

 write

 public synchronized void write(int b) throws IOException

Writes the specified byte to this buffered output stream.

Parameters:

b - the byte to be written.

Throws: IOException

if an I/O error occurs.

Overrides:

write in class FilterOutputStream


 Class java.io.BufferedReader

java.lang.Object
   |
   +----java.io.Reader
           |
           +----java.io.BufferedReader

public class BufferedReader
   extends Reader

Read text from a character-input stream, buffering characters so as to provide for the efficient reading of characters, arrays, and lines.

The buffer size may be specified, or the default size may be used. The default is large enough for most purposes.

In general, each read request made of a Reader causes a corresponding read request to be made of the underlying character or byte stream. It is therefore advisable to wrap a BufferedReader around any Reader whose read() operations may be costly, such as FileReaders and InputStreamReaders. For example,

 BufferedReader in
   = new BufferedReader(new FileReader("foo.in"));

will buffer the input from the specified file. Without buffering, each invocation of read() or readLine() could cause bytes to be read from the file, converted into characters, and then returned, which can be very inefficient.

Programs that use DataInputStreams for textual input can be localized by replacing each DataInputStream with an appropriate BufferedReader.

     See Also:
     FileReader, InputStreamReader

 BufferedReader(Reader)

Create a buffering character-input stream that uses a default-sized input buffer.

 BufferedReader(Reader, int)

Create a buffering character-input stream that uses an input buffer of the specified size.

 close()

Close the stream.

 mark(int)

Mark the present position in the stream.

 markSupported()

Tell whether this stream supports the mark() operation, which it does.

 read()

Read a single character.

 read(char[], int, int)

Read characters into a portion of an array.

 readLine()

Read a line of text.

 ready()

Tell whether this stream is ready to be read.

 reset()

Reset the stream to the most recent mark.

 skip(long)

Skip characters.

 BufferedReader

 public BufferedReader(Reader in)

Create a buffering character-input stream that uses a default-sized input buffer.

Parameters:

in - A Reader

 BufferedReader

 public BufferedReader(Reader in,
                       int sz)

Create a buffering character-input stream that uses an input buffer of the specified size.

Parameters:

in - A Reader

sz - Input-buffer size

Throws: IllegalArgumentException

If sz is <= 0

 close

 public void close() throws IOException

Close the stream.

Throws: IOException

If an I/O error occurs

Overrides:

close in class Reader

 mark

 public void mark(int readAheadLimit) throws IOException

Mark the present position in the stream. Subsequent calls to reset() will attempt to reposition the stream to this point.

Parameters:

readAheadLimit - Limit on the number of characters that may be read while still preserving the mark. After reading this many characters, attempting to reset the stream may fail. A limit value larger than the size of the input buffer will cause a new buffer to be allocated whose size is no smaller than limit. Therefore large values should be used with care.

Throws: IllegalArgumentException

If readAheadLimit is < 0

Throws: IOException

If an I/O error occurs

Overrides:

mark in class Reader

 markSupported

 public boolean markSupported()

Tell whether this stream supports the mark() operation, which it does.

Overrides:

markSupported in class Reader

 read

 public int read() throws IOException

Read a single character.

Throws: IOException

If an I/O error occurs

Overrides:

read in class Reader

 read

 public int read(char cbuf[],
                 int off,
                 int len) throws IOException

Read characters into a portion of an array.

Ordinarily this method takes characters from this stream's character buffer, filling it from the underlying stream as necessary. If, however, the buffer is empty, the mark is not valid, and the requested length is at least as large as the buffer, then this method will read characters directly from the underlying stream into the given array. Thus redundant BufferedReaders will not copy data unnecessarily.

Parameters:

cbuf - Destination buffer

off - Offset at which to start storing characters

len - Maximum number of characters to read

Returns:

The number of bytes read, or -1 if the end of the stream has been reached

Throws: IOException

If an I/O error occurs

Overrides:

read in class Reader

 readLine

 public String readLine() throws IOException

Read a line of text. A line is considered to be terminated by any one of a line feed ('\n'), a carriage return ('\r'), or a carriage return followed immediately by a linefeed.

Returns:

A String containing the contents of the line, not including any line-termination characters, or null if the end of the stream has been reached

Throws: IOException

If an I/O error occurs

 ready

 public boolean ready() throws IOException

Tell whether this stream is ready to be read. A buffered character stream is ready if the buffer is not empty, or if the underlying character stream is ready.

Throws: IOException

If an I/O error occurs

Overrides:

ready in class Reader

 reset

 public void reset() throws IOException

Reset the stream to the most recent mark.

Throws: IOException

If the stream has never been marked, or if the mark has been invalidated

Overrides:

reset in class Reader

 skip

 public long skip(long n) throws IOException

Skip characters.

Parameters:

n - The number of characters to skip

Returns:

The number of characters actually skipped

Throws: IOException

If an I/O error occurs

Overrides:

skip in class Reader


 Class java.io.BufferedWriter

java.lang.Object
   |
   +----java.io.Writer
           |
           +----java.io.BufferedWriter

public class BufferedWriter
   extends Writer

Write text to a character-output stream, buffering characters so as to provide for the efficient writing of single characters, arrays, and strings.

The buffer size may be specified, or the default size may be accepted. The default is large enough for most purposes.

A newLine() method is provided, which uses the platform's own notion of line separator as defined by the system property line.separator. Not all platforms use the newline character ('\n') to terminate lines. Calling this method to terminate each output line is therefore preferred to writing a newline character directly.

In general, a Writer sends its output immediately to the underlying character or byte stream. Unless prompt output is required, it is advisable to wrap a BufferedWriter around any Writer whose write() operations may be costly, such as FileWriters and OutputStreamWriters. For example,

 PrintWriter out
   = new PrintWriter(new BufferedWriter(new FileWriter("foo.out")));

will buffer the PrintWriter's output to the file. Without buffering, each invocation of a print() method would cause characters to be converted into bytes that would then be written immediately to the file, which can be very inefficient.

     See Also:
     PrintWriter, FileWriter, OutputStreamWriter

 BufferedWriter(Writer)

Create a buffered character-output stream that uses a default-sized output buffer.

 BufferedWriter(Writer, int)

Create a new buffered character-output stream that uses an output buffer of the given size.

 close()

Close the stream.

 flush()

Flush the stream.

 newLine()

Write a line separator.

 write(char[], int, int)

Write a portion of an array of characters.

 write(int)

Write a single character.

 write(String, int, int)

Write a portion of a String.

 BufferedWriter

 public BufferedWriter(Writer out)

Create a buffered character-output stream that uses a default-sized output buffer.

Parameters:

out - A Writer

 BufferedWriter

 public BufferedWriter(Writer out,
                       int sz)

Create a new buffered character-output stream that uses an output buffer of the given size.

Parameters:

out - A Writer

sz - Output-buffer size, a positive integer

Throws: IllegalArgumentException

If sz is <= 0

 close

 public void close() throws IOException

Close the stream.

Throws: IOException

If an I/O error occurs

Overrides:

close in class Writer

 flush

 public void flush() throws IOException

Flush the stream.

Throws: IOException

If an I/O error occurs

Overrides:

flush in class Writer

 newLine

 public void newLine() throws IOException

Write a line separator. The line separator string is defined by the system property line.separator, and is not necessarily a single newline ('\n') character.

Throws: IOException

If an I/O error occurs

 write

 public void write(char cbuf[],
                   int off,
                   int len) throws IOException

Write a portion of an array of characters.

Ordinarily this method stores characters from the given array into this stream's buffer, flushing the buffer to the underlying stream as needed. If the requested length is at least as large as the buffer, however, then this method will flush the buffer and write the characters directly to the underlying stream. Thus redundant BufferedWriters will not copy data unnecessarily.

Parameters:

cbuf - A character array

off - Offset from which to start reading characters

len - Number of characters to write

Throws: IOException

If an I/O error occurs

Overrides:

write in class Writer

 write

 public void write(int c) throws IOException

Write a single character.

Throws: IOException

If an I/O error occurs

Overrides:

write in class Writer

 write

 public void write(String s,
                   int off,
                   int len) throws IOException

Write a portion of a String.

Parameters:

s - String to be written

off - Offset from which to start reading characters

len - Number of characters to be written

Throws: IOException

If an I/O error occurs

Overrides:

write in class Writer


 Class java.io.ByteArrayInputStream

java.lang.Object
   |
   +----java.io.InputStream
           |
           +----java.io.ByteArrayInputStream

public class ByteArrayInputStream
   extends InputStream

This class allows an application to create an input stream in which the bytes read are supplied by the contents of a byte array. Applications can also read bytes from a string by using a StringBufferInputStream.

     See Also:
     StringBufferInputStream

 buf

The byte array containing the data.

 count

The index one greater than the last valid character in the input stream buffer.

 mark

The currently marked position in the stream.

 pos

The index of the next character to read from the input stream buffer.

 ByteArrayInputStream(byte[])

Creates a new byte array input stream that reads data from the specified byte array.

 ByteArrayInputStream(byte[], int, int)

Creates a new byte array input stream that reads data from the specified byte array.

 available()

Returns the number of bytes that can be read from this input stream without blocking.

 mark(int)

Set the current marked position in the stream.

 markSupported()

Tests if ByteArrayInputStream supports mark/reset.

 read()

Reads the next byte of data from this input stream.

 read(byte[], int, int)

Reads up to len bytes of data into an array of bytes from this input stream.

 reset()

Resets the buffer to the marked position.

 skip(long)

Skips n bytes of input from this input stream.

 buf

 protected byte buf[]

The byte array containing the data.

 count

 protected int count

The index one greater than the last valid character in the input stream buffer.

 mark

 protected int mark

The currently marked position in the stream. ByteArrayInputStreams are marked at position zero by default when constructed. They may be marked at another position within the buffer by the mark() method. The current buffer position is set to this point by the reset() method.

 pos

 protected int pos

The index of the next character to read from the input stream buffer.

 ByteArrayInputStream

 public ByteArrayInputStream(byte buf[])

Creates a new byte array input stream that reads data from the specified byte array. The byte array is not copied.

Parameters:

buf - the input buffer.

 ByteArrayInputStream

 public ByteArrayInputStream(byte buf[],
                             int offset,
                             int length)

Creates a new byte array input stream that reads data from the specified byte array. Up to length characters are to be read from the byte array, starting at the indicated offset.

The byte array is not copied.

Parameters:

buf - the input buffer.

offset - the offset in the buffer of the first byte to read.

length - the maximum number of bytes to read from the buffer.

 available

 public synchronized int available()

Returns the number of bytes that can be read from this input stream without blocking.

The available method of ByteArrayInputStream returns the value of count - pos, which is the number of bytes remaining to be read from the input buffer.

Returns:

the number of bytes that can be read from the input stream without blocking.

Overrides:

available in class InputStream

 mark

 public void mark(int markpos)

Set the current marked position in the stream. ByteArrayInputStreams are marked at position zero by default when constructed. They may be marked at another position within the buffer by this method.

Overrides:

mark in class InputStream

 markSupported

 public boolean markSupported()

Tests if ByteArrayInputStream supports mark/reset.

Overrides:

markSupported in class InputStream

 read

 public synchronized int read()

Reads the next byte of data from this input stream. The value byte is returned as an int in the range 0 to 255. If no byte is available because the end of the stream has been reached, the value -1 is returned.

The read method of ByteArrayInputStream cannot block.

Returns:

the next byte of data, or -1 if the end of the stream has been reached.

Overrides:

read in class InputStream

 read

 public synchronized int read(byte b[],
                              int off,
                              int len)

Reads up to len bytes of data into an array of bytes from this input stream. This read method cannot block.

Parameters:

b - the buffer into which the data is read.

off - the start offset of the data.

len - the maximum number of bytes read.

Returns:

the total number of bytes read into the buffer, or -1 if there is no more data because the end of the stream has been reached.

Overrides:

read in class InputStream

 reset

 public synchronized void reset()

Resets the buffer to the marked position. The marked position is the beginning unless another position was marked.

Overrides:

reset in class InputStream

 skip

 public synchronized long skip(long n)

Skips n bytes of input from this input stream. Fewer bytes might be skipped if the end of the input stream is reached.

Parameters:

n - the number of bytes to be skipped.

Returns:

the actual number of bytes skipped.

Overrides:

skip in class InputStream


 Class java.io.ByteArrayOutputStream

java.lang.Object
   |
   +----java.io.OutputStream
           |
           +----java.io.ByteArrayOutputStream

public class ByteArrayOutputStream
   extends OutputStream

This class implements an output stream in which the data is written into a byte array. The buffer automatically grows as data is written to it. The data can be retrieved using toByteArray() and toString().

 buf

The buffer where data is stored.

 count

The number of valid bytes in the buffer.

 ByteArrayOutputStream()

Creates a new byte array output stream.

 ByteArrayOutputStream(int)

Creates a new byte array output stream, with a buffer capacity of the specified size, in bytes.

 reset()

Resets the count field of this byte array output stream to zero, so that all currently accumulated output in the ouput stream is discarded.

 size()

Returns the current size of the buffer.

 toByteArray()

Creates a newly allocated byte array.

 toString()

Converts the buffer's contents into a string, translating bytes into characters according to the platform's default character encoding.

 toString(int)

Creates a newly allocated string. Deprecated.

 toString(String)

Converts the buffer's contents into a string, translating bytes into characters according to the specified character encoding.

 write(byte[], int, int)

Writes len bytes from the specified byte array starting at offset off to this byte array output stream.

 write(int)

Writes the specified byte to this byte array output stream.

 writeTo(OutputStream)

Writes the complete contents of this byte array output stream to the specified output stream argument, as if by calling the output stream's write method using out.write(buf, 0, count).

 buf

 protected byte buf[]

The buffer where data is stored.

 count

 protected int count

The number of valid bytes in the buffer.

 ByteArrayOutputStream

 public ByteArrayOutputStream()

Creates a new byte array output stream. The buffer capacity is initially 32 bytes, though its size increases if necessary.

 ByteArrayOutputStream

 public ByteArrayOutputStream(int size)

Creates a new byte array output stream, with a buffer capacity of the specified size, in bytes.

Parameters:

size - the initial size.

 reset

 public synchronized void reset()

Resets the count field of this byte array output stream to zero, so that all currently accumulated output in the ouput stream is discarded. The output stream can be used again, reusing the already allocated buffer space.

See Also:

count

 size

 public int size()

Returns the current size of the buffer.

Returns:

the value of the count field, which is the number of valid bytes in this output stream.

See Also:

count

 toByteArray

 public synchronized byte[] toByteArray()

Creates a newly allocated byte array. Its size is the current size of this output stream and the valid contents of the buffer have been copied into it.

Returns:

the current contents of this output stream, as a byte array.

See Also:

size

 toString

 public String toString()

Converts the buffer's contents into a string, translating bytes into characters according to the platform's default character encoding.

Overrides:

toString in class Object

 toString

 public String toString(int hibyte)

Note: toString() is deprecated. This method does not properly convert bytes into characters. As of JDK 1.1, the preferred way to do this is via the toString(String enc) method, which takes an encoding-name argument, or the toString() method, which uses the platform's default character encoding.

Creates a newly allocated string. Its size is the current size of the output stream and the valid contents of the buffer have been copied into it. Each character c in the resulting string is constructed from the corresponding element b in the byte array such that: c == (char)(((hibyte & 0xff) << 8) | (b & 0xff))

Parameters:

hibyte - the high byte of each resulting Unicode character.

Returns:

the current contents of the output stream, as a string.

See Also:

size, toString, toString

 toString

 public String toString(String enc) throws UnsupportedEncodingException

Converts the buffer's contents into a string, translating bytes into characters according to the specified character encoding.

Parameters:

enc - a character-encoding name.

 write

 public synchronized void write(byte b[],
                                int off,
                                int len)

Writes len bytes from the specified byte array starting at offset off to this byte array output stream.

Parameters:

b - the data.

off - the start offset in the data.

len - the number of bytes to write.

Overrides:

write in class OutputStream

 write

 public synchronized void write(int b)

Writes the specified byte to this byte array output stream.

Parameters:

b - the byte to be written.

Overrides:

write in class OutputStream

 writeTo

 public synchronized void writeTo(OutputStream out) throws IOException

Writes the complete contents of this byte array output stream to the specified output stream argument, as if by calling the output stream's write method using out.write(buf, 0, count).

Parameters:

out - the output stream to which to write the data.

Throws: IOException

if an I/O error occurs.


 Class java.io.CharArrayReader

java.lang.Object
   |
   +----java.io.Reader
           |
           +----java.io.CharArrayReader

public class CharArrayReader
   extends Reader

This class implements a character buffer that can be used as a character-input stream.

 buf

Character buffer

 count

Number of valid characters in buffer

 markedPos

Position of mark in buffer

 pos

Current buffer position

 CharArrayReader(char[])

Create an CharArrayReader from the specified array of chars.

 CharArrayReader(char[], int, int)

Create an CharArrayReader from the specified array of chars.

 close()

Close the stream.

 mark(int)

Mark the present position in the stream.

 markSupported()

Tell whether this stream supports the mark() operation, which it does.

 read()

Read a single character.

 read(char[], int, int)

Read characters into a portion of an array.

 ready()

Tell whether this stream is ready to be read.

 reset()

Reset the stream to the most recent mark, or to the beginning if it has never been marked.

 skip(long)

Skip characters.

 buf

 protected char buf[]

Character buffer

 count

 protected int count

Number of valid characters in buffer

 markedPos

 protected int markedPos

Position of mark in buffer

 pos

 protected int pos

Current buffer position

 CharArrayReader

 public CharArrayReader(char buf[])

Create an CharArrayReader from the specified array of chars.

Parameters:

buf - Input buffer (not copied)

 CharArrayReader

 public CharArrayReader(char buf[],
                        int offset,
                        int length)

Create an CharArrayReader from the specified array of chars.

Parameters:

buf - Input buffer (not copied)

offset - Offset of the first char to read

length - Number of chars to read

 close

 public void close()

Close the stream.

Overrides:

close in class Reader

 mark

 public void mark(int readAheadLimit) throws IOException

Mark the present position in the stream. Subsequent calls to reset() will reposition the stream to this point.

Parameters:

readAheadLimit - Limit on the number of characters that may be read while still preserving the mark. Because the stream's input comes from a character array, there is no actual limit; hence this argument is ignored.

Throws: IOException

If an I/O error occurs

Overrides:

mark in class Reader

 markSupported

 public boolean markSupported()

Tell whether this stream supports the mark() operation, which it does.

Overrides:

markSupported in class Reader

 read

 public int read() throws IOException

Read a single character.

Throws: IOException

If an I/O error occurs

Overrides:

read in class Reader

 read

 public int read(char b[],
                 int off,
                 int len) throws IOException

Read characters into a portion of an array.

Parameters:

b - Destination buffer

off - Offset at which to start storing characters

len - Maximum number of characters to read

Returns:

The actual number of characters read, or -1 if the end of the stream has been reached

Throws: IOException

If an I/O error occurs

Overrides:

read in class Reader

 ready

 public boolean ready() throws IOException

Tell whether this stream is ready to be read. Character-array readers are always ready to be read.

Throws: IOException

If an I/O error occurs

Overrides:

ready in class Reader

 reset

 public void reset() throws IOException

Reset the stream to the most recent mark, or to the beginning if it has never been marked.

Throws: IOException

If an I/O error occurs

Overrides:

reset in class Reader

 skip

 public long skip(long n) throws IOException

Skip characters.

Parameters:

n - The number of characters to skip

Returns:

The number of characters actually skipped

Throws: IOException

If an I/O error occurs

Overrides:

skip in class Reader


 Class java.io.CharArrayWriter

java.lang.Object
   |
   +----java.io.Writer
           |
           +----java.io.CharArrayWriter

public class CharArrayWriter
   extends Writer

This class implements a character buffer that can be used as an Writer. The buffer automatically grows when data is written to the stream. The data can be retrieved using toCharArray() and toString().

 buf

The buffer where data is stored.

 count

The number of chars in the buffer.

 CharArrayWriter()

Creates a new CharArrayWriter.

 CharArrayWriter(int)

Creates a new CharArrayWriter with the specified initial size.

 close()

Close the stream.

 flush()

Flush the stream.

 reset()

Resets the buffer so that you can use it again without throwing away the already allocated buffer.

 size()

Returns the current size of the buffer.

 toCharArray()

Returns a copy of the input data.

 toString()

Converts input data to a string.

 write(char[], int, int)

Writes characters to the buffer.

 write(int)

Writes a character to the buffer.

 write(String, int, int)

Write a portion of a string to the buffer.

 writeTo(Writer)

Writes the contents of the buffer to another character stream.

 buf

 protected char buf[]

The buffer where data is stored.

 count

 protected int count

The number of chars in the buffer.

 CharArrayWriter

 public CharArrayWriter()

Creates a new CharArrayWriter.

 CharArrayWriter

 public CharArrayWriter(int initialSize)

Creates a new CharArrayWriter with the specified initial size.

 close

 public void close()

Close the stream. This method does not release the buffer, since its contents might still be required.

Overrides:

close in class Writer

 flush

 public void flush()

Flush the stream.

Overrides:

flush in class Writer

 reset

 public void reset()

Resets the buffer so that you can use it again without throwing away the already allocated buffer.

 size

 public int size()

Returns the current size of the buffer.

 toCharArray

 public char[] toCharArray()

Returns a copy of the input data.

 toString

 public String toString()

Converts input data to a string.

Returns:

the string.

Overrides:

toString in class Object

 write

 public void write(char c[],
                   int off,
                   int len)

Writes characters to the buffer.

Parameters:

c - the data to be written

off - the start offset in the data

len - the number of chars that are written

Overrides:

write in class Writer

 write

 public void write(int c)

Writes a character to the buffer.

Overrides:

write in class Writer

 write

 public void write(String str,
                   int off,
                   int len)

Write a portion of a string to the buffer.

Parameters:

str - String to be written from

off - Offset from which to start reading characters

len - Number of characters to be written

Overrides:

write in class Writer

 writeTo

 public void writeTo(Writer out) throws IOException

Writes the contents of the buffer to another character stream.

Parameters:

out - the output stream to write to


 Class java.io.DataInputStream

java.lang.Object
   |
   +----java.io.InputStream
           |
           +----java.io.FilterInputStream
                   |
                   +----java.io.DataInputStream

public class DataInputStream
   extends FilterInputStream
   implements DataInput

A data input stream lets an application read primitive Java data types from an underlying input stream in a machine-independent way. An application uses a data output stream to write data that can later be read by a data input stream.

Data input streams and data output streams represent Unicode strings in a format that is a slight modification of UTF-8. (For more information, see X/Open Company Ltd., "File System Safe UCS Transformation Format (FSS_UTF)", X/Open Preliminary Specification, Document Number: P316. This information also appears in ISO/IEC 10646, Annex P.)

All characters in the range '\u0001' to '\u007F' are represented by a single byte:

0	bits 0-7
The null character '\u0000' and characters in the range '\u0080' to '\u07FF' are represented by a pair of bytes:

1	1	0	bits 6-10
1	0	bits 0-5
Characters in the range '\u0800' to '\uFFFF' are represented by three bytes:

1	1	1	0	bits 12-15
1	0	bits 6-11
1	0	bits 0-5
The two differences between this format and the "standard" UTF-8 format are the following:

•	The null byte '\u0000' is encoded in 2-byte format rather than 1-byte, so that the encoded strings never have embedded nulls.

•	Only the 1-byte, 2-byte, and 3-byte formats are used.

     See Also:
     DataOutputStream

 DataInputStream(InputStream)

Creates a new data input stream to read data from the specified input stream.

 read(byte[])

Reads up to byte.length bytes of data from this data input stream into an array of bytes.

 read(byte[], int, int)

Reads up to len bytes of data from this data input stream into an array of bytes.

 readBoolean()

Reads a boolean from this data input stream.

 readByte()

Reads a signed 8-bit value from this data input stream.

 readChar()

Reads a Unicode character from this data input stream.

 readDouble()

Reads a double from this data input stream.

 readFloat()

Reads a float from this data input stream.

 readFully(byte[])

Reads b.length bytes from this data input stream into the byte array.

 readFully(byte[], int, int)

Reads exactly len bytes from this data input stream into the byte array.

 readInt()

Reads a signed 32-bit integer from this data input stream.

 readLine()

Reads the next line of text from this data input stream. Deprecated.

 readLong()

Reads a signed 64-bit integer from this data input stream.

 readShort()

Reads a signed 16-bit number from this data input stream.

 readUnsignedByte()

Reads an unsigned 8-bit number from this data input stream.

 readUnsignedShort()

Reads an unsigned 16-bit number from this data input stream.

 readUTF()

Reads in a string that has been encoded using a modified UTF-8 format from this data input stream.

 readUTF(DataInput)

Reads in a string from the specified data input stream.

 skipBytes(int)

Skips exactly n bytes of input in the underlying input stream.

 DataInputStream

 public DataInputStream(InputStream in)

Creates a new data input stream to read data from the specified input stream.

Parameters:

in - the input stream.

 read

 public final int read(byte b[]) throws IOException

Reads up to byte.length bytes of data from this data input stream into an array of bytes. This method blocks until some input is available.

The read method of DataInputStream calls the read method of its underlying input stream with the three arguments b, 0, and b.length and returns whatever value that method returns.

Parameters:

b - the buffer into which the data is read.

Returns:

the total number of bytes read into the buffer, or -1 if there is no more data because the end of the stream has been reached.

Throws: IOException

if an I/O error occurs.

Overrides:

read in class FilterInputStream

See Also:

in, read

 read

 public final int read(byte b[],
                       int off,
                       int len) throws IOException

Reads up to len bytes of data from this data input stream into an array of bytes. This method blocks until some input is available.

The read method of DataInputStream calls the read method of its underlying input stream with the same arguments and returns whatever value that method returns.

Parameters:

b - the buffer into which the data is read.

off - the start offset of the data.

len - the maximum number of bytes read.

Returns:

the total number of bytes read into the buffer, or -1 if there is no more data because the end of the stream has been reached.

Throws: IOException

if an I/O error occurs.

Overrides:

read in class FilterInputStream

See Also:

in, read

 readBoolean

 public final boolean readBoolean() throws IOException

Reads a boolean from this data input stream. This method reads a single byte from the underlying input stream. A value of 0 represents false. Any other value represents true. This method blocks until either the byte is read, the end of the stream is detected, or an exception is thrown.

Returns:

the boolean value read.

Throws: EOFException

if this input stream has reached the end.

Throws: IOException

if an I/O error occurs.

See Also:

in

 readByte

 public final byte readByte() throws IOException

Reads a signed 8-bit value from this data input stream. This method reads a byte from the underlying input stream. If the byte read is b, where 0 <= b <= 255, then the result is: (byte)(b)

This method blocks until either the byte is read, the end of the stream is detected, or an exception is thrown.

Returns:

the next byte of this input stream as a signed 8-bit byte.

Throws: EOFException

if this input stream has reached the end.

Throws: IOException

if an I/O error occurs.

See Also:

in

 readChar

 public final char readChar() throws IOException

Reads a Unicode character from this data input stream. This method reads two bytes from the underlying input stream. If the bytes read, in order, are b1 and b2, where 0 <= b1, b1 <= 255, then the result is equal to: (char)((b1 << 8) | b2)

This method blocks until either the two bytes are read, the end of the stream is detected, or an exception is thrown.

Returns:

the next two bytes of this input stream as a Unicode character.

Throws: EOFException

if this input stream reaches the end before reading two bytes.

Throws: IOException

if an I/O error occurs.

See Also:

in

 readDouble

 public final double readDouble() throws IOException

Reads a double from this data input stream. This method reads a long value as if by the readLong method and then converts that long to a double using the longBitsToDouble method in class Double.

This method blocks until the eight bytes are read, the end of the stream is detected, or an exception is thrown.

Returns:

the next eight bytes of this input stream, interpreted as a double.

Throws: EOFException

if this input stream reaches the end before reading eight bytes.

Throws: IOException

if an I/O error occurs.

See Also:

readLong, longBitsToDouble

 readFloat

 public final float readFloat() throws IOException

Reads a float from this data input stream. This method reads an int value as if by the readInt method and then converts that int to a float using the intBitsToFloat method in class Float. This method blocks until the four bytes are read, the end of the stream is detected, or an exception is thrown.

Returns:

the next four bytes of this input stream, interpreted as a float.

Throws: EOFException

if this input stream reaches the end before reading four bytes.

Throws: IOException

if an I/O error occurs.

See Also:

readInt, intBitsToFloat

 readFully

 public final void readFully(byte b[]) throws IOException

Reads b.length bytes from this data input stream into the byte array. This method reads repeatedly from the underlying stream until all the bytes are read. This method blocks until all the bytes are read, the end of the stream is detected, or an exception is thrown.

Parameters:

b - the buffer into which the data is read.

Throws: EOFException

if this input stream reaches the end before reading all the bytes.

Throws: IOException

if an I/O error occurs.

See Also:

in

 readFully

 public final void readFully(byte b[],
                             int off,
                             int len) throws IOException

Reads exactly len bytes from this data input stream into the byte array. This method reads repeatedly from the underlying stream until all the bytes are read. This method blocks until all the bytes are read, the end of the stream is detected, or an exception is thrown.

Parameters:

b - the buffer into which the data is read.

off - the start offset of the data.

len - the number of bytes to read.

Throws: EOFException

if this input stream reaches the end before reading all the bytes.

Throws: IOException

if an I/O error occurs.

See Also:

in

 readInt

 public final int readInt() throws IOException

Reads a signed 32-bit integer from this data input stream. This method reads four bytes from the underlying input stream. If the bytes read, in order, are b1, b2, b3, and b4, where 0 <= b1, b2, b3, b4 <= 255, then the result is equal to: (b1 << 24) | (b2 << 16) + (b3 << 8) +b4

This method blocks until the four bytes are read, the end of the stream is detected, or an exception is thrown.

Returns:

the next four bytes of this input stream, interpreted as an int.

Throws: EOFException

if this input stream reaches the end before reading four bytes.

Throws: IOException

if an I/O error occurs.

See Also:

in

 readLine

 public final String readLine() throws IOException

Note: readLine() is deprecated. This method does not properly convert bytes to characters. As of JDK 1.1, the preferred way to read lines of text is via the BufferedReader.readLine() method. Programs that use the DataInputStream class to read lines can be converted to use the BufferedReader class by replacing code of the form DataInputStream d = new DataInputStream(in);

with BufferedReader d = new BufferedReader(new InputStreamReader(in));

Reads the next line of text from this data input stream. This method successively reads bytes from the underlying input stream until it reaches the end of a line of text.

A line of text is terminated by a carriage return character ('\r'), a newline character ('\n'), a carriage return character immediately followed by a newline character, or the end of the input stream. The line-terminating character(s), if any, are not returned as part of the string that is returned.

This method blocks until a newline character is read, a carriage return and the byte following it are read (to see if it is a newline), the end of the stream is detected, or an exception is thrown.

Returns:

the next line of text from this input stream, or null if no bytes are read before end-of-file is reached.

Throws: IOException

if an I/O error occurs.

See Also:

readLine, in

 readLong

 public final long readLong() throws IOException

Reads a signed 64-bit integer from this data input stream. This method reads eight bytes from the underlying input stream. If the bytes read, in order, are b1, b2, b3, b4, b5, b6, b7, and b8, where 0 <= b1, b2, b3, b4, b5, b6, b7, b8 <= 255,

then the result is equal to:

     ((long)b1 << 56) + ((long)b2 << 48) +
        ((long)b3 << 40) + ((long)b4 << 32) +
        ((long)b5 << 24) + (b6 << 16) +
        (b7 << 8) + b8

This method blocks until the eight bytes are read, the end of the stream is detected, or an exception is thrown.

Returns:

the next eight bytes of this input stream, interpreted as a long.

Throws: EOFException

if this input stream reaches the end before reading eight bytes.

Throws: IOException

if an I/O error occurs.

See Also:

in

 readShort

 public final short readShort() throws IOException

Reads a signed 16-bit number from this data input stream. The method reads two bytes from the underlying input stream. If the two bytes read, in order, are b1 and b2, where each of the two values is between 0 and 255, inclusive, then the result is equal to: (short)((b1 << 8) | b2)

This method blocks until the two bytes are read, the end of the stream is detected, or an exception is thrown.

Returns:

the next two bytes of this input stream, interpreted as a signed 16-bit number.

Throws: EOFException

if this input stream reaches the end before reading two bytes.

Throws: IOException

if an I/O error occurs.

See Also:

in

 readUnsignedByte

 public final int readUnsignedByte() throws IOException

Reads an unsigned 8-bit number from this data input stream. This method reads a byte from this data input stream's underlying input stream and returns that byte. This method blocks until the byte is read, the end of the stream is detected, or an exception is thrown.

Returns:

the next byte of this input stream, interpreted as an unsigned 8-bit number.

Throws: EOFException

if this input stream has reached the end.

Throws: IOException

if an I/O error occurs.

See Also:

in

 readUnsignedShort

 public final int readUnsignedShort() throws IOException

Reads an unsigned 16-bit number from this data input stream. This method reads two bytes from the underlying input stream. If the bytes read, in order, are b1 and b2, where 0 <= b1, b2 <= 255, then the result is equal to: (b1 << 8) | b2

This method blocks until the two bytes are read, the end of the stream is detected, or an exception is thrown.

Returns:

the next two bytes of this input stream, interpreted as an unsigned 16-bit integer.

Throws: EOFException

if this input stream reaches the end before reading two bytes.

Throws: IOException

if an I/O error occurs.

See Also:

in

 readUTF

 public final String readUTF() throws IOException

Reads in a string that has been encoded using a modified UTF-8 format from this data input stream. This method calls readUTF(this). See readUTF(java.io.DataInput) for a more complete description of the format.

This method blocks until all the bytes are read, the end of the stream is detected, or an exception is thrown.

Returns:

a Unicode string.

Throws: EOFException

if this input stream reaches the end before reading all the bytes.

Throws: IOException

if an I/O error occurs.

See Also:

readUTF

 readUTF

 public static final String readUTF(DataInput in) throws IOException

Reads in a string from the specified data input stream. The string has been encoded using a modified UTF-8 format.

The first two bytes are read as if by readUnsignedShort. This value gives the number of following bytes that are in the encoded string, not the length of the resulting string. The following bytes are then interpreted as bytes encoding characters in the UTF-8 format and are converted into characters.

This method blocks until all the bytes are read, the end of the stream is detected, or an exception is thrown.

Parameters:

in - a data input stream.

Returns:

a Unicode string.

Throws: EOFException

if the input stream reaches the end before all the bytes.

Throws: IOException

if an I/O error occurs.

Throws: UTFDataFormatException

if the bytes do not represent a valid UTF-8 encoding of a Unicode string.

See Also:

readUnsignedShort

 skipBytes

 public final int skipBytes(int n) throws IOException

Skips exactly n bytes of input in the underlying input stream. This method blocks until all the bytes are skipped, the end of the stream is detected, or an exception is thrown.

Parameters:

n - the number of bytes to be skipped.

Returns:

the number of bytes skipped, which is always n.

Throws: EOFException

if this input stream reaches the end before skipping all the bytes.

Throws: IOException

if an I/O error occurs.


 Class java.io.DataOutputStream

java.lang.Object
   |
   +----java.io.OutputStream
           |
           +----java.io.FilterOutputStream
                   |
                   +----java.io.DataOutputStream

public class DataOutputStream
   extends FilterOutputStream
   implements DataOutput

A data input stream lets an application write primitive Java data types to an output stream in a portable way. An application can then use a data input stream to read the data back in.

     See Also:
     DataInputStream

 written

The number of bytes written to the data output stream.

 DataOutputStream(OutputStream)

Creates a new data output stream to write data to the specified underlying output stream.

 flush()

Flushes this data output stream.

 size()

Returns the number of bytes written to this data output stream.

 write(byte[], int, int)

Writes len bytes from the specified byte array starting at offset off to the underlying output stream.

 write(int)

Writes the specified byte to the underlying output stream.

 writeBoolean(boolean)

Writes a boolean to the underlying output stream as a 1-byte value.

 writeByte(int)

Writes out a byte to the underlying output stream as a 1-byte value.

 writeBytes(String)

Writes out the string to the underlying output stream as a sequence of bytes.

 writeChar(int)

Writes a char to the underlying output stream as a 2-byte value, high byte first.

 writeChars(String)

Writes a string to the underlying output stream as a sequence of characters.

 writeDouble(double)

Converts the double argument to a long using the doubleToLongBits method in class Double, and then writes that long value to the underlying output stream as an 8-byte quantity, high byte first.

 writeFloat(float)

Converts the float argument to an int using the floatToIntBits method in class Float, and then writes that int value to the underlying output stream as a 4-byte quantity, high byte first.

 writeInt(int)

Writes an int to the underlying output stream as four bytes, high byte first.

 writeLong(long)

Writes a long to the underlying output stream as eight bytes, high byte first.

 writeShort(int)

Writes a short to the underlying output stream as two bytes, high byte first.

 writeUTF(String)

Writes a string to the underlying output stream using UTF-8 encoding in a machine-independent manner.

 written

 protected int written

The number of bytes written to the data output stream.

 DataOutputStream

 public DataOutputStream(OutputStream out)

Creates a new data output stream to write data to the specified underlying output stream.

Parameters:

out - the underlying output stream.

See Also:

out

 flush

 public void flush() throws IOException

Flushes this data output stream. This forces any buffered output bytes to be written out to the stream.

The flush method of DataOuputStream calls the flush method of its underlying output stream.

Throws: IOException

if an I/O error occurs.

Overrides:

flush in class FilterOutputStream

See Also:

out, flush

 size

 public final int size()

Returns the number of bytes written to this data output stream.

Returns:

the value of the written field.

See Also:

written

 write

 public synchronized void write(byte b[],
                                int off,
                                int len) throws IOException

Writes len bytes from the specified byte array starting at offset off to the underlying output stream.

Parameters:

b - the data.

off - the start offset in the data.

len - the number of bytes to write.

Throws: IOException

if an I/O error occurs.

Overrides:

write in class FilterOutputStream

See Also:

out

 write

 public synchronized void write(int b) throws IOException

Writes the specified byte to the underlying output stream.

Parameters:

b - the byte to be written.

Throws: IOException

if an I/O error occurs.

Overrides:

write in class FilterOutputStream

See Also:

out

 writeBoolean

 public final void writeBoolean(boolean v) throws IOException

Writes a boolean to the underlying output stream as a 1-byte value. The value true is written out as the value (byte)1; the value false is written out as the value (byte)0.

Parameters:

v - a boolean value to be written.

Throws: IOException

if an I/O error occurs.

See Also:

out

 writeByte

 public final void writeByte(int v) throws IOException

Writes out a byte to the underlying output stream as a 1-byte value.

Parameters:

v - a byte value to be written.

Throws: IOException

if an I/O error occurs.

See Also:

out

 writeBytes

 public final void writeBytes(String s) throws IOException

Writes out the string to the underlying output stream as a sequence of bytes. Each character in the string is written out, in sequence, by discarding its high eight bits.

Parameters:

s - a string of bytes to be written.

Throws: IOException

if an I/O error occurs.

See Also:

out

 writeChar

 public final void writeChar(int v) throws IOException

Writes a char to the underlying output stream as a 2-byte value, high byte first.

Parameters:

v - a char value to be written.

Throws: IOException

if an I/O error occurs.

See Also:

out

 writeChars

 public final void writeChars(String s) throws IOException

Writes a string to the underlying output stream as a sequence of characters. Each character is written to the data output stream as if by the writeChar method.

Parameters:

s - a String value to be written.

Throws: IOException

if an I/O error occurs.

See Also:

writeChar, out

 writeDouble

 public final void writeDouble(double v) throws IOException

Converts the double argument to a long using the doubleToLongBits method in class Double, and then writes that long value to the underlying output stream as an 8-byte quantity, high byte first.

Parameters:

v - a double value to be written.

Throws: IOException

if an I/O error occurs.

See Also:

out, doubleToLongBits

 writeFloat

 public final void writeFloat(float v) throws IOException

Converts the float argument to an int using the floatToIntBits method in class Float, and then writes that int value to the underlying output stream as a 4-byte quantity, high byte first.

Parameters:

v - a float value to be written.

Throws: IOException

if an I/O error occurs.

See Also:

out, floatToIntBits

 writeInt

 public final void writeInt(int v) throws IOException

Writes an int to the underlying output stream as four bytes, high byte first.

Parameters:

v - an int to be written.

Throws: IOException

if an I/O error occurs.

See Also:

out

 writeLong

 public final void writeLong(long v) throws IOException

Writes a long to the underlying output stream as eight bytes, high byte first.

Parameters:

v - a long to be written.

Throws: IOException

if an I/O error occurs.

See Also:

out

 writeShort

 public final void writeShort(int v) throws IOException

Writes a short to the underlying output stream as two bytes, high byte first.

Parameters:

v - a short to be written.

Throws: IOException

if an I/O error occurs.

See Also:

out

 writeUTF

 public final void writeUTF(String str) throws IOException

Writes a string to the underlying output stream using UTF-8 encoding in a machine-independent manner.

First, two bytes are written to the output stream as if by the writeShort method giving the number of bytes to follow. This value is the number of bytes actually written out, not the length of the string. Following the length, each character of the string is output, in sequence, using the UTF-8 encoding for the character.

Parameters:

str - a string to be written.

Throws: IOException

if an I/O error occurs.


 Class java.io.File

java.lang.Object
   |
   +----java.io.File

public class File
   extends Object
   implements Serializable

Instances of this class represent the name of a file or directory on the host file system. A file is specified by a pathname, which can either be an absolute pathname or a pathname relative to the current working directory. The pathname must follow the naming conventions of the host platform.

The File class is intended to provide an abstraction that deals with most of the machine dependent complexities of files and pathnames in a machine-independent fashion.

Note that whenever a filename or path is used it is assumed that the host's file naming conventions are used.

 pathSeparator

The system-dependent path separator string.

 pathSeparatorChar

The system-dependent path separator character.

 separator

The system-dependent path separator character.

 separatorChar

The system-dependent path separator string.

 File(File, String)

Creates a File instance that represents the file with the specified name in the specified directory.

 File(String)

Creates a File instance that represents the file whose pathname is the given path argument.

 File(String, String)

Creates a File instance whose pathname is the pathname of the specified directory, followed by the separator character, followed by the name argument.

 canRead()

Tests if the application can read from the specified file.

 canWrite()

Tests if the application can write to this file.

 delete()

Deletes the file specified by this object.

 equals(Object)

Compares this object against the specified object.

 exists()

Tests if this File exists.

 getAbsolutePath()

Returns the absolute pathname of the file represented by this object.

 getCanonicalPath()

Returns the canonical form of this File object's pathname.

 getName()

Returns the name of the file represented by this object.

 getParent()

Returns the parent part of the pathname of this File object, or null if the name has no parent part.

 getPath()

Returns the pathname of the file represented by this object.

 hashCode()

Computes a hashcode for the file.

 isAbsolute()

Tests if the file represented by this File object is an absolute pathname.

 isDirectory()

Tests if the file represented by this File object is a directory.

 isFile()

Tests if the file represented by this File object is a "normal" file.

 lastModified()

Returns the time that the file represented by this File object was last modified.

 length()

Returns the length of the file represented by this File object.

 list()

Returns a list of the files in the directory specified by this File object.

 list(FilenameFilter)

Returns a list of the files in the directory specified by this File that satisfy the specified filter.

 mkdir()

Creates a directory whose pathname is specified by this File object.

 mkdirs()

Creates a directory whose pathname is specified by this File object, including any necessary parent directories.

 renameTo(File)

Renames the file specified by this File object to have the pathname given by the File argument.

 toString()

Returns a string representation of this object.

 pathSeparator

 public static final String pathSeparator

The system-dependent path separator string. This field is initialized to contain the value of the system property path.separator.

See Also:

getProperty

 pathSeparatorChar

 public static final char pathSeparatorChar

The system-dependent path separator character. This field is initialized to contain the first character of the value of the system property path.separator. This character is often used to separate filenames in a sequence of files given as a "path list".

See Also:

getProperty

 separator

 public static final String separator

The system-dependent path separator character. This field is initialized to contain the value of the system property file.separator.

See Also:

getProperty

 separatorChar

 public static final char separatorChar

The system-dependent path separator string. This field is initialized to contain the first character of the value of the system property file.separator. This character separates the directory and file components in a filename.

See Also:

getProperty

 File

 public File(File dir,
             String name)

Creates a File instance that represents the file with the specified name in the specified directory.

If the directory argument is null, the resulting File instance represents a file in the (system-dependent) current directory whose pathname is the name argument. Otherwise, the File instance represents a file whose pathname is the pathname of the directory, followed by the separator character, followed by the name argument.

Parameters:

dir - the directory.

name - the file pathname.

See Also:

getPath, separator

 File

 public File(String path)

Creates a File instance that represents the file whose pathname is the given path argument.

Parameters:

path - the file pathname.

Throws: NullPointerException

if the file path is equal to null.

See Also:

getPath

 File

 public File(String path,
             String name)

Creates a File instance whose pathname is the pathname of the specified directory, followed by the separator character, followed by the name argument.

Parameters:

path - the directory pathname.

name - the file pathname.

See Also:

getPath, separator

 canRead

 public boolean canRead()

Tests if the application can read from the specified file.

Returns:

true if the file specified by this object exists and the application can read the file; false otherwise.

Throws: SecurityException

if a security manager exists, its checkRead method is called with the pathname of this File to see if the application is allowed read access to the file.

See Also:

getPath, checkRead

 canWrite

 public boolean canWrite()

Tests if the application can write to this file.

Returns:

true if the application is allowed to write to a file whose name is specified by this object; false otherwise.

Throws: SecurityException

if a security manager exists, its checkWrite method is called with the pathname of this File to see if the application is allowed write access to the file.

See Also:

getPath, checkWrite

 delete

 public boolean delete()

Deletes the file specified by this object. If the target file to be deleted is a directory, it must be empty for deletion to succeed.

Returns:

true if the file is successfully deleted; false otherwise.

Throws: SecurityException

if a security manager exists, its checkDelete method is called with the pathname of this File to see if the application is allowed to delete the file.

See Also:

getPath, checkDelete

 equals

 public boolean equals(Object obj)

Compares this object against the specified object. Returns true if and only if the argument is not null and is a File object whose pathname is equal to the pathname of this object.

Parameters:

obj - the object to compare with.

Returns:

true if the objects are the same; false otherwise.

Overrides:

equals in class Object

 exists

 public boolean exists()

Tests if this File exists.

Returns:

true if the file specified by this object exists; false otherwise.

Throws: SecurityException

if a security manager exists, its checkRead method is called with the pathname of this File to see if the application is allowed read access to the file.

See Also:

getPath, checkRead

 getAbsolutePath

 public String getAbsolutePath()

Returns the absolute pathname of the file represented by this object. If this object represents an absolute pathname, then return the pathname. Otherwise, return a pathname that is a concatenation of the current user directory, the separator character, and the pathname of this file object.

The system property user.dir contains the current user directory.

Returns:

a system-dependent absolute pathname for this File.

See Also:

getPath, isAbsolute, getProperty

 getCanonicalPath

 public String getCanonicalPath() throws IOException

Returns the canonical form of this File object's pathname. The precise definition of canonical form is system-dependent, but it usually specifies an absolute pathname in which all relative references and references to the current user directory have been completely resolved. The canonical form of a pathname of a nonexistent file may not be defined.

Throws: IOException

If an I/O error occurs, which is possible because the construction of the canonical path may require filesystem queries.

 getName

 public String getName()

Returns the name of the file represented by this object. The name is everything in the pathame after the last occurrence of the separator character.

Returns:

the name of the file (without any directory components) represented by this File object.

See Also:

getPath, separator

 getParent

 public String getParent()

Returns the parent part of the pathname of this File object, or null if the name has no parent part. The parent part is generally everything leading up to the last occurrence of the separator character, although the precise definition is system dependent. On UNIX, for example, the parent part of "/usr/lib" is "/usr", whose parent part is "/", which in turn has no parent. On Windows platforms, the parent part of "c:\java" is "c:\", which in turn has no parent.

See Also:

getPath, getCanonicalPath, separator

 getPath

 public String getPath()

Returns the pathname of the file represented by this object.

Returns:

the pathname represented by this File object.

 hashCode

 public int hashCode()

Computes a hashcode for the file.

Returns:

a hash code value for this File object.

Overrides:

hashCode in class Object

 isAbsolute

 public native boolean isAbsolute()

Tests if the file represented by this File object is an absolute pathname. The definition of an absolute pathname is system dependent. For example, on UNIX, a pathname is absolute if its first character is the separator character. On Windows platforms, a pathname is absolute if its first character is an ASCII '\' or '/', or if it begins with a letter followed by a colon.

Returns:

true if the pathname indicated by the File object is an absolute pathname; false otherwise.

See Also:

getPath, separator

 isDirectory

 public boolean isDirectory()

Tests if the file represented by this File object is a directory.

Returns:

true if this File exists and is a directory; false otherwise.

Throws: SecurityException

if a security manager exists, its checkRead method is called with the pathname of this File to see if the application is allowed read access to the file.

See Also:

getPath, checkRead

 isFile

 public boolean isFile()

Tests if the file represented by this File object is a "normal" file.

A file is "normal" if it is not a directory and, in addition, satisfies other system-dependent criteria. Any non-directory file created by a Java application is guaranteed to be a normal file.

Returns:

true if the file specified by this object exists and is a "normal" file; false otherwise.

Throws: SecurityException

If a security manager exists, its checkRead method is called with the pathname of this File to see if the application is allowed read access to the file.

See Also:

getPath, checkRead

 lastModified

 public long lastModified()

Returns the time that the file represented by this File object was last modified.

The return value is system dependent and should only be used to compare with other values returned by last modified. It should not be interpreted as an absolute time.

Returns:

the time the file specified by this object was last modified, or 0L if the specified file does not exist.

Throws: SecurityException

if a security manager exists, its checkRead method is called with the pathname of this File to see if the application is allowed read access to the file.

See Also:

getPath, checkRead

 length

 public long length()

Returns the length of the file represented by this File object.

Returns:

the length, in bytes, of the file specified by this object, or 0L if the specified file does not exist.

Throws: SecurityException

if a security manager exists, its checkRead method is called with the pathname of this File to see if the application is allowed read access to the file.

See Also:

getPath, checkRead

 list

 public String[] list()

Returns a list of the files in the directory specified by this File object.

Returns:

an array of file names in the specified directory. This list does not include the current directory or the parent directory ("." and ".." on Unix systems).

Throws: SecurityException

If a security manager exists, its checkRead method is called with the pathname of this File to see if the application is allowed read access to the file.

See Also:

getPath, checkRead

 list

 public String[] list(FilenameFilter filter)

Returns a list of the files in the directory specified by this File that satisfy the specified filter.

Parameters:

filter - a filename filter.

Returns:

an array of file names in the specified directory. This list does not include the current directory or the parent directory ("." and ".." on Unix systems).

Throws: SecurityException

If a security manager exists, its checkRead method is called with the pathname of this File to see if the application is allowed read access to the file.

See Also:

getPath, FilenameFilter, checkRead

 mkdir

 public boolean mkdir()

Creates a directory whose pathname is specified by this File object.

Returns:

true if the directory could be created; false otherwise.

Throws: SecurityException

if a security manager exists, its checkWrite method is called with the pathname of this File to see if the application is allowed write access to the file.

See Also:

getPath, checkWrite

 mkdirs

 public boolean mkdirs()

Creates a directory whose pathname is specified by this File object, including any necessary parent directories.

Returns:

true if the directory (or directories) could be created; false otherwise.

Throws: SecurityException

if a security manager exists, its checkWrite method is called with the pathname of each of the directories that is to be created, before any of the directories are created.

See Also:

getPath, checkWrite

 renameTo

 public boolean renameTo(File dest)

Renames the file specified by this File object to have the pathname given by the File argument.

Parameters:

dest - the new filename.

Returns:

true if the renaming succeeds; false otherwise.

Throws: SecurityException

if a security manager exists, its checkWrite method is called both with the pathname of this file object and with the pathname of the destination target object to see if the application is allowed to write to both files.

See Also:

getPath, checkWrite

 toString

 public String toString()

Returns a string representation of this object.

Returns:

a string giving the pathname of this object.

Overrides:

toString in class Object

See Also:

getPath


 Class java.io.FileDescriptor

java.lang.Object
   |
   +----java.io.FileDescriptor

public final class FileDescriptor
   extends Object

Instances of the file descriptor class serve as an opaque handle to the underlying machine-specific structure representing an open file or an open socket.

Applications should not create their own file descriptors.

     See Also:
     FileInputStream, FileOutputStream, SocketInputStream, SocketOutputStream

 err

A handle to the standard error stream.

 in

A handle to the standard input stream.

 out

A handle to the standard output stream.

 FileDescriptor()

 sync()

Force all system buffers to synchronize with the underlying device.

 valid()

Tests if this file descriptor object is valid.

 err

 public static final FileDescriptor err

A handle to the standard error stream.

 in

 public static final FileDescriptor in

A handle to the standard input stream.

 out

 public static final FileDescriptor out

A handle to the standard output stream.

 FileDescriptor

 public FileDescriptor()

 sync

 public native void sync() throws SyncFailedException

Force all system buffers to synchronize with the underlying device. This method returns after all modified data and attributes of this FileDescriptor have been written to the relevant device(s). In particular, if this FileDescriptor refers to a physical storage medium, such as a file in a file system, sync will not return until all in-memory modified copies of buffers associated with this FileDesecriptor have been written to the physical medium. sync is meant to be used by code that requires physical storage (such as a file) to be in a known state For example, a class that provided a simple transaction facility might use sync to ensure that all changes to a file caused by a given transaction were recorded on a storage medium. sync only affects buffers downstream of this FileDescriptor. If any in-memory buffering is being done by the application (for example, by a BufferedOutputStream object), those buffers must be flushed into the FileDescriptor (for example, by invoking OutputStream.flush) before that data will be affected by sync.

Throws: SyncFailedException

Thrown when the buffers cannot be flushed, or because the system cannot guarantee that all the buffers have been synchronized with physical media.

 valid

 public native boolean valid()

Tests if this file descriptor object is valid.

Returns:

true if the file descriptor object represents a valid, open file or socket; false otherwise.


 Class java.io.FileInputStream

java.lang.Object
   |
   +----java.io.InputStream
           |
           +----java.io.FileInputStream

public class FileInputStream
   extends InputStream

A file input stream is an input stream for reading data from a File or from a FileDescriptor.

     See Also:
     File, FileDescriptor, FileOutputStream

 FileInputStream(File)

Creates an input file stream to read from the specified File object.

 FileInputStream(FileDescriptor)

Creates an input file stream to read from the specified file descriptor.

 FileInputStream(String)

Creates an input file stream to read from a file with the specified name.

 available()

Returns the number of bytes that can be read from this file input stream without blocking.

 close()

Closes this file input stream and releases any system resources associated with the stream.

 finalize()

Ensures that the close method of this file input stream is called when there are no more references to it.

 getFD()

Returns the opaque file descriptor object associated with this stream.

 read()

Reads a byte of data from this input stream.

 read(byte[])

Reads up to b.length bytes of data from this input stream into an array of bytes.

 read(byte[], int, int)

Reads up to len bytes of data from this input stream into an array of bytes.

 skip(long)

Skips over and discards n bytes of data from the input stream.

 FileInputStream

 public FileInputStream(File file) throws FileNotFoundException

Creates an input file stream to read from the specified File object.

Parameters:

file - the file to be opened for reading.

Throws: FileNotFoundException

if the file is not found.

Throws: SecurityException

if a security manager exists, its checkRead method is called with the pathname of this File argument to see if the application is allowed read access to the file.

See Also:

getPath, checkRead

 FileInputStream

 public FileInputStream(FileDescriptor fdObj)

Creates an input file stream to read from the specified file descriptor.

Parameters:

fdObj - the file descriptor to be opened for reading.

Throws: SecurityException

if a security manager exists, its checkRead method is called with the file descriptor to see if the application is allowed to read from the specified file descriptor.

See Also:

checkRead

 FileInputStream

 public FileInputStream(String name) throws FileNotFoundException

Creates an input file stream to read from a file with the specified name.

Parameters:

name - the system-dependent file name.

Throws: FileNotFoundException

if the file is not found.

Throws: SecurityException

if a security manager exists, its checkRead method is called with the name argument to see if the application is allowed read access to the file.

See Also:

checkRead

 available

 public native int available() throws IOException

Returns the number of bytes that can be read from this file input stream without blocking.

Returns:

the number of bytes that can be read from this file input stream without blocking.

Throws: IOException

if an I/O error occurs.

Overrides:

available in class InputStream

 close

 public native void close() throws IOException

Closes this file input stream and releases any system resources associated with the stream.

Throws: IOException

if an I/O error occurs.

Overrides:

close in class InputStream

 finalize

 protected void finalize() throws IOException

Ensures that the close method of this file input stream is called when there are no more references to it.

Throws: IOException

if an I/O error occurs.

Overrides:

finalize in class Object

See Also:

close

 getFD

 public final FileDescriptor getFD() throws IOException

Returns the opaque file descriptor object associated with this stream.

Returns:

the file descriptor object associated with this stream.

Throws: IOException

if an I/O error occurs.

See Also:

FileDescriptor

 read

 public native int read() throws IOException

Reads a byte of data from this input stream. This method blocks if no input is yet available.

Returns:

the next byte of data, or -1 if the end of the file is reached.

Throws: IOException

if an I/O error occurs.

Overrides:

read in class InputStream

 read

 public int read(byte b[]) throws IOException

Reads up to b.length bytes of data from this input stream into an array of bytes. This method blocks until some input is available.

Parameters:

b - the buffer into which the data is read.

Returns:

the total number of bytes read into the buffer, or -1 if there is no more data because the end of the file has been reached.

Throws: IOException

if an I/O error occurs.

Overrides:

read in class InputStream

 read

 public int read(byte b[],
                 int off,
                 int len) throws IOException

Reads up to len bytes of data from this input stream into an array of bytes. This method blocks until some input is available.

Parameters:

b - the buffer into which the data is read.

off - the start offset of the data.

len - the maximum number of bytes read.

Returns:

the total number of bytes read into the buffer, or -1 if there is no more data because the end of the file has been reached.

Throws: IOException

if an I/O error occurs.

Overrides:

read in class InputStream

 skip

 public native long skip(long n) throws IOException

Skips over and discards n bytes of data from the input stream. The skip method may, for a variety of reasons, end up skipping over some smaller number of bytes, possibly 0. The actual number of bytes skipped is returned.

Parameters:

n - the number of bytes to be skipped.

Returns:

the actual number of bytes skipped.

Throws: IOException

if an I/O error occurs.

Overrides:

skip in class InputStream


 Class java.io.FileOutputStream

java.lang.Object
   |
   +----java.io.OutputStream
           |
           +----java.io.FileOutputStream

public class FileOutputStream
   extends OutputStream

A file output stream is an output stream for writing data to a File or to a FileDescriptor.

     See Also:
     File, FileDescriptor, FileInputStream

 FileOutputStream(File)

Creates a file output stream to write to the specified File object.

 FileOutputStream(FileDescriptor)

Creates an output file stream to write to the specified file descriptor.

 FileOutputStream(String)

Creates an output file stream to write to the file with the specified name.

 FileOutputStream(String, boolean)

Creates an output file with the specified system dependent file name.

 close()

Closes this file output stream and releases any system resources associated with this stream.

 finalize()

Ensures that the close method of this file output stream is called when there are no more references to this stream.

 getFD()

Returns the file descriptor associated with this stream.

 write(byte[])

Writes b.length bytes from the specified byte array to this file output stream.

 write(byte[], int, int)

Writes len bytes from the specified byte array starting at offset off to this file output stream.

 write(int)

Writes the specified byte to this file output stream.

 FileOutputStream

 public FileOutputStream(File file) throws IOException

Creates a file output stream to write to the specified File object.

Parameters:

file - the file to be opened for writing.

Throws: IOException

if the file could not be opened for writing.

Throws: SecurityException

if a security manager exists, its checkWrite method is called with the pathname of the File argument to see if the application is allowed write access to the file. This may result in a security exception.

See Also:

getPath, SecurityException, checkWrite

 FileOutputStream

 public FileOutputStream(FileDescriptor fdObj)

Creates an output file stream to write to the specified file descriptor.

Parameters:

fdObj - the file descriptor to be opened for writing.

Throws: SecurityException

if a security manager exists, its checkWrite method is called with the file descriptor to see if the application is allowed to write to the specified file descriptor.

See Also:

checkWrite

 FileOutputStream

 public FileOutputStream(String name) throws IOException

Creates an output file stream to write to the file with the specified name.

Parameters:

name - the system-dependent filename.

Throws: IOException

if the file could not be opened for writing.

Throws: SecurityException

if a security manager exists, its checkWrite method is called with the name argument to see if the application is allowed write access to the file.

See Also:

checkWrite

 FileOutputStream

 public FileOutputStream(String name,
                         boolean append) throws IOException

Creates an output file with the specified system dependent file name.

Parameters:

name - the system dependent file name

Throws: IOException

If the file is not found.

 close

 public native void close() throws IOException

Closes this file output stream and releases any system resources associated with this stream.

Throws: IOException

if an I/O error occurs.

Overrides:

close in class OutputStream

 finalize

 protected void finalize() throws IOException

Ensures that the close method of this file output stream is called when there are no more references to this stream.

Throws: IOException

if an I/O error occurs.

Overrides:

finalize in class Object

See Also:

close

 getFD

 public final FileDescriptor getFD() throws IOException

Returns the file descriptor associated with this stream.

Returns:

the file descriptor object associated with this stream.

Throws: IOException

if an I/O error occurs.

See Also:

FileDescriptor

 write

 public void write(byte b[]) throws IOException

Writes b.length bytes from the specified byte array to this file output stream.

Parameters:

b - the data.

Throws: IOException

if an I/O error occurs.

Overrides:

write in class OutputStream

 write

 public void write(byte b[],
                   int off,
                   int len) throws IOException

Writes len bytes from the specified byte array starting at offset off to this file output stream.

Parameters:

b - the data.

off - the start offset in the data.

len - the number of bytes to write.

Throws: IOException

if an I/O error occurs.

Overrides:

write in class OutputStream

 write

 public native void write(int b) throws IOException

Writes the specified byte to this file output stream.

Parameters:

b - the byte to be written.

Throws: IOException

if an I/O error occurs.

Overrides:

write in class OutputStream


 Class java.io.FileReader

java.lang.Object
   |
   +----java.io.Reader
           |
           +----java.io.InputStreamReader
                   |
                   +----java.io.FileReader

public class FileReader
   extends InputStreamReader

Convenience class for reading character files. The constructors of this class assume that the default character encoding and the default byte-buffer size are appropriate. To specify these values yourself, construct an InputStreamReader on a FileInputStream.

     See Also:
     InputStreamReader, FileInputStream

 FileReader(File)

 FileReader(FileDescriptor)

 FileReader(String)

 FileReader

 public FileReader(File file) throws FileNotFoundException

 FileReader

 public FileReader(FileDescriptor fd)

 FileReader

 public FileReader(String fileName) throws FileNotFoundException


 Class java.io.FileWriter

java.lang.Object
   |
   +----java.io.Writer
           |
           +----java.io.OutputStreamWriter
                   |
                   +----java.io.FileWriter

public class FileWriter
   extends OutputStreamWriter

Convenience class for writing character files. The constructors of this class assume that the default character encoding and the default byte-buffer size are acceptable. To specify these values yourself, construct an OutputStreamWriter on a FileOutputStream.

     See Also:
     OutputStreamWriter, FileOutputStream

 FileWriter(File)

 FileWriter(FileDescriptor)

 FileWriter(String)

 FileWriter(String, boolean)

 FileWriter

 public FileWriter(File file) throws IOException

 FileWriter

 public FileWriter(FileDescriptor fd)

 FileWriter

 public FileWriter(String fileName) throws IOException

 FileWriter

 public FileWriter(String fileName,
                   boolean append) throws IOException


 Class java.io.FilterInputStream

java.lang.Object
   |
   +----java.io.InputStream
           |
           +----java.io.FilterInputStream

public class FilterInputStream
   extends InputStream

This class is the superclass of all classes that filter input streams. These streams sit on top of an already existing input stream (the underlying input stream), but provide additional functionality.

The class FilterInputStream itself simply overrides all methods of InputStream with versions that pass all requests to the underlying input stream. Subclasses of FilterInputStream may further override some of these methods as well as provide additional methods and fields.

 in

The underlying input stream.

 FilterInputStream(InputStream)

Creates an input stream filter built on top of the specified input stream.

 available()

Returns the number of bytes that can be read from this input stream without blocking.

 close()

Closes this input stream and releases any system resources associated with the stream.

 mark(int)

Marks the current position in this input stream.

 markSupported()

Tests if this input stream supports the mark and reset methods.

 read()

Reads the next byte of data from this input stream.

 read(byte[])

Reads up to byte.length bytes of data from this input stream into an array of bytes.

 read(byte[], int, int)

Reads up to len bytes of data from this input stream into an array of bytes.

 reset()

Repositions this stream to the position at the time the mark method was last called on this input stream.

 skip(long)

Skips over and discards n bytes of data from the input stream.

 in

 protected InputStream in

The underlying input stream.

 FilterInputStream

 protected FilterInputStream(InputStream in)

Creates an input stream filter built on top of the specified input stream.

Parameters:

in - the underlying input stream.

 available

 public int available() throws IOException

Returns the number of bytes that can be read from this input stream without blocking.

The available method of FilterInputStream calls the available method of its underlying input stream and returns whatever value that method returns.

Returns:

the number of bytes that can be read from the input stream without blocking.

Throws: IOException

if an I/O error occurs.

Overrides:

available in class InputStream

See Also:

in

 close

 public void close() throws IOException

Closes this input stream and releases any system resources associated with the stream. The close method of FilterInputStream calls the close method of its underlying input stream.

Throws: IOException

if an I/O error occurs.

Overrides:

close in class InputStream

See Also:

in

 mark

 public synchronized void mark(int readlimit)

Marks the current position in this input stream. A subsequent call to the reset method repositions this stream at the last marked position so that subsequent reads re-read the same bytes.

The readlimit argument tells this input stream to allow that many bytes to be read before the mark position gets invalidated.

The mark method of FilterInputStream calls the mark method of its underlying input stream with the readlimit argument.

Parameters:

readlimit - the maximum limit of bytes that can be read before the mark position becomes invalid.

Overrides:

mark in class InputStream

See Also:

in, reset

 markSupported

 public boolean markSupported()

Tests if this input stream supports the mark and reset methods. The markSupported method of FilterInputStream calls the markSupported method of its underlying input stream and returns whatever value that method returns.

Returns:

true if this stream type supports the mark and reset method; false otherwise.

Overrides:

markSupported in class InputStream

See Also:

in, mark, reset

 read

 public int read() throws IOException

Reads the next byte of data from this input stream. The value byte is returned as an int in the range 0 to 255. If no byte is available because the end of the stream has been reached, the value -1 is returned. This method blocks until input data is available, the end of the stream is detected, or an exception is thrown.

The read method of FilterInputStream calls the read method of its underlying input stream and returns whatever value that method returns.

Returns:

the next byte of data, or -1 if the end of the stream is reached.

Throws: IOException

if an I/O error occurs.

Overrides:

read in class InputStream

See Also:

in

 read

 public int read(byte b[]) throws IOException

Reads up to byte.length bytes of data from this input stream into an array of bytes. This method blocks until some input is available.

The read method of FilterInputStream calls the read method of three arguments with the arguments b, 0, and b.length, and returns whatever value that method returns.

Note that this method does not call the one-argument read method of its underlying stream with the single argument b. Subclasses of FilterInputStream do not need to override this method if they have overridden the three-argument read method.

Parameters:

b - the buffer into which the data is read.

Returns:

the total number of bytes read into the buffer, or -1 if there is no more data because the end of the stream has been reached.

Throws: IOException

if an I/O error occurs.

Overrides:

read in class InputStream

See Also:

read

 read

 public int read(byte b[],
                 int off,
                 int len) throws IOException

Reads up to len bytes of data from this input stream into an array of bytes. This method blocks until some input is available.

The read method of FilterInputStream calls the read method of its underlying input stream with the same arguments and returns whatever value that method returns.

Parameters:

b - the buffer into which the data is read.

off - the start offset of the data.

len - the maximum number of bytes read.

Returns:

the total number of bytes read into the buffer, or -1 if there is no more data because the end of the stream has been reached.

Throws: IOException

if an I/O error occurs.

Overrides:

read in class InputStream

See Also:

in

 reset

 public synchronized void reset() throws IOException

Repositions this stream to the position at the time the mark method was last called on this input stream.

The reset method of FilterInputStream calls the reset method of its underlying input stream.

Stream marks are intended to be used in situations where you need to read ahead a little to see what's in the stream. Often this is most easily done by invoking some general parser. If the stream is of the type handled by the parse, it just chugs along happily. If the stream is not of that type, the parser should toss an exception when it fails. If this happens within readlimit bytes, it allows the outer code to reset the stream and try another parser.

Throws: IOException

if the stream has not been marked or if the mark has been invalidated.

Overrides:

reset in class InputStream

See Also:

in, mark

 skip

 public long skip(long n) throws IOException

Skips over and discards n bytes of data from the input stream. The skip method may, for a variety of reasons, end up skipping over some smaller number of bytes, possibly 0. The actual number of bytes skipped is returned.

The skip method of FilterInputStream calls the skip method of its underlying input stream with the same argument, and returns whatever value that method does.

Parameters:

n - the number of bytes to be skipped.

Returns:

the actual number of bytes skipped.

Throws: IOException

if an I/O error occurs.

Overrides:

skip in class InputStream


 Class java.io.FilterOutputStream

java.lang.Object
   |
   +----java.io.OutputStream
           |
           +----java.io.FilterOutputStream

public class FilterOutputStream
   extends OutputStream

This class is the superclass of all classes that filter output streams. These streams sit on top of an already existing output stream (the underlying output stream), but provide additional functionality.

The class FilterOutputStream itself simply overrides all methods of OutputStream with versions that pass all requests to the underlying output stream. Subclasses of FilterOutputStream may further override some of these methods as well as provide additional methods and fields.

 out

The underlying output stream.

 FilterOutputStream(OutputStream)

Creates an output stream filter built on top of the specified underlying output stream.

 close()

Closes this output stream and releases any system resources associated with the stream.

 flush()

Flushes this output stream and forces any buffered output bytes to be written out to the stream.

 write(byte[])

Writes b.length bytes to this output stream.

 write(byte[], int, int)

Writes len bytes from the specified byte array starting at offset off to this output stream.

 write(int)

Writes the specified byte to this output stream.

 out

 protected OutputStream out

The underlying output stream.

 FilterOutputStream

 public FilterOutputStream(OutputStream out)

Creates an output stream filter built on top of the specified underlying output stream.

Parameters:

out - the underlying output stream.

 close

 public void close() throws IOException

Closes this output stream and releases any system resources associated with the stream.

The close method of FilterOutputStream calls its flush method, and then calls the close method of its underlying output stream.

Throws: IOException

if an I/O error occurs.

Overrides:

close in class OutputStream

See Also:

flush, out

 flush

 public void flush() throws IOException

Flushes this output stream and forces any buffered output bytes to be written out to the stream.

The flush method of FilterOutputStream calls the flush method of its underlying output stream.

Throws: IOException

if an I/O error occurs.

Overrides:

flush in class OutputStream

See Also:

out

 write

 public void write(byte b[]) throws IOException

Writes b.length bytes to this output stream.

The write method of FilterOutputStream calls its write method of three arguments with the arguments b, 0, and b.length.

Note that this method does not call the one-argument write method of its underlying stream with the single argument b.

Parameters:

b - the data to be written.

Throws: IOException

if an I/O error occurs.

Overrides:

write in class OutputStream

See Also:

write

 write

 public void write(byte b[],
                   int off,
                   int len) throws IOException

Writes len bytes from the specified byte array starting at offset off to this output stream.

The write method of FilterOutputStream calls the write method of one argument on each byte to output.

Note that this method does not call the write method of its underlying input stream with the same arguments. Subclasses of FilterOutputStream should provide a more efficient implementation of this method.

Parameters:

b - the data.

off - the start offset in the data.

len - the number of bytes to write.

Throws: IOException

if an I/O error occurs.

Overrides:

write in class OutputStream

See Also:

write

 write

 public void write(int b) throws IOException

Writes the specified byte to this output stream.

The write method of FilterOutputStream calls the write method of its underlying output stream.

Parameters:

b - the byte.

Throws: IOException

if an I/O error occurs.

Overrides:

write in class OutputStream


 Class java.io.FilterReader

java.lang.Object
   |
   +----java.io.Reader
           |
           +----java.io.FilterReader

public abstract class FilterReader
   extends Reader

Abstract class for reading filtered character streams.

 in

The underlying character-input stream, or null if the stream has been closed

 FilterReader(Reader)

Create a new filtered reader.

 close()

Close the stream.

 mark(int)

Mark the present position in the stream.

 markSupported()

Tell whether this stream supports the mark() operation.

 read()

Read a single character.

 read(char[], int, int)

Read characters into a portion of an array.

 ready()

Tell whether this stream is ready to be read.

 reset()

Reset the stream.

 skip(long)

Skip characters.

 in

 protected Reader in

The underlying character-input stream, or null if the stream has been closed

 FilterReader

 protected FilterReader(Reader in)

Create a new filtered reader.

 close

 public void close() throws IOException

Close the stream.

Throws: IOException

If an I/O error occurs

Overrides:

close in class Reader

 mark

 public void mark(int readAheadLimit) throws IOException

Mark the present position in the stream.

Throws: IOException

If an I/O error occurs

Overrides:

mark in class Reader

 markSupported

 public boolean markSupported()

Tell whether this stream supports the mark() operation.

Overrides:

markSupported in class Reader

 read

 public int read() throws IOException

Read a single character.

Throws: IOException

If an I/O error occurs

Overrides:

read in class Reader

 read

 public int read(char cbuf[],
                 int off,
                 int len) throws IOException

Read characters into a portion of an array.

Throws: IOException

If an I/O error occurs

Overrides:

read in class Reader

 ready

 public boolean ready() throws IOException

Tell whether this stream is ready to be read.

Throws: IOException

If an I/O error occurs

Overrides:

ready in class Reader

 reset

 public void reset() throws IOException

Reset the stream.

Throws: IOException

If an I/O error occurs

Overrides:

reset in class Reader

 skip

 public long skip(long n) throws IOException

Skip characters.

Throws: IOException

If an I/O error occurs

Overrides:

skip in class Reader


 Class java.io.FilterWriter

java.lang.Object
   |
   +----java.io.Writer
           |
           +----java.io.FilterWriter

public abstract class FilterWriter
   extends Writer

Abstract class for writing filtered character streams.

 out

The underlying character-output stream.

 FilterWriter(Writer)

Create a new filtered writer.

 close()

Close the stream.

 flush()

Flush the stream.

 write(char[], int, int)

Write a portion of an array of characters.

 write(int)

Write a single character.

 write(String, int, int)

Write a portion of a string.

 out

 protected Writer out

The underlying character-output stream.

 FilterWriter

 protected FilterWriter(Writer out)

Create a new filtered writer.

 close

 public void close() throws IOException

Close the stream.

Throws: IOException

If an I/O error occurs

Overrides:

close in class Writer

 flush

 public void flush() throws IOException

Flush the stream.

Throws: IOException

If an I/O error occurs

Overrides:

flush in class Writer

 write

 public void write(char cbuf[],
                   int off,
                   int len) throws IOException

Write a portion of an array of characters.

Parameters:

cbuf - Buffer of characters to be written

off - Offset from which to start reading characters

len - Number of characters to be written

Throws: IOException

If an I/O error occurs

Overrides:

write in class Writer

 write

 public void write(int c) throws IOException

Write a single character.

Throws: IOException

If an I/O error occurs

Overrides:

write in class Writer

 write

 public void write(String str,
                   int off,
                   int len) throws IOException

Write a portion of a string.

Parameters:

str - String to be written

off - Offset from which to start reading characters

len - Number of characters to be written

Throws: IOException

If an I/O error occurs

Overrides:

write in class Writer


 Class java.io.InputStream

java.lang.Object
   |
   +----java.io.InputStream

public abstract class InputStream
   extends Object

This abstract class is the superclass of all classes representing an input stream of bytes.

Applications that need to define a subclass of InputStream must always provide a method that returns the next byte of input.

     See Also:
     BufferedInputStream, ByteArrayInputStream, DataInputStream, FilterInputStream, read, OutputStream, PushbackInputStream

 InputStream()

 available()

Returns the number of bytes that can be read from this input stream without blocking.

 close()

Closes this input stream and releases any system resources associated with the stream.

 mark(int)

Marks the current position in this input stream.

 markSupported()

Tests if this input stream supports the mark and reset methods.

 read()

Reads the next byte of data from this input stream.

 read(byte[])

Reads up to b.length bytes of data from this input stream into an array of bytes.

 read(byte[], int, int)

Reads up to len bytes of data from this input stream into an array of bytes.

 reset()

Repositions this stream to the position at the time the mark method was last called on this input stream.

 skip(long)

Skips over and discards n bytes of data from this input stream.

 InputStream

 public InputStream()

 available

 public int available() throws IOException

Returns the number of bytes that can be read from this input stream without blocking. The available method of InputStream returns 0. This method should be overridden by subclasses.

Returns:

the number of bytes that can be read from this input stream without blocking.

Throws: IOException

if an I/O error occurs.

 close

 public void close() throws IOException

Closes this input stream and releases any system resources associated with the stream.

The close method of InputStream does nothing.

Throws: IOException

if an I/O error occurs.

 mark

 public synchronized void mark(int readlimit)

Marks the current position in this input stream. A subsequent call to the reset method repositions this stream at the last marked position so that subsequent reads re-read the same bytes.

The readlimit arguments tells this input stream to allow that many bytes to be read before the mark position gets invalidated.

The mark method of InputStream does nothing.

Parameters:

readlimit - the maximum limit of bytes that can be read before the mark position becomes invalid.

See Also:

reset

 markSupported

 public boolean markSupported()

Tests if this input stream supports the mark and reset methods. The markSupported method of InputStream returns false.

Returns:

true if this true type supports the mark and reset method; false otherwise.

See Also:

mark, reset

 read

 public abstract int read() throws IOException

Reads the next byte of data from this input stream. The value byte is returned as an int in the range 0 to 255. If no byte is available because the end of the stream has been reached, the value -1 is returned. This method blocks until input data is available, the end of the stream is detected, or an exception is thrown.

A subclass must provide an implementation of this method.

Returns:

the next byte of data, or -1 if the end of the stream is reached.

Throws: IOException

if an I/O error occurs.

 read

 public int read(byte b[]) throws IOException

Reads up to b.length bytes of data from this input stream into an array of bytes.

The read method of InputStream calls the read method of three arguments with the arguments b, 0, and b.length.

Parameters:

b - the buffer into which the data is read.

Returns:

the total number of bytes read into the buffer, or -1 is there is no more data because the end of the stream has been reached.

Throws: IOException

if an I/O error occurs.

See Also:

read

 read

 public int read(byte b[],
                 int off,
                 int len) throws IOException

Reads up to len bytes of data from this input stream into an array of bytes. This method blocks until some input is available. If the first argument is null, up to len bytes are read and discarded.

The read method of InputStream reads a single byte at a time using the read method of zero arguments to fill in the array. Subclasses are encouraged to provide a more efficient implementation of this method.

Parameters:

b - the buffer into which the data is read.

off - the start offset of the data.

len - the maximum number of bytes read.

Returns:

the total number of bytes read into the buffer, or -1 if there is no more data because the end of the stream has been reached.

Throws: IOException

if an I/O error occurs.

See Also:

read

 reset

 public synchronized void reset() throws IOException

Repositions this stream to the position at the time the mark method was last called on this input stream.

The reset method of InputStream throws an IOException, because input streams, by default, do not support mark and reset.

Stream marks are intended to be used in situations where you need to read ahead a little to see what's in the stream. Often this is most easily done by invoking some general parser. If the stream is of the type handled by the parser, it just chugs along happily. If the stream is not of that type, the parser should toss an exception when it fails, which, if it happens within readlimit bytes, allows the outer code to reset the stream and try another parser.

Throws: IOException

if this stream has not been marked or if the mark has been invalidated.

See Also:

mark, IOException

 skip

 public long skip(long n) throws IOException

Skips over and discards n bytes of data from this input stream. The skip method may, for a variety of reasons, end up skipping over some smaller number of bytes, possibly 0. The actual number of bytes skipped is returned.

The skip method of InputStream creates a byte array of length n and then reads into it until n bytes have been read or the end of the stream has been reached. Subclasses are encouraged to provide a more efficient implementation of this method.

Parameters:

n - the number of bytes to be skipped.

Returns:

the actual number of bytes skipped.

Throws: IOException

if an I/O error occurs.


 Class java.io.InputStreamReader

java.lang.Object
   |
   +----java.io.Reader
           |
           +----java.io.InputStreamReader

public class InputStreamReader
   extends Reader

An InputStreamReader is a bridge from byte streams to character streams: It reads bytes and translates them into characters according to a specified character encoding. The encoding that it uses may be specified by name, or the platform's default encoding may be accepted.

Each invocation of one of an InputStreamReader's read() methods may cause one or more bytes to be read from the underlying byte-input stream. For top efficiency, consider wrapping an InputStreamReader within a BufferedReader; for example,

 BufferedReader in
   = new BufferedReader(new InputStreamReader(System.in));

     See Also:
     BufferedReader, InputStream

 InputStreamReader(InputStream)

Create an InputStreamReader that uses the default character encoding.

 InputStreamReader(InputStream, String)

Create an InputStreamReader that uses the named character encoding.

 close()

Close the stream.

 getEncoding()

Return the name of the encoding being used by this stream.

 read()

Read a single character.

 read(char[], int, int)

Read characters into a portion of an array.

 ready()

Tell whether this stream is ready to be read.

 InputStreamReader

 public InputStreamReader(InputStream in)

Create an InputStreamReader that uses the default character encoding.

Parameters:

in - An InputStream

 InputStreamReader

 public InputStreamReader(InputStream in,
                          String enc) throws UnsupportedEncodingException

Create an InputStreamReader that uses the named character encoding.

Parameters:

in - An InputStream

enc - Name of encoding to be used

Throws: UnsupportedEncodingException

If the named encoding is not supported

 close

 public void close() throws IOException

Close the stream.

Throws: IOException

If an I/O error occurs

Overrides:

close in class Reader

 getEncoding

 public String getEncoding()

Return the name of the encoding being used by this stream. May return null if the stream has been closed.

 read

 public int read() throws IOException

Read a single character.

Returns:

The character read, or -1 if the end of the stream has been reached

Throws: IOException

If an I/O error occurs

Overrides:

read in class Reader

 read

 public int read(char cbuf[],
                 int off,
                 int len) throws IOException

Read characters into a portion of an array.

Parameters:

cbuf - Destination buffer

off - Offset at which to start storing characters

len - Maximum number of characters to read

Returns:

The number of characters read, or -1 if the end of the stream has been reached

Throws: IOException

If an I/O error occurs

Overrides:

read in class Reader

 ready

 public boolean ready() throws IOException

Tell whether this stream is ready to be read. An InputStreamReader is ready if its input buffer is not empty, or if bytes are available to be read from the underlying byte stream.

Throws: IOException

If an I/O error occurs

Overrides:

ready in class Reader


 Class java.io.LineNumberInputStream

java.lang.Object
   |
   +----java.io.InputStream
           |
           +----java.io.FilterInputStream
                   |
                   +----java.io.LineNumberInputStream

public class LineNumberInputStream
   extends FilterInputStream
 Note: LineNumberInputStream is deprecated.
This class incorrectly assumes that bytes adequately represent characters. As of JDK 1.1, the preferred way to operate on character streams is via the new character-stream classes, which include a class for counting line numbers.

This class is an input stream filter that provides the added functionality of keeping track of the current line number.

A line is a sequence of bytes ending with a carriage return character ('\r'), a newline character ('\n'), or a carriage return character followed immediately by a linefeed character. In all three cases, the line terminating character(s) are returned as a single newline character.

The line number begins at 0, and is incremented by 1 when a read returns a newline character.

     See Also:
     LineNumberReader

 LineNumberInputStream(InputStream)

Constructs a newline number input stream that reads its input from the specified input stream.

 available()

Returns the number of bytes that can be read from this input stream without blocking.

 getLineNumber()

Returns the current line number.

 mark(int)

Marks the current position in this input stream.

 read()

Reads the next byte of data from this input stream.

 read(byte[], int, int)

Reads up to len bytes of data from this input stream into an array of bytes.

 reset()

Repositions this stream to the position at the time the mark method was last called on this input stream.

 setLineNumber(int)

Sets the line number to the specified argument.

 skip(long)

Skips over and discards n bytes of data from the input stream.

 LineNumberInputStream

 public LineNumberInputStream(InputStream in)

Constructs a newline number input stream that reads its input from the specified input stream.

Parameters:

in - the underlying input stream.

 available

 public int available() throws IOException

Returns the number of bytes that can be read from this input stream without blocking.

Note that if the underlying input stream is able to supply k input characters without blocking, the LineNumberInputStream can guarantee only to provide k/2 characters without blocking, because the k characters from the underlyhing input stream might consist of k/2 pairs of '\r' and '\n', which are converted to just k/2 '\n' characters.

Returns:

the number of bytes that can be read from this input stream without blocking.

Throws: IOException

if an I/O error occurs.

Overrides:

available in class FilterInputStream

See Also:

in

 getLineNumber

 public int getLineNumber()

Returns the current line number.

Returns:

the current line number.

 mark

 public void mark(int readlimit)

Marks the current position in this input stream. A subsequent call to the reset method repositions this stream at the last marked position so that subsequent reads re-read the same bytes.

The mark method of LineNumberInputStream remembers the current line number in a private variable, and then calls the mark method of the underlying input stream.

Parameters:

readlimit - the maximum limit of bytes that can be read before the mark position becomes invalid.

Overrides:

mark in class FilterInputStream

See Also:

in, reset

 read

 public int read() throws IOException

Reads the next byte of data from this input stream. The value byte is returned as an int in the range 0 to 255. If no byte is available because the end of the stream has been reached, the value -1 is returned. This method blocks until input data is available, the end of the stream is detected, or an exception is thrown.

The read method of LineNumberInputStream calls the read method of the underlying input stream. It checks for carriage returns and newline characters in the input, and modifies the current line number as appropriate. A carriage-return character or a carriage return followed by a newline character are both converted into a single newline character.

Returns:

the next byte of data, or -1 if the end of this stream is reached.

Throws: IOException

if an I/O error occurs.

Overrides:

read in class FilterInputStream

See Also:

in, getLineNumber

 read

 public int read(byte b[],
                 int off,
                 int len) throws IOException

Reads up to len bytes of data from this input stream into an array of bytes. This method blocks until some input is available.

The read method of LineNumberInputStream repeatedly calls the read method of zero arguments to fill in the byte array.

Parameters:

b - the buffer into which the data is read.

off - the start offset of the data.

len - the maximum number of bytes read.

Returns:

the total number of bytes read into the buffer, or -1 if there is no more data because the end of this stream has been reached.

Throws: IOException

if an I/O error occurs.

Overrides:

read in class FilterInputStream

See Also:

read

 reset

 public void reset() throws IOException

Repositions this stream to the position at the time the mark method was last called on this input stream.

The reset method of LineNumberInputStream resets the line number to be the line number at the time the mark method was called, and then calls the reset method of the underlying input stream.

Stream marks are intended to be used in situations where you need to read ahead a little to see what's in the stream. Often this is most easily done by invoking some general parser. If the stream is of the type handled by the parser, it just chugs along happily. If the stream is not of that type, the parser should toss an exception when it fails, which, if it happens within readlimit bytes, allows the outer code to reset the stream and try another parser.

Throws: IOException

if an I/O error occurs.

Overrides:

reset in class FilterInputStream

See Also:

in, mark

 setLineNumber

 public void setLineNumber(int lineNumber)

Sets the line number to the specified argument.

Parameters:

lineNumber - the new line number.

 skip

 public long skip(long n) throws IOException

Skips over and discards n bytes of data from the input stream. The skip method may, for a variety of reasons, end up skipping over some smaller number of bytes, possibly 0. The actual number of bytes skipped is returned.

The skip method of LineNumberInputStream creates a byte array of length n and then reads into it until n bytes have been read or the end of the stream has been reached.

Parameters:

n - the number of bytes to be skipped.

Returns:

the actual number of bytes skipped.

Throws: IOException

if an I/O error occurs.

Overrides:

skip in class FilterInputStream


 Class java.io.LineNumberReader

java.lang.Object
   |
   +----java.io.Reader
           |
           +----java.io.BufferedReader
                   |
                   +----java.io.LineNumberReader

public class LineNumberReader
   extends BufferedReader

A buffered character-input stream that keeps track of line numbers. A line is considered to be terminated by any one of a line feed ('\n'), a carriage return ('\r'), or a carriage return followed immediately by a linefeed.

 LineNumberReader(Reader)

Create a new line-numbering reader, using the default input-buffer size.

 LineNumberReader(Reader, int)

Create a new line-numbering reader, reading characters into a buffer of the given size.

 getLineNumber()

Get the current line number.

 mark(int)

Mark the present position in the stream.

 read()

Read a single character.

 read(char[], int, int)

Read characters into a portion of an array.

 readLine()

Read a line of text.

 reset()

Reset the stream to the most recent mark.

 setLineNumber(int)

Set the current line number.

 skip(long)

Skip characters.

 LineNumberReader

 public LineNumberReader(Reader in)

Create a new line-numbering reader, using the default input-buffer size.

 LineNumberReader

 public LineNumberReader(Reader in,
                         int sz)

Create a new line-numbering reader, reading characters into a buffer of the given size.

 getLineNumber

 public int getLineNumber()

Get the current line number.

 mark

 public void mark(int readAheadLimit) throws IOException

Mark the present position in the stream. Subsequent calls to reset() will attempt to reposition the stream to this point, and will also reset the line number appropriately.

Parameters:

readAheadLimit - Limit on the number of characters that may be read while still preserving the mark. After reading this many characters, attempting to reset the stream may fail.

Throws: IOException

If an I/O error occurs

Overrides:

mark in class BufferedReader

 read

 public int read() throws IOException

Read a single character. Line terminators are compressed into single newline ('\n') characters.

Returns:

The character read, or -1 if the end of the stream has been reached

Throws: IOException

If an I/O error occurs

Overrides:

read in class BufferedReader

 read

 public int read(char cbuf[],
                 int off,
                 int len) throws IOException

Read characters into a portion of an array.

Parameters:

cbuf - Destination buffer

off - Offset at which to start storing characters

len - Maximum number of characters to read

Returns:

The number of bytes read, or -1 if the end of the stream has already been reached

Throws: IOException

If an I/O error occurs

Overrides:

read in class BufferedReader

 readLine

 public String readLine() throws IOException

Read a line of text. A line is considered to be terminated by any one of a line feed ('\n'), a carriage return ('\r'), or a carriage return followed immediately by a linefeed.

Returns:

A String containing the contents of the line, not including any line-termination characters, or null if the end of the stream has been reached

Throws: IOException

If an I/O error occurs

Overrides:

readLine in class BufferedReader

 reset

 public void reset() throws IOException

Reset the stream to the most recent mark.

Throws: IOException

If the stream has not been marked, or if the mark has been invalidated

Overrides:

reset in class BufferedReader

 setLineNumber

 public void setLineNumber(int lineNumber)

Set the current line number.

 skip

 public long skip(long n) throws IOException

Skip characters.

Parameters:

n - The number of characters to skip

Returns:

The number of characters actually skipped

Throws: IOException

If an I/O error occurs

Overrides:

skip in class BufferedReader


 Class java.io.ObjectInputStream

java.lang.Object
   |
   +----java.io.InputStream
           |
           +----java.io.ObjectInputStream

public class ObjectInputStream
   extends InputStream
   implements ObjectInput, ObjectStreamConstants

An ObjectInputStream deserializes primitive data and objects previously written using an ObjectOutputStream. ObjectOutputStream and ObjectInputStream can provide an application with persistent storage for graphs of objects when used with a FileOutputStream and FileInputStream respectively. ObjectInputStream is used to recover those objects previously serialized. Other uses include passing objects between hosts using a socket stream or for marshaling and unmarshaling arguments and parameters in a remote communication system.

ObjectInputStream ensures that the types of all objects in the graph created from the stream match the classes present in the Java Virtual Machine. Classes are loaded as required using the standard mechanisms.

Only objects that support the java.io.Serializable or java.io.Externalizable interface can be read from streams. The method readObject is used to read an object from the stream. Java's safe casting should be used to get the desired type. In Java, strings and arrays are objects and are treated as objects during serialization. When read they need to be cast to the expected type.

Primitive data types can be read from the stream using the appropriate method on DataInput.

The default deserialization mechanism for objects restores the contents of each field to the value and type it had when it was written. Fields declared as transient or static are ignored by the deserialization process. References to other objects cause those objects to be read from the stream as necessary. Graphs of objects are restored correctly using a reference sharing mechanism. New objects are always allocated when deserializing, which prevents existing objects from being overwritten.

Reading an object is analogous to running the constructors of a new object. Memory is allocated for the object and initialized to zero (NULL). No-arg constructors are invoked for the non-serializable classes and then the fields of the serializable classes are restored from the stream starting with the serializable class closest to java.lang.object and finishing with the object's most specifiec class.

For example to read from a stream as written by the example in ObjectOutputStream:

FileInputStream istream = new FileInputStream("t.tmp");
ObjectInputStream p = new ObjectInputStream(istream);
int i = p.readInt();
String today = (String)p.readObject();
Date date = (Date)p.readObject();
istream.close();

Classes control how they are serialized by implementing either the java.io.Serializable or java.io.Externalizable interfaces.

Implementing the Serializable interface allows object serialization to save and restore the entire state of the object and it allows classes to evolve between the time the stream is written and the time it is read. It automatically traverses references between objects, saving and restoring entire graphs. Serializable classes that require special handling during the serialization and deserialization process should implement both of these methods:

 private void writeObject(java.io.ObjectOutputStream stream)
     throws IOException;
 private void readObject(java.io.ObjectInputStream stream)
     throws IOException, ClassNotFoundException;

The readObject method is responsible for reading and restoring the state of the object for its particular class using data written to the stream by the corresponding writeObject method. The method does not need to concern itself with the state belonging to its superclasses or subclasses. State is restored by reading data from the ObjectInputStream for the individual fields and making assignments to the appropriate fields of the object. Reading primitive data types is supported by DataInput.

Serialization does not read or assign values to the fields of any object that does not implement the java.io.Serializable interface. Subclasses of Objects that are not serializable can be serializable. In this case the non-serializable class must have a no-arg constructor to allow its fields to be initialized. In this case it is the responsibility of the subclass to save and restore the state of the non-serializable class. It is frequently the case that the fields of that class are accessible (public, package, or protected) or that there are get and set methods that can be used to restore the state.

Any exception that occurs while deserializing an object will be caught by the ObjectInputStream and abort the reading process.

Implementing the Externalizable interface allows the object to assume complete control over the contents and format of the object's serialized form. The methods of the Externalizable interface, writeExternal and readExternal, are called to save and restore the objects state. When implemented by a class they can write and read their own state using all of the methods of ObjectOutput and ObjectInput. It is the responsibility of the objects to handle any versioning that occurs.

     See Also:
     DataInput, ObjectOutputStream, Serializable

 ObjectInputStream(InputStream)

Create an ObjectInputStream that reads from the specified InputStream.

 available()

Returns the number of bytes that can be read without blocking.

 close()

Closes the input stream.

 defaultReadObject()

Read the non-static and non-transient fields of the current class from this stream.

 enableResolveObject(boolean)

Enable the stream to allow objects read from the stream to be replaced.

 read()

Reads a byte of data.

 read(byte[], int, int)

Reads into an array of bytes.

 readBoolean()

Reads in a boolean.

 readByte()

Reads an 8 bit byte.

 readChar()

Reads a 16 bit char.

 readDouble()

Reads a 64 bit double.

 readFloat()

Reads a 32 bit float.

 readFully(byte[])

Reads bytes, blocking until all bytes are read.

 readFully(byte[], int, int)

Reads bytes, blocking until all bytes are read.

 readInt()

Reads a 32 bit int.

 readLine()

Reads in a line that has been terminated by a \n, \r, \r\n or EOF.

 readLong()

Reads a 64 bit long.

 readObject()

Read an object from the ObjectInputStream.

 readShort()

Reads a 16 bit short.

 readStreamHeader()

The readStreamHeader method is provided to allow subclasses to read and verify their own stream headers.

 readUnsignedByte()

Reads an unsigned 8 bit byte.

 readUnsignedShort()

Reads an unsigned 16 bit short.

 readUTF()

Reads a UTF format String.

 registerValidation(ObjectInputValidation, int)

Register an object to be validated before the graph is returned.

 resolveClass(ObjectStreamClass)

Subclasses may implement this method to allow classes to be fetched from an alternate source.

 resolveObject(Object)

This method will allow trusted subclasses of ObjectInputStream to substitute one object for another during deserialization.

 skipBytes(int)

Skips bytes, block until all bytes are skipped.

 ObjectInputStream

 public ObjectInputStream(InputStream in) throws IOException, StreamCorruptedException

Create an ObjectInputStream that reads from the specified InputStream. The stream header containing the magic number and version number are read from the stream and verified. This method will block until the corresponding ObjectOutputStream has written and flushed the header.

Throws: StreamCorruptedException

The version or magic number are incorrect.

Throws: IOException

An exception occurred in the underlying stream.

 available

 public int available() throws IOException

Returns the number of bytes that can be read without blocking.

Returns:

the number of available bytes.

Overrides:

available in class InputStream

 close

 public void close() throws IOException

Closes the input stream. Must be called to release any resources associated with the stream.

Throws: IOException

If an I/O error has occurred.

Overrides:

close in class InputStream

 defaultReadObject

 public final void defaultReadObject() throws IOException, ClassNotFoundException, NotActiveException

Read the non-static and non-transient fields of the current class from this stream. This may only be called from the readObject method of the class being deserialized. It will throw the NotActiveException if it is called otherwise.

Throws: ClassNotFoundException

if the class of a serialized object could not be found.

Throws: IOException

if an I/O error occurs.

Throws: NotActiveException

if the stream is not currently reading objects.

 enableResolveObject

 protected final boolean enableResolveObject(boolean enable) throws SecurityException

Enable the stream to allow objects read from the stream to be replaced. If the stream is a trusted class it is allowed to enable replacment. Trusted classes are those classes with a classLoader equals null.

When enabled the resolveObject method is called for every object being deserialized.

Throws: SecurityException

The classloader of this stream object is non-null.

 read

 public int read() throws IOException

Reads a byte of data. This method will block if no input is available.

Returns:

the byte read, or -1 if the end of the stream is reached.

Throws: IOException

If an I/O error has occurred.

Overrides:

read in class InputStream

 read

 public int read(byte data[],
                 int offset,
                 int length) throws IOException

Reads into an array of bytes. This method will block until some input is available.

Parameters:

b - the buffer into which the data is read

off - the start offset of the data

len - the maximum number of bytes read

Returns:

the actual number of bytes read, -1 is returned when the end of the stream is reached.

Throws: IOException

If an I/O error has occurred.

Overrides:

read in class InputStream

 readBoolean

 public boolean readBoolean() throws IOException

Reads in a boolean.

Returns:

the boolean read.

Throws: EOFException

If end of file is reached.

Throws: IOException

If other I/O error has occurred.

 readByte

 public byte readByte() throws IOException

Reads an 8 bit byte.

Returns:

the 8 bit byte read.

Throws: EOFException

If end of file is reached.

Throws: IOException

If other I/O error has occurred.

 readChar

 public char readChar() throws IOException

Reads a 16 bit char.

Returns:

the 16 bit char read.

Throws: EOFException

If end of file is reached.

Throws: IOException

If other I/O error has occurred.

 readDouble

 public double readDouble() throws IOException

Reads a 64 bit double.

Returns:

the 64 bit double read.

Throws: EOFException

If end of file is reached.

Throws: IOException

If other I/O error has occurred.

 readFloat

 public float readFloat() throws IOException

Reads a 32 bit float.

Returns:

the 32 bit float read.

Throws: EOFException

If end of file is reached.

Throws: IOException

If other I/O error has occurred.

 readFully

 public void readFully(byte data[]) throws IOException

Reads bytes, blocking until all bytes are read.

Parameters:

b - the buffer into which the data is read

Throws: EOFException

If end of file is reached.

Throws: IOException

If other I/O error has occurred.

 readFully

 public void readFully(byte data[],
                       int offset,
                       int size) throws IOException

Reads bytes, blocking until all bytes are read.

Parameters:

b - the buffer into which the data is read

off - the start offset of the data

len - the maximum number of bytes to read

Throws: EOFException

If end of file is reached.

Throws: IOException

If other I/O error has occurred.

 readInt

 public int readInt() throws IOException

Reads a 32 bit int.

Returns:

the 32 bit integer read.

Throws: EOFException

If end of file is reached.

Throws: IOException

If other I/O error has occurred.

 readLine

 public String readLine() throws IOException

Reads in a line that has been terminated by a \n, \r, \r\n or EOF.

Returns:

a String copy of the line.

 readLong

 public long readLong() throws IOException

Reads a 64 bit long.

Returns:

the read 64 bit long.

Throws: EOFException

If end of file is reached.

Throws: IOException

If other I/O error has occurred.

 readObject

 public final Object readObject() throws OptionalDataException, ClassNotFoundException, IOException

Read an object from the ObjectInputStream. The class of the object, the signature of the class, and the values of the non-transient and non-static fields of the class and all of its supertypes are read. Default deserializing for a class can be overriden using the writeObject and readObject methods. Objects referenced by this object are read transitively so that a complete equivalent graph of objects is reconstructed by readObject.

The root object is completly restored when all of its fields and the objects it references are completely restored. At this point the object validation callbacks are executed in order based on their registered priorities. The callbacks are registered by objects (in the readObject special methods) as they are individually restored. Exceptions are thrown for problems with the InputStream and for classes that should not be deserialized. All exceptions are fatal to the InputStream and leave it in an indeterminate state; it is up to the caller to ignore or recover the stream state.

Throws: ClassNotFoundException

Class of a serialized object cannot be found.

Throws: InvalidClassException

Something is wrong with a class used by serialization.

Throws: StreamCorruptedException

Control information in the stream is inconsistent.

Throws: OptionalDataException

Primitive data was found in the stream instead of objects.

Throws: IOException

Any of the usual Input/Output related exceptions.

 readShort

 public short readShort() throws IOException

Reads a 16 bit short.

Returns:

the 16 bit short read.

Throws: EOFException

If end of file is reached.

Throws: IOException

If other I/O error has occurred.

 readStreamHeader

 protected void readStreamHeader() throws IOException, StreamCorruptedException

The readStreamHeader method is provided to allow subclasses to read and verify their own stream headers. It reads and verifies the magic number and version number.

 readUnsignedByte

 public int readUnsignedByte() throws IOException

Reads an unsigned 8 bit byte.

Returns:

the 8 bit byte read.

Throws: EOFException

If end of file is reached.

Throws: IOException

If other I/O error has occurred.

 readUnsignedShort

 public int readUnsignedShort() throws IOException

Reads an unsigned 16 bit short.

Returns:

the 16 bit short read.

Throws: EOFException

If end of file is reached.

Throws: IOException

If other I/O error has occurred.

 readUTF

 public String readUTF() throws IOException

Reads a UTF format String.

Returns:

the String.

 registerValidation

 public synchronized void registerValidation(ObjectInputValidation obj,
                                             int prio) throws NotActiveException, InvalidObjectException

Register an object to be validated before the graph is returned. While similar to resolveObject these validations are called after the entire graph has been reconstituted. Typically, a readObject method will register the object with the stream so that when all of the objects are restored a final set of validations can be performed.

Parameters:

obj - the object to receive the validation callback.

prio - controls the order of callbacks;zero is a good default. Use higher numbers to be called back earlier, lower numbers for later callbacks. Within a priority, callbacks are processed in no particular order.

Throws: NotActiveException

The stream is not currently reading objects so it is invalid to register a callback.

Throws: InvalidObjectException

The validation object is null.

 resolveClass

 protected Class resolveClass(ObjectStreamClass v) throws IOException, ClassNotFoundException

Subclasses may implement this method to allow classes to be fetched from an alternate source. The corresponding method in ObjectOutputStream is annotateClass. This method will be invoked only once for each unique class in the stream. This method can be implemented by subclasses to use an alternate loading mechanism but must return a Class object. Once returned, the serialVersionUID of the class is compared to the serialVersionUID of the serialized class. If there is a mismatch, the deserialization fails and an exception is raised.

By default the class name is resolved relative to the class that called readObject.

Throws: ClassNotFoundException

If class of a serialized object cannot be found.

 resolveObject

 protected Object resolveObject(Object obj) throws IOException

This method will allow trusted subclasses of ObjectInputStream to substitute one object for another during deserialization. Replacing objects is disabled until enableResolveObject is called. The enableResolveObject method checks that the stream requesting to resolve object can be trusted. Every reference to serializable objects is passed to resolveObject. To insure that the private state of objects is not unintentionally exposed only trusted streams may use resolveObject.

This method is called after an object has been read but before it is returned from readObject. The default resolveObject method just returns the new object.

When a subclass is replacing objects it must insure that the substituted object is compatible with every field where the reference will be stored. Objects whose type is not a subclass of the type of the field or array element abort the serialization by raising an exception and the object is not be stored.

This method is called only once when each object is first encountered. All subsequent references to the object will be redirected to the new object.

Throws: IOException

Any of the usual Input/Output exceptions.

 skipBytes

 public int skipBytes(int len) throws IOException

Skips bytes, block until all bytes are skipped.

Parameters:

n - the number of bytes to be skipped

Returns:

the actual number of bytes skipped.

Throws: EOFException

If end of file is reached.

Throws: IOException

If other I/O error has occurred.


 Class java.io.ObjectOutputStream

java.lang.Object
   |
   +----java.io.OutputStream
           |
           +----java.io.ObjectOutputStream

public class ObjectOutputStream
   extends OutputStream
   implements ObjectOutput, ObjectStreamConstants

An ObjectOutputStream writes primitive data types and graphs of Java objects to an OutputStream. The objects can be read (reconstituted) using an ObjectInputStream. Persistent storage of objects can be accomplished by using a file for the stream. If the stream is a network socket stream, the objects can be reconsituted on another host or in another process.

Only objects that support the java.io.Serializable interface can be written to streams. The class of each serializable object is encoded including the class name and signature of the class, the values of the object's fields and arrays, and the closure of any other objects referenced from the initial objects.

The method writeObject is used to write an object to the stream. Any object, including Strings and arrays, is written with writeObject. Multiple objects or primitives can be written to the stream. The objects must be read back from the corresponding ObjectInputstream with the same types and in the same order as they were written.

Primitive data types can also be written to the stream using the appropriate methods from DataOutput. Strings can also be written using the writeUTF method.

The default serialization mechanism for an object writes the class of the object, the class signature, and the values of all non-transient and non-static fields. References to other objects (except in transient or static fields) cause those objects to be written also. Multiple references to a single object are encoded using a reference sharing mechanism so that graphs of objects can be restored to the same shape as when the original was written.

For example to write an object that can be read by the example in ObjectInputStream:

FileOutputStream ostream = new FileOutputStream("t.tmp");
ObjectOutputStream p = new ObjectOutputStream(ostream);
p.writeInt(12345);
p.writeObject("Today");
p.writeObject(new Date());
p.flush();
ostream.close();

Classes that require special handling during the serialization and deserialization process must implement special methods with these exact signatures:

 private void readObject(java.io.ObjectInputStream stream)
     throws IOException, ClassNotFoundException;
 private void writeObject(java.io.ObjectOutputStream stream)
     throws IOException

The writeObject method is responsible for writing the state of the object for its particular class so that the corresponding readObject method can restore it. The method does not need to concern itself with the state belonging to the object's superclasses or subclasses. State is saved by writing the individual fields to the ObjectOutputStream using the writeObject method or by using the methods for primitive data types supported by DataOutput.

Serialization does not write out the fields of any object that does not implement the java.io.Serializable interface. Subclasses of Objects that are not serializable can be serializable. In this case the non-serializable class must have a no-arg constructor to allow its fields to be initialized. In this case it is the responsibility of the subclass to save and restore the state of the non-serializable class. It is frequently the case that the fields of that class are accessible (public, package, or protected) or that there are get and set methods that can be used to restore the state.

Serialization of an object can be prevented by implementing writeObject and readObject methods that throw the NotSerializableException. The exception will be caught by the ObjectOutputStream and abort the serialization process. Implementing the Externalizable interface allows the object to assume complete control over the contents and format of the object's serialized form. The methods of the Externalizable interface, writeExternal and readExternal, are called to save and restore the objects state. When implemented by a class they can write and read their own state using all of the methods of ObjectOutput and ObjectInput. It is the responsibility of the objects to handle any versioning that occurs.

     See Also:
     DataOutput, ObjectInputStream, Serializable, Externalizable

 ObjectOutputStream(OutputStream)

Creates an ObjectOutputStream that writes to the specified OutputStream.

 annotateClass(Class)

Subclasses may implement this method to allow class data to be stored in the stream.

 close()

Closes the stream.

 defaultWriteObject()

Write the non-static and non-transient fields of the current class to this stream.

 drain()

Drain any buffered data in ObjectOutputStream.

 enableReplaceObject(boolean)

Enable the stream to do replacement of objects in the stream.

 flush()

Flushes the stream.

 replaceObject(Object)

This method will allow trusted subclasses of ObjectOutputStream to substitute one object for another during serialization.

 reset()

Reset will disregard the state of any objects already written to the stream.

 write(byte[])

Writes an array of bytes.

 write(byte[], int, int)

Writes a sub array of bytes.

 write(int)

Writes a byte.

 writeBoolean(boolean)

Writes a boolean.

 writeByte(int)

Writes an 8 bit byte.

 writeBytes(String)

Writes a String as a sequence of bytes.

 writeChar(int)

Writes a 16 bit char.

 writeChars(String)

Writes a String as a sequence of chars.

 writeDouble(double)

Writes a 64 bit double.

 writeFloat(float)

Writes a 32 bit float.

 writeInt(int)

Writes a 32 bit int.

 writeLong(long)

Writes a 64 bit long.

 writeObject(Object)

Write the specified object to the ObjectOutputStream.

 writeShort(int)

Writes a 16 bit short.

 writeStreamHeader()

The writeStreamHeader method is provided so subclasses can append or prepend their own header to the stream.

 writeUTF(String)

Writes a String in UTF format.

 ObjectOutputStream

 public ObjectOutputStream(OutputStream out) throws IOException

Creates an ObjectOutputStream that writes to the specified OutputStream. The stream header is written to the stream. The caller may want to call flush immediately so that the corresponding ObjectInputStream can read the header immediately.

Throws: IOException

Any exception thrown by the underlying OutputStream.

 annotateClass

 protected void annotateClass(Class cl) throws IOException

Subclasses may implement this method to allow class data to be stored in the stream. By default this method does nothing. The corresponding method in ObjectInputStream is resolveClass. This method is called exactly once for each unique class in the stream. The class name and signature will have already been written to the stream. This method may make free use of the ObjectOutputStream to save any representation of the class it deems suitable (for example, the bytes of the class file). The resolveClass method in the corresponding subclass of ObjectInputStream must read and use any data or objects written by annotateClass. annotateClass is called only for normal classes. Arrays are not normal classes.

Throws: IOException

Any exception thrown by the underlying OutputStream.

 close

 public void close() throws IOException

Closes the stream. This method must be called to release any resources associated with the stream.

Throws: IOException

If an I/O error has occurred.

Overrides:

close in class OutputStream

 defaultWriteObject

 public final void defaultWriteObject() throws IOException

Write the non-static and non-transient fields of the current class to this stream. This may only be called from the writeObject method of the class being serialized. It will throw the NotActiveException if it is called otherwise.

 drain

 protected void drain() throws IOException

Drain any buffered data in ObjectOutputStream. Similar to flush but does not propagate the flush to the underlaying stream.

 enableReplaceObject

 protected final boolean enableReplaceObject(boolean enable) throws SecurityException

Enable the stream to do replacement of objects in the stream. If the stream is a trusted class it is allowed to enable replacement. Trusted classes are those classes with a classLoader equals null.

When enabled the replaceObject method is called for every object being serialized.

Throws: SecurityException

The classloader of this stream object is non-null.

 flush

 public void flush() throws IOException

Flushes the stream. This will write any buffered output bytes and flush through to the underlying stream.

Throws: IOException

If an I/O error has occurred.

Overrides:

flush in class OutputStream

 replaceObject

 protected Object replaceObject(Object obj) throws IOException

This method will allow trusted subclasses of ObjectOutputStream to substitute one object for another during serialization. Replacing objects is disabled until enableReplaceObject is called. The enableReplaceObject method checks that the stream requesting to do replacment can be trusted. Every reference to serializable objects is passed to replaceObject. To insure that the private state of objects is not unintentionally exposed only trusted streams may use replaceObject.

When a subclass is replacing objects it must insure that either a complementary substitution must be made during deserialization or that the substituted object is compatible with every field where the reference will be stored. Objects whose type is not a subclass of the type of the field or array element abort the serialization by raising an exception and the object is not be stored.

This method is called only once when each object is first encountered. All subsequent references to the object will be redirected to the new object. This method should return the object to be substituted or the original object.

Null can be returned as the object to be substituted, but may cause NullReferenceException in classes that contain references to the original object since they may be expecting an object instead of null.

Throws: IOException

Any exception thrown by the underlying OutputStream.

 reset

 public void reset() throws IOException

Reset will disregard the state of any objects already written to the stream. The state is reset to be the same as a new ObjectOutputStream. The current point in the stream is marked as reset so the corresponding ObjectInputStream will be reset at the same point. Objects previously written to the stream will not be refered to as already being in the stream. They will be written to the stream again.

 write

 public void write(byte b[]) throws IOException

Writes an array of bytes. This method will block until the bytes are actually written.

Parameters:

b - the data to be written

Throws: IOException

If an I/O error has occurred.

Overrides:

write in class OutputStream

 write

 public void write(byte b[],
                   int off,
                   int len) throws IOException

Writes a sub array of bytes.

Parameters:

b - the data to be written

off - the start offset in the data

len - the number of bytes that are written

Throws: IOException

If an I/O error has occurred.

Overrides:

write in class OutputStream

 write

 public void write(int data) throws IOException

Writes a byte. This method will block until the byte is actually written.

Parameters:

b - the byte

Throws: IOException

If an I/O error has occurred.

Overrides:

write in class OutputStream

 writeBoolean

 public void writeBoolean(boolean data) throws IOException

Writes a boolean.

Parameters:

data - the boolean to be written

 writeByte

 public void writeByte(int data) throws IOException

Writes an 8 bit byte.

Parameters:

data - the byte value to be written

 writeBytes

 public void writeBytes(String data) throws IOException

Writes a String as a sequence of bytes.

Parameters:

s - the String of bytes to be written

 writeChar

 public void writeChar(int data) throws IOException

Writes a 16 bit char.

Parameters:

data - the char value to be written

 writeChars

 public void writeChars(String data) throws IOException

Writes a String as a sequence of chars.

Parameters:

s - the String of chars to be written

 writeDouble

 public void writeDouble(double data) throws IOException

Writes a 64 bit double.

Parameters:

data - the double value to be written

 writeFloat

 public void writeFloat(float data) throws IOException

Writes a 32 bit float.

Parameters:

data - the float value to be written

 writeInt

 public void writeInt(int data) throws IOException

Writes a 32 bit int.

Parameters:

data - the integer value to be written

 writeLong

 public void writeLong(long data) throws IOException

Writes a 64 bit long.

Parameters:

data - the long value to be written

 writeObject

 public final void writeObject(Object obj) throws IOException

Write the specified object to the ObjectOutputStream. The class of the object, the signature of the class, and the values of the non-transient and non-static fields of the class and all of its supertypes are written. Default serialization for a class can be overridden using the writeObject and the readObject methods. Objects referenced by this object are written transitively so that a complete equivalent graph of objects can be reconstructed by an ObjectInputStream.

Exceptions are thrown for problems with the OutputStream and for classes that should not be serialized. All exceptions are fatal to the OutputStream, which is left in an indeterminate state, and it is up to the caller to ignore or recover the stream state.

Throws: InvalidClassException

Something is wrong with a class used by serialization.

Throws: NotSerializableException

Some object to be serialized does not implement the java.io.Serializable interface.

Throws: IOException

Any exception thrown by the underlying OutputStream.

 writeShort

 public void writeShort(int data) throws IOException

Writes a 16 bit short.

Parameters:

data - the short value to be written

 writeStreamHeader

 protected void writeStreamHeader() throws IOException

The writeStreamHeader method is provided so subclasses can append or prepend their own header to the stream. It writes the magic number and version to the stream.

 writeUTF

 public void writeUTF(String data) throws IOException

Writes a String in UTF format.

Parameters:

str - the String in UTF format


 Class java.io.ObjectStreamClass

java.lang.Object
   |
   +----java.io.ObjectStreamClass

public class ObjectStreamClass
   extends Object
   implements Serializable

A ObjectStreamClass describes a class that can be serialized to a stream or a class that was serialized to a stream. It contains the name and the serialVersionUID of the class.

The ObjectStreamClass for a specific class loaded in this Java VM can be found using the lookup method.

 forClass()

Return the class in the local VM that this version is mapped to.

 getName()

The name of the class described by this descriptor.

 getSerialVersionUID()

Return the serialVersionUID for this class.

 lookup(Class)

Find the descriptor for a class that can be serialized.

 toString()

Return a string describing this ObjectStreamClass.

 forClass

 public Class forClass()

Return the class in the local VM that this version is mapped to. Null is returned if there is no corresponding local class.

 getName

 public String getName()

The name of the class described by this descriptor.

 getSerialVersionUID

 public long getSerialVersionUID()

Return the serialVersionUID for this class. The serialVersionUID defines a set of classes all with the same name that have evolved from a common root class and agree to be serialized and deserialized using a common format.

 lookup

 public static ObjectStreamClass lookup(Class cl)

Find the descriptor for a class that can be serialized. Null is returned if the specified class does not implement java.io.Serializable or java.io.Externalizable.

 toString

 public String toString()

Return a string describing this ObjectStreamClass.

Overrides:

toString in class Object


 Class java.io.OutputStream

java.lang.Object
   |
   +----java.io.OutputStream

public abstract class OutputStream
   extends Object

This abstract class is the superclass of all classes representing an output stream of bytes.

Applications that need to define a subclass of OutputStream must always provide at least a method that writes one byte of output.

     See Also:
     BufferedOutputStream, ByteArrayOutputStream, DataOutputStream, FilterOutputStream, InputStream, write

 OutputStream()

 close()

Closes this output stream and releases any system resources associated with this stream.

 flush()

Flushes this output stream and forces any buffered output bytes to be written out.

 write(byte[])

Writes b.length bytes from the specified byte array to this output stream.

 write(byte[], int, int)

Writes len bytes from the specified byte array starting at offset off to this output stream.

 write(int)

Writes the specified byte to this output stream.

 OutputStream

 public OutputStream()

 close

 public void close() throws IOException

Closes this output stream and releases any system resources associated with this stream.

The close method of OutputStream does nothing.

Throws: IOException

if an I/O error occurs.

 flush

 public void flush() throws IOException

Flushes this output stream and forces any buffered output bytes to be written out.

The flush method of OutputStream does nothing.

Throws: IOException

if an I/O error occurs.

 write

 public void write(byte b[]) throws IOException

Writes b.length bytes from the specified byte array to this output stream.

The write method of OutputStream calls the write method of three arguments with the three arguments b, 0, and b.length.

Parameters:

b - the data.

Throws: IOException

if an I/O error occurs.

See Also:

write

 write

 public void write(byte b[],
                   int off,
                   int len) throws IOException

Writes len bytes from the specified byte array starting at offset off to this output stream.

The write method of OutputStream calls the write method of one argument on each of the bytes to be written out. Subclasses are encouraged to override this method and provide a more efficient implementation.

Parameters:

b - the data.

off - the start offset in the data.

len - the number of bytes to write.

Throws: IOException

if an I/O error occurs.

 write

 public abstract void write(int b) throws IOException

Writes the specified byte to this output stream.

Subclasses of OutputStream must provide an implementation for this method.

Parameters:

b - the byte.

Throws: IOException

if an I/O error occurs.


 Class java.io.OutputStreamWriter

java.lang.Object
   |
   +----java.io.Writer
           |
           +----java.io.OutputStreamWriter

public class OutputStreamWriter
   extends Writer

Write characters to an output stream, translating characters into bytes according to a specified character encoding. Each OutputStreamWriter incorporates its own CharToByteConverter, and is thus a bridge from character streams to byte streams.

The encoding used by an OutputStreamWriter may be specified by name, by providing a CharToByteConverter, or by accepting the default encoding, which is defined by the system property file.encoding.

Each invocation of a write() method causes the encoding converter to be invoked on the given character(s). The resulting bytes are accumulated in a buffer before being written to the underlying output stream. The size of this buffer may be specified, but by default it is large enough for most purposes. Note that the characters passed to the write() methods are not buffered. For top efficiency, consider wrapping an OutputStreamWriter within a BufferedWriter so as to avoid frequent converter invocations. For example,

 Writer out
   = new BufferedWriter(new OutputStreamWriter(System.out));

     See Also:
     BufferedWriter, OutputStream

 OutputStreamWriter(OutputStream)

Create an OutputStreamWriter that uses the default character encoding.

 OutputStreamWriter(OutputStream, String)

Create an OutputStreamWriter that uses the named character encoding.

 close()

Close the stream.

 flush()

Flush the stream.

 getEncoding()

Return the name of the encoding being used by this stream.

 write(char[], int, int)

Write a portion of an array of characters.

 write(int)

Write a single character.

 write(String, int, int)

Write a portion of a string.

 OutputStreamWriter

 public OutputStreamWriter(OutputStream out)

Create an OutputStreamWriter that uses the default character encoding.

Parameters:

out - An OutputStream

 OutputStreamWriter

 public OutputStreamWriter(OutputStream out,
                           String enc) throws UnsupportedEncodingException

Create an OutputStreamWriter that uses the named character encoding.

Parameters:

out - An OutputStream

enc - Name of the encoding to be used

Throws: UnsupportedEncodingException

If the named encoding is not supported

 close

 public void close() throws IOException

Close the stream.

Throws: IOException

If an I/O error occurs

Overrides:

close in class Writer

 flush

 public void flush() throws IOException

Flush the stream.

Throws: IOException

If an I/O error occurs

Overrides:

flush in class Writer

 getEncoding

 public String getEncoding()

Return the name of the encoding being used by this stream. May return null if the stream has been closed.

 write

 public void write(char cbuf[],
                   int off,
                   int len) throws IOException

Write a portion of an array of characters.

Parameters:

cbuf - Buffer of characters

off - Offset from which to start writing characters

len - Number of characters to write

Throws: IOException

If an I/O error occurs

Overrides:

write in class Writer

 write

 public void write(int c) throws IOException

Write a single character.

Throws: IOException

If an I/O error occurs

Overrides:

write in class Writer

 write

 public void write(String str,
                   int off,
                   int len) throws IOException

Write a portion of a string.

Parameters:

str - A String

off - Offset from which to start writing characters

len - Number of characters to write

Throws: IOException

If an I/O error occurs

Overrides:

write in class Writer


 Class java.io.PipedInputStream

java.lang.Object
   |
   +----java.io.InputStream
           |
           +----java.io.PipedInputStream

public class PipedInputStream
   extends InputStream

A piped input stream is the receiving end of a communications pipe. Two threads can communicate by having one thread send data through a piped output stream and having the other thread read the data through a piped input stream.

     See Also:
     PipedOutputStream

 buffer

The circular buffer into which incoming data is placed.

 in

 out

 PIPE_SIZE

 PipedInputStream()

Creates a piped input stream that is not yet connected to a piped output stream.

 PipedInputStream(PipedOutputStream)

Creates a piped input stream connected to the specified piped output stream.

 available()

Returns the number of bytes that can be read from this input stream without blocking.

 close()

Closes this piped input stream and releases any system resources associated with the stream.

 connect(PipedOutputStream)

Connects this piped input stream to a sender.

 read()

Reads the next byte of data from this piped input stream.

 read(byte[], int, int)

Reads up to len bytes of data from this piped input stream into an array of bytes.

 receive(int)

Receives a byte of data.

 buffer

 protected byte buffer[]

The circular buffer into which incoming data is placed.

 in

 protected int in

 out

 protected int out

 PIPE_SIZE

 protected static final int PIPE_SIZE

 PipedInputStream

 public PipedInputStream()

Creates a piped input stream that is not yet connected to a piped output stream. It must be connected to a piped output stream, either by the receiver or the sender, before being used.

See Also:

connect, connect

 PipedInputStream

 public PipedInputStream(PipedOutputStream src) throws IOException

Creates a piped input stream connected to the specified piped output stream.

Parameters:

src - the stream to connect to.

Throws: IOException

if an I/O error occurs.

 available

 public synchronized int available() throws IOException

Returns the number of bytes that can be read from this input stream without blocking. This method overrides the available method of the parent class.

Returns:

the number of bytes that can be read from this input stream without blocking.

Throws: IOException

if an I/O error occurs.

Overrides:

available in class InputStream

 close

 public void close() throws IOException

Closes this piped input stream and releases any system resources associated with the stream.

Throws: IOException

if an I/O error occurs.

Overrides:

close in class InputStream

 connect

 public void connect(PipedOutputStream src) throws IOException

Connects this piped input stream to a sender.

Parameters:

src - The piped output stream to connect to.

Throws: IOException

if an I/O error occurs.

 read

 public synchronized int read() throws IOException

Reads the next byte of data from this piped input stream. The value byte is returned as an int in the range 0 to 255. If no byte is available because this end of the stream has been reached, the value -1 is returned. This method blocks until input data is available, the end of the stream is detected, or an exception is thrown.

Returns:

the next byte of data, or -1 if the end of the stream is reached.

Throws: IOException

if the pipe is broken.

Overrides:

read in class InputStream

 read

 public synchronized int read(byte b[],
                              int off,
                              int len) throws IOException

Reads up to len bytes of data from this piped input stream into an array of bytes. This method blocks until at least one byte of input is available.

Parameters:

b - the buffer into which the data is read.

off - the start offset of the data.

len - the maximum number of bytes read.

Returns:

the total number of bytes read into the buffer, or -1 if there is no more data because the end of the stream has been reached.

Throws: IOException

if an I/O error occurs.

Overrides:

read in class InputStream

 receive

 protected synchronized void receive(int b) throws IOException

Receives a byte of data. This method will block if no input is available.

Parameters:

b - the byte being received

Throws: IOException

If the pipe is broken.


 Class java.io.PipedOutputStream

java.lang.Object
   |
   +----java.io.OutputStream
           |
           +----java.io.PipedOutputStream

public class PipedOutputStream
   extends OutputStream

A piped output stream is the sending end of a communications pipe. Two threads can communicate by having one thread send data through a piped output stream and having the other thread read the data through a piped input stream.

     See Also:
     PipedInputStream

 PipedOutputStream()

Creates a piped output stream that is not yet connected to a piped input stream.

 PipedOutputStream(PipedInputStream)

Creates a piped output stream connected to the specified piped input stream.

 close()

Closes this piped output stream and releases any system resources associated with this stream.

 connect(PipedInputStream)

Connects this piped output stream to a receiver.

 flush()

Flushes this output stream and forces any buffered output bytes to be written out.

 write(byte[], int, int)

Writes len bytes from the specified byte array starting at offset off to this piped output stream.

 write(int)

Writes the specified byte to the piped output stream.

 PipedOutputStream

 public PipedOutputStream()

Creates a piped output stream that is not yet connected to a piped input stream. It must be connected to a piped input stream, either by the receiver or the sender, before being used.

See Also:

connect, connect

 PipedOutputStream

 public PipedOutputStream(PipedInputStream snk) throws IOException

Creates a piped output stream connected to the specified piped input stream.

Parameters:

snk - The piped input stream to connect to.

Throws: IOException

if an I/O error occurs.

 close

 public void close() throws IOException

Closes this piped output stream and releases any system resources associated with this stream.

Throws: IOException

if an I/O error occurs.

Overrides:

close in class OutputStream

 connect

 public void connect(PipedInputStream snk) throws IOException

Connects this piped output stream to a receiver.

Parameters:

snk - the piped output stream to connect to.

Throws: IOException

if an I/O error occurs.

 flush

 public synchronized void flush() throws IOException

Flushes this output stream and forces any buffered output bytes to be written out. This will notify any readers that bytes are waiting in the pipe.

Throws: IOException

if an I/O error occurs.

Overrides:

flush in class OutputStream

 write

 public void write(byte b[],
                   int off,
                   int len) throws IOException

Writes len bytes from the specified byte array starting at offset off to this piped output stream.

Parameters:

b - the data.

off - the start offset in the data.

len - the number of bytes to write.

Throws: IOException

if an I/O error occurs.

Overrides:

write in class OutputStream

 write

 public void write(int b) throws IOException

Writes the specified byte to the piped output stream.

Parameters:

b - the byte to be written.

Throws: IOException

if an I/O error occurs.

Overrides:

write in class OutputStream


 Class java.io.PipedReader

java.lang.Object
   |
   +----java.io.Reader
           |
           +----java.io.PipedReader

public class PipedReader
   extends Reader

Piped character-input streams.

 PipedReader()

Create a reader that is not yet connected to a piped writer.

 PipedReader(PipedWriter)

Create a reader for the specified piped character-output stream.

 close()

Close the stream.

 connect(PipedWriter)

Connect the specified piped writer to this reader.

 read(char[], int, int)

Read characters into a portion of an array.

 PipedReader

 public PipedReader()

Create a reader that is not yet connected to a piped writer.

 PipedReader

 public PipedReader(PipedWriter src) throws IOException

Create a reader for the specified piped character-output stream.

 close

 public void close() throws IOException

Close the stream.

Throws: IOException

If an I/O error occurs

Overrides:

close in class Reader

 connect

 public void connect(PipedWriter src) throws IOException

Connect the specified piped writer to this reader.

Throws: IOException

If this reader is already connected

 read

 public int read(char cbuf[],
                 int off,
                 int len) throws IOException

Read characters into a portion of an array.

Parameters:

cbuf - Destination buffer

off - Offset at which to start storing characters

len - Maximum number of characters to read

Returns:

The number of characters read, or -1 if the end of the stream has been reached

Throws: IOException

If an I/O error occurs

Overrides:

read in class Reader


 Class java.io.PipedWriter

java.lang.Object
   |
   +----java.io.Writer
           |
           +----java.io.PipedWriter

public class PipedWriter
   extends Writer

Piped character-output streams.

 PipedWriter()

Create a writer that is not yet connected to a piped reader.

 PipedWriter(PipedReader)

Create a writer for the specified piped character-input stream.

 close()

Close the stream.

 connect(PipedReader)

Connect the specified piped reader to this writer.

 flush()

Flush the stream.

 write(char[], int, int)

Write a portion of an array of characters.

 PipedWriter

 public PipedWriter()

Create a writer that is not yet connected to a piped reader.

 PipedWriter

 public PipedWriter(PipedReader sink) throws IOException

Create a writer for the specified piped character-input stream.

 close

 public void close() throws IOException

Close the stream.

Throws: IOException

If an I/O error occurs

Overrides:

close in class Writer

 connect

 public void connect(PipedReader sink) throws IOException

Connect the specified piped reader to this writer.

 flush

 public void flush() throws IOException

Flush the stream.

Throws: IOException

If an I/O error occurs

Overrides:

flush in class Writer

 write

 public void write(char cbuf[],
                   int off,
                   int len) throws IOException

Write a portion of an array of characters.

Parameters:

cbuf - Array of characters

off - Offset from which to start writing characters

len - Number of characters to write

Throws: IOException

If an I/O error occurs

Overrides:

write in class Writer


 Class java.io.PrintStream

java.lang.Object
   |
   +----java.io.OutputStream
           |
           +----java.io.FilterOutputStream
                   |
                   +----java.io.PrintStream

public class PrintStream
   extends FilterOutputStream

Print values and objects to an output stream, using the platform's default character encoding to convert characters into bytes.

If automatic flushing is enabled at creation time, then the stream will be flushed each time a line is terminated or a newline character is written.

Methods in this class never throw I/O exceptions. Client code may inquire as to whether any errors have occurred by invoking the checkError method.

Note: This class is provided primarily for use in debugging, and for compatibility with existing code; new code should use the PrintWriter class.

     See Also:
     PrintWriter

 PrintStream(OutputStream)

Create a new print stream. Deprecated.

 PrintStream(OutputStream, boolean)

Create a new PrintStream. Deprecated.

 checkError()

Flush the stream and check its error state.

 close()

Close the stream.

 flush()

Flush the stream.

 print(boolean)

Print a boolean value.

 print(char)

Print a character.

 print(char[])

Print an array of characters.

 print(double)

Print a double-precision floating-point number.

 print(float)

Print a floating-point number.

 print(int)

Print an integer.

 print(long)

Print a long integer.

 print(Object)

Print an object.

 print(String)

Print a string.

 println()

Finish the current line by writing a line separator.

 println(boolean)

Print a boolean, and then finish the line.

 println(char)

Print a character, and then finish the line.

 println(char[])

Print an array of characters, and then finish the line.

 println(double)

Print a double, and then finish the line.

 println(float)

Print a float, and then finish the line.

 println(int)

Print an integer, and then finish the line.

 println(long)

Print a long, and then finish the line.

 println(Object)

Print an Object, and then finish the line.

 println(String)

Print a String, and then finish the line.

 setError()

Indicate that an error has occurred.

 write(byte[], int, int)

Write a portion of a byte array, blocking if necessary.

 write(int)

Write a byte, blocking if necessary.

 PrintStream

 public PrintStream(OutputStream out)

Note: PrintStream() is deprecated. As of JDK 1.1, the preferred way to print text is via the PrintWriter class. Consider replacing code of the

form   PrintStream p = new PrintStream(out);

with   PrintWriter p = new PrintWriter(out);

Create a new print stream.

Parameters:

out - The output stream to which values and objects will be printed

See Also:

PrintWriter

 PrintStream

 public PrintStream(OutputStream out,
                    boolean autoFlush)

Note: PrintStream() is deprecated. As of JDK 1.1, the preferred way to print text is via the PrintWriter class. Consider replacing code of the

form   PrintStream p = new PrintStream(out, autoFlush);

with   PrintWriter p = new PrintWriter(out, autoFlush);

Create a new PrintStream.

Parameters:

out - The output stream to which values and objects will be printed

autoFlush - A boolean; if true, the output buffer will be flushed whenever a line is terminated or a newline character ('\n') is written

See Also:

PrintWriter

 checkError

 public boolean checkError()

Flush the stream and check its error state. Errors are cumulative; once the stream encounters an error, this routine will continue to return true on all successive calls.

Returns:

True if the print stream has encountered an error, either on the underlying output stream or during a format conversion, otherwise false.

 close

 public void close()

Close the stream. This is done by flushing the stream and then closing the underlying output stream.

Overrides:

close in class FilterOutputStream

See Also:

close

 flush

 public void flush()

Flush the stream. This is done by writing any buffered output bytes to the underlying output stream and then flushing that stream.

Overrides:

flush in class FilterOutputStream

See Also:

flush

 print

 public void print(boolean b)

Print a boolean value. If the given value is true, then the string "true" is written to the underlying output stream; otherwise, the string "false" is written.

Parameters:

b - The boolean to be printed

 print

 public void print(char c)

Print a character. The character is translated into one or more bytes according to the platform's default character encoding.

Parameters:

c - The char to be printed

 print

 public void print(char s[])

Print an array of characters. The characters are converted into bytes according to the platform's default character encoding.

Parameters:

s - The array of chars to be printed

 print

 public void print(double d)

Print a double-precision floating-point number. The string printed is the same as that returned by the toString method of the Double class when invoked on the given double value.

Parameters:

d - The double to be printed

See Also:

toString

 print

 public void print(float f)

Print a floating-point number. The string printed is the same as that returned by the toString method of the Float class when invoked on the given float value.

Parameters:

f - The float to be printed

See Also:

toString

 print

 public void print(int i)

Print an integer. The string printed is the same as that returned by the toString method of the Integer class when invoked on the given int value.

Parameters:

i - The int to be printed

See Also:

toString

 print

 public void print(long l)

Print a long integer. The string printed is the same as that returned by the toString method of the Long class when invoked on the given long value.

Parameters:

l - The long to be printed

See Also:

toString

 print

 public void print(Object obj)

Print an object. The string printed is the same as that returned by the given object's toString method.

Parameters:

obj - The Object to be printed

See Also:

toString

 print

 public void print(String s)

Print a string. If the argument is null, the string "null" is written to the underlying output stream. Otherwise, the string's characters are converted into bytes according to the platform's default character encoding.

Parameters:

s - The String to be printed

 println

 public void println()

Finish the current line by writing a line separator. The line separator string is defined by the system property line.separator, and is not necessarily a single newline character ('\n').

 println

 public void println(boolean x)

Print a boolean, and then finish the line.

See Also:

print

 println

 public void println(char x)

Print a character, and then finish the line.

See Also:

print

 println

 public void println(char x[])

Print an array of characters, and then finish the line.

See Also:

print

 println

 public void println(double x)

Print a double, and then finish the line.

See Also:

print

 println

 public void println(float x)

Print a float, and then finish the line.

See Also:

print

 println

 public void println(int x)

Print an integer, and then finish the line.

See Also:

print

 println

 public void println(long x)

Print a long, and then finish the line.

See Also:

print

 println

 public void println(Object x)

Print an Object, and then finish the line.

See Also:

print

 println

 public void println(String x)

Print a String, and then finish the line.

See Also:

print

 setError

 protected void setError()

Indicate that an error has occurred.

 write

 public void write(byte buf[],
                   int off,
                   int len)

Write a portion of a byte array, blocking if necessary.

Parameters:

buf - A byte array

off - Offset from which to start taking bytes

len - Number of bytes to write

Overrides:

write in class FilterOutputStream

 write

 public void write(int b)

Write a byte, blocking if necessary. If the character is a newline and automatic flushing is enabled, the stream's flush method will be called.

Note that the byte is written as given; to write a character that will be translated according to the platform's default character encoding, use the print(char) or println(char) methods.

Parameters:

b - The byte to be written

Overrides:

write in class FilterOutputStream

See Also:

print, println


 Class java.io.PrintWriter

java.lang.Object
   |
   +----java.io.Writer
           |
           +----java.io.PrintWriter

public class PrintWriter
   extends Writer

Print formatted representations of objects to a text-output stream. This class implements all of the print methods found in PrintStream. It does not contain methods for writing raw bytes, for which a program should use unencoded byte streams.

Unlike the PrintStream class, if automatic flushing is enabled it will be done only when one of the println() methods is invoked, rather than whenever a newline character happens to be output. The println() methods use the platform's own notion of line separator rather than the newline character.

Methods in this class never throw I/O exceptions. The client may inquire as to whether any errors have occurred by invoking checkError().

 PrintWriter(OutputStream)

Create a new PrintWriter, without automatic line flushing, from an existing OutputStream.

 PrintWriter(OutputStream, boolean)

Create a new PrintWriter from an existing OutputStream.

 PrintWriter(Writer)

Create a new PrintWriter, without automatic line flushing.

 PrintWriter(Writer, boolean)

Create a new PrintWriter.

 checkError()

Flush the stream and check its error state.

 close()

Close the stream.

 flush()

Flush the stream.

 print(boolean)

Print a boolean.

 print(char)

Print a character.

 print(char[])

Print an array of chracters.

 print(double)

Print a double.

 print(float)

Print a float.

 print(int)

Print an integer.

 print(long)

Print a long.

 print(Object)

Print an object.

 print(String)

Print a String.

 println()

Finish the line.

 println(boolean)

Print a boolean, and then finish the line.

 println(char)

Print a character, and then finish the line.

 println(char[])

Print an array of characters, and then finish the line.

 println(double)

Print a double, and then finish the line.

 println(float)

Print a float, and then finish the line.

 println(int)

Print an integer, and then finish the line.

 println(long)

Print a long, and then finish the line.

 println(Object)

Print an Object, and then finish the line.

 println(String)

Print a String, and then finish the line.

 setError()

Indicate that an error has occurred.

 write(char[])

Write an array of characters.

 write(char[], int, int)

Write a portion of an array of characters.

 write(int)

Write a single character.

 write(String)

Write a string.

 write(String, int, int)

Write a portion of a string.

 PrintWriter

 public PrintWriter(OutputStream out)

Create a new PrintWriter, without automatic line flushing, from an existing OutputStream. This convenience constructor creates the necessary intermediate OutputStreamWriter, which will convert characters into bytes using the default character encoding.

Parameters:

out - An output stream

See Also:

OutputStreamWriter

 PrintWriter

 public PrintWriter(OutputStream out,
                    boolean autoFlush)

Create a new PrintWriter from an existing OutputStream. This convenience constructor creates the necessary intermediate OutputStreamWriter, which will convert characters into bytes using the default character encoding.

Parameters:

out - An output stream

autoFlush - A boolean; if true, the println() methods will flush the output buffer

See Also:

OutputStreamWriter

 PrintWriter

 public PrintWriter(Writer out)

Create a new PrintWriter, without automatic line flushing.

Parameters:

out - A character-output stream

 PrintWriter

 public PrintWriter(Writer out,
                    boolean autoFlush)

Create a new PrintWriter.

Parameters:

out - A character-output stream

autoFlush - A boolean; if true, the println() methods will flush the output buffer

 checkError

 public boolean checkError()

Flush the stream and check its error state. Errors are cumulative; once the stream encounters an error, this routine will return true on all successive calls.

Returns:

True if the print stream has encountered an error, either on the underlying output stream or during a format conversion.

 close

 public void close()

Close the stream.

Overrides:

close in class Writer

 flush

 public void flush()

Flush the stream.

Overrides:

flush in class Writer

 print

 public void print(boolean b)

Print a boolean.

 print

 public void print(char c)

Print a character.

 print

 public void print(char s[])

Print an array of chracters.

 print

 public void print(double d)

Print a double.

 print

 public void print(float f)

Print a float.

 print

 public void print(int i)

Print an integer.

 print

 public void print(long l)

Print a long.

 print

 public void print(Object obj)

Print an object.

 print

 public void print(String s)

Print a String.

 println

 public void println()

Finish the line.

 println

 public void println(boolean x)

Print a boolean, and then finish the line.

 println

 public void println(char x)

Print a character, and then finish the line.

 println

 public void println(char x[])

Print an array of characters, and then finish the line.

 println

 public void println(double x)

Print a double, and then finish the line.

 println

 public void println(float x)

Print a float, and then finish the line.

 println

 public void println(int x)

Print an integer, and then finish the line.

 println

 public void println(long x)

Print a long, and then finish the line.

 println

 public void println(Object x)

Print an Object, and then finish the line.

 println

 public void println(String x)

Print a String, and then finish the line.

 setError

 protected void setError()

Indicate that an error has occurred.

 write

 public void write(char buf[])

Write an array of characters. This method cannot be inherited from the Writer class because it must suppress I/O exceptions.

Overrides:

write in class Writer

 write

 public void write(char buf[],
                   int off,
                   int len)

Write a portion of an array of characters.

Overrides:

write in class Writer

 write

 public void write(int c)

Write a single character.

Overrides:

write in class Writer

 write

 public void write(String s)

Write a string. This method cannot be inherited from the Writer class because it must suppress I/O exceptions.

Overrides:

write in class Writer

 write

 public void write(String s,
                   int off,
                   int len)

Write a portion of a string.

Overrides:

write in class Writer


 Class java.io.PushbackInputStream

java.lang.Object
   |
   +----java.io.InputStream
           |
           +----java.io.FilterInputStream
                   |
                   +----java.io.PushbackInputStream

public class PushbackInputStream
   extends FilterInputStream

This class is an input stream filter that provides a buffer into which data can be "unread." An application may unread data at any time by pushing it back into the buffer, as long as the buffer has sufficient room. Subsequent reads will read all of the pushed-back data in the buffer before reading from the underlying input stream.

This functionality is useful when a fragment of code should read an indefinite number of data bytes that are delimited by particular byte values. After reading the terminating byte the code fragment can push it back, so that the next read operation on the input stream will re-read that byte.

 buf

The pushback buffer.

 pos

The position within the pushback buffer from which the next byte will be read.

 PushbackInputStream(InputStream)

Creates a new pushback input stream with a one-byte pushback buffer.

 PushbackInputStream(InputStream, int)

Creates a new pushback input stream with a pushback buffer of the specified size.

 available()

Returns the number of bytes that can be read from this input stream without blocking.

 markSupported()

Tests if this input stream supports the mark and reset methods, which it does not.

 read()

Reads the next byte of data from this input stream.

 read(byte[], int, int)

Reads up to len bytes of data from this input stream into an array of bytes.

 unread(byte[])

Pushes back an array of bytes by copying it to the front of the pushback buffer.

 unread(byte[], int, int)

Pushes back a portion of an array of bytes by copying it to the front of the pushback buffer.

 unread(int)

Pushes back a byte by copying it to the front of the pushback buffer.

 buf

 protected byte buf[]

The pushback buffer.

 pos

 protected int pos

The position within the pushback buffer from which the next byte will be read. When the buffer is empty, pos is equal to buf.length; when the buffer is full, pos is equal to zero.

 PushbackInputStream

 public PushbackInputStream(InputStream in)

Creates a new pushback input stream with a one-byte pushback buffer.

Parameters:

in - the input stream from which bytes will be read.

 PushbackInputStream

 public PushbackInputStream(InputStream in,
                            int size)

Creates a new pushback input stream with a pushback buffer of the specified size.

Parameters:

in - the input stream from which bytes will be read.

size - the size of the pushback buffer.

 available

 public int available() throws IOException

Returns the number of bytes that can be read from this input stream without blocking. This method calls the available method of the underlying input stream; it returns that value plus the number of bytes that have been pushed back.

Returns:

the number of bytes that can be read from the input stream without blocking.

Throws: IOException

if an I/O error occurs.

Overrides:

available in class FilterInputStream

See Also:

in

 markSupported

 public boolean markSupported()

Tests if this input stream supports the mark and reset methods, which it does not.

Returns:

false, since this class does not support the mark and reset methods.

Overrides:

markSupported in class FilterInputStream

See Also:

mark, reset

 read

 public int read() throws IOException

Reads the next byte of data from this input stream. The value byte is returned as an int in the range 0 to 255. If no byte is available because the end of the stream has been reached, the value -1 is returned. This method blocks until input data is available, the end of the stream is detected, or an exception is thrown.

This method returns the most recently pushed-back byte, if there is one, and otherwise calls the read method of its underlying input stream and returns whatever value that method returns.

Returns:

the next byte of data, or -1 if the end of the stream has been reached.

Throws: IOException

if an I/O error occurs.

Overrides:

read in class FilterInputStream

See Also:

read

 read

 public int read(byte b[],
                 int off,
                 int len) throws IOException

Reads up to len bytes of data from this input stream into an array of bytes. This method first reads any pushed-back bytes; after that, if fewer than than len bytes have been read then it reads from the underlying input stream. This method blocks until at least 1 byte of input is available.

Parameters:

b - the buffer into which the data is read.

off - the start offset of the data.

len - the maximum number of bytes read.

Returns:

the total number of bytes read into the buffer, or -1 if there is no more data because the end of the stream has been reached.

Throws: IOException

if an I/O error occurs.

Overrides:

read in class FilterInputStream

 unread

 public void unread(byte b[]) throws IOException

Pushes back an array of bytes by copying it to the front of the pushback buffer. After this method returns, the next byte to be read will have the value b[0], the byte after that will have the value b[1], and so forth.

Parameters:

b - the byte array to push back

Throws: IOException

If there is not enough room in the pushback buffer for the specified number of bytes.

 unread

 public void unread(byte b[],
                    int off,
                    int len) throws IOException

Pushes back a portion of an array of bytes by copying it to the front of the pushback buffer. After this method returns, the next byte to be read will have the value b[off], the byte after that will have the value b[off+1], and so forth.

Parameters:

b - the byte array to push back.

off - the start offset of the data.

len - the number of bytes to push back.

Throws: IOException

If there is not enough room in the pushback buffer for the specified number of bytes.

 unread

 public void unread(int b) throws IOException

Pushes back a byte by copying it to the front of the pushback buffer. After this method returns, the next byte to be read will have the value (byte)b.

Parameters:

b - the int value whose low-order byte is to be pushed back.

Throws: IOException

If there is not enough room in the pushback buffer for the byte.


 Class java.io.PushbackReader

java.lang.Object
   |
   +----java.io.Reader
           |
           +----java.io.FilterReader
                   |
                   +----java.io.PushbackReader

public class PushbackReader
   extends FilterReader

A character-stream reader that allows characters to be pushed back into the stream.

 PushbackReader(Reader)

Create a new pushback reader with a one-character pushback buffer.

 PushbackReader(Reader, int)

Create a new pushback reader with a pushback buffer of the given size.

 close()

Close the stream.

 markSupported()

Tell whether this stream supports the mark() operation, which it does not.

 read()

Read a single character.

 read(char[], int, int)

Read characters into a portion of an array.

 ready()

Tell whether this stream is ready to be read.

 unread(char[])

Push back an array of characters by copying it to the front of the pushback buffer.

 unread(char[], int, int)

Push back a portion of an array of characters by copying it to the front of the pushback buffer.

 unread(int)

Push back a single character.

 PushbackReader

 public PushbackReader(Reader in)

Create a new pushback reader with a one-character pushback buffer.

Parameters:

in - The reader from which characters will be read

 PushbackReader

 public PushbackReader(Reader in,
                       int size)

Create a new pushback reader with a pushback buffer of the given size.

Parameters:

in - The reader from which characters will be read

size - The size of the pushback buffer

 close

 public void close() throws IOException

Close the stream.

Throws: IOException

If an I/O error occurs

Overrides:

close in class FilterReader

 markSupported

 public boolean markSupported()

Tell whether this stream supports the mark() operation, which it does not.

Overrides:

markSupported in class FilterReader

 read

 public int read() throws IOException

Read a single character.

Returns:

The character read, or -1 if the end of the stream has been reached

Throws: IOException

If an I/O error occurs

Overrides:

read in class FilterReader

 read

 public int read(char cbuf[],
                 int off,
                 int len) throws IOException

Read characters into a portion of an array.

Parameters:

cbuf - Destination buffer

off - Offset at which to start writing characters

len - Maximum number of characters to read

Returns:

The number of characters read, or -1 if the end of the stream has been reached

Throws: IOException

If an I/O error occurs

Overrides:

read in class FilterReader

 ready

 public boolean ready() throws IOException

Tell whether this stream is ready to be read.

Throws: IOException

If an I/O error occurs

Overrides:

ready in class FilterReader

 unread

 public void unread(char cbuf[]) throws IOException

Push back an array of characters by copying it to the front of the pushback buffer. After this method returns, the next character to be read will have the value cbuf[0], the character after that will have the value cbuf[1], and so forth.

Parameters:

cbuf - Character array to push back

Throws: IOException

If there is insufficient room in the pushback buffer, or if some other I/O error occurs

 unread

 public void unread(char cbuf[],
                    int off,
                    int len) throws IOException

Push back a portion of an array of characters by copying it to the front of the pushback buffer. After this method returns, the next character to be read will have the value cbuf[off], the character after that will have the value cbuf[off+1], and so forth.

Parameters:

cbuf - Character array

off - Offset of first character to push back

len - Number of characters to push back

Throws: IOException

If there is insufficient room in the pushback buffer, or if some other I/O error occurs

 unread

 public void unread(int c) throws IOException

Push back a single character.

Parameters:

c - The character to push back

Throws: IOException

If the pushback buffer is full, or if some other I/O error occurs


 Class java.io.RandomAccessFile

java.lang.Object
   |
   +----java.io.RandomAccessFile

public class RandomAccessFile
   extends Object
   implements DataOutput, DataInput

Instances of this class support both reading and writing to a random access file. An application can modify the position in the file at which the next read or write occurs. This class provides a sense of security by offering methods that allow specified mode accesses of read-only or read-write to files.

 RandomAccessFile(File, String)

Creates a random access file stream to read from, and optionally to write to, the file specified by the File argument.

 RandomAccessFile(String, String)

Creates a random access file stream to read from, and optionally to write to, a file with the specified name.

 close()

Closes this random access file stream and releases any system resources associated with the stream.

 getFD()

Returns the opaque file descriptor object associated with this stream.

 getFilePointer()

Returns the current offset in this file.

 length()

Returns the length of this file.

 read()

Reads a byte of data from this file.

 read(byte[])

Reads up to b.length bytes of data from this file into an array of bytes.

 read(byte[], int, int)

Reads up to len bytes of data from this file into an array of bytes.

 readBoolean()

Reads a boolean from this file.

 readByte()

Reads a signed 8-bit value from this file.

 readChar()

Reads a Unicode character from this file.

 readDouble()

Reads a double from this file.

 readFloat()

Reads a float from this file.

 readFully(byte[])

Reads b.length bytes from this file into the byte array.

 readFully(byte[], int, int)

Reads exactly len bytes from this file into the byte array.

 readInt()

Reads a signed 32-bit integer from this file.

 readLine()

Reads the next line of text from this file.

 readLong()

Reads a signed 64-bit integer from this file.

 readShort()

Reads a signed 16-bit number from this file.

 readUnsignedByte()

Reads an unsigned 8-bit number from this file.

 readUnsignedShort()

Reads an unsigned 16-bit number from this file.

 readUTF()

Reads in a string from this file.

 seek(long)

Sets the offset from the beginning of this file at which the next read or write occurs.

 skipBytes(int)

Skips exactly n bytes of input.

 write(byte[])

Writes b.length bytes from the specified byte array starting at offset off to this file.

 write(byte[], int, int)

Writes len bytes from the specified byte array starting at offset off to this file.

 write(int)

Writes the specified byte to this file.

 writeBoolean(boolean)

Writes a boolean to the file as a 1-byte value.

 writeByte(int)

Writes a byte to the file as a 1-byte value.

 writeBytes(String)

Writes the string to the file as a sequence of bytes.

 writeChar(int)

Writes a char to the file as a 2-byte value, high byte first.

 writeChars(String)

Writes a string to the file as a sequence of characters.

 writeDouble(double)

Converts the double argument to a long using the doubleToLongBits method in class Double, and then writes that long value to the file as an 8-byte quantity, high byte first.

 writeFloat(float)

Converts the float argument to an int using the floatToIntBits method in class Float, and then writes that int value to the file as a 4-byte quantity, high byte first.

 writeInt(int)

Writes an int to the file as four bytes, high byte first.

 writeLong(long)

Writes a long to the file as eight bytes, high byte first.

 writeShort(int)

Writes a short to the file as two bytes, high byte first.

 writeUTF(String)

Writes a string to the file using UTF-8 encoding in a machine-independent manner.

 RandomAccessFile

 public RandomAccessFile(File file,
                         String mode) throws IOException

Creates a random access file stream to read from, and optionally to write to, the file specified by the File argument.

The mode argument must either be equal to "r" or to "rw", indicating either to open the file for input, or for both input and output, respectively.

Parameters:

file - the file object.

mode - the access mode.

Throws: IllegalArgumentException

if the mode argument is not equal to "r" or to "rw".

Throws: IOException

if an I/O error occurs.

Throws: SecurityException

if a security manager exists, its checkRead method is called with the pathname of the File argument to see if the application is allowed read access to the file. If the mode argument is equal to "rw", its checkWrite method also is called with the pathname to see if the application is allowed write access to the file.

See Also:

getPath, checkRead

 RandomAccessFile

 public RandomAccessFile(String name,
                         String mode) throws IOException

Creates a random access file stream to read from, and optionally to write to, a file with the specified name.

The mode argument must either be equal to "r" or "rw", indicating either to open the file for input or for both input and output.

Parameters:

name - the system-dependent filename.

mode - the access mode.

Throws: IllegalArgumentException

if the mode argument is not equal to "r" or to "rw".

Throws: IOException

if an I/O error occurs.

Throws: SecurityException

if a security manager exists, its checkRead method is called with the name argument to see if the application is allowed read access to the file. If the mode argument is equal to "rw", its checkWrite method also is called with the name argument to see if the application is allowed write access to the file. Either of these may result in a security exception.

See Also:

SecurityException, checkRead

 close

 public native void close() throws IOException

Closes this random access file stream and releases any system resources associated with the stream.

Throws: IOException

if an I/O error occurs.

 getFD

 public final FileDescriptor getFD() throws IOException

Returns the opaque file descriptor object associated with this stream.

Returns:

the file descriptor object associated with this stream.

Throws: IOException

if an I/O error occurs.

See Also:

FileDescriptor

 getFilePointer

 public native long getFilePointer() throws IOException

Returns the current offset in this file.

Returns:

the offset from the beginning of the file, in bytes, at which the next read or write occurs.

Throws: IOException

if an I/O error occurs.

 length

 public native long length() throws IOException

Returns the length of this file.

Returns:

the length of this file.

Throws: IOException

if an I/O error occurs.

 read

 public native int read() throws IOException

Reads a byte of data from this file. This method blocks if no input is yet available.

Returns:

the next byte of data, or -1 if the end of the file is reached.

Throws: IOException

if an I/O error occurs.

 read

 public int read(byte b[]) throws IOException

Reads up to b.length bytes of data from this file into an array of bytes. This method blocks until at least one byte of input is available.

Parameters:

b - the buffer into which the data is read.

Returns:

the total number of bytes read into the buffer, or -1 if there is no more data because the end of this file has been reached.

Throws: IOException

if an I/O error occurs.

 read

 public int read(byte b[],
                 int off,
                 int len) throws IOException

Reads up to len bytes of data from this file into an array of bytes. This method blocks until at least one byte of input is available.

Parameters:

b - the buffer into which the data is read.

off - the start offset of the data.

len - the maximum number of bytes read.

Returns:

the total number of bytes read into the buffer, or -1 if there is no more data because the end of the file has been reached.

Throws: IOException

if an I/O error occurs.

 readBoolean

 public final boolean readBoolean() throws IOException

Reads a boolean from this file. This method reads a single byte from the file. A value of 0 represents false. Any other value represents true. This method blocks until the byte is read, the end of the stream is detected, or an exception is thrown.

Returns:

the boolean value read.

Throws: EOFException

if this file has reached the end.

Throws: IOException

if an I/O error occurs.

 readByte

 public final byte readByte() throws IOException

Reads a signed 8-bit value from this file. This method reads a byte from the file. If the byte read is b, where 0 <= b <= 255, then the result is: (byte)(b)

This method blocks until the byte is read, the end of the stream is detected, or an exception is thrown.

Returns:

the next byte of this file as a signed 8-bit byte.

Throws: EOFException

if this file has reached the end.

Throws: IOException

if an I/O error occurs.

 readChar

 public final char readChar() throws IOException

Reads a Unicode character from this file. This method reads two bytes from the file. If the bytes read, in order, are b1 and b2, where 0 <= b1, b2 <= 255, then the result is equal to: (char)((b1 << 8) | b2)

This method blocks until the two bytes are read, the end of the stream is detected, or an exception is thrown.

Returns:

the next two bytes of this file as a Unicode character.

Throws: EOFException

if this file reaches the end before reading two bytes.

Throws: IOException

if an I/O error occurs.

 readDouble

 public final double readDouble() throws IOException

Reads a double from this file. This method reads a long value as if by the readLong method and then converts that long to a double using the longBitsToDouble method in class Double.

This method blocks until the eight bytes are read, the end of the stream is detected, or an exception is thrown.

Returns:

the next eight bytes of this file, interpreted as a double.

Throws: EOFException

if this file reaches the end before reading eight bytes.

Throws: IOException

if an I/O error occurs.

See Also:

readLong, longBitsToDouble

 readFloat

 public final float readFloat() throws IOException

Reads a float from this file. This method reads an int value as if by the readInt method and then converts that int to a float using the intBitsToFloat method in class Float.

This method blocks until the four bytes are read, the end of the stream is detected, or an exception is thrown.

Returns:

the next four bytes of this file, interpreted as a float.

Throws: EOFException

if this file reaches the end before reading four bytes.

Throws: IOException

if an I/O error occurs.

See Also:

readInt, intBitsToFloat

 readFully

 public final void readFully(byte b[]) throws IOException

Reads b.length bytes from this file into the byte array. This method reads repeatedly from the file until all the bytes are read. This method blocks until all the bytes are read, the end of the stream is detected, or an exception is thrown.

Parameters:

b - the buffer into which the data is read.

Throws: EOFException

if this file reaches the end before reading all the bytes.

Throws: IOException

if an I/O error occurs.

 readFully

 public final void readFully(byte b[],
                             int off,
                             int len) throws IOException

Reads exactly len bytes from this file into the byte array. This method reads repeatedly from the file until all the bytes are read. This method blocks until all the bytes are read, the end of the stream is detected, or an exception is thrown.

Parameters:

b - the buffer into which the data is read.

off - the start offset of the data.

len - the number of bytes to read.

Throws: EOFException

if this file reaches the end before reading all the bytes.

Throws: IOException

if an I/O error occurs.

 readInt

 public final int readInt() throws IOException

Reads a signed 32-bit integer from this file. This method reads 4 bytes from the file. If the bytes read, in order, are b1, b2, b3, and b4, where 0 <= b1, b2, b3, b4 <= 255, then the result is equal to: (b1 << 24) | (b2 << 16) + (b3 << 8) + b4

This method blocks until the four bytes are read, the end of the stream is detected, or an exception is thrown.

Returns:

the next four bytes of this file, interpreted as an int.

Throws: EOFException

if this file reaches the end before reading four bytes.

Throws: IOException

if an I/O error occurs.

 readLine

 public final String readLine() throws IOException

Reads the next line of text from this file. This method successively reads bytes from the file until it reaches the end of a line of text.

A line of text is terminated by a carriage-return character ('\r'), a newline character ('\n'), a carriage-return character immediately followed by a newline character, or the end of the input stream. The line-terminating character(s), if any, are included as part of the string returned.

This method blocks until a newline character is read, a carriage return and the byte following it are read (to see if it is a newline), the end of the stream is detected, or an exception is thrown.

Returns:

the next line of text from this file.

Throws: IOException

if an I/O error occurs.

 readLong

 public final long readLong() throws IOException

Reads a signed 64-bit integer from this file. This method reads eight bytes from the file. If the bytes read, in order, are b1, b2, b3, b4, b5, b6, b7, and b8, where: 0 <= b1, b2, b3, b4, b5, b6, b7, b8 <=255,

then the result is equal to:

     ((long)b1 << 56) + ((long)b2 << 48)
     + ((long)b3 << 40) + ((long)b4 << 32)
     + ((long)b5 << 24) + ((long)b6 << 16)
     + ((long)b7 << 8) + b8

This method blocks until the eight bytes are read, the end of the stream is detected, or an exception is thrown.

Returns:

the next eight bytes of this file, interpreted as a long.

Throws: EOFException

if this file reaches the end before reading eight bytes.

Throws: IOException

if an I/O error occurs.

 readShort

 public final short readShort() throws IOException

Reads a signed 16-bit number from this file. The method reads 2 bytes from this file. If the two bytes read, in order, are b1 and b2, where each of the two values is between 0 and 255, inclusive, then the result is equal to: (short)((b1 << 8) | b2)

This method blocks until the two bytes are read, the end of the stream is detected, or an exception is thrown.

Returns:

the next two bytes of this file, interpreted as a signed 16-bit number.

Throws: EOFException

if this file reaches the end before reading two bytes.

Throws: IOException

if an I/O error occurs.

 readUnsignedByte

 public final int readUnsignedByte() throws IOException

Reads an unsigned 8-bit number from this file. This method reads a byte from this file and returns that byte.

This method blocks until the byte is read, the end of the stream is detected, or an exception is thrown.

Returns:

the next byte of this file, interpreted as an unsigned 8-bit number.

Throws: EOFException

if this file has reached the end.

Throws: IOException

if an I/O error occurs.

 readUnsignedShort

 public final int readUnsignedShort() throws IOException

Reads an unsigned 16-bit number from this file. This method reads two bytes from the file. If the bytes read, in order, are b1 and b2, where 0 <= b1, b2 <= 255, then the result is equal to: (b1 << 8) | b2

This method blocks until the two bytes are read, the end of the stream is detected, or an exception is thrown.

Returns:

the next two bytes of this file, interpreted as an unsigned 16-bit integer.

Throws: EOFException

if this file reaches the end before reading two bytes.

Throws: IOException

if an I/O error occurs.

 readUTF

 public final String readUTF() throws IOException

Reads in a string from this file. The string has been encoded using a modified UTF-8 format.

The first two bytes are read as if by readUnsignedShort. This value gives the number of following bytes that are in the encoded string, not the length of the resulting string. The following bytes are then interpreted as bytes encoding characters in the UTF-8 format and are converted into characters.

This method blocks until all the bytes are read, the end of the stream is detected, or an exception is thrown.

Returns:

a Unicode string.

Throws: EOFException

if this file reaches the end before reading all the bytes.

Throws: IOException

if an I/O error occurs.

Throws: UTFDataFormatException

if the bytes do not represent valid UTF-8 encoding of a Unicode string.

See Also:

readUnsignedShort

 seek

 public native void seek(long pos) throws IOException

Sets the offset from the beginning of this file at which the next read or write occurs.

Parameters:

pos - the absolute position.

Throws: IOException

if an I/O error occurs.

 skipBytes

 public int skipBytes(int n) throws IOException

Skips exactly n bytes of input.

This method blocks until all the bytes are skipped, the end of the stream is detected, or an exception is thrown.

Parameters:

n - the number of bytes to be skipped.

Returns:

the number of bytes skipped, which is always n.

Throws: EOFException

if this file reaches the end before skipping all the bytes.

Throws: IOException

if an I/O error occurs.

 write

 public void write(byte b[]) throws IOException

Writes b.length bytes from the specified byte array starting at offset off to this file.

Parameters:

b - the data.

Throws: IOException

if an I/O error occurs.

 write

 public void write(byte b[],
                   int off,
                   int len) throws IOException

Writes len bytes from the specified byte array starting at offset off to this file.

Parameters:

b - the data.

off - the start offset in the data.

len - the number of bytes to write.

Throws: IOException

if an I/O error occurs.

 write

 public native void write(int b) throws IOException

Writes the specified byte to this file.

Parameters:

b - the byte to be written.

Throws: IOException

if an I/O error occurs.

 writeBoolean

 public final void writeBoolean(boolean v) throws IOException

Writes a boolean to the file as a 1-byte value. The value true is written out as the value (byte)1; the value false is written out as the value (byte)0.

Parameters:

v - a boolean value to be written.

Throws: IOException

if an I/O error occurs.

 writeByte

 public final void writeByte(int v) throws IOException

Writes a byte to the file as a 1-byte value.

Parameters:

v - a byte value to be written.

Throws: IOException

if an I/O error occurs.

 writeBytes

 public final void writeBytes(String s) throws IOException

Writes the string to the file as a sequence of bytes. Each character in the string is written out, in sequence, by discarding its high eight bits.

Parameters:

s - a string of bytes to be written.

Throws: IOException

if an I/O error occurs.

 writeChar

 public final void writeChar(int v) throws IOException

Writes a char to the file as a 2-byte value, high byte first.

Parameters:

v - a char value to be written.

Throws: IOException

if an I/O error occurs.

 writeChars

 public final void writeChars(String s) throws IOException

Writes a string to the file as a sequence of characters. Each character is written to the data output stream as if by the writeChar method.

Parameters:

s - a String value to be written.

Throws: IOException

if an I/O error occurs.

See Also:

writeChar

 writeDouble

 public final void writeDouble(double v) throws IOException

Converts the double argument to a long using the doubleToLongBits method in class Double, and then writes that long value to the file as an 8-byte quantity, high byte first.

Parameters:

v - a double value to be written.

Throws: IOException

if an I/O error occurs.

See Also:

doubleToLongBits

 writeFloat

 public final void writeFloat(float v) throws IOException

Converts the float argument to an int using the floatToIntBits method in class Float, and then writes that int value to the file as a 4-byte quantity, high byte first.

Parameters:

v - a float value to be written.

Throws: IOException

if an I/O error occurs.

See Also:

floatToIntBits

 writeInt

 public final void writeInt(int v) throws IOException

Writes an int to the file as four bytes, high byte first.

Parameters:

v - an int to be written.

Throws: IOException

if an I/O error occurs.

 writeLong

 public final void writeLong(long v) throws IOException

Writes a long to the file as eight bytes, high byte first.

Parameters:

v - a long to be written.

Throws: IOException

if an I/O error occurs.

 writeShort

 public final void writeShort(int v) throws IOException

Writes a short to the file as two bytes, high byte first.

Parameters:

v - a short to be written.

Throws: IOException

if an I/O error occurs.

 writeUTF

 public final void writeUTF(String str) throws IOException

Writes a string to the file using UTF-8 encoding in a machine-independent manner.

First, two bytes are written to the file as if by the writeShort method giving the number of bytes to follow. This value is the number of bytes actually written out, not the length of the string. Following the length, each character of the string is output, in sequence, using the UTF-8 encoding for each character.

Parameters:

str - a string to be written.

Throws: IOException

if an I/O error occurs.


 Class java.io.Reader

java.lang.Object
   |
   +----java.io.Reader

public abstract class Reader
   extends Object

Abstract class for reading character streams. The only methods that a subclass must implement are read(char[], int, int) and close(). Most subclasses, however, will override some of the methods defined here in order to provide higher efficiency, additional functionality, or both.

     See Also:
     BufferedReader, LineNumberReader, CharArrayReader, InputStreamReader, FileReader, FilterReader, PushbackReader, PipedReader, StringReader, Writer

 lock

The object used to synchronize operations on this stream.

 Reader()

Create a new character-stream reader whose critical sections will synchronize on the reader itself.

 Reader(Object)

Create a new character-stream reader whose critical sections will synchronize on the given object.

 close()

Close the stream.

 mark(int)

Mark the present position in the stream.

 markSupported()

Tell whether this stream supports the mark() operation.

 read()

Read a single character.

 read(char[])

Read characters into an array.

 read(char[], int, int)

Read characters into a portion of an array.

 ready()

Tell whether this stream is ready to be read.

 reset()

Reset the stream.

 skip(long)

Skip characters.

 lock

 protected Object lock

The object used to synchronize operations on this stream. For efficiency, a character-stream object may use an object other than itself to protect critical sections. A subclass should therefore use the object in this field rather than this or a synchronized method.

 Reader

 protected Reader()

Create a new character-stream reader whose critical sections will synchronize on the reader itself.

 Reader

 protected Reader(Object lock)

Create a new character-stream reader whose critical sections will synchronize on the given object.

 close

 public abstract void close() throws IOException

Close the stream. Once a stream has been closed, further read(), ready(), mark(), or reset() invocations will throw an IOException. Closing a previously-closed stream, however, has no effect.

Throws: IOException

If an I/O error occurs

 mark

 public void mark(int readAheadLimit) throws IOException

Mark the present position in the stream. Subsequent calls to reset() will attempt to reposition the stream to this point. Not all character-input streams support the mark() operation.

Parameters:

readAheadLimit - Limit on the number of characters that may be read while still preserving the mark. After reading this many characters, attempting to reset the stream may fail.

Throws: IOException

If the stream does not support mark(), or if some other I/O error occurs

 markSupported

 public boolean markSupported()

Tell whether this stream supports the mark() operation.

 read

 public int read() throws IOException

Read a single character. This method will block until a character is available, an I/O error occurs, or the end of the stream is reached.

Subclasses that intend to support efficient single-character input should override this method.

Returns:

The character read, as an integer in the range 0 to 16383 (0x00-0xffff), or -1 if the end of the stream has been reached

Throws: IOException

If an I/O error occurs

 read

 public int read(char cbuf[]) throws IOException

Read characters into an array. This method will block until some input is available, an I/O error occurs, or the end of the stream is reached.

Parameters:

cbuf - Destination buffer

Returns:

The number of bytes read, or -1 if the end of the stream has been reached

Throws: IOException

If an I/O error occurs

 read

 public abstract int read(char cbuf[],
                          int off,
                          int len) throws IOException

Read characters into a portion of an array. This method will block until some input is available, an I/O error occurs, or the end of the stream is reached.

Parameters:

cbuf - Destination buffer

off - Offset at which to start storing characters

len - Maximum number of characters to read

Returns:

The number of characters read, or -1 if the end of the stream has been reached

Throws: IOException

If an I/O error occurs

 ready

 public boolean ready() throws IOException

Tell whether this stream is ready to be read.

Returns:

True if the next read() is guaranteed not to block for input, false otherwise. Note that returning false does not guarantee that the next read will block.

Throws: IOException

If an I/O error occurs

 reset

 public void reset() throws IOException

Reset the stream. If the stream has been marked, then attempt to reposition it at the mark. If the stream has not been marked, then attempt to reset it in some way appropriate to the particular stream, for example by repositioning it to its starting point. Not all character-input streams support the reset() operation, and some support reset() without supporting mark().

Throws: IOException

If the stream has not been marked, or if the mark has been invalidated, or if the stream does not support reset(), or if some other I/O error occurs

 skip

 public long skip(long n) throws IOException

Skip characters. This method will block until some characters are available, an I/O error occurs, or the end of the stream is reached.

Parameters:

n - The number of characters to skip

Returns:

The number of characters actually skipped

Throws: IOException

If an I/O error occurs


 Class java.io.SequenceInputStream

java.lang.Object
   |
   +----java.io.InputStream
           |
           +----java.io.SequenceInputStream

public class SequenceInputStream
   extends InputStream

The sequence input stream class allows an application to combine several input streams serially and make them appear as if they were a single input stream. Each input stream is read from, in turn, until it reaches the end of the stream. The sequence input stream class then closes that stream and automatically switches to the next input stream.

 SequenceInputStream(Enumeration)

Constructs a new sequence input stream initialized to the specified enumeration of input streams.

 SequenceInputStream(InputStream, InputStream)

Constructs a new sequence input stream initialized to read first from the input stream s1, and then from the input stream s2.

 available()

Returns the number of bytes available on the current stream.

 close()

Closes this input stream and releases any system resources associated with the stream.

 read()

Reads the next byte of data from this input stream.

 read(byte[], int, int)

Reads up to len bytes of data from this input stream into an array of bytes.

 SequenceInputStream

 public SequenceInputStream(Enumeration e)

Constructs a new sequence input stream initialized to the specified enumeration of input streams. Each object in the enumeration must be an InputStream.

Parameters:

e - an enumeration of input streams.

See Also:

Enumeration

 SequenceInputStream

 public SequenceInputStream(InputStream s1,
                            InputStream s2)

Constructs a new sequence input stream initialized to read first from the input stream s1, and then from the input stream s2.

Parameters:

s1 - the first input stream to read.

s2 - the second input stream to read.

 available

 public int available() throws IOException

Returns the number of bytes available on the current stream.

Overrides:

available in class InputStream

 close

 public void close() throws IOException

Closes this input stream and releases any system resources associated with the stream.

The close method of SequenceInputStream calls the close method of both the substream from which it is currently reading and the close method of all the substreams that it has not yet begun to read from.

Throws: IOException

if an I/O error occurs.

Overrides:

close in class InputStream

 read

 public int read() throws IOException

Reads the next byte of data from this input stream. The byte is returned as an int in the range 0 to 255. If no byte is available because the end of the stream has been reached, the value -1 is returned. This method blocks until input data is available, the end of the stream is detected, or an exception is thrown.

The read method of SequenceInputStream tries to read one character from the current substream. If it reaches the end of the stream, it calls the close method of the current substream and begins reading from the next substream.

Returns:

the next byte of data, or -1 if the end of the stream is reached.

Throws: IOException

if an I/O error occurs.

Overrides:

read in class InputStream

 read

 public int read(byte buf[],
                 int pos,
                 int len) throws IOException

Reads up to len bytes of data from this input stream into an array of bytes. This method blocks until at least 1 byte of input is available. If the first argument is null, up to len bytes are read and discarded.

The read method of SequenceInputStream tries to read the data from the current substream. If it fails to read any characters because the substream has reached the end of the stream, it calls the close method of the current substream and begins reading from the next substream.

Parameters:

b - the buffer into which the data is read.

off - the start offset of the data.

len - the maximum number of bytes read.

Throws: IOException

if an I/O error occurs.

Overrides:

read in class InputStream


 Class java.io.StreamTokenizer

java.lang.Object
   |
   +----java.io.StreamTokenizer

public class StreamTokenizer
   extends Object

The StreamTokenizer class takes an input stream and parses it into "tokens", allowing the tokens to be read one at a time. The parsing process is controlled by a table and a number of flags that can be set to various states. The stream tokenizer can recognize identifiers, numbers, quoted strings, and various comment styles.

Each byte read from the input stream is regarded as a character in the range '\u0000' through '\u00FF'. The character value is used to look up five possible attributes of the character: white space, alphabetic, numeric, string quote, and comment character. Each character can have zero or more of these attributes.

In addition, an instance has four flags. These flags indicate:

•	Whether line terminators are to be returned as tokens or treated as white space that merely separates tokens.

•	Whether C-style comments are to be recognized and skipped.

•	Whether C++-style comments are to be recognized and skipped.

•	Whether the characters of identifiers are converted to lowercase.

A typical application first constructs an instance of this class, sets up the syntax tables, and then repeatedly loops calling the nextToken method in each iteration of the loop until it returns the value TT_EOF.

     See Also:
     nextToken, TT_EOF

 nval

If the current token is a number, this field contains the value of that number.

 sval

If the current token is a word token, this field contains a string giving the characters of the word token.

 TT_EOF

A constant indicating that the end of the stream has been read.

 TT_EOL

A constant indicating that the end of the line has been read.

 TT_NUMBER

A constant indicating that a number token has been read.

 TT_WORD

A constant indicating that a word token has been read.

 ttype

After a call to the nextToken method, this field contains the type of the token just read.

 StreamTokenizer(InputStream)

Creates a stream tokenizer that parses the specified input stream. Deprecated.

 StreamTokenizer(Reader)

Create a tokenizer that parses the given character stream.

 commentChar(int)

Specified that the character argument starts a single-line comment.

 eolIsSignificant(boolean)

Determines whether or not ends of line are treated as tokens.

 lineno()

Return the current line number.

 lowerCaseMode(boolean)

Determines whether or not word token are automatically lowercased.

 nextToken()

Parses the next token from the input stream of this tokenizer.

 ordinaryChar(int)

Specifies that the character argument is "ordinary" in this tokenizer.

 ordinaryChars(int, int)

Specifies that all characters c in the range low <= c <= high are "ordinary" in this tokenizer.

 parseNumbers()

Specifies that numbers should be parsed by this tokenizer.

 pushBack()

Causes the next call to the nextToken method of this tokenizer to return the current value in the ttype field, and not to modify the value in the nval or sval field.

 quoteChar(int)

Specifies that matching pairs of this character delimit string constants in this tokenizer.

 resetSyntax()

Resets this tokenizer's syntax table so that all characters are "ordinary." See the ordinaryChar method for more information on a character being ordinary.

 slashSlashComments(boolean)

Determines whether or not the tokenizer recognizes C++-style comments.

 slashStarComments(boolean)

Determines whether or not the tokenizer recognizes C-style comments.

 toString()

Returns the string representation of the current stream token.

 whitespaceChars(int, int)

Specifies that all characters c in the range low <= c <= high are white space characters.

 wordChars(int, int)

Specifies that all characters c in the range low <= c <= high are word constituents.

 nval

 public double nval

If the current token is a number, this field contains the value of that number. The current token is a number when the value of the ttype field is TT_NUMBER.

See Also:

TT_NUMBER, ttype

 sval

 public String sval

If the current token is a word token, this field contains a string giving the characters of the word token. When the current token is a quoted string token, this field contains the body of the string.

The current token is a word when the value of the ttype field is TT_WORD. The current token is a quoted string token when the value of the ttype field is a quote character.

See Also:

quoteChar, TT_WORD, ttype

 TT_EOF

 public static final int TT_EOF

A constant indicating that the end of the stream has been read.

 TT_EOL

 public static final int TT_EOL

A constant indicating that the end of the line has been read.

 TT_NUMBER

 public static final int TT_NUMBER

A constant indicating that a number token has been read.

 TT_WORD

 public static final int TT_WORD

A constant indicating that a word token has been read.

 ttype

 public int ttype

After a call to the nextToken method, this field contains the type of the token just read. For a single character token, its value is the single character, converted to an integer. For a quoted string token (see , its value is the quote character. Otherwise, its value is one of the following:

•	TT_WORD indicates that the token is a word.

•	TT_NUMBER indicates that the token is a number.

•	TT_EOL indicates that the end of line has been read. The field can only have this value if the eolIsSignificant method has been called with the argument true.

•	TT_EOF indicates that the end of the input stream has been reached.

See Also:

eolIsSignificant, nextToken, quoteChar, TT_EOF, TT_EOL, TT_NUMBER, TT_WORD

 StreamTokenizer

 public StreamTokenizer(InputStream is)

Note: StreamTokenizer() is deprecated. As of JDK version 1.1, the preferred way to tokenize an input stream is to convert it into a character stream, for example:

   Reader r = new BufferedReader(new InputStreamReader(is));
   StreamTokenizer st = new StreamTokenizer(r);

Creates a stream tokenizer that parses the specified input stream. The stream tokenizer is initialized to the following default state:

•	All byte values 'A' through 'Z', 'a' through 'z', and '\u00A0' through '\u00FF' are considered to be alphabetic.

•	All byte values '\u0000' through '\u0020' are considered to be white space.

•	'/' is a comment character.

•	Single quote '\'' and double quote '"' are string quote characters.

•	Numbers are parsed.

•	Ends of lines are treated as white space, not as separate tokens.

•	C-style and C++-style comments are not recognized.

Parameters:

is - an input stream.

See Also:

BufferedReader, InputStreamReader, StreamTokenizer

 StreamTokenizer

 public StreamTokenizer(Reader r)

Create a tokenizer that parses the given character stream.

 commentChar

 public void commentChar(int ch)

Specified that the character argument starts a single-line comment. All characters from the comment character to the end of the line are ignored by this stream tokenizer.

Parameters:

ch - the character.

 eolIsSignificant

 public void eolIsSignificant(boolean flag)

Determines whether or not ends of line are treated as tokens. If the flag argument is true, this tokenizer treats end of lines as tokens; the nextToken method returns TT_EOL and also sets the ttype field to this value when an end of line is read.

A line is a sequence of characters ending with either a carriage-return character ('\r') or a newline character ('\n'). In addition, a carriage-return character followed immediately by a newline character is treated as a single end-of-line token.

If the flag is false, end-of-line characters are treated as white space and serve only to separate tokens.

Parameters:

flag - true indicates that end-of-line characters are separate tokens; false indicates that end-of-line characters are white space.

See Also:

nextToken, ttype, TT_EOL

 lineno

 public int lineno()

Return the current line number.

Returns:

the current line number of this stream tokenizer.

 lowerCaseMode

 public void lowerCaseMode(boolean fl)

Determines whether or not word token are automatically lowercased. If the flag argument is true, then the value in the sval field is lowercased whenever a word token is returned (the ttype field has the value TT_WORD by the nextToken method of this tokenizer.

If the flag argument is false, then the sval field is not modified.

Parameters:

fl - true indicates that all word tokens should be lowercased.

See Also:

nextToken, ttype, TT_WORD

 nextToken

 public int nextToken() throws IOException

Parses the next token from the input stream of this tokenizer. The type of the next token is returned in the ttype field. Additional information about the token may be in the nval field or the sval field of this tokenizer.

Typical clients of this class first set up the syntax tables and then sit in a loop calling nextToken to parse successive tokens until TT_EOF is returned.

Returns:

the value of the ttype field.

Throws: IOException

if an I/O error occurs.

See Also:

nval, sval, ttype

 ordinaryChar

 public void ordinaryChar(int ch)

Specifies that the character argument is "ordinary" in this tokenizer. It removes any special significance the character has as a comment character, word component, string delimiter, white space, or number character. When such a character is encountered by the parser, the parser treates it as a single-character token and sets ttype field to the character value.

Parameters:

ch - the character.

See Also:

ttype

 ordinaryChars

 public void ordinaryChars(int low,
                           int hi)

Specifies that all characters c in the range low <= c <= high are "ordinary" in this tokenizer. See the ordinaryChar method for more information on a character being ordinary.

Parameters:

low - the low end of the range.

hi - the high end of the range.

See Also:

ordinaryChar

 parseNumbers

 public void parseNumbers()

Specifies that numbers should be parsed by this tokenizer. The syntax table of this tokenizer is modified so that each of the twelve characters: 0 1 2 3 4 5 6 7 8 9 . -

has the "numeric" attribute.

When the parser encounters a word token that has the format of a double precision floating-point number, it treats the token as a number rather than a word, by setting the the ttype field to the value TT_NUMBER and putting the numeric value of the token into the nval field.

See Also:

nval, TT_NUMBER, ttype

 pushBack

 public void pushBack()

Causes the next call to the nextToken method of this tokenizer to return the current value in the ttype field, and not to modify the value in the nval or sval field.

See Also:

nextToken, nval, sval, ttype

 quoteChar

 public void quoteChar(int ch)

Specifies that matching pairs of this character delimit string constants in this tokenizer.

When the nextToken method encounters a string constant, the ttype field is set to the string delimiter and the sval field is set to the body of the string.

If a string quote character is encountered, then a string is recognized, consisting of all characters after (but not including) the string quote character, up to (but not including) the next occurrence of that same string quote character, or a line terminator, or end of file. The usual escape sequences such as "\n" and "\t" are recognized and converted to single characters as the string is parsed.

Parameters:

ch - the character.

See Also:

nextToken, sval, ttype

 resetSyntax

 public void resetSyntax()

Resets this tokenizer's syntax table so that all characters are "ordinary." See the ordinaryChar method for more information on a character being ordinary.

See Also:

ordinaryChar

 slashSlashComments

 public void slashSlashComments(boolean flag)

Determines whether or not the tokenizer recognizes C++-style comments. If the flag argument is true, this stream tokenizer recognizes C++-style comments. Any occurrence of two consecutive slash characters ('/') is treated as the beginning of a comment that extends to the end of the line.

If the flag argument is false, then C++-style comments are not treated specially.

Parameters:

flag - true indicates to recognize and ignore C++-style comments.

 slashStarComments

 public void slashStarComments(boolean flag)

Determines whether or not the tokenizer recognizes C-style comments. If the flag argument is true, this stream tokenizer recognizes C-style comments. All text between successive occurrences of /* and */ are discarded.

If the flag argument is false, then C-style comments are not treated specially.

Parameters:

flag - true indicates to recognize and ignore C-style comments.

 toString

 public String toString()

Returns the string representation of the current stream token.

Returns:

a string representation of the token specified by the ttype, nval, and sval fields.

Overrides:

toString in class Object

See Also:

nval, sval, ttype

 whitespaceChars

 public void whitespaceChars(int low,
                             int hi)

Specifies that all characters c in the range low <= c <= high are white space characters. White space characters serve only to separate tokens in the input stream.

Parameters:

low - the low end of the range.

hi - the high end of the range.

 wordChars

 public void wordChars(int low,
                       int hi)

Specifies that all characters c in the range low <= c <= high are word constituents. A word token consists of a word constituent followed by zero or more word constituents or number constituents.

Parameters:

low - the low end of the range.

hi - the high end of the range.


 Class java.io.StringBufferInputStream

java.lang.Object
   |
   +----java.io.InputStream
           |
           +----java.io.StringBufferInputStream

public class StringBufferInputStream
   extends InputStream
 Note: StringBufferInputStream is deprecated.
This class does not properly convert characters into bytes. As of JDK 1.1, the preferred way to create a stream from a string is via the StringReader class.

This class allows an application to create an input stream in which the bytes read are supplied by the contents of a string. Applications can also read bytes from a byte array by using a ByteArrayInputStream.

Only the low eight bits of each character in the string are used by this class.

     See Also:
     ByteArrayInputStream, StringReader

 buffer

The string from which bytes are read.

 count

The number of valid characters in the input stream buffer.

 pos

The index of the next character to read from the input stream buffer.

 StringBufferInputStream(String)

Creates a string input stream to read data from the specified string.

 available()

Returns the number of bytes that can be read from the input stream without blocking.

 read()

Reads the next byte of data from this input stream.

 read(byte[], int, int)

Reads up to len bytes of data from this input stream into an array of bytes.

 reset()

Resets the input stream to begin reading from the first character of this input stream's underlying buffer.

 skip(long)

Skips n bytes of input from this input stream.

 buffer

 protected String buffer

The string from which bytes are read.

 count

 protected int count

The number of valid characters in the input stream buffer.

See Also:

buffer

 pos

 protected int pos

The index of the next character to read from the input stream buffer.

See Also:

buffer

 StringBufferInputStream

 public StringBufferInputStream(String s)

Creates a string input stream to read data from the specified string.

Parameters:

s - the underlying input buffer.

 available

 public synchronized int available()

Returns the number of bytes that can be read from the input stream without blocking.

Returns:

the value of count - pos, which is the number of bytes remaining to be read from the input buffer.

Overrides:

available in class InputStream

 read

 public synchronized int read()

Reads the next byte of data from this input stream. The value byte is returned as an int in the range 0 to 255. If no byte is available because the end of the stream has been reached, the value -1 is returned.

The read method of StringBufferInputStream cannot block. It returns the low eight bits of the next character in this input stream's buffer.

Returns:

the next byte of data, or -1 if the end of the stream is reached.

Overrides:

read in class InputStream

 read

 public synchronized int read(byte b[],
                              int off,
                              int len)

Reads up to len bytes of data from this input stream into an array of bytes.

The read method of StringBufferInputStream cannot block. It copies the low eight bits from the characters in this input stream's buffer into the byte array argument.

Parameters:

b - the buffer into which the data is read.

off - the start offset of the data.

len - the maximum number of bytes read.

Returns:

the total number of bytes read into the buffer, or -1 if there is no more data because the end of the stream has been reached.

Overrides:

read in class InputStream

 reset

 public synchronized void reset()

Resets the input stream to begin reading from the first character of this input stream's underlying buffer.

Overrides:

reset in class InputStream

 skip

 public synchronized long skip(long n)

Skips n bytes of input from this input stream. Fewer bytes might be skipped if the end of the input stream is reached.

Parameters:

n - the number of bytes to be skipped.

Returns:

the actual number of bytes skipped.

Overrides:

skip in class InputStream


 Class java.io.StringReader

java.lang.Object
   |
   +----java.io.Reader
           |
           +----java.io.StringReader

public class StringReader
   extends Reader

A character stream whose source is a string.

 StringReader(String)

Create a new string reader.

 close()

Close the stream.

 mark(int)

Mark the present position in the stream.

 markSupported()

Tell whether this stream supports the mark() operation, which it does.

 read()

Read a single character.

 read(char[], int, int)

Read characters into a portion of an array.

 ready()

Tell whether this stream is ready to be read.

 reset()

Reset the stream to the most recent mark, or to the beginning of the string if it has never been marked.

 skip(long)

Skip characters.

 StringReader

 public StringReader(String s)

Create a new string reader.

 close

 public void close()

Close the stream.

Overrides:

close in class Reader

 mark

 public void mark(int readAheadLimit) throws IOException

Mark the present position in the stream. Subsequent calls to reset() will reposition the stream to this point.

Parameters:

readAheadLimit - Limit on the number of characters that may be read while still preserving the mark. Because the stream's input comes from a string, there is no actual limit, so this argument is ignored.

Throws: IOException

If an I/O error occurs

Overrides:

mark in class Reader

 markSupported

 public boolean markSupported()

Tell whether this stream supports the mark() operation, which it does.

Overrides:

markSupported in class Reader

 read

 public int read() throws IOException

Read a single character.

Returns:

The character read, or -1 if the end of the stream has been reached

Throws: IOException

If an I/O error occurs

Overrides:

read in class Reader

 read

 public int read(char cbuf[],
                 int off,
                 int len) throws IOException

Read characters into a portion of an array.

Parameters:

cbuf - Destination buffer

off - Offset at which to start writing characters

len - Maximum number of characters to read

Returns:

The number of characters read, or -1 if the end of the stream has been reached

Throws: IOException

If an I/O error occurs

Overrides:

read in class Reader

 ready

 public boolean ready()

Tell whether this stream is ready to be read. String readers are always ready to be read.

Overrides:

ready in class Reader

 reset

 public void reset() throws IOException

Reset the stream to the most recent mark, or to the beginning of the string if it has never been marked.

Throws: IOException

If an I/O error occurs

Overrides:

reset in class Reader

 skip

 public long skip(long ns) throws IOException

Skip characters.

Throws: IOException

If an I/O error occurs

Overrides:

skip in class Reader


 Class java.io.StringWriter

java.lang.Object
   |
   +----java.io.Writer
           |
           +----java.io.StringWriter

public class StringWriter
   extends Writer

A character stream that collects its output in a string buffer, which can then be used to construct a string.

 StringWriter()

Create a new string writer, using the default initial string-buffer size.

 StringWriter(int)

Create a new string writer, using the specified initial string-buffer size.

 close()

Close the stream.

 flush()

Flush the stream.

 getBuffer()

Return the string buffer itself.

 toString()

Return the buffer's current value as a string.

 write(char[], int, int)

Write a portion of an array of characters.

 write(int)

Write a single character.

 write(String)

Write a string.

 write(String, int, int)

Write a portion of a string.

 StringWriter

 public StringWriter()

Create a new string writer, using the default initial string-buffer size.

 StringWriter

 protected StringWriter(int initialSize)

Create a new string writer, using the specified initial string-buffer size.

 close

 public void close()

Close the stream. This method does not release the buffer, since its contents might still be required.

Overrides:

close in class Writer

 flush

 public void flush()

Flush the stream.

Overrides:

flush in class Writer

 getBuffer

 public StringBuffer getBuffer()

Return the string buffer itself.

 toString

 public String toString()

Return the buffer's current value as a string.

Overrides:

toString in class Object

 write

 public void write(char cbuf[],
                   int off,
                   int len)

Write a portion of an array of characters.

Parameters:

cbuf - Array of characters

off - Offset from which to start writing characters

len - Number of characters to write

Overrides:

write in class Writer

 write

 public void write(int c)

Write a single character.

Overrides:

write in class Writer

 write

 public void write(String str)

Write a string.

Overrides:

write in class Writer

 write

 public void write(String str,
                   int off,
                   int len)

Write a portion of a string.

Parameters:

str - String to be written

off - Offset from which to start writing characters

len - Number of characters to write

Overrides:

write in class Writer


 Class java.io.Writer

java.lang.Object
   |
   +----java.io.Writer

public abstract class Writer
   extends Object

Abstract class for writing to character streams. The only methods that a subclass must implement are write(char[], int, int), flush(), and close(). Most subclasses, however, will override some of the methods defined here in order to provide higher efficiency, additional functionality, or both.

     See Also:
     Writer, BufferedWriter, CharArrayWriter, FilterWriter, OutputStreamWriter, FileWriter, PipedWriter, PrintWriter, StringWriter, Reader

 lock

The object used to synchronize operations on this stream.

 Writer()

Create a new character-stream writer whose critical sections will synchronize on the writer itself.

 Writer(Object)

Create a new character-stream writer whose critical sections will synchronize on the given object.

 close()

Close the stream, flushing it first.

 flush()

Flush the stream.

 write(char[])

Write an array of characters.

 write(char[], int, int)

Write a portion of an array of characters.

 write(int)

Write a single character.

 write(String)

Write a string.

 write(String, int, int)

Write a portion of a string.

 lock

 protected Object lock

The object used to synchronize operations on this stream. For efficiency, a character-stream object may use an object other than itself to protect critical sections. A subclass should therefore use the object in this field rather than this or a synchronized method.

 Writer

 protected Writer()

Create a new character-stream writer whose critical sections will synchronize on the writer itself.

 Writer

 protected Writer(Object lock)

Create a new character-stream writer whose critical sections will synchronize on the given object.

 close

 public abstract void close() throws IOException

Close the stream, flushing it first. Once a stream has been closed, further write() or flush() invocations will cause an IOException to be thrown. Closing a previously-closed stream, however, has no effect.

Throws: IOException

If an I/O error occurs

 flush

 public abstract void flush() throws IOException

Flush the stream. If the stream has saved any characters from the various write() methods in a buffer, write them immediately to their intended destination. Then, if that destination is another character or byte stream, flush it. Thus one flush() invocation will flush all the buffers in a chain of Writers and OutputStreams.

Throws: IOException

If an I/O error occurs

 write

 public void write(char cbuf[]) throws IOException

Write an array of characters.

Parameters:

cbuf - Array of characters to be written

Throws: IOException

If an I/O error occurs

 write

 public abstract void write(char cbuf[],
                            int off,
                            int len) throws IOException

Write a portion of an array of characters.

Parameters:

cbuf - Array of characters

off - Offset from which to start writing characters

len - Number of characters to write

Throws: IOException

If an I/O error occurs

 write

 public void write(int c) throws IOException

Write a single character. The character to be written is contained in the 16 low-order bits of the given integer value; the 16 high-order bits are ignored.

Subclasses that intend to support efficient single-character output should override this method.

Throws: IOException

If an I/O error occurs

 write

 public void write(String str) throws IOException

Write a string.

Parameters:

str - String to be written

Throws: IOException

If an I/O error occurs

 write

 public void write(String str,
                   int off,
                   int len) throws IOException

Write a portion of a string.

Parameters:

str - A String

off - Offset from which to start writing characters

len - Number of characters to write

Throws: IOException

If an I/O error occurs


 Class java.io.CharConversionException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.io.IOException
                           |
                           +----java.io.CharConversionException

public class CharConversionException
   extends IOException

base class for character conversion exceptions

 CharConversionException()

provides no detailed message

 CharConversionException(String)

provides a detailed message

 CharConversionException

 public CharConversionException()

provides no detailed message

 CharConversionException

 public CharConversionException(String s)

provides a detailed message

Parameters:

s - detailed message


 Class java.io.EOFException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.io.IOException
                           |
                           +----java.io.EOFException

public class EOFException
   extends IOException

Signals that an end of file or end of stream has been reached unexpectedly during input.

This exception is mainly used by data input streams, which generally expect a binary file in a specific format, and for which an end of stream is an unusual condition. Most other input streams return a special value on end of stream.

     See Also:
     DataInputStream, IOException

 EOFException()

Constructs an EOFException with no detail message.

 EOFException(String)

Constructs an EOFException with the specified detail message.

 EOFException

 public EOFException()

Constructs an EOFException with no detail message.

 EOFException

 public EOFException(String s)

Constructs an EOFException with the specified detail message.

Parameters:

s - the detail message.


 Class java.io.FileNotFoundException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.io.IOException
                           |
                           +----java.io.FileNotFoundException

public class FileNotFoundException
   extends IOException

Signals that a file could not be found.

 FileNotFoundException()

Constructs a FileNotFoundException with no detail message.

 FileNotFoundException(String)

Constructs a FileNotFoundException with the specified detail message.

 FileNotFoundException

 public FileNotFoundException()

Constructs a FileNotFoundException with no detail message.

 FileNotFoundException

 public FileNotFoundException(String s)

Constructs a FileNotFoundException with the specified detail message.

Parameters:

s - the detail message.


 Class java.io.IOException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.io.IOException

public class IOException
   extends Exception

Signals that an I/O exception of some sort has occurred.

     See Also:
     InputStream, OutputStream

 IOException()

Constructs an IOException with no detail message.

 IOException(String)

Constructs an IOException with the specified detail message.

 IOException

 public IOException()

Constructs an IOException with no detail message.

 IOException

 public IOException(String s)

Constructs an IOException with the specified detail message.

Parameters:

s - the detail message.


 Class java.io.InterruptedIOException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.io.IOException
                           |
                           +----java.io.InterruptedIOException

public class InterruptedIOException
   extends IOException

Signals that an I/O operation has been interrupted.

     See Also:
     InputStream, OutputStream, interrupt

 bytesTransferred

Reports how many bytes had been transferred as part of the I/O operation before it was interrupted.

 InterruptedIOException()

Constructs an InterruptedIOException with no detail message.

 InterruptedIOException(String)

Constructs an InterruptedIOException with the specified detail message.

 bytesTransferred

 public int bytesTransferred

Reports how many bytes had been transferred as part of the I/O operation before it was interrupted.

 InterruptedIOException

 public InterruptedIOException()

Constructs an InterruptedIOException with no detail message.

 InterruptedIOException

 public InterruptedIOException(String s)

Constructs an InterruptedIOException with the specified detail message.

Parameters:

s - the detail message.


 Class java.io.InvalidClassException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.io.IOException
                           |
                           +----java.io.ObjectStreamException
                                   |
                                   +----java.io.InvalidClassException

public class InvalidClassException
   extends ObjectStreamException

Raised when the Serialization runtime detects a problem with a Class. The class may:

•	not match the serial version of the class in the stream

•	the class contains unknown datatypes

•	the class implements only one of writeObject or readObject methods

•	the class is not public

•	the class does not have an accessible no-arg constructor

 classname

 InvalidClassException(String)

Report a InvalidClassException for the specified reason.

 InvalidClassException(String, String)

 getMessage()

Produce the message, include the classname if present.

 classname

 public String classname

 InvalidClassException

 public InvalidClassException(String reason)

Report a InvalidClassException for the specified reason.

 InvalidClassException

 public InvalidClassException(String cname,
                              String reason)

 getMessage

 public String getMessage()

Produce the message, include the classname if present.

Overrides:

getMessage in class Throwable


 Class java.io.InvalidObjectException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.io.IOException
                           |
                           +----java.io.ObjectStreamException
                                   |
                                   +----java.io.InvalidObjectException

public class InvalidObjectException
   extends ObjectStreamException

Indicates that one or more deserialized objects failed validation tests. The argument should be the reason for the failure.

     See Also:
     ObjectInputValidation

 InvalidObjectException(String)

Constructs an InvalidObjectException with a detail message.

 InvalidObjectException

 public InvalidObjectException(String reason)

Constructs an InvalidObjectException with a detail message. The argument should be the reason why the validation of the object failed.

See Also:

ObjectInputValidation


 Class java.io.NotActiveException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.io.IOException
                           |
                           +----java.io.ObjectStreamException
                                   |
                                   +----java.io.NotActiveException

public class NotActiveException
   extends ObjectStreamException

The NotActiveException is thrown when serialization or deserialization is not active.

 NotActiveException()

Constructor to create a new NotActiveException with no reason.

 NotActiveException(String)

Constructor to create a new NotActiveException with the reason given.

 NotActiveException

 public NotActiveException()

Constructor to create a new NotActiveException with no reason.

 NotActiveException

 public NotActiveException(String reason)

Constructor to create a new NotActiveException with the reason given.


 Class java.io.NotSerializableException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.io.IOException
                           |
                           +----java.io.ObjectStreamException
                                   |
                                   +----java.io.NotSerializableException

public class NotSerializableException
   extends ObjectStreamException

Raised by a class or the serialization runtime when a class may not be serialized. The argument should be the name of the class.

 NotSerializableException()

 NotSerializableException(String)

 NotSerializableException

 public NotSerializableException()

 NotSerializableException

 public NotSerializableException(String classname)


 Class java.io.ObjectStreamException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.io.IOException
                           |
                           +----java.io.ObjectStreamException

public abstract class ObjectStreamException
   extends IOException

Superclass of all exceptions specific to Object Stream classes.

 ObjectStreamException()

Create an ObjectStreamException.

 ObjectStreamException(String)

Create an ObjectStreamException with the specified argument.

 ObjectStreamException

 protected ObjectStreamException()

Create an ObjectStreamException.

 ObjectStreamException

 protected ObjectStreamException(String classname)

Create an ObjectStreamException with the specified argument.


 Class java.io.OptionalDataException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.io.IOException
                           |
                           +----java.io.ObjectStreamException
                                   |
                                   +----java.io.OptionalDataException

public class OptionalDataException
   extends ObjectStreamException

Unexpected data appeared in an ObjectInputStream trying to read an Object. This exception occurs when the stream contains primitive data instead of the object expected by readObject. The eof flag in the exception is true to indicate that no more primitive data is available. The count field contains the number of bytes available to read.

 eof

True if there is no more data in the buffered part of the stream.

 length

The number of bytes of primitive data available to be read in the current buffer.

 eof

 public boolean eof

True if there is no more data in the buffered part of the stream.

 length

 public int length

The number of bytes of primitive data available to be read in the current buffer.


 Class java.io.StreamCorruptedException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.io.IOException
                           |
                           +----java.io.ObjectStreamException
                                   |
                                   +----java.io.StreamCorruptedException

public class StreamCorruptedException
   extends ObjectStreamException

Raised when control information read from an object stream violates internal consistency checks.

 StreamCorruptedException()

Create a StreamCorruptedException with no reason.

 StreamCorruptedException(String)

Create a StreamCorruptedException with a reason.

 StreamCorruptedException

 public StreamCorruptedException()

Create a StreamCorruptedException with no reason.

 StreamCorruptedException

 public StreamCorruptedException(String reason)

Create a StreamCorruptedException with a reason.


 Class java.io.SyncFailedException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.io.IOException
                           |
                           +----java.io.SyncFailedException

public class SyncFailedException
   extends IOException

 SyncFailedException(String)

Constructs an SyncFailedException with a detail message.

 SyncFailedException

 public SyncFailedException(String desc)

Constructs an SyncFailedException with a detail message. A detail message is a String that describes this particular exception.


 Class java.io.UTFDataFormatException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.io.IOException
                           |
                           +----java.io.UTFDataFormatException

public class UTFDataFormatException
   extends IOException

Signals that a malformed UTF-8 string has been read in a data input stream or by any class that implements the data input interface. See the writeUTF method for the format in which UTF-8 strings are read and written.

     See Also:
     DataInput, readUTF, IOException

 UTFDataFormatException()

Constructs a UTFDataFormatException with no detail message.

 UTFDataFormatException(String)

Constructs a UTFDataFormatException with the specified detail message.

 UTFDataFormatException

 public UTFDataFormatException()

Constructs a UTFDataFormatException with no detail message.

 UTFDataFormatException

 public UTFDataFormatException(String s)

Constructs a UTFDataFormatException with the specified detail message.

Parameters:

s - the detail message.


 Class java.io.UnsupportedEncodingException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.io.IOException
                           |
                           +----java.io.UnsupportedEncodingException

public class UnsupportedEncodingException
   extends IOException

The Character Encoding is not supported

 UnsupportedEncodingException()

no detailed message

 UnsupportedEncodingException(String)

detailed message

 UnsupportedEncodingException

 public UnsupportedEncodingException()

no detailed message

 UnsupportedEncodingException

 public UnsupportedEncodingException(String s)

detailed message

Parameters:

s - - detailed message


 Class java.io.WriteAbortedException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.io.IOException
                           |
                           +----java.io.ObjectStreamException
                                   |
                                   +----java.io.WriteAbortedException

public class WriteAbortedException
   extends ObjectStreamException

 detail

 WriteAbortedException(String, Exception)

A WriteAbortedException is thrown during a read when one of the ObjectStreamExceptions was thrown during writing.

 getMessage()

Produce the message, include the message from the nested exception if there is one.

 detail

 public Exception detail

 WriteAbortedException

 public WriteAbortedException(String s,
                              Exception ex)

A WriteAbortedException is thrown during a read when one of the ObjectStreamExceptions was thrown during writing. The exception that terminated the write can be found in the detail field. The stream is reset to it's initial state, all references to objects already deserialized are discarded.

 getMessage

 public String getMessage()

Produce the message, include the message from the nested exception if there is one.

Overrides:

getMessage in class Throwable


 package java.lang

   Cloneable
   Runnable

   Boolean
   Byte
   Character
   Class
   ClassLoader
   Compiler
   Double
   Float
   Integer
   Long
   Math
   Number
   Object
   Process
   Runtime
   SecurityManager
   Short
   String
   StringBuffer
   System
   Thread
   ThreadGroup
   Throwable
   Void

   ArithmeticException
   ArrayIndexOutOfBoundsException
   ArrayStoreException
   ClassCastException
   ClassNotFoundException
   CloneNotSupportedException
   Exception
   IllegalAccessException
   IllegalArgumentException
   IllegalMonitorStateException
   IllegalStateException
   IllegalThreadStateException
   IndexOutOfBoundsException
   InstantiationException
   InterruptedException
   NegativeArraySizeException
   NoSuchFieldException
   NoSuchMethodException
   NullPointerException
   NumberFormatException
   RuntimeException
   SecurityException
   StringIndexOutOfBoundsException

   AbstractMethodError
   ClassCircularityError
   ClassFormatError
   Error
   ExceptionInInitializerError
   IllegalAccessError
   IncompatibleClassChangeError
   InstantiationError
   InternalError
   LinkageError
   NoClassDefFoundError
   NoSuchFieldError
   NoSuchMethodError
   OutOfMemoryError
   StackOverflowError
   ThreadDeath
   UnknownError
   UnsatisfiedLinkError
   VerifyError
   VirtualMachineError


 Interface java.lang.Cloneable

public interface Cloneable

A class implements the Cloneable interface to indicate to the clone method in class Object that it is legal for that method to make a field-for-field copy of instances of that class.

Attempts to clone instances that do not implement the Cloneable interface result in the exception CloneNotSupportedException being thrown.

     See Also:
     CloneNotSupportedException


 Interface java.lang.Runnable

public interface Runnable

The Runnable interface should be implemented by any class whose instances are intended to be executed by a thread. The class must define a method of no arguments called run.

This interface is designed to provide a common protocol for objects that wish to execute code while they are active. For example, Runnable is implemented by class Thread. Being active simply means that a thread has been started and has not yet been stopped.

In addition, Runnable provides the means for a class to be active while not subclassing Thread. A class that implements Runnable can run without subclassing Thread by instantiating a Thread instance and passing itself in as the target. In most cases, the Runnable interface should be used if you are only planning to override the run() method and no other Thread methods. This is important because classes should not be subclassed unless the programmer intends on modifying or enhancing the fundamental behavior of the class.

     See Also:
     Thread

 run()

When an object implementing interface Runnable is used to create a thread, starting the thread causes the object's run method to be called in that separately executing thread.

 run

 public abstract void run()

When an object implementing interface Runnable is used to create a thread, starting the thread causes the object's run method to be called in that separately executing thread.

See Also:

run


 Class java.lang.Boolean

java.lang.Object
   |
   +----java.lang.Boolean

public final class Boolean
   extends Object
   implements Serializable

The Boolean class wraps a value of the primitive type boolean in an object. An object of type Boolean contains a single field whose type is boolean.

In addition, this class provides many methods for converting a boolean to a String and a String to a boolean, as well as other constants and methods useful when dealing with a boolean.

 FALSE

The Boolean object corresponding to the primitive value false.

 TRUE

The Boolean object corresponding to the primitive value true.

 TYPE

The Class object representing the primitive type boolean.

 Boolean(boolean)

Allocates a Boolean object representing the value argument.

 Boolean(String)

Allocates a Boolean object representing the value true if the string argument is not null and is equal, ignoring case, to the string "true".

 booleanValue()

Returns the value of this Boolean object as a boolean.

 equals(Object)

Returns true if and only if the argument is not null and is a Boolean object that contains the same boolean value as this object.

 getBoolean(String)

Returns is true if and only if the system property named by the argument exists and is equal to the string "true".

 hashCode()

Returns a hash code for this Boolean.

 toString()

Returns a String object representing this Boolean's value.

 valueOf(String)

Returns the boolean value represented by the specified String.

 FALSE

 public static final Boolean FALSE

The Boolean object corresponding to the primitive value false.

 TRUE

 public static final Boolean TRUE

The Boolean object corresponding to the primitive value true.

 TYPE

 public static final Class TYPE

The Class object representing the primitive type boolean.

 Boolean

 public Boolean(boolean value)

Allocates a Boolean object representing the value argument.

Parameters:

value - the value of the Boolean.

 Boolean

 public Boolean(String s)

Allocates a Boolean object representing the value true if the string argument is not null and is equal, ignoring case, to the string "true". Otherwise, allocate a Boolean object representing the value false.

Parameters:

s - the string to be converted to a Boolean.

 booleanValue

 public boolean booleanValue()

Returns the value of this Boolean object as a boolean.

Returns:

the primitive boolean value of this object.

 equals

 public boolean equals(Object obj)

Returns true if and only if the argument is not null and is a Boolean object that contains the same boolean value as this object.

Parameters:

obj - the object to compare with.

Returns:

true if the objects are the same; false otherwise.

Overrides:

equals in class Object

 getBoolean

 public static boolean getBoolean(String name)

Returns is true if and only if the system property named by the argument exists and is equal to the string "true". (Beginning with Java 1.0.2, the test of this string is case insensitive.) A system property is accessible through getProperty, a method defined by the System class.

Parameters:

name - the system property name.

Returns:

the boolean value of the system property.

See Also:

getProperty, getProperty

 hashCode

 public int hashCode()

Returns a hash code for this Boolean.

Returns:

a hash code value for this object.

Overrides:

hashCode in class Object

 toString

 public String toString()

Returns a String object representing this Boolean's value. If this object contains the value true, a string equal to "true" is returned. Otherwise, a string equal to "false" is returned.

Returns:

a string representation of this object.

Overrides:

toString in class Object

 valueOf

 public static Boolean valueOf(String s)

Returns the boolean value represented by the specified String. A new Boolean object is constructed. This Boolean contains the value true if the string argument is not null and is equal, ignoring case, to the string "true".

Parameters:

s - a string.

Returns:

the Boolean value represented by the string.


 Class java.lang.Byte

java.lang.Object
   |
   +----java.lang.Number
           |
           +----java.lang.Byte

public final class Byte
   extends Number

The Byte class is the standard wrapper for byte values.

     See Also:
     Number

 MAX_VALUE

The maximum value a Byte can have.

 MIN_VALUE

The minimum value a Byte can have.

 TYPE

The Class object representing the primitive type byte.

 Byte(byte)

Constructs a Byte object initialized to the specified byte value.

 Byte(String)

Constructs a Byte object initialized to the value specified by the String parameter.

 byteValue()

Returns the value of this Byte as a byte.

 decode(String)

Decodes a String into a Byte.

 doubleValue()

Returns the value of this Byte as a double.

 equals(Object)

Compares this object to the specified object.

 floatValue()

Returns the value of this Byte as a float.

 hashCode()

Returns a hashcode for this Byte.

 intValue()

Returns the value of this Byte as an int.

 longValue()

Returns the value of this Byte as a long.

 parseByte(String)

Assuming the specified String represents a byte, returns that byte's value.

 parseByte(String, int)

Assuming the specified String represents a byte, returns that byte's value.

 shortValue()

Returns the value of this Byte as a short.

 toString()

Returns a String object representing this Byte's value.

 toString(byte)

Returns a new String object representing the specified Byte.

 valueOf(String)

Assuming the specified String represents a byte, returns a new Byte object initialized to that value.

 valueOf(String, int)

Assuming the specified String represents a byte, returns a new Byte object initialized to that value.

 MAX_VALUE

 public static final byte MAX_VALUE

The maximum value a Byte can have.

 MIN_VALUE

 public static final byte MIN_VALUE

The minimum value a Byte can have.

 TYPE

 public static final Class TYPE

The Class object representing the primitive type byte.

 Byte

 public Byte(byte value)

Constructs a Byte object initialized to the specified byte value.

Parameters:

value - the initial value of the Byte

 Byte

 public Byte(String s) throws NumberFormatException

Constructs a Byte object initialized to the value specified by the String parameter. The radix is assumed to be 10.

Parameters:

s - the String to be converted to a Byte

Throws: NumberFormatException

If the String does not contain a parsable byte.

 byteValue

 public byte byteValue()

Returns the value of this Byte as a byte.

Overrides:

byteValue in class Number

 decode

 public static Byte decode(String nm) throws NumberFormatException

Decodes a String into a Byte. The String may represent decimal, hexadecimal, and octal numbers.

Parameters:

nm - the string to decode

 doubleValue

 public double doubleValue()

Returns the value of this Byte as a double.

Overrides:

doubleValue in class Number

 equals

 public boolean equals(Object obj)

Compares this object to the specified object.

Parameters:

obj - the object to compare with

Returns:

true if the objects are the same; false otherwise.

Overrides:

equals in class Object

 floatValue

 public float floatValue()

Returns the value of this Byte as a float.

Overrides:

floatValue in class Number

 hashCode

 public int hashCode()

Returns a hashcode for this Byte.

Overrides:

hashCode in class Object

 intValue

 public int intValue()

Returns the value of this Byte as an int.

Overrides:

intValue in class Number

 longValue

 public long longValue()

Returns the value of this Byte as a long.

Overrides:

longValue in class Number

 parseByte

 public static byte parseByte(String s) throws NumberFormatException

Assuming the specified String represents a byte, returns that byte's value. Throws an exception if the String cannot be parsed as a byte. The radix is assumed to be 10.

Parameters:

s - the String containing the byte

Throws: NumberFormatException

If the string does not contain a parsable byte.

 parseByte

 public static byte parseByte(String s,
                              int radix) throws NumberFormatException

Assuming the specified String represents a byte, returns that byte's value. Throws an exception if the String cannot be parsed as a byte.

Parameters:

s - the String containing the byte

radix - the radix to be used

Throws: NumberFormatException

If the String does not contain a parsable byte.

 shortValue

 public short shortValue()

Returns the value of this Byte as a short.

Overrides:

shortValue in class Number

 toString

 public String toString()

Returns a String object representing this Byte's value.

Overrides:

toString in class Object

 toString

 public static String toString(byte b)

Returns a new String object representing the specified Byte. The radix is assumed to be 10.

Parameters:

b - the byte to be converted

 valueOf

 public static Byte valueOf(String s) throws NumberFormatException

Assuming the specified String represents a byte, returns a new Byte object initialized to that value. Throws an exception if the String cannot be parsed as a byte. The radix is assumed to be 10.

Parameters:

s - the String containing the integer

Throws: NumberFormatException

If the String does not contain a parsable byte.

 valueOf

 public static Byte valueOf(String s,
                            int radix) throws NumberFormatException

Assuming the specified String represents a byte, returns a new Byte object initialized to that value. Throws an exception if the String cannot be parsed as a byte.

Parameters:

s - the String containing the integer

radix - the radix to be used

Throws: NumberFormatException

If the String does not contain a parsable byte.


 Class java.lang.Character

java.lang.Object
   |
   +----java.lang.Character

public final class Character
   extends Object
   implements Serializable

The Character class wraps a value of the primitive type char in an object. An object of type Character contains a single field whose type is char.

In addition, this class provides several methods for determining the type of a character and converting characters from uppercase to lowercase and vice versa.

Many of the methods of class Character are defined in terms of a "Unicode attribute table" that specifies a name for every defined Unicode code point. The table also includes other attributes, such as a decimal value, an uppercase equivalent, a lowercase equivalent, and/or a titlecase equivalent. The Unicode attribute table is available on the World Wide Web as the file:

ftp://unicode.org/pub/MappingTables/UnicodeData1.1.5.txt

For a more detailed specification of the Character class, one that encompasses the exact behavior of methods such as isDigit, isLetter, isLowerCase, and isUpperCase over the full range of Unicode values, see Gosling, Joy, and Steele, The Java Language Specification.

 COMBINING_SPACING_MARK

 CONNECTOR_PUNCTUATION

 CONTROL

 CURRENCY_SYMBOL

 DASH_PUNCTUATION

 DECIMAL_DIGIT_NUMBER

 ENCLOSING_MARK

 END_PUNCTUATION

 FORMAT

 LETTER_NUMBER

 LINE_SEPARATOR

 LOWERCASE_LETTER

 MATH_SYMBOL

 MAX_RADIX

The maximum radix available for conversion to and from Strings.

 MAX_VALUE

The constant value of this field is the largest value of type char.

 MIN_RADIX

The minimum radix available for conversion to and from Strings.

 MIN_VALUE

The constant value of this field is the smallest value of type char.

 MODIFIER_LETTER

 MODIFIER_SYMBOL

 NON_SPACING_MARK

 OTHER_LETTER

 OTHER_NUMBER

 OTHER_PUNCTUATION

 OTHER_SYMBOL

 PARAGRAPH_SEPARATOR

 PRIVATE_USE

 SPACE_SEPARATOR

 START_PUNCTUATION

 SURROGATE

 TITLECASE_LETTER

 TYPE

The Class object representing the primitive type char.

 UNASSIGNED

 UPPERCASE_LETTER

 Character(char)

Constructs a Character object and initializes it so that it represents the primitive value argument.

 charValue()

Returns the value of this Character object.

 digit(char, int)

Returns the numeric value of the character ch in the specified radix.

 equals(Object)

Compares this object against the specified object.

 forDigit(int, int)

Determines the character representation for a specific digit in the specified radix.

 getNumericValue(char)

Returns the Unicode numeric value of the character as a nonnegative integer.

 getType(char)

Returns a value indicating a character category.

 hashCode()

Returns a hash code for this Character.

 isDefined(char)

Determines if a character has a defined meaning in Unicode.

 isDigit(char)

Determines if the specified character is a digit.

 isIdentifierIgnorable(char)

Determines if the specified character should be regarded as an ignorable character in a Java identifier or a Unicode identifier.

 isISOControl(char)

Determines if the specified character is an ISO control character.

 isJavaIdentifierPart(char)

Determines if the specified character may be part of a Java identifier as other than the first character.

 isJavaIdentifierStart(char)

Determines if the specified character is permissible as the first character in a Java identifier.

 isJavaLetter(char)

Determines if the specified character is a "Java" letter, that is, the character is permissible as the first character in an identifier in the Java language. Deprecated.

 isJavaLetterOrDigit(char)

Determines if the specified character is a "Java" letter or digit, that is, the character is permissible as a non-initial character in an identifier in the Java language. Deprecated.

 isLetter(char)

Determines if the specified character is a letter.

 isLetterOrDigit(char)

Determines if the specified character is a letter or digit.

 isLowerCase(char)

Determines if the specified character is a lowercase character.

 isSpace(char)

Determines if the specified character is ISO-LATIN-1 white space. Deprecated.

 isSpaceChar(char)

Determines if the specified character is a Unicode space character.

 isTitleCase(char)

Determines if the specified character is a titlecase character.

 isUnicodeIdentifierPart(char)

Determines if the specified character may be part of a Unicode identifier as other than the first character.

 isUnicodeIdentifierStart(char)

Determines if the specified character is permissible as the first character in a Unicode identifier.

 isUpperCase(char)

Determines if the specified character is an uppercase character.

 isWhitespace(char)

Determines if the specified character is white space according to Java.

 toLowerCase(char)

The given character is mapped to its lowercase equivalent; if the character has no lowercase equivalent, the character itself is returned.

 toString()

Returns a String object representing this character's value.

 toTitleCase(char)

Converts the character argument to titlecase.

 toUpperCase(char)

Converts the character argument to uppercase.

 COMBINING_SPACING_MARK

 public static final byte COMBINING_SPACING_MARK

 CONNECTOR_PUNCTUATION

 public static final byte CONNECTOR_PUNCTUATION

 CONTROL

 public static final byte CONTROL

 CURRENCY_SYMBOL

 public static final byte CURRENCY_SYMBOL

 DASH_PUNCTUATION

 public static final byte DASH_PUNCTUATION

 DECIMAL_DIGIT_NUMBER

 public static final byte DECIMAL_DIGIT_NUMBER

 ENCLOSING_MARK

 public static final byte ENCLOSING_MARK

 END_PUNCTUATION

 public static final byte END_PUNCTUATION

 FORMAT

 public static final byte FORMAT

 LETTER_NUMBER

 public static final byte LETTER_NUMBER

 LINE_SEPARATOR

 public static final byte LINE_SEPARATOR

 LOWERCASE_LETTER

 public static final byte LOWERCASE_LETTER

 MATH_SYMBOL

 public static final byte MATH_SYMBOL

 MAX_RADIX

 public static final int MAX_RADIX

The maximum radix available for conversion to and from Strings. The constant value of this field is the largest value permitted for the radix argument in radix-conversion methods such as the digit method, the forDigit method, and the toString method of class Integer.

See Also:

digit, forDigit, toString, valueOf

 MAX_VALUE

 public static final char MAX_VALUE

The constant value of this field is the largest value of type char.

 MIN_RADIX

 public static final int MIN_RADIX

The minimum radix available for conversion to and from Strings. The constant value of this field is the smallest value permitted for the radix argument in radix-conversion methods such as the digit method, the forDigit method, and the toString method of class Integer.

See Also:

digit, forDigit, toString, valueOf

 MIN_VALUE

 public static final char MIN_VALUE

The constant value of this field is the smallest value of type char.

 MODIFIER_LETTER

 public static final byte MODIFIER_LETTER

 MODIFIER_SYMBOL

 public static final byte MODIFIER_SYMBOL

 NON_SPACING_MARK

 public static final byte NON_SPACING_MARK

 OTHER_LETTER

 public static final byte OTHER_LETTER

 OTHER_NUMBER

 public static final byte OTHER_NUMBER

 OTHER_PUNCTUATION

 public static final byte OTHER_PUNCTUATION

 OTHER_SYMBOL

 public static final byte OTHER_SYMBOL

 PARAGRAPH_SEPARATOR

 public static final byte PARAGRAPH_SEPARATOR

 PRIVATE_USE

 public static final byte PRIVATE_USE

 SPACE_SEPARATOR

 public static final byte SPACE_SEPARATOR

 START_PUNCTUATION

 public static final byte START_PUNCTUATION

 SURROGATE

 public static final byte SURROGATE

 TITLECASE_LETTER

 public static final byte TITLECASE_LETTER

 TYPE

 public static final Class TYPE

The Class object representing the primitive type char.

 UNASSIGNED

 public static final byte UNASSIGNED

 UPPERCASE_LETTER

 public static final byte UPPERCASE_LETTER

 Character

 public Character(char value)

Constructs a Character object and initializes it so that it represents the primitive value argument.

Parameters:

value - value for the new Character object.

 charValue

 public char charValue()

Returns the value of this Character object.

Returns:

the primitive char value represented by this object.

 digit

 public static int digit(char ch,
                         int radix)

Returns the numeric value of the character ch in the specified radix.

If the radix is not in the range MIN_RADIX <= radix <= MAX_RADIX or if the value of ch is not a valid digit in the specified radix, -1 is returned. A character is a valid digit if at least one of the following is true:

•	The method isDigit is true of the character and the Unicode decimal digit value of the character (or its single-character decomposition) is less than the specified radix. In this case the decimal digit value is returned.

•	The character is one of the uppercase Latin letters 'A' through 'Z' and its code is less than radix + 'A' - 10. In this case, ch - 'A' + 10 is returned.

•	The character is one of the lowercase Latin letters 'a' through 'z' and its code is less than radix + 'a' - 10. In this case, ch - 'a' + 10 is returned.

Parameters:

ch - the character to be converted.

radix - the radix.

Returns:

the numeric value represented by the character in the specified radix.

See Also:

forDigit, isDigit

 equals

 public boolean equals(Object obj)

Compares this object against the specified object. The result is true if and only if the argument is not null and is a Character object that represents the same char value as this object.

Parameters:

obj - the object to compare with.

Returns:

true if the objects are the same; false otherwise.

Overrides:

equals in class Object

 forDigit

 public static char forDigit(int digit,
                             int radix)

Determines the character representation for a specific digit in the specified radix. If the value of radix is not a valid radix, or the value of digit is not a valid digit in the specified radix, the null character ('\u0000') is returned.

The radix argument is valid if it is greater than or equal to MIN_RADIX and less than or equal to MAX_RADIX. The digit argument is valid if 0 <= digit <= radix.

If the digit is less than 10, then '0' + digit is returned. Otherwise, the value 'a' + digit - 10 is returned.

Parameters:

digit - the number to convert to a character.

radix - the radix.

Returns:

the char representation of the specified digit in the specified radix.

See Also:

MIN_RADIX, MAX_RADIX, digit

 getNumericValue

 public static int getNumericValue(char ch)

Returns the Unicode numeric value of the character as a nonnegative integer. If the character does not have a numeric value, then -1 is returned. If the character has a numeric value that cannot be represented as a nonnegative integer (for example, a fractional value), then -2 is returned.

Parameters:

ch - the character to be converted.

radix - the radix.

Returns:

the numeric value of the character, as a nonnegative int value; -2 if the character has a numeric value that is not a nonnegative integer; -1 if the character has no numeric value.

See Also:

forDigit, isDigit

 getType

 public static int getType(char ch)

Returns a value indicating a character category.

Parameters:

ch - the character to be tested.

Returns:

a value of type int, the character category.

See Also:

COMBINING_SPACING_MARK, CONNECTOR_PUNCTUATION, CONTROL, CURRENCY_SYMBOL, DASH_PUNCTUATION, DECIMAL_DIGIT_NUMBER, ENCLOSING_MARK, END_PUNCTUATION, FORMAT, LETTER_NUMBER, LINE_SEPARATOR, LOWERCASE_LETTER, MATH_SYMBOL, MODIFIER_LETTER, MODIFIER_SYMBOL, NON_SPACING_MARK, OTHER_LETTER, OTHER_NUMBER, OTHER_PUNCTUATION, OTHER_SYMBOL, PARAGRAPH_SEPARATOR, PRIVATE_USE, SPACE_SEPARATOR, START_PUNCTUATION, SURROGATE, TITLECASE_LETTER, UNASSIGNED, UPPERCASE_LETTER

 hashCode

 public int hashCode()

Returns a hash code for this Character.

Returns:

a hash code value for this object.

Overrides:

hashCode in class Object

 isDefined

 public static boolean isDefined(char ch)

Determines if a character has a defined meaning in Unicode. A character is defined if at least one of the following is true:

•	It has an entry in the Unicode attribute table.

•	Its value is in the range '\u3040' <= ch <= '\u9FA5'.

•	Its value is in the range '\uF900' <= ch <= '\uFA2D'.

Parameters:

ch - the character to be tested

Returns:

true if the character has a defined meaning in Unicode; false otherwise.

See Also:

isDigit, isLetter, isLetterOrDigit, isLowerCase, isTitleCase, isUpperCase

 isDigit

 public static boolean isDigit(char ch)

Determines if the specified character is a digit. A character is considered to be a digit if it is not in the range '\u2000' <= ch <= '\u2FFF' and its Unicode name contains the word "DIGIT". For a more complete specification that encompasses all Unicode characters that are defined as digits, see Gosling, Joy, and Steele, The Java Language Specification.

These are the ranges of Unicode characters that are considered digits:

0x0030 through 0x0039	ISO-LATIN-1 digits ('0' through '9')
0x0660 through 0x0669	Arabic-Indic digits
0x06F0 through 0x06F9	Extended Arabic-Indic digits
0x0966 through 0x096F	Devanagari digits
0x09E6 through 0x09EF	Bengali digits
0x0A66 through 0x0A6F	Gurmukhi digits
0x0AE6 through 0x0AEF	Gujarati digits
0x0B66 through 0x0B6F	Oriya digits
0x0BE7 through 0x0BEF	Tamil digits
0x0C66 through 0x0C6F	Telugu digits
0x0CE6 through 0x0CEF	Kannada digits
0x0D66 through 0x0D6F	Malayalam digits
0x0E50 through 0x0E59	Thai digits
0x0ED0 through 0x0ED9	Lao digits
0x0F20 through 0x0F29	Tibetan digits
0xFF10 through 0xFF19	Fullwidth digits
Parameters:

ch - the character to be tested.

Returns:

true if the character is a digit; false otherwise.

See Also:

digit, forDigit

 isIdentifierIgnorable

 public static boolean isIdentifierIgnorable(char ch)

Determines if the specified character should be regarded as an ignorable character in a Java identifier or a Unicode identifier. The following Unicode characters are ignorable in a Java identifier or a Unicode identifier:

0x0000 through 0x0008,	ISO control characters that
0x000E through 0x001B,	are not whitespace
and 0x007F through 0x009F
0x200C through 0x200F	join controls
0x200A through 0x200E	bidirectional controls
0x206A through 0x206F	format controls
0xFEFF	zero-width no-break space
Parameters:

ch - the character to be tested.

Returns:

true if the character may be part of a Unicode identifier; false otherwise.

See Also:

isJavaIdentifierPart, isUnicodeIdentifierPart

 isISOControl

 public static boolean isISOControl(char ch)

Determines if the specified character is an ISO control character. A character is considered to be an ISO control character if its code is in the range \u0000 through \u001F or in the range \u007F through \u009F.

Parameters:

ch - the character to be tested.

Returns:

true if the character is an ISO control character; false otherwise.

See Also:

isSpaceChar, isWhitespace

 isJavaIdentifierPart

 public static boolean isJavaIdentifierPart(char ch)

Determines if the specified character may be part of a Java identifier as other than the first character. A character may be part of a Java identifier if and only if it is one of the following:

•	a letter

•	a currency symbol (such as "$")

•	a connecting punctuation character (such as "_").

•	a digit

•	a numeric letter (such as a Roman numeral character)

•	a combining mark

•	a non-spacing mark

•	an ignorable control character

Parameters:

ch - the character to be tested.

Returns:

true if the character may be part of a Unicode identifier; false otherwise.

See Also:

isIdentifierIgnorable, isJavaIdentifierStart, isLetterOrDigit, isUnicodeIdentifierPart

 isJavaIdentifierStart

 public static boolean isJavaIdentifierStart(char ch)

Determines if the specified character is permissible as the first character in a Java identifier. A character may start a Java identifier if and only if it is one of the following:

•	a letter

•	a currency symbol (such as "$")

•	a connecting punctuation character (such as "_").

Parameters:

ch - the character to be tested.

Returns:

true if the character may start a Java identifier; false otherwise.

See Also:

isJavaIdentifierPart, isLetter, isUnicodeIdentifierStart

 isJavaLetter

 public static boolean isJavaLetter(char ch)

Note: isJavaLetter() is deprecated. Replaced by isJavaIdentifierStart(char).

Determines if the specified character is a "Java" letter, that is, the character is permissible as the first character in an identifier in the Java language.

A character is considered to be a Java letter if and only if it is a letter, the ASCII dollar sign character '$', or the underscore character '_'.

Parameters:

ch - the character to be tested.

Returns:

true if the character is a Java letter; false otherwise.

See Also:

isJavaIdentifierStart, isJavaLetterOrDigit, isLetter, isLetterOrDigit, isUnicodeIdentifierStart

 isJavaLetterOrDigit

 public static boolean isJavaLetterOrDigit(char ch)

Note: isJavaLetterOrDigit() is deprecated. Replaced by isJavaIdentifierPart(char).

Determines if the specified character is a "Java" letter or digit, that is, the character is permissible as a non-initial character in an identifier in the Java language.

A character is considered to be a Java letter or digit if and only if it is a letter, a digit, the ASCII dollar sign character '$', or the underscore character '_'.

Parameters:

ch - the character to be tested.

Returns:

true if the character is a Java letter or digit; false otherwise.

See Also:

isJavaIdentifierPart, isJavaLetter, isLetter, isLetterOrDigit, isUnicodeIdentifierPart

 isLetter

 public static boolean isLetter(char ch)

Determines if the specified character is a letter. For a more complete specification that encompasses all Unicode characters, see Gosling, Joy, and Steele, The Java Language Specification.

A character is considered to be a letter if and only if it is specified to be a letter by the Unicode 2.0 standard (category "Lu", "Ll", "Lt", "Lm", or "Lo" in the Unicode specification data file).

Note that most ideographic characters are considered to be letters (category "Lo") for this purpose.

Note also that not all letters have case: many Unicode characters are letters but are neither uppercase nor lowercase nor titlecase.

Parameters:

ch - the character to be tested.

Returns:

true if the character is a letter; false otherwise.

See Also:

isDigit, isJavaIdentifierStart, isJavaLetter, isJavaLetterOrDigit, isLetterOrDigit, isLowerCase, isTitleCase, isUnicodeIdentifierStart, isUpperCase

 isLetterOrDigit

 public static boolean isLetterOrDigit(char ch)

Determines if the specified character is a letter or digit. For a more complete specification that encompasses all Unicode characters, see Gosling, Joy, and Steele, The Java Language Specification.

A character is considered to be a letter if and only if it is specified to be a letter or a digit by the Unicode 2.0 standard (category "Lu", "Ll", "Lt", "Lm", "Lo", or "Nd" in the Unicode specification data file). In other words, isLetterOrDigit is true of a character if and only if either isLetter is true of the character or isDigit is true of the character.

Parameters:

ch - the character to be tested.

Returns:

true if the character is a letter or digit; false otherwise.

See Also:

isDigit, isJavaIdentifierPart, isJavaLetter, isJavaLetterOrDigit, isLetter, isUnicodeIdentifierPart

 isLowerCase

 public static boolean isLowerCase(char ch)

Determines if the specified character is a lowercase character. A character is lowercase if it is not in the range '\u2000' through '\u2FFF', the Unicode attribute table does not specify a mapping to lowercase for the character, and at least one of the following is true:

•	The attribute table specifies a mapping to uppercase for the character.

•	The name for the character contains the words "SMALL LETTER".

•	The name for the character contains the words "SMALL LIGATURE".

A character is considered to be lowercase if and only if it is specified to be lowercase by the Unicode 2.0 standard (category "Ll" in the Unicode specification data file).

Of the ISO-LATIN-1 characters (character codes 0x0000 through 0x00FF), the following are lowercase:

 a b c d e f g h i j k l m n o p q r s t u v w x y z
 \u00DF \u00E0 \u00E1 \u00E2 \u00E3 \u00E4 \u00E5 \u00E6 \u00E7
 \u00E8 \u00E9 \u00EA \u00EB \u00EC \u00ED \u00EE \u00EF \u00F0
 \u00F1 \u00F2 \u00F3 \u00F4 \u00F5 \u00F6 \u00F8 \u00F9 \u00FA
 \u00FB \u00FC \u00FD \u00FE \u00FF

Many other Unicode characters are lowercase, too.

Parameters:

ch - the character to be tested.

Returns:

true if the character is lowercase; false otherwise.

See Also:

isLowerCase, isTitleCase, toLowerCase

 isSpace

 public static boolean isSpace(char ch)

Note: isSpace() is deprecated. Replaced by isWhitespace(char).

Determines if the specified character is ISO-LATIN-1 white space. This method returns true for the following five characters only:

'\t'	\u0009	HORIZONTAL TABULATION
'\n'	\u000A	NEW LINE
'\f'	\u000C	FORM FEED
'\r'	\u000D	CARRIAGE RETURN
'  '	\u0020	SPACE
Parameters:

ch - the character to be tested.

Returns:

true if the character is ISO-LATIN-1 white space; false otherwise.

See Also:

isSpaceChar, isWhitespace

 isSpaceChar

 public static boolean isSpaceChar(char ch)

Determines if the specified character is a Unicode space character. A character is considered to be a space character if and only if it is specified to be a space character by the Unicode 2.0 standard (category "Zs", "Zl, or "Zp" in the Unicode specification data file).

Parameters:

ch - the character to be tested.

Returns:

true if the character is a space character; false otherwise.

See Also:

isWhitespace

 isTitleCase

 public static boolean isTitleCase(char ch)

Determines if the specified character is a titlecase character. A character is considered to be titlecase if and only if it is specified to be titlecase by the Unicode 2.0 standard (category "Lt" in the Unicode specification data file).

The printed representations of four Unicode characters look like pairs of Latin letters. For example, there is an uppercase letter that looks like "LJ" and has a corresponding lowercase letter that looks like "lj". A third form, which looks like "Lj", is the appropriate form to use when rendering a word in lowercase with initial capitals, as for a book title.

These are the Unicode characters for which this method returns true:

•	LATIN CAPITAL LETTER D WITH SMALL LETTER Z WITH CARON

•	LATIN CAPITAL LETTER L WITH SMALL LETTER J

•	LATIN CAPITAL LETTER N WITH SMALL LETTER J

•	LATIN CAPITAL LETTER D WITH SMALL LETTER Z

Parameters:

ch - the character to be tested.

Returns:

true if the character is titlecase; false otherwise.

See Also:

isLowerCase, isUpperCase, toTitleCase

 isUnicodeIdentifierPart

 public static boolean isUnicodeIdentifierPart(char ch)

Determines if the specified character may be part of a Unicode identifier as other than the first character. A character may be part of a Unicode identifier if and only if it is one of the following:

•	a letter

•	a connecting punctuation character (such as "_").

•	a digit

•	a numeric letter (such as a Roman numeral character)

•	a combining mark

•	a non-spacing mark

•	an ignorable control character

Parameters:

ch - the character to be tested.

Returns:

true if the character may be part of a Unicode identifier; false otherwise.

See Also:

isIdentifierIgnorable, isJavaIdentifierPart, isLetterOrDigit, isUnicodeIdentifierStart

 isUnicodeIdentifierStart

 public static boolean isUnicodeIdentifierStart(char ch)

Determines if the specified character is permissible as the first character in a Unicode identifier. A character may start a Unicode identifier if and only if it is a letter.

Parameters:

ch - the character to be tested.

Returns:

true if the character may start a Unicode identifier; false otherwise.

See Also:

isJavaIdentifierStart, isLetter, isUnicodeIdentifierPart

 isUpperCase

 public static boolean isUpperCase(char ch)

Determines if the specified character is an uppercase character. A character is uppercase if it is not in the range '\u2000' through '\u2FFF', the Unicode attribute table does not specify a mapping to uppercase for the character, and at least one of the following is true:

•	The attribute table specifies a mapping to lowercase for the character.

•	The name for the character contains the words "CAPITAL LETTER".

•	The name for the character contains the words "CAPITAL LIGATURE".

Of the ISO-LATIN-1 characters (character codes 0x0000 through 0x00FF), the following are uppercase:

 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z
 \u00C0 \u00C1 \u00C2 \u00C3 \u00C4 \u00C5 \u00C6 \u00C7
 \u00C8 \u00C9 \u00CA \u00CB \u00CC \u00CD \u00CE \u00CF \u00D0
 \u00D1 \u00D2 \u00D3 \u00D4 \u00D5 \u00D6 \u00D8 \u00D9 \u00DA
 \u00DB \u00DC \u00DD \u00DE

Many other Unicode characters are uppercase, too.

Parameters:

ch - the character to be tested.

Returns:

true if the character is uppercase; false otherwise.

See Also:

isLowerCase, isTitleCase, toUpperCase

 isWhitespace

 public static boolean isWhitespace(char ch)

Determines if the specified character is white space according to Java. A character is considered to be a Java whitespace character if and only if it satisfies one of the following criteria:

•	It is a Unicode space separator (category "Zs"), but is not a no-break space (\u00A0 or \uFEFF).

•	It is a Unicode line separator (category "Zl").

•	It is a Unicode paragraph separator (category "Zp").

•	It is \u0009, HORIZONTAL TABULATION.

•	It is \u000A, LINE FEED.

•	It is \u000B, VERTICAL TABULATION.

•	It is \u000C, FORM FEED.

•	It is \u000D, CARRIAGE RETURN.

•	It is \u001C, FILE SEPARATOR.

•	It is \u001D, GROUP SEPARATOR.

•	It is \u001E, RECORD SEPARATOR.

•	It is \u001F, UNIT SEPARATOR.

Parameters:

ch - the character to be tested.

Returns:

true if the character is a Java whitespace character; false otherwise.

See Also:

isSpaceChar

 toLowerCase

 public static char toLowerCase(char ch)

The given character is mapped to its lowercase equivalent; if the character has no lowercase equivalent, the character itself is returned.

A character has a lowercase equivalent if and only if a lowercase mapping is specified for the character in the Unicode attribute table.

Note that some Unicode characters in the range '\u2000' to '\u2FFF' have lowercase mappings; this method does map such characters to their lowercase equivalents even though the method isUpperCase does not return true for such characters.

Parameters:

ch - the character to be converted.

Returns:

the lowercase equivalent of the character, if any; otherwise the character itself.

See Also:

isLowerCase, isUpperCase, toTitleCase, toUpperCase

 toString

 public String toString()

Returns a String object representing this character's value. Converts this Character object to a string. The result is a string whose length is 1. The string's sole component is the primitive char value represented by this object.

Returns:

a string representation of this object.

Overrides:

toString in class Object

 toTitleCase

 public static char toTitleCase(char ch)

Converts the character argument to titlecase. A character has a titlecase equivalent if and only if a titlecase mapping is specified for the character in the Unicode attribute table.

Note that some Unicode characters in the range '\u2000' through '\u2FFF' have titlecase mappings; this method does map such characters to their titlecase equivalents even though the method isTitleCase does not return true for such characters.

There are only four Unicode characters that are truly titlecase forms that are distinct from uppercase forms. As a rule, if a character has no true titlecase equivalent but does have an uppercase mapping, then the Unicode 2.0 attribute table specifies a titlecase mapping that is the same as the uppercase mapping.

Parameters:

ch - the character to be converted.

Returns:

the titlecase equivalent of the character, if any; otherwise the character itself.

See Also:

isTitleCase, toLowerCase, toUpperCase

 toUpperCase

 public static char toUpperCase(char ch)

Converts the character argument to uppercase. A character has an uppercase equivalent if and only if an uppercase mapping is specified for the character in the Unicode attribute table.

Note that some Unicode characters in the range '\u2000' to '\u2000FFF' have uppercase mappings; this method does map such characters to their titlecase equivalents even though the method isLowerCase does not return true for such characters.

Parameters:

ch - the character to be converted.

Returns:

the uppercase equivalent of the character, if any; otherwise the character itself.

See Also:

isLowerCase, isUpperCase, toLowerCase, toTitleCase


 Class java.lang.Class

java.lang.Object
   |
   +----java.lang.Class

public final class Class
   extends Object
   implements Serializable

Instances of the class Class represent classes and interfaces in a running Java application. Every array also belongs to a class that is reflected as a Class object that is shared by all arrays with the same element type and number of dimensions. Finally, the either primitive Java types (boolean, byte, char, short, int, long, float, and double) and the keyword void are also represented as Class objects.

There is no public constructor for the class Class. Class objects are constructed automatically by the Java Virtual Machine as classes are loaded and by calls to the defineClass method in the class loader.

The following example uses a Class object to print the Class name of an object:

     void printClassName(Object obj) {
         System.out.println("The class of " + obj +
                            " is " + obj.getClass().getName());
     }

     See Also:
     defineClass

 forName(String)

Returns the Class object associated with the class with the given string name.

 getClasses()

Returns an array containing Class objects representing all the public classes and interfaces that are members of the class represented by this Class object.

 getClassLoader()

Determines the class loader for the class.

 getComponentType()

If this class represents an array type, returns the Class object representing the component type of the array; otherwise returns null.

 getConstructor(Class[])

Returns a Constructor object that reflects the specified public constructor of the class represented by this Class object.

 getConstructors()

Returns an array containing Constructor objects reflecting all the public constructors of the class represented by this Class object.

 getDeclaredClasses()

Returns an array of Class objects reflecting all the classes and interfaces declared as members of the class represented by this Class object.

 getDeclaredConstructor(Class[])

Returns a Constructor object that reflects the specified declared constructor of the class or interface represented by this Class object.

 getDeclaredConstructors()

Returns an array of Constructor objects reflecting all the constructors declared by the class represented by this Class object.

 getDeclaredField(String)

Returns a Field object that reflects the specified declared field of the class or interface represented by this Class object.

 getDeclaredFields()

Returns an array of Field objects reflecting all the fields declared by the class or interface represented by this Class object.

 getDeclaredMethod(String, Class[])

Returns a Method object that reflects the specified declared method of the class or interface represented by this Class object.

 getDeclaredMethods()

Returns an array of Method objects reflecting all the methods declared by the class or interface represented by this Class object.

 getDeclaringClass()

If the class or interface represented by this Class object is a member of another class, returns the Class object representing the class of which it is a member (its declaring class).

 getField(String)

Returns a Field object that reflects the specified public member field of the class or interface represented by this Class object.

 getFields()

Returns an array containing Field objects reflecting all the accessible public fields of the class or interface represented by this Class object.

 getInterfaces()

Determines the interfaces implemented by the class or interface represented by this object.

 getMethod(String, Class[])

Returns a Method object that reflects the specified public member method of the class or interface represented by this Class object.

 getMethods()

Returns an array containing Method objects reflecting all the public member methods of the class or interface represented by this Class object, including those declared by the class or interface and and those inherited from superclasses and superinterfaces.

 getModifiers()

Returns the Java language modifiers for this class or interface, encoded in an integer.

 getName()

Returns the fully-qualified name of the type (class, interface, array, or primitive) represented by this Class object, as a String.

 getResource(String)

Finds a resource with the specified name.

 getResourceAsStream(String)

Finds a resource with a given name.

 getSigners()

Get the signers of this class.

 getSuperclass()

If this object represents any class other than the class Object, then the object that represents the superclass of that class is returned.

 isArray()

If this Class object represents an array type, returns true, otherwise returns false.

 isAssignableFrom(Class)

Determines if the class or interface represented by this Class object is either the same as, or is a superclass or superinterface of, the class or interface represented by the specified Class parameter.

 isInstance(Object)

This method is the dynamic equivalent of the Java language instanceof operator.

 isInterface()

Determines if the specified Class object represents an interface type.

 isPrimitive()

Determines if the specified Class object represents a primitive Java type.

 newInstance()

Creates a new instance of a class.

 toString()

Converts the object to a string.

 forName

 public static native Class forName(String className) throws ClassNotFoundException

Returns the Class object associated with the class with the given string name. Given the fully-qualified name for a class or interface, this method attempts to locate, load and link the class. If it succeeds, returns the Class object representing the class. If it fails, the method throws a ClassNotFoundException.

For example, the following code fragment returns the runtime Class descriptor for the class named java.lang.Thread: Class t = Class.forName("java.lang.Thread")

Parameters:

className - the fully qualified name of the desired class.

Returns:

the Class descriptor for the class with the specified name.

Throws: ClassNotFoundException

if the class could not be found.

 getClasses

 public Class[] getClasses()

Returns an array containing Class objects representing all the public classes and interfaces that are members of the class represented by this Class object. This includes public class and interface members inherited from superclasses and public class and interface members declared by the class. Returns an array of length 0 if the class has no public member classes or interfaces, or if this Class object represents a primitive type.

 getClassLoader

 public native ClassLoader getClassLoader()

Determines the class loader for the class.

Returns:

the class loader that created the class or interface represented by this object, or null if the class was not created by a class loader.

See Also:

ClassLoader

 getComponentType

 public native Class getComponentType()

If this class represents an array type, returns the Class object representing the component type of the array; otherwise returns null.

See Also:

Array

 getConstructor

 public Constructor getConstructor(Class parameterTypes[]) throws NoSuchMethodException, SecurityException

Returns a Constructor object that reflects the specified public constructor of the class represented by this Class object. The parameterTypes parameter is an array of Class objects that identify the constructor's formal parameter types, in declared order.

The constructor to reflect is located by searching all the constructors of the class represented by this Class object for a public constructor with the exactly the same formal parameter types.

Throws: NoSuchMethodException

if a matching method is not found.

Throws: SecurityException

if access to the information is denied.

See Also:

Constructor

 getConstructors

 public Constructor[] getConstructors() throws SecurityException

Returns an array containing Constructor objects reflecting all the public constructors of the class represented by this Class object. An array of length 0 is returned if the class has no public constructors.

Throws: SecurityException

if access to the information is denied.

See Also:

Constructor

 getDeclaredClasses

 public Class[] getDeclaredClasses() throws SecurityException

Returns an array of Class objects reflecting all the classes and interfaces declared as members of the class represented by this Class object. This includes public, protected, default (package) access, and private classes and interfaces declared by the class, but excludes inherited classes and interfaces. Returns an array of length 0 if the class declares no classes or interfaces as members, or if this Class object represents a primitive type.

Throws: SecurityException

if access to the information is denied.

 getDeclaredConstructor

 public Constructor getDeclaredConstructor(Class parameterTypes[]) throws NoSuchMethodException, SecurityException

Returns a Constructor object that reflects the specified declared constructor of the class or interface represented by this Class object. The parameterTypes parameter is an array of Class objects that identify the constructor's formal parameter types, in declared order.

Throws: NoSuchMethodException

if a matching method is not found.

Throws: SecurityException

if access to the information is denied.

See Also:

Constructor

 getDeclaredConstructors

 public Constructor[] getDeclaredConstructors() throws SecurityException

Returns an array of Constructor objects reflecting all the constructors declared by the class represented by this Class object. These are public, protected, default (package) access, and private constructors. Returns an array of length 0 if this Class object represents an interface or a primitive type.

See The Java Language Specification, section 8.2.

Throws: SecurityException

if access to the information is denied.

See Also:

Constructor

 getDeclaredField

 public Field getDeclaredField(String name) throws NoSuchFieldException, SecurityException

Returns a Field object that reflects the specified declared field of the class or interface represented by this Class object. The name parameter is a String that specifies the simple name of the desired field.

Throws: NoSuchFieldException

if a field with the specified name is not found.

Throws: SecurityException

if access to the information is denied.

See Also:

Field

 getDeclaredFields

 public Field[] getDeclaredFields() throws SecurityException

Returns an array of Field objects reflecting all the fields declared by the class or interface represented by this Class object. This includes public, protected, default (package) access, and private fields, but excludes inherited fields. Returns an array of length 0 if the class or interface declares no fields, or if this Class object represents a primitive type. See The Java Language Specification, sections 8.2 and 8.3.

Throws: SecurityException

if access to the information is denied.

See Also:

Field

 getDeclaredMethod

 public Method getDeclaredMethod(String name,
                                 Class parameterTypes[]) throws NoSuchMethodException, SecurityException

Returns a Method object that reflects the specified declared method of the class or interface represented by this Class object. The name parameter is a String that specifies the simple name of the desired method, and the parameterTypes parameter is an array of Class objects that identify the method's formal parameter types, in declared order.

Throws: NoSuchMethodException

if a matching method is not found.

Throws: SecurityException

if access to the information is denied.

See Also:

Method

 getDeclaredMethods

 public Method[] getDeclaredMethods() throws SecurityException

Returns an array of Method objects reflecting all the methods declared by the class or interface represented by this Class object. This includes public, protected, default (package) access, and private methods, but excludes inherited methods. Returns an array of length 0 if the class or interface declares no methods, or if this Class object represents a primitive type.

See The Java Language Specification, section 8.2.

Throws: SecurityException

if access to the information is denied.

See Also:

Method

 getDeclaringClass

 public Class getDeclaringClass()

If the class or interface represented by this Class object is a member of another class, returns the Class object representing the class of which it is a member (its declaring class). Returns null if this class or interface is not a member of any other class.

 getField

 public Field getField(String name) throws NoSuchFieldException, SecurityException

Returns a Field object that reflects the specified public member field of the class or interface represented by this Class object. The name parameter is a String specifying the simple name of the desired field.

The field to be reflected is located by searching all the member fields of the class or interface represented by this Class object for a public field with the specified name.

See The Java Language Specification, sections 8.2 and 8.3.

Throws: NoSuchFieldException

if a field with the specified name is not found.

Throws: SecurityException

if access to the information is denied.

See Also:

Field

 getFields

 public Field[] getFields() throws SecurityException

Returns an array containing Field objects reflecting all the accessible public fields of the class or interface represented by this Class object. Returns an array of length 0 if the class or interface has no accessible public fields, or if it represents an array type or a primitive type.

Specifically, if this Class object represents a class, returns the public fields of this class and of all its superclasses. If this Class object represents an interface, returns the fields of this interface and of all its superinterfaces. If this Class object represents an array type or a primitive type, returns an array of length 0.

The implicit length field for array types is not reflected by this method. User code should use the methods of class Array to manipulate arrays.

See The Java Language Specification, sections 8.2 and 8.3.

Throws: SecurityException

if access to the information is denied.

See Also:

Field

 getInterfaces

 public native Class[] getInterfaces()

Determines the interfaces implemented by the class or interface represented by this object.

If this object represents a class, the return value is an array containing objects representing all interfaces implemented by the class. The order of the interface objects in the array corresponds to the order of the interface names in the implements clause of the declaration of the class represented by this object.

If this object represents an interface, the array contains objects representing all interfaces extended by the interface. The order of the interface objects in the array corresponds to the order of the interface names in the extends clause of the declaration of the interface represented by this object.

If the class or interface implements no interfaces, the method returns an array of length 0.

Returns:

an array of interfaces implemented by this class.

 getMethod

 public Method getMethod(String name,
                         Class parameterTypes[]) throws NoSuchMethodException, SecurityException

Returns a Method object that reflects the specified public member method of the class or interface represented by this Class object. The name parameter is a String specifying the simple name the desired method, and the parameterTypes parameter is an array of Class objects that identify the method's formal parameter types, in declared order.

The method to reflect is located by searching all the member methods of the class or interface represented by this Class object for a public method with the specified name and exactly the same formal parameter types.

See The Java Language Specification, sections 8.2 and 8.4.

Throws: NoSuchMethodException

if a matching method is not found.

Throws: SecurityException

if access to the information is denied.

See Also:

Method

 getMethods

 public Method[] getMethods() throws SecurityException

Returns an array containing Method objects reflecting all the public member methods of the class or interface represented by this Class object, including those declared by the class or interface and and those inherited from superclasses and superinterfaces. Returns an array of length 0 if the class or interface has no public member methods.

See The Java Language Specification, sections 8.2 and 8.4.

Throws: SecurityException

if access to the information is denied.

See Also:

Method

 getModifiers

 public native int getModifiers()

Returns the Java language modifiers for this class or interface, encoded in an integer. The modifiers consist of the Java Virtual Machine's constants for public, protected, private, final, and interface; they should be decoded using the methods of class Modifier.

The modifier encodings are defined in The Java Virtual
 Machine Specification, table 4.1.

See Also:

Modifier

 getName

 public native String getName()

Returns the fully-qualified name of the type (class, interface, array, or primitive) represented by this Class object, as a String.

Returns:

the fully qualified name of the class or interface represented by this object.

 getResource

 public URL getResource(String name)

Finds a resource with the specified name. The rules for searching for resources associated with a given class are implemented by the class loader of the class.

The Class methods delegate to ClassLoader methods, after applying a naming convention: if the resource name starts with "/", it is used as is. Otherwise, the name of the package is prepended, after converting "." to "/".

Parameters:

name - the string representing the resource to be found.

Returns:

the URL object having the specified name, or null if no resource with the specified name is found.

See Also:

ClassLoader, getResourceAsStream

 getResourceAsStream

 public InputStream getResourceAsStream(String name)

Finds a resource with a given name. Will return null if no resource with this name is found. The rules for searching a resources associated with a given class are implemented by the ClassLoader of the class.

The Class methods delegate to ClassLoader methods, after applying a naming convention: if the resource name starts with "/", it is used as is. Otherwise, the name of the package is prepended, after converting "." to "/".

Parameters:

name - the string representing the resource to be found

Returns:

the InputStream object having the specified name, or null if no resource with the specified name is found.

See Also:

ClassLoader, getResource

 getSigners

 public native Object[] getSigners()

Get the signers of this class.

 getSuperclass

 public native Class getSuperclass()

If this object represents any class other than the class Object, then the object that represents the superclass of that class is returned.

If this object is the one that represents the class Object or this object represents an interface, null is returned.

Returns:

the superclass of the class represented by this object.

 isArray

 public native boolean isArray()

If this Class object represents an array type, returns true, otherwise returns false.

 isAssignableFrom

 public native boolean isAssignableFrom(Class cls)

Determines if the class or interface represented by this Class object is either the same as, or is a superclass or superinterface of, the class or interface represented by the specified Class parameter. It returns true if so, false otherwise. If this Class object represents a primitive type, returns true if the specified Class parameter is exactly this Class object, false otherwise.

Specifically, this method tests whether the type represented by the specified Class parameter can be converted to the type represented by this Class object via an identity conversion or via a widening reference conversion. See The Java Language
 Specification, sections 5.1.1 and 5.1.4 , for details.

Throws: NullPointerException

if the specified Class parameter is null.

 isInstance

 public native boolean isInstance(Object obj)

This method is the dynamic equivalent of the Java language instanceof operator. The method returns true if the specified Object argument is non-null and can be cast to the reference type represented by this Class object without raising a ClassCastException. It returns false otherwise.

Specifically, if this Class object represents a declared class, returns true if the specified Object argument is an instance of the represented class (or of any of its subclasses); false otherwise. If this Class object represents an array class, returns true if the specified Object argument can be converted to an object of the array type by an identity conversion or by a widening reference conversion; false otherwise. If this Class object represents an interface, returns true if the class or any superclass of the specified Object argument implements this interface; false otherwise. If this Class object represents a primitive type, returns false.

Parameters:

obj - The object to check

 isInterface

 public native boolean isInterface()

Determines if the specified Class object represents an interface type.

Returns:

true if this object represents an interface; false otherwise.

 isPrimitive

 public native boolean isPrimitive()

Determines if the specified Class object represents a primitive Java type.

There are nine predefined Class objects to represent the eight primitive Java types and void. These are created by the Java Virtual Machine, and have the same names as the primitive types that they represent, namely boolean, byte, char, short, int, long, float, and double, and void.

These objects may only be accessed via the following public static final variables, and are the only Class objects for which this method returns true.

See Also:

TYPE, TYPE, TYPE, TYPE, TYPE, TYPE, TYPE, TYPE, TYPE

 newInstance

 public native Object newInstance() throws InstantiationException, IllegalAccessException

Creates a new instance of a class.

Returns:

a newly allocated instance of the class represented by this object. This is done exactly as if by a new expression with an empty argument list.

Throws: IllegalAccessException

if the class or initializer is not accessible.

Throws: InstantiationException

if an application tries to instantiate an abstract class or an interface, or if the instantiation fails for some other reason.

 toString

 public String toString()

Converts the object to a string. The string representation is the string "class" or "interface" followed by a space and then the fully qualified name of the class. If this Class object represents a primitive type, returns the name of the primitive type.

Returns:

a string representation of this class object.

Overrides:

toString in class Object


 Class java.lang.ClassLoader

java.lang.Object
   |
   +----java.lang.ClassLoader

public abstract class ClassLoader
   extends Object

The class ClassLoader is an abstract class. Applications implement subclasses of ClassLoader in order to extend the manner in which the Java Virtual Machine dynamically loads classes.

Normally, the Java Virtual Machine loads classes from the local file system in a platform-dependent manner. For example, on UNIX systems, the Virtual Machine loads classes from the directory defined by the CLASSPATH environment variable.

However, some classes may not originate from a file; they may originate from other sources, such as the network, or they could be constructed by an application. The method defineClass converts an array of bytes into an instance of class Class. Instances of this newly defined class can be created using the newInstance method in class Class.

The methods and constructors of objects created by a class loader may reference other classes. To determine the class(es) referred to, the Java Virtual Machine calls the loadClass method of the class loader that originally created the class. If the Java Virtual Machine only needs to determine if the class exists and if it does exist to know its superclass, the resolve flag is set to false. However, if an instance of the class is being created or any of its methods are being called, the class must also be resolved. In this case the resolve flag is set to true, and the resolveClass method should be called.

For example, an application could create a network class loader to download class files from a server. Sample code might look like:

ClassLoader loader = new NetworkClassLoader(host, port);

Object main = loader.loadClass("Main", true).newInstance();

 . . .

The network class loader subclass must define the method loadClass to load a class from the network. Once it has downloaded the bytes that make up the class, it should use the method defineClass to create a class instance. A sample implementation is:

     class NetworkClassLoader {
         String host;
         int port;
         Hashtable cache = new Hashtable();
         private byte loadClassData(String name)[] {
         // load the class data from the connection
          . . .
         }
         public synchronized Class loadClass(String name,
                                             boolean resolve) {
             Class c = cache.get(name);
             if (c == null) {
                 byte data[] = loadClassData(name);
                 c = defineClass(data, 0, data.length);
                 cache.put(name, c);
             }
             if (resolve)
                 resolveClass(c);
             return c;
         }
     }

     See Also:
     Class, newInstance, defineClass, loadClass, resolveClass

 ClassLoader()

Constructs a new class loader and initializes it.

 defineClass(byte[], int, int)

Converts an array of bytes into an instance of class Class. Deprecated.

 defineClass(String, byte[], int, int)

Converts an array of bytes to an instance of class Class.

 findLoadedClass(String)

 findSystemClass(String)

Finds the system class with the specified name, loading it in if necessary.

 getResource(String)

Find a resource with a given name.

 getResourceAsStream(String)

Get an InputStream on a given resource.

 getSystemResource(String)

Find a resource with a given name.

 getSystemResourceAsStream(String)

Get an InputStream on a given resource..

 loadClass(String)

Requests the class loader to load and resolve a class with the specified name.

 loadClass(String, boolean)

Resolves the specified name to a Class.

 resolveClass(Class)

Resolves the class so that an instance of the class can be created, or so that one of its methods can be called.

 setSigners(Class, Object[])

Sets the signers of a class.

 ClassLoader

 protected ClassLoader()

Constructs a new class loader and initializes it.

If there is a security manager, its checkCreateClassLoader method is called. This may result in a security exception.

Throws: SecurityException

if the current thread does not have permission to create a new class loader.

See Also:

SecurityException, checkCreateClassLoader

 defineClass

 protected final Class defineClass(byte data[],
                                   int offset,
                                   int length)

Note: defineClass() is deprecated. Replaced by defineClass(java.lang.String, byte[], int, int).

Converts an array of bytes into an instance of class Class. Before the Class can be used it must be resolved. This method is deprecated in favor of the version that takes a "name" as a first argument, and is more secure.

Parameters:

data - the bytes that make up the Class.

offset - the start offset of the Class data.

length - the length of the Class data.

Returns:

the Class object that was created from the data.

Throws: ClassFormatError

if the data does not contain a valid Class.

See Also:

loadClass, resolveClass

 defineClass

 protected final Class defineClass(String name,
                                   byte data[],
                                   int offset,
                                   int length)

Converts an array of bytes to an instance of class Class. Before the Class can be used it must be resolved.

Parameters:

name - the expected name of the class; null if unknown; using '.' and not '/' as separator, and without a trailing ".class" suffix.

data - the bytes that make up the Class.

offset - the start offset of the Class data.

length - the length of the Class data.

Returns:

the Class object that was created from the data.

Throws: ClassFormatError

if the data does not contain a valid Class.

See Also:

loadClass, resolveClass

 findLoadedClass

 protected final Class findLoadedClass(String name)

 findSystemClass

 protected final Class findSystemClass(String name) throws ClassNotFoundException

Finds the system class with the specified name, loading it in if necessary.

A system class is a class loaded from the local file system in a platform- dependent way. It has no class loader.

Parameters:

name - the name of the system class.

Returns:

a system class with the given name.

Throws: ClassNotFoundException

if it could not find a definition for the class.

Throws: NoClassDefFoundError

if the class is not found.

 getResource

 public URL getResource(String name)

Find a resource with a given name. The return is a URL to the resource. Doing a getContent() on the URL may return an Image, an AudioClip, or an InputStream.

The class loader can choose what to do to locate the resource.

Parameters:

name - the name of the resource, to be used as is.

Returns:

an InputStream on the resource, or null if not found.

 getResourceAsStream

 public InputStream getResourceAsStream(String name)

Get an InputStream on a given resource. Will return null if no resource with this name is found.

The class loader can choose what to do to locate the resource.

Parameters:

name - the name of the resource, to be used as is.

Returns:

an InputStream on the resource, or null if not found.

 getSystemResource

 public static final URL getSystemResource(String name)

Find a resource with a given name. The return is a URL to the resource Doing a getContent() on the URL may return an Image, an AudioClip, or an InputStream.

The resource name may be any system resource (e.g. follows CLASSPATH order).

Parameters:

name - the name of the resource, to be used as is.

Returns:

the URL on the resource, or null if not found.

 getSystemResourceAsStream

 public static final InputStream getSystemResourceAsStream(String name)

Get an InputStream on a given resource.. Will return null if no resource with this name is found.

The resource name may be any system resource (e.g. follows CLASSPATH order).

Parameters:

name - the name of the resource, to be used as is.

Returns:

an InputStream on the resource, or null if not found.

 loadClass

 public Class loadClass(String name) throws ClassNotFoundException

Requests the class loader to load and resolve a class with the specified name. The loadClass method is called by the Java Virtual Machine when a class loaded by a class loader first references another class. Every subclass of class ClassLoader must define this method.

Class loaders should use a hashtable or other cache to avoid defining classes with the same name multiple times.

Parameters:

name - the name of the desired Class.

Returns:

the resulting Class, or null if it was not found.

Throws: ClassNotFoundException

if the class loader cannot find a definition for the class.

 loadClass

 protected abstract Class loadClass(String name,
                                    boolean resolve) throws ClassNotFoundException

Resolves the specified name to a Class. The method loadClass() is called by the virtual machine.

If the resolve flag is true, the method should call the resolveClass method on the resulting class object.

As an abstract method, loadClass() must be defined in a subclass of ClassLoader. By using a Hashtable, you can avoid loading the same Class more than once.

Parameters:

name - the name of the desired Class.

resolve - true if the Class needs to be resolved.

Returns:

the resulting Class, or null if it was not found.

Throws: ClassNotFoundException

if the class loader cannot find a definition for the class.

See Also:

Hashtable

 resolveClass

 protected final void resolveClass(Class c)

Resolves the class so that an instance of the class can be created, or so that one of its methods can be called. This method should be called by loadClass if the resolve flag is true.

Parameters:

c - the Class instance to be resolved.

See Also:

defineClass

 setSigners

 protected final void setSigners(Class cl,
                                 Object signers[])

Sets the signers of a class. This is called after defining a class, by signature-aware class loading code.


 Class java.lang.Compiler

java.lang.Object
   |
   +----java.lang.Compiler

public final class Compiler
   extends Object

The Compiler class is provided to support Java-to-native-code compilers and related services. By design, the Compiler class does nothing; it serves as a placeholder for a JIT compiler implementation.

When the Java Virtual Machine first starts, it determines if the system property java.compiler exists. (System properties are accessible through getProperty and , a method defined by the System class.) If so, it is assumed to be the name of a library (with a platform-dependent exact location and type); the loadLibrary method in class System is called to load that library. If this loading succeeds, the function named java_lang_Compiler_start() in that library is called.

If no compiler is available, these methods do nothing.

     See Also:
     getProperty, getProperty, loadLibrary

 command(Object)

Examines the argument type and its fields and perform some documented operation.

 compileClass(Class)

Compiles the specified class.

 compileClasses(String)

Compiles all classes whose name matches the specified string.

 disable()

Cause the Compiler to cease operation.

 enable()

Cause the Compiler to resume operation.

 command

 public static native Object command(Object any)

Examines the argument type and its fields and perform some documented operation. No specific operations are required.

Parameters:

any - an argument.

Returns:

a compiler-specific value, or null if no compiler is available.

 compileClass

 public static native boolean compileClass(Class clazz)

Compiles the specified class.

Parameters:

clazz - a class.

Returns:

true if the compilation succeeded; false if the compilation failed or no compiler is available.

 compileClasses

 public static native boolean compileClasses(String string)

Compiles all classes whose name matches the specified string.

Parameters:

string - the name of the classes to compile.

Returns:

true if the compilation succeeded; false if the compilation failed or no compiler is available.

 disable

 public static native void disable()

Cause the Compiler to cease operation.

 enable

 public static native void enable()

Cause the Compiler to resume operation.


 Class java.lang.Double

java.lang.Object
   |
   +----java.lang.Number
           |
           +----java.lang.Double

public final class Double
   extends Number

The Double class wraps a value of the primitive type double in an object. An object of type Double contains a single field whose type is double.

In addition, this class provides several methods for converting a double to a String and a String to a double, as well as other constants and methods useful when dealing with a double.

 MAX_VALUE

The largest positive value of type double.

 MIN_VALUE

The smallest positive value of type double.

 NaN

A NaN value of type double.

 NEGATIVE_INFINITY

The negative infinity of type double.

 POSITIVE_INFINITY

The positive infinity of type double.

 TYPE

The Class object representing the primitive type double.

 Double(double)

Constructs a newly allocated Double object that represents the primitive double argument.

 Double(String)

Constructs a newly allocated Double object that represents the floating- point value of type double represented by the string.

 byteValue()

Returns the value of this Double as a byte (by casting to a byte).

 doubleToLongBits(double)

Returns a representation of the specified floating-point value according to the IEEE 754 floating-point "double format" bit layout.

 doubleValue()

Returns the double value of this Double.

 equals(Object)

Compares this object against the specified object.

 floatValue()

Returns the float value of this Double.

 hashCode()

Returns a hashcode for this Double.

 intValue()

Returns the integer value of this Double (by casting to an int).

 isInfinite()

Returns true if this Double value is infinitely large in magnitude.

 isInfinite(double)

Returns true if the specified number is infinitely large in magnitude.

 isNaN()

Returns true if this Double value is the special Not-a-Number (NaN) value.

 isNaN(double)

Returns true if the specified number is the special Not-a-Number (NaN) value.

 longBitsToDouble(long)

Returns the double-float corresponding to a given bit represention.

 longValue()

Returns the long value of this Double (by casting to a long).

 shortValue()

Returns the value of this Double as a short (by casting to a short).

 toString()

Returns a String representation of this Double object.

 toString(double)

Creates a string representation of the double argument.

 valueOf(String)

Returns a new Double value initialized to the value represented by the specified String.

 MAX_VALUE

 public static final double MAX_VALUE

The largest positive value of type double.

 MIN_VALUE

 public static final double MIN_VALUE

The smallest positive value of type double.

 NaN

 public static final double NaN

A NaN value of type double.

 NEGATIVE_INFINITY

 public static final double NEGATIVE_INFINITY

The negative infinity of type double.

 POSITIVE_INFINITY

 public static final double POSITIVE_INFINITY

The positive infinity of type double.

 TYPE

 public static final Class TYPE

The Class object representing the primitive type double.

 Double

 public Double(double value)

Constructs a newly allocated Double object that represents the primitive double argument.

Parameters:

value - the value to be represented by the Double.

 Double

 public Double(String s) throws NumberFormatException

Constructs a newly allocated Double object that represents the floating- point value of type double represented by the string. The string is converted to a double value as if by the valueOf method.

Parameters:

s - a string to be converted to a Double.

Throws: NumberFormatException

if the string does not contain a parsable number.

See Also:

valueOf

 byteValue

 public byte byteValue()

Returns the value of this Double as a byte (by casting to a byte).

Overrides:

byteValue in class Number

 doubleToLongBits

 public static native long doubleToLongBits(double value)

Returns a representation of the specified floating-point value according to the IEEE 754 floating-point "double format" bit layout.

Bit 63 represents the sign of the floating-point number. Bits 62-52 represent the exponent. Bits 51-0 represent the significand (sometimes called the mantissa) of the floating-point number.

If the argument is positive infinity, the result is 0x7ff0000000000000L.

If the argument is negative infinity, the result is 0xfff0000000000000L.

If the argument is NaN, the result is 0x7ff8000000000000L.

Parameters:

value - a double precision floating-point number.

Returns:

the bits that represent the floating-point number.

 doubleValue

 public double doubleValue()

Returns the double value of this Double.

Returns:

the double value represented by this object.

Overrides:

doubleValue in class Number

 equals

 public boolean equals(Object obj)

Compares this object against the specified object. The result is true if and only if the argument is not null and is a Double object that represents a double that has the identical bit pattern to the bit pattern of the double represented by this object.

Note that in most cases, for two instances of class Double, d1 and d2, the value of d1.equals(d2) is true if and only if d1.doubleValue() == d2.doubleValue()

also has the value true. However, there are two exceptions:

•	If d1 and d2 both represent Double.NaN, then the equals method returns true, even though Double.NaN==Double.NaN has the value false.

•	If d1 represents +0.0 while d2 represents -0.0, or vice versa, the equal test has the value false, even though +0.0==-0.0 has the value true.

Parameters:

obj - the object to compare with.

Returns:

true if the objects are the same; false otherwise.

Overrides:

equals in class Object

 floatValue

 public float floatValue()

Returns the float value of this Double.

Returns:

the double value represented by this object is converted to type float and the result of the conversion is returned.

Overrides:

floatValue in class Number

 hashCode

 public int hashCode()

Returns a hashcode for this Double.

Returns:

a hash code value for this object.

Overrides:

hashCode in class Object

 intValue

 public int intValue()

Returns the integer value of this Double (by casting to an int).

Returns:

the double value represented by this object is converted to type int and the result of the conversion is returned.

Overrides:

intValue in class Number

 isInfinite

 public boolean isInfinite()

Returns true if this Double value is infinitely large in magnitude.

Returns:

true if the value represented by this object is positive infinity or negative infinity; false otherwise.

 isInfinite

 public static boolean isInfinite(double v)

Returns true if the specified number is infinitely large in magnitude.

Parameters:

v - the value to be tested.

Returns:

true if the value of the argument is positive infinity or negative infinity; false otherwise.

 isNaN

 public boolean isNaN()

Returns true if this Double value is the special Not-a-Number (NaN) value.

Returns:

true if the value represented by this object is NaN; false otherwise.

 isNaN

 public static boolean isNaN(double v)

Returns true if the specified number is the special Not-a-Number (NaN) value.

Parameters:

v - the value to be tested.

Returns:

true if the value of the argument is NaN; false otherwise.

 longBitsToDouble

 public static native double longBitsToDouble(long bits)

Returns the double-float corresponding to a given bit represention. The argument is considered to be a representation of a floating-point value according to the IEEE 754 floating-point "double precision" bit layout. That floating-point value is returned as the result.

If the argument is 0x7f80000000000000L, the result is positive infinity.

If the argument is 0xff80000000000000L, the result is negative infinity.

If the argument is any value in the range 0x7ff0000000000001L through 0x7fffffffffffffffL or in the range 0xfff0000000000001L through 0xffffffffffffffffL, the result is NaN. All IEEE 754 NaN values are, in effect, lumped together by the Java language into a single value.

Parameters:

bits - any long integer.

Returns:

the double floating-point value with the same bit pattern.

 longValue

 public long longValue()

Returns the long value of this Double (by casting to a long).

Returns:

the double value represented by this object is converted to type long and the result of the conversion is returned.

Overrides:

longValue in class Number

 shortValue

 public short shortValue()

Returns the value of this Double as a short (by casting to a short).

Overrides:

shortValue in class Number

 toString

 public String toString()

Returns a String representation of this Double object. The primitive double value represented by this object is converted to a string exactly as if by the method toString of one argument.

Returns:

a String representation of this object.

Overrides:

toString in class Object

See Also:

toString

 toString

 public static String toString(double d)

Creates a string representation of the double argument.

The values NaN, NEGATIVE_INFINITY, POSITIVE_INFINITY, -0.0, and +0.0 are represented by the strings "NaN", "-Infinity", "Infinity", "-0.0", and "0.0", respectively.

If d is in the range 10-3 <= |d| <=107, then it is converted to a string in the style [-]ddd.ddd. Otherwise, it is converted to a string in the style [-]m.ddddE±xx.

There is always a minimum of one digit after the decimal point. The number of digits is the minimum needed to uniquely distinguish the argument value from adjacent values of type double.

Parameters:

d - the double to be converted.

Returns:

a string representation of the argument.

 valueOf

 public static Double valueOf(String s) throws NumberFormatException

Returns a new Double value initialized to the value represented by the specified String.

Parameters:

s - the string to be parsed.

Returns:

a newly constructed Double initialized to the value represented by the string argument.

Throws: NumberFormatException

if the string does not contain a parsable number.


 Class java.lang.Float

java.lang.Object
   |
   +----java.lang.Number
           |
           +----java.lang.Float

public final class Float
   extends Number

The Float class wraps a value of primitive type float in an object. An object of type Float contains a single field whose type is float.

In addition, this class provides several methods for converting a float to a String and a String to a float, as well as other constants and methods useful when dealing with a float.

 MAX_VALUE

The largest positive value of type float.

 MIN_VALUE

The smallest positive value of type float.

 NaN

The NaN value of type float.

 NEGATIVE_INFINITY

The negative infinity of type float.

 POSITIVE_INFINITY

The positive infinity of type float.

 TYPE

The Class object representing the primitive type float.

 Float(double)

Constructs a newly allocated Floatobject that represents the argument converted to type float.

 Float(float)

Constructs a newly allocated Float object that represents the primitive float argument.

 Float(String)

Constructs a newly allocated Float object that represents the floating- point value of type float represented by the string.

 byteValue()

Returns the value of this Float as a byte (by casting to a byte).

 doubleValue()

Returns the double value of this Float.

 equals(Object)

Compares this object against some other object.

 floatToIntBits(float)

Returns the bit represention of a single-float value.

 floatValue()

Returns the float value of this Float object.

 hashCode()

Returns a hashcode for this Float.

 intBitsToFloat(int)

Returns the single-float corresponding to a given bit represention.

 intValue()

Returns the integer value of this Float (by casting to an int).

 isInfinite()

Returns true if this Float value is infinitely large in magnitude.

 isInfinite(float)

Returns true if the specified number is infinitely large in magnitude.

 isNaN()

Returns true if this Float value is Not-a-Number (NaN).

 isNaN(float)

Returns true if the specified number is the special Not-a-Number (NaN) value.

 longValue()

Returns the long value of this Float (by casting to a long).

 shortValue()

Returns the value of this Float as a short (by casting to a short).

 toString()

Returns a String representation of this Float object.

 toString(float)

Returns a String representation for the specified float value.

 valueOf(String)

Returns the floating point value represented by the specified String.

 MAX_VALUE

 public static final float MAX_VALUE

The largest positive value of type float.

 MIN_VALUE

 public static final float MIN_VALUE

The smallest positive value of type float.

 NaN

 public static final float NaN

The NaN value of type float.

 NEGATIVE_INFINITY

 public static final float NEGATIVE_INFINITY

The negative infinity of type float.

 POSITIVE_INFINITY

 public static final float POSITIVE_INFINITY

The positive infinity of type float.

 TYPE

 public static final Class TYPE

The Class object representing the primitive type float.

 Float

 public Float(double value)

Constructs a newly allocated Floatobject that represents the argument converted to type float.

Parameters:

value - the value to be represented by the Float.

 Float

 public Float(float value)

Constructs a newly allocated Float object that represents the primitive float argument.

Parameters:

value - the value to be represented by the Float.

 Float

 public Float(String s) throws NumberFormatException

Constructs a newly allocated Float object that represents the floating- point value of type float represented by the string. The string is converted to a float value as if by the valueOf method.

Parameters:

s - a string to be converted to a Float.

Throws: NumberFormatException

if the string does not contain a parsable number.

See Also:

valueOf

 byteValue

 public byte byteValue()

Returns the value of this Float as a byte (by casting to a byte).

Overrides:

byteValue in class Number

 doubleValue

 public double doubleValue()

Returns the double value of this Float.

Overrides:

doubleValue in class Number

 equals

 public boolean equals(Object obj)

Compares this object against some other object. The result is true if and only if the argument is not null and is a Float object that represents a float that has the identical bit pattern to the bit pattern of the float represented by this object.

Note that in most cases, for two instances of class Float, f1 and f2, the value of f1.equals(f2) is true if and only if f1.floatValue() == f2.floatValue()

also has the value true. However, there are two exceptions:

•	If f1 and f2 both represent Float.NaN, then the equals method returns true, even though Float.NaN==Float.NaN has the value false.

•	If f1 represents +0.0f while f2 represents -0.0f, or vice versa, the equal test has the value false, even though 0.0f==-0.0f has the value true.

Returns:

true if the objects are the same; false otherwise.

Overrides:

equals in class Object

See Also:

floatToIntBits

 floatToIntBits

 public static native int floatToIntBits(float value)

Returns the bit represention of a single-float value. The result is a representation of the floating-point argument according to the IEEE 754 floating-point "single precision" bit layout.

Bit 31 represents the sign of the floating-point number. Bits 30-23 represent the exponent. Bits 22-0 represent the significand (sometimes called the mantissa) of the floating-point number.

If the argument is positive infinity, the result is 0x7f800000.

If the argument is negative infinity, the result is 0xff800000.

If the argument is NaN, the result is 0x7fc00000.

Parameters:

value - a floating-point number.

Returns:

the bits that represent the floating-point number.

 floatValue

 public float floatValue()

Returns the float value of this Float object.

Returns:

the float value represented by this object.

Overrides:

floatValue in class Number

 hashCode

 public int hashCode()

Returns a hashcode for this Float.

Returns:

a hash code value for this object.

Overrides:

hashCode in class Object

 intBitsToFloat

 public static native float intBitsToFloat(int bits)

Returns the single-float corresponding to a given bit represention. The argument is considered to be a representation of a floating-point value according to the IEEE 754 floating-point "single precision" bit layout.

If the argument is 0x7f800000, the result is positive infinity.

If the argument is 0xff800000, the result is negative infinity.

If the argument is any value in the range 0x7f800001 through 0x7f8fffff or in the range 0xff800001 through 0xff8fffff, the result is NaN. All IEEE 754 NaN values are, in effect, lumped together by the Java language into a single value.

Parameters:

bits - an integer.

Returns:

the single-format floating-point value with the same bit pattern.

 intValue

 public int intValue()

Returns the integer value of this Float (by casting to an int).

Returns:

the float value represented by this object converted to type int and the result of the conversion is returned.

Overrides:

intValue in class Number

 isInfinite

 public boolean isInfinite()

Returns true if this Float value is infinitely large in magnitude.

Returns:

true if the value represented by this object is positive infinity or negative infinity; false otherwise.

 isInfinite

 public static boolean isInfinite(float v)

Returns true if the specified number is infinitely large in magnitude.

Parameters:

v - the value to be tested.

Returns:

true if the argument is positive infinity or negative infinity; false otherwise.

 isNaN

 public boolean isNaN()

Returns true if this Float value is Not-a-Number (NaN).

Returns:

true if the value represented by this object is NaN; false otherwise.

 isNaN

 public static boolean isNaN(float v)

Returns true if the specified number is the special Not-a-Number (NaN) value.

Parameters:

v - the value to be tested.

Returns:

true if the argument is NaN; false otherwise.

 longValue

 public long longValue()

Returns the long value of this Float (by casting to a long).

Returns:

the float value represented by this object is converted to type long and the result of the conversion is returned.

Overrides:

longValue in class Number

 shortValue

 public short shortValue()

Returns the value of this Float as a short (by casting to a short).

Overrides:

shortValue in class Number

 toString

 public String toString()

Returns a String representation of this Float object. The primitive float value represented by this object is converted to a String exactly as if by the method toString of one argument.

Returns:

a String representation of this object.

Overrides:

toString in class Object

See Also:

toString

 toString

 public static String toString(float f)

Returns a String representation for the specified float value.

The values NaN, NEGATIVE_INFINITY, POSITIVE_INFINITY, -0.0, and +0.0 are represented by the strings "NaN", "-Infinity", "Infinity", "-0.0", and "0.0", respectively.

If d is in the range 10-3 <= |d| <= 107, then it is converted to a String in the style [-]ddd.ddd. Otherwise, it is converted to a string in the style [-]m.ddddE±xx.

There is always a minimum of 1 digit after the decimal point. The number of digits is the minimum needed to uniquely distinguish the argument value from adjacent values of type float.

Parameters:

d - the float to be converted.

Returns:

a string representation of the argument.

 valueOf

 public static Float valueOf(String s) throws NumberFormatException

Returns the floating point value represented by the specified String.

Parameters:

s - the string to be parsed.

Returns:

a newly constructed Float initialized to the value represented by the String argument.

Throws: NumberFormatException

if the string does not contain a parsable number.


 Class java.lang.Integer

java.lang.Object
   |
   +----java.lang.Number
           |
           +----java.lang.Integer

public final class Integer
   extends Number

The Integer class wraps a value of the primitive type int in an object. An object of type Integer contains a single field whose type is int.

In addition, this class provides several methods for converting an int to a String and a String to an int, as well as other constants and methods useful when dealing with an int.

 MAX_VALUE

The largest value of type int.

 MIN_VALUE

The smallest value of type int.

 TYPE

The Class object representing the primitive type int.

 Integer(int)

Constructs a newly allocated Integer object that represents the primitive int argument.

 Integer(String)

Constructs a newly allocated Integer object that represents the value represented by the string.

 byteValue()

Returns the value of this Integer as a byte.

 decode(String)

Decodes a string into an Integer.

 doubleValue()

Returns the value of this Integer as a double.

 equals(Object)

Compares this object to the specified object.

 floatValue()

Returns the value of this Integer as a float.

 getInteger(String)

Determines the integer value of the system property with the specified name.

 getInteger(String, int)

Determines the integer value of the system property with the specified name.

 getInteger(String, Integer)

Determines the integer value of the system property with the specified name.

 hashCode()

Returns a hashcode for this Integer.

 intValue()

Returns the value of this Integer as an int.

 longValue()

Returns the value of this Integer as a long.

 parseInt(String)

Parses the string argument as a signed decimal integer.

 parseInt(String, int)

Parses the string argument as a signed integer in the radix specified by the second argument.

 shortValue()

Returns the value of this Integer as a short.

 toBinaryString(int)

Creates a string representation of the integer argument as an unsigned integer in base 2.

 toHexString(int)

Creates a string representation of the integer argument as an unsigned integer in base 16.

 toOctalString(int)

Creates a string representation of the integer argument as an unsigned integer in base 8.

 toString()

Returns a String object representing this Integer's value.

 toString(int)

Returns a new String object representing the specified integer.

 toString(int, int)

Creates a string representation of the first argument in the radix specified by the second argument.

 valueOf(String)

Returns a new Integer object initialized to the value of the specified String.

 valueOf(String, int)

Returns a new Integer object initialized to the value of the specified String.

 MAX_VALUE

 public static final int MAX_VALUE

The largest value of type int.

 MIN_VALUE

 public static final int MIN_VALUE

The smallest value of type int.

 TYPE

 public static final Class TYPE

The Class object representing the primitive type int.

 Integer

 public Integer(int value)

Constructs a newly allocated Integer object that represents the primitive int argument.

Parameters:

value - the value to be represented by the Integer.

 Integer

 public Integer(String s) throws NumberFormatException

Constructs a newly allocated Integer object that represents the value represented by the string. The string is converted to an int value as if by the valueOf method.

Parameters:

s - the String to be converted to an Integer.

Throws: NumberFormatException

if the String does not contain a parsable integer.

See Also:

valueOf

 byteValue

 public byte byteValue()

Returns the value of this Integer as a byte.

Overrides:

byteValue in class Number

 decode

 public static Integer decode(String nm) throws NumberFormatException

Decodes a string into an Integer. Deals with decimal, hexadecimal, and octal numbers.

Parameters:

nm - the string to decode

 doubleValue

 public double doubleValue()

Returns the value of this Integer as a double.

Returns:

the int value represented by this object is converted to type double and the result of the conversion is returned.

Overrides:

doubleValue in class Number

 equals

 public boolean equals(Object obj)

Compares this object to the specified object. The result is true if and only if the argument is not null and is an Integer object that contains the same int value as this object.

Parameters:

obj - the object to compare with.

Returns:

true if the objects are the same; false otherwise.

Overrides:

equals in class Object

 floatValue

 public float floatValue()

Returns the value of this Integer as a float.

Returns:

the int value represented by this object is converted to type float and the result of the conversion is returned.

Overrides:

floatValue in class Number

 getInteger

 public static Integer getInteger(String nm)

Determines the integer value of the system property with the specified name.

The first argument is treated as the name of a system property. System properties are accessible through getProperty and , a method defined by the System class. The string value of this property is then interpreted as an integer value and an Integer object representing this value is returned. Details of possible numeric formats can be found with the definition of getProperty.

If there is no property with the specified name, or if the property does not have the correct numeric format, then null is returned.

Parameters:

nm - property name.

Returns:

the Integer value of the property.

See Also:

getProperty, getProperty

 getInteger

 public static Integer getInteger(String nm,
                                  int val)

Determines the integer value of the system property with the specified name.

The first argument is treated as the name of a system property. System properties are accessible through getProperty and , a method defined by the System class. The string value of this property is then interpreted as an integer value and an Integer object representing this value is returned. Details of possible numeric formats can be found with the definition of getProperty.

If there is no property with the specified name, or if the property does not have the correct numeric format, then an Integer object that represents the value of the second argument is returned.

Parameters:

nm - property name.

val - default value.

Returns:

the Integer value of the property.

See Also:

getProperty, getProperty

 getInteger

 public static Integer getInteger(String nm,
                                  Integer val)

Determines the integer value of the system property with the specified name.

The first argument is treated as the name of a system property. System properties are accessible through getProperty and , a method defined by the System class. The string value of this property is then interpreted as an integer value and an Integer object representing this value is returned.

If the property value begins with "0x" or "#", not followed by a minus sign, the rest of it is parsed as a hexadecimal integer exactly as for the method Integer.valueOf with radix 16.

If the property value begins with "0" then it is parsed as an octal integer exactly as for the method Integer.valueOf with radix 8.

Otherwise the property value is parsed as a decimal integer exactly as for the method Integer.valueOf with radix 10.

The second argument is the default value. If there is no property of the specified name, or if the property does not have the correct numeric format, then the second argument is returned.

Parameters:

nm - property name.

val - default value.

Returns:

the Integer value of the property.

See Also:

getProperty, getProperty

 hashCode

 public int hashCode()

Returns a hashcode for this Integer.

Returns:

a hash code value for this object.

Overrides:

hashCode in class Object

 intValue

 public int intValue()

Returns the value of this Integer as an int.

Returns:

the int value represented by this object.

Overrides:

intValue in class Number

 longValue

 public long longValue()

Returns the value of this Integer as a long.

Returns:

the int value represented by this object that is converted to type long and the result of the conversion is returned.

Overrides:

longValue in class Number

 parseInt

 public static int parseInt(String s) throws NumberFormatException

Parses the string argument as a signed decimal integer. The characters in the string must all be decimal digits, except that the first character may be an ASCII minus sign '-' to indicate a negative value.

Parameters:

s - a string.

Returns:

the integer represented by the argument in decimal.

Throws: NumberFormatException

if the string does not contain a parsable integer.

 parseInt

 public static int parseInt(String s,
                            int radix) throws NumberFormatException

Parses the string argument as a signed integer in the radix specified by the second argument. The characters in the string must all be digits of the specified radix (as determined by whether Character.digit returns a nonnegative value), except that the first character may be an ASCII minus sign '-' to indicate a negative value. The resulting integer value is returned.

Parameters:

s - the String containing the integer.

radix - the radix to be used.

Returns:

the integer represented by the string argument in the specified radix.

Throws: NumberFormatException

if the string does not contain a parsable integer.

 shortValue

 public short shortValue()

Returns the value of this Integer as a short.

Overrides:

shortValue in class Number

 toBinaryString

 public static String toBinaryString(int i)

Creates a string representation of the integer argument as an unsigned integer in base 2.

The unsigned integer value is the argument plus 232if the argument is negative; otherwise it is equal to the argument. This value is converted to a string of ASCII digits in binary (base 2) with no extra leading 0s.

Parameters:

i - an integer.

Returns:

the string representation of the unsigned integer value represented by the argument in binary (base 2).

 toHexString

 public static String toHexString(int i)

Creates a string representation of the integer argument as an unsigned integer in base 16.

The unsigned integer value is the argument plus 232 if the argument is negative; otherwise, it is equal to the argument. This value is converted to a string of ASCII digits in hexadecimal (base 16) with no extra leading 0s.

Parameters:

i - an integer.

Returns:

the string representation of the unsigned integer value represented by the argument in hexadecimal (base 16).

 toOctalString

 public static String toOctalString(int i)

Creates a string representation of the integer argument as an unsigned integer in base 8.

The unsigned integer value is the argument plus 232 if the argument is negative; otherwise, it is equal to the argument. This value is converted to a string of ASCII digits in octal (base 8) with no extra leading 0s.

Parameters:

i - an integer

Returns:

the string representation of the unsigned integer value represented by the argument in octal (base 8).

 toString

 public String toString()

Returns a String object representing this Integer's value.

Returns:

a string representation of the value of this object in base 10.

Overrides:

toString in class Object

 toString

 public static String toString(int i)

Returns a new String object representing the specified integer. The radix is assumed to be 10.

Parameters:

i - an integer to be converted.

Returns:

a string representation of the argument in base 10.

 toString

 public static String toString(int i,
                               int radix)

Creates a string representation of the first argument in the radix specified by the second argument.

If the radix is smaller than Character.MIN_RADIX or larger than Character.MAX_RADIX, then the radix 10 is used instead.

If the first argument is negative, the first element of the result is the ASCII minus character '-'. If the first argument is not negative, no sign character appears in the result. The following ASCII characters are used as digits: 0123456789abcdefghijklmnopqrstuvwxyz

Parameters:

i - an integer.

radix - the radix.

Returns:

a string representation of the argument in the specified radix.

See Also:

MAX_RADIX, MIN_RADIX

 valueOf

 public static Integer valueOf(String s) throws NumberFormatException

Returns a new Integer object initialized to the value of the specified String. Throws an exception if the String cannot be parsed as an int. The radix is assumed to be 10.

Parameters:

s - the string to be parsed.

Returns:

a newly constructed Integer initialized to the value represented by the string argument.

Throws: NumberFormatException

if the string does not contain a parsable integer.

 valueOf

 public static Integer valueOf(String s,
                               int radix) throws NumberFormatException

Returns a new Integer object initialized to the value of the specified String. Throws an exception if the String cannot be parsed as an int.

Parameters:

s - the string to be parsed.

Returns:

a newly constructed Integer initialized to the value represented by the string argument in the specified radix.

Throws: NumberFormatException

if the String does not contain a parsable integer.


 Class java.lang.Long

java.lang.Object
   |
   +----java.lang.Number
           |
           +----java.lang.Long

public final class Long
   extends Number

The Long class wraps a value of the primitive type long in an object. An object of type Long contains a single field whose type is long.

In addition, this class provides several methods for converting a long to a String and a String to a long, as well as other constants and methods useful when dealing with a long.

 MAX_VALUE

The largest value of type long.

 MIN_VALUE

The smallest value of type long.

 TYPE

The Class object representing the primitive type long.

 Long(long)

Constructs a newly allocated Long object that represents the primitive long argument.

 Long(String)

Constructs a newly allocated Long object that represents the value represented by the string.

 byteValue()

Returns the value of this Long as a byte.

 doubleValue()

Returns the value of this Long as a double.

 equals(Object)

Compares this object against the specified object.

 floatValue()

Returns the value of this Long as a float.

 getLong(String)

Determines the long value of the system property with the specified name.

 getLong(String, Long)

Determines the long value of the system property with the specified name.

 getLong(String, long)

Determines the long value of the system property with the specified name.

 hashCode()

Computes a hashcode for this Long.

 intValue()

Returns the value of this Long as an int.

 longValue()

Returns the value of this Long as a long.

 parseLong(String)

Parses the string argument as a signed decimal long.

 parseLong(String, int)

Parses the string argument as a signed long in the radix specified by the second argument.

 shortValue()

Returns the value of this Long as a short.

 toBinaryString(long)

Creates a string representation of the long argument as an unsigned integer in base 2.

 toHexString(long)

Creates a string representation of the long argument as an unsigned integer in base 16.

 toOctalString(long)

Creates a string representation of the long argument as an unsigned integer in base 8.

 toString()

Returns a String object representing this Long's value.

 toString(long)

Returns a new String object representing the specified integer.

 toString(long, int)

Creates a string representation of the first argument in the radix specified by the second argument.

 valueOf(String)

Returns a new long object initialized to the value of the specified String.

 valueOf(String, int)

Returns a new long object initialized to the value of the specified String.

 MAX_VALUE

 public static final long MAX_VALUE

The largest value of type long.

 MIN_VALUE

 public static final long MIN_VALUE

The smallest value of type long.

 TYPE

 public static final Class TYPE

The Class object representing the primitive type long.

 Long

 public Long(long value)

Constructs a newly allocated Long object that represents the primitive long argument.

Parameters:

value - the value to be represented by the Long.

 Long

 public Long(String s) throws NumberFormatException

Constructs a newly allocated Long object that represents the value represented by the string. The string is converted to an long value as if by the valueOf method.

Parameters:

s - the string to be converted to a Long.

Throws: NumberFormatException

if the String does not contain a parsable long integer.

See Also:

valueOf

 byteValue

 public byte byteValue()

Returns the value of this Long as a byte.

Overrides:

byteValue in class Number

 doubleValue

 public double doubleValue()

Returns the value of this Long as a double.

Returns:

the long value represented by this object that is converted to type double and the result of the conversion is returned.

Overrides:

doubleValue in class Number

 equals

 public boolean equals(Object obj)

Compares this object against the specified object. The result is true if and only if the argument is not null and is a Long object that contains the same long value as this object.

Parameters:

obj - the object to compare with.

Returns:

true if the objects are the same; false otherwise.

Overrides:

equals in class Object

 floatValue

 public float floatValue()

Returns the value of this Long as a float.

Returns:

the long value represented by this object is converted to type float and the result of the conversion is returned.

Overrides:

floatValue in class Number

 getLong

 public static Long getLong(String nm)

Determines the long value of the system property with the specified name.

The first argument is treated as the name of a system property. System properties are accessible through getProperty and , a method defined by the System class. The string value of this property is then interpreted as a long value and a Long object representing this value is returned. Details of possible numeric formats can be found with the definition of getProperty.

If there is no property with the specified name, or if the property does not have the correct numeric format, then null is returned.

Parameters:

nm - property name.

Returns:

the Long value of the property.

See Also:

getProperty, getProperty

 getLong

 public static Long getLong(String nm,
                            Long val)

Determines the long value of the system property with the specified name.

The first argument is treated as the name of a system property. System properties are accessible through getProperty and , a method defined by the System class. The string value of this property is then interpreted as a long value and a Long object representing this value is returned.

If the property value begins with "0x" or "#", not followed by a minus sign, the rest of it is parsed as a hexadecimal integer exactly as for the method Long.valueOf with radix 16.

If the property value begins with "0", then it is parsed as an octal integer exactly as for the method Long.valueOf with radix 8.

Otherwise the property value is parsed as a decimal integer exactly as for the method Long.valueOf with radix 10.

Note that, in every case, neither L nor l is permitted to appear at the end of the string.

The second argument is the default value. If there is no property of the specified name, or if the property does not have the correct numeric format, then the second argument is returned.

Parameters:

nm - the property name.

val - the default Long value.

Returns:

the long value of the property.

See Also:

valueOf, getProperty, getProperty

 getLong

 public static Long getLong(String nm,
                            long val)

Determines the long value of the system property with the specified name.

The first argument is treated as the name of a system property. System properties are accessible through getProperty and , a method defined by the System class. The string value of this property is then interpreted as a long value and a Long object representing this value is returned. Details of possible numeric formats can be found with the definition of getProperty.

If there is no property with the specified name, or if the property does not have the correct numeric format, then a Long object that represents the value of the second argument is returned.

Parameters:

nm - property name.

val - default value.

Returns:

the Long value of the property.

See Also:

getProperty, getProperty

 hashCode

 public int hashCode()

Computes a hashcode for this Long.

Returns:

a hash code value for this object.

Overrides:

hashCode in class Object

 intValue

 public int intValue()

Returns the value of this Long as an int.

Returns:

the long value represented by this object is converted to type int and the result of the conversion is returned.

Overrides:

intValue in class Number

 longValue

 public long longValue()

Returns the value of this Long as a long.

Returns:

the long value represented by this object.

Overrides:

longValue in class Number

 parseLong

 public static long parseLong(String s) throws NumberFormatException

Parses the string argument as a signed decimal long. The characters in the string must all be decimal digits, except that the first character may be an ASCII minus sign '-' to indicate a negative value.

Parameters:

s - a string.

Returns:

the long represented by the argument in decimal.

Throws: NumberFormatException

if the string does not contain a parsable long.

 parseLong

 public static long parseLong(String s,
                              int radix) throws NumberFormatException

Parses the string argument as a signed long in the radix specified by the second argument. The characters in the string must all be digits of the specified radix (as determined by whether Character.digit returns a nonnegative value), except that the first character may be an ASCII minus sign '-' to indicate a negative value. The resulting long value is returned.

Parameters:

s - the String containing the long.

radix - the radix to be used.

Returns:

the long represented by the string argument in the specified radix.

Throws: NumberFormatException

if the string does not contain a parsable integer.

 shortValue

 public short shortValue()

Returns the value of this Long as a short.

Overrides:

shortValue in class Number

 toBinaryString

 public static String toBinaryString(long i)

Creates a string representation of the long argument as an unsigned integer in base 2.

The unsigned long value is the argument plus 264 if the argument is negative; otherwise, it is equal to the argument. This value is converted to a string of ASCII digits in binary (base 2) with no extra leading 0s.

Parameters:

i - a long.

Returns:

the string representation of the unsigned long value represented by the argument in binary (base 2).

 toHexString

 public static String toHexString(long i)

Creates a string representation of the long argument as an unsigned integer in base 16.

The unsigned long value is the argument plus 264 if the argument is negative; otherwise, it is equal to the argument. This value is converted to a string of ASCII digits in hexadecimal (base 16) with no extra leading 0s.

Parameters:

i - a long.

Returns:

the string representation of the unsigned long value represented by the argument in hexadecimal (base 16).

 toOctalString

 public static String toOctalString(long i)

Creates a string representation of the long argument as an unsigned integer in base 8.

The unsigned long value is the argument plus 264 if the argument is negative; otherwise, it is equal to the argument. This value is converted to a string of ASCII digits in octal (base 8) with no extra leading 0s.

Parameters:

i - a long.

Returns:

the string representation of the unsigned long value represented by the argument in octal (base 8).

 toString

 public String toString()

Returns a String object representing this Long's value.

Returns:

a string representation of this object in base 10.

Overrides:

toString in class Object

 toString

 public static String toString(long i)

Returns a new String object representing the specified integer. The radix is assumed to be 10.

Parameters:

i - a long to be converted.

Returns:

a string representation of the argument in base 10.

 toString

 public static String toString(long i,
                               int radix)

Creates a string representation of the first argument in the radix specified by the second argument.

If the radix is smaller than Character.MIN_RADIX or larger than Character.MAX_RADIX, then the radix 10 is used instead.

If the first argument is negative, the first element of the result is the ASCII minus sign '-'. If the first argument is not negative, no sign character appears in the result. The following ASCII characters are used as digits: 0123456789abcdefghijklmnopqrstuvwxyz

Parameters:

i - a long.

radix - the radix.

Returns:

a string representation of the argument in the specified radix.

See Also:

MAX_RADIX, MIN_RADIX

 valueOf

 public static Long valueOf(String s) throws NumberFormatException

Returns a new long object initialized to the value of the specified String. Throws an exception if the String cannot be parsed as a long. The radix is assumed to be 10.

Parameters:

s - the string to be parsed.

Returns:

a newly constructed Long initialized to the value represented by the string argument.

Throws: NumberFormatException

If the String does not contain a parsable long.

 valueOf

 public static Long valueOf(String s,
                            int radix) throws NumberFormatException

Returns a new long object initialized to the value of the specified String. Throws an exception if the String cannot be parsed as a long.

Parameters:

s - the String containing the long.

radix - the radix to be used.

Returns:

a newly constructed Long initialized to the value represented by the string argument in the specified radix.

Throws: NumberFormatException

If the String does not contain a parsable long.


 Class java.lang.Math

java.lang.Object
   |
   +----java.lang.Math

public final class Math
   extends Object

The class Math contains methods for performing basic numeric operations such as the elementary exponential, logarithm, square root, and trigonometric functions.

To help ensure portability of Java programs, the definitions of many of the numeric functions in this package require that they produce the same results as certain published algorithms. These algorithms are available from the well-known network library netlib as the package "Freely Distributable Math Library" (fdlibm). These algorithms, which are written in the C programming language, are then to be understood as executed with all floating-point operations following the rules of Java floating-point arithmetic.

The network library may be found on the World Wide Web at

http://netlib.att.com/

then perform a keyword search for "fdlibm".

The Java math library is defined with respect to the version of fdlibm dated January 4, 1995. Where fdlibm provides more than one definition for a function (such as acos), use the "IEEE 754 core function" version (residing in a file whose name begins with the letter e).

 E

The double value that is closer than any other to e, the base of the natural logarithms.

 PI

The double value that is closer than any other to pi, the ratio of the circumference of a circle to its diameter.

 abs(double)

Returns the absolute value of a double value.

 abs(float)

Returns the absolute value of a float value.

 abs(int)

Returns the absolute value of an int value.

 abs(long)

Returns the absolute value of a long value.

 acos(double)

Returns the arc cosine of an angle, in the range of 0.0 through pi.

 asin(double)

Returns the arc sine of an angle, in the range of -pi/2 through pi/2.

 atan(double)

Returns the arc tangent of an angle, in the range of -pi/2 through pi/2.

 atan2(double, double)

Converts rectangular coordinates (b, a) to polar (r, theta).

 ceil(double)

Returns the smallest (closest to negative infinity) double value that is not less than the argument and is equal to a mathematical integer.

 cos(double)

Returns the trigonometric cosine of an angle.

 exp(double)

Returns the exponential number e (i.e., 2.718...) raised to the power of a double value.

 floor(double)

Returns the largest (closest to positive infinity) double value that is not greater than the argument and is equal to a mathematical integer.

 IEEEremainder(double, double)

Computes the remainder operation on two arguments as prescribed by the IEEE 754 standard.

 log(double)

Returns the natural logarithm (base e) of a double value.

 max(double, double)

Returns the greater of two double values.

 max(float, float)

Returns the greater of two float values.

 max(int, int)

Returns the greater of two int values.

 max(long, long)

Returns the greater of two long values.

 min(double, double)

Returns the smaller of two double values.

 min(float, float)

Returns the smaller of two float values.

 min(int, int)

Returns the smaller of two int values.

 min(long, long)

Returns the smaller of two long values.

 pow(double, double)

Returns of value of the first argument raised to the power of the second argument.

 random()

Returns a random number between 0.0 and 1.0.

 rint(double)

returns the closest integer to the argument.

 round(double)

Returns the closest long to the argument.

 round(float)

Returns the closest int to the argument.

 sin(double)

Returns the trigonometric sine of an angle.

 sqrt(double)

Returns the square root of a double value.

 tan(double)

Returns the trigonometric tangent of an angle.

 E

 public static final double E

The double value that is closer than any other to e, the base of the natural logarithms.

 PI

 public static final double PI

The double value that is closer than any other to pi, the ratio of the circumference of a circle to its diameter.

 abs

 public static double abs(double a)

Returns the absolute value of a double value. If the argument is not negative, the argument is returned. If the argument is negative, the negation of the argument is returned.

Parameters:

a - a double value.

Returns:

the absolute value of the argument.

 abs

 public static float abs(float a)

Returns the absolute value of a float value. If the argument is not negative, the argument is returned. If the argument is negative, the negation of the argument is returned.

Parameters:

a - a float value.

Returns:

the absolute value of the argument.

 abs

 public static int abs(int a)

Returns the absolute value of an int value. If the argument is not negative, the argument is returned. If the argument is negative, the negation of the argument is returned.

Note that if the argument is equal to the value of Integer.MIN_VALUE, the most negative representable int value, the result is that same value, which is negative.

Parameters:

a - an int value.

Returns:

the absolute value of the argument.

See Also:

MIN_VALUE

 abs

 public static long abs(long a)

Returns the absolute value of a long value. If the argument is not negative, the argument is returned. If the argument is negative, the negation of the argument is returned.

Note that if the argument is equal to the value of Long.MIN_VALUE, the most negative representable long value, the result is that same value, which is negative.

Parameters:

a - a long value.

Returns:

the absolute value of the argument.

See Also:

MIN_VALUE

 acos

 public static native double acos(double a)

Returns the arc cosine of an angle, in the range of 0.0 through pi.

Parameters:

a - an angle, in radians.

Returns:

the arc cosine of the argument.

 asin

 public static native double asin(double a)

Returns the arc sine of an angle, in the range of -pi/2 through pi/2.

Parameters:

a - an angle, in radians.

Returns:

the arc sine of the argument.

 atan

 public static native double atan(double a)

Returns the arc tangent of an angle, in the range of -pi/2 through pi/2.

Parameters:

a - an angle, in radians.

Returns:

the arc tangent of the argument.

 atan2

 public static native double atan2(double a,
                                   double b)

Converts rectangular coordinates (b, a) to polar (r, theta). This method computes the phase theta by computing an arc tangent of b/a in the range of -pi to pi.

Parameters:

a - a double value.

b - a double value.

Returns:

the theta component of the point (r, theta) in polar coordinates that corresponds to the point (b, a) in Cartesian coordinates.

 ceil

 public static native double ceil(double a)

Returns the smallest (closest to negative infinity) double value that is not less than the argument and is equal to a mathematical integer.

Parameters:

a - a double value. <!--@return the value  a .-->

Returns:

the smallest (closest to negative infinity) double value that is not less than the argument and is equal to a mathematical integer.

 cos

 public static native double cos(double a)

Returns the trigonometric cosine of an angle.

Parameters:

a - an angle, in radians.

Returns:

the cosine of the argument.

 exp

 public static native double exp(double a)

Returns the exponential number e (i.e., 2.718...) raised to the power of a double value.

Parameters:

a - a double value.

Returns:

the value ea, where e is the base of the natural logarithms.

 floor

 public static native double floor(double a)

Returns the largest (closest to positive infinity) double value that is not greater than the argument and is equal to a mathematical integer.

Parameters:

a - a double value.

a - an assigned value. <!--@return the value  a .-->

Returns:

the largest (closest to positive infinity) double value that is not greater than the argument and is equal to a mathematical integer.

 IEEEremainder

 public static native double IEEEremainder(double f1,
                                           double f2)

Computes the remainder operation on two arguments as prescribed by the IEEE 754 standard. The remainder value is mathematically equal to f1 - f2 × n, where n is the mathematical integer closest to the exact mathematical value of the quotient f1/f2, and if two mathematical integers are equally close to f1/f2, then n is the integer that is even. If the remainder is zero, its sign is the same as the sign of the first argument.

Parameters:

f1 - the dividend.

f2 - the divisor.

Returns:

the remainder when f1 is divided by f2.

 log

 public static native double log(double a)

Returns the natural logarithm (base e) of a double value.

Parameters:

a - a number greater than 0.0.

Returns:

the value ln a, the natural logarithm of a.

 max

 public static double max(double a,
                          double b)

Returns the greater of two double values. If either value is NaN, then the result is NaN. Unlike the the numerical comparison operators, this method considers negative zero to be strictly smaller than positive zero.

Parameters:

a - a double value.

b - a double value.

Returns:

the larger of a and b.

 max

 public static float max(float a,
                         float b)

Returns the greater of two float values. If either value is NaN, then the result is NaN. Unlike the the numerical comparison operators, this method considers negative zero to be strictly smaller than positive zero.

Parameters:

a - a float value.

b - a float value.

Returns:

the larger of a and b.

 max

 public static int max(int a,
                       int b)

Returns the greater of two int values.

Parameters:

a - an int value.

b - an int value.

Returns:

the larger of a and b.

 max

 public static long max(long a,
                        long b)

Returns the greater of two long values.

Parameters:

a - a long value.

b - a long value.

Returns:

the larger of a and b.

 min

 public static double min(double a,
                          double b)

Returns the smaller of two double values. If either value is NaN, then the result is NaN. Unlike the the numerical comparison operators, this method considers negative zero to be strictly smaller than positive zero.

Parameters:

a - a double value.

b - a double value.

Returns:

the smaller of a and b.

 min

 public static float min(float a,
                         float b)

Returns the smaller of two float values. If either value is NaN, then the result is NaN. Unlike the the numerical comparison operators, this method considers negative zero to be strictly smaller than positive zero.

Parameters:

a - a float value.

b - a float value.

Returns:

the smaller of a and b.

 min

 public static int min(int a,
                       int b)

Returns the smaller of two int values.

Parameters:

a - an int value.

b - an int value.

Returns:

the smaller of a and b.

 min

 public static long min(long a,
                        long b)

Returns the smaller of two long values.

Parameters:

a - a long value.

b - a long value.

Returns:

the smaller of a and b.

 pow

 public static native double pow(double a,
                                 double b)

Returns of value of the first argument raised to the power of the second argument.

If (a == 0.0), then b must be greater than 0.0; otherwise an exception is thrown. An exception also will occur if (a <= 0.0) and b is not equal to a whole number.

Parameters:

a - a double value.

b - a double value.

Returns:

the value ab.

Throws: ArithmeticException

if (a == 0.0) and (b <=0.0), or if (a <= 0.0) and b is not equal to a whole number.

 random

 public static synchronized double random()

Returns a random number between 0.0 and 1.0. Random number generators are often referred to as pseudorandom number generators because the numbers produced tend to repeat themselves after a period of time.

Returns:

a pseudorandom double between 0.0 and 1.0.

See Also:

nextDouble

 rint

 public static native double rint(double a)

returns the closest integer to the argument.

Parameters:

a - a double value.

Returns:

the closest double value to a that is equal to a mathematical integer. If two double values that are mathematical integers are equally close to the value of the argument, the result is the integer value that is even.

 round

 public static long round(double a)

Returns the closest long to the argument.

If the argument is negative infinity or any value less than or equal to the value of Long.MIN_VALUE, the result is equal to the value of Long.MIN_VALUE.

If the argument is positive infinity or any value greater than or equal to the value of Long.MAX_VALUE, the result is equal to the value of Long.MAX_VALUE.

Parameters:

a - a double value.

Returns:

the value of the argument rounded to the nearest long value.

See Also:

MAX_VALUE, MIN_VALUE

 round

 public static int round(float a)

Returns the closest int to the argument.

If the argument is negative infinity or any value less than or equal to the value of Integer.MIN_VALUE, the result is equal to the value of Integer.MIN_VALUE.

If the argument is positive infinity or any value greater than or equal to the value of Integer.MAX_VALUE, the result is equal to the value of Integer.MAX_VALUE.

Parameters:

a - a float value.

Returns:

the value of the argument rounded to the nearest int value.

See Also:

MAX_VALUE, MIN_VALUE

 sin

 public static native double sin(double a)

Returns the trigonometric sine of an angle.

Parameters:

a - an angle, in radians.

Returns:

the sine of the argument.

 sqrt

 public static native double sqrt(double a)

Returns the square root of a double value.

Parameters:

a - a double value. <!--@return the value of  a.-->

Returns:

the square root of a. If the argument is NaN or less than zero, the result is NaN.

 tan

 public static native double tan(double a)

Returns the trigonometric tangent of an angle.

Parameters:

a - an angle, in radians.

Returns:

the tangent of the argument.


 Class java.lang.Number

java.lang.Object
   |
   +----java.lang.Number

public abstract class Number
   extends Object
   implements Serializable

The abstract class Number is the superclass of classes Byte, Double, Float, Integer, Long, and Short.

Subclasses of Number must provide methods to convert the represented numeric value to byte, double, float, int, long, and short.

     See Also:
     Byte, Double, Float, Integer, Long, Short

 Number()

 byteValue()

Returns the value of the specified number as a byte.

 doubleValue()

Returns the value of the specified number as a double.

 floatValue()

Returns the value of the specified number as a float.

 intValue()

Returns the value of the specified number as an int.

 longValue()

Returns the value of the specified number as a long.

 shortValue()

Returns the value of the specified number as a short.

 Number

 public Number()

 byteValue

 public byte byteValue()

Returns the value of the specified number as a byte. This may involve rounding or truncation.

Returns:

the numeric value represented by this object after conversion to type byte.

 doubleValue

 public abstract double doubleValue()

Returns the value of the specified number as a double. This may involve rounding.

Returns:

the numeric value represented by this object after conversion to type double.

 floatValue

 public abstract float floatValue()

Returns the value of the specified number as a float. This may involve rounding.

Returns:

the numeric value represented by this object after conversion to type float.

 intValue

 public abstract int intValue()

Returns the value of the specified number as an int. This may involve rounding.

Returns:

the numeric value represented by this object after conversion to type int.

 longValue

 public abstract long longValue()

Returns the value of the specified number as a long. This may involve rounding.

Returns:

the numeric value represented by this object after conversion to type long.

 shortValue

 public short shortValue()

Returns the value of the specified number as a short. This may involve rounding or truncation.

Returns:

the numeric value represented by this object after conversion to type short.


 Class java.lang.Object

java.lang.Object

public class Object

Class Object is the root of the class hierarchy. Every class has Object as a superclass. All objects, including arrays, implement the methods of this class.

     See Also:
     Class

 Object()

 clone()

Creates a new object of the same class as this object.

 equals(Object)

Compares two Objects for equality.

 finalize()

Called by the garbage collector on an object when garbage collection determines that there are no more references to the object.

 getClass()

Returns the runtime class of an object.

 hashCode()

Returns a hash code value for the object.

 notify()

Wakes up a single thread that is waiting on this object's monitor.

 notifyAll()

Wakes up all threads that are waiting on this object's monitor.

 toString()

Returns a string representation of the object.

 wait()

Waits to be notified by another thread of a change in this object.

 wait(long)

Waits to be notified by another thread of a change in this object.

 wait(long, int)

Waits to be notified by another thread of a change in this object.

 Object

 public Object()

 clone

 protected native Object clone() throws CloneNotSupportedException

Creates a new object of the same class as this object. It then initializes each of the new object's fields by assigning it the same value as the corresponding field in this object. No constructor is called.

The clone method of class Object will only clone an object whose class indicates that it is willing for its instances to be cloned. A class indicates that its instances can be cloned by declaring that it implements the Cloneable interface.

Returns:

a clone of this instance.

Throws: CloneNotSupportedException

if the object's class does not support the Cloneable interface. Subclasses that override the clone method can also throw this exception to indicate that an instance cannot be cloned.

Throws: OutOfMemoryError

if there is not enough memory.

See Also:

Cloneable

 equals

 public boolean equals(Object obj)

Compares two Objects for equality.

The equals method implements an equivalence relation:

•	It is reflexive: for any reference value x, x.equals(x) should return true.

•	It is symmetric: for any reference values x and y, x.equals(y) should return true if and only if y.equals(x) returns true.

•	It is transitive: for any reference values x, y, and z, if x.equals(y) returns true and y.equals(z) returns true, then x.equals(z) should return true.

•	It is consistent: for any reference values x and y, multiple invocations of x.equals(y) consistently return true or consistently return false.

•	For any reference value x, x.equals(null) should return false.

The equals method for class Object implements the most discriminating possible equivalence relation on objects; that is, for any reference values x and y, this method returns true if and only if x and y refer to the same object (x==y has the value true).

Parameters:

obj - the reference object with which to compare.

Returns:

true if this object is the same as the obj argument; false otherwise.

See Also:

hashCode, Hashtable

 finalize

 protected void finalize() throws Throwable

Called by the garbage collector on an object when garbage collection determines that there are no more references to the object. A subclass overrides the finalize method to dispose of system resources or to perform other cleanup.

Any exception thrown by the finalize method causes the finalization of this object to be halted, but is otherwise ignored.

The finalize method in Object does nothing.

Throws: Throwable

[Need description!]

 getClass

 public final native Class getClass()

Returns the runtime class of an object.

Returns:

the object of type Class that represents the runtime class of the object.

 hashCode

 public native int hashCode()

Returns a hash code value for the object. This method is supported for the benefit of hashtables such as those provided by java.util.Hashtable.

The general contract of hashCode is:

•	Whenever it is invoked on the same object more than once during an execution of a Java application, the hashCode method must consistently return the same integer. This integer need not remain consistent from one execution of an application to another execution of the same application.

•	If two objects are equal according to the equals method, then calling the hashCode method on each of the two objects must produce the same integer result.

Returns:

a hash code value for this object.

See Also:

equals, Hashtable

 notify

 public final native void notify()

Wakes up a single thread that is waiting on this object's monitor. A thread waits on an object's monitor by calling one of the wait methods.

This method should only be called by a thread that is the owner of this object's monitor. A thread becomes the owner of the object's monitor in one of three ways:

•	By executing a synchronized instance method of that object.

•	By executing the body of a synchronized statement that synchronizes on the object.

•	For objects of type Class, by executing a synchronized static method of that class.

Only one thread at a time can own an object's monitor.

Throws: IllegalMonitorStateException

if the current thread is not the owner of this object's monitor.

See Also:

notifyAll, wait

 notifyAll

 public final native void notifyAll()

Wakes up all threads that are waiting on this object's monitor. A thread waits on an object's monitor by calling one of the wait methods.

This method should only be called by a thread that is the owner of this object's monitor. See the notify method for a description of the ways in which a thread can become the owner of a monitor.

Throws: IllegalMonitorStateException

if the current thread is not the owner of this object's monitor.

See Also:

notify, wait

 toString

 public String toString()

Returns a string representation of the object. In general, the toString method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommendedthat all subclasses override this method.

The toString method for class Object returns a string consisting of the name of the class of which the object is an instance, the at-sign character `@', and the unsigned hexadecimal representation of the hash code of the object.

Returns:

a string representation of the object.

 wait

 public final void wait() throws InterruptedException

Waits to be notified by another thread of a change in this object.

The current thread must own this object's monitor. The thread releases ownership of this monitor and waits until another thread notifies threads waiting on this object's monitor to wake up either through a call to the notify method or the notifyAll method. The thread then waits until it can re-obtain ownership of the monitor and resumes execution.

This method should only be called by a thread that is the owner of this object's monitor. See the notify method for a description of the ways in which a thread can become the owner of a monitor.

Throws: IllegalMonitorStateException

if the current thread is not the owner of the object's monitor.

Throws: InterruptedException

if another thread has interrupted this thread.

See Also:

notify, notifyAll

 wait

 public final native void wait(long timeout) throws InterruptedException

Waits to be notified by another thread of a change in this object.

The current thread must own this object's monitor. The thread releases ownership of this monitor and waits until either of the following two conditions has occurred:

•	Another thread notifies threads waiting on this object's monitor to wake up either through a call to the notify method or the notifyAll method.

•	The timeout period, specified by the timeout argument in milliseconds, has elapsed.

The thread then waits until it can re-obtain ownership of the monitor and resumes execution.

This method should only be called by a thread that is the owner of this object's monitor. See the notify method for a description of the ways in which a thread can become the owner of a monitor.

Parameters:

timeout - the maximum time to wait in milliseconds.

Throws: IllegalArgumentException

if the value of timeout is negative.

Throws: IllegalMonitorStateException

if the current thread is not the owner of the object's monitor.

Throws: InterruptedException

if another thread has interrupted this thread.

See Also:

notify, notifyAll

 wait

 public final void wait(long timeout,
                        int nanos) throws InterruptedException

Waits to be notified by another thread of a change in this object.

This method is similar to the wait method of one argument, but it allows finer control over the amount of time to wait for a notification before giving up.

The current thread must own this object's monitor. The thread releases ownership of this monitor and waits until either of the following two conditions has occurred:

•	Another thread notifies threads waiting on this object's monitor to wake up either through a call to the notify method or the notifyAll method.

•	The timeout period, specified by timeout milliseconds plus nanos nanoseconds arguments, has elapsed.

The thread then waits until it can re-obtain ownership of the monitor and resumes execution

This method should only be called by a thread that is the owner of this object's monitor. See the notify method for a description of the ways in which a thread can become the owner of a monitor.

Parameters:

timeout - the maximum time to wait in milliseconds.

nano - additional time, in nanoseconds range 0-999999.

Throws: IllegalArgumentException

if the value of timeout is negative or the value of nanos is not in the range 0-999999.

Throws: IllegalMonitorStateException

if the current thread is not the owner of this object's monitor.

Throws: InterruptedException

if another thread has interrupted this thread.


 Class java.lang.Process

java.lang.Object
   |
   +----java.lang.Process

public abstract class Process
   extends Object

The exec methods return an instance of a subclass of Process that can be used to control the process and obtain information about it.

The subprocess is not killed when there are no more references to the Process object, but rather the subprocess continues executing asynchronously.

     See Also:
     exec, exec, exec, exec

 Process()

 destroy()

Kills the subprocess.

 exitValue()

Returns the exit value for the subprocess.

 getErrorStream()

Gets the error stream of the subprocess.

 getInputStream()

Gets the input stream of the subprocess.

 getOutputStream()

Gets the output stream of the subprocess.

 waitFor()

Waits for the subprocess to complete.

 Process

 public Process()

 destroy

 public abstract void destroy()

Kills the subprocess.

 exitValue

 public abstract int exitValue()

Returns the exit value for the subprocess.

Returns:

the exit value of the subprocess.

Throws: IllegalThreadStateException

if the subprocess has not yet terminated.

 getErrorStream

 public abstract InputStream getErrorStream()

Gets the error stream of the subprocess. This stream is usually unbuffered.

Returns:

the input stream connected to the error stream of the subprocess.

 getInputStream

 public abstract InputStream getInputStream()

Gets the input stream of the subprocess. This stream is usually buffered.

Returns:

the input stream connected to the normal output of the subprocess.

 getOutputStream

 public abstract OutputStream getOutputStream()

Gets the output stream of the subprocess. This stream is usually buffered.

Returns:

the output stream connected to the normal input of the subprocess.

 waitFor

 public abstract int waitFor() throws InterruptedException

Waits for the subprocess to complete. This method returns immediately if the subprocess has already terminated. If the subprocess has not yet terminated, the calling thread will be blocked until the subprocess exits.

Returns:

the exit value of the process.

Throws: InterruptedException

if the waitFor was interrupted.


 Class java.lang.Runtime

java.lang.Object
   |
   +----java.lang.Runtime

public class Runtime
   extends Object

 exec(String)

Executes the specified string command in a separate process.

 exec(String, String[])

Executes the specified string command in a separate process with the specified environment.

 exec(String[])

Executes the specified command and arguments in a separate process.

 exec(String[], String[])

Executes the specified command and arguments in a separate process with the specified environment.

 exit(int)

Terminates the currently running Java Virtual Machine.

 freeMemory()

Returns the amount of free memory in the system.

 gc()

Runs the garbage collector.

 getLocalizedInputStream(InputStream)

Creates a localized version of an input stream. Deprecated.

 getLocalizedOutputStream(OutputStream)

Creates a localized version of an output stream. Deprecated.

 getRuntime()

Returns the runtime object associated with the current Java application.

 load(String)

Loads the specified filename as a dynamic library.

 loadLibrary(String)

Loads the dynamic library with the specified library name.

 runFinalization()

Runs the finalization methods of any objects pending finalization.

 runFinalizersOnExit(boolean)

Enable or disable finalization on exit; doing so specifies that the finalizers of all objects that have finalizers that have not yet been automatically invoked are to be run before the Java runtime exits.

 totalMemory()

Returns the total amount of memory in the Java Virtual Machine.

 traceInstructions(boolean)

Enables/Disables tracing of instructions.

 traceMethodCalls(boolean)

Enables/Disables tracing of method calls.

 exec

 public Process exec(String command) throws IOException

Executes the specified string command in a separate process.

The command argument is parsed into tokens and then executed as a command in a separate process. This method has exactly the same effect as exec(command, null).

Parameters:

command - a specified system command.

Returns:

a Process object for managing the subprocess.

Throws: SecurityException

if the current thread cannot create a subprocess.

See Also:

exec

 exec

 public Process exec(String command,
                     String envp[]) throws IOException

Executes the specified string command in a separate process with the specified environment.

This method breaks the command string into tokens and creates a new array cmdarray containing the tokens; it then performs the call exec(cmdarray, envp).

Parameters:

command - a specified system command.

envp - array containing environment in format name=value

Returns:

a Process object for managing the subprocess.

Throws: SecurityException

if the current thread cannot create a subprocess.

See Also:

exec

 exec

 public Process exec(String cmdarray[]) throws IOException

Executes the specified command and arguments in a separate process.

The command specified by the tokens in cmdarray is executed as a command in a separate process. This has exactly the same effect as exec(cmdarray, null).

Parameters:

cmdarray - array containing the command to call and its arguments.

Returns:

a Process object for managing the subprocess.

Throws: SecurityException

if the current thread cannot create a subprocess.

See Also:

exec

 exec

 public Process exec(String cmdarray[],
                     String envp[]) throws IOException

Executes the specified command and arguments in a separate process with the specified environment.

If there is a security manager, its checkExec method is called with the first component of the array cmdarray as its argument. This may result in a security exception.

Given an array of strings cmdarray, representing the tokens of a command line, and an array of strings envp, representing an "environment" that defines system properties, this method creates a new process in which to execute the specified command.

Parameters:

cmdarray - array containing the command to call and its arguments.

envp - array containing environment in format name=value.

Returns:

a Process object for managing the subprocess.

Throws: SecurityException

if the current thread cannot create a subprocess.

See Also:

SecurityException, checkExec

 exit

 public void exit(int status)

Terminates the currently running Java Virtual Machine. This method never returns normally.

If there is a security manager, its checkExit method is called with the status as its argument. This may result in a security exception.

The argument serves as a status code; by convention, a nonzero status code indicates abnormal termination.

Parameters:

status - exit status.

Throws: SecurityException

if the current thread cannot exit with the specified status.

See Also:

SecurityException, checkExit

 freeMemory

 public native long freeMemory()

Returns the amount of free memory in the system. The value returned by this method is always less than the value returned by the totalMemory method. Calling the gc method may result in increasing the value returned by freeMemory.

Returns:

an approximation to the total amount of memory currently available for future allocated objects, measured in bytes.

 gc

 public native void gc()

Runs the garbage collector. Calling this method suggests that the Java Virtual Machine expend effort toward recycling unused objects in order to make the memory they currently occupy available for quick reuse. When control returns from the method call, the Java Virtual Machine has made its best effort to recycle all unused objects.

The name gc stands for "garbage collector". The Java Virtual Machine performs this recycling process automatically as needed even if the gc method is not invoked explicitly.

 getLocalizedInputStream

 public InputStream getLocalizedInputStream(InputStream in)

Note: getLocalizedInputStream() is deprecated. As of JDK 1.1, the preferred way translate a byte stream in the local encoding into a character stream in Unicode is via the InputStreamReader and BufferedReader classes.

Creates a localized version of an input stream. This method takes an InputStream and returns an InputStream equivalent to the argument in all respects except that it is localized: as characters in the local character set are read from the stream, they are automatically converted from the local character set to Unicode.

If the argument is already a localized stream, it may be returned as the result.

Returns:

a localized input stream.

See Also:

InputStream, BufferedReader, InputStreamReader

 getLocalizedOutputStream

 public OutputStream getLocalizedOutputStream(OutputStream out)

Note: getLocalizedOutputStream() is deprecated. As of JDK 1.1, the preferred way to translate a Unicode character stream into a byte stream in the local encoding is via the OutputStreamWriter, BufferedWriter, and PrintWriter classes.

Creates a localized version of an output stream. This method takes an OutputStream and returns an OutputStream equivalent to the argument in all respects except that it is localized: as Unicode characters are written to the stream, they are automatically converted to the local character set.

If the argument is already a localized stream, it may be returned as the result.

Returns:

a localized output stream.

See Also:

OutputStream, BufferedWriter, OutputStreamWriter, PrintWriter

 getRuntime

 public static Runtime getRuntime()

Returns the runtime object associated with the current Java application.

Returns:

the Runtime object associated with the current Java application.

 load

 public synchronized void load(String filename)

Loads the specified filename as a dynamic library. The filename argument must be a complete pathname. From java_g it will automagically insert "_g" before the ".so" (for example Runtime.getRuntime().load("/home/avh/lib/libX11.so");).

If there is a security manager, its checkLink method is called with the filename as its argument. This may result in a security exception.

Parameters:

filename - the file to load.

Throws: SecurityException

if the current thread cannot load the specified dynamic library.

Throws: UnsatisfiedLinkError

if the file does not exist.

See Also:

getRuntime, SecurityException, checkLink

 loadLibrary

 public synchronized void loadLibrary(String libname)

Loads the dynamic library with the specified library name. The mapping from a library name to a specific filename is done in a system-specific manner.

First, if there is a security manager, its checkLink method is called with the filename as its argument. This may result in a security exception.

If this method is called more than once with the same library name, the second and subsequent calls are ignored.

Parameters:

libname - the name of the library.

Throws: SecurityException

if the current thread cannot load the specified dynamic library.

Throws: UnsatisfiedLinkError

if the library does not exist.

See Also:

SecurityException, checkLink

 runFinalization

 public native void runFinalization()

Runs the finalization methods of any objects pending finalization. Calling this method suggests that the Java Virtual Machine expend effort toward running the finalize methods of objects that have been found to be discarded but whose finalize methods have not yet been run. When control returns from the method call, the Java Virtual Machine has made a best effort to complete all outstanding finalizations.

The Java Virtual Machine performs the finalization process automatically as needed if the runFinalization method is not invoked explicitly.

See Also:

finalize

 runFinalizersOnExit

 public static void runFinalizersOnExit(boolean value)

Enable or disable finalization on exit; doing so specifies that the finalizers of all objects that have finalizers that have not yet been automatically invoked are to be run before the Java runtime exits. By default, finalization on exit is disabled. An invocation of the runFinalizersOnExit method is permitted only if the caller is allowed to exit, and is otherwise rejected by the security manager.

See Also:

gc, exit

 totalMemory

 public native long totalMemory()

Returns the total amount of memory in the Java Virtual Machine.

Returns:

the total amount of memory currently available for allocating objects, measured in bytes.

 traceInstructions

 public native void traceInstructions(boolean on)

Enables/Disables tracing of instructions. If the boolean argument is true, this method asks the Java Virtual Machine to print out a detailed trace of each instruction in the Java Virtual Machine as it is executed. The virtual machine may ignore this request if it does not support this feature. The destination of the trace output is system dependent.

If the boolean argument is false, this method causes the Java Virtual Machine to stop performing the detailed instruction trace it is performing.

Parameters:

on - true to enable instruction tracing; false to disable this feature.

 traceMethodCalls

 public native void traceMethodCalls(boolean on)

Enables/Disables tracing of method calls. If the boolean argument is true, this method asks the Java Virtual Machine to print out a detailed trace of each method in the Java Virtual Machine as it is called. The virtual machine may ignore this request if it does not support this feature. The destination of the trace output is system dependent.

If the boolean argument is false, this method causes the Java Virtual Machine to stop performing the detailed method trace it is performing.

Parameters:

on - true to enable instruction tracing; false to disable this feature.


 Class java.lang.SecurityManager

java.lang.Object
   |
   +----java.lang.SecurityManager

public abstract class SecurityManager
   extends Object

The security manager is an abstract class that allows applications to implement a security policy. It allows an application to determine, before performing a possibly unsafe or sensitive operation, what the operation is and whether the operation is being performed by a class created via a class loader rather than installed locally. Classes loaded via a class loader (especially if they have been downloaded over a network) may be less trustworthy than classes from files installed locally. The application can allow or disallow the operation.

The SecurityManager class contains many methods with names that begin with the word check. These methods are called by various methods in the Java libraries before those methods perform certain potentially sensitive operations. The invocation of such a check method typically looks like this:

     SecurityManager security = System.getSecurityManager();
     if (security != null) {
         security.checkXXX(argument,  . . . );
     }

The security manager is thereby given an opportunity to prevent completion of the operation by throwing an exception. A security manager routine simply returns if the operation is permitted, but throws a SecurityException if the operation is not permitted. The only exception to this convention is checkTopLevelWindow, which returns a boolean value.

The current security manager is set by the setSecurityManager method in class System. The current security manager is obtained by the getSecurityManager method.

The default implementation of each of the checkXXX methods is to assume that the caller does not have permission to perform the requested operation.

     See Also:
     ClassLoader, SecurityException, checkTopLevelWindow, getSecurityManager, setSecurityManager

 inCheck

This field is true if there is a security check in progress; false otherwise.

 SecurityManager()

Constructs a new SecurityManager.

 checkAccept(String, int)

Throws a SecurityException if the calling thread is not permitted to accept a socket connection from the specified host and port number.

 checkAccess(Thread)

Throws a SecurityException if the calling thread is not allowed to modify the thread argument.

 checkAccess(ThreadGroup)

Throws a SecurityException if the calling thread is not allowed to modify the thread group argument.

 checkAwtEventQueueAccess()

Tests if a client can get access to the AWT event queue.

 checkConnect(String, int)

Throws a SecurityException if the calling thread is not allowed to open a socket connection to the specified host and port number.

 checkConnect(String, int, Object)

Throws a SecurityException if the specified security context is not allowed to open a socket connection to the specified host and port number.

 checkCreateClassLoader()

Throws a SecurityException if the calling thread is not allowed to create a new class loader.

 checkDelete(String)

Throws a SecurityException if the calling thread is not allowed to delete the specified file.

 checkExec(String)

Throws a SecurityException if the calling thread is not allowed to create a subprocss.

 checkExit(int)

Throws a SecurityException if the calling thread is not allowed to cause the Java Virtual Machine to halt with the specified status code.

 checkLink(String)

Throws a SecurityException if the calling thread is not allowed to dynamic link the library code specified by the string argument file.

 checkListen(int)

Throws a SecurityException if the calling thread is not allowed to wait for a connection request on the specified local port number.

 checkMemberAccess(Class, int)

Tests if a client is allowed to access members.

 checkMulticast(InetAddress)

Tests if current execution context is allowed to use (join/leave/send/receive) IP multicast.

 checkMulticast(InetAddress, byte)

Tests to see if current execution context is allowed to use (join/leave/send/receive) IP multicast.

 checkPackageAccess(String)

Throws a SecurityException if the calling thread is not allowed to access the package specified by the argument.

 checkPackageDefinition(String)

Throws a SecurityException if the calling thread is not allowed to define classes in the package specified by the argument.

 checkPrintJobAccess()

Tests if a client can initiate a print job request.

 checkPropertiesAccess()

Throws a SecurityException if the calling thread is not allowed to access or modify the system properties.

 checkPropertyAccess(String)

Throws a SecurityException if the calling thread is not allowed to access the system property with the specified key name.

 checkRead(FileDescriptor)

Throws a SecurityException if the calling thread is not allowed to read from the specified file descriptor.

 checkRead(String)

Throws a SecurityException if the calling thread is not allowed to read the file specified by the string argument.

 checkRead(String, Object)

Throws a SecurityException if the specified security context is not allowed to read the file specified by the string argument.

 checkSecurityAccess(String)

Tests access to certain operations for a security API action.

 checkSetFactory()

Throws a SecurityException if the calling thread is not allowed to set the socket factory used by ServerSocket or Socket, or the stream handler factory used by URL.

 checkSystemClipboardAccess()

Tests if a client can get access to the system clipboard.

 checkTopLevelWindow(Object)

Returns false if the calling thread is not trusted to bring up the top-level window indicated by the window argument.

 checkWrite(FileDescriptor)

Throws a SecurityException if the calling thread is not allowed to write to the specified file descriptor.

 checkWrite(String)

Throws a SecurityException if the calling thread is not allowed to write to the file specified by the string argument.

 classDepth(String)

Returns the stack depth of the specified class.

 classLoaderDepth()

Returns the stack depth of the most recently executing method from a class defined using a class loader.

 currentClassLoader()

Returns an object describing the most recent class loader executing on the stack.

 currentLoadedClass()

Returns the current Class with a ClassLoader on the execution stack.

 getClassContext()

Returns the current execution stack as an array of classes.

 getInCheck()

Tests if there is a security check in progress.

 getSecurityContext()

Creates an object that encapsulates the current execution environment.

 getThreadGroup()

Returns the thread group into which to instantiate any new thread being created at the time this is being called.

 inClass(String)

Tests if the specified String is in this Class.

 inClassLoader()

Tests if the current ClassLoader is equal to null.

 inCheck

 protected boolean inCheck

This field is true if there is a security check in progress; false otherwise.

 SecurityManager

 protected SecurityManager()

Constructs a new SecurityManager. An application is not allowed to create a new security manager if there is already a current security manager.

Throws: SecurityException

if a security manager already exists.

See Also:

getSecurityManager

 checkAccept

 public void checkAccept(String host,
                         int port)

Throws a SecurityException if the calling thread is not permitted to accept a socket connection from the specified host and port number.

This method is invoked for the current security manager by the accept method of class ServerSocket.

The checkAccept method for class SecurityManager always throws a SecurityException.

Parameters:

host - the host name of the socket connection.

port - the port number of the socket connection.

Throws: SecurityException

if the caller does not have permission to accept the connection.

See Also:

getSecurityManager, accept

 checkAccess

 public void checkAccess(Thread g)

Throws a SecurityException if the calling thread is not allowed to modify the thread argument.

This method is invoked for the current security manager by the stop, suspend, resume, setPriority, setName, and setDaemon methods of class Thread.

The checkAccess method for class SecurityManager always throws a SecurityException.

Parameters:

g - the thread to be checked.

Throws: SecurityException

if the caller does not have permission to modify the thread.

See Also:

getSecurityManager, resume, setDaemon, setName, setPriority, stop, suspend

 checkAccess

 public void checkAccess(ThreadGroup g)

Throws a SecurityException if the calling thread is not allowed to modify the thread group argument.

This method is invoked for the current security manager when a new child thread or child thread group is created, and by the setDaemon, setMaxPriority, stop, suspend, resume, and destroy methods of class ThreadGroup.

The checkAccess method for class SecurityManager always throws a SecurityException.

Parameters:

g - the thread group to be checked.

Throws: SecurityException

if the caller does not have permission to modify the thread group.

See Also:

getSecurityManager, destroy, resume, setDaemon, setMaxPriority, stop, suspend

 checkAwtEventQueueAccess

 public void checkAwtEventQueueAccess()

Tests if a client can get access to the AWT event queue.

 checkConnect

 public void checkConnect(String host,
                          int port)

Throws a SecurityException if the calling thread is not allowed to open a socket connection to the specified host and port number.

A port number of -1 indicates that the calling method is attempting to determine the IP address of the specified host name.

The checkConnect method for class SecurityManager always throws a SecurityException.

Parameters:

host - the host name port to connect to.

port - the protocol port to connect to.

Throws: SecurityException

if the caller does not have permission to open a socket connection to the specified host and port.

 checkConnect

 public void checkConnect(String host,
                          int port,
                          Object context)

Throws a SecurityException if the specified security context is not allowed to open a socket connection to the specified host and port number.

A port number of -1 indicates that the calling method is attempting to determine the IP address of the specified host name.

The checkConnect method for class SecurityManager always throws a SecurityException.

Parameters:

host - the host name port to connect to.

port - the protocol port to connect to.

context - a system-dependent security context.

Throws: SecurityException

if the specified security context does not have permission to open a socket connection to the specified host and port.

See Also:

getSecurityContext

 checkCreateClassLoader

 public void checkCreateClassLoader()

Throws a SecurityException if the calling thread is not allowed to create a new class loader.

The checkCreateClassLoader method for class SecurityManager always throws a SecurityException.

Throws: SecurityException

if the caller does not have permission to create a new class loader.

See Also:

ClassLoader

 checkDelete

 public void checkDelete(String file)

Throws a SecurityException if the calling thread is not allowed to delete the specified file.

This method is invoked for the current security manager by the delete method of class File.

The checkDelete method for class SecurityManager always throws a SecurityException.

Parameters:

file - the system-dependent filename.

Throws: SecurityException

if the caller does not have permission to delete the file.

See Also:

delete, getSecurityManager

 checkExec

 public void checkExec(String cmd)

Throws a SecurityException if the calling thread is not allowed to create a subprocss.

This method is invoked for the current security manager by the exec methods of class Runtime.

The checkExec method for class SecurityManager always throws a SecurityException.

Parameters:

cmd - the specified system command.

Throws: SecurityException

if the caller does not have permission to create a subprocess.

See Also:

exec, exec, exec, exec, getSecurityManager

 checkExit

 public void checkExit(int status)

Throws a SecurityException if the calling thread is not allowed to cause the Java Virtual Machine to halt with the specified status code.

This method is invoked for the current security manager by the exit method of class Runtime. A status of 0 indicates success; other values indicate various errors.

The checkExit method for class SecurityManager always throws a SecurityException.

Parameters:

status - the exit status.

Throws: SecurityException

if the caller does not have permission to halt the Java Virtual Machine with the specified status.

See Also:

exit, getSecurityManager

 checkLink

 public void checkLink(String lib)

Throws a SecurityException if the calling thread is not allowed to dynamic link the library code specified by the string argument file. The argument is either a simple library name or a complete filename.

This method is invoked for the current security manager by methods load and loadLibrary of class Runtime.

The checkLink method for class SecurityManager always throws a SecurityException.

Parameters:

lib - the name of the library.

Throws: SecurityException

if the caller does not have permission to dynamically link the library.

See Also:

load, loadLibrary, getSecurityManager

 checkListen

 public void checkListen(int port)

Throws a SecurityException if the calling thread is not allowed to wait for a connection request on the specified local port number.

The checkListen method for class SecurityManager always throws a SecurityException.

Parameters:

port - the local port.

Throws: SecurityException

if the caller does not have permission to listen on the specified port.

 checkMemberAccess

 public void checkMemberAccess(Class clazz,
                               int which)

Tests if a client is allowed to access members. If access is denied, throw a SecurityException. The default policy is to deny all accesses.

 checkMulticast

 public void checkMulticast(InetAddress maddr)

Tests if current execution context is allowed to use (join/leave/send/receive) IP multicast.

Parameters:

multicast - Internet group address to be used.

Throws: SecurityException

if a security error has occurred.

 checkMulticast

 public void checkMulticast(InetAddress maddr,
                            byte ttl)

Tests to see if current execution context is allowed to use (join/leave/send/receive) IP multicast.

Parameters:

multicast - Internet group address to be used.

ttl - value in use, if it is multicast send.

Throws: SecurityException

if a security error has occurred.

 checkPackageAccess

 public void checkPackageAccess(String pkg)

Throws a SecurityException if the calling thread is not allowed to access the package specified by the argument.

This method is used by the loadClass method of class loaders.

The checkPackageAccess method for class SecurityManager always throws a SecurityException.

Parameters:

pkg - the package name.

Throws: SecurityException

if the caller does not have permission to access the specified package.

See Also:

loadClass

 checkPackageDefinition

 public void checkPackageDefinition(String pkg)

Throws a SecurityException if the calling thread is not allowed to define classes in the package specified by the argument.

This method is used by the loadClass method of some class loaders.

The checkPackageDefinition method for class SecurityManager always throws a SecurityException.

Parameters:

pkg - the package name.

Throws: SecurityException

if the caller does not have permission to define classes in the specified package.

See Also:

loadClass

 checkPrintJobAccess

 public void checkPrintJobAccess()

Tests if a client can initiate a print job request.

 checkPropertiesAccess

 public void checkPropertiesAccess()

Throws a SecurityException if the calling thread is not allowed to access or modify the system properties.

This method is used by the getProperties and setProperties methods of class System.

The checkPropertiesAccess method for class SecurityManager always throws a SecurityException.

Throws: SecurityException

if the caller does not have permission to access or modify the system properties.

See Also:

getProperties, setProperties

 checkPropertyAccess

 public void checkPropertyAccess(String key)

Throws a SecurityException if the calling thread is not allowed to access the system property with the specified key name.

This method is used by the getProperty method of class System.

The checkPropertiesAccess method for class SecurityManager always throws a SecurityException.

Parameters:

key - a system property key.

Throws: SecurityException

if the caller does not have permission to access the specified system property.

See Also:

getProperty

 checkRead

 public void checkRead(FileDescriptor fd)

Throws a SecurityException if the calling thread is not allowed to read from the specified file descriptor.

The checkRead method for class SecurityManager always throws a SecurityException.

Parameters:

fd - the system-dependent file descriptor.

Throws: SecurityException

if the caller does not have permission to access the specified file descriptor.

See Also:

FileDescriptor

 checkRead

 public void checkRead(String file)

Throws a SecurityException if the calling thread is not allowed to read the file specified by the string argument.

The checkRead method for class SecurityManager always throws a SecurityException.

Parameters:

file - the system-dependent file name.

Throws: SecurityException

if the caller does not have permission to access the specified file.

 checkRead

 public void checkRead(String file,
                       Object context)

Throws a SecurityException if the specified security context is not allowed to read the file specified by the string argument. The context must be a security context returned by a previous call to getSecurityContext.

The checkRead method for class SecurityManager always throws a SecurityException.

Parameters:

file - the system-dependent filename.

context - a system-dependent security context.

Throws: SecurityException

if the specified security context does not have permission to read the specified file.

See Also:

getSecurityContext

 checkSecurityAccess

 public void checkSecurityAccess(String action)

Tests access to certain operations for a security API action.

 checkSetFactory

 public void checkSetFactory()

Throws a SecurityException if the calling thread is not allowed to set the socket factory used by ServerSocket or Socket, or the stream handler factory used by URL.

The checkSetFactory method for class SecurityManager always throws a SecurityException.

Throws: SecurityException

if the caller does not have permission to specify a socket factory or a stream handler factory.

See Also:

setSocketFactory, setSocketImplFactory, setURLStreamHandlerFactory

 checkSystemClipboardAccess

 public void checkSystemClipboardAccess()

Tests if a client can get access to the system clipboard.

 checkTopLevelWindow

 public boolean checkTopLevelWindow(Object window)

Returns false if the calling thread is not trusted to bring up the top-level window indicated by the window argument. In this case, the caller can still decide to show the window, but the window should include some sort of visual warning. If the method returns true, then the window can be shown without any special restrictions.

See class Window for more information on trusted and untrusted windows.

The checkSetFactory method for class SecurityManager always returns false.

Parameters:

window - the new window that is being created.

Returns:

true if the caller is trusted to put up top-level windows; false otherwise.

Throws: SecurityException

if creation is disallowed entirely.

See Also:

Window

 checkWrite

 public void checkWrite(FileDescriptor fd)

Throws a SecurityException if the calling thread is not allowed to write to the specified file descriptor.

The checkWrite method for class SecurityManager always throws a SecurityException.

Parameters:

fd - the system-dependent file descriptor.

Throws: SecurityException

if the caller does not have permission to access the specified file descriptor.

See Also:

FileDescriptor

 checkWrite

 public void checkWrite(String file)

Throws a SecurityException if the calling thread is not allowed to write to the file specified by the string argument.

The checkWrite method for class SecurityManager always throws a SecurityException.

Parameters:

file - the system-dependent filename.

Throws: SecurityException

if the caller does not have permission to access the specified file.

 classDepth

 protected native int classDepth(String name)

Returns the stack depth of the specified class.

Parameters:

name - the fully qualified name of the class to search for.

Returns:

the depth on the stack frame of the first occurrence of a method from a class with the specified name; -1 if such a frame cannot be found.

 classLoaderDepth

 protected native int classLoaderDepth()

Returns the stack depth of the most recently executing method from a class defined using a class loader.

Returns:

the depth on the stack frame of the most recent occurrence of a method from a class defined using a class loader; returns -1 if there is no occurrence of a method from a class defined using a class loader.

 currentClassLoader

 protected native ClassLoader currentClassLoader()

Returns an object describing the most recent class loader executing on the stack.

Returns:

the class loader of the most recent occurrence on the stack of a method from a class defined using a class loader; returns null if there is no occurrence on the stack of a method from a class defined using a class loader.

 currentLoadedClass

 protected Class currentLoadedClass()

Returns the current Class with a ClassLoader on the execution stack.

 getClassContext

 protected native Class[] getClassContext()

Returns the current execution stack as an array of classes.

The length of the array is the number of methods on the execution stack. The element at index 0 is the class of the currently executing method, the element at index 1 is the class of that method's caller, and so on.

Returns:

the execution stack.

 getInCheck

 public boolean getInCheck()

Tests if there is a security check in progress.

Returns:

the value of the inCheck field. This field should contain true if a security check is in progress; false otherwise.

See Also:

inCheck

 getSecurityContext

 public Object getSecurityContext()

Creates an object that encapsulates the current execution environment. The result of this method is used by the three-argument checkConnect method and by the two-argument checkRead method.

These methods are needed because a trusted method may be called on to read a file or open a socket on behalf of another method. The trusted method needs to determine if the other (possibly untrusted) method would be allowed to perform the operation on its own.

Returns:

an implementation-dependent object that encapsulates sufficient information about the current execution environment to perform some security checks later.

See Also:

checkConnect, checkRead

 getThreadGroup

 public ThreadGroup getThreadGroup()

Returns the thread group into which to instantiate any new thread being created at the time this is being called. By default, it returns the thread group of the current thread. This should be overriden by specific security manager to return the appropriate thread group.

 inClass

 protected boolean inClass(String name)

Tests if the specified String is in this Class.

Parameters:

name - the fully qualified name of the class.

Returns:

true if a method from a class with the specified name is on the execution stack; false otherwise.

 inClassLoader

 protected boolean inClassLoader()

Tests if the current ClassLoader is equal to null.

Returns:

true if a method from a class defined using a class loader is on the execution stack.


 Class java.lang.Short

java.lang.Object
   |
   +----java.lang.Number
           |
           +----java.lang.Short

public final class Short
   extends Number

The Short class is the standard wrapper for short values.

     See Also:
     Number

 MAX_VALUE

The maximum value a Short can have.

 MIN_VALUE

The minimum value a Short can have.

 TYPE

The Class object representing the primitive type short.

 Short(short)

Constructs a Short object initialized to the specified short value.

 Short(String)

Constructs a Short object initialized to the value specified by the String parameter.

 byteValue()

Returns the value of this Short as a byte.

 decode(String)

Decodes a String into a Short.

 doubleValue()

Returns the value of this Short as a double.

 equals(Object)

Compares this object to the specified object.

 floatValue()

Returns the value of this Short as a float.

 hashCode()

Returns a hashcode for this Short.

 intValue()

Returns the value of this Short as an int.

 longValue()

Returns the value of this Short as a long.

 parseShort(String)

Assuming the specified String represents a short, returns that short's value.

 parseShort(String, int)

Assuming the specified String represents a short, returns that short's value.

 shortValue()

Returns the value of this Short as a short.

 toString()

Returns a String object representing this Short's value.

 toString(short)

Returns a new String object representing the specified Short.

 valueOf(String)

Assuming the specified String represents a short, returns a new Short object initialized to that value.

 valueOf(String, int)

Assuming the specified String represents a short, returns a new Short object initialized to that value.

 MAX_VALUE

 public static final short MAX_VALUE

The maximum value a Short can have.

 MIN_VALUE

 public static final short MIN_VALUE

The minimum value a Short can have.

 TYPE

 public static final Class TYPE

The Class object representing the primitive type short.

 Short

 public Short(short value)

Constructs a Short object initialized to the specified short value.

Parameters:

value - the initial value of the Short

 Short

 public Short(String s) throws NumberFormatException

Constructs a Short object initialized to the value specified by the String parameter. The radix is assumed to be 10.

Parameters:

s - the String to be converted to a Short

Throws: NumberFormatException

If the String does not contain a parsable short.

 byteValue

 public byte byteValue()

Returns the value of this Short as a byte.

Overrides:

byteValue in class Number

 decode

 public static Short decode(String nm) throws NumberFormatException

Decodes a String into a Short. The String may represent decimal, hexadecimal, and octal numbers.

Parameters:

nm - the string to decode

 doubleValue

 public double doubleValue()

Returns the value of this Short as a double.

Overrides:

doubleValue in class Number

 equals

 public boolean equals(Object obj)

Compares this object to the specified object.

Parameters:

obj - the object to compare with

Returns:

true if the objects are the same; false otherwise.

Overrides:

equals in class Object

 floatValue

 public float floatValue()

Returns the value of this Short as a float.

Overrides:

floatValue in class Number

 hashCode

 public int hashCode()

Returns a hashcode for this Short.

Overrides:

hashCode in class Object

 intValue

 public int intValue()

Returns the value of this Short as an int.

Overrides:

intValue in class Number

 longValue

 public long longValue()

Returns the value of this Short as a long.

Overrides:

longValue in class Number

 parseShort

 public static short parseShort(String s) throws NumberFormatException

Assuming the specified String represents a short, returns that short's value. Throws an exception if the String cannot be parsed as a short. The radix is assumed to be 10.

Parameters:

s - the String containing the short

Throws: NumberFormatException

If the string does not contain a parsable short.

 parseShort

 public static short parseShort(String s,
                                int radix) throws NumberFormatException

Assuming the specified String represents a short, returns that short's value. Throws an exception if the String cannot be parsed as a short.

Parameters:

s - the String containing the short

radix - the radix to be used

Throws: NumberFormatException

If the String does not contain a parsable short.

 shortValue

 public short shortValue()

Returns the value of this Short as a short.

Overrides:

shortValue in class Number

 toString

 public String toString()

Returns a String object representing this Short's value.

Overrides:

toString in class Object

 toString

 public static String toString(short s)

Returns a new String object representing the specified Short. The radix is assumed to be 10.

Parameters:

s - the short to be converted

 valueOf

 public static Short valueOf(String s) throws NumberFormatException

Assuming the specified String represents a short, returns a new Short object initialized to that value. Throws an exception if the String cannot be parsed as a short.

Parameters:

s - the String containing the integer

Throws: NumberFormatException

If the String does not contain a parsable short.

 valueOf

 public static Short valueOf(String s,
                             int radix) throws NumberFormatException

Assuming the specified String represents a short, returns a new Short object initialized to that value. Throws an exception if the String cannot be parsed as a short.

Parameters:

s - the String containing the integer

radix - the radix to be used

Throws: NumberFormatException

If the String does not contain a parsable short.


 Class java.lang.String

java.lang.Object
   |
   +----java.lang.String

public final class String
   extends Object
   implements Serializable

The String class represents character strings. All string literals in Java programs, such as "abc", are implemented as instances of this class.

Strings are constant; their values cannot be changed after they are created. String buffers support mutable strings. Because String objects are immutable they can be shared. For example:

     String str = "abc";

is equivalent to:

     char data[] = {'a', 'b', 'c'};
     String str = new String(data);

Here are some more examples of how strings can be used:

     System.out.println("abc");
     String cde = "cde";
     System.out.println("abc" + cde);
     String c = "abc".substring(2,3);
     String d = cde.substring(1, 2);

The class String includes methods for examining individual characters of the sequence, for comparing strings, for searching strings, for extracting substrings, and for creating a copy of a string with all characters translated to uppercase or to lowercase.

The Java language provides special support for the string concatentation operator ( + ), and for conversion of other objects to strings. String concatenation is implemented through the StringBuffer class and its append method. String conversions are implemented through the method toString, defined by Object and inherited by all classes in Java. For additional information on string concatenation and conversion, see Gosling, Joy, and Steele, The Java Language Specification.

     See Also:
     toString, StringBuffer, append, append, append, append, append, append, append, append, append, append

 String()

Allocates a new String containing no characters.

 String(byte[])

Construct a new String by converting the specified array of bytes using the platform's default character encoding.

 String(byte[], int)

Allocates a new String containing characters constructed from an array of 8-bit integer values. Deprecated.

 String(byte[], int, int)

Construct a new String by converting the specified subarray of bytes using the platform's default character encoding.

 String(byte[], int, int, int)

Allocates a new String constructed from a subarray of an array of 8-bit integer values. Deprecated.

 String(byte[], int, int, String)

Construct a new String by converting the specified subarray of bytes using the specified character encoding.

 String(byte[], String)

Construct a new String by converting the specified array of bytes using the specified character encoding.

 String(char[])

Allocates a new String so that it represents the sequence of characters currently contained in the character array argument.

 String(char[], int, int)

Allocates a new String that contains characters from a subarray of the character array argument.

 String(String)

Allocates a new string that contains the same sequence of characters as the string argument.

 String(StringBuffer)

Allocates a new string that contains the sequence of characters currently contained in the string buffer argument.

 charAt(int)

Returns the character at the specified index.

 compareTo(String)

Compares two strings lexicographically.

 concat(String)

Concatenates the specified string to the end of this string.

 copyValueOf(char[])

Returns a String that is equivalent to the specified character array.

 copyValueOf(char[], int, int)

Returns a String that is equivalent to the specified character array.

 endsWith(String)

Tests if this string ends with the specified suffix.

 equals(Object)

Compares this string to the specified object.

 equalsIgnoreCase(String)

Compares this String to another object.

 getBytes()

Convert this String into bytes according to the platform's default character encoding, storing the result into a new byte array.

 getBytes(int, int, byte[], int)

Copies characters from this string into the destination byte array. Deprecated.

 getBytes(String)

Convert this String into bytes according to the specified character encoding, storing the result into a new byte array.

 getChars(int, int, char[], int)

Copies characters from this string into the destination character array.

 hashCode()

Returns a hashcode for this string.

 indexOf(int)

Returns the index within this string of the first occurrence of the specified character.

 indexOf(int, int)

Returns the index within this string of the first occurrence of the specified character, starting the search at the specified index.

 indexOf(String)

Returns the index within this string of the first occurrence of the specified substring.

 indexOf(String, int)

Returns the index within this string of the first occurrence of the specified substring, starting at the specified index.

 intern()

Returns a canonical representation for the string object.

 lastIndexOf(int)

Returns the index within this string of the last occurrence of the specified character.

 lastIndexOf(int, int)

Returns the index within this string of the last occurrence of the specified character, searching backward starting at the specified index.

 lastIndexOf(String)

Returns the index within this string of the rightmost occurrence of the specified substring.

 lastIndexOf(String, int)

Returns the index within this string of the last occurrence of the specified substring.

 length()

Returns the length of this string.

 regionMatches(boolean, int, String, int, int)

Tests if two string regions are equal.

 regionMatches(int, String, int, int)

Tests if two string regions are equal.

 replace(char, char)

Returns a new string resulting from replacing all occurrences of oldChar in this string with newChar.

 startsWith(String)

Tests if this string starts with the specified prefix.

 startsWith(String, int)

Tests if this string starts with the specified prefix.

 substring(int)

Returns a new string that is a substring of this string.

 substring(int, int)

Returns a new string that is a substring of this string.

 toCharArray()

Converts this string to a new character array.

 toLowerCase()

Converts this String to lowercase.

 toLowerCase(Locale)

Converts all of the characters in this String to lower case using the rules of the given locale.

 toString()

This object (which is already a string!) is itself returned.

 toUpperCase()

Converts this string to uppercase.

 toUpperCase(Locale)

Converts all of the characters in this String to upper case using the rules of the given locale.

 trim()

Removes white space from both ends of this string.

 valueOf(boolean)

Returns the string representation of the boolean argument.

 valueOf(char)

Returns the string representation of the char * argument.

 valueOf(char[])

Returns the string representation of the char array argument.

 valueOf(char[], int, int)

Returns the string representation of a specific subarray of the char array argument.

 valueOf(double)

Returns the string representation of the double argument.

 valueOf(float)

Returns the string representation of the float argument.

 valueOf(int)

Returns the string representation of the int argument.

 valueOf(long)

Returns the string representation of the long argument.

 valueOf(Object)

Returns the string representation of the Object argument.

 String

 public String()

Allocates a new String containing no characters.

 String

 public String(byte bytes[])

Construct a new String by converting the specified array of bytes using the platform's default character encoding. The length of the new String is a function of the encoding, and hence may not be equal to the length of the byte array.

Parameters:

bytes - The bytes to be converted into characters

 String

 public String(byte ascii[],
               int hibyte)

Note: String() is deprecated. This method does not properly convert bytes into characters. As of JDK 1.1, the preferred way to do this is via the String constructors that take a character-encoding name or that use the platform's default encoding.

Allocates a new String containing characters constructed from an array of 8-bit integer values. Each character cin the resulting string is constructed from the corresponding component b in the byte array such that:

     c == (char)(((hibyte & 0xff) << 8)
                         | (b & 0xff))

Parameters:

ascii - the bytes to be converted to characters.

hibyte - the top 8 bits of each 16-bit Unicode character.

See Also:

String, String, String, String

 String

 public String(byte bytes[],
               int offset,
               int length)

Construct a new String by converting the specified subarray of bytes using the platform's default character encoding. The length of the new String is a function of the encoding, and hence may not be equal to the length of the subarray.

Parameters:

bytes - The bytes to be converted into characters

offset - Index of the first byte to convert

length - Number of bytes to convert

 String

 public String(byte ascii[],
               int hibyte,
               int offset,
               int count)

Note: String() is deprecated. This method does not properly convert bytes into characters. As of JDK 1.1, the preferred way to do this is via the String constructors that take a character-encoding name or that use the platform's default encoding.

Allocates a new String constructed from a subarray of an array of 8-bit integer values.

The offset argument is the index of the first byte of the subarray, and the count argument specifies the length of the subarray.

Each byte in the subarray is converted to a char as specified in the method above.

Parameters:

ascii - the bytes to be converted to characters.

hibyte - the top 8 bits of each 16-bit Unicode character.

offset - the initial offset.

count - the length.

Throws: StringIndexOutOfBoundsException

if the offset or count argument is invalid.

See Also:

String, String, String, String, String

 String

 public String(byte bytes[],
               int offset,
               int length,
               String enc) throws UnsupportedEncodingException

Construct a new String by converting the specified subarray of bytes using the specified character encoding. The length of the new String is a function of the encoding, and hence may not be equal to the length of the subarray.

Parameters:

bytes - The bytes to be converted into characters

offset - Index of the first byte to convert

length - Number of bytes to convert

enc - The name of a character encoding

Throws: UnsupportedEncodingException

If the named encoding is not supported

 String

 public String(byte bytes[],
               String enc) throws UnsupportedEncodingException

Construct a new String by converting the specified array of bytes using the specified character encoding. The length of the new String is a function of the encoding, and hence may not be equal to the length of the byte array.

Parameters:

bytes - The bytes to be converted into characters

enc - A character-encoding name

Throws: UnsupportedEncodingException

If the named encoding is not supported

 String

 public String(char value[])

Allocates a new String so that it represents the sequence of characters currently contained in the character array argument.

Parameters:

value - the initial value of the string.

 String

 public String(char value[],
               int offset,
               int count)

Allocates a new String that contains characters from a subarray of the character array argument. The offset argument is the index of the first character of the subarray and the count argument specifies the length of the subarray.

Parameters:

value - array that is the source of characters.

offset - the initial offset.

count - the length.

Throws: StringIndexOutOfBoundsException

if the offset and count arguments index characters outside the bounds of the value array.

 String

 public String(String value)

Allocates a new string that contains the same sequence of characters as the string argument.

Parameters:

value - a String.

 String

 public String(StringBuffer buffer)

Allocates a new string that contains the sequence of characters currently contained in the string buffer argument.

Parameters:

buffer - a StringBuffer.

 charAt

 public char charAt(int index)

Returns the character at the specified index. An index ranges from 0 to length() - 1.

Parameters:

index - the index of the character.

Returns:

the character at the specified index of this string. The first character is at index 0.

Throws: StringIndexOutOfBoundsException

if the index is out of range.

 compareTo

 public int compareTo(String anotherString)

Compares two strings lexicographically. The comparison is based on the Unicode value of each character in the strings.

Parameters:

anotherString - the String to be compared.

Returns:

the value 0 if the argument string is equal to this string; a value less than 0 if this string is lexicographically less than the string argument; and a value greater than 0 if this string is lexicographically greater than the string argument.

 concat

 public String concat(String str)

Concatenates the specified string to the end of this string.

If the length of the argument string is 0, then this object is returned.

Parameters:

str - the String that is concatenated to the end of this String.

Returns:

a string that represents the concatenation of this object's characters followed by the string argument's characters.

 copyValueOf

 public static String copyValueOf(char data[])

Returns a String that is equivalent to the specified character array. It creates a new array and copies the characters into it.

Parameters:

data - the character array.

Returns:

a String that contains the characters of the character array.

 copyValueOf

 public static String copyValueOf(char data[],
                                  int offset,
                                  int count)

Returns a String that is equivalent to the specified character array. It creates a new array and copies the characters into it.

Parameters:

data - the character array.

offset - initial offset of the subarray.

count - length of the subarray.

Returns:

a String that contains the characters of the specified subarray of the character array.

 endsWith

 public boolean endsWith(String suffix)

Tests if this string ends with the specified suffix.

Parameters:

suffix - the suffix.

Returns:

true if the character sequence represented by the argument is a suffix of the character sequence represented by this object; false otherwise.

 equals

 public boolean equals(Object anObject)

Compares this string to the specified object. The result is true if and only if the argument is not null and is a String object that represents the same sequence of characters as this object.

Parameters:

anObject - the object to compare this String against.

Returns:

true if the String are equal; false otherwise.

Overrides:

equals in class Object

See Also:

compareTo, equalsIgnoreCase

 equalsIgnoreCase

 public boolean equalsIgnoreCase(String anotherString)

Compares this String to another object. The result is true if and only if the argument is not null and is a String object that represents the same sequence of characters as this object, where case is ignored.

Two characters are considered the same, ignoring case, if at least one of the following is true:

•	The two characters are the same (as compared by the == operator).

•	Applying the method Character.toUppercase to each character produces the same result.

•	Applying the method Character.toLowercase to each character produces the same result.

Two sequences of characters are the same, ignoring case, if the sequences have the same length and corresponding characters are the same, ignoring case.

Parameters:

anotherString - the String to compare this String against.

Returns:

true if the Strings are equal, ignoring case; false otherwise.

See Also:

toLowerCase, toUpperCase

 getBytes

 public byte[] getBytes()

Convert this String into bytes according to the platform's default character encoding, storing the result into a new byte array.

Returns:

the resultant byte array.

 getBytes

 public void getBytes(int srcBegin,
                      int srcEnd,
                      byte dst[],
                      int dstBegin)

Note: getBytes() is deprecated. This method does not properly convert characters into bytes. As of JDK 1.1, the preferred way to do this is via the getBytes(String enc) method, which takes a character-encoding name, or the getBytes() method, which uses the platform's default encoding.

Copies characters from this string into the destination byte array. Each byte receives the 8 low-order bits of the corresponding character.

The first character to be copied is at index srcBegin; the last character to be copied is at index srcEnd-1. The total number of characters to be copied is srcEnd-srcBegin. The characters, converted to bytes, are copied into the subarray of dst starting at index dstBegin and ending at index:

     dstbegin + (srcEnd-srcBegin) - 1

Parameters:

srcBegin - index of the first character in the string to copy.

srcEnd - index after the last character in the string to copy.

dst - the destination array.

dstBegin - the start offset in the destination array.

Throws: StringIndexOutOfBoundsException

if srcBegin or srcEnd is out of range, or if srcBegin is greater than srcEnd.

 getBytes

 public byte[] getBytes(String enc) throws UnsupportedEncodingException

Convert this String into bytes according to the specified character encoding, storing the result into a new byte array.

Parameters:

enc - A character-encoding name

Returns:

The resultant byte array

Throws: UnsupportedEncodingException

If the named encoding is not supported

 getChars

 public void getChars(int srcBegin,
                      int srcEnd,
                      char dst[],
                      int dstBegin)

Copies characters from this string into the destination character array.

The first character to be copied is at index srcBegin; the last character to be copied is at index srcEnd-1 (thus the total number of characters to be copied is srcEnd-srcBegin). The characters are copied into the subarray of dst starting at index dstBegin and ending at index:

     dstbegin + (srcEnd-srcBegin) - 1

Parameters:

srcBegin - index of the first character in the string to copy.

srcEnd - index after the last character in the string to copy.

dst - the destination array.

dstBegin - the start offset in the destination array.

Throws: StringIndexOutOfBoundsException

If srcBegin or srcEnd is out of range, or if srcBegin is greater than the srcEnd.

 hashCode

 public int hashCode()

Returns a hashcode for this string.

Returns:

a hash code value for this object.

Overrides:

hashCode in class Object

 indexOf

 public int indexOf(int ch)

Returns the index within this string of the first occurrence of the specified character.

Parameters:

ch - a character.

Returns:

the index of the first occurrence of the character in the character sequence represented by this object, or -1 if the character does not occur.

 indexOf

 public int indexOf(int ch,
                    int fromIndex)

Returns the index within this string of the first occurrence of the specified character, starting the search at the specified index.

Parameters:

ch - a character.

fromIndex - the index to start the search from.

Returns:

the index of the first occurrence of the character in the character sequence represented by this object that is greater than or equal to fromIndex, or -1 if the character does not occur.

 indexOf

 public int indexOf(String str)

Returns the index within this string of the first occurrence of the specified substring.

Parameters:

str - any string.

Returns:

if the string argument occurs as a substring within this object, then the index of the first character of the first such substring is returned; if it does not occur as a substring, -1 is returned.

 indexOf

 public int indexOf(String str,
                    int fromIndex)

Returns the index within this string of the first occurrence of the specified substring, starting at the specified index.

Parameters:

str - the substring to search for.

fromIndex - the index to start the search from.

Returns:

If the string argument occurs as a substring within this object at a starting index no smaller than fromIndex, then the index of the first character of the first such substring is returned. If it does not occur as a substring starting at fromIndex or beyond, -1 is returned.

 intern

 public native String intern()

Returns a canonical representation for the string object.

If s and t are strings such that s.equals(t), it is guaranteed that

s.intern() == t.intern().

Returns:

a string that has the same contents as this string, but is guaranteed to be from a pool of unique strings.

 lastIndexOf

 public int lastIndexOf(int ch)

Returns the index within this string of the last occurrence of the specified character. The String is searched backwards starting at the last character.

Parameters:

ch - a character.

Returns:

the index of the last occurrence of the character in the character sequence represented by this object, or -1 if the character does not occur.

 lastIndexOf

 public int lastIndexOf(int ch,
                        int fromIndex)

Returns the index within this string of the last occurrence of the specified character, searching backward starting at the specified index.

Parameters:

ch - a character.

fromIndex - the index to start the search from.

Returns:

the index of the last occurrence of the character in the character sequence represented by this object that is less than or equal to fromIndex, or -1 if the character does not occur before that point.

 lastIndexOf

 public int lastIndexOf(String str)

Returns the index within this string of the rightmost occurrence of the specified substring. The rightmost empty string "" is considered to occur at the index value this.length().

Parameters:

str - the substring to search for.

Returns:

if the string argument occurs one or more times as a substring within this object, then the index of the first character of the last such substring is returned. If it does not occur as a substring, -1 is returned.

 lastIndexOf

 public int lastIndexOf(String str,
                        int fromIndex)

Returns the index within this string of the last occurrence of the specified substring. The returned index indicates the start of the substring, and it must be equal to or less than fromIndex.

Parameters:

str - the substring to search for.

fromIndex - the index to start the search from.

Returns:

If the string argument occurs one or more times as a substring within this object at a starting index no greater than fromIndex, then the index of the first character of the last such substring is returned. If it does not occur as a substring starting at fromIndex or earlier, -1 is returned.

 length

 public int length()

Returns the length of this string. The length is equal to the number of 16-bit Unicode characters in the string.

Returns:

the length of the sequence of characters represented by this object.

 regionMatches

 public boolean regionMatches(boolean ignoreCase,
                              int toffset,
                              String other,
                              int ooffset,
                              int len)

Tests if two string regions are equal.

If toffset or ooffset is negative, or if toffset+length is greater than the length of this string, or if ooffset+length is greater than the length of the string argument, then this method returns false.

Parameters:

ignoreCase - if true, ignore case when comparing characters.

toffset - the starting offset of the subregion in this string.

other - the string argument.

ooffset - the starting offset of the subregion in the string argument.

len - the number of characters to compare.

Returns:

true if the specified subregion of this string matches the specified subregion of the string argument; false otherwise. Whether the matching is exact or case insensitive depends on the ignoreCase argument.

 regionMatches

 public boolean regionMatches(int toffset,
                              String other,
                              int ooffset,
                              int len)

Tests if two string regions are equal.

If toffset or ooffset is negative, or if toffset+length is greater than the length of this string, or if ooffset+length is greater than the length of the string argument, then this method returns false.

Parameters:

toffset - the starting offset of the subregion in this string.

other - the string argument.

ooffset - the starting offset of the subregion in the string argument.

len - the number of characters to compare.

Returns:

true if the specified subregion of this string exactly matches the specified subregion of the string argument; false otherwise.

 replace

 public String replace(char oldChar,
                       char newChar)

Returns a new string resulting from replacing all occurrences of oldChar in this string with newChar.

If the character oldChar does not occur in the character sequence represented by this object, then this string is returned.

Parameters:

oldChar - the old character.

newChar - the new character.

Returns:

a string derived from this string by replacing every occurrence of oldChar with newChar.

 startsWith

 public boolean startsWith(String prefix)

Tests if this string starts with the specified prefix.

Parameters:

prefix - the prefix.

Returns:

true if the character sequence represented by the argument is a prefix of the character sequence represented by this string; false otherwise.

 startsWith

 public boolean startsWith(String prefix,
                           int toffset)

Tests if this string starts with the specified prefix.

Parameters:

prefix - the prefix.

toffset - where to begin looking in the string.

Returns:

true if the character sequence represented by the argument is a prefix of the substring of this object starting at index toffset; false otherwise.

 substring

 public String substring(int beginIndex)

Returns a new string that is a substring of this string. The substring begins at the specified index and extends to the end of this string.

Parameters:

beginIndex - the beginning index, inclusive.

Returns:

the specified substring.

Throws: StringIndexOutOfBoundsException

if the beginIndex is out of range.

 substring

 public String substring(int beginIndex,
                         int endIndex)

Returns a new string that is a substring of this string. The substring begins at the specified beginIndex and extends to the character at index endIndex - 1.

Parameters:

beginIndex - the beginning index, inclusive.

endIndex - the ending index, exclusive.

Returns:

the specified substring.

Throws: StringIndexOutOfBoundsException

if the beginIndex or the endIndex is out of range.

 toCharArray

 public char[] toCharArray()

Converts this string to a new character array.

Returns:

a newly allocated character array whose length is the length of this string and whose contents are initialized to contain the character sequence represented by this string.

 toLowerCase

 public String toLowerCase()

Converts this String to lowercase.

If no character in the string has a different lowercase version, based on calling the toLowerCase method defined by Character, then the original string is returned.

Otherwise, a new string is allocated, whose length is identical to this string, and such that each character that has a different lowercase version is mapped to this lowercase equivalent.

Returns:

the string, converted to lowercase.

See Also:

toLowerCase, toUpperCase

 toLowerCase

 public String toLowerCase(Locale locale)

Converts all of the characters in this String to lower case using the rules of the given locale.

Parameters:

locale - use the case transformation rules for this locale

Returns:

the String, converted to lowercase.

See Also:

toLowerCase, toUpperCase

 toString

 public String toString()

This object (which is already a string!) is itself returned.

Returns:

the string itself.

Overrides:

toString in class Object

 toUpperCase

 public String toUpperCase()

Converts this string to uppercase.

If no character in this string has a different uppercase version, based on calling the toUpperCase method defined by Character, then the original string is returned.

Otherwise, a new string is allocated, whose length is identical to this string, and such that each character that has a different uppercase version is mapped to this uppercase equivalent.

Returns:

the string, converted to uppercase.

See Also:

toUpperCase, toLowerCase

 toUpperCase

 public String toUpperCase(Locale locale)

Converts all of the characters in this String to upper case using the rules of the given locale.

Parameters:

locale - use the case transformation rules for this locale

Returns:

the String, converted to uppercase.

See Also:

toUpperCase, toLowerCase

 trim

 public String trim()

Removes white space from both ends of this string.

All characters that have codes less than or equal to '\u0020' (the space character) are considered to be white space.

Returns:

this string, with white space removed from the front and end.

 valueOf

 public static String valueOf(boolean b)

Returns the string representation of the boolean argument.

Parameters:

b - a boolean.

Returns:

if the argument is true, a string equal to "true" is returned; otherwise, a string equal to "false" is returned.

 valueOf

 public static String valueOf(char c)

Returns the string representation of the char * argument.

Parameters:

c - a char.

Returns:

a newly allocated string of length 1 containing as its single character the argument c.

 valueOf

 public static String valueOf(char data[])

Returns the string representation of the char array argument.

Parameters:

data - a char array.

Returns:

a newly allocated string representing the same sequence of characters contained in the character array argument.

 valueOf

 public static String valueOf(char data[],
                              int offset,
                              int count)

Returns the string representation of a specific subarray of the char array argument.

The offset argument is the index of the first character of the subarray. The count argument specifies the length of the subarray.

Parameters:

data - the character array.

offset - the initial offset into the value of the String.

count - the length of the value of the String.

Returns:

a newly allocated string representing the sequence of characters contained in the subarray of the character array argument.

 valueOf

 public static String valueOf(double d)

Returns the string representation of the double argument.

The representation is exactly the one returned by the Double.toString method of one argument.

Parameters:

d - a double.

Returns:

a newly allocated string containing a string representation of the double argument.

See Also:

toString

 valueOf

 public static String valueOf(float f)

Returns the string representation of the float argument.

The representation is exactly the one returned by the Float.toString method of one argument.

Parameters:

f - a float.

Returns:

a newly allocated string containing a string representation of the float argument.

See Also:

toString

 valueOf

 public static String valueOf(int i)

Returns the string representation of the int argument.

The representation is exactly the one returned by the Integer.toString method of one argument.

Parameters:

i - an int.

Returns:

a newly allocated string containing a string representation of the int argument.

See Also:

toString

 valueOf

 public static String valueOf(long l)

Returns the string representation of the long argument.

The representation is exactly the one returned by the Long.toString method of one argument.

Parameters:

l - a long.

Returns:

a newly allocated string containing a string representation of the long argument.

See Also:

toString

 valueOf

 public static String valueOf(Object obj)

Returns the string representation of the Object argument.

Parameters:

obj - an Object.

Returns:

if the argument is null, then a string equal to "null"; otherwise, the value of obj.toString() is returned.

See Also:

toString


 Class java.lang.StringBuffer

java.lang.Object
   |
   +----java.lang.StringBuffer

public final class StringBuffer
   extends Object
   implements Serializable

A string buffer implements a mutable sequence of characters.

String buffers are safe for use by multiple threads. The methods are synchronized where necessary so that all the operations on any particular instance behave as if they occur in some serial order.

String buffers are used by the compiler to implement the binary string concatenation operator +. For example, the code:

     x = "a" + 4 + "c"

is compiled to the equivalent of:

     x = new StringBuffer().append("a").append(4).append("c")
                           .toString()

The principal operations on a StringBuffer are the append and insert methods, which are overloaded so as to accept data of any type. Each effectively converts a given datum to a string and then appends or inserts the characters of that string to the string buffer. The append method always adds these characters at the end of the buffer; the insert method adds the characters at a specified point.

For example, if z refers to a string buffer object whose current contents are "start", then the method call z.append("le") would cause the string buffer to contain "startle", whereas z.insert(4, "le") would alter the string buffer to contain "starlet".

Every string buffer has a capacity. As long as the length of the character sequence contained in the string buffer does not exceed the capacity, it is not necessary to allocate a new internal buffer array. If the internal buffer overflows, it is automatically made larger.

     See Also:
     ByteArrayOutputStream, String

 StringBuffer()

Constructs a string buffer with no characters in it and an initial capacity of 16 characters.

 StringBuffer(int)

Constructs a string buffer with no characters in it and an initial capacity specified by the length argument.

 StringBuffer(String)

Constructs a string buffer so that it represents the same sequence of characters as the string argument.

 append(boolean)

Appends the string representation of the boolean argument to the string buffer.

 append(char)

Appends the string representation of the char argument to this string buffer.

 append(char[])

Appends the string representation of the char array argument to this string buffer.

 append(char[], int, int)

Appends the string representation of a subarray of the char array argument to this string buffer.

 append(double)

Appends the string representation of the double argument to this string buffer.

 append(float)

Appends the string representation of the float argument to this string buffer.

 append(int)

Appends the string representation of the int argument to this string buffer.

 append(long)

Appends the string representation of the long argument to this string buffer.

 append(Object)

Appends the string representation of the Object argument to this string buffer.

 append(String)

Appends the string to this string buffer.

 capacity()

Returns the current capacity of the String buffer.

 charAt(int)

Returns the character at a specific index in this string buffer.

 ensureCapacity(int)

Ensures that the capacity of the buffer is at least equal to the specified minimum.

 getChars(int, int, char[], int)

Characters are copied from this string buffer into the destination character array dst.

 insert(int, boolean)

Inserts the string representation of the boolean argument into this string buffer.

 insert(int, char)

Inserts the string representation of the char argument into this string buffer.

 insert(int, char[])

Inserts the string representation of the char array argument into this string buffer.

 insert(int, double)

Inserts the string representation of the double argument into this string buffer.

 insert(int, float)

Inserts the string representation of the float argument into this string buffer.

 insert(int, int)

Inserts the string representation of the second int argument into this string buffer.

 insert(int, long)

Inserts the string representation of the long argument into this string buffer.

 insert(int, Object)

Inserts the string representation of the Object argument into this string buffer.

 insert(int, String)

Inserts the string into this string buffer.

 length()

Returns the length (character count) of this string buffer.

 reverse()

The character sequence contained in this string buffer is replaced by the reverse of the sequence.

 setCharAt(int, char)

The character at the specified index of this string buffer is set to ch.

 setLength(int)

Sets the length of this String buffer.

 toString()

Converts to a string representing the data in this string buffer.

 StringBuffer

 public StringBuffer()

Constructs a string buffer with no characters in it and an initial capacity of 16 characters.

 StringBuffer

 public StringBuffer(int length)

Constructs a string buffer with no characters in it and an initial capacity specified by the length argument.

Parameters:

length - the initial capacity.

Throws: NegativeArraySizeException

if the length argument is less than 0.

 StringBuffer

 public StringBuffer(String str)

Constructs a string buffer so that it represents the same sequence of characters as the string argument. The initial capacity of the string buffer is 16 plus the length of the string argument.

Parameters:

str - the initial contents of the buffer.

 append

 public StringBuffer append(boolean b)

Appends the string representation of the boolean argument to the string buffer.

The argument is converted to a string as if by the method String.valueOf, and the characters of that string are then appended to this string buffer.

Parameters:

b - a boolean.

Returns:

this string buffer.

See Also:

valueOf, append

 append

 public synchronized StringBuffer append(char c)

Appends the string representation of the char argument to this string buffer.

The argument is appended to the contents of this string buffer. The length of this string buffer increases by 1.

Parameters:

ch - a char.

Returns:

this string buffer.

 append

 public synchronized StringBuffer append(char str[])

Appends the string representation of the char array argument to this string buffer.

The characters of the array argument are appended, in order, to the contents of this string buffer. The length of this string buffer increases by the length of the argument.

Parameters:

str - the characters to be appended.

Returns:

this string buffer.

 append

 public synchronized StringBuffer append(char str[],
                                         int offset,
                                         int len)

Appends the string representation of a subarray of the char array argument to this string buffer.

Characters of the character array str, starting at index offset, are appended, in order, to the contents of this string buffer. The length of this string buffer increases by the value of len.

Parameters:

str - the characters to be appended.

offset - the index of the first character to append.

len - the number of characters to append.

Returns:

this string buffer.

 append

 public StringBuffer append(double d)

Appends the string representation of the double argument to this string buffer.

The argument is converted to a string as if by the method String.valueOf, and the characters of that string are then appended to this string buffer.

Parameters:

d - a double.

Returns:

this string buffer.

See Also:

valueOf, append

 append

 public StringBuffer append(float f)

Appends the string representation of the float argument to this string buffer.

The argument is converted to a string as if by the method String.valueOf, and the characters of that string are then appended to this string buffer.

Parameters:

f - a float.

Returns:

this string buffer.

See Also:

valueOf, append

 append

 public StringBuffer append(int i)

Appends the string representation of the int argument to this string buffer.

The argument is converted to a string as if by the method String.valueOf, and the characters of that string are then appended to this string buffer.

Parameters:

i - an int.

Returns:

this string buffer.

See Also:

valueOf, append

 append

 public StringBuffer append(long l)

Appends the string representation of the long argument to this string buffer.

The argument is converted to a string as if by the method String.valueOf, and the characters of that string are then appended to this string buffer.

Parameters:

l - a long.

Returns:

this string buffer.

See Also:

valueOf, append

 append

 public synchronized StringBuffer append(Object obj)

Appends the string representation of the Object argument to this string buffer.

The argument is converted to a string as if by the method String.valueOf, and the characters of that string are then appended to this string buffer.

Parameters:

obj - an Object.

Returns:

this string buffer.

See Also:

valueOf, append

 append

 public synchronized StringBuffer append(String str)

Appends the string to this string buffer.

The characters of the String argument are appended, in order, to the contents of this string buffer, increasing the length of this string buffer by the length of the argument.

Parameters:

str - a string.

Returns:

this string buffer.

 capacity

 public int capacity()

Returns the current capacity of the String buffer. The capacity is the amount of storage available for newly inserted characters; beyond which an allocation will occur.

Returns:

the current capacity of this string buffer.

 charAt

 public synchronized char charAt(int index)

Returns the character at a specific index in this string buffer.

The first character of a string buffer is at index 0, the next at index 1, and so on, for array indexing.

The index argument must be greater than or equal to 0, and less than the length of this string buffer.

Parameters:

index - the index of the desired character.

Returns:

the character at the specified index of this string buffer.

Throws: StringIndexOutOfBoundsException

if the index is invalid.

See Also:

length

 ensureCapacity

 public synchronized void ensureCapacity(int minimumCapacity)

Ensures that the capacity of the buffer is at least equal to the specified minimum. If the current capacity of this string buffer is less than the argument, then a new internal buffer is allocated with greater capacity. The new capacity is the larger of:

•	The minimumCapacity argument.

•	Twice the old capacity, plus 2.

If the minimumCapacity argument is nonpositive, this method takes no action and simply returns.

Parameters:

minimumCapacity - the minimum desired capacity.

 getChars

 public synchronized void getChars(int srcBegin,
                                   int srcEnd,
                                   char dst[],
                                   int dstBegin)

Characters are copied from this string buffer into the destination character array dst. The first character to be copied is at index srcBegin; the last character to be copied is at index srcEnd-1. The total number of characters to be copied is srcEnd-srcBegin. The characters are copied into the subarray of dst starting at index dstBegin and ending at index:

     dstbegin + (srcEnd-srcBegin) - 1

Parameters:

srcBegin - start copying at this offset in the string buffer.

srcEnd - stop copying at this offset in the string buffer.

dst - the array to copy the data into.

dstBegin - offset into dst.

Throws: StringIndexOutOfBoundsException

if there is an invalid index into the buffer.

 insert

 public StringBuffer insert(int offset,
                            boolean b)

Inserts the string representation of the boolean argument into this string buffer.

The second argument is converted to a string as if by the method String.valueOf, and the characters of that string are then inserted into this string buffer at the indicated offset.

The offset argument must be greater than or equal to 0, and less than or equal to the length of this string buffer.

Parameters:

offset - the offset.

b - a boolean.

Returns:

this string buffer.

Throws: StringIndexOutOfBoundsException

if the offset is invalid.

See Also:

valueOf, insert, length

 insert

 public synchronized StringBuffer insert(int offset,
                                         char c)

Inserts the string representation of the char argument into this string buffer.

The second argument is inserted into the contents of this string buffer at the position indicated by offset. The length of this string buffer increases by one.

The offset argument must be greater than or equal to 0, and less than or equal to the length of this string buffer.

Parameters:

offset - the offset.

ch - a char.

Returns:

this string buffer.

Throws: StringIndexOutOfBoundsException

if the offset is invalid.

See Also:

length

 insert

 public synchronized StringBuffer insert(int offset,
                                         char str[])

Inserts the string representation of the char array argument into this string buffer.

The characters of the array argument are inserted into the contents of this string buffer at the position indicated by offset. The length of this string buffer increases by the length of the argument.

Parameters:

offset - the offset.

ch - a character array.

Returns:

this string buffer.

Throws: StringIndexOutOfBoundsException

if the offset is invalid.

 insert

 public StringBuffer insert(int offset,
                            double d)

Inserts the string representation of the double argument into this string buffer.

The second argument is converted to a string as if by the method String.valueOf, and the characters of that string are then inserted into this string buffer at the indicated offset.

The offset argument must be greater than or equal to 0, and less than or equal to the length of this string buffer.

Parameters:

offset - the offset.

b - a double.

Returns:

this string buffer.

Throws: StringIndexOutOfBoundsException

if the offset is invalid.

See Also:

valueOf, insert, length

 insert

 public StringBuffer insert(int offset,
                            float f)

Inserts the string representation of the float argument into this string buffer.

The second argument is converted to a string as if by the method String.valueOf, and the characters of that string are then inserted into this string buffer at the indicated offset.

The offset argument must be greater than or equal to 0, and less than or equal to the length of this string buffer.

Parameters:

offset - the offset.

b - a float.

Returns:

this string buffer.

Throws: StringIndexOutOfBoundsException

if the offset is invalid.

See Also:

valueOf, insert, length

 insert

 public StringBuffer insert(int offset,
                            int i)

Inserts the string representation of the second int argument into this string buffer.

The second argument is converted to a string as if by the method String.valueOf, and the characters of that string are then inserted into this string buffer at the indicated offset.

The offset argument must be greater than or equal to 0, and less than or equal to the length of this string buffer.

Parameters:

offset - the offset.

b - an int.

Returns:

this string buffer.

Throws: StringIndexOutOfBoundsException

if the offset is invalid.

See Also:

valueOf, insert, length

 insert

 public StringBuffer insert(int offset,
                            long l)

Inserts the string representation of the long argument into this string buffer.

The second argument is converted to a string as if by the method String.valueOf, and the characters of that string are then inserted into this string buffer at the indicated offset.

The offset argument must be greater than or equal to 0, and less than or equal to the length of this string buffer.

Parameters:

offset - the offset.

b - a long.

Returns:

this string buffer.

Throws: StringIndexOutOfBoundsException

if the offset is invalid.

See Also:

valueOf, insert, length

 insert

 public synchronized StringBuffer insert(int offset,
                                         Object obj)

Inserts the string representation of the Object argument into this string buffer.

The second argument is converted to a string as if by the method String.valueOf, and the characters of that string are then inserted into this string buffer at the indicated offset.

The offset argument must be greater than or equal to 0, and less than or equal to the length of this string buffer.

Parameters:

offset - the offset.

b - an Object.

Returns:

this string buffer.

Throws: StringIndexOutOfBoundsException

if the offset is invalid.

See Also:

valueOf, insert, length

 insert

 public synchronized StringBuffer insert(int offset,
                                         String str)

Inserts the string into this string buffer.

The characters of the String argument are inserted, in order, into this string buffer at the indicated offset. The length of this string buffer is increased by the length of the argument.

The offset argument must be greater than or equal to 0, and less than or equal to the length of this string buffer.

Parameters:

offset - the offset.

str - a string.

Returns:

this string buffer.

Throws: StringIndexOutOfBoundsException

if the offset is invalid.

See Also:

length

 length

 public int length()

Returns the length (character count) of this string buffer.

Returns:

the number of characters in this string buffer.

 reverse

 public synchronized StringBuffer reverse()

The character sequence contained in this string buffer is replaced by the reverse of the sequence.

Returns:

this string buffer.

 setCharAt

 public synchronized void setCharAt(int index,
                                    char ch)

The character at the specified index of this string buffer is set to ch.

The offset argument must be greater than or equal to 0, and less than the length of this string buffer.

Parameters:

index - the index of the character to modify.

ch - the new character.

Throws: StringIndexOutOfBoundsException

if the index is invalid.

See Also:

length

 setLength

 public synchronized void setLength(int newLength)

Sets the length of this String buffer. If the newLength argument is less than the current length of the string buffer, the string buffer is truncated to contain exactly the number of characters given by the newLength argument.

If the newLength argument is greater than or equal to the current length, sufficient null characters ('\u0000') are appended to the string buffer so that length becomes the newLength argument.

The newLength argument must be greater than or equal to 0.

Parameters:

newLength - the new length of the buffer.

Throws: StringIndexOutOfBoundsException

if the newLength argument is invalid.

See Also:

length

 toString

 public String toString()

Converts to a string representing the data in this string buffer. A new String object is allocated and initialized to contain the character sequence currently represented by this string buffer. This String is then returned. Subsequent changes to the string buffer do not affect the contents of the String.

Returns:

a string representation of the string buffer.

Overrides:

toString in class Object


 Class java.lang.System

java.lang.Object
   |
   +----java.lang.System

public final class System
   extends Object

The System class contains several useful class fields and methods. It cannot be instantiated.

Among the facilities provided by the System class are standard input, standard output, and error output streams; access to externally defined "properties"; a means of loading files and libraries; and a utility method for quickly copying a portion of an array.

 err

The "standard" error output stream.

 in

The "standard" input stream.

 out

The "standard" output stream.

 arraycopy(Object, int, Object, int, int)

Copies an array from the specified source array, beginning at the specified position, to the specified position of the destination array.

 currentTimeMillis()

Returns the current time in milliseconds.

 exit(int)

Terminates the currently running Java Virtual Machine.

 gc()

Runs the garbage collector.

 getenv(String)

Gets an environment variable. Deprecated.

 getProperties()

Determines the current system properties.

 getProperty(String)

Gets the system property indicated by the specified key.

 getProperty(String, String)

Gets the system property indicated by the specified key.

 getSecurityManager()

Gets the system security interface.

 identityHashCode(Object)

Returns the same hashcode for the given object as would be returned by the default method hashCode(), whether or not the given object's class overrides hashCode().

 load(String)

Loads the specified filename as a dynamic library.

 loadLibrary(String)

Loads the system library specified by the libname argument.

 runFinalization()

Runs the finalization methods of any objects pending finalization.

 runFinalizersOnExit(boolean)

Enable or disable finalization on exit; doing so specifies that the finalizers of all objects that have finalizers that have not yet been automatically invoked are to be run before the Java runtime exits.

 setErr(PrintStream)

Reassigns the "standard" error output stream.

 setIn(InputStream)

Reassigns the "standard" input stream.

 setOut(PrintStream)

Reassigns the "standard" output stream.

 setProperties(Properties)

Sets the system properties to the Properties argument.

 setSecurityManager(SecurityManager)

Sets the System security.

 err

 public static final PrintStream err

The "standard" error output stream. This stream is already open and ready to accept output data.

Typically this stream corresponds to display output or another output destination specified by the host environment or user. By convention, this output stream is used to display error messages or other information that should come to the immediate attention of a user even if the principal output stream, the value of the variable out, has been redirected to a file or other destination that is typically not continuously monitored.

 in

 public static final InputStream in

The "standard" input stream. This stream is already open and ready to supply input data. Typically this stream corresponds to keyboard input or another input source specified by the host environment or user.

 out

 public static final PrintStream out

The "standard" output stream. This stream is already open and ready to accept output data. Typically this stream corresponds to display output or another output destination specified by the host environment or user.

For simple stand-alone Java applications, a typical way to write a line of output data is: System.out.println(data)

See the println methods in class PrintStream.

See Also:

println, println, println, println, println, println, println, println, println, println

 arraycopy

 public static native void arraycopy(Object src,
                                     int src_position,
                                     Object dst,
                                     int dst_position,
                                     int length)

Copies an array from the specified source array, beginning at the specified position, to the specified position of the destination array. A subsequence of array components are copied from the source array referenced by src to the destination array referenced by dst. The number of components copied is equal to the length argument. The components at positions srcOffset through srcOffset+length-1 in the source array are copied into positions dstOffset through dstOffset+length-1, respectively, of the destination array.

If the src and dst arguments refer to the same array object, then the copying is performed as if the components at positions srcOffset through srcOffset+length-1 were first copied to a temporary array with length components and then the contents of the temporary array were copied into positions dstOffset through dstOffset+length-1 of the argument array.

If any of the following is true, an ArrayStoreException is thrown and the destination is not modified:

•	The src argument refers to an object that is not an array.

•	The dst argument refers to an object that is not an array.

•	The src argument and dst argument refer to arrays whose component types are different primitive types.

•	The src argument refers to an array with a primitive component type and the dst argument refers to an array with a reference component type.

•	The src argument refers to an array with a reference component type and the dst argument refers to an array with a primitive component type.

Otherwise, if any of the following is true, an ArrayIndexOutOfBoundsException is thrown and the destination is not modified:

•	The srcOffset argument is negative.

•	The dstOffset argument is negative.

•	The length argument is negative.

•	srcOffset+length is greater than src.length, the length of the source array.

•	dstOffset+length is greater than dst.length, the length of the destination array.

Otherwise, if any actual component of the source array from position srcOffset through srcOffset+length-1 cannot be converted to the component type of the destination array by assignment conversion, an ArrayStoreException is thrown. In this case, let k be the smallest nonnegative integer less than length such that src[srcOffset+k] cannot be converted to the component type of the destination array; when the exception is thrown, source array components from positions srcOffset through srcOffset+k-1 will already have been copied to destination array positions dstOffset through dstOffset+k-1 and no other positions of the destination array will have been modified.

Parameters:

src: - the source array.

srcpos - start position in the source array.

dest - the destination array.

destpos - start position in the destination data.

length - the number of array elements to be copied.

Throws: ArrayIndexOutOfBoundsException

if copying would cause access of data outside array bounds.

Throws: ArrayStoreException

if an element in the src array could not be stored into the dest array because of a type mismatch.

 currentTimeMillis

 public static native long currentTimeMillis()

Returns the current time in milliseconds.

See the description of the class Date for a discussion of slight discrepancies that may arise between "computer time" and coordinated universal time (UTC).

Returns:

the difference, measured in milliseconds, between the current time and midnight, January 1, 1970 UTC.

See Also:

Date

 exit

 public static void exit(int status)

Terminates the currently running Java Virtual Machine. The argument serves as a status code; by convention, a nonzero status code indicates abnormal termination.

This method calls the exit method in class Runtime. This method never returns normally.

Parameters:

status - exit status.

Throws: SecurityException

if the current thread cannot exit with the specified status.

See Also:

exit

 gc

 public static void gc()

Runs the garbage collector.

Calling the gc method suggests that the Java Virtual Machine expend effort toward recycling unused objects in order to make the memory they currently occupy available for quick reuse. When control returns from the method call, the Java Virtual Machine has made a best effort to reclaim space from all unused objects.

See Also:

gc

 getenv

 public static String getenv(String name)

Note: getenv() is deprecated.

Gets an environment variable. An environment variable is a system dependent external variable that has a string value.

Parameters:

the - name of the environment variable.

Returns:

the value of the variable, or null if the variable is not defined.

 getProperties

 public static Properties getProperties()

Determines the current system properties.

If there is a security manager, its checkPropertiesAccess method is called with no arguments. This may result in a security exception.

The current set of system properties is returned as a Properties object. If there is no current set of system properties, a set of system properties is first created and initialized.

This set of system properties always includes values for the following keys:

Key	Description of Associated Value
java.version	Java version number
java.vendor	Java vendor-specific string
java.vendor.url	Java vendor URL
java.home	Java installation directory
java.class.version	Java class format version number
java.class.path	Java class path
os.name	Operating system name
os.arch	Operating system architecture
os.version	Operating system version
file.separator	File separator ("/" on UNIX)
path.separator	Path separator (":" on UNIX)
line.separator	Line separator ("\n" on UNIX)
user.name	User's account name
user.home	User's home directory
user.dir	User's current working directory
Throws: SecurityException

if the current thread cannot access the system properties.

See Also:

SecurityException, checkPropertiesAccess, Properties

 getProperty

 public static String getProperty(String key)

Gets the system property indicated by the specified key.

First, if there is a security manager, its checkPropertyAccess method is called with the key as its argument. This may result in a system exception.

If there is no current set of system properties, a set of system properties is first created and initialized in the same manner as for the getProperties method.

Parameters:

key - the name of the system property.

Returns:

the string value of the system property, or null if there is no property with that key.

Throws: SecurityException

if the current thread cannot access the system properties or the specified property.

See Also:

SecurityException, checkPropertyAccess, getProperties

 getProperty

 public static String getProperty(String key,
                                  String def)

Gets the system property indicated by the specified key.

First, if there is a security manager, its checkPropertyAccess method is called with the key as its argument.

If there is no current set of system properties, a set of system properties is first created and initialized in the same manner as for the getProperties method.

Parameters:

key - the name of the system property.

def - a default value.

Returns:

the string value of the system property, or the default value if there is no property with that key.

Throws: SecurityException

if the current thread cannot access the system properties or the specified property.

See Also:

checkPropertyAccess, getProperties

 getSecurityManager

 public static SecurityManager getSecurityManager()

Gets the system security interface.

Returns:

if a security manager has already been established for the current application, then that security manager is returned; otherwise, null is returned.

 identityHashCode

 public static native int identityHashCode(Object x)

Returns the same hashcode for the given object as would be returned by the default method hashCode(), whether or not the given object's class overrides hashCode(). The hashcode for the null reference is zero.

 load

 public static void load(String filename)

Loads the specified filename as a dynamic library. The filename argument must be a complete pathname.

This method calls the load method in class Runtime.

Parameters:

filename - the file to load.

Throws: SecurityException

if the current thread cannot load the specified dynamic library.

Throws: UnsatisfiedLinkError

if the file does not exist.

See Also:

load

 loadLibrary

 public static void loadLibrary(String libname)

Loads the system library specified by the libname argument. The manner in which a library name is mapped to the actual system library is system dependent.

Parameters:

libname - the name of the library.

Throws: SecurityException

if the current thread cannot load the specified dynamic library.

Throws: UnsatisfiedLinkError

if the library does not exist.

See Also:

loadLibrary

 runFinalization

 public static void runFinalization()

Runs the finalization methods of any objects pending finalization.

Calling this method suggests that the Java Virtual Machine expend effort toward running the finalize methods of objects that have been found to be discarded but whose finalize methods have not yet been run. When control returns from the method call, the Java Virtual Machine has made a best effort to complete all outstanding finalizations.

See Also:

runFinalization

 runFinalizersOnExit

 public static void runFinalizersOnExit(boolean value)

Enable or disable finalization on exit; doing so specifies that the finalizers of all objects that have finalizers that have not yet been automatically invoked are to be run before the Java runtime exits. By default, finalization on exit is disabled.

See Also:

exit, gc

 setErr

 public static void setErr(PrintStream err)

Reassigns the "standard" error output stream.

 setIn

 public static void setIn(InputStream in)

Reassigns the "standard" input stream.

 setOut

 public static void setOut(PrintStream out)

Reassigns the "standard" output stream.

 setProperties

 public static void setProperties(Properties props)

Sets the system properties to the Properties argument.

First, if there is a security manager, its checkPropertiesAccess method is called with no arguments. This may result in a security exception.

The argument becomes the current set of system properties for use by the getProperty method. If the argument is null, then the current set of system properties is forgotten.

Parameters:

props - the new system properties.

Throws: SecurityException

if the current thread cannot set the system properties.

See Also:

SecurityException, checkPropertiesAccess

 setSecurityManager

 public static void setSecurityManager(SecurityManager s)

Sets the System security. If a security manager has already been established for the currently running Java application, a SecurityException is thrown. Otherwise, the argument is established as the current security manager. If the argument is null and no security manager has been established, then no action is taken and the method simply returns.

Parameters:

s - the security manager.

Throws: SecurityException

if the security manager has already been set.


 Class java.lang.Thread

java.lang.Object
   |
   +----java.lang.Thread

public class Thread
   extends Object
   implements Runnable

A thread is a thread of execution in a program. The Java Virtual Machine allows an application to have multiple threads of execution running concurrently.

Every thread has a priority. Threads with higher priority are executed in preference to threads with lower priority. Each thread may or may not also be marked as a daemon. When code running in some thread creates a new Thread object, the new thread has its priority initially set equal to the priority of the creating thread, and is a daemon thread if and only if the creating thread is a daemon.

When a Java Virtual Machine starts up, there is usually a single non-daemon thread (which typically calls the method named main of some designated class). The Java Virtual Machine continues to execute threads until either of the following occurs:

•	The exit method of class Runtime has been called and the security manager has permitted the exit operation to take place.

•	All threads that are not daemon threads have died, either by returning from the call to the run method or by performing the stop method.

There are two ways to create a new thread of execution. One is to declare a class to be a subclass of Thread. This subclass should override the run method of class Thread. An instance of the subclass can then be allocated and started. For example, a thread that computes primes larger than a stated value could be written as follows:

     class PrimeThread extends Thread {
         long minPrime;
         PrimeThread(long minPrime) {
             this.minPrime = minPrime;
         }
         public void run() {
             // compute primes larger than minPrime
              . . .
         }
     }

The following code would then create a thread and start it running:

     PrimeThread p = new PrimeThread(143);
     p.start();

The other way to create a thread is to declare a class that implements the Runnable interface. That class then implements the run method. An instance of the class can then be allocated, passed as an argument when creating Thread, and started. The same example in this other style looks like the following:

     class PrimeRun implements Runnable {
         long minPrime;
         PrimeRun(long minPrime) {
             this.minPrime = minPrime;
         }
         public void run() {
             // compute primes larger than minPrime
              . . .
         }
     }

The following code would then create a thread and start it running:

     PrimeRun p = new PrimeRun(143);
     new Thread(p).start();

Every thread has a name for identification purposes. More than one thread may have the same name. If a name is not specified when a thread is created, a new name is generated for it.

     See Also:
     Runnable, exit, run, stop

 MAX_PRIORITY

The maximum priority that a thread can have.

 MIN_PRIORITY

The minimum priority that a thread can have.

 NORM_PRIORITY

The default priority that is assigned to a thread.

 Thread()

Allocates a new Thread object.

 Thread(Runnable)

Allocates a new Thread object.

 Thread(Runnable, String)

Allocates a new Thread object.

 Thread(String)

Allocates a new Thread object.

 Thread(ThreadGroup, Runnable)

Allocates a new Thread object.

 Thread(ThreadGroup, Runnable, String)

Allocates a new Thread object so that it has target as its run object, has the specified name as its name, and belongs to the thread group referred to by group.

 Thread(ThreadGroup, String)

Allocates a new Thread object.

 activeCount()

Returns the current number of active threads in this thread group.

 checkAccess()

Determines if the currently running thread has permission to modify this thread.

 countStackFrames()

Counts the number of stack frames in this thread.

 currentThread()

Returns a reference to the currently executing thread object.

 destroy()

Destroys this thread, without any cleanup.

 dumpStack()

Prints a stack trace of the current thread.

 enumerate(Thread[])

Copies into the specified array every active thread in this thread group and its subgroups.

 getName()

Returns this thread's name.

 getPriority()

Returns this thread's priority.

 getThreadGroup()

Returns this thread's thread group.

 interrupt()

Interrupts this thread.

 interrupted()

Tests if the current thread has been interrupted.

 isAlive()

Tests if this thread is alive.

 isDaemon()

Tests if this thread is a daemon thread.

 isInterrupted()

Tests if the current thread has been interrupted.

 join()

Waits for this thread to die.

 join(long)

Waits at most millis milliseconds for this thread to die.

 join(long, int)

Waits at most millis milliseconds plus nanos nanoseconds for this thread to die.

 resume()

Resumes a suspended thread.

 run()

If this thread was constructed using a separate Runnable run object, then that Runnable object's run method is called; otherwise, this method does nothing and returns.

 setDaemon(boolean)

Marks this thread as either a daemon thread or a user thread.

 setName(String)

Changes the name of this thread to be equal to the argument name.

 setPriority(int)

Changes the priority of this thread.

 sleep(long)

Causes the currently executing thread to sleep (temporarily cease execution) for the specified number of milliseconds.

 sleep(long, int)

Causes the currently executing thread to sleep (cease execution) for the specified number of milliseconds plus the specified number of nanoseconds.

 start()

Causes this thread to begin execution; the Java Virtual Machine calls the run method of this thread.

 stop()

Forces the thread to stop executing.

 stop(Throwable)

Forces the thread to stop executing.

 suspend()

Suspends this thread.

 toString()

Returns a string representation of this thread, including the thread's name, priority, and thread group.

 yield()

Causes the currently executing thread object to temporarily pause and allow other threads to execute.

 MAX_PRIORITY

 public static final int MAX_PRIORITY

The maximum priority that a thread can have.

 MIN_PRIORITY

 public static final int MIN_PRIORITY

The minimum priority that a thread can have.

 NORM_PRIORITY

 public static final int NORM_PRIORITY

The default priority that is assigned to a thread.

 Thread

 public Thread()

Allocates a new Thread object. This constructor has the same effect as Thread(null, null, gname), where gname is a newly generated name. Automatically generated names are of the form "Thread-"+n, where n is an integer.

Threads created this way must have overridden their run() method to actually do anything. An example illustrating this method being used follows:

     import java.lang.*;
     class plain01 implements Runnable {
         String name;
         plain01() {
             name = null;
         }
         plain01(String s) {
             name = s;
         }
         public void run() {
             if (name == null)
                 System.out.println("A new thread created");
             else
                 System.out.println("A new thread with name " + name +
                                    " created");
         }
     }
     class threadtest01 {
         public static void main(String args[] ) {
             int failed = 0 ;
             Thread t1 = new Thread();
             if (t1 != null)
                 System.out.println("new Thread() succeed");
             else {
                 System.out.println("new Thread() failed");
                 failed++;
             }
         }
     }

See Also:

Thread

 Thread

 public Thread(Runnable target)

Allocates a new Thread object. This constructor has the same effect as Thread(null, target, gname), where gname is a newly generated name. Automatically generated names are of the form "Thread-"+n, where n is an integer.

Parameters:

target - the object whose run method is called.

See Also:

Thread

 Thread

 public Thread(Runnable target,
               String name)

Allocates a new Thread object. This constructor has the same effect as Thread(null, target, name).

Parameters:

target - the object whose run method is called.

name - the name of the new thread.

See Also:

Thread

 Thread

 public Thread(String name)

Allocates a new Thread object. This constructor has the same effect as Thread(null, null, name).

Parameters:

name - the name of the new thread.

See Also:

Thread

 Thread

 public Thread(ThreadGroup group,
               Runnable target)

Allocates a new Thread object. This constructor has the same effect as Thread(group, target, gname), where gname is a newly generated name. Automatically generated names are of the form "Thread-"+n, where n is an integer.

Parameters:

group - the thread group.

target - the object whose run method is called.

Throws: SecurityException

if the current thread cannot create a thread in the specified thread group.

See Also:

Thread

 Thread

 public Thread(ThreadGroup group,
               Runnable target,
               String name)

Allocates a new Thread object so that it has target as its run object, has the specified name as its name, and belongs to the thread group referred to by group.

If group is not null, the checkAccess method of that thread group is called with no arguments; this may result in throwing a SecurityException; if group is null, the new process belongs to the same group as the thread that is creating the new thread.

If the target argument is not null, the run method of the target is called when this thread is started. If the target argument is null, this thread's run method is called when this thread is started.

The priority of the newly created thread is set equal to the priority of the thread creating it, that is, the currently running thread. The method setPriority may be used to change the priority to a new value.

The newly created thread is initially marked as being a daemon thread if and only if the thread creating it is currently marked as a daemon thread. The method setDaemon may be used to change whether or not a thread is a daemon.

Parameters:

group - the thread group.

target - the object whose run method is called.

name - the name of the new thread.

Throws: SecurityException

if the current thread cannot create a thread in the specified thread group.

See Also:

run, run, setDaemon, setPriority, checkAccess

 Thread

 public Thread(ThreadGroup group,
               String name)

Allocates a new Thread object. This constructor has the same effect as Thread(group, null, name)

Parameters:

group - the thread group.

name - the name of the new thread.

Throws: SecurityException

if the current thread cannot create a thread in the specified thread group.

See Also:

Thread

 activeCount

 public static int activeCount()

Returns the current number of active threads in this thread group.

Returns:

the current number of threads in this thread's thread group.

 checkAccess

 public void checkAccess()

Determines if the currently running thread has permission to modify this thread.

If there is a security manager, its checkAccess method is called with this thread as its argument. This may result in throwing a SecurityException.

Throws: SecurityException

if the current thread is not allowed to access this thread.

See Also:

checkAccess

 countStackFrames

 public native int countStackFrames()

Counts the number of stack frames in this thread. The thread must be suspended.

Returns:

the number of stack frames in this thread.

Throws: IllegalThreadStateException

if this thread is not suspended.

 currentThread

 public static native Thread currentThread()

Returns a reference to the currently executing thread object.

Returns:

the currently executing thread.

 destroy

 public void destroy()

Destroys this thread, without any cleanup. Any monitors it has locked remain locked. (This method is not implemented in Java 1.0.2.)

 dumpStack

 public static void dumpStack()

Prints a stack trace of the current thread. This method is used only for debugging.

See Also:

printStackTrace

 enumerate

 public static int enumerate(Thread tarray[])

Copies into the specified array every active thread in this thread group and its subgroups. This method simply calls the enumerate method of this thread's thread group with the array argument.

Returns:

the number of threads put into the array.

See Also:

enumerate

 getName

 public final String getName()

Returns this thread's name.

Returns:

this thread's name.

See Also:

setName

 getPriority

 public final int getPriority()

Returns this thread's priority.

Returns:

this thread's name.

See Also:

setPriority

 getThreadGroup

 public final ThreadGroup getThreadGroup()

Returns this thread's thread group.

Returns:

this thread's thread group.

 interrupt

 public void interrupt()

Interrupts this thread.

 interrupted

 public static boolean interrupted()

Tests if the current thread has been interrupted. Note that interrupted is a static method, while isInterrupted is called on the current Thread instance.

Returns:

true if the current thread has been interrupted; false otherwise.

See Also:

isInterrupted

 isAlive

 public final native boolean isAlive()

Tests if this thread is alive. A thread is alive if it has been started and has not yet died.

Returns:

true if this thread is alive; false otherwise.

 isDaemon

 public final boolean isDaemon()

Tests if this thread is a daemon thread.

Returns:

true if this thread is a daemon thread; false otherwise.

See Also:

setDaemon

 isInterrupted

 public boolean isInterrupted()

Tests if the current thread has been interrupted. Note that isInterrupted is called on the current Thread instance; by contrast, interrupted is a static method.

Returns:

true if this thread has been interrupted; false otherwise.

See Also:

interrupted

 join

 public final void join() throws InterruptedException

Waits for this thread to die.

Throws: InterruptedException

if another thread has interrupted the current thread.

 join

 public final synchronized void join(long millis) throws InterruptedException

Waits at most millis milliseconds for this thread to die. A timeout of 0 means to wait forever.

Parameters:

millis - the time to wait in milliseconds.

Throws: InterruptedException

if another thread has interrupted the current thread.

 join

 public final synchronized void join(long millis,
                                     int nanos) throws InterruptedException

Waits at most millis milliseconds plus nanos nanoseconds for this thread to die.

Parameters:

millis - the time to wait in milliseconds.

nanos - 0-999999 additional nanoseconds to wait.

Throws: IllegalArgumentException

if the value of millis is negative the value of nanos is not in the range 0-999999.

Throws: InterruptedException

if another thread has interrupted the current thread.

 resume

 public final void resume()

Resumes a suspended thread.

First, the checkAccess method of this thread is called with no arguments. This may result in throwing a SecurityException(in the current thread).

If the thread is alive but suspended, it is resumed and is permitted to make progress in its execution.

Throws: SecurityException

if the current thread cannot modify this thread.

See Also:

checkAccess, isAlive

 run

 public void run()

If this thread was constructed using a separate Runnable run object, then that Runnable object's run method is called; otherwise, this method does nothing and returns.

Subclasses of Thread should override this method.

See Also:

start, stop, Thread, run

 setDaemon

 public final void setDaemon(boolean on)

Marks this thread as either a daemon thread or a user thread. The Java Virtual Machine exits when the only threads running are all daemon threads.

This method must be called before the thread is started.

Parameters:

on - if true, marks this thread as a daemon thread.

Throws: IllegalThreadStateException

if this thread is active.

See Also:

isDaemon

 setName

 public final void setName(String name)

Changes the name of this thread to be equal to the argument name.

First the checkAccess method of this thread is called with no arguments. This may result in throwing a SecurityException.

Parameters:

name - the new name for this thread.

Throws: SecurityException

if the current thread cannot modify this thread.

See Also:

checkAccess, getName

 setPriority

 public final void setPriority(int newPriority)

Changes the priority of this thread.

First the checkAccess method of this thread is called with no arguments. This may result in throwing a SecurityException.

Otherwise, the priority of this thread is set to the smaller of the specified newPriority and the maximum permitted priority of the thread's thread group.

Throws: IllegalArgumentException

If the priority is not in the range MIN_PRIORITY to MAX_PRIORITY.

Throws: SecurityException

if the current thread cannot modify this thread.

See Also:

checkAccess, getPriority, getThreadGroup, MAX_PRIORITY, MIN_PRIORITY, getMaxPriority

 sleep

 public static native void sleep(long millis) throws InterruptedException

Causes the currently executing thread to sleep (temporarily cease execution) for the specified number of milliseconds. The thread does not lose ownership of any monitors.

Parameters:

millis - the length of time to sleep in milliseconds.

Throws: InterruptedException

if another thread has interrupted this thread.

See Also:

notify

 sleep

 public static void sleep(long millis,
                          int nanos) throws InterruptedException

Causes the currently executing thread to sleep (cease execution) for the specified number of milliseconds plus the specified number of nanoseconds. The thread does not lose ownership of any monitors.

Parameters:

millis - the length of time to sleep in milliseconds.

nanos - 0-999999 additional nanoseconds to sleep.

Throws: IllegalArgumentException

if the value of millis is negative or the value of nanos is not in the range 0-999999.

Throws: InterruptedException

if another thread has interrupted this thread.

See Also:

notify

 start

 public native synchronized void start()

Causes this thread to begin execution; the Java Virtual Machine calls the run method of this thread.

The result is that two threads are running concurrently: the current thread (which returns from the call to the start method) and the other thread (which executes its run method).

Throws: IllegalThreadStateException

if the thread was already started.

See Also:

run, stop

 stop

 public final void stop()

Forces the thread to stop executing.

First, the checkAccess method of this thread is called with no arguments. This may result in throwing a SecurityException (in the current thread).

The thread represented by this thread is forced to stop whatever it is doing abnormally and to throw a newly created ThreadDeath object as an exception.

It is permitted to stop a thread that has not yet been started. If the thread is eventually started, it immediately terminates.

An application should not normally try to catch ThreadDeath unless it must do some extraordinary cleanup operation (note that the throwing of ThreadDeath causes finally clauses of try statements to be executed before the thread officially dies). If a catch clause catches a ThreadDeath object, it is important to rethrow the object so that the thread actually dies.

The top-level error handler that reacts to otherwise uncaught exceptions does not print out a message or otherwise notify the application if the uncaught exception is an instance of ThreadDeath.

Throws: SecurityException

if the current thread cannot modify this thread.

See Also:

checkAccess, run, start, ThreadDeath, uncaughtException

 stop

 public final synchronized void stop(Throwable o)

Forces the thread to stop executing.

First, the checkAccess method of this thread is called with no arguments. This may result in throwing a SecurityException (in the current thread).

If the argument obj is null, a NullPointerException is thrown (in the current thread).

The thread represented by this thread is forced to complete whatever it is doing abnormally and to throw the Throwable object obj as an exception. This is an unusual action to take; normally, the stop method that takes no arguments should be used.

It is permitted to stop a thread that has not yet been started. If the thread is eventually started, it immediately terminates.

Parameters:

obj - the Throwable object to be thrown.

Throws: SecurityException

if the current thread cannot modify this thread.

See Also:

checkAccess, run, start, stop

 suspend

 public final void suspend()

Suspends this thread.

First, the checkAccess method of this thread is called with no arguments. This may result in throwing a SecurityException (in the current thread).

If the thread is alive, it is suspended and makes no further progress unless and until it is resumed.

Throws: SecurityException

if the current thread cannot modify this thread.

See Also:

checkAccess, isAlive

 toString

 public String toString()

Returns a string representation of this thread, including the thread's name, priority, and thread group.

Returns:

a string representation of this thread.

Overrides:

toString in class Object

 yield

 public static native void yield()

Causes the currently executing thread object to temporarily pause and allow other threads to execute.


 Class java.lang.ThreadGroup

java.lang.Object
   |
   +----java.lang.ThreadGroup

public class ThreadGroup
   extends Object

A thread group represents a set of threads. In addition, a thread group can also include other thread groups. The thread groups form a tree in which every thread group except the initial thread group has a parent.

A thread is allowed to access information about its own thread group, but not to access information about its thread group's parent thread group or any other thread groups.

 ThreadGroup(String)

Constructs a new thread group.

 ThreadGroup(ThreadGroup, String)

Creates a new thread group.

 activeCount()

Returns an estimate of the number of active threads in this thread group.

 activeGroupCount()

Returns an estimate of the number of active groups in this thread group.

 allowThreadSuspension(boolean)

Used by VM to control lowmem implicit suspension.

 checkAccess()

Determines if the currently running thread has permission to modify this thread group.

 destroy()

Destroys this thread group and all of its subgroups.

 enumerate(Thread[])

Copies into the specified array every active thread in this thread group and its subgroups.

 enumerate(Thread[], boolean)

Copies into the specified array every active thread in this thread group.

 enumerate(ThreadGroup[])

Copies into the specified array references to every active subgroup in this thread group.

 enumerate(ThreadGroup[], boolean)

Copies into the specified array references to every active subgroup in this thread group.

 getMaxPriority()

Returns the maximum priority of this thread group.

 getName()

Returns the name of this thread group.

 getParent()

Returns the parent of this thread group.

 isDaemon()

Tests if this thread group is a daemon thread group.

 isDestroyed()

Tests if this thread group has been destroyed.

 list()

Prints information about this thread group to the standard output.

 parentOf(ThreadGroup)

Tests if this thread group is either the thread group argument or one of its ancestor thread groups.

 resume()

Resumes all processes in this thread group.

 setDaemon(boolean)

Changes the daemon status of this thread group.

 setMaxPriority(int)

Sets the maximum priority of the group.

 stop()

Stops all processes in this thread group.

 suspend()

Suspends all processes in this thread group.

 toString()

Returns a string representation of this Thread group.

 uncaughtException(Thread, Throwable)

Called by the Java Virtual Machine when a thread in this thread group stops because of an uncaught exception.

 ThreadGroup

 public ThreadGroup(String name)

Constructs a new thread group. The parent of this new group is the thread group of the currently running thread.

Parameters:

name - the name of the new thread group.

 ThreadGroup

 public ThreadGroup(ThreadGroup parent,
                    String name)

Creates a new thread group. The parent of this new group is the specified thread group.

The checkAccess method of the parent thread group is called with no arguments; this may result in a security exception.

Parameters:

parent - the parent thread group.

name - the name of the new thread group.

Throws: NullPointerException

if the thread group argument is null.

Throws: SecurityException

if the current thread cannot create a thread in the specified thread group.

See Also:

SecurityException, checkAccess

 activeCount

 public int activeCount()

Returns an estimate of the number of active threads in this thread group.

Returns:

the number of active threads in this thread group and in any other thread group that has this thread group as an ancestor.

 activeGroupCount

 public int activeGroupCount()

Returns an estimate of the number of active groups in this thread group.

Returns:

the number of active thread groups with this thread group as an ancestor.

 allowThreadSuspension

 public boolean allowThreadSuspension(boolean b)

Used by VM to control lowmem implicit suspension.

 checkAccess

 public final void checkAccess()

Determines if the currently running thread has permission to modify this thread group.

If there is a security manager, its checkAccess method is called with this thread group as its argument. This may result in throwing a SecurityException.

Throws: SecurityException

if the current thread is not allowed to access this thread group.

See Also:

checkAccess

 destroy

 public final void destroy()

Destroys this thread group and all of its subgroups. This thread group must be empty, indicating that all threads that had been in this thread group have since stopped.

Throws: IllegalThreadStateException

if the thread group is not empty or if the thread group has already been destroyed.

Throws: SecurityException

if the current thread cannot modify this thread group.

 enumerate

 public int enumerate(Thread list[])

Copies into the specified array every active thread in this thread group and its subgroups.

An application should use the activeCount method to get an estimate of how big the array should be. If the array is too short to hold all the threads, the extra threads are silently ignored.

Parameters:

list - an array into which to place the list of threads.

Returns:

the number of threads put into the array.

See Also:

activeCount

 enumerate

 public int enumerate(Thread list[],
                      boolean recurse)

Copies into the specified array every active thread in this thread group. If the recurse flag is true, references to every active thread in this thread's subgroups are also included. If the array is too short to hold all the threads, the extra threads are silently ignored.

An application should use the activeCount method to get an estimate of how big the array should be.

Parameters:

list - an array into which to place the list of threads.

recurse - a flag indicating whether also to include threads in thread groups that are subgroups of this thread group.

Returns:

the number of threads placed into the array.

See Also:

activeCount

 enumerate

 public int enumerate(ThreadGroup list[])

Copies into the specified array references to every active subgroup in this thread group.

An application should use the activeGroupCount method to get an estimate of how big the array should be. If the array is too short to hold all the thread groups, the extra thread groups are silently ignored.

Parameters:

list - an array into which to place the list of thread groups.

Returns:

the number of thread groups put into the array.

See Also:

activeGroupCount

 enumerate

 public int enumerate(ThreadGroup list[],
                      boolean recurse)

Copies into the specified array references to every active subgroup in this thread group. If the recurse flag is true, references to all active subgroups of the subgroups and so forth are also included.

An application should use the activeGroupCount method to get an estimate of how big the array should be.

Parameters:

list - an array into which to place the list of threads.

recurse - a flag indicating whether to recursively enumerate all included thread groups.

Returns:

the number of thread groups put into the array.

See Also:

activeGroupCount

 getMaxPriority

 public final int getMaxPriority()

Returns the maximum priority of this thread group. Threads that are part of this group cannot have a higher priority than the maximum priority.

Returns:

the maximum priority that a thread in this thread group can have.

 getName

 public final String getName()

Returns the name of this thread group.

Returns:

the name of this thread group.

 getParent

 public final ThreadGroup getParent()

Returns the parent of this thread group.

Returns:

the parent of this thread group. The top-level thread group is the only thread group whose parent is null.

 isDaemon

 public final boolean isDaemon()

Tests if this thread group is a daemon thread group. A daemon thread group is automatically destroyed when its last thread is stopped or its last thread group is destroyed.

Returns:

true if this thread group is a daemon thread group; false otherwise.

 isDestroyed

 public synchronized boolean isDestroyed()

Tests if this thread group has been destroyed.

 list

 public void list()

Prints information about this thread group to the standard output. This method is useful only for debugging.

 parentOf

 public final boolean parentOf(ThreadGroup g)

Tests if this thread group is either the thread group argument or one of its ancestor thread groups.

Parameters:

g - a thread group.

Returns:

true if this thread group is the thread group argument or one of its ancestor thread groups; false otherwise.

 resume

 public final void resume()

Resumes all processes in this thread group.

First, the checkAccess method of this thread group is called with no arguments; this may result in a security exception.

This method then calls the resume method on all the threads in this thread group and in all of its sub groups.

Throws: SecurityException

if the current thread is not allowed to access this thread group or any of the threads in the thread group.

See Also:

SecurityException, resume, checkAccess

 setDaemon

 public final void setDaemon(boolean daemon)

Changes the daemon status of this thread group.

First, the checkAccess method of this thread group is called with no arguments; this may result in a security exception.

A daemon thread group is automatically destroyed when its last thread is stopped or its last thread group is destroyed.

Parameters:

daemon - if true, marks this thread group as a daemon thread group; otherwise, marks this thread group as normal.

Throws: SecurityException

if the current thread cannot modify this thread.

See Also:

SecurityException, checkAccess

 setMaxPriority

 public final void setMaxPriority(int pri)

Sets the maximum priority of the group.

First, the checkAccess method of this thread group is called with no arguments; this may result in a security exception.

Threads in the thread group that already have a higher priority are not affected.

Parameters:

pri - the new priority of the thread group.

Throws: SecurityException

if the current thread cannot modify this thread group.

See Also:

SecurityException, checkAccess

 stop

 public final void stop()

Stops all processes in this thread group.

First, the checkAccess method of this thread group is called with no arguments; this may result in a security exception.

This method then calls the stop method on all the threads in this thread group and in all of its subgroups.

Throws: SecurityException

if the current thread is not allowed to access this thread group or any of the threads in the thread group.

See Also:

SecurityException, stop, checkAccess

 suspend

 public final void suspend()

Suspends all processes in this thread group.

First, the checkAccess method of this thread group is called with no arguments; this may result in a security exception.

This method then calls the suspend method on all the threads in this thread group and in all of its subgroups.

Throws: SecurityException

if the current thread is not allowed to access this thread group or any of the threads in the thread group.

See Also:

SecurityException, suspend, checkAccess

 toString

 public String toString()

Returns a string representation of this Thread group.

Returns:

a string representation of this thread group.

Overrides:

toString in class Object

 uncaughtException

 public void uncaughtException(Thread t,
                               Throwable e)

Called by the Java Virtual Machine when a thread in this thread group stops because of an uncaught exception.

The uncaughtException method of ThreadGroup does the following:

•	If this thread group has a parent thread group, the uncaughtException method of that parent is called with the same two arguments.

•	Otherwise, this method determines if the Throwable argument is an instance of ThreadDeath. If so, nothing special is done. Otherwise, the Throwable's printStackTrace method is called to print a stack backtrace to the standard error stream.

Applications can override this method in subclasses of ThreadGroup to provide alternative handling of uncaught exceptions.

Parameters:

t - the thread that is about to exit.

e - the uncaught exception.

See Also:

err, ThreadDeath, printStackTrace


 Class java.lang.Throwable

java.lang.Object
   |
   +----java.lang.Throwable

public class Throwable
   extends Object
   implements Serializable

The Throwable class is the superclass of all errors and exceptions in the Java language. Only objects that are instances of this class (or of one of its subclasses) are thrown by the Java Virtual Machine or can be thrown by the Java throw statement. Similarly, only this class or one of its subclasses can be the argument type in a catch clause.

A Throwable class contains a snapshot of the execution stack of its thread at the time it was created. It can also contain a message string that gives more information about the error.

Here is one example of catching an exception:

     try {
         int a[] = new int[2];
         a[4];
     } catch (ArrayIndexOutOfBoundsException e) {
         System.out.println("exception: " + e.getMessage());
         e.printStackTrace();
     }

 Throwable()

Constructs a new Throwable with no detail message.

 Throwable(String)

Constructs a new Throwable with the specified detail message.

 fillInStackTrace()

Fills in the execution stack trace.

 getLocalizedMessage()

Creates a localized description of this Throwable.

 getMessage()

Returns the detail message of this throwable object.

 printStackTrace()

Prints this Throwable and its backtrace to the standard error stream.

 printStackTrace(PrintStream)

Prints this Throwable and its backtrace to the specified print stream.

 printStackTrace(PrintWriter)

Prints this Throwable and its backtrace to the specified print writer.

 toString()

Returns a short description of this throwable object.

 Throwable

 public Throwable()

Constructs a new Throwable with no detail message. The stack trace is automatically filled in.

 Throwable

 public Throwable(String message)

Constructs a new Throwable with the specified detail message. The stack trace is automatically filled in.

Parameters:

message - the detail message.

 fillInStackTrace

 public native Throwable fillInStackTrace()

Fills in the execution stack trace. This method is useful when an application is re-throwing an error or exception. For example:

     try {
         a = b / c;
     } catch(ArithmeticThrowable e) {
         a = Number.MAX_VALUE;
         throw e.fillInStackTrace();
     }

Returns:

this Throwable object.

See Also:

printStackTrace

 getLocalizedMessage

 public String getLocalizedMessage()

Creates a localized description of this Throwable. Subclasses may override this method in order to produce a locale-specific message. For subclasses that do not override this method, the default implementation returns the same result as getMessage().

 getMessage

 public String getMessage()

Returns the detail message of this throwable object.

Returns:

the detail message of this Throwable, or null if this Throwable does not have a detail message.

 printStackTrace

 public void printStackTrace()

Prints this Throwable and its backtrace to the standard error stream.

See Also:

err

 printStackTrace

 public void printStackTrace(PrintStream s)

Prints this Throwable and its backtrace to the specified print stream.

 printStackTrace

 public void printStackTrace(PrintWriter s)

Prints this Throwable and its backtrace to the specified print writer.

 toString

 public String toString()

Returns a short description of this throwable object.

Returns:

a string representation of this Throwable.

Overrides:

toString in class Object


 Class java.lang.Void

java.lang.Object
   |
   +----java.lang.Void

public final class Void
   extends Object

The Void class is an uninstantiable placeholder class to hold a reference to the Class object representing the primitive Java type void.

 TYPE

The Class object representing the primitive Java type void.

 TYPE

 public static final Class TYPE

The Class object representing the primitive Java type void.


 Class java.lang.ArithmeticException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.lang.RuntimeException
                           |
                           +----java.lang.ArithmeticException

public class ArithmeticException
   extends RuntimeException

Thrown when an exceptional arithmetic condition has occurred. For example, an integer "divide by zero" throws an instance of this class.

 ArithmeticException()

Constructs an ArithmeticException with no detail message.

 ArithmeticException(String)

Constructs an ArithmeticException with the specified detail message.

 ArithmeticException

 public ArithmeticException()

Constructs an ArithmeticException with no detail message.

 ArithmeticException

 public ArithmeticException(String s)

Constructs an ArithmeticException with the specified detail message.

Parameters:

s - the detail message.


 Class java.lang.ArrayIndexOutOfBoundsException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.lang.RuntimeException
                           |
                           +----java.lang.IndexOutOfBoundsException
                                   |
                                   +----java.lang.ArrayIndexOutOfBoundsException

public class ArrayIndexOutOfBoundsException
   extends IndexOutOfBoundsException

Thrown to indicate that an array has been accessed with an illegal index. The index is either negative or greater than or equal to the size of the array.

 ArrayIndexOutOfBoundsException()

Constructs an ArrayIndexOutOfBoundsException with no detail message.

 ArrayIndexOutOfBoundsException(int)

Constructs a new ArrayIndexOutOfBoundsException class with an argument indicating the illegal index.

 ArrayIndexOutOfBoundsException(String)

Constructs an ArrayIndexOutOfBoundsException class with the specified detail message.

 ArrayIndexOutOfBoundsException

 public ArrayIndexOutOfBoundsException()

Constructs an ArrayIndexOutOfBoundsException with no detail message.

 ArrayIndexOutOfBoundsException

 public ArrayIndexOutOfBoundsException(int index)

Constructs a new ArrayIndexOutOfBoundsException class with an argument indicating the illegal index.

Parameters:

index - the illegal index.

 ArrayIndexOutOfBoundsException

 public ArrayIndexOutOfBoundsException(String s)

Constructs an ArrayIndexOutOfBoundsException class with the specified detail message.

Parameters:

s - the detail message.


 Class java.lang.ArrayStoreException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.lang.RuntimeException
                           |
                           +----java.lang.ArrayStoreException

public class ArrayStoreException
   extends RuntimeException

Thrown to indicate that an attempt has been made to store the wrong type of object into an array of objects. For example, the following code generates an ArrayStoreException:

     Object x[] = new String[3];
     x[0] = new Integer(0);

 ArrayStoreException()

Constructs an ArrayStoreException with no detail message.

 ArrayStoreException(String)

Constructs an ArrayStoreException with the specified detail message.

 ArrayStoreException

 public ArrayStoreException()

Constructs an ArrayStoreException with no detail message.

 ArrayStoreException

 public ArrayStoreException(String s)

Constructs an ArrayStoreException with the specified detail message.

Parameters:

s - the detail message.


 Class java.lang.ClassCastException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.lang.RuntimeException
                           |
                           +----java.lang.ClassCastException

public class ClassCastException
   extends RuntimeException

Thrown to indicate that the code has attempted to cast an object to a subclass of which it is not an instance. For example, the following code generates a ClassCastException:

     Object x = new Integer(0);
     System.out.println((String)x);

 ClassCastException()

Constructs a ClassCastException with no detail message.

 ClassCastException(String)

Constructs a ClassCastException with the specified detail message.

 ClassCastException

 public ClassCastException()

Constructs a ClassCastException with no detail message.

 ClassCastException

 public ClassCastException(String s)

Constructs a ClassCastException with the specified detail message.

Parameters:

s - the detail message.


 Class java.lang.ClassNotFoundException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.lang.ClassNotFoundException

public class ClassNotFoundException
   extends Exception

Thrown when an application tries to load in a class through its string name using:

•	The forName method in class Class.

•	The findSystemClass method in class ClassLoader .

•	The loadClass method in class ClassLoader.

but no definition for the class with the specifed name could be found.

     See Also:
     forName, findSystemClass, loadClass

 ClassNotFoundException()

Constructs a ClassNotFoundException with no detail message.

 ClassNotFoundException(String)

Constructs a ClassNotFoundException with the specified detail message.

 ClassNotFoundException

 public ClassNotFoundException()

Constructs a ClassNotFoundException with no detail message.

 ClassNotFoundException

 public ClassNotFoundException(String s)

Constructs a ClassNotFoundException with the specified detail message.

Parameters:

s - the detail message.


 Class java.lang.CloneNotSupportedException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.lang.CloneNotSupportedException

public class CloneNotSupportedException
   extends Exception

Thrown to indicate that the clone method in class Object has been called to clone an object, but that the object's class does not implement the Cloneable interface.

Applications that override the clone method can also throw this exception to indicate that an object could not or should not be cloned.

     See Also:
     Cloneable, clone

 CloneNotSupportedException()

Constructs a CloneNotSupportedException with no detail message.

 CloneNotSupportedException(String)

Constructs a CloneNotSupportedException with the specified detail message.

 CloneNotSupportedException

 public CloneNotSupportedException()

Constructs a CloneNotSupportedException with no detail message.

 CloneNotSupportedException

 public CloneNotSupportedException(String s)

Constructs a CloneNotSupportedException with the specified detail message.

Parameters:

s - the detail message.


 Class java.lang.Exception

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception

public class Exception
   extends Throwable

The class Exception and its subclasses are a form of Throwable that indicates conditions that a reasonable application might want to catch.

     See Also:
     Error

 Exception()

Constructs an Exception with no specified detail message.

 Exception(String)

Constructs an Exception with the specified detail message.

 Exception

 public Exception()

Constructs an Exception with no specified detail message.

 Exception

 public Exception(String s)

Constructs an Exception with the specified detail message.

Parameters:

s - the detail message.


 Class java.lang.IllegalAccessException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.lang.IllegalAccessException

public class IllegalAccessException
   extends Exception

Thrown when an application tries to load in a class through its string name using:

•	The forName method in class Class.

•	The findSystemClass method in class ClassLoader.

•	The loadClass method in class ClassLoader.

but the currently executing method does not have access to the definition of the specified class, because the class is not public and in another package.

An instance of this class can also be thrown when an application tries to create an instance of a class using the newInstance method in class Class, but the current method does not have access to the appropriate zero-argument constructor.

     See Also:
     forName, newInstance, findSystemClass, loadClass

 IllegalAccessException()

Constructs an IllegalAccessException without a detail message.

 IllegalAccessException(String)

Constructs an IllegalAccessException with a detail message.

 IllegalAccessException

 public IllegalAccessException()

Constructs an IllegalAccessException without a detail message.

 IllegalAccessException

 public IllegalAccessException(String s)

Constructs an IllegalAccessException with a detail message.

Parameters:

s - the detail message.


 Class java.lang.IllegalArgumentException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.lang.RuntimeException
                           |
                           +----java.lang.IllegalArgumentException

public class IllegalArgumentException
   extends RuntimeException

Thrown to indicate that a method has been passed an illegal or inappropriate argument.

     See Also:
     setPriority

 IllegalArgumentException()

Constructs an IllegalArgumentException with no detail message.

 IllegalArgumentException(String)

Constructs an IllegalArgumentException with the specified detail message.

 IllegalArgumentException

 public IllegalArgumentException()

Constructs an IllegalArgumentException with no detail message.

 IllegalArgumentException

 public IllegalArgumentException(String s)

Constructs an IllegalArgumentException with the specified detail message.

Parameters:

s - the detail message.


 Class java.lang.IllegalMonitorStateException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.lang.RuntimeException
                           |
                           +----java.lang.IllegalMonitorStateException

public class IllegalMonitorStateException
   extends RuntimeException

Thrown to indicate that a thread has attempted to wait on an object's monitor or to notify other threads waiting on an object's monitor without owning the specified monitor.

     See Also:
     notify, notifyAll, wait, wait, wait

 IllegalMonitorStateException()

Constructs an IllegalMonitorStateException with no detail message.

 IllegalMonitorStateException(String)

Constructs an IllegalMonitorStateException with the specified detail message.

 IllegalMonitorStateException

 public IllegalMonitorStateException()

Constructs an IllegalMonitorStateException with no detail message.

 IllegalMonitorStateException

 public IllegalMonitorStateException(String s)

Constructs an IllegalMonitorStateException with the specified detail message.

Parameters:

s - the detail message.


 Class java.lang.IllegalStateException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.lang.RuntimeException
                           |
                           +----java.lang.IllegalStateException

public class IllegalStateException
   extends RuntimeException

Signals that a method has been invoked at an illegal or inappropriate time. In other words, the Java environment or Java application is not in an appropriate state for the requested operation.

 IllegalStateException()

Constructs an IllegalStateException with no detail message.

 IllegalStateException(String)

Constructs an IllegalStateException with the specified detail message.

 IllegalStateException

 public IllegalStateException()

Constructs an IllegalStateException with no detail message. A detail message is a String that describes this particular exception.

 IllegalStateException

 public IllegalStateException(String s)

Constructs an IllegalStateException with the specified detail message. A detail message is a String that describes this particular exception.

Parameters:

s - the String that contains a detailed message


 Class java.lang.IllegalThreadStateException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.lang.RuntimeException
                           |
                           +----java.lang.IllegalArgumentException
                                   |
                                   +----java.lang.IllegalThreadStateException

public class IllegalThreadStateException
   extends IllegalArgumentException

Thrown to indicate that a thread is not in an appropriate state for the requested operation. See, for example, the suspend and resume methods in class Thread.

     See Also:
     resume, suspend

 IllegalThreadStateException()

Constructs an IllegalThreadStateException with no detail message.

 IllegalThreadStateException(String)

Constructs an IllegalThreadStateException with the specified detail message.

 IllegalThreadStateException

 public IllegalThreadStateException()

Constructs an IllegalThreadStateException with no detail message.

 IllegalThreadStateException

 public IllegalThreadStateException(String s)

Constructs an IllegalThreadStateException with the specified detail message.

Parameters:

s - the detail message.


 Class java.lang.IndexOutOfBoundsException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.lang.RuntimeException
                           |
                           +----java.lang.IndexOutOfBoundsException

public class IndexOutOfBoundsException
   extends RuntimeException

Thrown to indicate that an index of some sort (such as to an array, to a string, or to a vector) is out of range.

Applications can subclass this class to indicate similar exceptions.

 IndexOutOfBoundsException()

Constructs an IndexOutOfBoundsException with no detail message.

 IndexOutOfBoundsException(String)

Constructs an IndexOutOfBoundsException with the specified detail message.

 IndexOutOfBoundsException

 public IndexOutOfBoundsException()

Constructs an IndexOutOfBoundsException with no detail message.

 IndexOutOfBoundsException

 public IndexOutOfBoundsException(String s)

Constructs an IndexOutOfBoundsException with the specified detail message.

Parameters:

s - the detail message.


 Class java.lang.InstantiationException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.lang.InstantiationException

public class InstantiationException
   extends Exception

Thrown when an application tries to create an instance of a class using the newInstance method in class Class, but the specified class object cannot be instantiated because it is an interface or is an abstract class.

     See Also:
     newInstance

 InstantiationException()

Constructs an InstantiationException with no detail message.

 InstantiationException(String)

Constructs an InstantiationException with the specified detail message.

 InstantiationException

 public InstantiationException()

Constructs an InstantiationException with no detail message.

 InstantiationException

 public InstantiationException(String s)

Constructs an InstantiationException with the specified detail message.

Parameters:

s - the detail message.


 Class java.lang.InterruptedException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.lang.InterruptedException

public class InterruptedException
   extends Exception

Thrown when a thread is waiting, sleeping, or otherwise paused for a long time and another thread interrupts it using the interrupt method in class Thread.

     See Also:
     wait, wait, wait, sleep, interrupt, interrupted

 InterruptedException()

Constructs an InterruptedException with no detail message.

 InterruptedException(String)

Constructs an InterruptedException with the specified detail message.

 InterruptedException

 public InterruptedException()

Constructs an InterruptedException with no detail message.

 InterruptedException

 public InterruptedException(String s)

Constructs an InterruptedException with the specified detail message.

Parameters:

s - the detail message.


 Class java.lang.NegativeArraySizeException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.lang.RuntimeException
                           |
                           +----java.lang.NegativeArraySizeException

public class NegativeArraySizeException
   extends RuntimeException

Thrown if an application tries to create an array with negative size.

 NegativeArraySizeException()

Constructs a NegativeArraySizeException with no detail message.

 NegativeArraySizeException(String)

Constructs a NegativeArraySizeException with the specified detail message.

 NegativeArraySizeException

 public NegativeArraySizeException()

Constructs a NegativeArraySizeException with no detail message.

 NegativeArraySizeException

 public NegativeArraySizeException(String s)

Constructs a NegativeArraySizeException with the specified detail message.

Parameters:

s - the detail message.


 Class java.lang.NoSuchFieldException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.lang.NoSuchFieldException

public class NoSuchFieldException
   extends Exception

Signals that the class doesn't have a field of a specified name.

 NoSuchFieldException()

Constructor.

 NoSuchFieldException(String)

Constructor with a detail message.

 NoSuchFieldException

 public NoSuchFieldException()

Constructor.

 NoSuchFieldException

 public NoSuchFieldException(String s)

Constructor with a detail message.


 Class java.lang.NoSuchMethodException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.lang.NoSuchMethodException

public class NoSuchMethodException
   extends Exception

Thrown when a particular method cannot be found.

 NoSuchMethodException()

Constructs a NoSuchMethodException without a detail message.

 NoSuchMethodException(String)

Constructs a NoSuchMethodException with a detail message.

 NoSuchMethodException

 public NoSuchMethodException()

Constructs a NoSuchMethodException without a detail message.

 NoSuchMethodException

 public NoSuchMethodException(String s)

Constructs a NoSuchMethodException with a detail message.

Parameters:

s - the detail message.


 Class java.lang.NullPointerException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.lang.RuntimeException
                           |
                           +----java.lang.NullPointerException

public class NullPointerException
   extends RuntimeException

Thrown when an application attempts to use null in a case where an object is required. These include:

•	Calling the instance method of a null object.

•	Accessing or modifying the field of a null object.

•	Taking the length of null as if it were an array.

•	Accessing or modifying the slots of null as if it were an array.

•	Throwing null as if it were a Throwable value.

Applications should throw instances of this class to indicate other illegal uses of the null object.

 NullPointerException()

Constructs a NullPointerException with no detail message.

 NullPointerException(String)

Constructs a NullPointerException with the specified detail message.

 NullPointerException

 public NullPointerException()

Constructs a NullPointerException with no detail message.

 NullPointerException

 public NullPointerException(String s)

Constructs a NullPointerException with the specified detail message.

Parameters:

s - the detail message.


 Class java.lang.NumberFormatException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.lang.RuntimeException
                           |
                           +----java.lang.IllegalArgumentException
                                   |
                                   +----java.lang.NumberFormatException

public class NumberFormatException
   extends IllegalArgumentException

Thrown to indicate that the application has attempted to convert a string to one of the numeric types, but that the string does not have the appropriate format.

     See Also:
     toString

 NumberFormatException()

Constructs a NumberFormatException with no detail message.

 NumberFormatException(String)

Constructs a NumberFormatException with the specified detail message.

 NumberFormatException

 public NumberFormatException()

Constructs a NumberFormatException with no detail message.

 NumberFormatException

 public NumberFormatException(String s)

Constructs a NumberFormatException with the specified detail message.

Parameters:

s - the detail message.


 Class java.lang.RuntimeException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.lang.RuntimeException

public class RuntimeException
   extends Exception

RuntimeException is the superclass of those exceptions that can be thrown during the normal operation of the Java Virtual Machine.

A method is not required to declare in its throws clause any subclasses of RuntimeException that might be thrown during the execution of the method but not caught.

 RuntimeException()

Constructs a RuntimeException with no detail message.

 RuntimeException(String)

Constructs a RuntimeException with the specified detail message.

 RuntimeException

 public RuntimeException()

Constructs a RuntimeException with no detail message.

 RuntimeException

 public RuntimeException(String s)

Constructs a RuntimeException with the specified detail message.

Parameters:

s - the detail message.


 Class java.lang.SecurityException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.lang.RuntimeException
                           |
                           +----java.lang.SecurityException

public class SecurityException
   extends RuntimeException

Thrown by the security manager to indicate a security violation.

     See Also:
     SecurityManager

 SecurityException()

Constructs a SecurityException with no detail message.

 SecurityException(String)

Constructs a SecurityException with the specified detail message.

 SecurityException

 public SecurityException()

Constructs a SecurityException with no detail message.

 SecurityException

 public SecurityException(String s)

Constructs a SecurityException with the specified detail message.

Parameters:

s - the detail message.


 Class java.lang.StringIndexOutOfBoundsException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.lang.RuntimeException
                           |
                           +----java.lang.IndexOutOfBoundsException
                                   |
                                   +----java.lang.StringIndexOutOfBoundsException

public class StringIndexOutOfBoundsException
   extends IndexOutOfBoundsException

Thrown by the charAt method in class String and by other String methods to indicate that an index is either negative or greater than or equal to the size of the string.

     See Also:
     charAt

 StringIndexOutOfBoundsException()

Constructs a StringIndexOutOfBoundsException with no detail message.

 StringIndexOutOfBoundsException(int)

Constructs a new StringIndexOutOfBoundsException class with an argument indicating the illegal index.

 StringIndexOutOfBoundsException(String)

Constructs a StringIndexOutOfBoundsException with the specified detail message.

 StringIndexOutOfBoundsException

 public StringIndexOutOfBoundsException()

Constructs a StringIndexOutOfBoundsException with no detail message.

 StringIndexOutOfBoundsException

 public StringIndexOutOfBoundsException(int index)

Constructs a new StringIndexOutOfBoundsException class with an argument indicating the illegal index.

Parameters:

index - the illegal index.

 StringIndexOutOfBoundsException

 public StringIndexOutOfBoundsException(String s)

Constructs a StringIndexOutOfBoundsException with the specified detail message.

Parameters:

s - the detail message.


 Class java.lang.AbstractMethodError

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Error
                   |
                   +----java.lang.LinkageError
                           |
                           +----java.lang.IncompatibleClassChangeError
                                   |
                                   +----java.lang.AbstractMethodError

public class AbstractMethodError
   extends IncompatibleClassChangeError

Thrown when an application tries to call an abstract method. Normally, this error is caught by the compiler; this error can only occur at run time if the definition of some class has incompatibly changed since the currently executing method was last compiled.

 AbstractMethodError()

Constructs an AbstractMethodError with no detail message.

 AbstractMethodError(String)

Constructs an AbstractMethodError with the specified detail message.

 AbstractMethodError

 public AbstractMethodError()

Constructs an AbstractMethodError with no detail message.

 AbstractMethodError

 public AbstractMethodError(String s)

Constructs an AbstractMethodError with the specified detail message.

Parameters:

s - the detail message.


 Class java.lang.ClassCircularityError

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Error
                   |
                   +----java.lang.LinkageError
                           |
                           +----java.lang.ClassCircularityError

public class ClassCircularityError
   extends LinkageError

Thrown when a circularity has been detected while initializing a class.

 ClassCircularityError()

Constructs a ClassCircularityError with no detail message.

 ClassCircularityError(String)

Constructs a ClassCircularityError with the specified detail message.

 ClassCircularityError

 public ClassCircularityError()

Constructs a ClassCircularityError with no detail message.

 ClassCircularityError

 public ClassCircularityError(String s)

Constructs a ClassCircularityError with the specified detail message.

Parameters:

s - the detail message.


 Class java.lang.ClassFormatError

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Error
                   |
                   +----java.lang.LinkageError
                           |
                           +----java.lang.ClassFormatError

public class ClassFormatError
   extends LinkageError

Thrown when the Java Virtual Machine attempts to read a class file and determines that the file is malformed or otherwise cannot be interpreted as a class file.

 ClassFormatError()

Constructs a ClassFormatError with no detail message.

 ClassFormatError(String)

Constructs a ClassFormatError with the specified detail message.

 ClassFormatError

 public ClassFormatError()

Constructs a ClassFormatError with no detail message.

 ClassFormatError

 public ClassFormatError(String s)

Constructs a ClassFormatError with the specified detail message.

Parameters:

s - the detail message.


 Class java.lang.Error

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Error

public class Error
   extends Throwable

An Error is a subclass of Throwable that indicates serious problems that a reasonable application should not try to catch. Most such errors are abnormal conditions. The ThreadDeath error, though a "normal" condition, is also a subclass of Error because most applications should not try to catch it.

A method is not required to declare in its throws clause any subclasses of Error that might be thrown during the execution of the method but not caught, since these errors are abnormal conditions that should never occur.

     See Also:
     ThreadDeath

 Error()

Constructs an Error with no specified detail message.

 Error(String)

Constructs an Error with the specified detail message.

 Error

 public Error()

Constructs an Error with no specified detail message.

 Error

 public Error(String s)

Constructs an Error with the specified detail message.

Parameters:

s - the detail message.


 Class java.lang.ExceptionInInitializerError

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Error
                   |
                   +----java.lang.LinkageError
                           |
                           +----java.lang.ExceptionInInitializerError

public class ExceptionInInitializerError
   extends LinkageError

Signals that an unexpected exception has occurred in a static initializer.

 ExceptionInInitializerError()

Constructs an ExceptionInInitializerError with no detail message.

 ExceptionInInitializerError(String)

Constructs a ExceptionInInitializerError with the specified detail message.

 ExceptionInInitializerError(Throwable)

Constructs a new ExceptionInInitializerError class initialized to the specific throwable

 getException()

Returns the exception that occurred during a static initialization that caused this Error to be created.

 ExceptionInInitializerError

 public ExceptionInInitializerError()

Constructs an ExceptionInInitializerError with no detail message. A detail message is a String that describes this particular exception.

 ExceptionInInitializerError

 public ExceptionInInitializerError(String s)

Constructs a ExceptionInInitializerError with the specified detail message. A detail message is a String that describes this particular exception.

Parameters:

s - the detail message

 ExceptionInInitializerError

 public ExceptionInInitializerError(Throwable thrown)

Constructs a new ExceptionInInitializerError class initialized to the specific throwable

Parameters:

thrown - The exception thrown

 getException

 public Throwable getException()

Returns the exception that occurred during a static initialization that caused this Error to be created.


 Class java.lang.IllegalAccessError

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Error
                   |
                   +----java.lang.LinkageError
                           |
                           +----java.lang.IncompatibleClassChangeError
                                   |
                                   +----java.lang.IllegalAccessError

public class IllegalAccessError
   extends IncompatibleClassChangeError

Thrown if an application attempts to access or modify a field, or to call a method that it does not have access to.

Normally, this error is caught by the compiler; this error can only occur at run time if the definition of a class has incompatibly changed.

 IllegalAccessError()

Constructs an IllegalAccessError with no detail message.

 IllegalAccessError(String)

Constructs an IllegalAccessError with the specified detail message.

 IllegalAccessError

 public IllegalAccessError()

Constructs an IllegalAccessError with no detail message.

 IllegalAccessError

 public IllegalAccessError(String s)

Constructs an IllegalAccessError with the specified detail message.

Parameters:

s - the detail message.


 Class java.lang.IncompatibleClassChangeError

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Error
                   |
                   +----java.lang.LinkageError
                           |
                           +----java.lang.IncompatibleClassChangeError

public class IncompatibleClassChangeError
   extends LinkageError

Thrown when an incompatible class change has occurred to some class definition. The definition of some class, on which the currently executing method depends, has since changed.

 IncompatibleClassChangeError()

Constructs an IncompatibleClassChangeError with no detail message.

 IncompatibleClassChangeError(String)

Constructs an IncompatibleClassChangeError with the specified detail message.

 IncompatibleClassChangeError

 public IncompatibleClassChangeError()

Constructs an IncompatibleClassChangeError with no detail message.

 IncompatibleClassChangeError

 public IncompatibleClassChangeError(String s)

Constructs an IncompatibleClassChangeError with the specified detail message.

Parameters:

s - the detail message.


 Class java.lang.InstantiationError

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Error
                   |
                   +----java.lang.LinkageError
                           |
                           +----java.lang.IncompatibleClassChangeError
                                   |
                                   +----java.lang.InstantiationError

public class InstantiationError
   extends IncompatibleClassChangeError

Thrown when an application tries to use the Java new construct to instantiate an abstract class or an interface.

Normally, this error is caught by the compiler; this error can only occur at run time if the definition of a class has incompatibly changed.

 InstantiationError()

Constructs an InstantiationError with no detail message.

 InstantiationError(String)

Constructs an InstantiationError with the specified detail message.

 InstantiationError

 public InstantiationError()

Constructs an InstantiationError with no detail message.

 InstantiationError

 public InstantiationError(String s)

Constructs an InstantiationError with the specified detail message.

Parameters:

s - the detail message.


 Class java.lang.InternalError

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Error
                   |
                   +----java.lang.VirtualMachineError
                           |
                           +----java.lang.InternalError

public class InternalError
   extends VirtualMachineError

Thrown to indicate some unexpected internal error has occurred in the Java Virtual Machine.

 InternalError()

Constructs an InternalError with no detail message.

 InternalError(String)

Constructs an InternalError with the specified detail message.

 InternalError

 public InternalError()

Constructs an InternalError with no detail message.

 InternalError

 public InternalError(String s)

Constructs an InternalError with the specified detail message.

Parameters:

s - the detail message.


 Class java.lang.LinkageError

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Error
                   |
                   +----java.lang.LinkageError

public class LinkageError
   extends Error

Subclasses of LinkageError indicate that a class has some dependency on another class; however, the latter class has incompatibly changed after the compilation of the former class.

 LinkageError()

Constructs a LinkageError with no detail message.

 LinkageError(String)

Constructs a LinkageError with the specified detail message.

 LinkageError

 public LinkageError()

Constructs a LinkageError with no detail message.

 LinkageError

 public LinkageError(String s)

Constructs a LinkageError with the specified detail message.

Parameters:

s - the detail message.


 Class java.lang.NoClassDefFoundError

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Error
                   |
                   +----java.lang.LinkageError
                           |
                           +----java.lang.NoClassDefFoundError

public class NoClassDefFoundError
   extends LinkageError

Thrown if the Java Virtual Machine or a classloader tries to load in the definition of a class (as part of a normal method call or as part of creating a new instance using the new expression) and no definition of the class could be found.

The searched-for class definition existed when the currently executing class was compiled, but the definition can no longer be found.

 NoClassDefFoundError()

Constructs a NoClassDefFoundError with no detail message.

 NoClassDefFoundError(String)

Constructs a NoClassDefFoundError with the specified detail message.

 NoClassDefFoundError

 public NoClassDefFoundError()

Constructs a NoClassDefFoundError with no detail message.

 NoClassDefFoundError

 public NoClassDefFoundError(String s)

Constructs a NoClassDefFoundError with the specified detail message.

Parameters:

s - the detail message.


 Class java.lang.NoSuchFieldError

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Error
                   |
                   +----java.lang.LinkageError
                           |
                           +----java.lang.IncompatibleClassChangeError
                                   |
                                   +----java.lang.NoSuchFieldError

public class NoSuchFieldError
   extends IncompatibleClassChangeError

Thrown if an application tries to access or modify a specified field of an object, and that object no longer has that field.

Normally, this error is caught by the compiler; this error can only occur at run time if the definition of a class has incompatibly changed.

 NoSuchFieldError()

Constructs a NoSuchFieldException with no detail message.

 NoSuchFieldError(String)

Constructs a NoSuchFieldException with the specified detail message.

 NoSuchFieldError

 public NoSuchFieldError()

Constructs a NoSuchFieldException with no detail message.

 NoSuchFieldError

 public NoSuchFieldError(String s)

Constructs a NoSuchFieldException with the specified detail message.

Parameters:

s - the detail message.


 Class java.lang.NoSuchMethodError

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Error
                   |
                   +----java.lang.LinkageError
                           |
                           +----java.lang.IncompatibleClassChangeError
                                   |
                                   +----java.lang.NoSuchMethodError

public class NoSuchMethodError
   extends IncompatibleClassChangeError

Thrown if an application tries to call a specified method of a class (either static or instance), and that class no longer has a definition of that method.

Normally, this error is caught by the compiler; this error can only occur at run time if the definition of a class has incompatibly changed.

 NoSuchMethodError()

 NoSuchMethodError(String)

Constructs a NoSuchMethodException with the specified detail message.

 NoSuchMethodError

 public NoSuchMethodError()

 NoSuchMethodError

 public NoSuchMethodError(String s)

Constructs a NoSuchMethodException with the specified detail message.

Parameters:

s - the detail message.


 Class java.lang.OutOfMemoryError

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Error
                   |
                   +----java.lang.VirtualMachineError
                           |
                           +----java.lang.OutOfMemoryError

public class OutOfMemoryError
   extends VirtualMachineError

Thrown when the Java Virtual Machine cannot allocate an object because it is out of memory, and no more memory could be made available by the garbage collector.

 OutOfMemoryError()

Constructs an OutOfMemoryError with no detail message.

 OutOfMemoryError(String)

Constructs an OutOfMemoryError with the specified detail message.

 OutOfMemoryError

 public OutOfMemoryError()

Constructs an OutOfMemoryError with no detail message.

 OutOfMemoryError

 public OutOfMemoryError(String s)

Constructs an OutOfMemoryError with the specified detail message.

Parameters:

s - the detail message.


 Class java.lang.StackOverflowError

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Error
                   |
                   +----java.lang.VirtualMachineError
                           |
                           +----java.lang.StackOverflowError

public class StackOverflowError
   extends VirtualMachineError

Thrown when a stack overflow occurs because an application recurses too deeply.

 StackOverflowError()

Constructs a StackOverflowError with no detail message.

 StackOverflowError(String)

Constructs a StackOverflowError with the specified detail message.

 StackOverflowError

 public StackOverflowError()

Constructs a StackOverflowError with no detail message.

 StackOverflowError

 public StackOverflowError(String s)

Constructs a StackOverflowError with the specified detail message.

Parameters:

s - the detail message.


 Class java.lang.ThreadDeath

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Error
                   |
                   +----java.lang.ThreadDeath

public class ThreadDeath
   extends Error

An instance of ThreadDeath is thrown in the victim thread when the stop method with zero arguments in class Thread is called.

An application should catch instances of this class only if it must clean up after being terminated asynchronously. If ThreadDeath is caught by a method, it is important that it be rethrown so that the thread actually dies.

The top-level error handler does not print out a message if ThreadDeath is never caught.

The class ThreadDeath is specifically a subclass of Error rather than Exception, even though it is a "normal occurrence", because many applications catch all occurrences of Exception and then discard the exception.

     See Also:
     stop

 ThreadDeath()

 ThreadDeath

 public ThreadDeath()


 Class java.lang.UnknownError

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Error
                   |
                   +----java.lang.VirtualMachineError
                           |
                           +----java.lang.UnknownError

public class UnknownError
   extends VirtualMachineError

Thrown when an unknown but serious exception has occurred in the Java Virtual Machine.

 UnknownError()

Constructs an UnknownError with no detail message.

 UnknownError(String)

Constructs an UnknownError with the specified detail message.

 UnknownError

 public UnknownError()

Constructs an UnknownError with no detail message.

 UnknownError

 public UnknownError(String s)

Constructs an UnknownError with the specified detail message.

Parameters:

s - the detail message.


 Class java.lang.UnsatisfiedLinkError

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Error
                   |
                   +----java.lang.LinkageError
                           |
                           +----java.lang.UnsatisfiedLinkError

public class UnsatisfiedLinkError
   extends LinkageError

Thrown if the Java Virtual Machine cannot find an appropriate native-language definition of a method declared native.

     See Also:
     Runtime

 UnsatisfiedLinkError()

Constructs an UnsatisfiedLinkError with no detail message.

 UnsatisfiedLinkError(String)

Constructs an UnsatisfiedLinkError with the specified detail message.

 UnsatisfiedLinkError

 public UnsatisfiedLinkError()

Constructs an UnsatisfiedLinkError with no detail message.

 UnsatisfiedLinkError

 public UnsatisfiedLinkError(String s)

Constructs an UnsatisfiedLinkError with the specified detail message.

Parameters:

s - the detail message.


 Class java.lang.VerifyError

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Error
                   |
                   +----java.lang.LinkageError
                           |
                           +----java.lang.VerifyError

public class VerifyError
   extends LinkageError

Thrown when the "verifier" detects that a class file, though well formed, contains some sort of internal inconsistency or security problem.

 VerifyError()

Constructs an VerifyError with no detail message.

 VerifyError(String)

Constructs an VerifyError with the specified detail message.

 VerifyError

 public VerifyError()

Constructs an VerifyError with no detail message.

 VerifyError

 public VerifyError(String s)

Constructs an VerifyError with the specified detail message.

Parameters:

s - the detail message.


 Class java.lang.VirtualMachineError

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Error
                   |
                   +----java.lang.VirtualMachineError

public abstract class VirtualMachineError
   extends Error

Thrown to indicate that the Java Virtual Machine is broken or has run out of resources necessary for it to continue operating.

 VirtualMachineError()

Constructs a VirtualMachineError with no detail message.

 VirtualMachineError(String)

Constructs a VirtualMachineError with the specified detail message.

 VirtualMachineError

 public VirtualMachineError()

Constructs a VirtualMachineError with no detail message.

 VirtualMachineError

 public VirtualMachineError(String s)

Constructs a VirtualMachineError with the specified detail message.

Parameters:

s - the detail message.


 package java.lang.reflect

   Member

   Array
   Constructor
   Field
   Method
   Modifier

   InvocationTargetException


 Interface java.lang.reflect.Member

public interface Member

Member is an interface that reflects identifying information about a single member (a field or a method) or a constructor.

     See Also:
     Class, Field, Method, Constructor

 DECLARED

Identifies the set of declared members of a class or interface.

 PUBLIC

Identifies the set of all public members of a class or interface, including inherited members.

 getDeclaringClass()

Returns the Class object representing the class or interface that declares the member or constructor represented by this Member.

 getModifiers()

Returns the Java language modifiers for the member or constructor represented by this Member, as an integer.

 getName()

Returns the simple name of the underlying member or constructor represented by this Member.

 DECLARED

 public static final int DECLARED

Identifies the set of declared members of a class or interface. Inherited members are not included.

See Also:

checkMemberAccess

 PUBLIC

 public static final int PUBLIC

Identifies the set of all public members of a class or interface, including inherited members.

See Also:

checkMemberAccess

 getDeclaringClass

 public abstract Class getDeclaringClass()

Returns the Class object representing the class or interface that declares the member or constructor represented by this Member.

 getModifiers

 public abstract int getModifiers()

Returns the Java language modifiers for the member or constructor represented by this Member, as an integer. The Modifier class should be used to decode the modifiers in the integer.

See Also:

Modifier

 getName

 public abstract String getName()

Returns the simple name of the underlying member or constructor represented by this Member.


 Class java.lang.reflect.Array

java.lang.Object
   |
   +----java.lang.reflect.Array

public final class Array
   extends Object

The Array class provides static methods to dynamically create and access Java arrays.

Array permits widening conversions to occur during a get or set operation, but throws an IllegalArgumentException if a narrowing conversion would occur.

 get(Object, int)

Returns the value of the indexed component in the specified array object.

 getBoolean(Object, int)

Returns the value of the indexed component in the specified array object, as a boolean.

 getByte(Object, int)

Returns the value of the indexed component in the specified array object, as a byte.

 getChar(Object, int)

Returns the value of the indexed component in the specified array object, as a char.

 getDouble(Object, int)

Returns the value of the indexed component in the specified array object, as a double.

 getFloat(Object, int)

Returns the value of the indexed component in the specified array object, as a float.

 getInt(Object, int)

Returns the value of the indexed component in the specified array object, as an int.

 getLength(Object)

Returns the length of the specified array object, as an int.

 getLong(Object, int)

Returns the value of the indexed component in the specified array object, as a long.

 getShort(Object, int)

Returns the value of the indexed component in the specified array object, as a short.

 newInstance(Class, int)

Creates a new array with the specified component type and length.

 newInstance(Class, int[])

Creates a new array with the specified component type and dimensions.

 set(Object, int, Object)

Sets the value of the indexed component of the specified array object to the specified new value.

 setBoolean(Object, int, boolean)

Sets the value of the indexed component of the specified array object to the specified boolean value.

 setByte(Object, int, byte)

Sets the value of the indexed component of the specified array object to the specified boolean value.

 setChar(Object, int, char)

Sets the value of the indexed component of the specified array object to the specified byte value.

 setDouble(Object, int, double)

Sets the value of the indexed component of the specified array object to the specified double value.

 setFloat(Object, int, float)

Sets the value of the indexed component of the specified array object to the specified float value.

 setInt(Object, int, int)

Sets the value of the indexed component of the specified array object to the specified int value.

 setLong(Object, int, long)

Sets the value of the indexed component of the specified array object to the specified long value.

 setShort(Object, int, short)

Sets the value of the indexed component of the specified array object to the specified short value.

 get

 public static native Object get(Object array,
                                 int index) throws IllegalArgumentException, ArrayIndexOutOfBoundsException

Returns the value of the indexed component in the specified array object. The value is automatically wrapped in an object if it has a primitive type.

Parameters:

array - the array

index - the index

Returns:

the (possibly wrapped) value of the indexed component in the specified array

Throws: NullPointerException

If the specified object is null

Throws: IllegalArgumentException

If the specified object is not an array

Throws: ArrayIndexOutOfBoundsException

If the specified index argument is negative, or if it is greater than or equal to the length of the specified array

 getBoolean

 public static native boolean getBoolean(Object array,
                                         int index) throws IllegalArgumentException, ArrayIndexOutOfBoundsException

Returns the value of the indexed component in the specified array object, as a boolean.

Parameters:

array - the array

index - the index

Returns:

the value of the indexed component in the specified array

Throws: NullPointerException

If the specified object is null

Throws: IllegalArgumentException

If the specified object is not an array, or if the indexed element cannot be converted to the return type by an identity or widening conversion

Throws: ArrayIndexOutOfBoundsException

If the specified index argument is negative, or if it is greater than or equal to the length of the specified array

See Also:

get

 getByte

 public static native byte getByte(Object array,
                                   int index) throws IllegalArgumentException, ArrayIndexOutOfBoundsException

Returns the value of the indexed component in the specified array object, as a byte.

Parameters:

array - the array

index - the index

Returns:

the value of the indexed component in the specified array

Throws: NullPointerException

If the specified object is null

Throws: IllegalArgumentException

If the specified object is not an array, or if the indexed element cannot be converted to the return type by an identity or widening conversion

Throws: ArrayIndexOutOfBoundsException

If the specified index argument is negative, or if it is greater than or equal to the length of the specified array

See Also:

get

 getChar

 public static native char getChar(Object array,
                                   int index) throws IllegalArgumentException, ArrayIndexOutOfBoundsException

Returns the value of the indexed component in the specified array object, as a char.

Parameters:

array - the array

index - the index

Returns:

the value of the indexed component in the specified array

Throws: NullPointerException

If the specified object is null

Throws: IllegalArgumentException

If the specified object is not an array, or if the indexed element cannot be converted to the return type by an identity or widening conversion

Throws: ArrayIndexOutOfBoundsException

If the specified index argument is negative, or if it is greater than or equal to the length of the specified array

See Also:

get

 getDouble

 public static native double getDouble(Object array,
                                       int index) throws IllegalArgumentException, ArrayIndexOutOfBoundsException

Returns the value of the indexed component in the specified array object, as a double.

Parameters:

array - the array

index - the index

Returns:

the value of the indexed component in the specified array

Throws: NullPointerException

If the specified object is null

Throws: IllegalArgumentException

If the specified object is not an array, or if the indexed element cannot be converted to the return type by an identity or widening conversion

Throws: ArrayIndexOutOfBoundsException

If the specified index argument is negative, or if it is greater than or equal to the length of the specified array

See Also:

get

 getFloat

 public static native float getFloat(Object array,
                                     int index) throws IllegalArgumentException, ArrayIndexOutOfBoundsException

Returns the value of the indexed component in the specified array object, as a float.

Parameters:

array - the array

index - the index

Returns:

the value of the indexed component in the specified array

Throws: NullPointerException

If the specified object is null

Throws: IllegalArgumentException

If the specified object is not an array, or if the indexed element cannot be converted to the return type by an identity or widening conversion

Throws: ArrayIndexOutOfBoundsException

If the specified index argument is negative, or if it is greater than or equal to the length of the specified array

See Also:

get

 getInt

 public static native int getInt(Object array,
                                 int index) throws IllegalArgumentException, ArrayIndexOutOfBoundsException

Returns the value of the indexed component in the specified array object, as an int.

Parameters:

array - the array

index - the index

Returns:

the value of the indexed component in the specified array

Throws: NullPointerException

If the specified object is null

Throws: IllegalArgumentException

If the specified object is not an array, or if the indexed element cannot be converted to the return type by an identity or widening conversion

Throws: ArrayIndexOutOfBoundsException

If the specified index argument is negative, or if it is greater than or equal to the length of the specified array

See Also:

get

 getLength

 public static native int getLength(Object array) throws IllegalArgumentException

Returns the length of the specified array object, as an int.

Parameters:

array - the array

Returns:

the length of the array

Throws: IllegalArgumentException

if the object argument is not an array

 getLong

 public static native long getLong(Object array,
                                   int index) throws IllegalArgumentException, ArrayIndexOutOfBoundsException

Returns the value of the indexed component in the specified array object, as a long.

Parameters:

array - the array

index - the index

Returns:

the value of the indexed component in the specified array

Throws: NullPointerException

If the specified object is null

Throws: IllegalArgumentException

If the specified object is not an array, or if the indexed element cannot be converted to the return type by an identity or widening conversion

Throws: ArrayIndexOutOfBoundsException

If the specified index argument is negative, or if it is greater than or equal to the length of the specified array

See Also:

get

 getShort

 public static native short getShort(Object array,
                                     int index) throws IllegalArgumentException, ArrayIndexOutOfBoundsException

Returns the value of the indexed component in the specified array object, as a short.

Parameters:

array - the array

index - the index

Returns:

the value of the indexed component in the specified array

Throws: NullPointerException

If the specified object is null

Throws: IllegalArgumentException

If the specified object is not an array, or if the indexed element cannot be converted to the return type by an identity or widening conversion

Throws: ArrayIndexOutOfBoundsException

If the specified index argument is negative, or if it is greater than or equal to the length of the specified array

See Also:

get

 newInstance

 public static Object newInstance(Class componentType,
                                  int length) throws NegativeArraySizeException

Creates a new array with the specified component type and length. The effect is that of the equivalent array creation expression:

    new componentType[length]

Parameters:

componentType - the Class object representing the component type of the new array

length - the length of the new array

Returns:

the new array

Throws: NullPointerException

if the specified componentType parameter is null

Throws: NegativeArraySizeException

if the specified length is negative

 newInstance

 public static Object newInstance(Class componentType,
                                  int dimensions[]) throws IllegalArgumentException, NegativeArraySizeException

Creates a new array with the specified component type and dimensions.

The effect is that of the equivalent array creation expression:

    new componentType[dimensions[0]][dimensions[1]]...

Parameters:

componentType - the Class object representing the component type of the new array

dimensions - an array of ints representing the dimensions of the new array

Returns:

the new array

Throws: NullPointerException

if the specified componentType argument is null

Throws: IllegalArgumentException

if the specified dimensions argument is a zero-dimensional array, or if the number of requested dimensions exceeds the limit on the number of array dimensions supported by the implementation (typically 255).

Throws: NegativeArraySizeException

if any of the components in the specified dimension argument is negative.

 set

 public static native void set(Object array,
                               int index,
                               Object value) throws IllegalArgumentException, ArrayIndexOutOfBoundsException

Sets the value of the indexed component of the specified array object to the specified new value. The new value is first automatically unwrapped if the array has a primitive component type.

Parameters:

array - the array

index - the index into the array

value - the new value of the indexed component

Throws: NullPointerException

If the specified object argument is null, or if the array component type is primitive and the specified value is null

Throws: IllegalArgumentException

If the specified object argument is not an array, or if the array component type is primitive and the specified value cannot be converted to the primitive type by a combination of unwrapping and identity or widening conversions

Throws: ArrayIndexOutOfBoundsException

If the specified index argument is negative, or if it is greater than or equal to the length of the specified array

 setBoolean

 public static native void setBoolean(Object array,
                                      int index,
                                      boolean z) throws IllegalArgumentException, ArrayIndexOutOfBoundsException

Sets the value of the indexed component of the specified array object to the specified boolean value.

Parameters:

array - the array

index - the index into the array

value - the new value of the indexed component

Throws: NullPointerException

If the specified object argument is null

Throws: IllegalArgumentException

If the specified object argument is not an array, or if the the specified value cannot be converted to the underlying array's component type by an identity or a primitive widening widening conversion

Throws: ArrayIndexOutOfBoundsException

If the specified index argument is negative, or if it is greater than or equal to the length of the specified array

See Also:

set

 setByte

 public static native void setByte(Object array,
                                   int index,
                                   byte b) throws IllegalArgumentException, ArrayIndexOutOfBoundsException

Sets the value of the indexed component of the specified array object to the specified boolean value.

Parameters:

array - the array

index - the index into the array

value - the new value of the indexed component

Throws: NullPointerException

If the specified object argument is null

Throws: IllegalArgumentException

If the specified object argument is not an array, or if the the specified value cannot be converted to the underlying array's component type by an identity or a primitive widening widening conversion

Throws: ArrayIndexOutOfBoundsException

If the specified index argument is negative, or if it is greater than or equal to the length of the specified array

See Also:

set

 setChar

 public static native void setChar(Object array,
                                   int index,
                                   char c) throws IllegalArgumentException, ArrayIndexOutOfBoundsException

Sets the value of the indexed component of the specified array object to the specified byte value.

Parameters:

array - the array

index - the index into the array

value - the new value of the indexed component

Throws: NullPointerException

If the specified object argument is null

Throws: IllegalArgumentException

If the specified object argument is not an array, or if the the specified value cannot be converted to the underlying array's component type by an identity or a primitive widening widening conversion

Throws: ArrayIndexOutOfBoundsException

If the specified index argument is negative, or if it is greater than or equal to the length of the specified array

See Also:

set

 setDouble

 public static native void setDouble(Object array,
                                     int index,
                                     double d) throws IllegalArgumentException, ArrayIndexOutOfBoundsException

Sets the value of the indexed component of the specified array object to the specified double value.

Parameters:

array - the array

index - the index into the array

value - the new value of the indexed component

Throws: NullPointerException

If the specified object argument is null

Throws: IllegalArgumentException

If the specified object argument is not an array, or if the the specified value cannot be converted to the underlying array's component type by an identity or a primitive widening widening conversion

Throws: ArrayIndexOutOfBoundsException

If the specified index argument is negative, or if it is greater than or equal to the length of the specified array

See Also:

set

 setFloat

 public static native void setFloat(Object array,
                                    int index,
                                    float f) throws IllegalArgumentException, ArrayIndexOutOfBoundsException

Sets the value of the indexed component of the specified array object to the specified float value.

Parameters:

array - the array

index - the index into the array

value - the new value of the indexed component

Throws: NullPointerException

If the specified object argument is null

Throws: IllegalArgumentException

If the specified object argument is not an array, or if the the specified value cannot be converted to the underlying array's component type by an identity or a primitive widening widening conversion

Throws: ArrayIndexOutOfBoundsException

If the specified index argument is negative, or if it is greater than or equal to the length of the specified array

See Also:

set

 setInt

 public static native void setInt(Object array,
                                  int index,
                                  int i) throws IllegalArgumentException, ArrayIndexOutOfBoundsException

Sets the value of the indexed component of the specified array object to the specified int value.

Parameters:

array - the array

index - the index into the array

value - the new value of the indexed component

Throws: NullPointerException

If the specified object argument is null

Throws: IllegalArgumentException

If the specified object argument is not an array, or if the the specified value cannot be converted to the underlying array's component type by an identity or a primitive widening widening conversion

Throws: ArrayIndexOutOfBoundsException

If the specified index argument is negative, or if it is greater than or equal to the length of the specified array

See Also:

set

 setLong

 public static native void setLong(Object array,
                                   int index,
                                   long l) throws IllegalArgumentException, ArrayIndexOutOfBoundsException

Sets the value of the indexed component of the specified array object to the specified long value.

Parameters:

array - the array

index - the index into the array

value - the new value of the indexed component

Throws: NullPointerException

If the specified object argument is null

Throws: IllegalArgumentException

If the specified object argument is not an array, or if the the specified value cannot be converted to the underlying array's component type by an identity or a primitive widening widening conversion

Throws: ArrayIndexOutOfBoundsException

If the specified index argument is negative, or if it is greater than or equal to the length of the specified array

See Also:

set

 setShort

 public static native void setShort(Object array,
                                    int index,
                                    short s) throws IllegalArgumentException, ArrayIndexOutOfBoundsException

Sets the value of the indexed component of the specified array object to the specified short value.

Parameters:

array - the array

index - the index into the array

value - the new value of the indexed component

Throws: NullPointerException

If the specified object argument is null

Throws: IllegalArgumentException

If the specified object argument is not an array, or if the the specified value cannot be converted to the underlying array's component type by an identity or a primitive widening widening conversion

Throws: ArrayIndexOutOfBoundsException

If the specified index argument is negative, or if it is greater than or equal to the length of the specified array

See Also:

set


 Class java.lang.reflect.Constructor

java.lang.Object
   |
   +----java.lang.reflect.Constructor

public final class Constructor
   extends Object
   implements Member

Constructor provides information about, and access to, a single constructor for a class.

Constructor permits widening conversions to occur when matching the actual parameters to newInstance() with the underlying constructor's formal parameters, but throws an IllegalArgumentException if a narrowing conversion would occur.

     See Also:
     Member, Class, getConstructors, getConstructor, getDeclaredConstructors

 equals(Object)

Compares this Constructor against the specified object.

 getDeclaringClass()

Returns the Class object representing the class that declares the constructor represented by this Constructor object.

 getExceptionTypes()

Returns an array of Class objects that represent the types of the checked exceptions thrown by the underlying constructor represented by this Constructor object.

 getModifiers()

Returns the Java language modifiers for the constructor represented by this Constructor object, as an integer.

 getName()

Returns the name of this constructor, as a string.

 getParameterTypes()

Returns an array of Class objects that represent the formal parameter types, in declaration order, of the constructor represented by this Constructor object.

 hashCode()

Returns a hashcode for this Constructor.

 newInstance(Object[])

Uses the constructor represented by this Constructor object to create and initialize a new instance of the constructor's declaring class, with the specified initialization parameters.

 toString()

Return a string describing this Constructor.

 equals

 public boolean equals(Object obj)

Compares this Constructor against the specified object. Returns true if the objects are the same. Two Constructors are the same if they were declared by the same class and have the same formal parameter types.

Overrides:

equals in class Object

 getDeclaringClass

 public Class getDeclaringClass()

Returns the Class object representing the class that declares the constructor represented by this Constructor object.

 getExceptionTypes

 public Class[] getExceptionTypes()

Returns an array of Class objects that represent the types of the checked exceptions thrown by the underlying constructor represented by this Constructor object. Returns an array of length 0 if the constructor throws no checked exceptions.

 getModifiers

 public native int getModifiers()

Returns the Java language modifiers for the constructor represented by this Constructor object, as an integer. The Modifier class should be used to decode the modifiers.

See Also:

Modifier

 getName

 public String getName()

Returns the name of this constructor, as a string. This is always the same as the name of the constructor's declaring class.

 getParameterTypes

 public Class[] getParameterTypes()

Returns an array of Class objects that represent the formal parameter types, in declaration order, of the constructor represented by this Constructor object. Returns an array of length 0 if the underlying constructor takes no parameters.

 hashCode

 public int hashCode()

Returns a hashcode for this Constructor. The hashcode is the same as the hashcode for the underlying constructor's declaring class name.

Overrides:

hashCode in class Object

 newInstance

 public native Object newInstance(Object initargs[]) throws InstantiationException, IllegalAccessException, IllegalArgumentException, InvocationTargetException

Uses the constructor represented by this Constructor object to create and initialize a new instance of the constructor's declaring class, with the specified initialization parameters. Individual parameters are automatically unwrapped to match primitive formal parameters, and both primitive and reference parameters are subject to widening conversions as necessary. Returns the newly created and initialized object.

Creation proceeds with the following steps, in order:

If the class that declares the underlying constructor represents an abstract class, the creation throws an InstantiationException.

If this Constructor object enforces Java language access control and the underlying constructor is inaccessible, the creation throws an IllegalAccessException.

If the number of actual parameters supplied via initargs is different from the number of formal parameters required by the underlying constructor, the creation throws an IllegalArgumentException.

A new instance of the constructor's declaring class is created, and its fields are initialized to their default initial values.

For each actual parameter in the supplied initargs array:

If the corresponding formal parameter has a primitive type, an unwrapping conversion is attempted to convert the object value to a value of the primitive type. If this attempt fails, the creation throws an IllegalArgumentException.

If, after possible unwrapping, the parameter value cannot be converted to the corresponding formal parameter type by an identity or widening conversion, the creation throws an IllegalArgumentException.

Control transfers to the underlying constructor to initialize the new instance. If the constructor completes abruptly by throwing an exception, the exception is placed in an InvocationTargetException and thrown in turn to the caller of newInstance.

If the constructor completes normally, returns the newly created and initialized instance.

Throws: IllegalAccessException

if the underlying constructor is inaccessible.

Throws: IllegalArgumentException

if the number of actual and formal parameters differ, or if an unwrapping conversion fails.

Throws: InstantiationException

if the class that declares the underlying constructor represents an abstract class.

Throws: InvocationTargetException

if the underlying constructor throws an exception.

 toString

 public String toString()

Return a string describing this Constructor. The string is formatted as the constructor access modifiers, if any, followed by the fully-qualified name of the declaring class, followed by a parenthesized, comma-separated list of the constructor's formal parameter types. For example:

    public java.util.Hashtable(int,float)

The only possible modifiers for constructors are the access modifiers public, protected or private. Only one of these may appear, or none if the constructor has default (package) access.

Overrides:

toString in class Object


 Class java.lang.reflect.Field

java.lang.Object
   |
   +----java.lang.reflect.Field

public final class Field
   extends Object
   implements Member

A Field provides information about, and dynamic access to, a single field of a class or an interface. The reflected field may be a class (static) field or an instance field.

A Field permits widening conversions to occur during a get or set access operation, but throws an IllegalArgumentException if a narrowing conversion would occur.

     See Also:
     Member, Class, getFields, getField, getDeclaredFields, getDeclaredField

 equals(Object)

Compares this Field against the specified object.

 get(Object)

Returns the value of the field represented by this Field, on the specified object.

 getBoolean(Object)

Get the value of a field as a boolean on specified object.

 getByte(Object)

Get the value of a field as a byte on specified object.

 getChar(Object)

Get the value of a field as a char on specified object.

 getDeclaringClass()

Returns the Class object representing the class or interface that declares the field represented by this Field object.

 getDouble(Object)

Get the value of a field as a double on specified object.

 getFloat(Object)

Get the value of a field as a float on specified object.

 getInt(Object)

Get the value of a field as a int on specified object.

 getLong(Object)

Get the value of a field as a long on specified object.

 getModifiers()

Returns the Java language modifiers for the field represented by this Field object, as an integer.

 getName()

Returns the name of the field represented by this Field object.

 getShort(Object)

Get the value of a field as a short on specified object.

 getType()

Returns a Class object that identifies the declared type for the field represented by this Field object.

 hashCode()

Returns a hashcode for this Field.

 set(Object, Object)

Sets the field represented by this Field object on the specified object argument to the specified new value.

 setBoolean(Object, boolean)

Set the value of a field as a boolean on specified object.

 setByte(Object, byte)

Set the value of a field as a byte on specified object.

 setChar(Object, char)

Set the value of a field as a char on specified object.

 setDouble(Object, double)

Set the value of a field as a double on specified object.

 setFloat(Object, float)

Set the value of a field as a float on specified object.

 setInt(Object, int)

Set the value of a field as an int on specified object.

 setLong(Object, long)

Set the value of a field as a long on specified object.

 setShort(Object, short)

Set the value of a field as a short on specified object.

 toString()

Return a string describing this Field.

 equals

 public boolean equals(Object obj)

Compares this Field against the specified object. Returns true if the objects are the same. Two Fields are the same if they were declared by the same class and have the same name and type.

Overrides:

equals in class Object

 get

 public native Object get(Object obj) throws IllegalArgumentException, IllegalAccessException

Returns the value of the field represented by this Field, on the specified object. The value is automatically wrapped in an object if it has a primitive type.

The underlying field's value is obtained as follows:

If the underlying field is a static field, the object argument is ignored; it may be null.

Otherwise, the underlying field is an instance field. If the specified object argument is null, the method throws a NullPointerException. If the specified object is not an instance of the class or interface declaring the underlying field, the method throws an IllegalArgumentException.

If this Field object enforces Java language access control, and the underlying field is inaccessible, the method throws an IllegalAccessException.

Otherwise, the value is retrieved from the underlying instance or static field. If the field has a primitive type, the value is wrapped in an object before being returned, otherwise it is returned as is.

Throws: IllegalAccessException

if the underlying constructor is inaccessible.

Throws: IllegalArgumentException

if the specified object is not an instance of the class or interface declaring the underlying field.

Throws: NullPointerException

if the specified object is null.

 getBoolean

 public native boolean getBoolean(Object obj) throws IllegalArgumentException, IllegalAccessException

Get the value of a field as a boolean on specified object.

Throws: IllegalAccessException

if the underlying constructor is inaccessible.

Throws: IllegalArgumentException

if the field value cannot be converted to the return type by a widening conversion.

See Also:

get

 getByte

 public native byte getByte(Object obj) throws IllegalArgumentException, IllegalAccessException

Get the value of a field as a byte on specified object.

Throws: IllegalAccessException

if the underlying constructor is inaccessible.

Throws: IllegalArgumentException

if the field value cannot be converted to the return type by a widening conversion.

See Also:

get

 getChar

 public native char getChar(Object obj) throws IllegalArgumentException, IllegalAccessException

Get the value of a field as a char on specified object.

Throws: IllegalAccessException

if the underlying constructor is inaccessible.

Throws: IllegalArgumentException

if the field value cannot be converted to the return type by a widening conversion.

See Also:

get

 getDeclaringClass

 public Class getDeclaringClass()

Returns the Class object representing the class or interface that declares the field represented by this Field object.

 getDouble

 public native double getDouble(Object obj) throws IllegalArgumentException, IllegalAccessException

Get the value of a field as a double on specified object.

Throws: IllegalAccessException

if the underlying constructor is inaccessible.

Throws: IllegalArgumentException

if the field value cannot be converted to the return type by a widening conversion.

See Also:

get

 getFloat

 public native float getFloat(Object obj) throws IllegalArgumentException, IllegalAccessException

Get the value of a field as a float on specified object.

Throws: IllegalAccessException

if the underlying constructor is inaccessible.

Throws: IllegalArgumentException

if the field value cannot be converted to the return type by a widening conversion.

See Also:

get

 getInt

 public native int getInt(Object obj) throws IllegalArgumentException, IllegalAccessException

Get the value of a field as a int on specified object.

Throws: IllegalAccessException

if the underlying constructor is inaccessible.

Throws: IllegalArgumentException

if the field value cannot be converted to the return type by a widening conversion.

See Also:

get

 getLong

 public native long getLong(Object obj) throws IllegalArgumentException, IllegalAccessException

Get the value of a field as a long on specified object.

Throws: IllegalAccessException

if the underlying constructor is inaccessible.

Throws: IllegalArgumentException

if the field value cannot be converted to the return type by a widening conversion.

See Also:

get

 getModifiers

 public native int getModifiers()

Returns the Java language modifiers for the field represented by this Field object, as an integer. The Modifier class should be used to decode the modifiers.

See Also:

Modifier

 getName

 public String getName()

Returns the name of the field represented by this Field object.

 getShort

 public native short getShort(Object obj) throws IllegalArgumentException, IllegalAccessException

Get the value of a field as a short on specified object.

Throws: IllegalAccessException

if the underlying constructor is inaccessible.

Throws: IllegalArgumentException

if the field value cannot be converted to the return type by a widening conversion.

See Also:

get

 getType

 public Class getType()

Returns a Class object that identifies the declared type for the field represented by this Field object.

 hashCode

 public int hashCode()

Returns a hashcode for this Field. This is computed as the exclusive-or of the hashcodes for the underlying field's declaring class name and its name.

Overrides:

hashCode in class Object

 set

 public native void set(Object obj,
                        Object value) throws IllegalArgumentException, IllegalAccessException

Sets the field represented by this Field object on the specified object argument to the specified new value. The new value is automatically unwrapped if the underlying field has a primitive type.

The operation proceeds as follows:

If the underlying field is static, the object argument is ignored; it may be null.

Otherwise the underlying field is an instance field. If the specified object argument is null, the method throws a NullPointerException. If the specified object argument is not an instance of the class or interface declaring the underlying field, the method throws an IllegalArgumentException.

If this Field object enforces Java language access control, and the underlying field is inaccessible, the method throws an IllegalAccessException.

If the underlying field is final, the method throws an IllegalAccessException.

If the underlying field is of a primitive type, an unwrapping conversion is attempted to convert the new value to a value of a primitive type. If this attempt fails, the method throws an IllegalArgumentException.

If, after possible unwrapping, the new value cannot be converted to the type of the underlying field by an identity or widening conversion, the method throws an IllegalArgumentException.

The field is set to the possibly unwrapped and widened new value.

Throws: IllegalAccessException

if the underlying constructor is inaccessible.

Throws: IllegalArgumentException

if the specified object is not an instance of the class or interface declaring the underlying field, or if an unwrapping conversion fails.

Throws: NullPointerException

if the specified object is null.

 setBoolean

 public native void setBoolean(Object obj,
                               boolean z) throws IllegalArgumentException, IllegalAccessException

Set the value of a field as a boolean on specified object.

Throws: IllegalAccessException

if the underlying constructor is inaccessible.

Throws: IllegalArgumentException

if the specified object is not an instance of the class or interface declaring the underlying field, or if an unwrapping conversion fails.

See Also:

set

 setByte

 public native void setByte(Object obj,
                            byte b) throws IllegalArgumentException, IllegalAccessException

Set the value of a field as a byte on specified object.

Throws: IllegalAccessException

if the underlying constructor is inaccessible.

Throws: IllegalArgumentException

if the specified object is not an instance of the class or interface declaring the underlying field, or if an unwrapping conversion fails.

See Also:

set

 setChar

 public native void setChar(Object obj,
                            char c) throws IllegalArgumentException, IllegalAccessException

Set the value of a field as a char on specified object.

Throws: IllegalAccessException

if the underlying constructor is inaccessible.

Throws: IllegalArgumentException

if the specified object is not an instance of the class or interface declaring the underlying field, or if an unwrapping conversion fails.

See Also:

set

 setDouble

 public native void setDouble(Object obj,
                              double d) throws IllegalArgumentException, IllegalAccessException

Set the value of a field as a double on specified object.

Throws: IllegalAccessException

if the underlying constructor is inaccessible.

Throws: IllegalArgumentException

if the specified object is not an instance of the class or interface declaring the underlying field, or if an unwrapping conversion fails.

See Also:

set

 setFloat

 public native void setFloat(Object obj,
                             float f) throws IllegalArgumentException, IllegalAccessException

Set the value of a field as a float on specified object.

Throws: IllegalAccessException

if the underlying constructor is inaccessible.

Throws: IllegalArgumentException

if the specified object is not an instance of the class or interface declaring the underlying field, or if an unwrapping conversion fails.

See Also:

set

 setInt

 public native void setInt(Object obj,
                           int i) throws IllegalArgumentException, IllegalAccessException

Set the value of a field as an int on specified object.

Throws: IllegalAccessException

if the underlying constructor is inaccessible.

Throws: IllegalArgumentException

if the specified object is not an instance of the class or interface declaring the underlying field, or if an unwrapping conversion fails.

See Also:

set

 setLong

 public native void setLong(Object obj,
                            long l) throws IllegalArgumentException, IllegalAccessException

Set the value of a field as a long on specified object.

Throws: IllegalAccessException

if the underlying constructor is inaccessible.

Throws: IllegalArgumentException

if the specified object is not an instance of the class or interface declaring the underlying field, or if an unwrapping conversion fails.

See Also:

set

 setShort

 public native void setShort(Object obj,
                             short s) throws IllegalArgumentException, IllegalAccessException

Set the value of a field as a short on specified object.

Throws: IllegalAccessException

if the underlying constructor is inaccessible.

Throws: IllegalArgumentException

if the specified object is not an instance of the class or interface declaring the underlying field, or if an unwrapping conversion fails.

See Also:

set

 toString

 public String toString()

Return a string describing this Field. The format is the access modifiers for the field, if any, followed by the field type, followed by a space, followed by the fully-qualified name of the class declaring the field, followed by a period, followed by the name of the field. For example:

    public static final int java.lang.Thread.MIN_PRIORITY
    private int java.io.FileDescriptor.fd

The modifiers are placed in canonical order as specified by "The Java Language Specification". This is public, protected or private first, and then other modifiers in the following order: static, final, transient, volatile.

Overrides:

toString in class Object


 Class java.lang.reflect.Method

java.lang.Object
   |
   +----java.lang.reflect.Method

public final class Method
   extends Object
   implements Member

A Method provides information about, and access to, a single method on a class or interface. The reflected method may be a class method or an instance method (including an abstract method).

A Method permits widening conversions to occur when matching the actual parameters to invokewith the underlying method's formal parameters, but it throws an IllegalArgumentException if a narrowing conversion would occur.

     See Also:
     Member, Class, getMethods, getMethod, getDeclaredMethods, getDeclaredMethod

 equals(Object)

Compares this Method against the specified object.

 getDeclaringClass()

Returns the Class object representing the class or interface that declares the method represented by this Method object.

 getExceptionTypes()

Returns an array of Class objects that represent the types of the checked exceptions thrown by the underlying method represented by this Method object.

 getModifiers()

Returns the Java language modifiers for the method represented by this Method object, as an integer.

 getName()

Returns the name of the method represented by this Method object, as a String.

 getParameterTypes()

Returns an array of Class objects that represent the formal parameter types, in declaration order, of the method represented by this Method object.

 getReturnType()

Returns a Class object that represents the formal return type of the method represented by this Method object.

 hashCode()

Returns a hashcode for this Method.

 invoke(Object, Object[])

Invokes the underlying method represented by this Method object, on the specified object with the specified parameters.

 toString()

Returns a string describing this Method.

 equals

 public boolean equals(Object obj)

Compares this Method against the specified object. Returns true if the objects are the same. Two Methods are the same if they were declared by the same class and have the same name and formal parameter types.

Overrides:

equals in class Object

 getDeclaringClass

 public Class getDeclaringClass()

Returns the Class object representing the class or interface that declares the method represented by this Method object.

 getExceptionTypes

 public Class[] getExceptionTypes()

Returns an array of Class objects that represent the types of the checked exceptions thrown by the underlying method represented by this Method object. Returns an array of length 0 if the method throws no checked exceptions.

 getModifiers

 public native int getModifiers()

Returns the Java language modifiers for the method represented by this Method object, as an integer. The Modifier class should be used to decode the modifiers.

See Also:

Modifier

 getName

 public String getName()

Returns the name of the method represented by this Method object, as a String.

 getParameterTypes

 public Class[] getParameterTypes()

Returns an array of Class objects that represent the formal parameter types, in declaration order, of the method represented by this Method object. Returns an array of length 0 if the underlying method takes no parameters.

 getReturnType

 public Class getReturnType()

Returns a Class object that represents the formal return type of the method represented by this Method object.

 hashCode

 public int hashCode()

Returns a hashcode for this Method. The hashcode is computed as the exclusive-or of the hashcodes for the underlying method's declaring class name and the method's name.

Overrides:

hashCode in class Object

 invoke

 public native Object invoke(Object obj,
                             Object args[]) throws IllegalAccessException, IllegalArgumentException, InvocationTargetException

Invokes the underlying method represented by this Method object, on the specified object with the specified parameters. Individual parameters are automatically unwrapped to match primitive formal parameters, and both primitive and reference parameters are subject to widening conversions as necessary. The value returned by the underlying method is automatically wrapped in an object if it has a primitive type.

Method invocation proceeds with the following steps, in order:

If the underlying method is static, then the specified object argument is ignored. It may be null.

Otherwise, the method is an instance method. If the specified object argument is null, the invocation throws a NullPointerException. Otherwise, if the specified object argument is not an instance of the class or interface declaring the underlying method, the invocation throws an IllegalArgumentException.

If this Method object enforces Java language access control and the underlying method is inaccessible, the invocation throws an IllegalAccessException.

If the number of actual parameters supplied via args is different from the number of formal parameters required by the underlying method, the invocation throws an IllegalArgumentException.

For each actual parameter in the supplied args array:

If the corresponding formal parameter has a primitive type, an unwrapping conversion is attempted to convert the object value to a value of a primitive type. If this attempt fails, the invocation throws an IllegalArgumentException.

If, after possible unwrapping, the parameter value cannot be converted to the corresponding formal parameter type by an identity or widening conversion, the invocation throws an IllegalArgumentException.

If the underlying method is an instance method, it is invoked using dynamic method lookup as documented in The Java Language Specification, section 15.11.4.4; in particular, overriding based on the runtime type of the target object will occur.

If the underlying method is static, it is invoked as exactly the method on the declaring class.

Control transfers to the underlying method. If the method completes abruptly by throwing an exception, the exception is placed in an InvocationTargetException and thrown in turn to the caller of invoke.

If the method completes normally, the value it returns is returned to the caller of invoke; if the value has a primitive type, it is first appropriately wrapped in an object. If the underlying method return type is void, the invocation returns null.

Throws: IllegalAccessException

if the underlying method is inaccessible.

Throws: IllegalArgumentException

if the number of actual and formal parameters differ, or if an unwrapping conversion fails.

Throws: InvocationTargetException

if the underlying method throws an exception.

Throws: NullPointerException

if the specified object is null.

 toString

 public String toString()

Returns a string describing this Method. The string is formatted as the method access modifiers, if any, followed by the method return type, followed by a space, followed by the class declaring the method, followed by a period, followed by the method name, followed by a parenthesized, comma-separated list of the method's formal parameter types. If the method throws checked exceptions, the parameter list is followed by a space, followed by the word throws followed by a comma-separated list of the thrown exception types. For example:

    public boolean java.lang.Object.equals(java.lang.Object)

The access modifiers are placed in canonical order as specified by "The Java Language Specification". This is public, protected or private first, and then other modifiers in the following order: abstract, static, final, synchronized native.

Overrides:

toString in class Object


 Class java.lang.reflect.Modifier

java.lang.Object
   |
   +----java.lang.reflect.Modifier

public class Modifier
   extends Object

The Modifier class provides static methods and constants to decode class and member access modifiers.

     See Also:
     getModifiers, getModifiers

 ABSTRACT

 FINAL

 INTERFACE

 NATIVE

 PRIVATE

 PROTECTED

 PUBLIC

 STATIC

 SYNCHRONIZED

 TRANSIENT

 VOLATILE

 Modifier()

 isAbstract(int)

Return true if the specifier integer includes the abstract modifier.

 isFinal(int)

Return true if the specifier integer includes the final modifier.

 isInterface(int)

Return true if the specifier integer includes the interface modifier.

 isNative(int)

Return true if the specifier integer includes the native modifier.

 isPrivate(int)

Return true if the specifier integer includes the private modifier.

 isProtected(int)

Return true if the specifier integer includes the protected modifier.

 isPublic(int)

Return true if the specified integer includes the public modifier.

 isStatic(int)

Return true if the specifier integer includes the static modifier.

 isSynchronized(int)

Return true if the specifier integer includes the final modifier.

 isTransient(int)

Return true if the specifier integer includes the transient modifier.

 isVolatile(int)

Return true if the specifier integer includes the volatile modifier.

 toString(int)

Return a string describing the access modifier flags in the specified modifier.

 ABSTRACT

 public static final int ABSTRACT

 FINAL

 public static final int FINAL

 INTERFACE

 public static final int INTERFACE

 NATIVE

 public static final int NATIVE

 PRIVATE

 public static final int PRIVATE

 PROTECTED

 public static final int PROTECTED

 PUBLIC

 public static final int PUBLIC

 STATIC

 public static final int STATIC

 SYNCHRONIZED

 public static final int SYNCHRONIZED

 TRANSIENT

 public static final int TRANSIENT

 VOLATILE

 public static final int VOLATILE

 Modifier

 public Modifier()

 isAbstract

 public static boolean isAbstract(int mod)

Return true if the specifier integer includes the abstract modifier.

 isFinal

 public static boolean isFinal(int mod)

Return true if the specifier integer includes the final modifier.

 isInterface

 public static boolean isInterface(int mod)

Return true if the specifier integer includes the interface modifier.

 isNative

 public static boolean isNative(int mod)

Return true if the specifier integer includes the native modifier.

 isPrivate

 public static boolean isPrivate(int mod)

Return true if the specifier integer includes the private modifier.

 isProtected

 public static boolean isProtected(int mod)

Return true if the specifier integer includes the protected modifier.

 isPublic

 public static boolean isPublic(int mod)

Return true if the specified integer includes the public modifier.

 isStatic

 public static boolean isStatic(int mod)

Return true if the specifier integer includes the static modifier.

 isSynchronized

 public static boolean isSynchronized(int mod)

Return true if the specifier integer includes the final modifier.

 isTransient

 public static boolean isTransient(int mod)

Return true if the specifier integer includes the transient modifier.

 isVolatile

 public static boolean isVolatile(int mod)

Return true if the specifier integer includes the volatile modifier.

 toString

 public static String toString(int mod)

Return a string describing the access modifier flags in the specified modifier. For example:

    public final synchronized
    private transient volatile

The modifier names are return in canonical order, as specified by The Java Language Specification.


 Class java.lang.reflect.InvocationTargetException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.lang.reflect.InvocationTargetException

public class InvocationTargetException
   extends Exception

InvocationTargetException is a checked exception that wraps an exception thrown by an invoked method or constructor.

     See Also:
     Method, Constructor

 InvocationTargetException()

 InvocationTargetException(Throwable)

Constructs a InvocationTargetException with a target exception.

 InvocationTargetException(Throwable, String)

Constructs a InvocationTargetException with a target exception and a detail message.

 getTargetException()

Get the thrown target exception.

 InvocationTargetException

 protected InvocationTargetException()

 InvocationTargetException

 public InvocationTargetException(Throwable target)

Constructs a InvocationTargetException with a target exception.

 InvocationTargetException

 public InvocationTargetException(Throwable target,
                                  String s)

Constructs a InvocationTargetException with a target exception and a detail message.

 getTargetException

 public Throwable getTargetException()

Get the thrown target exception.


 package java.math

   BigDecimal
   BigInteger


 Class java.math.BigDecimal

java.lang.Object
   |
   +----java.lang.Number
           |
           +----java.math.BigDecimal

public class BigDecimal
   extends Number

Immutable, arbitrary-precision signed decimal numbers. A BigDecimal consists of an arbitrary precision integer value and a non-negative integer scale, which represents the number of decimal digits to the right of the decimal point. (The number represented by the BigDecimal is intVal/10**scale.) BigDecimals provide operations for basic arithmetic, scale manipulation, comparison, format conversion and hashing.

The BigDecimal class gives its user complete control over rounding behavior, forcing the user to explicitly specify a rounding behavior for operations capable of discarding precision (divide and setScale). Eight rounding modes are provided for this purpose. Two types of operations are provided for manipulating the scale of a BigDecimal: scaling/rounding operations and decimal point motion operations. Scaling/Rounding operations (SetScale) return a BigDecimal whose value is approximately (or exactly) equal to that of the operand, but whose scale is the specified value; that is, they increase or decrease the precision of the number with minimal effect on its value. Decimal point motion operations (movePointLeft and movePointRight) return a BigDecimal created from the operand by moving the decimal point a specified distance in the specified direction; that is, they change a number's value without affecting its precision.

     See Also:
     BigInteger

 ROUND_CEILING

If the BigDecimal is positive, behave as for ROUND_UP; if negative, behave as for ROUND_DOWN.

 ROUND_DOWN

Never increment the digit prior to a discarded fraction (i.e., truncate).

 ROUND_FLOOR

If the BigDecimal is positive, behave as for ROUND_DOWN; if negative behave as for ROUND_UP.

 ROUND_HALF_DOWN

Behave as for ROUND_UP if the discarded fraction is > .5; otherwise, behave as for ROUND_DOWN.

 ROUND_HALF_EVEN

Behave as for ROUND_HALF_UP if the digit to the left of the discarded fraction is odd; behave as for ROUND_HALF_DOWN if it's even.

 ROUND_HALF_UP

Behave as for ROUND_UP if the discarded fraction is >= .5; otherwise, behave as for ROUND_DOWN.

 ROUND_UNNECESSARY

This "pseudo-rounding-mode" is actually an assertion that the requested operation has an exact result, hence no rounding is necessary.

 ROUND_UP

Always increment the digit prior to a non-zero discarded fraction.

 BigDecimal(BigInteger)

Translates a BigInteger into a BigDecimal.

 BigDecimal(BigInteger, int)

Translates a BigInteger and a scale into a BigDecimal.

 BigDecimal(double)

Translates a double into a BigDecimal.

 BigDecimal(String)

Constructs a BigDecimal from a string containing an optional minus sign followed by a sequence of zero or more decimal digits, optionally followed by a fraction, which consists of a decimal point followed by zero or more decimal digits.

 abs()

Returns a BigDecimal whose value is the absolute value of this number, and whose scale is this.scale().

 add(BigDecimal)

Returns a BigDecimal whose value is (this + val), and whose scale is MAX(this.scale(), val.scale).

 compareTo(BigDecimal)

Returns -1, 0 or 1 as this number is less than, equal to, or greater than val.

 divide(BigDecimal, int)

Returns a BigDecimal whose value is (this / val), and whose scale is this.scale().

 divide(BigDecimal, int, int)

Returns a BigDecimal whose value is (this / val), and whose scale is as specified.

 doubleValue()

Converts the number to a double.

 equals(Object)

Returns true iff x is a BigDecimal whose value is equal to this number.

 floatValue()

Converts this number to a float.

 hashCode()

Computes a hash code for this object.

 intValue()

Converts this number to an int.

 longValue()

Converts this number to a long.

 max(BigDecimal)

Returns the BigDecimal whose value is the greater of this and val.

 min(BigDecimal)

Returns the BigDecimal whose value is the lesser of this and val.

 movePointLeft(int)

Returns a BigDecimal which is equivalent to this one with the decimal point moved n places to the left.

 movePointRight(int)

Moves the decimal point the specified number of places to the right.

 multiply(BigDecimal)

Returns a BigDecimal whose value is (this * val), and whose scale is this.scale() + val.scale.

 negate()

Returns a BigDecimal whose value is -1 * this, and whose scale is this.scale().

 scale()

Returns the scale of this number.

 setScale(int)

Returns a BigDecimal whose scale is the specified value, and whose value is exactly equal to this number's.

 setScale(int, int)

Returns a BigDecimal whose scale is the specified value, and whose integer value is determined by multiplying or dividing this BigDecimal's integer value by the appropriate power of ten to maintain the overall value.

 signum()

Returns the signum function of this number (i.e., -1, 0 or 1 as the value of this number is negative, zero or positive).

 subtract(BigDecimal)

Returns a BigDecimal whose value is (this - val), and whose scale is MAX(this.scale(), val.scale).

 toBigInteger()

Converts this number to a BigInteger.

 toString()

Returns the string representation of this number.

 valueOf(long)

Returns a BigDecimal with the given value and a scale of zero.

 valueOf(long, int)

Returns a BigDecimal with a value of (val/10**scale).

 ROUND_CEILING

 public static final int ROUND_CEILING

If the BigDecimal is positive, behave as for ROUND_UP; if negative, behave as for ROUND_DOWN. Note that this rounding mode never decreases the value. (Rounds towards positive infinity.)

 ROUND_DOWN

 public static final int ROUND_DOWN

Never increment the digit prior to a discarded fraction (i.e., truncate). Note that this rounding mode never increases the magnitude. (Rounds towards zero.)

 ROUND_FLOOR

 public static final int ROUND_FLOOR

If the BigDecimal is positive, behave as for ROUND_DOWN; if negative behave as for ROUND_UP. Note that this rounding mode never increases the value. (Rounds towards negative infinity.)

 ROUND_HALF_DOWN

 public static final int ROUND_HALF_DOWN

Behave as for ROUND_UP if the discarded fraction is > .5; otherwise, behave as for ROUND_DOWN. (Rounds towards "nearest neighbor" unless both neighbors are equidistant, in which case rounds down.)

 ROUND_HALF_EVEN

 public static final int ROUND_HALF_EVEN

Behave as for ROUND_HALF_UP if the digit to the left of the discarded fraction is odd; behave as for ROUND_HALF_DOWN if it's even. (Rounds towards the "nearest neighbor" unless both neighbors are equidistant, in which case, rounds towards the even neighbor.)

 ROUND_HALF_UP

 public static final int ROUND_HALF_UP

Behave as for ROUND_UP if the discarded fraction is >= .5; otherwise, behave as for ROUND_DOWN. (Rounds towards "nearest neighbor" unless both neighbors are equidistant, in which case rounds up.)

 ROUND_UNNECESSARY

 public static final int ROUND_UNNECESSARY

This "pseudo-rounding-mode" is actually an assertion that the requested operation has an exact result, hence no rounding is necessary. If this rounding mode is specified on an operation that yields an inexact result, an arithmetic exception is thrown.

 ROUND_UP

 public static final int ROUND_UP

Always increment the digit prior to a non-zero discarded fraction. Note that this rounding mode never decreases the magnitude. (Rounds away from zero.)

 BigDecimal

 public BigDecimal(BigInteger val)

Translates a BigInteger into a BigDecimal. The scale of the BigDecimal is zero.

 BigDecimal

 public BigDecimal(BigInteger val,
                   int scale) throws NumberFormatException

Translates a BigInteger and a scale into a BigDecimal. The value of the BigDecimal is (BigInteger/10**scale). A negative scale will result in a NumberFormatException.

 BigDecimal

 public BigDecimal(double val) throws NumberFormatException

Translates a double into a BigDecimal. The scale of the BigDecimal is the smallest value such that (10**scale * val) is an integer. A double whose value is -infinity, +infinity or NaN will result in a NumberFormatException.

 BigDecimal

 public BigDecimal(String val) throws NumberFormatException

Constructs a BigDecimal from a string containing an optional minus sign followed by a sequence of zero or more decimal digits, optionally followed by a fraction, which consists of a decimal point followed by zero or more decimal digits. The string must contain at least one digit in the integer or fractional part. The scale of the resulting BigDecimal will be the number of digits to the right of the decimal point in the string, or 0 if the string contains no decimal point. The character-to-digit mapping is provided by Character.digit. Any extraneous characters (including whitespace) will result in a NumberFormatException.

 abs

 public BigDecimal abs()

Returns a BigDecimal whose value is the absolute value of this number, and whose scale is this.scale().

 add

 public BigDecimal add(BigDecimal val)

Returns a BigDecimal whose value is (this + val), and whose scale is MAX(this.scale(), val.scale).

 compareTo

 public int compareTo(BigDecimal val)

Returns -1, 0 or 1 as this number is less than, equal to, or greater than val. Two BigDecimals that are equal in value but have a different scale (e.g., 2.0, 2.00) are considered equal by this method. This method is provided in preference to individual methods for each of the six boolean comparison operators (<, ==, >, >=, !=, <=). The suggested idiom for performing these comparisons is: (x.compareTo(y) <op> 0), where <op> is one of the six comparison operators.

 divide

 public BigDecimal divide(BigDecimal val,
                          int roundingMode) throws ArithmeticException, IllegalArgumentException

Returns a BigDecimal whose value is (this / val), and whose scale is this.scale(). If rounding must be performed to generate a result with the given scale, the specified rounding mode is applied. Throws an ArithmeticException if val == 0. Throws an IllegalArgumentException if roundingMode does not represent a valid rounding mode.

 divide

 public BigDecimal divide(BigDecimal val,
                          int scale,
                          int roundingMode) throws ArithmeticException, IllegalArgumentException

Returns a BigDecimal whose value is (this / val), and whose scale is as specified. If rounding must be performed to generate a result with the given scale, the specified rounding mode is applied. Throws an ArithmeticException if val == 0, scale < 0, or the rounding mode is ROUND_UNNECESSARY and the specified scale is insufficient to represent the result of the division exactly. Throws an IllegalArgumentException if roundingMode does not represent a valid rounding mode.

 doubleValue

 public double doubleValue()

Converts the number to a double. Similar to the double-to-float narrowing primitive conversion defined in The Java Language Specification: if the number has too great a magnitude to represent as a double, it will be converted to infinity or negative infinity, as appropriate.

Overrides:

doubleValue in class Number

 equals

 public boolean equals(Object x)

Returns true iff x is a BigDecimal whose value is equal to this number. This method is provided so that BigDecimals can be used as hash keys. Unlike compareTo, this method considers two BigDecimals equal only if they are equal in value and scale.

Overrides:

equals in class Object

 floatValue

 public float floatValue()

Converts this number to a float. Similar to the double-to-float narrowing primitive conversion defined in The Java Language Specification: if the number has too great a magnitude to represent as a float, it will be converted to infinity or negative infinity, as appropriate.

Overrides:

floatValue in class Number

 hashCode

 public int hashCode()

Computes a hash code for this object. Note that two BigDecimals that are numerically equal but differ in scale (e.g., 2.0, 2.00) will not generally have the same hash code.

Overrides:

hashCode in class Object

 intValue

 public int intValue()

Converts this number to an int. Standard narrowing primitive conversion as per The Java Language Specification. In particular, note that any fractional part of this number will be truncated.

Overrides:

intValue in class Number

 longValue

 public long longValue()

Converts this number to a long. Standard narrowing primitive conversion as per The Java Language Specification. In particular, note that any fractional part of this number will be truncated.

Overrides:

longValue in class Number

 max

 public BigDecimal max(BigDecimal val)

Returns the BigDecimal whose value is the greater of this and val. If the values are equal (as defined by the compareTo operator), either may be returned.

 min

 public BigDecimal min(BigDecimal val)

Returns the BigDecimal whose value is the lesser of this and val. If the values are equal (as defined by the compareTo operator), either may be returned.

 movePointLeft

 public BigDecimal movePointLeft(int n)

Returns a BigDecimal which is equivalent to this one with the decimal point moved n places to the left. If n is non-negative, the call merely adds n to the scale. If n is negative, the call is equivalent to movePointRight(-n). (The BigDecimal returned by this call has value (this * 10**-n) and scale MAX(this.scale()+n, 0).)

 movePointRight

 public BigDecimal movePointRight(int n)

Moves the decimal point the specified number of places to the right. If this number's scale is >= n, the call merely subtracts n from the scale; otherwise, it sets the scale to zero, and multiplies the integer value by 10 ** (n - this.scale). If n is negative, the call is equivalent to movePointLeft(-n). (The BigDecimal returned by this call has value (this * 10**n) and scale MAX(this.scale()-n, 0).)

 multiply

 public BigDecimal multiply(BigDecimal val)

Returns a BigDecimal whose value is (this * val), and whose scale is this.scale() + val.scale.

 negate

 public BigDecimal negate()

Returns a BigDecimal whose value is -1 * this, and whose scale is this.scale().

 scale

 public int scale()

Returns the scale of this number.

 setScale

 public BigDecimal setScale(int scale) throws ArithmeticException, IllegalArgumentException

Returns a BigDecimal whose scale is the specified value, and whose value is exactly equal to this number's. Throws an ArithmeticException if this is not possible. This call is typically used to increase the scale, in which case it is guaranteed that there exists a BigDecimal of the specified scale and the correct value. The call can also be used to reduce the scale if the caller knows that the number has sufficiently many zeros at the end of its fractional part (i.e., factors of ten in its integer value) to allow for the rescaling without loss of precision. Note that this call returns the same result as the two argument version of setScale, but saves the caller the trouble of specifying a rounding mode in cases where it is irrelevant.

 setScale

 public BigDecimal setScale(int scale,
                            int roundingMode) throws ArithmeticException, IllegalArgumentException

Returns a BigDecimal whose scale is the specified value, and whose integer value is determined by multiplying or dividing this BigDecimal's integer value by the appropriate power of ten to maintain the overall value. If the scale is reduced by the operation, the integer value must be divided (rather than multiplied), and precision may be lost; in this case, the specified rounding mode is applied to the division. Throws an ArithmeticException if scale is negative, or the rounding mode is ROUND_UNNECESSARY and it is impossible to perform the specified scaling operation without loss of precision. Throws an IllegalArgumentException if roundingMode does not represent a valid rounding mode.

 signum

 public int signum()

Returns the signum function of this number (i.e., -1, 0 or 1 as the value of this number is negative, zero or positive).

 subtract

 public BigDecimal subtract(BigDecimal val)

Returns a BigDecimal whose value is (this - val), and whose scale is MAX(this.scale(), val.scale).

 toBigInteger

 public BigInteger toBigInteger()

Converts this number to a BigInteger. Standard narrowing primitive conversion as per The Java Language Specification. In particular, note that any fractional part of this number will be truncated.

 toString

 public String toString()

Returns the string representation of this number. The digit-to- character mapping provided by Character.forDigit is used. The minus sign and decimal point are used to indicate sign and scale. (This representation is compatible with the (String, int) constructor.)

Overrides:

toString in class Object

 valueOf

 public static BigDecimal valueOf(long val)

Returns a BigDecimal with the given value and a scale of zero. This factory is provided in preference to a (long) constructor because it allows for reuse of frequently used BigDecimals (like 0 and 1), obviating the need for exported constants.

 valueOf

 public static BigDecimal valueOf(long val,
                                  int scale) throws NumberFormatException

Returns a BigDecimal with a value of (val/10**scale). This factory is provided in preference to a (long) constructor because it allows for reuse of frequently used BigDecimals (like 0 and 1), obviating the need for exported constants. A negative scale will result in a NumberFormatException.


 Class java.math.BigInteger

java.lang.Object
   |
   +----java.lang.Number
           |
           +----java.math.BigInteger

public class BigInteger
   extends Number

Immutable arbitrary-precision integers. All operations behave as if BigIntegers were represented in two's-complement notation (like Java's primitive integer types). BigIntegers provide analogues to all of Java's primitive integer operators, and all relevant static methods from java.lang.Math. Additionally, BigIntegers provide operations for modular arithmetic, GCD calculation, primality testing, prime generation, single-bit manipulation, and a few other odds and ends.

Semantics of arithmetic operations exactly mimic those of java's integer arithmetic operators, as defined in The Java Language Specification. For example, division by zero throws an ArithmeticException, and division of a negative by a positive yields a negative (or zero) remainder. All of the details in the Spec concerning overflow are ignored, as BigIntegers are made as large as necessary to accommodate the results of an operation.

Semantics of shift operations extend those of Java's shift operators to allow for negative shift distances. A right-shift with a negative shift distance results in a left shift, and vice-versa. The unsigned right shift operator (>>>) is omitted, as this operation makes little sense in combination with the "infinite word size" abstraction provided by this class.

Semantics of bitwise logical operations are are exactly mimic those of Java's bitwise integer operators. The Binary operators (and, or, xor) implicitly perform sign extension on the shorter of the two operands prior to performing the operation.

Comparison operations perform signed integer comparisons, analogous to those performed by java's relational and equality operators.

Modular arithmetic operations are provided to compute residues, perform exponentiation, and compute multiplicative inverses. These methods always return a non-negative result, between 0 and (modulus - 1), inclusive.

Single-bit operations operate on a single bit of the two's-complement representation of their operand. If necessary, the operand is sign extended so that it contains the designated bit. None of the single-bit operations can produce a number with a different sign from the the BigInteger being operated on, as they affect only a single bit, and the "infinite word size" abstraction provided by this class ensures that there are infinitely many "virtual sign bits" preceding each BigInteger.

     See Also:
     BigDecimal

 BigInteger(byte[])

Translates a byte array containing the two's-complement representation of a (signed) integer into a BigInteger.

 BigInteger(int, byte[])

Translates the sign-magnitude representation of an integer into a BigInteger.

 BigInteger(int, int, Random)

Returns a randomly selected BigInteger with the specified bitLength that is probably prime.

 BigInteger(int, Random)

Returns a random number uniformly distributed on [0, 2**numBits - 1] (assuming a fair source of random bits is provided in rndSrc).

 BigInteger(String)

Translates a string containing an optional minus sign followed by a sequence of one or more decimal digits into a BigInteger.

 BigInteger(String, int)

Translates a string containing an optional minus sign followed by a sequence of one or more digits in the specified radix into a BigInteger.

 abs()

Returns a BigInteger whose value is the absolute value of this number.

 add(BigInteger)

Returns a BigInteger whose value is (this + val).

 and(BigInteger)

Returns a BigInteger whose value is (this & val).

 andNot(BigInteger)

Returns a BigInteger whose value is (this & ~val).

 bitCount()

Returns the number of bits in the two's complement representation of this number that differ from its sign bit.

 bitLength()

Returns the number of bits in the minimal two's-complement representation of this number, *excluding* a sign bit, i.e., (ceil(log2(this < 0 ? -this : this + 1))).

 clearBit(int)

Returns a BigInteger whose value is equivalent to this number with the designated bit cleared.

 compareTo(BigInteger)

Returns -1, 0 or 1 as this number is less than, equal to, or greater than val.

 divide(BigInteger)

Returns a BigInteger whose value is (this / val).

 divideAndRemainder(BigInteger)

Returns an array of two BigIntegers.

 doubleValue()

Converts the number to a double.

 equals(Object)

Returns true iff x is a BigInteger whose value is equal to this number.

 flipBit(int)

Returns a BigInteger whose value is equivalent to this number with the designated bit flipped.

 floatValue()

Converts this number to a float.

 gcd(BigInteger)

Returns a BigInteger whose value is the greatest common denominator of abs(this) and abs(val).

 getLowestSetBit()

Returns the index of the rightmost (lowest-order) one bit in this number (i.e., the number of zero bits to the right of the rightmost one bit).

 hashCode()

Computes a hash code for this object.

 intValue()

Converts this number to an int.

 isProbablePrime(int)

Returns true if this BigInteger is probably prime, false if it's definitely composite.

 longValue()

Converts this number to a long.

 max(BigInteger)

Returns the BigInteger whose value is the greater of this and val.

 min(BigInteger)

Returns the BigInteger whose value is the lesser of this and val.

 mod(BigInteger)

Returns a BigInteger whose value is this mod m.

 modInverse(BigInteger)

Returns modular multiplicative inverse of this, mod m.

 modPow(BigInteger, BigInteger)

Returns a BigInteger whose value is (this ** exponent) mod m.

 multiply(BigInteger)

Returns a BigInteger whose value is (this * val).

 negate()

Returns a BigInteger whose value is (-1 * this).

 not()

Returns a BigInteger whose value is (~this).

 or(BigInteger)

Returns a BigInteger whose value is (this | val).

 pow(int)

Returns a BigInteger whose value is (this ** exponent).

 remainder(BigInteger)

Returns a BigInteger whose value is (this % val).

 setBit(int)

Returns a BigInteger whose value is equivalent to this number with the designated bit set.

 shiftLeft(int)

Returns a BigInteger whose value is (this << n).

 shiftRight(int)

Returns a BigInteger whose value is (this >> n).

 signum()

Returns the signum function of this number (i.e., -1, 0 or 1 as the value of this number is negative, zero or positive).

 subtract(BigInteger)

Returns a BigInteger whose value is (this - val).

 testBit(int)

Returns true iff the designated bit is set.

 toByteArray()

Returns the two's-complement representation of this number.

 toString()

Returns the string representation of this number, radix 10.

 toString(int)

Returns the string representation of this number in the given radix.

 valueOf(long)

Returns a BigInteger with the specified value.

 xor(BigInteger)

Returns a BigInteger whose value is (this ^ val).

 BigInteger

 public BigInteger(byte val[]) throws NumberFormatException

Translates a byte array containing the two's-complement representation of a (signed) integer into a BigInteger. The input array is assumed to be big-endian (i.e., the most significant byte is in the [0] position). (The most significant bit of the most significant byte is the sign bit.) The array must contain at least one byte or a NumberFormatException will be thrown.

 BigInteger

 public BigInteger(int signum,
                   byte magnitude[]) throws NumberFormatException

Translates the sign-magnitude representation of an integer into a BigInteger. The sign is represented as an integer signum value (-1 for negative, 0 for zero, 1 for positive). The magnitude is represented as a big-endian byte array (i.e., the most significant byte is in the [0] position). An invalid signum value or a 0 signum value coupled with a nonzero magnitude will result in a NumberFormatException. A zero length magnitude array is permissible, and will result in in a value of 0 (irrespective of the given signum value).

 BigInteger

 public BigInteger(int bitLength,
                   int certainty,
                   Random rnd)

Returns a randomly selected BigInteger with the specified bitLength that is probably prime. The certainty parameter is a measure of the uncertainty that the caller is willing to tolerate: the probability that the number is prime will exceed 1 - 1/2**certainty. The execution time is proportional to the value of the certainty parameter. The given random number generator is used to select candidates to be tested for primality. Throws an ArithmeticException if bitLength < 2.

 BigInteger

 public BigInteger(int numBits,
                   Random rndSrc) throws IllegalArgumentException

Returns a random number uniformly distributed on [0, 2**numBits - 1] (assuming a fair source of random bits is provided in rndSrc). Note that this constructor always returns a non-negative BigInteger. Throws an IllegalArgumentException if numBits < 0.

 BigInteger

 public BigInteger(String val) throws NumberFormatException

Translates a string containing an optional minus sign followed by a sequence of one or more decimal digits into a BigInteger. The character-to-digit mapping is provided by Character.digit. Any extraneous characters (including whitespace) will result in a NumberFormatException.

 BigInteger

 public BigInteger(String val,
                   int radix) throws NumberFormatException

Translates a string containing an optional minus sign followed by a sequence of one or more digits in the specified radix into a BigInteger. The character-to-digit mapping is provided by Character.digit. Any extraneous characters (including whitespace), or a radix outside the range from Character.MIN_RADIX(2) to Character.MAX_RADIX(36), inclusive, will result in a NumberFormatException.

 abs

 public BigInteger abs()

Returns a BigInteger whose value is the absolute value of this number.

 add

 public BigInteger add(BigInteger val) throws ArithmeticException

Returns a BigInteger whose value is (this + val).

 and

 public BigInteger and(BigInteger val)

Returns a BigInteger whose value is (this & val). (This method returns a negative number iff this and val are both negative.)

 andNot

 public BigInteger andNot(BigInteger val)

Returns a BigInteger whose value is (this & ~val). This method, which is equivalent to and(val.not()), is provided as a convenience for masking operations. (This method returns a negative number iff this is negative and val is positive.)

 bitCount

 public int bitCount()

Returns the number of bits in the two's complement representation of this number that differ from its sign bit. This method is useful when implementing bit-vector style sets atop BigIntegers.

 bitLength

 public int bitLength()

Returns the number of bits in the minimal two's-complement representation of this number, *excluding* a sign bit, i.e., (ceil(log2(this < 0 ? -this : this + 1))). (For positive numbers, this is equivalent to the number of bits in the ordinary binary representation.)

 clearBit

 public BigInteger clearBit(int n) throws ArithmeticException

Returns a BigInteger whose value is equivalent to this number with the designated bit cleared. (Computes (this & ~(1<<n)).) Throws an ArithmeticException if n < 0.

 compareTo

 public int compareTo(BigInteger val)

Returns -1, 0 or 1 as this number is less than, equal to, or greater than val. This method is provided in preference to individual methods for each of the six boolean comparison operators (<, ==, >, >=, !=, <=). The suggested idiom for performing these comparisons is: (x.compareTo(y) <op> 0), where <op> is one of the six comparison operators.

 divide

 public BigInteger divide(BigInteger val) throws ArithmeticException

Returns a BigInteger whose value is (this / val). Throws an ArithmeticException if val == 0.

 divideAndRemainder

 public BigInteger[] divideAndRemainder(BigInteger val) throws ArithmeticException

Returns an array of two BigIntegers. The first ([0]) element of the return value is the quotient (this / val), and the second ([1]) element is the remainder (this % val). Throws an ArithmeticException if val == 0.

 doubleValue

 public double doubleValue()

Converts the number to a double. Similar to the double-to-float narrowing primitive conversion defined in The Java Language Specification: if the number has too great a magnitude to represent as a double, it will be converted to infinity or negative infinity, as appropriate.

Overrides:

doubleValue in class Number

 equals

 public boolean equals(Object x)

Returns true iff x is a BigInteger whose value is equal to this number. This method is provided so that BigIntegers can be used as hash keys.

Overrides:

equals in class Object

 flipBit

 public BigInteger flipBit(int n) throws ArithmeticException

Returns a BigInteger whose value is equivalent to this number with the designated bit flipped. (Computes (this ^ (1<<n)).) Throws an ArithmeticException if n < 0.

 floatValue

 public float floatValue()

Converts this number to a float. Similar to the double-to-float narrowing primitive conversion defined in The Java Language Specification: if the number has too great a magnitude to represent as a float, it will be converted to infinity or negative infinity, as appropriate.

Overrides:

floatValue in class Number

 gcd

 public BigInteger gcd(BigInteger val)

Returns a BigInteger whose value is the greatest common denominator of abs(this) and abs(val). Returns 0 if this == 0 && val == 0.

 getLowestSetBit

 public int getLowestSetBit()

Returns the index of the rightmost (lowest-order) one bit in this number (i.e., the number of zero bits to the right of the rightmost one bit). Returns -1 if this number contains no one bits. (Computes (this==0? -1 : log2(this & -this)).)

 hashCode

 public int hashCode()

Computes a hash code for this object.

Overrides:

hashCode in class Object

 intValue

 public int intValue()

Converts this number to an int. Standard narrowing primitive conversion as per The Java Language Specification.

Overrides:

intValue in class Number

 isProbablePrime

 public boolean isProbablePrime(int certainty)

Returns true if this BigInteger is probably prime, false if it's definitely composite. The certainty parameter is a measure of the uncertainty that the caller is willing to tolerate: the method returns true if the probability that this number is is prime exceeds 1 - 1/2**certainty. The execution time is proportional to the value of the certainty parameter.

 longValue

 public long longValue()

Converts this number to a long. Standard narrowing primitive conversion as per The Java Language Specification.

Overrides:

longValue in class Number

 max

 public BigInteger max(BigInteger val)

Returns the BigInteger whose value is the greater of this and val. If the values are equal, either may be returned.

 min

 public BigInteger min(BigInteger val)

Returns the BigInteger whose value is the lesser of this and val. If the values are equal, either may be returned.

 mod

 public BigInteger mod(BigInteger m)

Returns a BigInteger whose value is this mod m. Throws an ArithmeticException if m <= 0.

 modInverse

 public BigInteger modInverse(BigInteger m) throws ArithmeticException

Returns modular multiplicative inverse of this, mod m. Throws an ArithmeticException if m <= 0 or this has no multiplicative inverse mod m (i.e., gcd(this, m) != 1).

 modPow

 public BigInteger modPow(BigInteger exponent,
                          BigInteger m)

Returns a BigInteger whose value is (this ** exponent) mod m. (If exponent == 1, the returned value is (this mod m). If exponent < 0, the returned value is the modular multiplicative inverse of (this ** -exponent).) Throws an ArithmeticException if m <= 0.

 multiply

 public BigInteger multiply(BigInteger val)

Returns a BigInteger whose value is (this * val).

 negate

 public BigInteger negate()

Returns a BigInteger whose value is (-1 * this).

 not

 public BigInteger not()

Returns a BigInteger whose value is (~this). (This method returns a negative value iff this number is non-negative.)

 or

 public BigInteger or(BigInteger val)

Returns a BigInteger whose value is (this | val). (This method returns a negative number iff either this or val is negative.)

 pow

 public BigInteger pow(int exponent) throws ArithmeticException

Returns a BigInteger whose value is (this ** exponent). Throws an ArithmeticException if exponent < 0 (as the operation would yield a non-integer value). Note that exponent is an integer rather than a BigInteger.

 remainder

 public BigInteger remainder(BigInteger val) throws ArithmeticException

Returns a BigInteger whose value is (this % val). Throws an ArithmeticException if val == 0.

 setBit

 public BigInteger setBit(int n) throws ArithmeticException

Returns a BigInteger whose value is equivalent to this number with the designated bit set. (Computes (this | (1<<n)).) Throws an ArithmeticException if n < 0.

 shiftLeft

 public BigInteger shiftLeft(int n)

Returns a BigInteger whose value is (this << n). (Computes floor(this * 2**n).)

 shiftRight

 public BigInteger shiftRight(int n)

Returns a BigInteger whose value is (this >> n). Sign extension is performed. (Computes floor(this / 2**n).)

 signum

 public int signum()

Returns the signum function of this number (i.e., -1, 0 or 1 as the value of this number is negative, zero or positive).

 subtract

 public BigInteger subtract(BigInteger val)

Returns a BigInteger whose value is (this - val).

 testBit

 public boolean testBit(int n) throws ArithmeticException

Returns true iff the designated bit is set. (Computes ((this & (1<<n)) != 0).) Throws an ArithmeticException if n < 0.

 toByteArray

 public byte[] toByteArray()

Returns the two's-complement representation of this number. The array is big-endian (i.e., the most significant byte is in the [0] position). The array contains the minimum number of bytes required to represent the number (ceil((this.bitLength() + 1)/8)). (This representation is compatible with the (byte[]) constructor.)

 toString

 public String toString()

Returns the string representation of this number, radix 10. The digit-to-character mapping provided by Character.forDigit is used, and a minus sign is prepended if appropriate. (This representation is compatible with the (String) constructor, and allows for string concatenation with Java's + operator.)

Overrides:

toString in class Object

 toString

 public String toString(int radix)

Returns the string representation of this number in the given radix. If the radix is outside the range from Character.MIN_RADIX(2) to Character.MAX_RADIX(36) inclusive, it will default to 10 (as is the case for Integer.toString). The digit-to-character mapping provided by Character.forDigit is used, and a minus sign is prepended if appropriate. (This representation is compatible with the (String, int) constructor.)

 valueOf

 public static BigInteger valueOf(long val)

Returns a BigInteger with the specified value. This factory is provided in preference to a (long) constructor because it allows for reuse of frequently used BigIntegers (like 0 and 1), obviating the need for exported constants.

 xor

 public BigInteger xor(BigInteger val)

Returns a BigInteger whose value is (this ^ val). (This method returns a negative number iff exactly one of this and val are negative.)


 package java.net

   ContentHandlerFactory
   FileNameMap
   SocketImplFactory
   URLStreamHandlerFactory

   ContentHandler
   DatagramPacket
   DatagramSocket
   DatagramSocketImpl
   HttpURLConnection
   InetAddress
   MulticastSocket
   ServerSocket
   Socket
   SocketImpl
   URL
   URLConnection
   URLEncoder
   URLStreamHandler

   BindException
   ConnectException
   MalformedURLException
   NoRouteToHostException
   ProtocolException
   SocketException
   UnknownHostException
   UnknownServiceException


 Interface java.net.ContentHandlerFactory

public interface ContentHandlerFactory

This interface defines a factory for content handlers. An implementation of this interface should map a MIME type into an instance of ContentHandler.

This interface is used by the URLStreamHandler class to create a ContentHandler for a MIME type.

     See Also:
     ContentHandler, URLStreamHandler

 createContentHandler(String)

Creates a new ContentHandler to read an object from a URLStreamHandler.

 createContentHandler

 public abstract ContentHandler createContentHandler(String mimetype)

Creates a new ContentHandler to read an object from a URLStreamHandler.

Parameters:

mimetype - the MIME type for which a content handler is desired.

Returns:

a new ContentHandler to read an object from a URLStreamHandler.

See Also:

ContentHandler, URLStreamHandler


 Interface java.net.FileNameMap

public interface FileNameMap

A simple interface which provides a mechanism to map between between a file name and a MIME type string.

 getContentTypeFor(String)

 getContentTypeFor

 public abstract String getContentTypeFor(String fileName)


 Interface java.net.SocketImplFactory

public interface SocketImplFactory

This interface defines a factory for socket implementations. It is used by the classes Socket and ServerSocket to create actual socket implementations.

     See Also:
     Socket, ServerSocket

 createSocketImpl()

Creates a new SocketImpl instance.

 createSocketImpl

 public abstract SocketImpl createSocketImpl()

Creates a new SocketImpl instance.

Returns:

a new instance of SocketImpl.

See Also:

SocketImpl


 Interface java.net.URLStreamHandlerFactory

public interface URLStreamHandlerFactory

This interface defines a factory for URL stream protocol handlers.

It is used by the URL class to create a URLStreamHandler for a specific protocol.

     See Also:
     URL, URLStreamHandler

 createURLStreamHandler(String)

Creates a new URLStreamHandler instance with the specified protocol.

 createURLStreamHandler

 public abstract URLStreamHandler createURLStreamHandler(String protocol)

Creates a new URLStreamHandler instance with the specified protocol.

Parameters:

protocol - the protocol ("ftp", "http", "nntp", etc.).

Returns:

a URLStreamHandler for the specific protocol.

See Also:

URLStreamHandler


 Class java.net.ContentHandler

java.lang.Object
   |
   +----java.net.ContentHandler

public abstract class ContentHandler
   extends Object

The abstract class ContentHandler is the superclass of all classes that read an Object from a URLConnection.

An application does not generally call the getContent method in this class directly. Instead, an application calls the getContent method in class URL or in URLConnection. The application's content handler factory (an instance of a class that implements the interface ContentHandlerFactory set up by a call to setContentHandler) is called with a String giving the MIME type of the object being received on the socket. The factory returns an instance of a subclass of ContentHandler, and its getContent method is called to create the object.

     See Also:
     getContent, ContentHandlerFactory, getContent, URLConnection, getContent, setContentHandlerFactory

 ContentHandler()

 getContent(URLConnection)

Given a URL connect stream positioned at the beginning of the representation of an object, this method reads that stream and creates an object from it.

 ContentHandler

 public ContentHandler()

 getContent

 public abstract Object getContent(URLConnection urlc) throws IOException

Given a URL connect stream positioned at the beginning of the representation of an object, this method reads that stream and creates an object from it.

Parameters:

urlc - a URL connection.

Returns:

the object read by the ContentHandler.

Throws: IOException

if an I/O error occurs while reading the object.


 Class java.net.DatagramPacket

java.lang.Object
   |
   +----java.net.DatagramPacket

public final class DatagramPacket
   extends Object

This class represents a datagram packet.

Datagram packets are used to implement a connectionless packet delivery service. Each message is routed from one machine to another based solely on information contained within that packet. Multiple packets sent from one machine to another might be routed differently, and might arrive in any order.

 DatagramPacket(byte[], int)

Constructs a DatagramPacket for receiving packets of length ilength.

 DatagramPacket(byte[], int, InetAddress, int)

Constructs a datagram packet for sending packets of length ilength to the specified port number on the specified host.

 getAddress()

Returns the IP address of the machine to which this datagram is being sent or from which the datagram was received.

 getData()

Returns the data received or the data to be sent.

 getLength()

Returns the length of the data to be sent or the length of the data received.

 getPort()

Returns the port number on the remote host to which this datagram is being sent or from which the datagram was received.

 setAddress(InetAddress)

 setData(byte[])

 setLength(int)

 setPort(int)

 DatagramPacket

 public DatagramPacket(byte ibuf[],
                       int ilength)

Constructs a DatagramPacket for receiving packets of length ilength.

The length argument must be less than or equal to ibuf.length.

Parameters:

ibuf - buffer for holding the incoming datagram.

ilength - the number of bytes to read.

 DatagramPacket

 public DatagramPacket(byte ibuf[],
                       int ilength,
                       InetAddress iaddr,
                       int iport)

Constructs a datagram packet for sending packets of length ilength to the specified port number on the specified host. The length argument must be less than or equal to ibuf.length.

Parameters:

ibuf - the packet data.

ilength - the packet length.

iaddr - the destination address.

iport - the destination port number.

See Also:

InetAddress

 getAddress

 public synchronized InetAddress getAddress()

Returns the IP address of the machine to which this datagram is being sent or from which the datagram was received.

Returns:

the IP address of the machine to which this datagram is being sent or from which the datagram was received.

See Also:

InetAddress

 getData

 public synchronized byte[] getData()

Returns the data received or the data to be sent.

Returns:

the data received or the data to be sent.

 getLength

 public synchronized int getLength()

Returns the length of the data to be sent or the length of the data received.

Returns:

the length of the data to be sent or the length of the data received.

 getPort

 public synchronized int getPort()

Returns the port number on the remote host to which this datagram is being sent or from which the datagram was received.

Returns:

the port number on the remote host to which this datagram is being sent or from which the datagram was received.

 setAddress

 public synchronized void setAddress(InetAddress iaddr)

 setData

 public synchronized void setData(byte ibuf[])

 setLength

 public synchronized void setLength(int ilength)

 setPort

 public synchronized void setPort(int iport)


 Class java.net.DatagramSocket

java.lang.Object
   |
   +----java.net.DatagramSocket

public class DatagramSocket
   extends Object

This class represents a socket for sending and receiving datagram packets.

A datagram socket is the sending or receiving point for a connectionless packet delivery service. Each packet sent or received on a datagram socket is individually addressed and routed. Multiple packets sent from one machine to another may be routed differently, and may arrive in any order.

     See Also:
     DatagramPacket

 DatagramSocket()

Constructs a datagram socket and binds it to any available port on the local host machine.

 DatagramSocket(int)

Constructs a datagram socket and binds it to the specified port on the local host machine.

 DatagramSocket(int, InetAddress)

Creates a datagram socket, bound to the specified local address.

 close()

Closes this datagram socket.

 getLocalAddress()

Gets the local address to which the socket is bound.

 getLocalPort()

Returns the port number on the local host to which this socket is bound.

 getSoTimeout()

Retrive setting for SO_TIMEOUT.

 receive(DatagramPacket)

Receives a datagram packet from this socket.

 send(DatagramPacket)

Sends a datagram packet from this socket.

 setSoTimeout(int)

Enable/disable SO_TIMEOUT with the specified timeout, in milliseconds.

 DatagramSocket

 public DatagramSocket() throws SocketException

Constructs a datagram socket and binds it to any available port on the local host machine.

Throws: SocketException

if the socket could not be opened, or the socket could not bind to the specified local port.

 DatagramSocket

 public DatagramSocket(int port) throws SocketException

Constructs a datagram socket and binds it to the specified port on the local host machine.

Parameters:

local - port to use.

Throws: SocketException

if the socket could not be opened, or the socket could not bind to the specified local port.

 DatagramSocket

 public DatagramSocket(int port,
                       InetAddress laddr) throws SocketException

Creates a datagram socket, bound to the specified local address. The local port must be between 0 and 65535 inclusive.

Parameters:

port - local port to use

laddr - local address to bind

 close

 public void close()

Closes this datagram socket.

 getLocalAddress

 public InetAddress getLocalAddress()

Gets the local address to which the socket is bound.

 getLocalPort

 public int getLocalPort()

Returns the port number on the local host to which this socket is bound.

Returns:

the port number on the local host to which this socket is bound.

 getSoTimeout

 public synchronized int getSoTimeout() throws SocketException

Retrive setting for SO_TIMEOUT. 0 returns implies that the option is disabled (i.e., timeout of infinity).

 receive

 public synchronized void receive(DatagramPacket p) throws IOException

Receives a datagram packet from this socket. When this method returns, the DatagramPacket's buffer is filled with the data received. The datagram packet also contains the sender's IP address, and the port number on the sender's machine.

This method blocks until a datagram is received. The length field of the datagram packet object contains the length of the received message. If the message is longer than the buffer length, the message is truncated.

Parameters:

p - the DatagramPacket into which to place the incoming data.

Throws: IOException

if an I/O error occurs.

See Also:

DatagramPacket, DatagramSocket

 send

 public void send(DatagramPacket p) throws IOException

Sends a datagram packet from this socket. The DatagramPacket includes information indicating the data to be sent, its length, the IP address of the remote host, and the port number on the remote host.

Parameters:

p - the DatagramPacket to be sent.

Throws: IOException

if an I/O error occurs.

See Also:

DatagramPacket

 setSoTimeout

 public synchronized void setSoTimeout(int timeout) throws SocketException

Enable/disable SO_TIMEOUT with the specified timeout, in milliseconds. With this option set to a non-zero timeout, a call to receive() for this DatagramSocket will block for only this amount of time. If the timeout expires, a java.io.InterruptedIOException is raised, though the ServerSocket is still valid. The option must be enabled prior to entering the blocking operation to have effect. The timeout must be > 0. A timeout of zero is interpreted as an infinite timeout.


 Class java.net.DatagramSocketImpl

java.lang.Object
   |
   +----java.net.DatagramSocketImpl

public abstract class DatagramSocketImpl
   extends Object
   implements SocketOptions

Abstract datagram and multicast socket implementation base class.

 fd

The file descriptor object

 localPort

 DatagramSocketImpl()

 bind(int, InetAddress)

Binds a datagram socket to a local port and address.

 close()

Close the socket.

 create()

Creates a datagram socket

 getFileDescriptor()

Get the datagram socket file descriptor

 getLocalPort()

Get the local port.

 getOption(int)

Fetch the value of an option.

 getTTL()

Retrieve the TTL (time-to-live) option.

 join(InetAddress)

Join the multicast group.

 leave(InetAddress)

Leave the multicast group.

 peek(InetAddress)

Peek at the packet to see who it is from.

 receive(DatagramPacket)

Receive the datagram packet.

 send(DatagramPacket)

Sends a datagram packet.

 setOption(int, Object)

Enable/disable the option specified by optID.

 setTTL(byte)

Set the TTL (time-to-live) option.

 fd

 protected FileDescriptor fd

The file descriptor object

 localPort

 protected int localPort

 DatagramSocketImpl

 public DatagramSocketImpl()

 bind

 protected abstract void bind(int lport,
                              InetAddress laddr) throws SocketException

Binds a datagram socket to a local port and address.

 close

 protected abstract void close()

Close the socket.

 create

 protected abstract void create() throws SocketException

Creates a datagram socket

 getFileDescriptor

 protected FileDescriptor getFileDescriptor()

Get the datagram socket file descriptor

 getLocalPort

 protected int getLocalPort()

Get the local port.

 getTTL

 protected abstract byte getTTL() throws IOException

Retrieve the TTL (time-to-live) option.

 join

 protected abstract void join(InetAddress inetaddr) throws IOException

Join the multicast group.

Parameters:

multicast - address to join.

 leave

 protected abstract void leave(InetAddress inetaddr) throws IOException

Leave the multicast group.

Parameters:

multicast - address to leave.

 peek

 protected abstract int peek(InetAddress i) throws IOException

Peek at the packet to see who it is from.

Parameters:

return - the address which the packet came from.

 receive

 protected abstract void receive(DatagramPacket p) throws IOException

Receive the datagram packet.

Parameters:

Packet - Received.

 send

 protected abstract void send(DatagramPacket p) throws IOException

Sends a datagram packet. The packet contains the data and the destination address to send the packet to.

Parameters:

packet - to be sent.

 setTTL

 protected abstract void setTTL(byte ttl) throws IOException

Set the TTL (time-to-live) option.

Parameters:

TTL - to be set.


 Class java.net.HttpURLConnection

java.lang.Object
   |
   +----java.net.URLConnection
           |
           +----java.net.HttpURLConnection

public abstract class HttpURLConnection
   extends URLConnection

A URLConnection with support for HTTP-specific features. See the spec for details.

 HTTP_ACCEPTED

 HTTP_BAD_GATEWAY

 HTTP_BAD_METHOD

 HTTP_BAD_REQUEST

4XX: client error

 HTTP_CLIENT_TIMEOUT

 HTTP_CONFLICT

 HTTP_CREATED

 HTTP_ENTITY_TOO_LARGE

 HTTP_FORBIDDEN

 HTTP_GATEWAY_TIMEOUT

 HTTP_GONE

 HTTP_INTERNAL_ERROR

 HTTP_LENGTH_REQUIRED

 HTTP_MOVED_PERM

 HTTP_MOVED_TEMP

 HTTP_MULT_CHOICE

3XX: relocation/redirect

 HTTP_NO_CONTENT

 HTTP_NOT_ACCEPTABLE

 HTTP_NOT_AUTHORITATIVE

 HTTP_NOT_FOUND

 HTTP_NOT_MODIFIED

 HTTP_OK

2XX: generally "OK"

 HTTP_PARTIAL

 HTTP_PAYMENT_REQUIRED

 HTTP_PRECON_FAILED

 HTTP_PROXY_AUTH

 HTTP_REQ_TOO_LONG

 HTTP_RESET

 HTTP_SEE_OTHER

 HTTP_SERVER_ERROR

5XX: server error

 HTTP_UNAUTHORIZED

 HTTP_UNAVAILABLE

 HTTP_UNSUPPORTED_TYPE

 HTTP_USE_PROXY

 HTTP_VERSION

 method

 responseCode

 responseMessage

 HttpURLConnection(URL)

Constructor for the URLStreamHandler.

 disconnect()

Close the connection to the server.

 getFollowRedirects()

 getRequestMethod()

Get the request method.

 getResponseCode()

Gets HTTP response status.

 getResponseMessage()

Gets the HTTP response message, if any, returned along with the response code from a server.

 setFollowRedirects(boolean)

Sets whether HTTP redirects (requests with response code 3xx) should be automatically followed by this class.

 setRequestMethod(String)

Set the method for the URL request, one of:

•	GET

•	POST

•	HEAD

•	OPTIONS

•	PUT

•	DELETE

•	TRACE

are legal, subject to protocol restrictions.

 usingProxy()

Indicates if the connection is going through a proxy.

 HTTP_ACCEPTED

 public static final int HTTP_ACCEPTED

 HTTP_BAD_GATEWAY

 public static final int HTTP_BAD_GATEWAY

 HTTP_BAD_METHOD

 public static final int HTTP_BAD_METHOD

 HTTP_BAD_REQUEST

 public static final int HTTP_BAD_REQUEST

4XX: client error

 HTTP_CLIENT_TIMEOUT

 public static final int HTTP_CLIENT_TIMEOUT

 HTTP_CONFLICT

 public static final int HTTP_CONFLICT

 HTTP_CREATED

 public static final int HTTP_CREATED

 HTTP_ENTITY_TOO_LARGE

 public static final int HTTP_ENTITY_TOO_LARGE

 HTTP_FORBIDDEN

 public static final int HTTP_FORBIDDEN

 HTTP_GATEWAY_TIMEOUT

 public static final int HTTP_GATEWAY_TIMEOUT

 HTTP_GONE

 public static final int HTTP_GONE

 HTTP_INTERNAL_ERROR

 public static final int HTTP_INTERNAL_ERROR

 HTTP_LENGTH_REQUIRED

 public static final int HTTP_LENGTH_REQUIRED

 HTTP_MOVED_PERM

 public static final int HTTP_MOVED_PERM

 HTTP_MOVED_TEMP

 public static final int HTTP_MOVED_TEMP

 HTTP_MULT_CHOICE

 public static final int HTTP_MULT_CHOICE

3XX: relocation/redirect

 HTTP_NO_CONTENT

 public static final int HTTP_NO_CONTENT

 HTTP_NOT_ACCEPTABLE

 public static final int HTTP_NOT_ACCEPTABLE

 HTTP_NOT_AUTHORITATIVE

 public static final int HTTP_NOT_AUTHORITATIVE

 HTTP_NOT_FOUND

 public static final int HTTP_NOT_FOUND

 HTTP_NOT_MODIFIED

 public static final int HTTP_NOT_MODIFIED

 HTTP_OK

 public static final int HTTP_OK

2XX: generally "OK"

 HTTP_PARTIAL

 public static final int HTTP_PARTIAL

 HTTP_PAYMENT_REQUIRED

 public static final int HTTP_PAYMENT_REQUIRED

 HTTP_PRECON_FAILED

 public static final int HTTP_PRECON_FAILED

 HTTP_PROXY_AUTH

 public static final int HTTP_PROXY_AUTH

 HTTP_REQ_TOO_LONG

 public static final int HTTP_REQ_TOO_LONG

 HTTP_RESET

 public static final int HTTP_RESET

 HTTP_SEE_OTHER

 public static final int HTTP_SEE_OTHER

 HTTP_SERVER_ERROR

 public static final int HTTP_SERVER_ERROR

5XX: server error

 HTTP_UNAUTHORIZED

 public static final int HTTP_UNAUTHORIZED

 HTTP_UNAVAILABLE

 public static final int HTTP_UNAVAILABLE

 HTTP_UNSUPPORTED_TYPE

 public static final int HTTP_UNSUPPORTED_TYPE

 HTTP_USE_PROXY

 public static final int HTTP_USE_PROXY

 HTTP_VERSION

 public static final int HTTP_VERSION

 method

 protected String method

 responseCode

 protected int responseCode

 responseMessage

 protected String responseMessage

 HttpURLConnection

 protected HttpURLConnection(URL u)

Constructor for the URLStreamHandler.

 disconnect

 public abstract void disconnect()

Close the connection to the server.

 getFollowRedirects

 public static boolean getFollowRedirects()

 getRequestMethod

 public String getRequestMethod()

Get the request method.

 getResponseCode

 public int getResponseCode() throws IOException

Gets HTTP response status. From responses like:

 HTTP/1.0 200 OK
 HTTP/1.0 401 Unauthorized

Extracts the ints 200 and 401 respectively. Returns -1 if none can be discerned from the response (i.e., the response is not valid HTTP).

 getResponseMessage

 public String getResponseMessage() throws IOException

Gets the HTTP response message, if any, returned along with the response code from a server. From responses like:

 HTTP/1.0 200 OK
 HTTP/1.0 404 Not Found

Extracts the Strings "OK" and "Not Found" respectively. Returns null if none could be discerned from the responses (the result was not valid HTTP).

 setFollowRedirects

 public static void setFollowRedirects(boolean set)

Sets whether HTTP redirects (requests with response code 3xx) should be automatically followed by this class. True by default. Applets cannot change this variable.

 setRequestMethod

 public void setRequestMethod(String method) throws ProtocolException

Set the method for the URL request, one of:

•	GET

•	POST

•	HEAD

•	OPTIONS

•	PUT

•	DELETE

•	TRACE

are legal, subject to protocol restrictions. The default method is GET.

Throws: ProtocolException

if the method cannot be reset or if the requested method isn't valid for HTTP.

 usingProxy

 public abstract boolean usingProxy()

Indicates if the connection is going through a proxy.


 Class java.net.InetAddress

java.lang.Object
   |
   +----java.net.InetAddress

public final class InetAddress
   extends Object
   implements Serializable

This class represents an Internet Protocol (IP) address.

Applications should use the methods getLocalHost, getByName, or getAllByName to create a new InetAddress instance.

     See Also:
     getAllByName, getByName, getLocalHost

 equals(Object)

Compares this object against the specified object.

 getAddress()

Returns the raw IP address of this InetAddress object.

 getAllByName(String)

Determines all the IP addresses of a host, given the host's name.

 getByName(String)

Determines the IP address of a host, given the host's name.

 getHostAddress()

Returns the IP address string "%d.%d.%d.%d"

 getHostName()

Returns the fully qualified host name for this address.

 getLocalHost()

Returns the local host.

 hashCode()

Returns a hashcode for this IP address.

 isMulticastAddress()

Utility routine to check if the InetAddress is a IP multicast address.

 toString()

Converts this IP address to a String.

 equals

 public boolean equals(Object obj)

Compares this object against the specified object. The result is true if and only if the argument is not null and it represents the same IP address as this object.

Two instances of InetAddress represent the same IP address if the length of the byte arrays returned by getAddress is the same for both, and each of the array components is the same for the byte arrays.

Parameters:

obj - the object to compare against.

Returns:

true if the objects are the same; false otherwise.

Overrides:

equals in class Object

See Also:

getAddress

 getAddress

 public byte[] getAddress()

Returns the raw IP address of this InetAddress object. The result is in network byte order: the highest order byte of the address is in getAddress()[0].

Returns:

the raw IP address of this object.

 getAllByName

 public static InetAddress[] getAllByName(String host) throws UnknownHostException

Determines all the IP addresses of a host, given the host's name. The host name can either be a machine name, such as "java.sun.com", or a string representing its IP address, such as "206.26.48.100".

Parameters:

host - the name of the host.

Returns:

an array of all the IP addresses for a given host name.

Throws: UnknownHostException

if no IP address for the host could be found.

 getByName

 public static InetAddress getByName(String host) throws UnknownHostException

Determines the IP address of a host, given the host's name. The host name can either be a machine name, such as "java.sun.com", or a string representing its IP address, such as "206.26.48.100".

Parameters:

host - the specified host, or null for the local host.

Returns:

an IP address for the given host name.

Throws: UnknownHostException

if no IP address for the host could be found.

 getHostAddress

 public String getHostAddress()

Returns the IP address string "%d.%d.%d.%d"

Returns:

raw IP address in a string format

 getHostName

 public String getHostName()

Returns the fully qualified host name for this address. If the host is equal to null, then this address refers to any of the local machine's available network addresses.

Returns:

the fully qualified host name for this address.

 getLocalHost

 public static InetAddress getLocalHost() throws UnknownHostException

Returns the local host.

Returns:

the IP address of the local host.

Throws: UnknownHostException

if no IP address for the host could be found.

 hashCode

 public int hashCode()

Returns a hashcode for this IP address.

Returns:

a hash code value for this IP address.

Overrides:

hashCode in class Object

 isMulticastAddress

 public boolean isMulticastAddress()

Utility routine to check if the InetAddress is a IP multicast address. IP multicast address is a Class D address i.e first four bits of the address are 1110.

 toString

 public String toString()

Converts this IP address to a String.

Returns:

a string representation of this IP address.

Overrides:

toString in class Object


 Class java.net.MulticastSocket

java.lang.Object
   |
   +----java.net.DatagramSocket
           |
           +----java.net.MulticastSocket

public class MulticastSocket
   extends DatagramSocket

The multicast datagram socket class is useful for sending and receiving IP multicast packets. A MulticastSocket is a (UDP) DatagramSocket, with additional capabilities for joining "groups" of other multicast hosts on the internet.

A multicast group is specified by a class D IP address, those in the range 224.0.0.1 to 239.255.255.255, inclusive, and by a standard UDP port number. One would join a multicast group by first creating a MulticastSocket with the desired port, then invoking the joinGroup(InetAddress groupAddr) method:

 // join a Multicast group and send the group salutations
 ...
 byte[] msg = {'H', 'e', 'l', 'l', 'o'};
 InetAddress group = InetAddress.getByName("228.5.6.7");
 MulticastSocket s = new MulticastSocket(6789);
 s.joinGroup(group);
 DatagramPacket hi = new DatagramPacket(msg, msg.length,
                             group, 6789);
 s.send(hi);
 // get their responses!
 byte[] buf = new byte[1000];
 DatagramPacket recv = new DatagramPacket(buf, buf.length);
 s.receive(recv);
 ...
 // OK, I'm done talking - leave the group...
 s.leaveGroup(group);

When one sends a message to a multicast group, all subscribing recipients to that host and port receive the message (within the time-to-live range of the packet, see below). The socket needn't be a member of the multicast group to send messages to it.

When a socket subscribes to a multicast group/port, it receives datagrams sent by other hosts to the group/port, as do all other members of the group and port. A socket relinquishes membership in a group by the leaveGroup(InetAddress addr) method. Multiple MulticastSocket's may subscribe to a multicast group and port concurrently, and they will all receive group datagrams.

Currently applets are not allowed ot use multicast sockets.

 MulticastSocket()

Create a multicast socket.

 MulticastSocket(int)

Create a multicast socket and bind it to a specific port.

 getInterface()

Retrieve the address of the network interface used for multicast packets.

 getTTL()

Get the default time-to-live for multicast packets sent out on the socket.

 joinGroup(InetAddress)

Joins a multicast group.

 leaveGroup(InetAddress)

Leave a multicast group.

 send(DatagramPacket, byte)

Sends a datagram packet to the destination, with a TTL (time- to-live) other than the default for the socket.

 setInterface(InetAddress)

Set the outgoing network interface for multicast packets on this socket, to other than the system default.

 setTTL(byte)

Set the default time-to-live for multicast packets sent out on this socket.

 MulticastSocket

 public MulticastSocket() throws IOException

Create a multicast socket.

 MulticastSocket

 public MulticastSocket(int port) throws IOException

Create a multicast socket and bind it to a specific port.

Parameters:

local - port to use

 getInterface

 public InetAddress getInterface() throws SocketException

Retrieve the address of the network interface used for multicast packets.

 getTTL

 public byte getTTL() throws IOException

Get the default time-to-live for multicast packets sent out on the socket.

 joinGroup

 public void joinGroup(InetAddress mcastaddr) throws IOException

Joins a multicast group.

Parameters:

mcastaddr - is the multicast address to join

Throws: IOException

is raised if there is an error joining or when address is not a multicast address.

 leaveGroup

 public void leaveGroup(InetAddress mcastaddr) throws IOException

Leave a multicast group.

Parameters:

mcastaddr - is the multicast address to leave

Throws: IOException

is raised if there is an error leaving or when address is not a multicast address.

 send

 public synchronized void send(DatagramPacket p,
                               byte ttl) throws IOException

Sends a datagram packet to the destination, with a TTL (time- to-live) other than the default for the socket. This method need only be used in instances where a particular TTL is desired; otherwise it is preferable to set a TTL once on the socket, and use that default TTL for all packets. This method does not alter the default TTL for the socket.

Parameters:

p - is the packet to be sent. The packet should contain the destination multicast ip address and the data to be sent. One does not need to be the member of the group to send packets to a destination multicast address.

ttl - optional time to live for multicast packet. default ttl is 1.

Throws: IOException

is raised if an error occurs i.e error while setting ttl.

See Also:

send, receive

 setInterface

 public void setInterface(InetAddress inf) throws SocketException

Set the outgoing network interface for multicast packets on this socket, to other than the system default. Useful for multihomed hosts.

 setTTL

 public void setTTL(byte ttl) throws IOException

Set the default time-to-live for multicast packets sent out on this socket. The TTL sets the IP time-to-live for DatagramPackets sent to a MulticastGroup, which specifies how many "hops" that the packet will be forwarded on the network before it expires.

The ttl is an unsigned 8-bit quantity, and so must be in the range 0 < ttl <= 0xFF .

Parameters:

ttl - the time-to-live


 Class java.net.ServerSocket

java.lang.Object
   |
   +----java.net.ServerSocket

public class ServerSocket
   extends Object

This class implements server sockets. A server socket waits for requests to come in over the network. It performs some operation based on that request, and then possibly returns a result to the requester.

The actual work of the server socket is performed by an instance of the SocketImpl class. An application can change the socket factory that creates the socket implementation to configure itself to create sockets appropriate to the local firewall.

     See Also:
     SocketImpl, setSocketFactory

 ServerSocket(int)

Creates a server socket on a specified port.

 ServerSocket(int, int)

Creates a server socket and binds it to the specified local port number.

 ServerSocket(int, int, InetAddress)

Create a server with the specified port, listen backlog, and local IP address to bind to.

 accept()

Listens for a connection to be made to this socket and accepts it.

 close()

Closes this socket.

 getInetAddress()

Returns the local address of this server socket.

 getLocalPort()

Returns the port on which this socket is listening.

 getSoTimeout()

Retrive setting for SO_TIMEOUT.

 implAccept(Socket)

Subclasses of ServerSocket use this method to override accept() to return their own subclass of socket.

 setSocketFactory(SocketImplFactory)

Sets the server socket implementation factory for the application.

 setSoTimeout(int)

Enable/disable SO_TIMEOUT with the specified timeout, in milliseconds.

 toString()

Returns the implementation address and implementation port of this socket as a String.

 ServerSocket

 public ServerSocket(int port) throws IOException

Creates a server socket on a specified port. A port of 0 creates a socket on any free port.

The maximum queue length for incoming connection indications (a request to connect) is set to 50. If a connection indication arrives when the queue is full, the connection is refused.

If the application has specified a server socket factory, that factory's createSocketImpl method is called to create the actual socket implementation. Otherwise a "plain" socket is created.

Parameters:

port - the port number, or 0 to use any free port.

Throws: IOException

if an I/O error occurs when opening the socket.

See Also:

SocketImpl, createSocketImpl, setSocketFactory

 ServerSocket

 public ServerSocket(int port,
                     int backlog) throws IOException

Creates a server socket and binds it to the specified local port number. A port number of 0 creates a socket on any free port.

The maximum queue length for incoming connection indications (a request to connect) is set to the count parameter. If a connection indication arrives when the queue is full, the connection is refused.

If the application has specified a server socket factory, that factory's createSocketImpl method is called to create the actual socket implementation. Otherwise a "plain" socket is created.

Parameters:

port - the specified port, or 0 to use any free port.

backlog - the maximum length of the queue.

Throws: IOException

if an I/O error occurs when opening the socket.

See Also:

SocketImpl, createSocketImpl, setSocketFactory

 ServerSocket

 public ServerSocket(int port,
                     int backlog,
                     InetAddress bindAddr) throws IOException

Create a server with the specified port, listen backlog, and local IP address to bind to. The bindAddr argument can be used on a multi-homed host for a ServerSocket that will only accept connect requests to one of its addresses. If bindAddr is null, it will default accepting connections on any/all local addresses. The port must be between 0 and 65535, inclusive.

Parameters:

port - the local TCP port

backlog - the listen backlog

bindAddr - the local InetAddress the server will bind to

See Also:

SocketConstants, SocketOption, SocketImpl, 1

 accept

 public Socket accept() throws IOException

Listens for a connection to be made to this socket and accepts it. The method blocks until a connection is made.

Throws: IOException

if an I/O error occurs when waiting for a connection.

 close

 public void close() throws IOException

Closes this socket.

Throws: IOException

if an I/O error occurs when closing the socket.

 getInetAddress

 public InetAddress getInetAddress()

Returns the local address of this server socket.

Returns:

the address to which this socket is connected, or null if the socket is not yet connected.

 getLocalPort

 public int getLocalPort()

Returns the port on which this socket is listening.

Returns:

the port number to which this socket is listening.

 getSoTimeout

 public synchronized int getSoTimeout() throws IOException

Retrive setting for SO_TIMEOUT. 0 returns implies that the option is disabled (i.e., timeout of infinity).

 implAccept

 protected final void implAccept(Socket s) throws IOException

Subclasses of ServerSocket use this method to override accept() to return their own subclass of socket. So a FooServerSocket will typically hand this method an empty FooSocket(). On return from implAccept the FooSocket will be connected to a client.

 setSocketFactory

 public static synchronized void setSocketFactory(SocketImplFactory fac) throws IOException

Sets the server socket implementation factory for the application. The factory can be specified only once.

When an application creates a new server socket, the socket implementation factory's createSocketImpl method is called to create the actual socket implementation.

Parameters:

fac - the desired factory.

Throws: IOException

if an I/O error occurs when setting the socket factory.

Throws: SocketException

if the factory has already been defined.

See Also:

createSocketImpl

 setSoTimeout

 public synchronized void setSoTimeout(int timeout) throws SocketException

Enable/disable SO_TIMEOUT with the specified timeout, in milliseconds. With this option set to a non-zero timeout, a call to accept() for this ServerSocket will block for only this amount of time. If the timeout expires, a java.io.InterruptedIOException is raised, though the ServerSocket is still valid. The option must be enabled prior to entering the blocking operation to have effect. The timeout must be > 0. A timeout of zero is interpreted as an infinite timeout.

 toString

 public String toString()

Returns the implementation address and implementation port of this socket as a String.

Returns:

a string representation of this socket.

Overrides:

toString in class Object


 Class java.net.Socket

java.lang.Object
   |
   +----java.net.Socket

public class Socket
   extends Object

This class implements client sockets (also called just "sockets"). A socket is an endpoint for communication between two machines.

The actual work of the socket is performed by an instance of the SocketImpl class. An application, by changing the socket factory that creates the socket implementation, can configure itself to create sockets appropriate to the local firewall.

     See Also:
     setSocketImplFactory, SocketImpl

 Socket()

Creates an unconnected socket, with the system-default type of SocketImpl.

 Socket(InetAddress, int)

Creates a stream socket and connects it to the specified port number at the specified IP address.

 Socket(InetAddress, int, boolean)

Creates a socket and connects it to the specified port number at the specified IP address. Deprecated.

 Socket(InetAddress, int, InetAddress, int)

Creates a socket and connects it to the specified remote address on the specified remote port.

 Socket(SocketImpl)

Creates an unconnected Socket with a user-specified SocketImpl.

 Socket(String, int)

Creates a stream socket and connects it to the specified port number on the named host.

 Socket(String, int, boolean)

Creates a stream socket and connects it to the specified port number on the named host. Deprecated.

 Socket(String, int, InetAddress, int)

Creates a socket and connects it to the specified remote host on the specified remote port.

 close()

Closes this socket.

 getInetAddress()

Returns the address to which the socket is connected.

 getInputStream()

Returns an input stream for this socket.

 getLocalAddress()

Gets the local address to which the socket is bound.

 getLocalPort()

Returns the local port to which this socket is bound.

 getOutputStream()

Returns an output stream for this socket.

 getPort()

Returns the remote port to which this socket is connected.

 getSoLinger()

Returns setting for SO_LINGER.

 getSoTimeout()

Returns setting for SO_TIMEOUT.

 getTcpNoDelay()

Tests if TCP_NODELAY is enabled.

 setSocketImplFactory(SocketImplFactory)

Sets the client socket implementation factory for the application.

 setSoLinger(boolean, int)

Enable/disable SO_LINGER with the specified linger time.

 setSoTimeout(int)

Enable/disable SO_TIMEOUT with the specified timeout, in milliseconds.

 setTcpNoDelay(boolean)

Enable/disable TCP_NODELAY (disable/enable Nagle's algorithm).

 toString()

Converts this socket to a String.

 Socket

 protected Socket()

Creates an unconnected socket, with the system-default type of SocketImpl.

 Socket

 public Socket(InetAddress address,
               int port) throws IOException

Creates a stream socket and connects it to the specified port number at the specified IP address.

If the application has specified a socket factory, that factory's createSocketImpl method is called to create the actual socket implementation. Otherwise a "plain" socket is created.

Parameters:

address - the IP address.

port - the port number.

Throws: IOException

if an I/O error occurs when creating the socket.

See Also:

setSocketImplFactory, SocketImpl, createSocketImpl

 Socket

 public Socket(InetAddress host,
               int port,
               boolean stream) throws IOException

Note: Socket() is deprecated. Use DatagramSocket instead for UDP transport.

Creates a socket and connects it to the specified port number at the specified IP address.

If the stream argument is true, this creates a stream socket. If the stream argument is false, it creates a datagram socket.

If the application has specified a server socket factory, that factory's createSocketImpl method is called to create the actual socket implementation. Otherwise a "plain" socket is created.

Parameters:

address - the IP address.

port - the port number.

stream - if true, create a stream socket; otherwise, create a datagram socket.

Throws: IOException

if an I/O error occurs when creating the socket.

See Also:

setSocketImplFactory, SocketImpl, createSocketImpl

 Socket

 public Socket(InetAddress address,
               int port,
               InetAddress localAddr,
               int localPort) throws IOException

Creates a socket and connects it to the specified remote address on the specified remote port. The Socket will also bind() to the local address and port supplied.

Parameters:

address - the remote address

port - the remote port

localAddr - the local address the socket is bound to

localPort - the local port the socket is bound to

 Socket

 protected Socket(SocketImpl impl) throws SocketException

Creates an unconnected Socket with a user-specified SocketImpl.

The impl parameter is an instance of a SocketImpl the subclass wishes to use on the Socket.

 Socket

 public Socket(String host,
               int port) throws UnknownHostException, IOException

Creates a stream socket and connects it to the specified port number on the named host.

If the application has specified a server socket factory, that factory's createSocketImpl method is called to create the actual socket implementation. Otherwise a "plain" socket is created.

Parameters:

host - the host name.

port - the port number.

Throws: IOException

if an I/O error occurs when creating the socket.

See Also:

setSocketImplFactory, SocketImpl, createSocketImpl

 Socket

 public Socket(String host,
               int port,
               boolean stream) throws IOException

Note: Socket() is deprecated. Use DatagramSocket instead for UDP transport.

Creates a stream socket and connects it to the specified port number on the named host.

If the stream argument is true, this creates a stream socket. If the stream argument is false, it creates a datagram socket.

If the application has specified a server socket factory, that factory's createSocketImpl method is called to create the actual socket implementation. Otherwise a "plain" socket is created.

Parameters:

host - the host name.

port - the port number.

stream - a boolean indicating whether this is a stream socket or a datagram socket.

Throws: IOException

if an I/O error occurs when creating the socket.

See Also:

setSocketImplFactory, SocketImpl, createSocketImpl

 Socket

 public Socket(String host,
               int port,
               InetAddress localAddr,
               int localPort) throws IOException

Creates a socket and connects it to the specified remote host on the specified remote port. The Socket will also bind() to the local address and port supplied.

Parameters:

host - the name of the remote host

port - the remote port

localAddr - the local address the socket is bound to

localPort - the local port the socket is bound to

 close

 public synchronized void close() throws IOException

Closes this socket.

Throws: IOException

if an I/O error occurs when closing this socket.

 getInetAddress

 public InetAddress getInetAddress()

Returns the address to which the socket is connected.

Returns:

the remote IP address to which this socket is connected.

 getInputStream

 public InputStream getInputStream() throws IOException

Returns an input stream for this socket.

Returns:

an input stream for reading bytes from this socket.

Throws: IOException

if an I/O error occurs when creating the input stream.

 getLocalAddress

 public InetAddress getLocalAddress()

Gets the local address to which the socket is bound.

 getLocalPort

 public int getLocalPort()

Returns the local port to which this socket is bound.

Returns:

the local port number to which this socket is connected.

 getOutputStream

 public OutputStream getOutputStream() throws IOException

Returns an output stream for this socket.

Returns:

an output stream for writing bytes to this socket.

Throws: IOException

if an I/O error occurs when creating the output stream.

 getPort

 public int getPort()

Returns the remote port to which this socket is connected.

Returns:

the remote port number to which this socket is connected.

 getSoLinger

 public int getSoLinger() throws SocketException

Returns setting for SO_LINGER. -1 returns implies that the option is disabled.

 getSoTimeout

 public synchronized int getSoTimeout() throws SocketException

Returns setting for SO_TIMEOUT. 0 returns implies that the option is disabled (i.e., timeout of infinity).

 getTcpNoDelay

 public boolean getTcpNoDelay() throws SocketException

Tests if TCP_NODELAY is enabled.

 setSocketImplFactory

 public static synchronized void setSocketImplFactory(SocketImplFactory fac) throws IOException

Sets the client socket implementation factory for the application. The factory can be specified only once.

When an application creates a new client socket, the socket implementation factory's createSocketImpl method is called to create the actual socket implementation.

Parameters:

fac - the desired factory.

Throws: IOException

if an I/O error occurs when setting the socket factory.

Throws: SocketException

if the factory is already defined.

See Also:

createSocketImpl

 setSoLinger

 public void setSoLinger(boolean on,
                         int val) throws SocketException

Enable/disable SO_LINGER with the specified linger time.

 setSoTimeout

 public synchronized void setSoTimeout(int timeout) throws SocketException

Enable/disable SO_TIMEOUT with the specified timeout, in milliseconds. With this option set to a non-zero timeout, a read() call on the InputStream associated with this Socket will block for only this amount of time. If the timeout expires, a java.io.InterruptedIOException is raised, though the Socket is still valid. The option must be enabled prior to entering the blocking operation to have effect. The timeout must be > 0. A timeout of zero is interpreted as an infinite timeout.

 setTcpNoDelay

 public void setTcpNoDelay(boolean on) throws SocketException

Enable/disable TCP_NODELAY (disable/enable Nagle's algorithm).

 toString

 public String toString()

Converts this socket to a String.

Returns:

a string representation of this socket.

Overrides:

toString in class Object


 Class java.net.SocketImpl

java.lang.Object
   |
   +----java.net.SocketImpl

public abstract class SocketImpl
   extends Object
   implements SocketOptions

The abstract class SocketImpl is a common superclass of all classes that actually implement sockets. It is used to create both client and server sockets.

A "plain" socket implements these methods exactly as described, without attempting to go through a firewall or proxy.

 address

The IP address of the remote end of this socket.

 fd

The file descriptor object for this socket.

 localport

The local port number to which this socket is connected.

 port

The port number on the remote host to which this socket is connected.

 SocketImpl()

 accept(SocketImpl)

Accepts a connection.

 available()

Returns the number of bytes that can be read from this socket without blocking.

 bind(InetAddress, int)

Binds this socket to the specified port number on the specified host.

 close()

Closes this socket.

 connect(InetAddress, int)

Connects this socket to the specified port number on the specified host.

 connect(String, int)

Connects this socket to the specified port on the named host.

 create(boolean)

Creates either a stream or a datagram socket.

 getFileDescriptor()

Returns the value of this socket's fd field.

 getInetAddress()

Returns the value of this socket's address field.

 getInputStream()

Returns an input stream for this socket.

 getLocalPort()

Returns the value of this socket's localport field.

 getOption(int)

Fetch the value of an option.

 getOutputStream()

Returns an output stream for this socket.

 getPort()

Returns the value of this socket's port field.

 listen(int)

Sets the maximum queue length for incoming connection indications (a request to connect) to the count argument.

 setOption(int, Object)

Enable/disable the option specified by optID.

 toString()

Returns the address and port of this socket as a String.

 address

 protected InetAddress address

The IP address of the remote end of this socket.

 fd

 protected FileDescriptor fd

The file descriptor object for this socket.

 localport

 protected int localport

The local port number to which this socket is connected.

 port

 protected int port

The port number on the remote host to which this socket is connected.

 SocketImpl

 public SocketImpl()

 accept

 protected abstract void accept(SocketImpl s) throws IOException

Accepts a connection.

Parameters:

s - the accepted connection.

Throws: IOException

if an I/O error occurs when accepting the connection.

 available

 protected abstract int available() throws IOException

Returns the number of bytes that can be read from this socket without blocking.

Returns:

the number of bytes that can be read from this socket without blocking.

Throws: IOException

if an I/O error occurs when determining the number of bytes available.

 bind

 protected abstract void bind(InetAddress host,
                              int port) throws IOException

Binds this socket to the specified port number on the specified host.

Parameters:

host - the IP address of the remote host.

port - the port number.

Throws: IOException

if an I/O error occurs when binding this socket.

 close

 protected abstract void close() throws IOException

Closes this socket.

Throws: IOException

if an I/O error occurs when closing this socket.

 connect

 protected abstract void connect(InetAddress address,
                                 int port) throws IOException

Connects this socket to the specified port number on the specified host.

Parameters:

address - the IP address of the remote host.

port - the port number.

Throws: IOException

if an I/O error occurs when attempting a connection.

 connect

 protected abstract void connect(String host,
                                 int port) throws IOException

Connects this socket to the specified port on the named host.

Parameters:

host - the name of the remote host.

port - the port number.

Throws: IOException

if an I/O error occurs when connecting to the remote host.

 create

 protected abstract void create(boolean stream) throws IOException

Creates either a stream or a datagram socket.

Parameters:

stream - if true, create a stream socket; otherwise, create a datagram socket.

Throws: IOException

if an I/O error occurs while creating the socket.

 getFileDescriptor

 protected FileDescriptor getFileDescriptor()

Returns the value of this socket's fd field.

Returns:

the value of this socket's fd field.

See Also:

fd

 getInetAddress

 protected InetAddress getInetAddress()

Returns the value of this socket's address field.

Returns:

the value of this socket's address field.

See Also:

address

 getInputStream

 protected abstract InputStream getInputStream() throws IOException

Returns an input stream for this socket.

Returns:

a stream for reading from this socket.

Throws: IOException

if an I/O error occurs when creating the input stream.

 getLocalPort

 protected int getLocalPort()

Returns the value of this socket's localport field.

Returns:

the value of this socket's localport field.

See Also:

localport

 getOutputStream

 protected abstract OutputStream getOutputStream() throws IOException

Returns an output stream for this socket.

Returns:

an output stream for writing to this socket.

Throws: IOException

if an I/O error occurs when creating the output stream.

 getPort

 protected int getPort()

Returns the value of this socket's port field.

Returns:

the value of this socket's port field.

See Also:

port

 listen

 protected abstract void listen(int backlog) throws IOException

Sets the maximum queue length for incoming connection indications (a request to connect) to the count argument. If a connection indication arrives when the queue is full, the connection is refused.

Parameters:

backlog - the maximum length of the queue.

Throws: IOException

if an I/O error occurs when creating the queue.

 toString

 public String toString()

Returns the address and port of this socket as a String.

Returns:

a string representation of this socket.

Overrides:

toString in class Object


 Class java.net.URL

java.lang.Object
   |
   +----java.net.URL

public final class URL
   extends Object
   implements Serializable

Class URL represents a Uniform Resource Locator, a pointer to a "resource" on the World Wide Web. A resource can be something as simple as a file or a directory, or it can be a reference to a more complicated object, such as a query to a database or to a search engine. More information on the types of URLs and their formats can be found at:

http://www.ncsa.uiuc.edu/demoweb/url-primer.html

In general, a URL can be broken into several parts. The previous example of a URL indicates that the protocol to use is http (HyperText Transport Protocol) and that the information resides on a host machine named www.ncsa.uiuc.edu. The information on that host machine is named demoweb/url-primer.html. The exact meaning of this name on the host machine is both protocol dependent and host dependent. The information normally resides in a file, but it could be generated on the fly. This component of the URL is called the file component, even though the information is not necessarily in a file.

A URL can optionally specify a "port", which is the port number to which the TCP connection is made on the remote host machine. If the port is not specified, the default port for the protocol is used instead. For example, the default port for http is 80. An alternative port could be specified as:

http://www.ncsa.uiuc.edu:8080/demoweb/url-primer.html

A URL may have appended to it an "anchor", also known as a "ref" or a "reference". The anchor is indicated by the sharp sign character "#" followed by more characters. For example,

http://java.sun.com/index.html#chapter1

This anchor is not technically part of the URL. Rather, it indicates that after the specified resource is retrieved, the application is specifically interested in that part of the document that has the tag chapter1 attached to it. The meaning of a tag is resource specific.

An application can also specify a "relative URL", which contains only enough information to reach the resource relative to another URL. Relative URLs are frequently used within HTML pages. For example, if the contents of the URL:

http://java.sun.com/index.html

contained within it the relative URL:

FAQ.html

it would be a shorthand for:

http://java.sun.com/FAQ.html

The relative URL need not specify all the components of a URL. If the protocol, host name, or port number is missing, the value is inherited from the fully specified URL. The file component must be specified. The optional anchor is not inherited.

 URL(String)

Creates a URL object from the String representation.

 URL(String, String, int, String)

Creates a URL object from the specified protocol, host, port number, and file.

 URL(String, String, String)

Creates an absolute URL from the specified protocol name, host name, and file name.

 URL(URL, String)

Creates a URL by parsing the specification spec within a specified context.

 equals(Object)

Compares two URLs.

 getContent()

Returns the contents of this URL.

 getFile()

Returns the file name of this URL.

 getHost()

Returns the host name of this URL, if applicable.

 getPort()

Returns the port number of this URL.

 getProtocol()

Returns the protocol name this URL.

 getRef()

Returns the anchor (also known as the "reference") of this URL.

 hashCode()

Creates an integer suitable for hash table indexing.

 openConnection()

Returns a URLConnection object that represents a connection to the remote object referred to by the URL.

 openStream()

Opens a connection to this URL and returns an InputStream for reading from that connection.

 sameFile(URL)

Compares two URLs, excluding the "ref" fields.

 set(String, String, int, String, String)

Sets the fields of the URL.

 setURLStreamHandlerFactory(URLStreamHandlerFactory)

Sets an application's URLStreamHandlerFactory.

 toExternalForm()

Constructs a string representation of this URL.

 toString()

Constructs a string representation of this URL.

 URL

 public URL(String spec) throws MalformedURLException

Creates a URL object from the String representation.

This constructor is equivalent to a call to the two-argument constructor with a null first argument.

Parameters:

spec - the String to parse as a URL.

Throws: MalformedURLException

If the string specifies an unknown protocol.

See Also:

URL

 URL

 public URL(String protocol,
            String host,
            int port,
            String file) throws MalformedURLException

Creates a URL object from the specified protocol, host, port number, and file. Specifying a port number of -1 indicates that the URL should use the default port for the protocol.

If this is the first URL object being created with the specified protocol, a stream protocol handler object, an instance of class URLStreamHandler, is created for that protocol:

1.	If the application has previously set up an instance of URLStreamHandlerFactory as the stream handler factory, then the createURLStreamHandler method of that instance is called with the protocol string as an argument to create the stream protocol handler.

2.	If no URLStreamHandlerFactory has yet been set up, or if the factory's createURLStreamHandler method returns null, then the constructor finds the value of the system property: java.handler.protol.pkgs

If the value of that system property is not null, it is interpreted as a list of packages separated by a vertical slash character '|'. The constructor tries to load the class named: <package>.<protocol>.Handler

where <package> is replaced by the name of the package and <protocol> is replaced by the name of the protocol. If this class does not exist, or if the class exists but it is not a subclass of URLStreamHandler, then the next package in the list is tried.

3.	If the previous step fails to find a protocol handler, then the constructor tries to load the class named: sun.net.www.protocol.<protocol>.Handler

If this class does not exist, or if the class exists but it is not a subclass of URLStreamHandler, then a MalformedURLException is thrown.

Parameters:

protocol - the name of the protocol.

host - the name of the host.

port - the port number.

file - the host file.

Throws: MalformedURLException

if an unknown protocol is specified.

See Also:

getProperty, setURLStreamHandlerFactory, URLStreamHandler, createURLStreamHandler

 URL

 public URL(String protocol,
            String host,
            String file) throws MalformedURLException

Creates an absolute URL from the specified protocol name, host name, and file name. The default port for the specified protocol is used.

This method is equivalent to calling the four-argument constructor with the arguments being protocol, host, -1, and file.

Parameters:

protocol - the protocol to use.

host - the host to connect to.

file - the file on that host.

Throws: MalformedURLException

if an unknown protocol is specified.

See Also:

URL

 URL

 public URL(URL context,
            String spec) throws MalformedURLException

Creates a URL by parsing the specification spec within a specified context. If the context argument is not null and the spec argument is a partial URL specification, then any of the strings missing components are inherited from the context argument.

The specification given by the String argument is parsed to determine if it specifies a protocol. If the String contains an ASCII colon ':' character before the first occurrence of an ASCII slash character '/', then the characters before the colon comprise the protocol.

•	If the spec argument does not specify a protocol:

•	If the context argument is not null, then the protocol is copied from the context argument.

•	If the context argument is null, then a MalformedURLException is thrown.

•	If the spec argument does specify a protocol:

•	If the context argument is null, or specifies a different protocol than the specification argument, the context argument is ignored.

•	If the context argument is not null and specifies the same protocol as the specification, the host, port number, and file are copied from the context argument into the newly created URL.

The constructor then searches for an appropriate stream protocol handler of type URLStreamHandler as outlined for: java.net.URL#URL(java.lang.String, java.lang.String, int, java.lang.String)

The stream protocol handler's parseURL method is called to parse the remaining fields of the specification that override any defaults set by the context argument.

Parameters:

context - the context in which to parse the specification.

spec - a String representation of a URL.

Throws: MalformedURLException

if no protocol is specified, or an unknown protocol is found.

See Also:

URL, URLStreamHandler, parseURL

 equals

 public boolean equals(Object obj)

Compares two URLs. The result is true if and only if the argument is not null and is a URL object that represents the same URL as this object. Two URL objects are equal if they have the same protocol and reference the same host, the same port number on the host, and the same file on the host. The anchors of the URL objects are not compared.

This method is equivalent to: (obj instanceof URL) && sameFile((URL)obj)

Parameters:

obj - the URL to compare against.

Returns:

true if the objects are the same; false otherwise.

Overrides:

equals in class Object

 getContent

 public final Object getContent() throws IOException

Returns the contents of this URL. This method is a shorthand for: openConnection().getContent()

Returns:

the contents of this URL.

Throws: IOException

if an I/O exception occurs.

See Also:

getContent

 getFile

 public String getFile()

Returns the file name of this URL.

Returns:

the file name of this URL.

 getHost

 public String getHost()

Returns the host name of this URL, if applicable. For "file" protocol, this is an empty string.

Returns:

the host name of this URL.

 getPort

 public int getPort()

Returns the port number of this URL. Returns -1 if the port is not set.

Returns:

the port number

 getProtocol

 public String getProtocol()

Returns the protocol name this URL.

Returns:

the protocol of this URL.

 getRef

 public String getRef()

Returns the anchor (also known as the "reference") of this URL.

Returns:

the anchor (also known as the "reference") of this URL.

 hashCode

 public int hashCode()

Creates an integer suitable for hash table indexing.

Returns:

a hash code for this URL.

Overrides:

hashCode in class Object

 openConnection

 public URLConnection openConnection() throws IOException

Returns a URLConnection object that represents a connection to the remote object referred to by the URL.

If there is not already an open connection, the connection is opened by calling the openConnection method of the protocol handler for this URL.

Returns:

a URLConnection to the URL.

Throws: IOException

if an I/O exception occurs.

See Also:

URL, URLConnection, openConnection

 openStream

 public final InputStream openStream() throws IOException

Opens a connection to this URL and returns an InputStream for reading from that connection. This method is a shorthand for: openConnection().getInputStream()

Returns:

an input stream for reading from the URL connection.

Throws: IOException

if an I/O exception occurs.

 sameFile

 public boolean sameFile(URL other)

Compares two URLs, excluding the "ref" fields. Returns true if this URL and the other argument both refer to the same resource. The two URLs might not both contain the same anchor.

Parameters:

other - the URL to compare against.

Returns:

true if they reference the same remote object; false otherwise.

 set

 protected void set(String protocol,
                    String host,
                    int port,
                    String file,
                    String ref)

Sets the fields of the URL. This is not a public method so that only URLStreamHandlers can modify URL fields. URLs are otherwise constant. REMIND: this method will be moved to URLStreamHandler

Parameters:

protocol - the protocol to use

host - the host name to connecto to

port - the protocol port to connect to

file - the specified file name on that host

ref - the reference

 setURLStreamHandlerFactory

 public static synchronized void setURLStreamHandlerFactory(URLStreamHandlerFactory fac)

Sets an application's URLStreamHandlerFactory. This method can be called at most once by an application.

The URLStreamHandlerFactory instance is used to construct a stream protocol handler from a protocol name.

Parameters:

fac - the desired factory.

Throws: Error

if the application has already set a factory.

See Also:

URL, URLStreamHandlerFactory

 toExternalForm

 public String toExternalForm()

Constructs a string representation of this URL. The string is created by calling the toExternalForm method of the stream protocol handler for this object.

Returns:

a string representation of this object.

See Also:

URL, toExternalForm

 toString

 public String toString()

Constructs a string representation of this URL. The string is created by calling the toExternalForm method of the stream protocol handler for this object.

Returns:

a string representation of this object.

Overrides:

toString in class Object

See Also:

URL, toExternalForm


 Class java.net.URLConnection

java.lang.Object
   |
   +----java.net.URLConnection

public abstract class URLConnection
   extends Object

The abstract class URLConnection is the superclass of all classes that represent a communications link between the application and a URL. Instances of this class can be used both to read from and to write to the resource referenced by the URL. In general, creating a connection to a URL is a multistep process:

openConnection()	connect()
Manipulate parameters that affect the connection to the remote resource.	Interact with the resource; query header fields and contents.
---------------------------->

time

1.	The connection object is created by invoking the openConnection method on a URL.

2.	The setup parameters and general request properties are manipulated.

3.	The actual connection to the remote object is made, using the connect method.

4.	The remote object becomes available. The header fields and the contents of the remote object can be accessed.

The setup parameters are modified using the following methods:

•	setAllowUserInteraction

•	setDoInput

•	setDoOutput

•	setIfModifiedSince

•	setUseCaches

and the general request properties are modified using the method:

•	setRequestProperty

Default values for the AllowUserInteraction and UseCaches parameters can be set using the methods setDefaultAllowUserInteraction and setDefaultUseCaches. Default values for general request properties can be set using the setDefaultRequestProperty method.

Each of the above set methods has a corresponding get method to retrieve the value of the parameter or general request property. The specific parameters and general request properties that are applicable are protocol specific.

The following methods are used to access the header fields and the contents after the connection is made to the remote object:

•	getContent

•	getHeaderField

•	getInputStream

•	getOutputStream

Certain header fields are accessed frequently. The methods:

•	getContentEncoding

•	getContentLength

•	getContentType

•	getDate

•	getExpiration

•	getLastModified

provide convenient access to these fields. The getContentType method is used by the getContent method to determine the type of the remote object; subclasses may find it convenient to override the getContentType method.

In the common case, all of the pre-connection parameters and general request properties can be ignored: the pre-connection parameters and request properties default to sensible values. For most clients of this interface, there are only two interesting methods: getInputStream and getObject, which are mirrored in the URL class by convenience methods.

More information on the request properties and header fields of an http connection can be found at:

http://www.w3.org/hypertext/WWW/Protocols/HTTP1.0/draft-ietf-http-spec.html

     See Also:
     openConnection, connect, getContent, getContentEncoding, getContentLength, getContentType, getDate, getExpiration, getHeaderField, getHeaderField, getInputStream, getLastModified, getOutputStream, setAllowUserInteraction, setDefaultRequestProperty, setDefaultUseCaches, setDoInput, setDoOutput, setIfModifiedSince, setRequestProperty, setUseCaches

 allowUserInteraction

If true, this URL is being examined in a context in which it makes sense to allow user interactions such as popping up an authentication dialog.

 connected

If false, this connection object has not created a communications link to the specified URL.

 doInput

This variable is set by the setDoInput method.

 doOutput

This variable is set by the setDoOutput method.

 fileNameMap

 ifModifiedSince

Some protocols support skipping the fetching of the object unless the object has been modified more recently than a certain time.

 url

The URL represents the remote object on the World Wide Web to which this connection is opened.

 useCaches

If true, the protocol is allowed to use caching whenever it can.

 URLConnection(URL)

Constructs a URL connection to the specified URL.

 connect()

Opens a communications link to the resource referenced by this URL, if such a connection has not already been established.

 getAllowUserInteraction()

Returns the value of the allowUserInteraction field for this object.

 getContent()

Retrieves the contents of this URL connection.

 getContentEncoding()

Returns the value of the content-encoding header field.

 getContentLength()

Returns the value of the content-length header field.

 getContentType()

Returns the value of the content-type header field.

 getDate()

Returns the value of the date header field.

 getDefaultAllowUserInteraction()

Returns the default value of the allowUserInteraction field.

 getDefaultRequestProperty(String)

Returns the value of the default request property.

 getDefaultUseCaches()

Returns the default value of a URLConnection's useCaches flag.

 getDoInput()

Returns the value of this URLConnection's doInput flag.

 getDoOutput()

Returns the value of this URLConnection's doOutput flag.

 getExpiration()

Returns the value of the expires header field.

 getHeaderField(int)

Returns the value for the nth header field.

 getHeaderField(String)

Returns the value of the specified header field.

 getHeaderFieldDate(String, long)

Returns the value of the named field parsed as date.

 getHeaderFieldInt(String, int)

Returns the value of the named field parsed as a number.

 getHeaderFieldKey(int)

Returns the key for the nth header field.

 getIfModifiedSince()

Returns the value of this object's ifModifiedSince field.

 getInputStream()

Returns an input stream that reads from this open connection.

 getLastModified()

Returns the value of the last-modified header field.

 getOutputStream()

Returns an output stream that writes to this connection.

 getRequestProperty(String)

Returns the value of the named general request property for this connection.

 getURL()

Returns the value of this URLConnection's URL field.

 getUseCaches()

Returns the value of this URLConnection's useCaches field.

 guessContentTypeFromName(String)

Tries to determine the content type of an object, based on the specified "file" component of a URL.

 guessContentTypeFromStream(InputStream)

Tries to determine the type of an input stream based on the characters at the beginning of the input stream.

 setAllowUserInteraction(boolean)

Set the value of the allowUserInteraction field of this URLConnection.

 setContentHandlerFactory(ContentHandlerFactory)

Sets the ContentHandlerFactory of an application.

 setDefaultAllowUserInteraction(boolean)

Sets the default value of the allowUserInteraction field for all future URLConnection objects to the specified value.

 setDefaultRequestProperty(String, String)

Sets the default value of a general request property.

 setDefaultUseCaches(boolean)

Sets the default value of the useCaches field to the specified value.

 setDoInput(boolean)

Sets the value of the doInput field for this URLConnection to the specified value.

 setDoOutput(boolean)

Sets the value of the doOutput field for this URLConnection to the specified value.

 setIfModifiedSince(long)

Sets the value of the ifModifiedSince field of this URLConnection to the specified value.

 setRequestProperty(String, String)

Sets the general request property.

 setUseCaches(boolean)

Sets the value of the useCaches field of this URLConnection to the specified value.

 toString()

Returns a String representation of this URL connection.

 allowUserInteraction

 protected boolean allowUserInteraction

If true, this URL is being examined in a context in which it makes sense to allow user interactions such as popping up an authentication dialog. If false, then no user interaction is allowed.

The value of this field can be set by the setAllowUserInteraction method. Its value is returned by the getAllowUserInteraction method. Its default value is the value of the argument in the last invocation of the setDefaultAllowUserInteraction method.

See Also:

getAllowUserInteraction, setAllowUserInteraction, setDefaultAllowUserInteraction

 connected

 protected boolean connected

If false, this connection object has not created a communications link to the specified URL. If true, the communications link has been established.

 doInput

 protected boolean doInput

This variable is set by the setDoInput method. Its value is returned by the getDoInput method.

A URL connection can be used for input and/or output. Setting the doInput flag to true indicates that the application intends to read data from the URL connection.

The default value of this field is true.

See Also:

getDoInput, setDoInput

 doOutput

 protected boolean doOutput

This variable is set by the setDoOutput method. Its value is returned by the getDoInput method.

A URL connection can be used for input and/or output. Setting the doOutput flag to true indicates that the application intends to write data to the URL connection.

The default value of this field is false.

See Also:

getDoOutput, setDoOutput

 fileNameMap

 public static FileNameMap fileNameMap

 ifModifiedSince

 protected long ifModifiedSince

Some protocols support skipping the fetching of the object unless the object has been modified more recently than a certain time.

A nonzero value gives a time as the number of seconds since January 1, 1970, GMT. The object is fetched only if it has been modified more recently than that time.

This variable is set by the setIfModifiedSince method. Its value is returned by the getIfModifiedSince method.

The default value of this field is 0, indicating that the fetching must always occur.

See Also:

getIfModifiedSince, setIfModifiedSince

 url

 protected URL url

The URL represents the remote object on the World Wide Web to which this connection is opened.

The value of this field can be accessed by the getURL method.

The default value of this variable is the value of the URL argument in the URLConnection constructor.

See Also:

getURL, url

 useCaches

 protected boolean useCaches

If true, the protocol is allowed to use caching whenever it can. If false, the protocol must always try to get a fresh copy of the object.

This field is set by the setUseCaches method. Its value is returned by the getUseCaches method.

Its default value is the value given in the last invocation of the setDefaultUseCaches method.

See Also:

setUseCaches, getUseCaches, setDefaultUseCaches

 URLConnection

 protected URLConnection(URL url)

Constructs a URL connection to the specified URL. A connection to the object referenced by the URL is not created.

Parameters:

url - the specified URL.

 connect

 public abstract void connect() throws IOException

Opens a communications link to the resource referenced by this URL, if such a connection has not already been established.

If the connect method is called when the connection has already been opened (indicated by the connected field having the value true), the call is ignored.

URLConnection objects go through two phases: first they are created, then they are connected. After being created, and before being connected, various options can be specified (e.g., doInput and UseCaches). After connecting, it is an error to try to set them. Operations that depend on being connected, like getContentLength, will implicitly perform the connection, if necessary.

Throws: IOException

if an I/O error occurs while opening the connection.

See Also:

connected

 getAllowUserInteraction

 public boolean getAllowUserInteraction()

Returns the value of the allowUserInteraction field for this object.

Returns:

the value of the allowUserInteraction field for this object.

See Also:

allowUserInteraction

 getContent

 public Object getContent() throws IOException

Retrieves the contents of this URL connection.

This method first determines the content type of the object by calling the getContentType method. If this is the first time that the application has seen that specific content type, a content handler for that content type is created:

1.	If the application has set up a content handler factory instance using the setContentHandlerFactory method, the createContentHandler method of that instance is called with the content type as an argument; the result is a content handler for that content type.

2.	If no content handler factory has yet been set up, or if the factory's createContentHandler method returns null, then the application loads the class named: sun.net.www.content.<contentType>

where <contentType> is formed by taking the content-type string, replacing all slash characters with a period ('.'), and all other non-alphanumeric characters with the underscore character '_'. The alphanumeric characters are specifically the 26 uppercase ASCII letters 'A' through 'Z', the 26 lowercase ASCII letters 'a' through 'z', and the 10 ASCII digits '0' through '9'. If the specified class does not exist, or is not a subclass of ContentHandler, then an UnknownServiceException is thrown.

Returns:

the object fetched. The instanceOf operation should be used to determine the specific kind of object returned.

Throws: IOException

if an I/O error occurs while getting the content.

Throws: UnknownServiceException

if the protocol does not support the content type.

See Also:

createContentHandler, getContentType, setContentHandlerFactory

 getContentEncoding

 public String getContentEncoding()

Returns the value of the content-encoding header field.

Returns:

the content encoding of the resource that the URL references, or null if not known.

See Also:

getHeaderField

 getContentLength

 public int getContentLength()

Returns the value of the content-length header field.

Returns:

the content length of the resource that this connection's URL references, or -1 if the content length is not known.

 getContentType

 public String getContentType()

Returns the value of the content-type header field.

Returns:

the content type of the resource that the URL references, or null if not known.

See Also:

getHeaderField

 getDate

 public long getDate()

Returns the value of the date header field.

Returns:

the sending date of the resource that the URL references, or 0 if not known. The value returned is the number of seconds since January 1, 1970 GMT.

See Also:

getHeaderField

 getDefaultAllowUserInteraction

 public static boolean getDefaultAllowUserInteraction()

Returns the default value of the allowUserInteraction field.

Ths default is "sticky", being a part of the static state of all URLConnections. This flag applies to the next, and all following URLConnections that are created.

Returns:

the default value of the allowUserInteraction field.

See Also:

allowUserInteraction

 getDefaultRequestProperty

 public static String getDefaultRequestProperty(String key)

Returns the value of the default request property. Default request properties are set for every connection.

Returns:

the value of the default request property for the specified key.

See Also:

setDefaultRequestProperty

 getDefaultUseCaches

 public boolean getDefaultUseCaches()

Returns the default value of a URLConnection's useCaches flag.

Ths default is "sticky", being a part of the static state of all URLConnections. This flag applies to the next, and all following URLConnections that are created.

Returns:

the default value of a URLConnection's useCaches flag.

See Also:

useCaches

 getDoInput

 public boolean getDoInput()

Returns the value of this URLConnection's doInput flag.

Returns:

the value of this URLConnection's doInput flag.

See Also:

doInput

 getDoOutput

 public boolean getDoOutput()

Returns the value of this URLConnection's doOutput flag.

Returns:

the value of this URLConnection's doOutput flag.

See Also:

doOutput

 getExpiration

 public long getExpiration()

Returns the value of the expires header field.

Returns:

the expiration date of the resource that this URL references, or 0 if not known. The value is the number of seconds since January 1, 1970 GMT.

See Also:

getHeaderField

 getHeaderField

 public String getHeaderField(int n)

Returns the value for the nth header field. It returns null if there are fewer than n fields.

This method can be used in conjunction with the getHeaderFieldKey method to iterate through all the headers in the message.

Parameters:

n - an index.

Returns:

the value of the nth header field.

See Also:

getHeaderFieldKey

 getHeaderField

 public String getHeaderField(String name)

Returns the value of the specified header field. Names of header fields to pass to this method can be obtained from getHeaderFieldKey.

Parameters:

name - the name of a header field.

Returns:

the value of the named header field, or null if there is no such field in the header.

See Also:

getHeaderFieldKey

 getHeaderFieldDate

 public long getHeaderFieldDate(String name,
                                long Default)

Returns the value of the named field parsed as date. The result is the number of seconds since January 1, 1970 GMT represented by the named field.

This form of getHeaderField exists because some connection types (e.g., http-ng) have pre-parsed headers. Classes for that connection type can override this method and short-circuit the parsing.

Parameters:

name - the name of the header field.

Default - a default value.

Returns:

the value of the field, parsed as a date. The value of the Default argument is returned if the field is missing or malformed.

 getHeaderFieldInt

 public int getHeaderFieldInt(String name,
                              int Default)

Returns the value of the named field parsed as a number.

This form of getHeaderField exists because some connection types (e.g., http-ng) have pre-parsed headers. Classes for that connection type can override this method and short-circuit the parsing.

Parameters:

name - the name of the header field.

Default - the default value.

Returns:

the value of the named field, parsed as an integer. The Default value is returned if the field is missing or malformed.

 getHeaderFieldKey

 public String getHeaderFieldKey(int n)

Returns the key for the nth header field.

Parameters:

n - an index.

Returns:

the key for the nth header field, or null if there are fewer than n fields.

 getIfModifiedSince

 public long getIfModifiedSince()

Returns the value of this object's ifModifiedSince field.

Returns:

the value of this object's ifModifiedSince field.

See Also:

ifModifiedSince

 getInputStream

 public InputStream getInputStream() throws IOException

Returns an input stream that reads from this open connection.

Returns:

an input stream that reads from this open connection.

Throws: IOException

if an I/O error occurs while creating the input stream.

Throws: UnknownServiceException

if the protocol does not support input.

 getLastModified

 public long getLastModified()

Returns the value of the last-modified header field. The result is the number of seconds since January 1, 1970 GMT.

Returns:

the date the resource referenced by this URLConnection was last modified, or 0 if not known.

See Also:

getHeaderField

 getOutputStream

 public OutputStream getOutputStream() throws IOException

Returns an output stream that writes to this connection.

Returns:

an output stream that writes to this connection.

Throws: IOException

if an I/O error occurs while creating the output stream.

Throws: UnknownServiceException

if the protocol does not support output.

 getRequestProperty

 public String getRequestProperty(String key)

Returns the value of the named general request property for this connection.

Returns:

the value of the named general request property for this connection.

 getURL

 public URL getURL()

Returns the value of this URLConnection's URL field.

Returns:

the value of this URLConnection's URL field.

See Also:

url

 getUseCaches

 public boolean getUseCaches()

Returns the value of this URLConnection's useCaches field.

Returns:

the value of this URLConnection's useCaches field.

See Also:

useCaches

 guessContentTypeFromName

 protected static String guessContentTypeFromName(String fname)

Tries to determine the content type of an object, based on the specified "file" component of a URL. This is a convenience method that can be used by subclasses that override the getContentType method.

Parameters:

fname - a filename.

Returns:

a guess as to what the content type of the object is, based upon its file name.

See Also:

getContentType

 guessContentTypeFromStream

 public static String guessContentTypeFromStream(InputStream is) throws IOException

Tries to determine the type of an input stream based on the characters at the beginning of the input stream. This method can be used by subclasses that override the getContentType method.

Ideally, this routine would not be needed. But many http servers return the incorrect content type; in addition, there are many nonstandard extensions. Direct inspection of the bytes to determine the content type is often more accurate than believing the content type claimed by the http server.

Parameters:

is - an input stream that supports marks.

Returns:

a guess at the content type, or null if none can be determined.

Throws: IOException

if an I/O error occurs while reading the input stream.

See Also:

mark, markSupported, getContentType

 setAllowUserInteraction

 public void setAllowUserInteraction(boolean allowuserinteraction)

Set the value of the allowUserInteraction field of this URLConnection.

Parameters:

allowuserinteraction - the new value.

See Also:

allowUserInteraction

 setContentHandlerFactory

 public static synchronized void setContentHandlerFactory(ContentHandlerFactory fac)

Sets the ContentHandlerFactory of an application. It can be called at most once by an application.

The ContentHandlerFactory instance is used to construct a content handler from a content type

Parameters:

fac - the desired factory.

Throws: Error

if the factory has already been defined.

See Also:

ContentHandlerFactory, getContent

 setDefaultAllowUserInteraction

 public static void setDefaultAllowUserInteraction(boolean defaultallowuserinteraction)

Sets the default value of the allowUserInteraction field for all future URLConnection objects to the specified value.

Parameters:

defaultallowuserinteraction - the new value.

See Also:

allowUserInteraction

 setDefaultRequestProperty

 public static void setDefaultRequestProperty(String key,
                                              String value)

Sets the default value of a general request property. When a URLConnection is created, it is initialized with these properties.

Parameters:

key - the keyword by which the request is known (e.g., "accept").

value - the value associated with the key.

 setDefaultUseCaches

 public void setDefaultUseCaches(boolean defaultusecaches)

Sets the default value of the useCaches field to the specified value.

Parameters:

defaultusecaches - the new value.

See Also:

useCaches

 setDoInput

 public void setDoInput(boolean doinput)

Sets the value of the doInput field for this URLConnection to the specified value.

A URL connection can be used for input and/or output. Set the DoInput flag to true if you intend to use the URL connection for input, false if not. The default is true unless DoOutput is explicitly set to true, in which case DoInput defaults to false.

Parameters:

value - the new value.

See Also:

doInput

 setDoOutput

 public void setDoOutput(boolean dooutput)

Sets the value of the doOutput field for this URLConnection to the specified value.

A URL connection can be used for input and/or output. Set the DoOutput flag to true if you intend to use the URL connection for output, false if not. The default is false.

Parameters:

value - the new value.

See Also:

doOutput

 setIfModifiedSince

 public void setIfModifiedSince(long ifmodifiedsince)

Sets the value of the ifModifiedSince field of this URLConnection to the specified value.

Parameters:

value - the new value.

See Also:

ifModifiedSince

 setRequestProperty

 public void setRequestProperty(String key,
                                String value)

Sets the general request property.

Parameters:

key - the keyword by which the request is known (e.g., "accept").

value - the value associated with it.

 setUseCaches

 public void setUseCaches(boolean usecaches)

Sets the value of the useCaches field of this URLConnection to the specified value.

Some protocols do caching of documents. Occasionally, it is important to be able to "tunnel through" and ignore the caches (e.g., the "reload" button in a browser). If the UseCaches flag on a connection is true, the connection is allowed to use whatever caches it can. If false, caches are to be ignored. The default value comes from DefaultUseCaches, which defaults to true.

See Also:

useCaches

 toString

 public String toString()

Returns a String representation of this URL connection.

Returns:

a string representation of this URLConnection.

Overrides:

toString in class Object


 Class java.net.URLEncoder

java.lang.Object
   |
   +----java.net.URLEncoder

public class URLEncoder
   extends Object

The class contains a utility method for converting a String into a MIME format called "x-www-form-urlencoded" format.

To convert a String, each character is examined in turn:

•	The ASCII characters 'a' through 'z', 'A' through 'Z', and '0' through '9' remain the same.

•	The space character ' ' is converted into a plus sign '+'.

•	All other characters are converted into the 3-character string "%xy", where xy is the two-digit hexadecimal representation of the lower 8-bits of the character.

 encode(String)

Translates a string into x-www-form-urlencoded format.

 encode

 public static String encode(String s)

Translates a string into x-www-form-urlencoded format.

Parameters:

s - String to be translated.

Returns:

the translated String.


 Class java.net.URLStreamHandler

java.lang.Object
   |
   +----java.net.URLStreamHandler

public abstract class URLStreamHandler
   extends Object

The abstract class URLStreamHandler is the common superclass for all stream protocol handlers. A stream protocol handler knows how to make a connection for a particular protocol type, such as http, ftp, or gopher.

In most cases, an instance of a URLStreamHandler subclass is not created directly by an application. Rather, the first time a protocol name is encountered when constructing a URL, the appropriate stream protocol handler is automatically loaded.

     See Also:
     URL

 URLStreamHandler()

 openConnection(URL)

Opens a connection to the object referenced by the URL argument.

 parseURL(URL, String, int, int)

Parses the string representation of a URL into a URL object.

 setURL(URL, String, String, int, String, String)

Sets the fields of the URL argument to the indicated values.

 toExternalForm(URL)

Converts a URL of a specific protocol to a String.

 URLStreamHandler

 public URLStreamHandler()

 openConnection

 protected abstract URLConnection openConnection(URL u) throws IOException

Opens a connection to the object referenced by the URL argument. This method should be overridden by a subclass.

Parameters:

u - the URL that this connects to.

Returns:

a URLConnection object for the URL.

Throws: IOException

if an I/O error occurs while opening the connection.

 parseURL

 protected void parseURL(URL u,
                         String spec,
                         int start,
                         int limit)

Parses the string representation of a URL into a URL object.

If there is any inherited context, then it has already been copied into the URL argument.

The parseURL method of URLStreamHandler parses the string representation as if it were an http specification. Most URL protocol families have a similar parsing. A stream protocol handler for a protocol that has a different syntax must override this routine.

If the file component of the URL argument contains a question mark (as with CGI HTTP URLs), the context is considered to be the URL's file component up to the first / before the question mark, not including the question mark or the directory before it. For example, if the URL was:

    http://www.foo.com/dir/cgi-bin?foo=bar/baz

and the spec argument was

    quux.html

the resulting URL would be:

    http://www.foo.com/dir/quux.html

.

Parameters:

u - the URL to receive the result of parsing the spec.

spec - the String representing the URL that must be parsed.

start - the character index at which to begin parsing. This is just past the ':' (if there is one) that specifies the determination of the protocol name.

limit - the character position to stop parsing at. This is the end of the string or the position of the "#" character, if present. All information after the sharp sign indicates an anchor.

 setURL

 protected void setURL(URL u,
                       String protocol,
                       String host,
                       int port,
                       String file,
                       String ref)

Sets the fields of the URL argument to the indicated values. Only classes derived from URLStreamHandler are supposed to be able to call the set method on a URL.

Parameters:

u - the URL to modify.

protocol - the protocol name.

host - the remote host value for the URL.

port - the port on the remote machine.

file - the file.

ref - the reference.

See Also:

set

 toExternalForm

 protected String toExternalForm(URL u)

Converts a URL of a specific protocol to a String.

Parameters:

u - the URL.

Returns:

a string representation of the URL argument.


 Class java.net.BindException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.io.IOException
                           |
                           +----java.net.SocketException
                                   |
                                   +----java.net.BindException

public class BindException
   extends SocketException

Signals that an error occurred while attempting to bind a socket to a local address and port. Typically, the port is in use, or the requested local address could not be assigned.

 BindException()

Construct a new BindException with no detailed message.

 BindException(String)

Constructs a new BindException with the specified detail message as to why the bind error occurred.

 BindException

 public BindException()

Construct a new BindException with no detailed message.

 BindException

 public BindException(String msg)

Constructs a new BindException with the specified detail message as to why the bind error occurred. A detail message is a String that gives a specific description of this error.

Parameters:

msg - the detail message


 Class java.net.ConnectException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.io.IOException
                           |
                           +----java.net.SocketException
                                   |
                                   +----java.net.ConnectException

public class ConnectException
   extends SocketException

Signals that an error occurred while attempting to connect a socket to a remote address and port. Typically, the connection was refused remotely (e.g., no process is listening on the remote address/port).

 ConnectException()

Construct a new ConnectException with no detailed message.

 ConnectException(String)

Constructs a new ConnectException with the specified detail message as to why the connect error occurred.

 ConnectException

 public ConnectException()

Construct a new ConnectException with no detailed message.

 ConnectException

 public ConnectException(String msg)

Constructs a new ConnectException with the specified detail message as to why the connect error occurred. A detail message is a String that gives a specific description of this error.

Parameters:

msg - the detail message


 Class java.net.MalformedURLException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.io.IOException
                           |
                           +----java.net.MalformedURLException

public class MalformedURLException
   extends IOException

Thrown to indicate that a malformed URL has occurred. Either no legal protocol could be found in a specification string or the string could not be parsed.

 MalformedURLException()

Constructs a MalformedURLException with no detail message.

 MalformedURLException(String)

Constructs a MalformedURLException with the specified detail message.

 MalformedURLException

 public MalformedURLException()

Constructs a MalformedURLException with no detail message.

 MalformedURLException

 public MalformedURLException(String msg)

Constructs a MalformedURLException with the specified detail message.

Parameters:

msg - the detail message.


 Class java.net.NoRouteToHostException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.io.IOException
                           |
                           +----java.net.SocketException
                                   |
                                   +----java.net.NoRouteToHostException

public class NoRouteToHostException
   extends SocketException

Signals that an error occurred while attempting to connect a socket to a remote address and port. Typically, the remote host cannot be reached because of an intervening firewall, or if an intermediate router is down.

 NoRouteToHostException()

Construct a new NoRouteToHostException with no detailed message.

 NoRouteToHostException(String)

Constructs a new NoRouteToHostException with the specified detail message as to why the remote host cannot be reached.

 NoRouteToHostException

 public NoRouteToHostException()

Construct a new NoRouteToHostException with no detailed message.

 NoRouteToHostException

 public NoRouteToHostException(String msg)

Constructs a new NoRouteToHostException with the specified detail message as to why the remote host cannot be reached. A detail message is a String that gives a specific description of this error.

Parameters:

msg - the detail message


 Class java.net.ProtocolException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.io.IOException
                           |
                           +----java.net.ProtocolException

public class ProtocolException
   extends IOException

Thrown to indicate that there is an error in the underlying protocol, such as a TCP error.

 ProtocolException()

Constructs a new ProtocolException with no detail message.

 ProtocolException(String)

Constructs a new ProtocolException with the specified detail message.

 ProtocolException

 public ProtocolException()

Constructs a new ProtocolException with no detail message.

 ProtocolException

 public ProtocolException(String host)

Constructs a new ProtocolException with the specified detail message.

Parameters:

host - the detail message.


 Class java.net.SocketException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.io.IOException
                           |
                           +----java.net.SocketException

public class SocketException
   extends IOException

Thrown to indicate that there is an error in the underlying protocol, such as a TCP error.

 SocketException()

Constructs a new ProtocolException with no detail message.

 SocketException(String)

Constructs a new ProtocolException with the specified detail message.

 SocketException

 public SocketException()

Constructs a new ProtocolException with no detail message.

 SocketException

 public SocketException(String msg)

Constructs a new ProtocolException with the specified detail message.

Parameters:

host - the detail message.


 Class java.net.UnknownHostException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.io.IOException
                           |
                           +----java.net.UnknownHostException

public class UnknownHostException
   extends IOException

Thrown to indicate that the IP address of a host could not be determined.

 UnknownHostException()

Constructs a new UnknownHostException with no detail message.

 UnknownHostException(String)

Constructs a new UnknownHostException with the specified detail message.

 UnknownHostException

 public UnknownHostException()

Constructs a new UnknownHostException with no detail message.

 UnknownHostException

 public UnknownHostException(String host)

Constructs a new UnknownHostException with the specified detail message.

Parameters:

host - the detail message.


 Class java.net.UnknownServiceException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.io.IOException
                           |
                           +----java.net.UnknownServiceException

public class UnknownServiceException
   extends IOException

Thrown to indicate that an unknown service exception has occurred. Either the MIME type returned by a URL connection does not make sense, or the application is attempting to write to a read-only URL connection.

 UnknownServiceException()

Constructs a new UnknownServiceException with no detail message.

 UnknownServiceException(String)

Constructs a new UnknownServiceException with the specified detail message.

 UnknownServiceException

 public UnknownServiceException()

Constructs a new UnknownServiceException with no detail message.

 UnknownServiceException

 public UnknownServiceException(String msg)

Constructs a new UnknownServiceException with the specified detail message.

Parameters:

msg - the detail message.


 package java.rmi

   Remote

   Naming
   RMISecurityManager

   AccessException
   AlreadyBoundException
   ConnectException
   ConnectIOException
   MarshalException
   NoSuchObjectException
   NotBoundException
   RMISecurityException
   RemoteException
   ServerError
   ServerException
   ServerRuntimeException
   StubNotFoundException
   UnexpectedException
   UnknownHostException
   UnmarshalException


 Interface java.rmi.Remote

public interface Remote

The Remote interface serves to identify all remote objects. Any object that is a remote object must directly or indirectly implement this interface. Only those methods specified in a remote interface are available remotely.

Implementation classes can implement any number of remote interfaces and can extend other remote implementation classes.


 Class java.rmi.Naming

java.lang.Object
   |
   +----java.rmi.Naming

public final class Naming
   extends Object

This is the bootstrap mechanism for obtaining references to remote objects based on Uniform Resource Locator (URL) syntax. The URL for a remote object is specified using the usual host, port and name:

rmi://host:port/name

host = host name of registry (defaults to current host)

port = port number of registry (defaults to the registry port number)

name = name for remote object

 bind(String, Remote)

Binds the name to the specified remote object.

 list(String)

Returns an array of strings of the URLs in the registry.

 lookup(String)

Returns the remote object for the URL.

 rebind(String, Remote)

Rebind the name to a new object; replaces any existing binding.

 unbind(String)

Unbind the name.

 bind

 public static void bind(String name,
                         Remote obj) throws AlreadyBoundException, MalformedURLException, UnknownHostException, RemoteException

Binds the name to the specified remote object.

Throws: RemoteException

If registry could not be contacted.

Throws: AlreadyBoundException

If name is already bound.

 list

 public static String[] list(String name) throws RemoteException, MalformedURLException, UnknownHostException

Returns an array of strings of the URLs in the registry. The array contains a snapshot of the names present in the registry.

Throws: RemoteException

If registry could not be contacted.

 lookup

 public static Remote lookup(String name) throws NotBoundException, MalformedURLException, UnknownHostException, RemoteException

Returns the remote object for the URL.

Throws: RemoteException

If registry could not be contacted.

Throws: NotBoundException

If name is not currently bound.

 rebind

 public static void rebind(String name,
                           Remote obj) throws RemoteException, MalformedURLException, UnknownHostException

Rebind the name to a new object; replaces any existing binding.

Throws: RemoteException

If registry could not be contacted.

 unbind

 public static void unbind(String name) throws RemoteException, NotBoundException, MalformedURLException, UnknownHostException

Unbind the name.

Throws: RemoteException

If registry could not be contacted.

Throws: NotBoundException

If name is not currently bound.


 Class java.rmi.RMISecurityManager

java.lang.Object
   |
   +----java.lang.SecurityManager
           |
           +----java.rmi.RMISecurityManager

public class RMISecurityManager
   extends SecurityManager

This class defines a default security policy for RMI applications (not applets). For code loaded from a class loader, the security manager disables all functions except class definition and access. This class may be subclassed to implement a different policy. To set a RMISecurityManager, add the following to an application's main() method:

System.setSecurityManager(new RMISecurityManager()); If no security manager has been set, RMI will only load classes from local system files as defined by CLASSPATH.

 RMISecurityManager()

Construct and initialize.

 checkAccept(String, int)

For now loaded classes can't accept connections on any port.

 checkAccess(Thread)

Loaded classes are not allowed to manipulate threads.

 checkAccess(ThreadGroup)

Loaded classes are not allowed to manipulate thread groups.

 checkAwtEventQueueAccess()

Checks to see if an client can get access to the AWT event queue (disallowed from loaded classes).

 checkConnect(String, int)

Loaded classes can make connections if called through the RMI transport.

 checkConnect(String, int, Object)

Loaded classes can make connections if called through the RMI transport.

 checkCreateClassLoader()

Loaded classes are not allowed to create class loaders, or even execute any of ClassLoader's methods.

 checkDelete(String)

Check if a file with the specified system dependent file name can be deleted.

 checkExec(String)

Loaded classes are not allowed to fork processes.

 checkExit(int)

Loaded classes are not allowed to exit the VM.

 checkLink(String)

Loaded classes are not allowed to link dynamic libraries.

 checkListen(int)

For now loaded classes can't listen on any port.

 checkMemberAccess(Class, int)

Check if client is allowed reflective access to a member or a set of members for the specified class.

 checkMulticast(InetAddress)

Checks to see if current execution context is allowed to use (join/leave/send/receive) IP multicast (disallowed from loaded classes).

 checkMulticast(InetAddress, byte)

Checks to see if current execution context is allowed to use (join/leave/send/receive) IP multicast (disallowed from loaded classes).

 checkPackageAccess(String)

Check if a loaded class can access a package.

 checkPackageDefinition(String)

Check if a loaded class can define classes in a package.

 checkPrintJobAccess()

Disallow printing from loaded classes.

 checkPropertiesAccess()

Loaded classes are not allowed to access the system properties list.

 checkPropertyAccess(String)

Loaded classes can access the system property named by key only if its twin key.rmi property is set to true.

 checkRead(FileDescriptor)

Loaded classes are not allowed to open descriptors for reading unless it is done through a socket, in which case other access restrictions still apply.

 checkRead(String)

Check if a loaded class can read a particular file.

 checkRead(String, Object)

No file reads are valid from a loaded class.

 checkSecurityAccess(String)

Loaded classes cannot perform security provider operations.

 checkSetFactory()

Check if a loaded class can set a networking-related object factory.

 checkSystemClipboardAccess()

Checks to see if an client can get access to the System Clipboard (disallowed from loaded classes).

 checkTopLevelWindow(Object)

Allow caller to create top-level windows.

 checkWrite(FileDescriptor)

Loaded classes are not allowed to open descriptors for writing unless it is done through a socket, in which case other access restrictions still apply.

 checkWrite(String)

Check if a loaded class can write a particular file.

 getSecurityContext()

Returns the security context (e.g., a URL).

 RMISecurityManager

 public RMISecurityManager()

Construct and initialize.

 checkAccept

 public synchronized void checkAccept(String host,
                                      int port)

For now loaded classes can't accept connections on any port.

Overrides:

checkAccept in class SecurityManager

 checkAccess

 public synchronized void checkAccess(Thread t)

Loaded classes are not allowed to manipulate threads.

Overrides:

checkAccess in class SecurityManager

 checkAccess

 public synchronized void checkAccess(ThreadGroup g)

Loaded classes are not allowed to manipulate thread groups.

Overrides:

checkAccess in class SecurityManager

 checkAwtEventQueueAccess

 public void checkAwtEventQueueAccess()

Checks to see if an client can get access to the AWT event queue (disallowed from loaded classes).

Overrides:

checkAwtEventQueueAccess in class SecurityManager

 checkConnect

 public synchronized void checkConnect(String host,
                                       int port)

Loaded classes can make connections if called through the RMI transport.

Overrides:

checkConnect in class SecurityManager

 checkConnect

 public void checkConnect(String host,
                          int port,
                          Object context)

Loaded classes can make connections if called through the RMI transport.

Overrides:

checkConnect in class SecurityManager

 checkCreateClassLoader

 public synchronized void checkCreateClassLoader()

Loaded classes are not allowed to create class loaders, or even execute any of ClassLoader's methods.

Overrides:

checkCreateClassLoader in class SecurityManager

 checkDelete

 public void checkDelete(String file)

Check if a file with the specified system dependent file name can be deleted.

Parameters:

file - the system dependent file name

Throws: RMISecurityException

If the file is not found.

Overrides:

checkDelete in class SecurityManager

 checkExec

 public synchronized void checkExec(String cmd)

Loaded classes are not allowed to fork processes.

Overrides:

checkExec in class SecurityManager

 checkExit

 public synchronized void checkExit(int status)

Loaded classes are not allowed to exit the VM.

Overrides:

checkExit in class SecurityManager

 checkLink

 public synchronized void checkLink(String lib)

Loaded classes are not allowed to link dynamic libraries.

Overrides:

checkLink in class SecurityManager

 checkListen

 public synchronized void checkListen(int port)

For now loaded classes can't listen on any port.

Overrides:

checkListen in class SecurityManager

 checkMemberAccess

 public void checkMemberAccess(Class clazz,
                               int which)

Check if client is allowed reflective access to a member or a set of members for the specified class. Once initial access is granted, the reflected members can be queried for identifying information, but can only be used (via get, set, invoke, or newInstance) with standard Java language access control.

The policy is to dent untrusted clients access to declared members of classes other than those loaded via the same class loader. All other accesses are granted.

Overrides:

checkMemberAccess in class SecurityManager

 checkMulticast

 public void checkMulticast(InetAddress maddr)

Checks to see if current execution context is allowed to use (join/leave/send/receive) IP multicast (disallowed from loaded classes).

Overrides:

checkMulticast in class SecurityManager

 checkMulticast

 public void checkMulticast(InetAddress maddr,
                            byte ttl)

Checks to see if current execution context is allowed to use (join/leave/send/receive) IP multicast (disallowed from loaded classes).

Overrides:

checkMulticast in class SecurityManager

 checkPackageAccess

 public synchronized void checkPackageAccess(String pkg)

Check if a loaded class can access a package.

Overrides:

checkPackageAccess in class SecurityManager

 checkPackageDefinition

 public synchronized void checkPackageDefinition(String pkg)

Check if a loaded class can define classes in a package.

Overrides:

checkPackageDefinition in class SecurityManager

 checkPrintJobAccess

 public void checkPrintJobAccess()

Disallow printing from loaded classes.

Overrides:

checkPrintJobAccess in class SecurityManager

 checkPropertiesAccess

 public synchronized void checkPropertiesAccess()

Loaded classes are not allowed to access the system properties list.

Overrides:

checkPropertiesAccess in class SecurityManager

 checkPropertyAccess

 public synchronized void checkPropertyAccess(String key)

Loaded classes can access the system property named by key only if its twin key.rmi property is set to true. For example, the property java.home can be read by loaded classes only if java.home.rmi is true.

Overrides:

checkPropertyAccess in class SecurityManager

 checkRead

 public synchronized void checkRead(FileDescriptor fd)

Loaded classes are not allowed to open descriptors for reading unless it is done through a socket, in which case other access restrictions still apply.

Overrides:

checkRead in class SecurityManager

 checkRead

 public synchronized void checkRead(String file)

Check if a loaded class can read a particular file.

Overrides:

checkRead in class SecurityManager

 checkRead

 public void checkRead(String file,
                       Object context)

No file reads are valid from a loaded class.

Throws: RMISecurityException

If called from a loaded class.

Overrides:

checkRead in class SecurityManager

 checkSecurityAccess

 public void checkSecurityAccess(String provider)

Loaded classes cannot perform security provider operations.

Overrides:

checkSecurityAccess in class SecurityManager

 checkSetFactory

 public synchronized void checkSetFactory()

Check if a loaded class can set a networking-related object factory.

Overrides:

checkSetFactory in class SecurityManager

 checkSystemClipboardAccess

 public void checkSystemClipboardAccess()

Checks to see if an client can get access to the System Clipboard (disallowed from loaded classes).

Overrides:

checkSystemClipboardAccess in class SecurityManager

 checkTopLevelWindow

 public synchronized boolean checkTopLevelWindow(Object window)

Allow caller to create top-level windows. Allow loaded classes to create windows with warnings.

Overrides:

checkTopLevelWindow in class SecurityManager

 checkWrite

 public synchronized void checkWrite(FileDescriptor fd)

Loaded classes are not allowed to open descriptors for writing unless it is done through a socket, in which case other access restrictions still apply.

Overrides:

checkWrite in class SecurityManager

 checkWrite

 public synchronized void checkWrite(String file)

Check if a loaded class can write a particular file.

Throws: RMISecurityException

If called from a loaded class.

Overrides:

checkWrite in class SecurityManager

 getSecurityContext

 public Object getSecurityContext()

Returns the security context (e.g., a URL).

Overrides:

getSecurityContext in class SecurityManager


 Class java.rmi.AccessException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.io.IOException
                           |
                           +----java.rmi.RemoteException
                                   |
                                   +----java.rmi.AccessException

public class AccessException
   extends RemoteException

 AccessException(String)

Create a new AccessException with a description.

 AccessException(String, Exception)

Create a new AccessException with a description and detail exception.

 AccessException

 public AccessException(String s)

Create a new AccessException with a description.

 AccessException

 public AccessException(String s,
                        Exception ex)

Create a new AccessException with a description and detail exception.


 Class java.rmi.AlreadyBoundException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.rmi.AlreadyBoundException

public class AlreadyBoundException
   extends Exception

 AlreadyBoundException()

 AlreadyBoundException(String)

 AlreadyBoundException

 public AlreadyBoundException()

 AlreadyBoundException

 public AlreadyBoundException(String s)


 Class java.rmi.ConnectException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.io.IOException
                           |
                           +----java.rmi.RemoteException
                                   |
                                   +----java.rmi.ConnectException

public class ConnectException
   extends RemoteException

 ConnectException(String)

Create A remote exception with the specified string

 ConnectException(String, Exception)

Create A remote exception with the specified string, and the exception specified.

 ConnectException

 public ConnectException(String s)

Create A remote exception with the specified string

 ConnectException

 public ConnectException(String s,
                         Exception ex)

Create A remote exception with the specified string, and the exception specified.


 Class java.rmi.ConnectIOException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.io.IOException
                           |
                           +----java.rmi.RemoteException
                                   |
                                   +----java.rmi.ConnectIOException

public class ConnectIOException
   extends RemoteException

 ConnectIOException(String)

Create A remote exception with the specified string

 ConnectIOException(String, Exception)

Create A remote exception with the specified string, and the exception specified.

 ConnectIOException

 public ConnectIOException(String s)

Create A remote exception with the specified string

 ConnectIOException

 public ConnectIOException(String s,
                           Exception ex)

Create A remote exception with the specified string, and the exception specified.


 Class java.rmi.MarshalException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.io.IOException
                           |
                           +----java.rmi.RemoteException
                                   |
                                   +----java.rmi.MarshalException

public class MarshalException
   extends RemoteException

 MarshalException(String)

Create a new marshal exception with a descriptive string.

 MarshalException(String, Exception)

Create a new marshal exception with a descriptive string and an exception.

 MarshalException

 public MarshalException(String s)

Create a new marshal exception with a descriptive string.

 MarshalException

 public MarshalException(String s,
                         Exception ex)

Create a new marshal exception with a descriptive string and an exception.


 Class java.rmi.NoSuchObjectException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.io.IOException
                           |
                           +----java.rmi.RemoteException
                                   |
                                   +----java.rmi.NoSuchObjectException

public class NoSuchObjectException
   extends RemoteException

 NoSuchObjectException(String)

Create a new NoSuchObjectException with a description.

 NoSuchObjectException

 public NoSuchObjectException(String s)

Create a new NoSuchObjectException with a description.


 Class java.rmi.NotBoundException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.rmi.NotBoundException

public class NotBoundException
   extends Exception

 NotBoundException()

 NotBoundException(String)

 NotBoundException

 public NotBoundException()

 NotBoundException

 public NotBoundException(String s)


 Class java.rmi.RMISecurityException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.lang.RuntimeException
                           |
                           +----java.lang.SecurityException
                                   |
                                   +----java.rmi.RMISecurityException

public class RMISecurityException
   extends SecurityException

Signals that a security exception has occurred.

 RMISecurityException(String)

Constructs a RMISecurityException with no detail message.

 RMISecurityException(String, String)

Constructs a RMISecurityException with the specified detail message.

 RMISecurityException

 public RMISecurityException(String name)

Constructs a RMISecurityException with no detail message. A detail message is a String that describes this particular exception.

 RMISecurityException

 public RMISecurityException(String name,
                             String arg)

Constructs a RMISecurityException with the specified detail message. A detail message is a String that describes this particular exception.

Parameters:

s - the detail message


 Class java.rmi.RemoteException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.io.IOException
                           |
                           +----java.rmi.RemoteException

public class RemoteException
   extends IOException

 detail

 RemoteException()

Create a remote exception

 RemoteException(String)

Create a remote exception with the specified string

 RemoteException(String, Throwable)

Create a remote exception with the specified string, and the exception specified.

 getMessage()

Produce the message, include the message from the nested exception if there is one.

 detail

 public Throwable detail

 RemoteException

 public RemoteException()

Create a remote exception

 RemoteException

 public RemoteException(String s)

Create a remote exception with the specified string

 RemoteException

 public RemoteException(String s,
                        Throwable ex)

Create a remote exception with the specified string, and the exception specified.

 getMessage

 public String getMessage()

Produce the message, include the message from the nested exception if there is one.

Overrides:

getMessage in class Throwable


 Class java.rmi.ServerError

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.io.IOException
                           |
                           +----java.rmi.RemoteException
                                   |
                                   +----java.rmi.ServerError

public class ServerError
   extends RemoteException

 ServerError(String, Error)

Create a new "server error" exception with the string and the specified exception.

 ServerError

 public ServerError(String s,
                    Error err)

Create a new "server error" exception with the string and the specified exception.


 Class java.rmi.ServerException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.io.IOException
                           |
                           +----java.rmi.RemoteException
                                   |
                                   +----java.rmi.ServerException

public class ServerException
   extends RemoteException

 ServerException(String)

Create a new server exception with a descriptive string.

 ServerException(String, Exception)

Create a new server exception with a descriptive string and an exception.

 ServerException

 public ServerException(String s)

Create a new server exception with a descriptive string.

 ServerException

 public ServerException(String s,
                        Exception ex)

Create a new server exception with a descriptive string and an exception.


 Class java.rmi.ServerRuntimeException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.io.IOException
                           |
                           +----java.rmi.RemoteException
                                   |
                                   +----java.rmi.ServerRuntimeException

public class ServerRuntimeException
   extends RemoteException

 ServerRuntimeException(String, Exception)

Create a new runtime exception with the strings and the specified exception.

 ServerRuntimeException

 public ServerRuntimeException(String s,
                               Exception ex)

Create a new runtime exception with the strings and the specified exception.


 Class java.rmi.StubNotFoundException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.io.IOException
                           |
                           +----java.rmi.RemoteException
                                   |
                                   +----java.rmi.StubNotFoundException

public class StubNotFoundException
   extends RemoteException

 StubNotFoundException(String)

Create a new StubNotFoundException with a descriptive string.

 StubNotFoundException(String, Exception)

Create a new StubNotFoundException with a descriptive string and an exception.

 StubNotFoundException

 public StubNotFoundException(String s)

Create a new StubNotFoundException with a descriptive string.

 StubNotFoundException

 public StubNotFoundException(String s,
                              Exception ex)

Create a new StubNotFoundException with a descriptive string and an exception.


 Class java.rmi.UnexpectedException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.io.IOException
                           |
                           +----java.rmi.RemoteException
                                   |
                                   +----java.rmi.UnexpectedException

public class UnexpectedException
   extends RemoteException

 UnexpectedException(String)

Create a new UnexpectedException with a description.

 UnexpectedException(String, Exception)

Create a new UnexpectedException with a description, and detail exception.

 UnexpectedException

 public UnexpectedException(String s)

Create a new UnexpectedException with a description.

 UnexpectedException

 public UnexpectedException(String s,
                            Exception ex)

Create a new UnexpectedException with a description, and detail exception.


 Class java.rmi.UnknownHostException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.io.IOException
                           |
                           +----java.rmi.RemoteException
                                   |
                                   +----java.rmi.UnknownHostException

public class UnknownHostException
   extends RemoteException

 UnknownHostException(String)

Create a new UnknownHostException with a description.

 UnknownHostException(String, Exception)

Create a new UnknownHostException with a description and detail exception.

 UnknownHostException

 public UnknownHostException(String s)

Create a new UnknownHostException with a description.

 UnknownHostException

 public UnknownHostException(String s,
                             Exception ex)

Create a new UnknownHostException with a description and detail exception.


 Class java.rmi.UnmarshalException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.io.IOException
                           |
                           +----java.rmi.RemoteException
                                   |
                                   +----java.rmi.UnmarshalException

public class UnmarshalException
   extends RemoteException

 UnmarshalException(String)

Create a new marshal exception with a descriptive string.

 UnmarshalException(String, Exception)

Create a new marshal exception with a descriptive string and an exception.

 UnmarshalException

 public UnmarshalException(String s)

Create a new marshal exception with a descriptive string.

 UnmarshalException

 public UnmarshalException(String s,
                           Exception ex)

Create a new marshal exception with a descriptive string and an exception.


 package java.rmi.dgc

   DGC

   Lease
   VMID


 Interface java.rmi.dgc.DGC

public interface DGC
   extends Remote

The DGC abstraction is used for the server side of the distributed garbage collection algorithm. This interface contains the two methods: dirty and clean. A dirty call is made when a remote reference is unmarshaled in a client (the client is indicated by its VMID). A corresponding clean call is made when no more references to the remote reference exist in the client. A failed dirty call must schedule a strong clean call so that the call's sequence number can be retained in order to detect future calls received out of order by the distributed garbage collector. A reference to a remote object is leased for a period of time by the client holding the reference. The lease period starts when the dirty call is received. It is the client's responsibility to renew the leases, by making additional dirty calls, on the remote references it holds before such leases expire. If the client does not renew the lease before it expires, the distributed garbage collector assumes that the remote object is no longer referenced by that client.

 clean(ObjID[], long, VMID, boolean)

The clean call removes the 'vmid' from the reference list of each remote object indicated in 'id's.

 dirty(ObjID[], long, Lease)

The dirty call requests leases for the remote object references associated with the object identifiers contained in the array 'ids'.

 clean

 public abstract void clean(ObjID ids[],
                            long sequenceNum,
                            VMID vmid,
                            boolean strong) throws RemoteException

The clean call removes the 'vmid' from the reference list of each remote object indicated in 'id's. The sequence number is used to detect late clean calls. If the argument 'strong' is true, then the clean call is a result of a failed dirty call, thus the sequence number for the client 'vmid' needs to be remembered.

 dirty

 public abstract Lease dirty(ObjID ids[],
                             long sequenceNum,
                             Lease lease) throws RemoteException

The dirty call requests leases for the remote object references associated with the object identifiers contained in the array 'ids'. The 'lease' contains a client's unique VM identifier (VMID) and a requested lease period. For each remote object exported in the local VM, the garbage collector maintains a reference list-a list of clients that hold references to it. If the lease is granted, the garbage collector adds the client's VMID to the reference list for each remote object indicated in 'ids'. The 'sequenceNum' parameter is a sequence number that is used to detect and discard late calls to the garbage collector. The sequence number should always increase for each subsequent call to the garbage collector. Some clients are unable to generate a VMID, since a VMID is a universally unique identifier that contains a host address which some clients are unable to obtain due to security restrictions. In this case, a client can use a VMID of null, and the distributed garbage collector will assign a VMID for the client. The dirty call returns a Lease object that contains the VMID used and the lease period granted for the remote references (a server may decide to grant a smaller lease period than the client requests). A client must use the VMID the garbage collector uses in order to make corresponding clean calls when the client drops remote object references. A client VM need only make one initial dirty call for each remote reference referenced in the VM (even if it has multiple references to the same remote object). The client must also make a dirty call to renew leases on remote references before such leases expire. When the client no longer has any references to a specific remote object, it must schedule a clean call for the object ID associated with the reference.


 Class java.rmi.dgc.Lease

java.lang.Object
   |
   +----java.rmi.dgc.Lease

public final class Lease
   extends Object
   implements Serializable

A lease contains a unique VM identifier and a lease duration. A Lease object is used to request and grant leases to remote object references.

 Lease(VMID, long)

Constructs a lease with a specific VMID and lease duration.

 getValue()

Returns the lease duration.

 getVMID()

Returns the client VMID associated with the lease.

 Lease

 public Lease(VMID id,
              long duration)

Constructs a lease with a specific VMID and lease duration. The vmid may be null.

 getValue

 public long getValue()

Returns the lease duration.

 getVMID

 public VMID getVMID()

Returns the client VMID associated with the lease.


 Class java.rmi.dgc.VMID

java.lang.Object
   |
   +----java.rmi.dgc.VMID

public final class VMID
   extends Object
   implements Serializable

A VMID is a identifier that is unique across all Java virtual machines. VMIDs are used by the distributed garbage collector to identify client VMs.

 VMID()

Create a new VMID.

 equals(Object)

Compare this VMID to another, and return true if they are the same identifier.

 hashCode()

Compute hash code for this VMID.

 isUnique()

Return true if an accurate address can be determined for this host.

 toString()

Return string representation of this VMID.

 VMID

 public VMID()

Create a new VMID. Each new VMID returned from this constructor is unique for all Java virtual machines under the following conditions: a) the conditions for uniqueness for objects of the class java.rmi.server.UID are satisfied, and b) an address can be obtained for this host that is unique and constant for the lifetime of this object.

The static method isUnique can be invoked to determine if an accurate address can be obtained for this host.

 equals

 public boolean equals(Object obj)

Compare this VMID to another, and return true if they are the same identifier.

Overrides:

equals in class Object

 hashCode

 public int hashCode()

Compute hash code for this VMID.

Overrides:

hashCode in class Object

 isUnique

 public static boolean isUnique()

Return true if an accurate address can be determined for this host. If false, reliable VMID cannot be generated from this host

Returns:

true if host address can be determined, false otherwise

 toString

 public String toString()

Return string representation of this VMID.

Overrides:

toString in class Object


 package java.rmi.registry

   Registry
   RegistryHandler

   LocateRegistry


 Interface java.rmi.registry.Registry

public interface Registry
   extends Remote

A "registry" exists on every node that allows RMI connections to servers on that node. The registry on a particular node contains a transient database that maps names to remote objects. When the node boots, the registry database is empty. The names stored in the registry are pure and are not parsed. A service storing itself in the registry may want to prefix its name of the service by a package name (although not required), to reduce name collisions in the registry. The LocateRegistry class is used to obtain the registry for different hosts.

     See Also:
     LocateRegistry

 REGISTRY_PORT

Well known port for registry

 bind(String, Remote)

Binds the name to the specified remote object.

 list()

Returns an array of the names in the registry.

 lookup(String)

Returns the remote object associated with the specified name in the registry.

 rebind(String, Remote)

Rebind the name to a new object, replacing any existing binding.

 unbind(String)

Unbind the name.

 REGISTRY_PORT

 public static final int REGISTRY_PORT

Well known port for registry

 bind

 public abstract void bind(String name,
                           Remote obj) throws RemoteException, AlreadyBoundException, AccessException

Binds the name to the specified remote object.

Throws: RemoteException

If remote operation failed.

Throws: AlreadyBoundException

If name is already bound.

Throws: AccessException

If this operation is not permitted.

 list

 public abstract String[] list() throws RemoteException, AccessException

Returns an array of the names in the registry.

Throws: RemoteException

If remote operation failed.

Throws: AccessException

If this operation is not permitted.

 lookup

 public abstract Remote lookup(String name) throws RemoteException, NotBoundException, AccessException

Returns the remote object associated with the specified name in the registry.

Throws: RemoteException

If remote operation failed.

Throws: NotBoundException

if there is no object with this name in the registry.

Throws: AccessException

If this operation is not permitted.

 rebind

 public abstract void rebind(String name,
                             Remote obj) throws RemoteException, AccessException

Rebind the name to a new object, replacing any existing binding.

Throws: RemoteException

If remote operation failed.

Throws: AccessException

If this operation is not permitted.

 unbind

 public abstract void unbind(String name) throws RemoteException, NotBoundException, AccessException

Unbind the name.

Throws: RemoteException

If remote operation failed.

Throws: NotBoundException

if there is no object with this name in the registry.

Throws: AccessException

If this operation is not permitted.


 Interface java.rmi.registry.RegistryHandler

public interface RegistryHandler

RegistryHandler is used to interface to the private implementation.

 registryImpl(int)

Constructs and exports a Registry on the specified port.

 registryStub(String, int)

Returns a "stub" for contacting a remote registry on the specified host and port.

 registryImpl

 public abstract Registry registryImpl(int port) throws RemoteException

Constructs and exports a Registry on the specified port. The port must be non-zero.

 registryStub

 public abstract Registry registryStub(String host,
                                       int port) throws RemoteException, UnknownHostException

Returns a "stub" for contacting a remote registry on the specified host and port.


 Class java.rmi.registry.LocateRegistry

java.lang.Object
   |
   +----java.rmi.registry.LocateRegistry

public final class LocateRegistry
   extends Object

This class is used to obtain the bootstrap Registry on a particular host (including your local host). The following example demonstrates usage (minus exception handling):

Server wishes to make itself available to others:

SomeService service = ...; // remote object for service

Registry registry = LocateRegistry.getRegistry();

registry.bind("I Serve", service);

The client wishes to make requests of the above service:

Registry registry = LocateRegistry.getRegistry("foo.services.com");

SomeService service = (SomeService)registry.lookup("I Serve");

service.requestService(...);

     See Also:
     Registry

 createRegistry(int)

Create and export a registry on the local host.

 getRegistry()

Returns the remote object Registry for the local host.

 getRegistry(int)

Returns the remote object Registry on the current host at the specified port.

 getRegistry(String)

Returns the remote object Registry on the specified host at a default (i.e., well-known) port number.

 getRegistry(String, int)

Returns the remote object Registry on the specified host at the specified port.

 createRegistry

 public static Registry createRegistry(int port) throws RemoteException

Create and export a registry on the local host.

Parameters:

port - the port on which the registry is to be exported

Throws: RemoteException

If failure occurs during remote object creation.

 getRegistry

 public static Registry getRegistry() throws RemoteException

Returns the remote object Registry for the local host.

 getRegistry

 public static Registry getRegistry(int port) throws RemoteException

Returns the remote object Registry on the current host at the specified port.

 getRegistry

 public static Registry getRegistry(String host) throws RemoteException, UnknownHostException

Returns the remote object Registry on the specified host at a default (i.e., well-known) port number. If the host String reference is null, the local host is used.

 getRegistry

 public static Registry getRegistry(String host,
                                    int port) throws RemoteException, UnknownHostException

Returns the remote object Registry on the specified host at the specified port. If port <= 0, the default Registry port number is used. If the host String reference is null, the local host is used.

Throws: UnknownHostException

If the host is not known.


 package java.rmi.server

   LoaderHandler
   RMIFailureHandler
   RemoteCall
   RemoteRef
   ServerRef
   Skeleton
   Unreferenced

   LogStream
   ObjID
   Operation
   RMIClassLoader
   RMISocketFactory
   RemoteObject
   RemoteServer
   RemoteStub
   UID
   UnicastRemoteObject

   ExportException
   ServerCloneException
   ServerNotActiveException
   SkeletonMismatchException
   SkeletonNotFoundException
   SocketSecurityException


 Interface java.rmi.server.LoaderHandler

public interface LoaderHandler

 packagePrefix

Find loader handler package prefix: assumes that the implementation of the LoaderHandler class is located in the package defined by the prefix.

 getSecurityContext(ClassLoader)

Returns the security context of the given class loader (e.g., a URL)

 loadClass(String)

Load class using java.rmi.server.codebase property.

 loadClass(URL, String)

Load class from codebase URL specified.

 packagePrefix

 public static final String packagePrefix

Find loader handler package prefix: assumes that the implementation of the LoaderHandler class is located in the package defined by the prefix.

 getSecurityContext

 public abstract Object getSecurityContext(ClassLoader loader)

Returns the security context of the given class loader (e.g., a URL)

 loadClass

 public abstract Class loadClass(String name) throws MalformedURLException, ClassNotFoundException

Load class using java.rmi.server.codebase property.

Throws: ClassNotFoundException

if the class could not be found.

Throws: MalformedURLException

if the URL is malformed.

 loadClass

 public abstract Class loadClass(URL codebase,
                                 String name) throws MalformedURLException, ClassNotFoundException

Load class from codebase URL specified.

Throws: ClassNotFoundException

if the class could not be found.

Throws: MalformedURLException

if the URL is malformed.


 Interface java.rmi.server.RMIFailureHandler

public interface RMIFailureHandler

An RMIFailureHandler can be registered via the RMISocketFactory.setFailureHandler call. The "failure" method of the handler is invoked when the RMI runtime is unable to create a Socket or ServerSocket. The "failure" method returns a boolean indicating whether the runtime should attempt to retry.

 failure(Exception)

The "failure" callback is invoked when the RMI runtime is unable to create a Socket or ServerSocket via the RMISocketFactory.

 failure

 public abstract boolean failure(Exception ex)

The "failure" callback is invoked when the RMI runtime is unable to create a Socket or ServerSocket via the RMISocketFactory. The RMIFailureHandler is registered via a call to RMISocketFacotry.setFailureHandler(). The default failure handler returns false.

Parameters:

ex - the exception that occurred during socket creation

Returns:

if true, the RMI runtime attempts to retry


 Interface java.rmi.server.RemoteCall

public interface RemoteCall

RemoteCall is an abstraction used solely by the implementation (stubs and skeletons of remote objects) to carry out a call to a remote object.

 done()

Allow cleanup after the remote call has completed.

 executeCall()

Do whatever it takes to execute the call.

 getInputStream()

Get the InputStream that the stub/skeleton should get results/arguments from.

 getOutputStream()

Return the output stream the stub/skeleton should put arguments/results into.

 getResultStream(boolean)

Returns an output stream (may put out header information relating to the success of the call).

 releaseInputStream()

Release the input stream.

 releaseOutputStream()

Release the output stream; in some transports this would release the stream.

 done

 public abstract void done() throws IOException

Allow cleanup after the remote call has completed.

Throws: IOException

if an I/O error occurs.

 executeCall

 public abstract void executeCall() throws Exception

Do whatever it takes to execute the call.

Throws: Exception

if a general exception occurs.

 getInputStream

 public abstract ObjectInput getInputStream() throws IOException

Get the InputStream that the stub/skeleton should get results/arguments from.

Throws: IOException

if an I/O error occurs.

 getOutputStream

 public abstract ObjectOutput getOutputStream() throws IOException

Return the output stream the stub/skeleton should put arguments/results into.

Throws: IOException

if an I/O error occurs.

 getResultStream

 public abstract ObjectOutput getResultStream(boolean success) throws IOException, StreamCorruptedException

Returns an output stream (may put out header information relating to the success of the call). Should only succeed once per remote call.

Parameters:

success - If true, indicates normal return, else indicates exceptional return.

Throws: IOException

if an I/O error occurs.

Throws: StreamCorruptedException

If already been called.

 releaseInputStream

 public abstract void releaseInputStream() throws IOException

Release the input stream. This would allow some transports to release the channel early.

Throws: IOException

if an I/O error occurs.

 releaseOutputStream

 public abstract void releaseOutputStream() throws IOException

Release the output stream; in some transports this would release the stream.

Throws: IOException

if an I/O error occurs.


 Interface java.rmi.server.RemoteRef

public interface RemoteRef
   extends Externalizable

RemoteRef represents the handle for a remote object.

 packagePrefix

Find server package prefix: assumes that the implementation of server ref classes (e.g., UnicastRef, UnicastServerRef) are located in the package defined by the prefix.

 done(RemoteCall)

Allows the remote reference to clean up (or reuse) the connection.

 getRefClass(ObjectOutput)

Returns the class name of the ref type to be serialized onto the stream 'out'.

 invoke(RemoteCall)

Executes the remote call.

 newCall(RemoteObject, Operation[], int, long)

Creates an appropriate call object for a new remote method invocation on this object.

 remoteEquals(RemoteRef)

Compares two remote objects for equality.

 remoteHashCode()

Returns a hashcode for a remote object.

 remoteToString()

Returns a String that represents the reference of this remote object.

 packagePrefix

 public static final String packagePrefix

Find server package prefix: assumes that the implementation of server ref classes (e.g., UnicastRef, UnicastServerRef) are located in the package defined by the prefix.

 done

 public abstract void done(RemoteCall call) throws RemoteException

Allows the remote reference to clean up (or reuse) the connection. Done should only be called if the invoke returns successfully (non-exceptionally) to the stub.

Throws: RemoteException

if registry could not be contacted.

 getRefClass

 public abstract String getRefClass(ObjectOutput out)

Returns the class name of the ref type to be serialized onto the stream 'out'.

 invoke

 public abstract void invoke(RemoteCall call) throws Exception

Executes the remote call. Invoke will raise any "user" exceptions which should pass through and not be caught by the stub. If any exception is raised during the remote invocation, invoke should take care of cleaning up the connection before raising the "user" or remote exception.

Throws: Exception

if a general exception occurs.

 newCall

 public abstract RemoteCall newCall(RemoteObject obj,
                                    Operation op[],
                                    int opnum,
                                    long hash) throws RemoteException

Creates an appropriate call object for a new remote method invocation on this object. Passing operation array and index, allows the stubs generator to assign the operation indexes and interpret them. The remote reference may need the operation to encode in the call.

Throws: RemoteException

if registry could not be contacted.

 remoteEquals

 public abstract boolean remoteEquals(RemoteRef obj)

Compares two remote objects for equality. Returns a boolean that indicates whether this remote object is equivalent to the specified Object. This method is used when a remote object is stored in a hashtable.

Parameters:

obj - the Object to compare with

Returns:

true if these Objects are equal; false otherwise.

See Also:

Hashtable

 remoteHashCode

 public abstract int remoteHashCode()

Returns a hashcode for a remote object. Two remote object stubs that refer to the same remote object will have the same hash code (in order to support remote objects as keys in hash tables).

See Also:

Hashtable

 remoteToString

 public abstract String remoteToString()

Returns a String that represents the reference of this remote object.


 Interface java.rmi.server.ServerRef

public interface ServerRef
   extends RemoteRef

A ServerRef represents the server-side handle for a remote object implementation.

 exportObject(Remote, Object)

Find or create a client stub object for the supplied Remote.

 getClientHost()

Return the hostname of the current client.

 exportObject

 public abstract RemoteStub exportObject(Remote obj,
                                         Object data) throws RemoteException

Find or create a client stub object for the supplied Remote.

Parameters:

obj - the remote object implementation

data - information necessary to export the object (e.g. port number)

 getClientHost

 public abstract String getClientHost() throws ServerNotActiveException

Return the hostname of the current client. When called from a thread actively handling a remote method invocation the hostname of the client is returned.

Throws: ServerNotActiveException

If called outside of servicing a remote method invocation.


 Interface java.rmi.server.Skeleton

public interface Skeleton

Used solely by the implementation.

Every skeleton class generated by the rmic stub compiler implements this interface. A skeleton for a remote object is a server-side entity that dispatches calls to the actual remote object implementation.

 dispatch(Remote, RemoteCall, int, long)

Unmarshals arguments, calls the actual remote object implementation, and marshals the return value or any exception.

 getOperations()

 dispatch

 public abstract void dispatch(Remote obj,
                               RemoteCall theCall,
                               int opnum,
                               long hash) throws Exception

Unmarshals arguments, calls the actual remote object implementation, and marshals the return value or any exception.

Throws: Exception

if a general exception occurs.

 getOperations

 public abstract Operation[] getOperations()


 Interface java.rmi.server.Unreferenced

public interface Unreferenced

A remote object should implement this interface to receive notification when there are no more remote references to it.

 unreferenced()

Called when there are no current references to this remote object.

 unreferenced

 public abstract void unreferenced()

Called when there are no current references to this remote object.


 Class java.rmi.server.LogStream

java.lang.Object
   |
   +----java.io.OutputStream
           |
           +----java.io.FilterOutputStream
                   |
                   +----java.io.PrintStream
                           |
                           +----java.rmi.server.LogStream

public class LogStream
   extends PrintStream

LogStream presents a mechanism for logging errors that are of possible interest to those monitoring the system.

 BRIEF

 SILENT

constants for logging levels

 VERBOSE

 getDefaultStream()

Return the current default stream for new logs.

 getOutputStream()

Return the current stream to which output from this log is sent.

 log(String)

Return the LogStream identified by the given name.

 parseLevel(String)

Convert a string name of a logging level to its internal integer representation.

 setDefaultStream(PrintStream)

Set the default stream for new logs.

 setOutputStream(OutputStream)

Set the stream to which output from this log is sent.

 toString()

Return log name as string representation

 write(byte[], int, int)

Write a subarray of bytes.

 write(int)

Write a byte of data to the stream.

 BRIEF

 public static final int BRIEF

 SILENT

 public static final int SILENT

constants for logging levels

 VERBOSE

 public static final int VERBOSE

 getDefaultStream

 public static synchronized PrintStream getDefaultStream()

Return the current default stream for new logs.

 getOutputStream

 public synchronized OutputStream getOutputStream()

Return the current stream to which output from this log is sent.

 log

 public static LogStream log(String name)

Return the LogStream identified by the given name. If a log corresponding to "name" does not exist, a log using the default stream is created.

 parseLevel

 public static int parseLevel(String s)

Convert a string name of a logging level to its internal integer representation.

 setDefaultStream

 public static synchronized void setDefaultStream(PrintStream newDefault)

Set the default stream for new logs.

 setOutputStream

 public synchronized void setOutputStream(OutputStream out)

Set the stream to which output from this log is sent.

 toString

 public String toString()

Return log name as string representation

Overrides:

toString in class Object

 write

 public void write(byte b[],
                   int off,
                   int len)

Write a subarray of bytes. Pass each through write byte method.

Overrides:

write in class PrintStream

 write

 public void write(int b)

Write a byte of data to the stream. If it is not a newline, then the byte is appended to the internal buffer. If it is a newline, then the currently buffered line is sent to the log's output stream, prefixed with the appropriate logging information.

Overrides:

write in class PrintStream


 Class java.rmi.server.ObjID

java.lang.Object
   |
   +----java.rmi.server.ObjID

public final class ObjID
   extends Object
   implements Serializable

The class ObjID is used to identify remote objects uniquely in a VM over time. Each identifier contains an object number and an address space identifier that is unique with respect to a specific host. An object identifier is assigned to a remote object when it is exported.

 DGC_ID

well-known id for the distributed garbage collector

 REGISTRY_ID

well-known id for the registry

 ObjID()

Generate unique object identifier.

 ObjID(int)

Generate a "well-known" object ID.

 equals(Object)

Two object identifiers are considered equal if they have the same contents.

 hashCode()

The hashcode is the object number.

 read(ObjectInput)

The read method constructs an object id whose contents is read from the specified input stream.

 toString()

Returns a string containing the object id representation.

 write(ObjectOutput)

Marshal object id to output stream.

 DGC_ID

 public static final int DGC_ID

well-known id for the distributed garbage collector

 REGISTRY_ID

 public static final int REGISTRY_ID

well-known id for the registry

 ObjID

 public ObjID()

Generate unique object identifier.

 ObjID

 public ObjID(int num)

Generate a "well-known" object ID. An object ID generated via this constructor will not clash with any object IDs generated via the default constructor.

Parameters:

num - a unique well-known object number

 equals

 public boolean equals(Object obj)

Two object identifiers are considered equal if they have the same contents.

Overrides:

equals in class Object

 hashCode

 public int hashCode()

The hashcode is the object number.

Overrides:

hashCode in class Object

 read

 public static ObjID read(ObjectInput in) throws IOException

The read method constructs an object id whose contents is read from the specified input stream.

 toString

 public String toString()

Returns a string containing the object id representation. The address space identifier is included in the string representation only if the object id is from a non-local address space.

Overrides:

toString in class Object

 write

 public void write(ObjectOutput out) throws IOException

Marshal object id to output stream.


 Class java.rmi.server.Operation

java.lang.Object
   |
   +----java.rmi.server.Operation

public class Operation
   extends Object

Operation holds a description of a Java method.

 Operation(String)

Creates a new Operation object.

 getOperation()

Returns the name of the method.

 toString()

Returns a string representation of the object.

 Operation

 public Operation(String op)

Creates a new Operation object.

 getOperation

 public String getOperation()

Returns the name of the method.

 toString

 public String toString()

Returns a string representation of the object.

Overrides:

toString in class Object


 Class java.rmi.server.RMIClassLoader

java.lang.Object
   |
   +----java.rmi.server.RMIClassLoader

public class RMIClassLoader
   extends Object

The RMIClassLoader class provides static methods for loading classes over the network. Classes can be loaded from either a particular URL, or from the URL specified in the java.rmi.server.codebase system property.

 getSecurityContext(ClassLoader)

Returns the security context of the given class loader

 loadClass(String)

Load a class from the URL specified in the java.rmi.server.codebase property.

 loadClass(URL, String)

Load a class from a URL.

 getSecurityContext

 public static Object getSecurityContext(ClassLoader loader)

Returns the security context of the given class loader

Parameters:

loader - a class loader from which to get the security context

Returns:

the security context (e.g., a URL)

 loadClass

 public static Class loadClass(String name) throws MalformedURLException, ClassNotFoundException

Load a class from the URL specified in the java.rmi.server.codebase property.

Parameters:

name - the name of the class to load

Returns:

the Class object representing the loaded class

Throws: MalformedURLException

The system property java.rmi.server.codebase does not contain a valid URL.

Throws: ClassNotFoundException

A definition for the class could not be found at the codebase URL.

 loadClass

 public static Class loadClass(URL codebase,
                               String name) throws MalformedURLException, ClassNotFoundException

Load a class from a URL.

Parameters:

codebase - the URL from which to load the class

name - the name of the class to load

Returns:

the Class object representing the loaded class

Throws: MalformedURLException

The codebase paramater was null.

Throws: ClassNotFoundException

A definition for the class could not be found at the specified URL.


 Class java.rmi.server.RMISocketFactory

java.lang.Object
   |
   +----java.rmi.server.RMISocketFactory

public abstract class RMISocketFactory
   extends Object

The RMISocketFactory is used by the RMI runtime in order to obtain client and server sockets for RMI calls. The default implementation of the socket factory performs a three-tiered approach to creating client sockets. First, a direct socket connection to the remote VM is attempted. If that fails (due to a firewall), the runtime uses HTTP with the explicit port number of the server. If the firewall does not allow this type of communication, then HTTP to a cgi-bin script on the server is used to POST the RMI call. An application may set the source of sockets for RMI. In this case, the application is responsible for offering up sockets that will penetrate a firewall.

 RMISocketFactory()

 createServerSocket(int)

Create a server socket on the specified port (port 0 represents an anonymous port).

 createSocket(String, int)

Create a client socket connected to the specified host and port.

 getFailureHandler()

Returns the handler for socket creation failure.

 getSocketFactory()

Returns the socket factory used by RMI.

 setFailureHandler(RMIFailureHandler)

Set the failure handler to be called by the RMI runtime if socket creation fails.

 setSocketFactory(RMISocketFactory)

Set the socket factory from which RMI gets sockets.

 RMISocketFactory

 public RMISocketFactory()

 createServerSocket

 public abstract ServerSocket createServerSocket(int port) throws IOException

Create a server socket on the specified port (port 0 represents an anonymous port).

 createSocket

 public abstract Socket createSocket(String host,
                                     int port) throws IOException

Create a client socket connected to the specified host and port.

 getFailureHandler

 public static RMIFailureHandler getFailureHandler()

Returns the handler for socket creation failure.

 getSocketFactory

 public static RMISocketFactory getSocketFactory()

Returns the socket factory used by RMI.

 setFailureHandler

 public static void setFailureHandler(RMIFailureHandler fh)

Set the failure handler to be called by the RMI runtime if socket creation fails. The default implementation of this handler returns false (thus recreation of sockets is not attempted by the runtime).

 setSocketFactory

 public static void setSocketFactory(RMISocketFactory fac) throws IOException

Set the socket factory from which RMI gets sockets. The RMI socket factory can only be set once. Note: The RMISocketFactory may only be set if the current security manager allows setting a socket factory; if disallowed, a SecurityException will be thrown.


 Class java.rmi.server.RemoteObject

java.lang.Object
   |
   +----java.rmi.server.RemoteObject

public abstract class RemoteObject
   extends Object
   implements Remote, Serializable

The RemoteObject class implements the java.lang.Object behavior for remote objects. RemoteObject provides the remote semantics of Object by implementing methods for hashCode, equals, and toString.

 ref

 RemoteObject()

Create a remote object.

 RemoteObject(RemoteRef)

Create a remote object, initialized with the specified remote reference.

 equals(Object)

Compares two remote objects for equality.

 hashCode()

Returns a hashcode for a remote object.

 toString()

Returns a String that represents the value of this remote object.

 ref

 protected transient RemoteRef ref

 RemoteObject

 protected RemoteObject()

Create a remote object.

 RemoteObject

 protected RemoteObject(RemoteRef newref)

Create a remote object, initialized with the specified remote reference.

 equals

 public boolean equals(Object obj)

Compares two remote objects for equality. Returns a boolean that indicates whether this remote object is equivalent to the specified Object. This method is used when a remote object is stored in a hashtable.

Parameters:

obj - the Object to compare with

Returns:

true if these Objects are equal; false otherwise.

Overrides:

equals in class Object

See Also:

Hashtable

 hashCode

 public int hashCode()

Returns a hashcode for a remote object. Two remote object stubs that refer to the same remote object will have the same hash code (in order to support remote objects as keys in hash tables).

Overrides:

hashCode in class Object

See Also:

Hashtable

 toString

 public String toString()

Returns a String that represents the value of this remote object.

Overrides:

toString in class Object


 Class java.rmi.server.RemoteServer

java.lang.Object
   |
   +----java.rmi.server.RemoteObject
           |
           +----java.rmi.server.RemoteServer

public abstract class RemoteServer
   extends RemoteObject

The RemoteServer class is the common superclass to all server implementations and provides the framework to support a wide range of remote reference semantics. Specifically, the functions needed to create and export remote objects (i.e. to make them remotely available) are provided abstractly by RemoteServer and concretely by its subclass(es).

The subclass selected identifies the semantics of the remote reference, for example whether the server is a single object or is a replicated object requiring communications with multiple locations. At present only UnicastRemoteObject is supported.

 RemoteServer()

 RemoteServer(RemoteRef)

 getClientHost()

Return the hostname of the current client.

 getLog()

Returns stream for the RMI call log.

 setLog(OutputStream)

Log RMI calls to the output stream out.

 RemoteServer

 protected RemoteServer()

 RemoteServer

 protected RemoteServer(RemoteRef ref)

 getClientHost

 public static String getClientHost() throws ServerNotActiveException

Return the hostname of the current client. When called from a thread actively handling a remote method invocation the hostname of the client is returned.

Throws: ServerNotActiveException

If called outside of servicing a remote method invocation.

 getLog

 public static PrintStream getLog()

Returns stream for the RMI call log.

 setLog

 public static void setLog(OutputStream out)

Log RMI calls to the output stream out. If out is null, call logging is turned off.


 Class java.rmi.server.RemoteStub

java.lang.Object
   |
   +----java.rmi.server.RemoteObject
           |
           +----java.rmi.server.RemoteStub

public abstract class RemoteStub
   extends RemoteObject

The RemoteStub class is the common superclass to all client stubs and provides the framework to support a wide range of remote reference semantics. Stub objects are surrogates that support exactly the same set of remote interfaces defined by the actual implementation of the remote object.

 RemoteStub()

Constructor for RemoteStub.

 RemoteStub(RemoteRef)

Constructor for RemoteStub, with the specified remote reference.

 setRef(RemoteStub, RemoteRef)

 RemoteStub

 protected RemoteStub()

Constructor for RemoteStub.

 RemoteStub

 protected RemoteStub(RemoteRef ref)

Constructor for RemoteStub, with the specified remote reference.

 setRef

 protected static void setRef(RemoteStub stub,
                              RemoteRef ref)


 Class java.rmi.server.UID

java.lang.Object
   |
   +----java.rmi.server.UID

public final class UID
   extends Object
   implements Serializable

Abstraction for creating identifiers that are unique with respect to the the host on which it is generated.

 UID()

Create a pure identifier that is unique with respect to the host on which it is generated.

 UID(short)

Create a "well-known" ID.

 equals(Object)

Compares two Objects for equality.

 hashCode()

Returns a hash code value for the object.

 read(DataInput)

Get the uid from the input stream.

 toString()

Returns a string representation of the object.

 write(DataOutput)

Write uid to output stream.

 UID

 public UID()

Create a pure identifier that is unique with respect to the host on which it is generated. This UID is unique under the following conditions: a) the machine takes more than one second to reboot, and b) the machine's clock is never set backward. In order to construct a UID that is globally unique, simply pair a UID with an InetAddress.

 UID

 public UID(short num)

Create a "well-known" ID. There are 2^16 -1 such possible well-known ids. An id generated via this constructor will not clash with any id generated via the default UID constructor which will generates a genuinely unique identifier with respect to this host.

 equals

 public boolean equals(Object obj)

Compares two Objects for equality.

Overrides:

equals in class Object

 hashCode

 public int hashCode()

Returns a hash code value for the object.

Overrides:

hashCode in class Object

 read

 public static UID read(DataInput in) throws IOException

Get the uid from the input stream.

Parameters:

in - the input stream

Throws: IOException

If uid could not be read (due to stream failure or malformed uid)

 toString

 public String toString()

Returns a string representation of the object.

Overrides:

toString in class Object

 write

 public void write(DataOutput out) throws IOException

Write uid to output stream.


 Class java.rmi.server.UnicastRemoteObject

java.lang.Object
   |
   +----java.rmi.server.RemoteObject
           |
           +----java.rmi.server.RemoteServer
                   |
                   +----java.rmi.server.UnicastRemoteObject

public class UnicastRemoteObject
   extends RemoteServer

The UnicastRemoteObject class defines a non-replicated remote object whose references are valid only while the server process is alive. The UnicastRemoteObject class provides support for point-to-point active object references (invocations, parameters, and results) using TCP streams.

Objects that require remote behavior should extend RemoteObject, typically via UnicastRemoteObject. If UnicastRemoteObject is not extended, the implementation class must then assume the responsibility for the correct semantics of the hashCode, equals, and toString methods inherited from the Object class, so that they behave appropriately for remote objects.

 UnicastRemoteObject()

Create and export a new UnicastRemoteObject object using an anonymous port.

 clone()

Returns a clone of the remote object that is distinct from the original.

 exportObject(Remote)

Export the remote object to make it available to receive incoming calls.

 UnicastRemoteObject

 protected UnicastRemoteObject() throws RemoteException

Create and export a new UnicastRemoteObject object using an anonymous port.

 clone

 public Object clone() throws CloneNotSupportedException

Returns a clone of the remote object that is distinct from the original.

Returns:

the new remote object

Throws: CloneNotSupportedException

if clone failed due to a RemoteException.

Overrides:

clone in class Object

 exportObject

 public static RemoteStub exportObject(Remote obj) throws RemoteException

Export the remote object to make it available to receive incoming calls.

Parameters:

obj - the remote object to be exported

Throws: RemoteException

if export fails


 Class java.rmi.server.ExportException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.io.IOException
                           |
                           +----java.rmi.RemoteException
                                   |
                                   +----java.rmi.server.ExportException

public class ExportException
   extends RemoteException

 ExportException(String)

Create A remote exception with the specified string

 ExportException(String, Exception)

Create A remote exception with the specified string, and the exception specified.

 ExportException

 public ExportException(String s)

Create A remote exception with the specified string

 ExportException

 public ExportException(String s,
                        Exception ex)

Create A remote exception with the specified string, and the exception specified.


 Class java.rmi.server.ServerCloneException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.lang.CloneNotSupportedException
                           |
                           +----java.rmi.server.ServerCloneException

public class ServerCloneException
   extends CloneNotSupportedException

 detail

 ServerCloneException(String)

Create A remote exception with the specified string

 ServerCloneException(String, Exception)

Create A remote exception with the specified string, and the exception specified.

 getMessage()

Produce the message, include the message from the nested exception if there is one.

 detail

 public Exception detail

 ServerCloneException

 public ServerCloneException(String s)

Create A remote exception with the specified string

 ServerCloneException

 public ServerCloneException(String s,
                             Exception ex)

Create A remote exception with the specified string, and the exception specified.

 getMessage

 public String getMessage()

Produce the message, include the message from the nested exception if there is one.

Overrides:

getMessage in class Throwable


 Class java.rmi.server.ServerNotActiveException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.rmi.server.ServerNotActiveException

public class ServerNotActiveException
   extends Exception

 ServerNotActiveException()

Create a new exception.

 ServerNotActiveException(String)

 ServerNotActiveException

 public ServerNotActiveException()

Create a new exception.

 ServerNotActiveException

 public ServerNotActiveException(String s)


 Class java.rmi.server.SkeletonMismatchException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.io.IOException
                           |
                           +----java.rmi.RemoteException
                                   |
                                   +----java.rmi.server.SkeletonMismatchException

public class SkeletonMismatchException
   extends RemoteException

This exception is thrown when a call is received that does not match the available skeleton. It indicates either that the remote method names or signatures in this interface have changed or that the stub class used to make the call and the skeleton receiving the call were not generated by the same version of the stub compiler (RMIC).

 SkeletonMismatchException(String)

Create a new SkeletonMismatchException exception with a descriptive string.

 SkeletonMismatchException

 public SkeletonMismatchException(String s)

Create a new SkeletonMismatchException exception with a descriptive string.


 Class java.rmi.server.SkeletonNotFoundException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.io.IOException
                           |
                           +----java.rmi.RemoteException
                                   |
                                   +----java.rmi.server.SkeletonNotFoundException

public class SkeletonNotFoundException
   extends RemoteException

 SkeletonNotFoundException(String)

Create a new SkeletonNotFoundException exception with a descriptive string.

 SkeletonNotFoundException(String, Exception)

Create a new SkeletonNotFoundException with a descriptive string and an exception.

 SkeletonNotFoundException

 public SkeletonNotFoundException(String s)

Create a new SkeletonNotFoundException exception with a descriptive string.

 SkeletonNotFoundException

 public SkeletonNotFoundException(String s,
                                  Exception ex)

Create a new SkeletonNotFoundException with a descriptive string and an exception.


 Class java.rmi.server.SocketSecurityException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.io.IOException
                           |
                           +----java.rmi.RemoteException
                                   |
                                   +----java.rmi.server.ExportException
                                           |
                                           +----java.rmi.server.SocketSecurityException

public class SocketSecurityException
   extends ExportException

 SocketSecurityException(String)

Create A remote exception with the specified string

 SocketSecurityException(String, Exception)

Create A remote exception with the specified string, and the exception specified.

 SocketSecurityException

 public SocketSecurityException(String s)

Create A remote exception with the specified string

 SocketSecurityException

 public SocketSecurityException(String s,
                                Exception ex)

Create A remote exception with the specified string, and the exception specified.


 package java.security

   Certificate
   Key
   Principal
   PrivateKey
   PublicKey

   DigestInputStream
   DigestOutputStream
   Identity
   IdentityScope
   KeyPair
   KeyPairGenerator
   MessageDigest
   Provider
   SecureRandom
   Security
   Signature
   Signer

   DigestException
   InvalidKeyException
   InvalidParameterException
   KeyException
   KeyManagementException
   NoSuchAlgorithmException
   NoSuchProviderException
   ProviderException
   SignatureException


 Interface java.security.Certificate

public interface Certificate

This is an interface of abstract methods for managing an identity certificate. An identity certificate is a guarantee by a principal that a public key is that of another principal. (A principal represents an entity such as an individual user or a group.)

In particular, this interface is intended to be a common abstraction for constructs that have different formats but important common uses. For example, different types of certificates, such as X.509 certificates and PGP certificates, share general certificate functionality (the need to encode and decode certificates) and some types of information, such as a public key, the principal whose key it is, and the guarantor guaranteeing that the public key is that of the specified principal. So an implementation of X.509 certificates and an implementation of PGP certificates can both utilize the Certificate interface, even though their formats and additional types and amounts of information stored are different.

Important: This interface is useful for cataloging and grouping objects sharing certain common uses. It does not have any semantics of its own. In particular, a Certificate object does not make any statement as to the validity of the binding. It is the duty of the application implementing this interface to verify the certificate and satisfy itself of its validity.

 decode(InputStream)

Decodes a certificate from an input stream.

 encode(OutputStream)

Encodes the certificate to an output stream in a format that can be decoded by the decode method.

 getFormat()

Returns the name of the coding format.

 getGuarantor()

Returns the guarantor of the certificate, that is, the principal guaranteeing that the public key associated with this certificate is that of the principal associated with this certificate.

 getPrincipal()

Returns the principal of the principal-key pair being guaranteed by the guarantor.

 getPublicKey()

Returns the key of the principal-key pair being guaranteed by the guarantor.

 toString(boolean)

Returns a string that represents the contents of the certificate.

 decode

 public abstract void decode(InputStream stream) throws KeyException, IOException

Decodes a certificate from an input stream. The format should be that returned by getFormat and produced by encode.

Parameters:

stream - the input stream from which to fetch the data being decoded.

Throws: KeyException

if the certificate is not properly initialized, or data is missing, etc.

Throws: IOException

if an exception occurs while trying to input the encoded certificate from the input stream.

See Also:

encode, getFormat

 encode

 public abstract void encode(OutputStream stream) throws KeyException, IOException

Encodes the certificate to an output stream in a format that can be decoded by the decode method.

Parameters:

stream - the output stream to which to encode the certificate.

Throws: KeyException

if the certificate is not properly initialized, or data is missing, etc.

Throws: IOException

if a stream exception occurs while trying to output the encoded certificate to the output stream.

See Also:

decode, getFormat

 getFormat

 public abstract String getFormat()

Returns the name of the coding format. This is used as a hint to find an appropriate parser. It could be "X.509", "PGP", etc. This is the format produced and understood by the encode and decode methods.

Returns:

the name of the coding format.

 getGuarantor

 public abstract Principal getGuarantor()

Returns the guarantor of the certificate, that is, the principal guaranteeing that the public key associated with this certificate is that of the principal associated with this certificate. For X.509 certificates, the guarantor will typically be a Certificate Authority (such as the United States Postal Service or Verisign, Inc.).

Returns:

the guarantor which guaranteed the principal-key binding.

 getPrincipal

 public abstract Principal getPrincipal()

Returns the principal of the principal-key pair being guaranteed by the guarantor.

Returns:

the principal to which this certificate is bound.

 getPublicKey

 public abstract PublicKey getPublicKey()

Returns the key of the principal-key pair being guaranteed by the guarantor.

Returns:

the public key that this certificate certifies belongs to a particular principal.

 toString

 public abstract String toString(boolean detailed)

Returns a string that represents the contents of the certificate.

Parameters:

detailed - whether or not to give detailed information about the certificate.


 Interface java.security.Key

public interface Key
   extends Serializable

The Key interface is the top-level interface for all keys. It defines the functionality shared by all key objects. All keys have three characteristics:

•	An Algorithm

This is the key algorithm for that key. The key algorithm is usually an encryption or asymmetric operation algorithm (such as DSA or RSA), which will work with those algorithms and with related algorithms (such as MD5 with RSA, SHA-1 with RSA, Raw DSA, etc.) The name of the algorithm of a key is obtained using the getAlgorithm method.

•	An Encoded Form

This is an external encoded form for the key used when a standard representation of the key is needed outside the Java Virtual Machine, as when transmitting the key to some other party. The key is encoded according to a standard format (such as X.509 or PKCS#8), and is returned using the getEncoded method.

•	A Format

This is the name of the format of the encoded key. It is returned by the getFormat method.

Keys are generally obtained through key generators, certificates, or various Identity classes used to manage keys. There are no provisions in this release for the parsing of encoded keys and certificates.

     See Also:
     PublicKey, PrivateKey, KeyPair, KeyPairGenerator, Identity, IdentityScope, Signer

 getAlgorithm()

Returns the standard algorithm name this key is for.

 getEncoded()

Returns the encoded key.

 getFormat()

Returns the format used to encode the key or null if the key does not support encoding.

 getAlgorithm

 public abstract String getAlgorithm()

Returns the standard algorithm name this key is for. For example, "DSA" would indicate that this key is a DSA key. Note that this method may return null, when the algorithm this key is for is unknown.

See Appendix A in the Java Cryptography Architecture API Specification & Reference for information about standard algorithm names.

Returns:

the name of the algorithm this key is for, or null if the algorithm this key is for is unknown.

 getEncoded

 public abstract byte[] getEncoded()

Returns the encoded key.

Returns:

the encoded key, or null if the key does not support encoding.

 getFormat

 public abstract String getFormat()

Returns the format used to encode the key or null if the key does not support encoding.

Returns:

the format used to encode the key.


 Interface java.security.Principal

public interface Principal

This interface represents a principal. A principal can be an individual, a corporation, a program thread; anything which can have an identity. See the ACL white paper for more information.

     See Also:
     Identity, Certificate, Acl, Group

 equals(Object)

Compares this principal to the specified object.

 getName()

Returns the name of this principal.

 hashCode()

Returns a hashcode for this principal.

 toString()

Returns a string representation of this principal.

 equals

 public abstract boolean equals(Object another)

Compares this principal to the specified object. Returns true if the object passed in matches the principal represented by the implementation of this interface.

Parameters:

another - the principal to compare with.

Returns:

true if the principal passed in is the same as that encapsulated by this principal, false otherwise.

Overrides:

equals in class Object

 getName

 public abstract String getName()

Returns the name of this principal.

Returns:

the name of this principal.

 hashCode

 public abstract int hashCode()

Returns a hashcode for this principal.

Returns:

a hashcode for this principal.

Overrides:

hashCode in class Object

 toString

 public abstract String toString()

Returns a string representation of this principal.

Returns:

a string representation of this principal.

Overrides:

toString in class Object


 Interface java.security.PrivateKey

public interface PrivateKey
   extends Key

A private key. This interface contains no methods or constants. It merely serves to group (and provide type safety for) all private key interfaces. Note: The specialized private key interfaces extend this interface. See, for example, the DSAPrivateKey interface in java.security.interfaces.

     See Also:
     Key, PublicKey, Certificate, initVerify, DSAPrivateKey


 Interface java.security.PublicKey

public interface PublicKey
   extends Key

A public key. This interface contains no methods or constants. It merely serves to group (and provide type safety for) all public key interfaces. Note: The specialized public key interfaces extend this interface. See, for example, the DSAPublicKey interface in java.security.interfaces.

     See Also:
     Key, PublicKey, Certificate, initVerify, DSAPublicKey


 Class java.security.DigestInputStream

java.lang.Object
   |
   +----java.io.InputStream
           |
           +----java.io.FilterInputStream
                   |
                   +----java.security.DigestInputStream

public class DigestInputStream
   extends FilterInputStream

A transparent stream that updates the associated message digest using the bits going through the stream.

To complete the message digest computation, call one of the digest methods on the associated message digest after your calls to one of this digest input stream's read methods.

It is possible to turn this stream on or off (see on). When it is on, a call to read results in an update on the message digest. But when it is off, the message digest is not updated. The default is for the stream to be on.

Note that digest objects can compute only one digest (see MessageDigest), so that in order to compute intermediate digests, a caller should retain a handle onto the digest object, and clone it for each digest to be computed, leaving the orginal digest untouched.

     See Also:
     MessageDigest, DigestOutputStream

 digest

The message digest associated with this stream.

 DigestInputStream(InputStream, MessageDigest)

Creates a digest input stream, using the specified input stream and message digest.

 getMessageDigest()

Returns the message digest associated with this stream.

 on(boolean)

Turns the digest function on or off.

 read()

Reads a byte, and updates the message digest (if the digest function is on).

 read(byte[], int, int)

Reads into a byte array, and updates the message digest (if the digest function is on).

 setMessageDigest(MessageDigest)

Associates the specified message digest with this stream.

 toString()

Prints a string representation of this digest input stream and its associated message digest object.

 digest

 protected MessageDigest digest

The message digest associated with this stream.

 DigestInputStream

 public DigestInputStream(InputStream stream,
                          MessageDigest digest)

Creates a digest input stream, using the specified input stream and message digest.

Parameters:

stream - the input stream.

digest - the message digest to associate with this stream.

 getMessageDigest

 public MessageDigest getMessageDigest()

Returns the message digest associated with this stream.

Returns:

the message digest associated with this stream.

 on

 public void on(boolean on)

Turns the digest function on or off. The default is on. When it is on, a call to read results in an update on the message digest. But when it is off, the message digest is not updated.

Parameters:

on - true to turn the digest function on, false to turn it off.

 read

 public int read() throws IOException

Reads a byte, and updates the message digest (if the digest function is on). That is, this method reads a byte from the input stream, blocking until the byte is actually read. If the digest function is on (see on), this method will then call update on the message digest associated with this stream, passing it the byte read.

Returns:

the byte read.

Throws: IOException

if an I/O error occurs.

Overrides:

read in class FilterInputStream

See Also:

update

 read

 public int read(byte b[],
                 int off,
                 int len) throws IOException

Reads into a byte array, and updates the message digest (if the digest function is on). That is, this method reads up to len bytes from the input stream into the array b, starting at offset off. This method blocks until the data is actually read. If the digest function is on (see on), this method will then call update on the message digest associated with this stream, passing it the data.

Parameters:

b - the array into which the data is read.

off - the starting offset into b of where the data should be placed.

len - the maximum number of bytes to be read from the input stream into b, starting at offset off.

Returns:

the actual number of bytes read. This is less than len if the end of the stream is reached prior to reading len bytes. -1 is returned if no bytes were read because the end of the stream had already been reached when the call was made.

Throws: IOException

if an I/O error occurs.

Overrides:

read in class FilterInputStream

See Also:

update

 setMessageDigest

 public void setMessageDigest(MessageDigest digest)

Associates the specified message digest with this stream.

Parameters:

digest - the message digest to be associated with this stream.

 toString

 public String toString()

Prints a string representation of this digest input stream and its associated message digest object.

Overrides:

toString in class Object


 Class java.security.DigestOutputStream

java.lang.Object
   |
   +----java.io.OutputStream
           |
           +----java.io.FilterOutputStream
                   |
                   +----java.security.DigestOutputStream

public class DigestOutputStream
   extends FilterOutputStream

A transparent stream that updates the associated message digest using the bits going through the stream.

To complete the message digest computation, call one of the digest methods on the associated message digest after your calls to one of this digest ouput stream's write methods.

It is possible to turn this stream on or off (see on). When it is on, a call to write results in an update on the message digest. But when it is off, the message digest is not updated. The default is for the stream to be on.

     See Also:
     MessageDigest, DigestInputStream

 digest

The message digest associated with this stream.

 DigestOutputStream(OutputStream, MessageDigest)

Creates a digest output stream, using the specified output stream and message digest.

 getMessageDigest()

Returns the message digest associated with this stream.

 on(boolean)

Turns the digest function on or off.

 setMessageDigest(MessageDigest)

Associates the specified message digest with this stream.

 toString()

Prints a string representation of this digest output stream and its associated message digest object.

 write(byte[], int, int)

Updates the message digest (if the digest function is on) using the specified subarray, and in any case writes the subarray to the output stream.

 write(int)

Updates the message digest (if the digest function is on) using the specified byte, and in any case writes the byte to the output stream.

 digest

 protected MessageDigest digest

The message digest associated with this stream.

 DigestOutputStream

 public DigestOutputStream(OutputStream stream,
                           MessageDigest digest)

Creates a digest output stream, using the specified output stream and message digest.

Parameters:

stream - the output stream.

digest - the message digest to associate with this stream.

 getMessageDigest

 public MessageDigest getMessageDigest()

Returns the message digest associated with this stream.

Returns:

the message digest associated with this stream.

 on

 public void on(boolean on)

Turns the digest function on or off. The default is on. When it is on, a call to write results in an update on the message digest. But when it is off, the message digest is not updated.

Parameters:

on - true to turn the digest function on, false to turn it off.

 setMessageDigest

 public void setMessageDigest(MessageDigest digest)

Associates the specified message digest with this stream.

Parameters:

digest - the message digest to be associated with this stream.

 toString

 public String toString()

Prints a string representation of this digest output stream and its associated message digest object.

Overrides:

toString in class Object

 write

 public void write(byte b[],
                   int off,
                   int len) throws IOException

Updates the message digest (if the digest function is on) using the specified subarray, and in any case writes the subarray to the output stream. That is, if the digest function is on (see on), this method calls update on the message digest associated with this stream, passing it the subarray specifications. This method then writes the subarray bytes to the output stream, blocking until the bytes are actually written.

Parameters:

b - the array containing the subarray to be used for updating and writing to the output stream.

off - the offset into b of the first byte to be updated and written.

len - the number of bytes of data to be updated and written from b, starting at offset off.

Throws: IOException

if an I/O error occurs.

Overrides:

write in class FilterOutputStream

See Also:

update

 write

 public void write(int b) throws IOException

Updates the message digest (if the digest function is on) using the specified byte, and in any case writes the byte to the output stream. That is, if the digest function is on (see on), this method calls update on the message digest associated with this stream, passing it the byte b. This method then writes the byte to the output stream, blocking until the byte is actually written.

Parameters:

b - the byte to be used for updating and writing to the output stream.

Throws: IOException

if an I/O error occurs.

Overrides:

write in class FilterOutputStream

See Also:

update


 Class java.security.Identity

java.lang.Object
   |
   +----java.security.Identity

public abstract class Identity
   extends Object
   implements Principal, Serializable

This class represents identities: real-world objects such as people, companies or organizations whose identities can be authenticated using their public keys. Identities may also be more abstract (or concrete) constructs, such as daemon threads or smart cards.

All Identity objects have a name and a public key. Names are immutable. Identities may also be scoped. That is, if an Identity is specified to have a particular scope, then the name and public key of the Identity are unique within that scope.

An Identity also has a set of certificates (all certifying its own public key). The Principal names specified in these certificates need not be the same, only the key.

An Identity can be subclassed, to include postal and email addresses, telephone numbers, images of faces and logos, and so on.

     See Also:
     IdentityScope, Signer, Principal

 Identity()

Constructor for serialization only.

 Identity(String)

Constructs an identity with the specified name and no scope.

 Identity(String, IdentityScope)

Constructs an identity with the specified name and scope.

 addCertificate(Certificate)

Adds a certificate for this identity.

 certificates()

Returns a copy of all the certificates for this identity.

 equals(Object)

Tests for equality between the specified object and this identity.

 getInfo()

Returns general information previously specified for this identity.

 getName()

Returns this identity's name.

 getPublicKey()

Returns this identity's public key.

 getScope()

Returns this identity's scope.

 hashCode()

Returns a hashcode for this identity.

 identityEquals(Identity)

Tests for equality between the specified identity and this identity.

 removeCertificate(Certificate)

Removes a certificate from this identity.

 setInfo(String)

Specifies a general information string for this identity.

 setPublicKey(PublicKey)

Sets this identity's public key.

 toString()

Returns a short string describing this identity, telling its name and its scope (if any).

 toString(boolean)

Returns a string representation of this identity, with optionally more details than that provided by the toString method without any arguments.

 Identity

 protected Identity()

Constructor for serialization only.

 Identity

 public Identity(String name)

Constructs an identity with the specified name and no scope.

Parameters:

name - the identity name.

 Identity

 public Identity(String name,
                 IdentityScope scope) throws KeyManagementException

Constructs an identity with the specified name and scope.

Parameters:

name - the identity name.

scope - the scope of the identity.

Throws: KeyManagementException

if there is already an identity with the same name in the scope.

 addCertificate

 public void addCertificate(Certificate certificate) throws KeyManagementException

Adds a certificate for this identity. If the identity has a public key, the public key in the certificate must be the same, and if the identity does not have a public key, the identity's public key is set to be that specified in the certificate.

Parameters:

certificate - the certificate to be added.

Throws: KeyManagementException

if the certificate is not valid, if the public key in the certificate being added conflicts with this identity's public key, or if another exception occurs.

 certificates

 public Certificate[] certificates()

Returns a copy of all the certificates for this identity.

Returns:

a copy of all the certificates for this identity.

 equals

 public final boolean equals(Object identity)

Tests for equality between the specified object and this identity. This first tests to see if the entities actually refer to the same object, in which case it returns true. Next, it checks to see if the entities have the same name and the same scope. If they do, the method returns true. Otherwise, it calls identityEquals, which subclasses should override.

Parameters:

identity - the object to test for equality with this identity.

Returns:

true if the objects are considered equal, false otherwise.

Overrides:

equals in class Object

See Also:

identityEquals

 getInfo

 public String getInfo()

Returns general information previously specified for this identity.

Returns:

general information about this identity.

See Also:

setInfo

 getName

 public final String getName()

Returns this identity's name.

Returns:

the name of this identity.

 getPublicKey

 public PublicKey getPublicKey()

Returns this identity's public key.

Returns:

the public key for this identity.

 getScope

 public final IdentityScope getScope()

Returns this identity's scope.

Returns:

the scope of this identity.

 hashCode

 public int hashCode()

Returns a hashcode for this identity.

Returns:

a hashcode for this identity.

Overrides:

hashCode in class Object

 identityEquals

 protected boolean identityEquals(Identity identity)

Tests for equality between the specified identity and this identity. This method should be overriden by subclasses to test for equality. The default behavior is to return true if the names and public keys are equal.

Parameters:

identity - the identity to test for equality with this identity.

Returns:

true if the identities are considered equal, false otherwise.

See Also:

equals

 removeCertificate

 public void removeCertificate(Certificate certificate) throws KeyManagementException

Removes a certificate from this identity.

Parameters:

certificate - the certificate to be removed.

Throws: KeyManagementException

if the certificate is missing, or if another exception occurs.

 setInfo

 public void setInfo(String info)

Specifies a general information string for this identity.

Parameters:

info - the information string.

See Also:

getInfo

 setPublicKey

 public void setPublicKey(PublicKey key) throws KeyManagementException

Sets this identity's public key. The old key and all of this identity's certificates are removed by this operation.

Parameters:

key - the public key for this identity.

Throws: KeyManagementException

if another identity in the identity's scope has the same public key, or if another exception occurs.

 toString

 public String toString()

Returns a short string describing this identity, telling its name and its scope (if any).

Returns:

information about this identity, such as its name and the name of its scope (if any).

Overrides:

toString in class Object

 toString

 public String toString(boolean detailed)

Returns a string representation of this identity, with optionally more details than that provided by the toString method without any arguments.

Parameters:

detailed - whether or not to provide detailed information.

Returns:

information about this identity. If detailed is true, then this method returns more information than that provided by the toString method without any arguments.

See Also:

toString


 Class java.security.IdentityScope

java.lang.Object
   |
   +----java.security.Identity
           |
           +----java.security.IdentityScope

public abstract class IdentityScope
   extends Identity

This class represents a scope for identities. It is an Identity itself, and therefore has a name and can have a scope. It can also optionally have a public key and associated certificates.

An IdentityScope can contain Identity objects of all kinds, including Signers. All types of Identity objects can be retrieved, added, and removed using the same methods. Note that it is possible, and in fact expected, that different types of identity scopes will apply different policies for their various operations on the various types of Identities.

There is a one-to-one mapping between keys and identities, and there can only be one copy of one key per scope. For example, suppose Acme Software, Inc is a software publisher known to a user. Suppose it is an Identity, that is, it has a public key, and a set of associated certificates. It is named in the scope using the name "Acme Software". No other named Identity in the scope has the same public key. Of course, none has the same name as well.

     See Also:
     Identity, Signer, Principal, Key

 IdentityScope()

This constructor is used for serialization only and should not be used by subclasses.

 IdentityScope(String)

Constructs a new identity scope with the specified name.

 IdentityScope(String, IdentityScope)

Constructs a new identity scope with the specified name and scope.

 addIdentity(Identity)

Adds an identity to this identity scope.

 getIdentity(Principal)

Retrieves the identity whose name is the same as that of the specified principal.

 getIdentity(PublicKey)

Retrieves the identity with the specified public key.

 getIdentity(String)

Returns the identity in this scope with the specified name (if any).

 getSystemScope()

Returns the system's identity scope.

 identities()

Returns an enumeration of all identities in this identity scope.

 removeIdentity(Identity)

Removes an identity from this identity scope.

 setSystemScope(IdentityScope)

Sets the system's identity scope.

 size()

Returns the number of identities within this identity scope.

 toString()

Returns a string representation of this identity scope, including its name, its scope name, and the number of identities in this identity scope.

 IdentityScope

 protected IdentityScope()

This constructor is used for serialization only and should not be used by subclasses.

 IdentityScope

 public IdentityScope(String name)

Constructs a new identity scope with the specified name.

Parameters:

name - the scope name.

 IdentityScope

 public IdentityScope(String name,
                      IdentityScope scope) throws KeyManagementException

Constructs a new identity scope with the specified name and scope.

Parameters:

name - the scope name.

scope - the scope for the new identity scope.

Throws: KeyManagementException

if there is already an identity with the same name in the scope.

 addIdentity

 public abstract void addIdentity(Identity identity) throws KeyManagementException

Adds an identity to this identity scope.

Parameters:

identity - the identity to be added.

Throws: KeyManagementException

if the identity is not valid, a name conflict occurs, another identity has the same public key as the identity being added, or another exception occurs.

 getIdentity

 public Identity getIdentity(Principal principal)

Retrieves the identity whose name is the same as that of the specified principal. (Note: Identity implements Principal.)

Parameters:

principal - the principal corresponding to the identity to be retrieved.

Returns:

the identity whose name is the same as that of the principal, or null if there are no identities of the same name in this scope.

 getIdentity

 public abstract Identity getIdentity(PublicKey key)

Retrieves the identity with the specified public key.

Parameters:

key - the public key for the identity to be returned.

Returns:

the identity with the given key, or null if there are no identities in this scope with that key.

 getIdentity

 public abstract Identity getIdentity(String name)

Returns the identity in this scope with the specified name (if any).

Parameters:

name - the name of the identity to be retrieved.

Returns:

the identity named name, or null if there are no identities named name in this scope.

 getSystemScope

 public static IdentityScope getSystemScope()

Returns the system's identity scope. See the "System Identity Scope" section in the Java Cryptography Architecture API Specification & Reference .

Returns:

the system's identity scope.

 identities

 public abstract Enumeration identities()

Returns an enumeration of all identities in this identity scope.

Returns:

an enumeration of all identities in this identity scope.

 removeIdentity

 public abstract void removeIdentity(Identity identity) throws KeyManagementException

Removes an identity from this identity scope.

Parameters:

identity - the identity to be removed.

Throws: KeyManagementException

if the identity is missing, or another exception occurs.

 setSystemScope

 protected static void setSystemScope(IdentityScope scope)

Sets the system's identity scope. See the "System Identity Scope" section in the Java Cryptography Architecture API Specification & Reference .

Parameters:

scope - the scope to set.

 size

 public abstract int size()

Returns the number of identities within this identity scope.

Returns:

the number of identities within this identity scope.

 toString

 public String toString()

Returns a string representation of this identity scope, including its name, its scope name, and the number of identities in this identity scope.

Returns:

a string representation of this identity scope.

Overrides:

toString in class Identity


 Class java.security.KeyPair

java.lang.Object
   |
   +----java.security.KeyPair

public final class KeyPair
   extends Object

This class is a simple holder for a key pair (a public key and a private key). It does not enforce any security, and, when initialized, should be treated like a PrivateKey.

     See Also:
     PublicKey, PrivateKey

 KeyPair(PublicKey, PrivateKey)

Constructs a key with the specified public key and private key.

 getPrivate()

Returns the private key from this key pair.

 getPublic()

Returns the public key from this key pair.

 KeyPair

 public KeyPair(PublicKey publicKey,
                PrivateKey privateKey)

Constructs a key with the specified public key and private key.

Parameters:

publicKey - the public key.

privateKey - the private key.

 getPrivate

 public PrivateKey getPrivate()

Returns the private key from this key pair.

Returns:

the private key.

 getPublic

 public PublicKey getPublic()

Returns the public key from this key pair.

Returns:

the public key.


 Class java.security.KeyPairGenerator

java.lang.Object
   |
   +----java.security.KeyPairGenerator

public abstract class KeyPairGenerator
   extends Object

The KeyPairGenerator class is used to generate pairs of public and private keys. Key generators are constructed using the getInstance factory methods (static methods that return instances of a given class).

Key generation is an area that sometimes does not lend itself well to algorithm independence. For example, it is possible to generate a DSA key pair specifying key family parameters (p, q and g), while it is not possible to do so for an RSA key pair. That is, those parameters are applicable to DSA but not to RSA.

There are therefore two ways to generate a key pair: in an algorithm-independent manner, and in an algorithm-specific manner. The only difference between the two is the initialization of the object.

All key pair generators share the concepts of a "strength" and a source of randomness. The measure of strength is universally shared by all algorithms, though it is interpreted differently for different algorithms. The initialize method in this KeyPairGenerator class takes these two universally shared types of arguments.

Since no other parameters are specified when you call this algorithm-independent initialize method, all other values, such as algorithm parameters, public exponent, etc., are defaulted to standard values.

It is sometimes desirable to initialize a key pair generator object using algorithm-specific semantics. For example, you may want to initialize a DSA key generator for a given set of parameters p, q and g, or an RSA key generator for a given public exponent.

This is done through algorithm-specific standard interfaces. Rather than calling the algorithm-independent KeyPairGenerator initialize method, the key pair generator is cast to an algorithm-specific interface so that one of its specialized parameter initialization methods can be called. An example is the DSAKeyPairGenerator interface (from java.security.interfaces).

See The KeyPairGenerator Class in the "Java Cryptography Architecture API Specification & Reference" for more information and examples.

     See Also:
     DSAKeyPairGenerator

 KeyPairGenerator(String)

Creates a KeyPairGenerator object for the specified algorithm.

 generateKeyPair()

Generates a key pair.

 getAlgorithm()

Returns the standard name of the algorithm for this key generator.

 getInstance(String)

Generates a KeyPairGenerator object that implements the algorithm requested, as available in the environment.

 getInstance(String, String)

Generates a KeyPairGenerator object implementing the specified algorithm, as supplied from the specified provider, if such an algorithm is available from the provider.

 initialize(int)

Initializes the key pair generator for a certain strength using a system-provided source of randomness.

 initialize(int, SecureRandom)

Initializes the key pair generator for a certain strength.

 KeyPairGenerator

 protected KeyPairGenerator(String algorithm)

Creates a KeyPairGenerator object for the specified algorithm.

Parameters:

algorithm - the standard string name of the algorithm. See Appendix A in the Java Cryptography Architecture API Specification & Reference for information about standard algorithm names.

 generateKeyPair

 public abstract KeyPair generateKeyPair()

Generates a key pair. Unless an initialization method is called using a KeyPairGenerator interface, algorithm-specific defaults will be used. This will generate a new key pair every time it is called.

 getAlgorithm

 public String getAlgorithm()

Returns the standard name of the algorithm for this key generator. See Appendix A in the Java Cryptography Architecture API Specification & Reference for information about standard algorithm names.

Returns:

the standard string name of the algorithm.

 getInstance

 public static KeyPairGenerator getInstance(String algorithm) throws NoSuchAlgorithmException

Generates a KeyPairGenerator object that implements the algorithm requested, as available in the environment.

Parameters:

algorithm - the standard string name of the algorithm. See Appendix A in the Java Cryptography Architecture API Specification & Reference for information about standard algorithm names.

Returns:

the new KeyPairGenerator object.

Throws: NoSuchAlgorithmException

if the algorithm is not available in the environment.

 getInstance

 public static KeyPairGenerator getInstance(String algorithm,
                                            String provider) throws NoSuchAlgorithmException, NoSuchProviderException

Generates a KeyPairGenerator object implementing the specified algorithm, as supplied from the specified provider, if such an algorithm is available from the provider.

Parameters:

algorithm - the standard string name of the algorithm. See Appendix A in the Java Cryptography Architecture API Specification & Reference for information about standard algorithm names.

provider - the string name of the provider.

Returns:

the new KeyPairGenerator object.

Throws: NoSuchAlgorithmException

if the algorithm is not available from the provider.

Throws: NoSuchProviderException

if the provider is not available in the environment.

See Also:

Provider

 initialize

 public void initialize(int strength)

Initializes the key pair generator for a certain strength using a system-provided source of randomness.

Parameters:

strength - the strength of the key. This is an algorithm-specific metric, such as modulus length.

 initialize

 public abstract void initialize(int strength,
                                 SecureRandom random)

Initializes the key pair generator for a certain strength.

Parameters:

strength - the strength of the key. This is an algorithm-specific metric, such as modulus length.

random - the source of randomness for this generator.


 Class java.security.MessageDigest

java.lang.Object
   |
   +----java.security.MessageDigest

public abstract class MessageDigest
   extends Object

This MessageDigest class provides the functionality of a message digest algorithm, such as MD5 or SHA. Message digests are secure one-way hash functions that take arbitrary-sized data and output a fixed-length hash value.

Like other algorithm-based classes in Java Security, MessageDigest has two major components:

Message Digest API (Application Program Interface)

This is the interface of methods called by applications needing message digest services. The API consists of all public methods.

Message Digest SPI (Service Provider Interface)

This is the interface implemented by providers that supply specific algorithms. It consists of all methods whose names are prefixed by engine. Each such method is called by a correspondingly-named public API method. For example, the engineReset method is called by the reset method. The SPI methods are abstract; providers must supply a concrete implementation.

A MessageDigest object starts out initialized. The data is processed through it using the update methods. At any point reset can be called to reset the digest. Once all the data to be updated has been updated, one of the digest methods should be called to complete the hash computation.

The digest method can be called once for a given number of updates. After digest has been called, the MessageDigest object is reset to its initialized state.

Implementations are free to implement the Cloneable interface, and doing so will let client applications test cloneability using instanceof Cloneable before cloning:

 MessageDigest md = MessageDigest.getInstance("SHA");
 if (md instanceof Cloneable) {
     md.update(toChapter1);
     MessageDigest tc1 = md.clone();
     byte[] toChapter1Digest = tc1.digest;
     md.update(toChapter2);
     ...etc.
 } else {
     throw new DigestException("couldn't make digest of partial content");
 }

Note that if a given implementation is not cloneable, it is still possible to compute intermediate digests by instantiating several instances, if the number of digests is known in advance.

     See Also:
     DigestInputStream, DigestOutputStream

 MessageDigest(String)

Creates a message digest with the specified algorithm name.

 clone()

Returns a clone if the implementation is cloneable.

 digest()

Completes the hash computation by performing final operations such as padding.

 digest(byte[])

Performs a final update on the digest using the specified array of bytes, then completes the digest computation.

 engineDigest()

SPI: Completes the hash computation by performing final operations such as padding.

 engineReset()

SPI: Resets the digest for further use.

 engineUpdate(byte)

SPI: Updates the digest using the specified byte.

 engineUpdate(byte[], int, int)

SPI: Updates the digest using the specified array of bytes, starting at the specified offset.

 getAlgorithm()

Returns a string that identifies the algorithm, independent of implementation details.

 getInstance(String)

Generates a MessageDigest object that implements the specified digest algorithm.

 getInstance(String, String)

Generates a MessageDigest object implementing the specified algorithm, as supplied from the specified provider, if such an algorithm is available from the provider.

 isEqual(byte[], byte[])

Compares two digests for equality.

 reset()

Resets the digest for further use.

 toString()

Returns a string representation of this message digest object.

 update(byte)

Updates the digest using the specified byte.

 update(byte[])

Updates the digest using the specified array of bytes.

 update(byte[], int, int)

Updates the digest using the specified array of bytes, starting at the specified offset.

 MessageDigest

 protected MessageDigest(String algorithm)

Creates a message digest with the specified algorithm name.

Parameters:

algorithm - the standard name of the digest algorithm. See Appendix A in the Java Cryptography Architecture API Specification & Reference for information about standard algorithm names.

 clone

 public Object clone() throws CloneNotSupportedException

Returns a clone if the implementation is cloneable.

Returns:

a clone if the implementation is cloneable.

Throws: CloneNotSupportedException

if this is called on an implementation that does not support Cloneable.

Overrides:

clone in class Object

 digest

 public byte[] digest()

Completes the hash computation by performing final operations such as padding. The digest is reset after this call is made.

Returns:

the array of bytes for the resulting hash value.

 digest

 public byte[] digest(byte input[])

Performs a final update on the digest using the specified array of bytes, then completes the digest computation. That is, this method first calls update on the array, then calls digest().

Parameters:

input - the input to be updated before the digest is completed.

Returns:

the array of bytes for the resulting hash value.

 engineDigest

 protected abstract byte[] engineDigest()

SPI: Completes the hash computation by performing final operations such as padding. Once engineDigest has been called, the engine should be reset (see reset). Resetting is the responsibility of the engine implementor.

Returns:

the array of bytes for the resulting hash value.

 engineReset

 protected abstract void engineReset()

SPI: Resets the digest for further use.

 engineUpdate

 protected abstract void engineUpdate(byte input)

SPI: Updates the digest using the specified byte.

Parameters:

input - the byte to use for the update.

 engineUpdate

 protected abstract void engineUpdate(byte input[],
                                      int offset,
                                      int len)

SPI: Updates the digest using the specified array of bytes, starting at the specified offset. This should be a no-op if the digest has been finalized.

Parameters:

input - the array of bytes to use for the update.

offset - the offset to start from in the array of bytes.

len - the number of bytes to use, starting at offset.

 getAlgorithm

 public final String getAlgorithm()

Returns a string that identifies the algorithm, independent of implementation details. The name should be a standard Java Security name (such as "SHA", "MD5", and so on). See Appendix A in the Java Cryptography Architecture API Specification & Reference for information about standard algorithm names.

 getInstance

 public static MessageDigest getInstance(String algorithm) throws NoSuchAlgorithmException

Generates a MessageDigest object that implements the specified digest algorithm. If the default provider package contains a MessageDigest subclass implementing the algorithm, an instance of that subclass is returned. If the algorithm is not available in the default package, other packages are searched.

Parameters:

algorithm - the name of the algorithm requested. See Appendix A in the Java Cryptography Architecture API Specification & Reference for information about standard algorithm names.

Returns:

a Message Digest object implementing the specified algorithm.

Throws: NoSuchAlgorithmException

if the algorithm is not available in the caller's environment.

 getInstance

 public static MessageDigest getInstance(String algorithm,
                                         String provider) throws NoSuchAlgorithmException, NoSuchProviderException

Generates a MessageDigest object implementing the specified algorithm, as supplied from the specified provider, if such an algorithm is available from the provider.

Parameters:

algorithm - the name of the algorithm requested. See Appendix A in the Java Cryptography Architecture API Specification & Reference for information about standard algorithm names.

provider - the name of the provider.

Returns:

a Message Digest object implementing the specified algorithm.

Throws: NoSuchAlgorithmException

if the algorithm is not available in the package supplied by the requested provider.

Throws: NoSuchProviderException

if the provider is not available in the environment.

See Also:

Provider

 isEqual

 public static boolean isEqual(byte digesta[],
                               byte digestb[])

Compares two digests for equality. Does a simple byte compare.

Parameters:

digesta - one of the digests to compare.

digestb - the other digest to compare.

Returns:

true if the digests are equal, false otherwise.

 reset

 public void reset()

Resets the digest for further use.

 toString

 public String toString()

Returns a string representation of this message digest object.

Overrides:

toString in class Object

 update

 public void update(byte input)

Updates the digest using the specified byte.

Parameters:

input - the byte with which to update the digest.

 update

 public void update(byte input[])

Updates the digest using the specified array of bytes.

Parameters:

input - the array of bytes.

 update

 public void update(byte input[],
                    int offset,
                    int len)

Updates the digest using the specified array of bytes, starting at the specified offset.

Parameters:

input - the array of bytes.

offset - the offset to start from in the array of bytes.

len - the number of bytes to use, starting at offset.


 Class java.security.Provider

java.lang.Object
   |
   +----java.util.Dictionary
           |
           +----java.util.Hashtable
                   |
                   +----java.util.Properties
                           |
                           +----java.security.Provider

public abstract class Provider
   extends Properties

This class represents a "provider" for the Java Security API. A provider implements some or all parts of Java Security, including:

•	Algorithms (such as DSA, RSA, MD5 or SHA-1).

•	Key generation and management facilities (such as for algorithm-specific keys).

Each provider has a name and a version number, and is configured in each runtime it is installed in.

There is a default provider that comes standard with the JDK. It is called the SUN Provider. See The Provider Class in the "Java Cryptography Architecture API Specification & Reference" for information about how providers work and how to install them.

 Provider(String, double, String)

Constructs a provider with the specified name, version number, and information.

 getInfo()

Returns a human-readable description of the provider and its services.

 getName()

Returns the name of this provider.

 getVersion()

Returns the version number for this provider.

 toString()

Returns a string with the name and the version number of this provider.

 Provider

 protected Provider(String name,
                    double version,
                    String info)

Constructs a provider with the specified name, version number, and information.

Parameters:

name - the provider name.

version - the provider version number.

info - a description of the provider and its services.

 getInfo

 public String getInfo()

Returns a human-readable description of the provider and its services. This may return an HTML page, with relevant links.

Returns:

a description of the provider and its services.

 getName

 public String getName()

Returns the name of this provider.

Returns:

the name of this provider.

 getVersion

 public double getVersion()

Returns the version number for this provider.

Returns:

the version number for this provider.

 toString

 public String toString()

Returns a string with the name and the version number of this provider.

Returns:

the string with the name and the version number for this provider.

Overrides:

toString in class Hashtable


 Class java.security.SecureRandom

java.lang.Object
   |
   +----java.util.Random
           |
           +----java.security.SecureRandom

public class SecureRandom
   extends Random

This class provides a crytpographically strong pseudo-random number generator based on the SHA-1 hash algorithm.

The calls inherited from Random will be implemented in terms of the strengthened functionality.

     See Also:
     Random

 SecureRandom()

This empty constructor automatically seeds the generator.

 SecureRandom(byte[])

This constructor uses a user-provided seed in preference to the self-seeding algorithm referred to in the empty constructor description.

 getSeed(int)

Returns the given number of seed bytes, computed using the seed generation algorithm that this class uses to seed itself.

 next(int)

Generates an integer containing the user-specified number of pseudo-random bits (right justified, with leading zeros).

 nextBytes(byte[])

Generates a user-specified number of random bytes.

 setSeed(byte[])

Reseeds this random object.

 setSeed(long)

Reseeds this random object, using the eight bytes contained in the given long seed.

 SecureRandom

 public SecureRandom()

This empty constructor automatically seeds the generator. We attempt to provide sufficient seed bytes to completely randomize the internal state of the generator (20 bytes). Note, however, that our seed generation algorithm has not been thoroughly studied or widely deployed. It relies on counting the number of times that the calling thread can yield while waiting for another thread to sleep for a specified interval.

The first time this constructor is called in a given Virtual Machine, it may take several seconds of CPU time to seed the generator, depending on the underlying hardware. Successive calls run quickly because they rely on the same (internal) pseudo-random number generator for their seed bits.

The seeding procedure implemented by this constructor ensures that the sequence of pseudo-random bytes produced by each SecureRandom instance yields no useful information about the byte-sequence produced by any other instance. If however, the user wishes to produce multiple instances with truly unrelated seeds, the following code yields the desired result (at substantial CPU cost per instance!):

 SecureRandom rnd = new SecureRandom(SecureRandom.getSeed(20));

 SecureRandom

 public SecureRandom(byte seed[])

This constructor uses a user-provided seed in preference to the self-seeding algorithm referred to in the empty constructor description. It may be preferable to the empty constructor if the caller has access to high-quality random bytes from some physical device (for example, a radiation detector or a noisy diode).

Parameters:

seed - the seed.

 getSeed

 public static byte[] getSeed(int numBytes)

Returns the given number of seed bytes, computed using the seed generation algorithm that this class uses to seed itself. This call may be used to seed other random number generators. While we attempt to return a "truly random" sequence of bytes, we do not know exactly how random the bytes returned by this call are. (See the empty constructor SecureRandom for a brief description of the underlying algorithm.) The prudent user will err on the side of caution and get extra seed bytes, although it should be noted that seed generation is somewhat costly.

Parameters:

numBytes - the number of seed bytes to generate.

Returns:

the seed bytes.

 next

 protected final int next(int numBits)

Generates an integer containing the user-specified number of pseudo-random bits (right justified, with leading zeros). This method overrides a java.util.Random method, and serves to provide a source of random bits to all of the methods inherited from that class (for example, nextInt, nextLong, and nextFloat).

Parameters:

numBits - number of pseudo-random bits to be generated, where 0 <= numBits <= 32.

Overrides:

next in class Random

 nextBytes

 public synchronized void nextBytes(byte bytes[])

Generates a user-specified number of random bytes. This method is used as the basis of all random entities returned by this class (except seed bytes). Thus, it may be overridden to change the behavior of the class.

Parameters:

bytes - the array to be filled in with random bytes.

Overrides:

nextBytes in class Random

 setSeed

 public synchronized void setSeed(byte seed[])

Reseeds this random object. The given seed supplements, rather than replaces, the existing seed. Thus, repeated calls are guaranteed never to reduce randomness.

Parameters:

seed - the seed.

 setSeed

 public void setSeed(long seed)

Reseeds this random object, using the eight bytes contained in the given long seed. The given seed supplements, rather than replaces, the existing seed. Thus, repeated calls are guaranteed never to reduce randomness.

This method is defined for compatibility with java.util.Random.

Parameters:

seed - the seed.

Overrides:

setSeed in class Random


 Class java.security.Security

java.lang.Object
   |
   +----java.security.Security

public final class Security
   extends Object

This class centralizes all security properties and common security methods. One of its primary uses is to manage providers.

 addProvider(Provider)

Adds a provider to the next position available.

 getAlgorithmProperty(String, String)

Gets a specified property for an algorithm.

 getProperty(String)

Gets a security property.

 getProvider(String)

Returns the provider installed with the specified name, if any.

 getProviders()

Returns all providers currently installed.

 insertProviderAt(Provider, int)

Adds a new provider, at a specified position.

 removeProvider(String)

Removes the provider with the specified name.

 setProperty(String, String)

Sets a security property.

 addProvider

 public static int addProvider(Provider provider)

Adds a provider to the next position available.

Parameters:

provider - the provider to be added.

Returns:

the preference position in which the provider was added, or -1 if the provider was not added because it is already installed.

See Also:

getProvider, removeProvider

 getAlgorithmProperty

 public static String getAlgorithmProperty(String algName,
                                           String propName)

Gets a specified property for an algorithm. The algorithm name should be a standard name. See Appendix A in the Java Cryptography Architecture API Specification & Reference for information about standard algorithm names. One possible use is by specialized algorithm parsers, which may map classes to algorithms which they understand (much like Key parsers do).

Parameters:

algName - the algorithm name.

propName - the name of the property to get.

Returns:

the value of the specified property.

 getProperty

 public static String getProperty(String key)

Gets a security property.

Parameters:

key - the key of the property being retrieved.

Returns:

the valeu of the security property corresponding to key.

 getProvider

 public static Provider getProvider(String name)

Returns the provider installed with the specified name, if any. Returns null if no provider with the speicified name is installed.

Parameters:

name - the name of the provider to get.

Returns:

the provider of the specified name.

See Also:

removeProvider, addProvider

 getProviders

 public static Provider[] getProviders()

Returns all providers currently installed.

Returns:

an array of all providers currently installed.

 insertProviderAt

 public static int insertProviderAt(Provider provider,
                                    int position)

Adds a new provider, at a specified position. The position is the preference order in which providers are searched for requested algorithms. Note that it is not guaranteed that this preference will be respected. The position is 1-based, that is, 1 is most preferred, followed by 2, and so on. Sometimes it will be legal to add a provider, but only in the last position, in which case the position argument will be ignored.

A provider cannot be added if it is already installed.

Parameters:

provider - the provider to be added.

position - the preference position that the caller would like for this provider.

Returns:

the actual preference position in which the provider was added, or -1 if the provider was not added because it is already installed.

See Also:

getProvider, removeProvider

 removeProvider

 public static void removeProvider(String name)

Removes the provider with the specified name. This method returns silently if the provider is not installed.

Parameters:

name - the name of the provider to remove.

See Also:

getProvider, addProvider

 setProperty

 public static void setProperty(String key,
                                String datum)

Sets a security property.

Parameters:

key - the name of the property to be set.

datum - the value of the property to be set.


 Class java.security.Signature

java.lang.Object
   |
   +----java.security.Signature

public abstract class Signature
   extends Object

This Signature class is used to provide the functionality of a digital signature algorithm, such as RSA with MD5 or DSA. Digital signatures are used for authentication and integrity assurance of digital data.

Like other algorithm-based classes in Java Security, the Signature class has two major components:

Digital Signature API (Application Program Interface)

This is the interface of methods called by applications needing digital signature services. The API consists of all public methods.

Digital Signature SPI (Service Provider Interface)

This is the interface implemented by providers that supply specific algorithms. It consists of all methods whose names are prefixed by engine. Each such method is called by a correspondingly-named public API method. For example, the engineSign method is called by the sign method. The SPI methods are abstract; providers must supply a concrete implementation.

Also like other algorithm-based classes in Java Security, Signature provides implementation-independent algorithms, whereby a caller (application code) requests a particular signature algorithm and is handed back a properly initialized Signature object. It is also possible, if desired, to request a particular algorithm from a particular provider. See the getInstance methods.

Thus, there are two ways to request a Signature algorithm object: by specifying either just an algorithm name, or both an algorithm name and a package provider.

•	If just an algorithm name is specified, the system will determine if there is an implementation of the algorithm requested available in the environment, and if there is more than one, if there is a preferred one.

•	If both an algorithm name and a package provider are specified, the system will determine if there is an implementation of the algorithm in the package requested, and throw an exception if there is not.

A Signature object can be used to generate and verify digital signatures.

There are three phases to the use of a Signature object for either signing data or verifying a signature:

1.	Initialization, with either

•	a public key, which initializes the signature for verification (see initVerify), or

•	a private key, which initializes the signature for signing (see initSign).

2.	Updating

Depending on the type of initialization, this will update the bytes to be signed or verified. See the update methods.

3.	Signing or Verifying

a signature on all updated bytes. See sign and verify.

 SIGN

Possible state value, signifying that this signature object has been initialized for signing.

 state

Current state of this signature object.

 UNINITIALIZED

Possible state value, signifying that this signature object has not yet been initialized.

 VERIFY

Possible state value, signifying that this signature object has been initialized for verification.

 Signature(String)

Creates a Signature object for the specified algorithm.

 clone()

Returns a clone if the implementation is cloneable.

 engineGetParameter(String)

SPI: Gets the value of the specified algorithm parameter.

 engineInitSign(PrivateKey)

SPI: Initializes this signature object with the specified private key for signing operations.

 engineInitVerify(PublicKey)

SPI: Initializes this signature object with the specified public key for verification operations.

 engineSetParameter(String, Object)

SPI: Sets the specified algorithm parameter to the specified value.

 engineSign()

SPI: Returns the signature bytes of all the data updated so far.

 engineUpdate(byte)

SPI: Updates the data to be signed or verified using the specified byte.

 engineUpdate(byte[], int, int)

SPI: Updates the data to be signed or verified, using the specified array of bytes, starting at the specified offset.

 engineVerify(byte[])

SPI: Verifies the passed-in signature.

 getAlgorithm()

Returns the name of the algorithm for this signature object.

 getInstance(String)

Generates a Signature object that implements the specified algorithm.

 getInstance(String, String)

Generates a Signature object implementing the specified algorithm, as supplied from the specified provider, if such an algorithm is available from the provider.

 getParameter(String)

Gets the value of the specified algorithm parameter.

 initSign(PrivateKey)

Initialize this object for signing.

 initVerify(PublicKey)

Initializes this object for verification.

 setParameter(String, Object)

Sets the specified algorithm parameter to the specified value.

 sign()

Returns the signature bytes of all the data updated.

 toString()

Returns a string representation of this signature object, providing information that includes the state of the object and the name of the algorithm used.

 update(byte)

Updates the data to be signed or verified by a byte.

 update(byte[])

Updates the data to be signed or verified, using the specified array of bytes.

 update(byte[], int, int)

Updates the data to be signed or verified, using the specified array of bytes, starting at the specified offset.

 verify(byte[])

Verifies the passed-in signature.

 SIGN

 protected static final int SIGN

Possible state value, signifying that this signature object has been initialized for signing.

 state

 protected int state

Current state of this signature object.

 UNINITIALIZED

 protected static final int UNINITIALIZED

Possible state value, signifying that this signature object has not yet been initialized.

 VERIFY

 protected static final int VERIFY

Possible state value, signifying that this signature object has been initialized for verification.

 Signature

 protected Signature(String algorithm)

Creates a Signature object for the specified algorithm.

Parameters:

algorithm - the standard string name of the algorithm. See Appendix A in the Java Cryptography Architecture API Specification & Reference for information about standard algorithm names.

 clone

 public Object clone() throws CloneNotSupportedException

Returns a clone if the implementation is cloneable.

Returns:

a clone if the implementation is cloneable.

Throws: CloneNotSupportedException

if this is called on an implementation that does not support Cloneable.

Overrides:

clone in class Object

 engineGetParameter

 protected abstract Object engineGetParameter(String param) throws InvalidParameterException

SPI: Gets the value of the specified algorithm parameter. This method supplies a general-purpose mechanism through which it is possible to get the various parameters of this object. A parameter may be any settable parameter for the algorithm, such as a parameter size, or a source of random bits for signature generation (if appropriate), or an indication of whether or not to perform a specific but optional computation. A uniform algorithm-specific naming scheme for each parameter is desirable but left unspecified at this time.

Parameters:

param - the string name of the parameter.

Returns:

the object that represents the parameter value, or null if there is none.

Throws: InvalidParameterException

if param is an invalid parameter for this engine, or another exception occurs while trying to get this parameter.

 engineInitSign

 protected abstract void engineInitSign(PrivateKey privateKey) throws InvalidKeyException

SPI: Initializes this signature object with the specified private key for signing operations.

Parameters:

privateKey - the private key of the identity whose signature will be generated.

Throws: InvalidKeyException

if the key is improperly encoded, parameters are missing, and so on.

 engineInitVerify

 protected abstract void engineInitVerify(PublicKey publicKey) throws InvalidKeyException

SPI: Initializes this signature object with the specified public key for verification operations.

Parameters:

publicKey - the public key of the identity whose signature is going to be verified.

Throws: InvalidKeyException

if the key is improperly encoded, parameters are missing, and so on.

 engineSetParameter

 protected abstract void engineSetParameter(String param,
                                            Object value) throws InvalidParameterException

SPI: Sets the specified algorithm parameter to the specified value. This method supplies a general-purpose mechanism through which it is possible to set the various parameters of this object. A parameter may be any settable parameter for the algorithm, such as a parameter size, or a source of random bits for signature generation (if appropriate), or an indication of whether or not to perform a specific but optional computation. A uniform algorithm-specific naming scheme for each parameter is desirable but left unspecified at this time.

Parameters:

param - the string identifier of the parameter.

value - the parameter value.

Throws: InvalidParameterException

if param is an invalid parameter for this signature algorithm engine, the parameter is already set and cannot be set again, a security exception occurs, and so on.

 engineSign

 protected abstract byte[] engineSign() throws SignatureException

SPI: Returns the signature bytes of all the data updated so far. The signature returned is X.509-encoded. For more information about the X.509 encoding, see X.509 certificates.

Returns:

the signature bytes of the signing operation's result.

Throws: SignatureException

if the engine is not initialized properly.

 engineUpdate

 protected abstract void engineUpdate(byte b) throws SignatureException

SPI: Updates the data to be signed or verified using the specified byte.

Parameters:

b - the byte to use for the update.

Throws: SignatureException

if the engine is not initialized properly.

 engineUpdate

 protected abstract void engineUpdate(byte b[],
                                      int off,
                                      int len) throws SignatureException

SPI: Updates the data to be signed or verified, using the specified array of bytes, starting at the specified offset.

Parameters:

data - the array of bytes.

off - the offset to start from in the array of bytes.

len - the number of bytes to use, starting at offset.

Throws: SignatureException

if the engine is not initialized properly.

 engineVerify

 protected abstract boolean engineVerify(byte sigBytes[]) throws SignatureException

SPI: Verifies the passed-in signature. The signature bytes are expected to be X.509-encoded. For more information about the X.509 encoding, see X.509 certificates.

Parameters:

sigBytes - the signature bytes to be verified.

Returns:

true if the signature was verified, false if not.

Throws: SignatureException

if the engine is not initialized properly, or the passed-in signature is improperly encoded or of the wrong type, etc.

 getAlgorithm

 public final String getAlgorithm()

Returns the name of the algorithm for this signature object.

Returns:

the name of the algorithm for this signature object.

 getInstance

 public static Signature getInstance(String algorithm) throws NoSuchAlgorithmException

Generates a Signature object that implements the specified algorithm. If the default provider package contains a Signature subclass implementing the algorithm, an instance of that subclass is returned. If the algorithm is not available in the default package, other packages are searched.

Parameters:

algorithm - the standard name of the algorithm requested. See Appendix A in the Java Cryptography Architecture API Specification & Reference for information about standard algorithm names.

Returns:

the new Signature object.

Throws: NoSuchAlgorithmException

if the algorithm is not available in the environment.

 getInstance

 public static Signature getInstance(String algorithm,
                                     String provider) throws NoSuchAlgorithmException, NoSuchProviderException

Generates a Signature object implementing the specified algorithm, as supplied from the specified provider, if such an algorithm is available from the provider.

Parameters:

algorithm - the name of the algorithm requested. See Appendix A in the Java Cryptography Architecture API Specification & Reference for information about standard algorithm names.

provider - the name of the provider.

Returns:

the new Signature object.

Throws: NoSuchAlgorithmException

if the algorithm is not available in the package supplied by the requested provider.

Throws: NoSuchProviderException

if the provider is not available in the environment.

See Also:

Provider

 getParameter

 public final Object getParameter(String param) throws InvalidParameterException

Gets the value of the specified algorithm parameter. This method supplies a general-purpose mechanism through which it is possible to get the various parameters of this object. A parameter may be any settable parameter for the algorithm, such as a parameter size, or a source of random bits for signature generation (if appropriate), or an indication of whether or not to perform a specific but optional computation. A uniform algorithm-specific naming scheme for each parameter is desirable but left unspecified at this time.

Parameters:

param - the string name of the parameter.

Returns:

the object that represents the parameter value, or null if there is none.

Throws: InvalidParameterException

if param is an invalid parameter for this engine, or another exception occurs while trying to get this parameter.

 initSign

 public final void initSign(PrivateKey privateKey) throws InvalidKeyException

Initialize this object for signing. If this method is called again with a different argument, it negates the effect of this call.

Parameters:

privateKey - the private key of the identity whose signature is going to be generated.

Throws: InvalidKeyException

if the key is invalid.

 initVerify

 public final void initVerify(PublicKey publicKey) throws InvalidKeyException

Initializes this object for verification. If this method is called again with a different argument, it negates the effect of this call.

Parameters:

publicKey - the public key of the identity whose signature is going to be verified.

Throws: InvalidKeyException

if the key is invalid.

 setParameter

 public final void setParameter(String param,
                                Object value) throws InvalidParameterException

Sets the specified algorithm parameter to the specified value. This method supplies a general-purpose mechanism through which it is possible to set the various parameters of this object. A parameter may be any settable parameter for the algorithm, such as a parameter size, or a source of random bits for signature generation (if appropriate), or an indication of whether or not to perform a specific but optional computation. A uniform algorithm-specific naming scheme for each parameter is desirable but left unspecified at this time.

Parameters:

param - the string identifier of the parameter.

value - the parameter value.

Throws: InvalidParameterException

if param is an invalid parameter for this signature algorithm engine, the parameter is already set and cannot be set again, a security exception occurs, and so on.

 sign

 public final byte[] sign() throws SignatureException

Returns the signature bytes of all the data updated. The signature returned is X.509-encoded.

A call to this method resets this signature object to the state it was in when previously initialized for signing via a call to initSign(PrivateKey). That is, the object is reset and available to generate another signature from the same signer, if desired, via new calls to update and sign.

Returns:

the signature bytes of the signing operation's result.

Throws: SignatureException

if this signature object is not initialized properly.

 toString

 public String toString()

Returns a string representation of this signature object, providing information that includes the state of the object and the name of the algorithm used.

Returns:

a string representation of this signature object.

Overrides:

toString in class Object

 update

 public final void update(byte b) throws SignatureException

Updates the data to be signed or verified by a byte.

Parameters:

b - the byte to use for the update.

Throws: SignatureException

if this signature object is not initialized properly.

 update

 public final void update(byte data[]) throws SignatureException

Updates the data to be signed or verified, using the specified array of bytes.

Parameters:

data - the byte array to use for the update.

Throws: SignatureException

if this signature object is not initialized properly.

 update

 public final void update(byte data[],
                          int off,
                          int len) throws SignatureException

Updates the data to be signed or verified, using the specified array of bytes, starting at the specified offset.

Parameters:

data - the array of bytes.

off - the offset to start from in the array of bytes.

len - the number of bytes to use, starting at offset.

Throws: SignatureException

if this signature object is not initialized properly.

 verify

 public final boolean verify(byte signature[]) throws SignatureException

Verifies the passed-in signature. The signature bytes are expected to be X.509-encoded.

A call to this method resets this signature object to the state it was in when previously initialized for verification via a call to initVerify(PublicKey). That is, the object is reset and available to verify another signature from the identity whose public key was specified in the call to initVerify.

Parameters:

signature - the signature bytes to be verified.

Returns:

true if the signature was verified, false if not.

Throws: SignatureException

if this signature object is not initialized properly, or the passed-in signature is improperly encoded or of the wrong type, etc.


 Class java.security.Signer

java.lang.Object
   |
   +----java.security.Identity
           |
           +----java.security.Signer

public abstract class Signer
   extends Identity

This class is used to represent an Identity that can also digitally sign data.

The management of a signer's private keys is an important and sensitive issue that should be handled by subclasses as appropriate to their intended use.

     See Also:
     Identity

 Signer()

Creates a signer.

 Signer(String)

Creates a signer with the specified identity name.

 Signer(String, IdentityScope)

Creates a signer with the specified identity name and scope.

 getPrivateKey()

Returns this signer's private key.

 setKeyPair(KeyPair)

Sets the key pair (public key and private key) for this signer.

 toString()

Returns a string of information about the signer.

 Signer

 protected Signer()

Creates a signer. This constructor should only be used for serialization.

 Signer

 public Signer(String name)

Creates a signer with the specified identity name.

Parameters:

name - the identity name.

 Signer

 public Signer(String name,
               IdentityScope scope) throws KeyManagementException

Creates a signer with the specified identity name and scope.

Parameters:

name - the identity name.

scope - the scope of the identity.

Throws: KeyManagementException

if there is already an identity with the same name in the scope.

 getPrivateKey

 public PrivateKey getPrivateKey()

Returns this signer's private key.

Returns:

this signer's private key, or null if the private key has not yet been set.

 setKeyPair

 public final void setKeyPair(KeyPair pair) throws InvalidParameterException, KeyException

Sets the key pair (public key and private key) for this signer.

Parameters:

pair - an initialized key pair.

Throws: InvalidParameterException

if the key pair is not properly initialized.

Throws: KeyException

if the key pair cannot be set for any other reason.

 toString

 public String toString()

Returns a string of information about the signer.

Returns:

a string of information about the signer.

Overrides:

toString in class Identity


 Class java.security.DigestException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.security.DigestException

public class DigestException
   extends Exception

This is the generic Message Digest exception.

 DigestException()

Constructs a DigestException with no detail message.

 DigestException(String)

Constructs a DigestException with the specified detail message.

 DigestException

 public DigestException()

Constructs a DigestException with no detail message. (A detail message is a String that describes this particular exception.)

 DigestException

 public DigestException(String msg)

Constructs a DigestException with the specified detail message. (A detail message is a String that describes this particular exception.)

Parameters:

msg - the detail message.


 Class java.security.InvalidKeyException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.security.KeyException
                           |
                           +----java.security.InvalidKeyException

public class InvalidKeyException
   extends KeyException

This is the exception for invalid Keys (invalid encoding, wrong length, uninitialized, etc).

 InvalidKeyException()

Constructs an InvalidKeyException with no detail message.

 InvalidKeyException(String)

Constructs an InvalidKeyException with the specified detail message.

 InvalidKeyException

 public InvalidKeyException()

Constructs an InvalidKeyException with no detail message. A detail message is a String that describes this particular exception.

 InvalidKeyException

 public InvalidKeyException(String msg)

Constructs an InvalidKeyException with the specified detail message. A detail message is a String that describes this particular exception.

Parameters:

msg - the detail message.


 Class java.security.InvalidParameterException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.lang.RuntimeException
                           |
                           +----java.lang.IllegalArgumentException
                                   |
                                   +----java.security.InvalidParameterException

public class InvalidParameterException
   extends IllegalArgumentException

This exception is thrown when an invalid parameter is passed to a method.

 InvalidParameterException()

Constructs an InvalidParameterException with no detail message.

 InvalidParameterException(String)

Constructs an InvalidParameterException with the specified detail message.

 InvalidParameterException

 public InvalidParameterException()

Constructs an InvalidParameterException with no detail message. A detail message is a String that describes this particular exception.

 InvalidParameterException

 public InvalidParameterException(String msg)

Constructs an InvalidParameterException with the specified detail message. A detail message is a String that describes this particular exception.

Parameters:

msg - the detail message.


 Class java.security.KeyException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.security.KeyException

public class KeyException
   extends Exception

This is the basic key exception.

     See Also:
     Key, InvalidKeyException, KeyManagementException

 KeyException()

Constructs a KeyException with no detail message.

 KeyException(String)

Constructs a KeyException with the specified detail message.

 KeyException

 public KeyException()

Constructs a KeyException with no detail message. A detail message is a String that describes this particular exception.

 KeyException

 public KeyException(String msg)

Constructs a KeyException with the specified detail message. A detail message is a String that describes this particular exception.

Parameters:

msg - the detail message.


 Class java.security.KeyManagementException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.security.KeyException
                           |
                           +----java.security.KeyManagementException

public class KeyManagementException
   extends KeyException

This is the general key management exception, for all operations dealing with key management. Subclasses could include:

•	KeyIDConflict

•	KeyAuthorizationFailureException

•	ExpiredKeyException

     See Also:
     Key, KeyException

 KeyManagementException()

Constructs a KeyManagementException with no detail message.

 KeyManagementException(String)

Constructs a KeyManagementException with the specified detail message.

 KeyManagementException

 public KeyManagementException()

Constructs a KeyManagementException with no detail message. A detail message is a String that describes this particular exception.

 KeyManagementException

 public KeyManagementException(String msg)

Constructs a KeyManagementException with the specified detail message. A detail message is a String that describes this particular exception.

Parameters:

msg - the detail message.


 Class java.security.NoSuchAlgorithmException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.security.NoSuchAlgorithmException

public class NoSuchAlgorithmException
   extends Exception

This exception is thrown when a particular cryptographic algorithm is requested but is not available in the environment.

 NoSuchAlgorithmException()

Constructs a NoSuchAlgorithmException with no detail message.

 NoSuchAlgorithmException(String)

Constructs a NoSuchAlgorithmException with the specified detail message.

 NoSuchAlgorithmException

 public NoSuchAlgorithmException()

Constructs a NoSuchAlgorithmException with no detail message. A detail message is a String that describes this particular exception.

 NoSuchAlgorithmException

 public NoSuchAlgorithmException(String msg)

Constructs a NoSuchAlgorithmException with the specified detail message. A detail message is a String that describes this particular exception, which may, for example, specify which algorithm is not available.

Parameters:

msg - the detail message.


 Class java.security.NoSuchProviderException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.security.NoSuchProviderException

public class NoSuchProviderException
   extends Exception

This exception is thrown when a particular security provider is requested but is not available in the environment.

 NoSuchProviderException()

Constructs a NoSuchProviderException with no detail message.

 NoSuchProviderException(String)

Constructs a NoSuchProviderException with the specified detail message.

 NoSuchProviderException

 public NoSuchProviderException()

Constructs a NoSuchProviderException with no detail message. A detail message is a String that describes this particular exception.

 NoSuchProviderException

 public NoSuchProviderException(String msg)

Constructs a NoSuchProviderException with the specified detail message. A detail message is a String that describes this particular exception.

Parameters:

msg - the detail message.


 Class java.security.ProviderException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.lang.RuntimeException
                           |
                           +----java.security.ProviderException

public class ProviderException
   extends RuntimeException

A runtime exception for Provider exceptions (such as misconfiguration errors), which may be subclassed by Providers to throw specialized, provider-specific runtime errors.

 ProviderException()

Constructs a ProviderException with no detail message.

 ProviderException(String)

Constructs a ProviderException with the specified detail message.

 ProviderException

 public ProviderException()

Constructs a ProviderException with no detail message. A detail message is a String that describes this particular exception.

 ProviderException

 public ProviderException(String s)

Constructs a ProviderException with the specified detail message. A detail message is a String that describes this particular exception.

Parameters:

s - the detail message.


 Class java.security.SignatureException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.security.SignatureException

public class SignatureException
   extends Exception

This is the generic Signature exception.

 SignatureException()

Constructs a SignatureException with no detail message.

 SignatureException(String)

Constructs a SignatureException with the specified detail message.

 SignatureException

 public SignatureException()

Constructs a SignatureException with no detail message. A detail message is a String that describes this particular exception.

 SignatureException

 public SignatureException(String msg)

Constructs a SignatureException with the specified detail message. A detail message is a String that describes this particular exception.

Parameters:

msg - the detail message.


 package java.security.acl

   Acl
   AclEntry
   Group
   Owner
   Permission

   AclNotFoundException
   LastOwnerException
   NotOwnerException


 Interface java.security.acl.Acl

public interface Acl
   extends Owner

Interface representing an Access Control List (ACL). An Access Control List is a data structure used to guard access to resources.

An ACL can be thought of as a data structure with multiple ACL entries. Each ACL entry, of interface type AclEntry, contains a set of permissions associated with a particular principal. (A principal represents an entity such as an individual user or a group). Additionally, each ACL entry is specified as being either positive or negative. If positive, the permissions are to be granted to the associated principal. If negative, the permissions are to be denied.

The ACL Entries in each ACL observe the following rules:

•

Each principal can have at most one positive ACL entry and one negative entry; that is, multiple positive or negative ACL entries are not allowed for any principal. Each entry specifies the set of permissions that are to be granted (if positive) or denied (if negative).

•	If there is no entry for a particular principal, then the principal is considered to have a null (empty) permission set.

•	If there is a positive entry that grants a principal a particular permission, and a negative entry that denies the principal the same permission, the result is as though the permission was never granted or denied.

•	Individual permissions always override permissions of the group(s) to which the individual belongs. That is, individual negative permissions (specific denial of permissions) override the groups' positive permissions. And individual positive permissions override the groups' negative permissions.

The java.security.acl package provides the interfaces to the ACL and related data structures (ACL entries, groups, permissions, etc.), and the sun.security.acl classes provide a default implementation of the interfaces. For example, java.security.acl.Acl provides the interface to an ACL and the sun.security.acl.AclImpl class provides the default implementation of the interface.

The java.security.acl.Acl interface extends the java.security.acl.Owner interface. The Owner interface is used to maintain a list of owners for each ACL. Only owners are allowed to modify an ACL. For example, only an owner can call the ACL's addEntry method to add a new ACL entry to the ACL.

     See Also:
     AclEntry, Owner, getPermissions

 addEntry(Principal, AclEntry)

Adds an ACL entry to this ACL.

 checkPermission(Principal, Permission)

Checks whether or not the specified principal has the specified permission.

 entries()

Returns an enumeration of the entries in this ACL.

 getName()

Returns the name of this ACL.

 getPermissions(Principal)

Returns an enumeration for the set of allowed permissions for the specified principal (representing an entity such as an individual or a group).

 removeEntry(Principal, AclEntry)

Removes an ACL entry from this ACL.

 setName(Principal, String)

Sets the name of this ACL.

 toString()

Returns a string representation of the ACL contents.

 addEntry

 public abstract boolean addEntry(Principal caller,
                                  AclEntry entry) throws NotOwnerException

Adds an ACL entry to this ACL. An entry associates a principal (e.g., an individual or a group) with a set of permissions. Each principal can have at most one positive ACL entry (specifying permissions to be granted to the principal) and one negative ACL entry (specifying permissions to be denied). If there is already an ACL entry of the same type (negative or positive) already in the ACL, false is returned.

Parameters:

caller - the principal invoking this method. It must be an owner of this ACL.

entry - the ACL entry to be added to this ACL.

Returns:

true on success, false if an entry of the same type (positive or negative) for the same principal is already present in this ACL.

Throws: NotOwnerException

if the caller principal is not an owner of this ACL.

 checkPermission

 public abstract boolean checkPermission(Principal principal,
                                         Permission permission)

Checks whether or not the specified principal has the specified permission. If it does, true is returned, otherwise false is returned. More specifically, this method checks whether the passed permission is a member of the allowed permission set of the specified principal. The allowed permission set is determined by the same algorithm as is used by the getPermissions method.

Parameters:

principal - the principal, assumed to be a valid authenticated Principal.

permission - the permission to be checked for.

Returns:

true if the principal has the specified permission, false otherwise.

See Also:

getPermissions

 entries

 public abstract Enumeration entries()

Returns an enumeration of the entries in this ACL. Each element in the enumeration is of type AclEntry.

Returns:

an enumeration of the entries in this ACL.

 getName

 public abstract String getName()

Returns the name of this ACL.

Returns:

the name of this ACL.

 getPermissions

 public abstract Enumeration getPermissions(Principal user)

Returns an enumeration for the set of allowed permissions for the specified principal (representing an entity such as an individual or a group). This set of allowed permissions is calculated as follows:

•	If there is no entry in this Access Control List for the specified principal, an empty permission set is returned.

•	Otherwise, the principal's group permission sets are determined. (A principal can belong to one or more groups, where a group is a group of principals, represented by the Group interface.) The group positive permission set is the union of all the positive permissions of each group that the principal belongs to. The group negative permission set is the union of all the negative permissions of each group that the principal belongs to. If there is a specific permission that occurs in both the positive permission set and the negative permission set, it is removed from both.

The individual positive and negative permission sets are also determined. The positive permission set contains the permissions specified in the positive ACL entry (if any) for the principal. Similarly, the negative permission set contains the permissions specified in the negative ACL entry (if any) for the principal. The individual positive (or negative) permission set is considered to be null if there is not a positive (negative) ACL entry for the principal in this ACL.

The set of permissions granted to the principal is then calculated using the simple rule that individual permissions always override the group permissions. That is, the principal's individual negative permission set (specific denial of permissions) overrides the group positive permission set, and the principal's individual positive permission set overrides the group negative permission set.

Parameters:

user - the principal whose permission set is to be returned.

Returns:

the permission set specifying the permissions the principal is allowed.

 removeEntry

 public abstract boolean removeEntry(Principal caller,
                                     AclEntry entry) throws NotOwnerException

Removes an ACL entry from this ACL.

Parameters:

caller - the principal invoking this method. It must be an owner of this ACL.

entry - the ACL entry to be removed from this ACL.

Returns:

true on success, false if the entry is not part of this ACL.

Throws: NotOwnerException

if the caller principal is not an owner of this Acl.

 setName

 public abstract void setName(Principal caller,
                              String name) throws NotOwnerException

Sets the name of this ACL.

Parameters:

caller - the principal invoking this method. It must be an owner of this ACL.

name - the name to be given to this ACL.

Throws: NotOwnerException

if the caller principal is not an owner of this ACL.

 toString

 public abstract String toString()

Returns a string representation of the ACL contents.

Returns:

a string representation of the ACL contents.

Overrides:

toString in class Object


 Interface java.security.acl.AclEntry

public interface AclEntry
   extends Cloneable

This is the interface used for representing one entry in an Access Control List (ACL).

An ACL can be thought of as a data structure with multiple ACL entry objects. Each ACL entry object contains a set of permissions associated with a particular principal. (A principal represents an entity such as an individual user or a group). Additionally, each ACL entry is specified as being either positive or negative. If positive, the permissions are to be granted to the associated principal. If negative, the permissions are to be denied. Each principal can have at most one positive ACL entry and one negative entry; that is, multiple positive or negative ACL entries are not allowed for any principal. Note: ACL entries are by default positive. An entry becomes a negative entry only if the setNegativePermissions method is called on it.

     See Also:
     Acl

 addPermission(Permission)

Adds the specified permission to this ACL entry.

 checkPermission(Permission)

Checks if the specified permission is part of the permission set in this entry.

 clone()

Clones this ACL entry.

 getPrincipal()

Returns the principal for which permissions are granted or denied by this ACL entry.

 isNegative()

Returns true if this is a negative ACL entry (one denying the associated principal the set of permissions in the entry), false otherwise.

 permissions()

Returns an enumeration of the permissions in this ACL entry.

 removePermission(Permission)

Removes the specified permission from this ACL entry.

 setNegativePermissions()

Sets this ACL entry to be a negative one.

 setPrincipal(Principal)

Specifies the principal for which permissions are granted or denied by this ACL entry.

 toString()

Returns a string representation of the contents of this ACL entry.

 addPermission

 public abstract boolean addPermission(Permission permission)

Adds the specified permission to this ACL entry. Note: An entry can have multiple permissions.

Parameters:

permission - the permission to be associated with the principal in this entry.

Returns:

true if the permission was added, false if the permission was already part of this entry's permission set.

 checkPermission

 public abstract boolean checkPermission(Permission permission)

Checks if the specified permission is part of the permission set in this entry.

Parameters:

permission - the permission to be checked for.

Returns:

true if the permission is part of the permission set in this entry, false otherwise.

 clone

 public abstract Object clone()

Clones this ACL entry.

Returns:

a clone of this ACL entry.

Overrides:

clone in class Object

 getPrincipal

 public abstract Principal getPrincipal()

Returns the principal for which permissions are granted or denied by this ACL entry. Returns null if there is no principal set for this entry yet.

Returns:

the principal associated with this entry.

 isNegative

 public abstract boolean isNegative()

Returns true if this is a negative ACL entry (one denying the associated principal the set of permissions in the entry), false otherwise.

Returns:

true if this is a negative ACL entry, false if it's not.

 permissions

 public abstract Enumeration permissions()

Returns an enumeration of the permissions in this ACL entry.

Returns:

an enumeration of the permissions in this ACL entry.

 removePermission

 public abstract boolean removePermission(Permission permission)

Removes the specified permission from this ACL entry.

Parameters:

permission - the permission to be removed from this entry.

Returns:

true if the permission is removed, false if the permission was not part of this entry's permission set.

 setNegativePermissions

 public abstract void setNegativePermissions()

Sets this ACL entry to be a negative one. That is, the associated principal (e.g., a user or a group) will be denied the permission set specified in the entry. Note: ACL entries are by default positive. An entry becomes a negative entry only if this setNegativePermissions method is called on it.

 setPrincipal

 public abstract boolean setPrincipal(Principal user)

Specifies the principal for which permissions are granted or denied by this ACL entry. If a principal was already set for this ACL entry, false is returned, otherwise true is returned.

Parameters:

user - the principal to be set for this entry.

Returns:

true if the principal is set, false if there was already a principal set for this entry.

 toString

 public abstract String toString()

Returns a string representation of the contents of this ACL entry.

Returns:

a string representation of the contents.

Overrides:

toString in class Object


 Interface java.security.acl.Group

public interface Group
   extends Principal

This interface is used to represent a group of principals. (A principal represents an entity such as an individual user or a company).

Note that Group extends Principal. Thus, either a Principal or a Group can be passed as an argument to methods containing a Principal parameter. For example, you can add either a Principal or a Group to a Group object by calling the object's addMember method, passing it the Principal or Group.

 addMember(Principal)

Adds the specified member to the group.

 isMember(Principal)

Returns true if the passed principal is a member of the group.

 members()

Returns an enumeration of the members in the group.

 removeMember(Principal)

Removes the specified member from the group.

 addMember

 public abstract boolean addMember(Principal user)

Adds the specified member to the group.

Parameters:

user - the principal to add to this group.

Returns:

true if the member was successfully added, false if the principal was already a member.

 isMember

 public abstract boolean isMember(Principal member)

Returns true if the passed principal is a member of the group. This method does a recursive search, so if a principal belongs to a group which is a member of this group, true is returned.

Parameters:

member - the principal whose membership is to be checked.

Returns:

true if the principal is a member of this group, false otherwise.

 members

 public abstract Enumeration members()

Returns an enumeration of the members in the group. The returned objects can be instances of either Principal or Group (which is a subclass of Principal).

Returns:

an enumeration of the group members.

 removeMember

 public abstract boolean removeMember(Principal user)

Removes the specified member from the group.

Parameters:

user - the principal to remove from this group.

Returns:

true if the principal was removed, or false if the principal was not a member.


 Interface java.security.acl.Owner

public interface Owner

Interface for managing owners of Access Control Lists (ACLs) or ACL configurations. (Note that the Acl interface in the java.security.acl package extends this Owner interface.) The initial owner Principal should be specified as an argument to the constructor of the class implementing this interface.

     See Also:
     Acl

 addOwner(Principal, Principal)

Adds an owner.

 deleteOwner(Principal, Principal)

Deletes an owner.

 isOwner(Principal)

Returns true if the given principal is an owner of the ACL.

 addOwner

 public abstract boolean addOwner(Principal caller,
                                  Principal owner) throws NotOwnerException

Adds an owner. Only owners can modify ACL contents. The caller principal must be an owner of the ACL in order to invoke this method. That is, only an owner can add another owner. The initial owner is configured at ACL construction time.

Parameters:

caller - the principal invoking this method. It must be an owner of the ACL.

owner - the owner that should be added to the list of owners.

Returns:

true if successful, false if owner is already an owner.

Throws: NotOwnerException

if the caller principal is not an owner of the ACL.

 deleteOwner

 public abstract boolean deleteOwner(Principal caller,
                                     Principal owner) throws NotOwnerException, LastOwnerException

Deletes an owner. If this is the last owner in the ACL, an exception is raised.

The caller principal must be an owner of the ACL in order to invoke this method.

Parameters:

caller - the principal invoking this method. It must be an owner of the ACL.

owner - the owner to be removed from the list of owners.

Returns:

true if the owner is removed, false if the owner is not part of the list of owners.

Throws: NotOwnerException

if the caller principal is not an owner of the ACL.

Throws: LastOwnerException

if there is only one owner left, so that deleteOwner would leave the ACL owner-less.

 isOwner

 public abstract boolean isOwner(Principal owner)

Returns true if the given principal is an owner of the ACL.

Parameters:

owner - the principal to be checked to determine whether or not it is an owner.

Returns:

true if the passed principal is in the list of owners, false if not.


 Interface java.security.acl.Permission

public interface Permission

This interface represents a permission, such as that used to grant a particular type of access to a resource.

 equals(Object)

Returns true if the object passed matches the permission represented in this interface.

 toString()

Prints a string representation of this permission.

 equals

 public abstract boolean equals(Object another)

Returns true if the object passed matches the permission represented in this interface.

Parameters:

another - the Permission object to compare with.

Returns:

true if the Permission objects are equal, false otherwise

Overrides:

equals in class Object

 toString

 public abstract String toString()

Prints a string representation of this permission.

Returns:

the string representation of the permission.

Overrides:

toString in class Object


 Class java.security.acl.AclNotFoundException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.security.acl.AclNotFoundException

public class AclNotFoundException
   extends Exception

This is an exception that is thrown whenever a reference is made to a non-existent ACL (Access Control List).

 AclNotFoundException()

Constructs an AclNotFoundException.

 AclNotFoundException

 public AclNotFoundException()

Constructs an AclNotFoundException.


 Class java.security.acl.LastOwnerException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.security.acl.LastOwnerException

public class LastOwnerException
   extends Exception

This is an exception that is thrown whenever an attempt is made to delete the last owner of an Access Control List.

     See Also:
     deleteOwner

 LastOwnerException()

Constructs a LastOwnerException.

 LastOwnerException

 public LastOwnerException()

Constructs a LastOwnerException.


 Class java.security.acl.NotOwnerException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.security.acl.NotOwnerException

public class NotOwnerException
   extends Exception

This is an exception that is thrown whenever the modification of an object (such as an Access Control List) is only allowed to be done by an owner of the object, but the Principal attempting the modification is not an owner.

 NotOwnerException()

Constructs a NotOwnerException.

 NotOwnerException

 public NotOwnerException()

Constructs a NotOwnerException.


 package java.security.interfaces

   DSAKey
   DSAKeyPairGenerator
   DSAParams
   DSAPrivateKey
   DSAPublicKey


 Interface java.security.interfaces.DSAKey

public interface DSAKey

The interface to a DSA public or private key. DSA (Digital Signature Algorithm) is defined in NIST's FIPS-186.

     See Also:
     DSAParams, Key, Signature

 getParams()

Returns the DSA-specific key parameters.

 getParams

 public abstract DSAParams getParams()

Returns the DSA-specific key parameters. These parameters are never secret.

Returns:

the DSA-specific key parameters.

See Also:

DSAParams


 Interface java.security.interfaces.DSAKeyPairGenerator

public interface DSAKeyPairGenerator

An interface to an object capable of generating DSA key pairs.

The initialize methods may each be called any number of times. If no initialize method is called on a DSAKeyPairGenerator, the default is to generate 1024-bit keys, using precomputed p, q and g parameters and an instance of SecureRandom as the random bit source.

Users wishing to indicate DSA-specific parameters, and to generate a key pair suitable for use with the DSA algorithm typically

1.	Get a key pair generator for the DSA algorithm by calling the KeyPairGenerator getInstance method with "DSA" as its argument.

2.	Initialize the generator by casting the result to a DSAKeyPairGenerator and calling one of the initialize methods from this DSAKeyPairGenerator interface.

3.	Generate a key pair by calling the generateKeyPair method from the KeyPairGenerator class.

Note: it is not always necessary to do do algorithm-specific initialization for a DSA key pair generator. That is, it is not always necessary to call an initialize method in this interface. Algorithm-independent initialization using the initialize method in the KeyPairGenerator interface is all that is needed when you accept defaults for algorithm-specific parameters.

     See Also:
     KeyPairGenerator

 initialize(DSAParams, SecureRandom)

Initializes the key pair generator using p, q and g, the DSA family parameters.

 initialize(int, boolean, SecureRandom)

Initializes the key pair generator for a given modulus length, without parameters.

 initialize

 public abstract void initialize(DSAParams params,
                                 SecureRandom random) throws InvalidParameterException

Initializes the key pair generator using p, q and g, the DSA family parameters.

Parameters:

params - the parameters to use to generate the keys.

random - the random bit source to use to generate key bits.

Throws: InvalidParameterException

if the parameters passed are invalid or null.

 initialize

 public abstract void initialize(int modlen,
                                 boolean genParams,
                                 SecureRandom random) throws InvalidParameterException

Initializes the key pair generator for a given modulus length, without parameters.

If genParams is true, this method will generate new p, q and g parameters. If it is false, the method will use precomputed parameters for the modulus length requested. If there are no precomputed parameters for that modulus length, an exception will be thrown. It is guaranteed that there will always be default parameters for modulus lengths of 512 and 1024 bits.

Parameters:

modlen - the modulus length, in bits. Valid values are any multiple of 8 between 512 and 1024, inclusive.

random - the random bit source to use to generate key bits.

genParams - whether or not to generate new parameters for the modulus length requested.

Throws: InvalidParameterException

if the modulus length is not between 512 and 1024, or if genParams is false and there are not precomputed parameters for the modulus length requested.


 Interface java.security.interfaces.DSAParams

public interface DSAParams

Interface to a DSA-specific set of key parameters, which defines a DSA key family. DSA (Digital Signature Algorithm) is defined in NIST's FIPS-186.

     See Also:
     DSAKey, Key, Signature

 getG()

Returns the base, g.

 getP()

Returns the prime, p.

 getQ()

Returns the subprime, q.

 getG

 public abstract BigInteger getG()

Returns the base, g.

Returns:

the base, g.

 getP

 public abstract BigInteger getP()

Returns the prime, p.

Returns:

the prime, p.

 getQ

 public abstract BigInteger getQ()

Returns the subprime, q.

Returns:

the subprime, q.


 Interface java.security.interfaces.DSAPrivateKey

public interface DSAPrivateKey
   extends DSAKey, PrivateKey

The standard interface to a DSA private key. DSA (Digital Signature Algorithm) is defined in NIST's FIPS-186.

     See Also:
     Key, Signature, DSAKey, DSAPublicKey

 getX()

Returns the value of the private key, x.

 getX

 public abstract BigInteger getX()

Returns the value of the private key, x.

Returns:

the value of the private key, x.


 Interface java.security.interfaces.DSAPublicKey

public interface DSAPublicKey
   extends DSAKey, PublicKey

The interface to a DSA public key. DSA (Digital Signature Algorithm) is defined in NIST's FIPS-186.

     See Also:
     Key, KeyParams, Signature

 getY()

Returns the value of the public key, y.

 getY

 public abstract BigInteger getY()

Returns the value of the public key, y.

Returns:

the value of the public key, y.


 package java.sql

   CallableStatement
   Connection
   DatabaseMetaData
   Driver
   PreparedStatement
   ResultSet
   ResultSetMetaData
   Statement

   Date
   DriverManager
   DriverPropertyInfo
   Time
   Timestamp
   Types

   DataTruncation
   SQLException
   SQLWarning


 Interface java.sql.CallableStatement

public interface CallableStatement
   extends PreparedStatement

CallableStatement is used to execute SQL stored procedures.

JDBC provides a stored procedure SQL escape that allows stored procedures to be called in a standard way for all RDBMS's. This escape syntax has one form that includes a result parameter and one that does not. If used, the result parameter must be registered as an OUT parameter. The other parameters may be used for input, output or both. Parameters are refered to sequentially, by number. The first parameter is 1.

{?= call <procedure-name>[<arg1>,<arg2>, ...]}

{call <procedure-name>[<arg1>,<arg2>, ...]}

IN parameter values are set using the set methods inherited from PreparedStatement. The type of all OUT parameters must be registered prior to executing the stored procedure; their values are retrieved after execution via the get methods provided here.

A Callable statement may return a ResultSet or multiple ResultSets. Multiple ResultSets are handled using operations inherited from Statement.

For maximum portability, a call's ResultSets and update counts should be processed prior to getting the values of output parameters.

     See Also:
     prepareCall, ResultSet

 getBigDecimal(int, int)

Get the value of a NUMERIC parameter as a java.math.BigDecimal object.

 getBoolean(int)

Get the value of a BIT parameter as a Java boolean.

 getByte(int)

Get the value of a TINYINT parameter as a Java byte.

 getBytes(int)

Get the value of a SQL BINARY or VARBINARY parameter as a Java byte[]

 getDate(int)

Get the value of a SQL DATE parameter as a java.sql.Date object

 getDouble(int)

Get the value of a DOUBLE parameter as a Java double.

 getFloat(int)

Get the value of a FLOAT parameter as a Java float.

 getInt(int)

Get the value of an INTEGER parameter as a Java int.

 getLong(int)

Get the value of a BIGINT parameter as a Java long.

 getObject(int)

Get the value of a parameter as a Java object.

 getShort(int)

Get the value of a SMALLINT parameter as a Java short.

 getString(int)

Get the value of a CHAR, VARCHAR, or LONGVARCHAR parameter as a Java String.

 getTime(int)

Get the value of a SQL TIME parameter as a java.sql.Time object.

 getTimestamp(int)

Get the value of a SQL TIMESTAMP parameter as a java.sql.Timestamp object.

 registerOutParameter(int, int)

Before executing a stored procedure call, you must explicitly call registerOutParameter to register the java.sql.Type of each out parameter.

 registerOutParameter(int, int, int)

Use this version of registerOutParameter for registering Numeric or Decimal out parameters.

 wasNull()

An OUT parameter may have the value of SQL NULL; wasNull reports whether the last value read has this special value.

 getBigDecimal

 public abstract BigDecimal getBigDecimal(int parameterIndex,
                                          int scale) throws SQLException

Get the value of a NUMERIC parameter as a java.math.BigDecimal object.

Parameters:

parameterIndex - the first parameter is 1, the second is 2, ...

scale - a value greater than or equal to zero representing the desired number of digits to the right of the decimal point

Returns:

the parameter value; if the value is SQL NULL, the result is null

Throws: SQLException

if a database-access error occurs.

 getBoolean

 public abstract boolean getBoolean(int parameterIndex) throws SQLException

Get the value of a BIT parameter as a Java boolean.

Parameters:

parameterIndex - the first parameter is 1, the second is 2, ...

Returns:

the parameter value; if the value is SQL NULL, the result is false

Throws: SQLException

if a database-access error occurs.

 getByte

 public abstract byte getByte(int parameterIndex) throws SQLException

Get the value of a TINYINT parameter as a Java byte.

Parameters:

parameterIndex - the first parameter is 1, the second is 2, ...

Returns:

the parameter value; if the value is SQL NULL, the result is 0

Throws: SQLException

if a database-access error occurs.

 getBytes

 public abstract byte[] getBytes(int parameterIndex) throws SQLException

Get the value of a SQL BINARY or VARBINARY parameter as a Java byte[]

Parameters:

parameterIndex - the first parameter is 1, the second is 2, ...

Returns:

the parameter value; if the value is SQL NULL, the result is null

Throws: SQLException

if a database-access error occurs.

 getDate

 public abstract Date getDate(int parameterIndex) throws SQLException

Get the value of a SQL DATE parameter as a java.sql.Date object

Parameters:

parameterIndex - the first parameter is 1, the second is 2, ...

Returns:

the parameter value; if the value is SQL NULL, the result is null

Throws: SQLException

if a database-access error occurs.

 getDouble

 public abstract double getDouble(int parameterIndex) throws SQLException

Get the value of a DOUBLE parameter as a Java double.

Parameters:

parameterIndex - the first parameter is 1, the second is 2, ...

Returns:

the parameter value; if the value is SQL NULL, the result is 0

Throws: SQLException

if a database-access error occurs.

 getFloat

 public abstract float getFloat(int parameterIndex) throws SQLException

Get the value of a FLOAT parameter as a Java float.

Parameters:

parameterIndex - the first parameter is 1, the second is 2, ...

Returns:

the parameter value; if the value is SQL NULL, the result is 0

Throws: SQLException

if a database-access error occurs.

 getInt

 public abstract int getInt(int parameterIndex) throws SQLException

Get the value of an INTEGER parameter as a Java int.

Parameters:

parameterIndex - the first parameter is 1, the second is 2, ...

Returns:

the parameter value; if the value is SQL NULL, the result is 0

Throws: SQLException

if a database-access error occurs.

 getLong

 public abstract long getLong(int parameterIndex) throws SQLException

Get the value of a BIGINT parameter as a Java long.

Parameters:

parameterIndex - the first parameter is 1, the second is 2, ...

Returns:

the parameter value; if the value is SQL NULL, the result is 0

Throws: SQLException

if a database-access error occurs.

 getObject

 public abstract Object getObject(int parameterIndex) throws SQLException

Get the value of a parameter as a Java object.

This method returns a Java object whose type coresponds to the SQL type that was registered for this parameter using registerOutParameter.

Note that this method may be used to read datatabase-specific, abstract data types. This is done by specifying a targetSqlType of java.sql.types.OTHER, which allows the driver to return a database-specific Java type.

Parameters:

parameterIndex - The first parameter is 1, the second is 2, ...

Returns:

A java.lang.Object holding the OUT parameter value.

Throws: SQLException

if a database-access error occurs.

See Also:

Types

 getShort

 public abstract short getShort(int parameterIndex) throws SQLException

Get the value of a SMALLINT parameter as a Java short.

Parameters:

parameterIndex - the first parameter is 1, the second is 2, ...

Returns:

the parameter value; if the value is SQL NULL, the result is 0

Throws: SQLException

if a database-access error occurs.

 getString

 public abstract String getString(int parameterIndex) throws SQLException

Get the value of a CHAR, VARCHAR, or LONGVARCHAR parameter as a Java String.

Parameters:

parameterIndex - the first parameter is 1, the second is 2, ...

Returns:

the parameter value; if the value is SQL NULL, the result is null

Throws: SQLException

if a database-access error occurs.

 getTime

 public abstract Time getTime(int parameterIndex) throws SQLException

Get the value of a SQL TIME parameter as a java.sql.Time object.

Parameters:

parameterIndex - the first parameter is 1, the second is 2, ...

Returns:

the parameter value; if the value is SQL NULL, the result is null

Throws: SQLException

if a database-access error occurs.

 getTimestamp

 public abstract Timestamp getTimestamp(int parameterIndex) throws SQLException

Get the value of a SQL TIMESTAMP parameter as a java.sql.Timestamp object.

Parameters:

parameterIndex - the first parameter is 1, the second is 2, ...

Returns:

the parameter value; if the value is SQL NULL, the result is null

Throws: SQLException

if a database-access error occurs.

 registerOutParameter

 public abstract void registerOutParameter(int parameterIndex,
                                           int sqlType) throws SQLException

Before executing a stored procedure call, you must explicitly call registerOutParameter to register the java.sql.Type of each out parameter.

Note: When reading the value of an out parameter, you must use the getXXX method whose Java type XXX corresponds to the parameter's registered SQL type.

Parameters:

parameterIndex - the first parameter is 1, the second is 2,...

sqlType - SQL type code defined by java.sql.Types; for parameters of type Numeric or Decimal use the version of registerOutParameter that accepts a scale value

Throws: SQLException

if a database-access error occurs.

See Also:

Type

 registerOutParameter

 public abstract void registerOutParameter(int parameterIndex,
                                           int sqlType,
                                           int scale) throws SQLException

Use this version of registerOutParameter for registering Numeric or Decimal out parameters.

Note: When reading the value of an out parameter, you must use the getXXX method whose Java type XXX corresponds to the parameter's registered SQL type.

Parameters:

parameterIndex - the first parameter is 1, the second is 2, ...

sqlType - use either java.sql.Type.NUMERIC or java.sql.Type.DECIMAL

scale - a value greater than or equal to zero representing the desired number of digits to the right of the decimal point

Throws: SQLException

if a database-access error occurs.

See Also:

Type

 wasNull

 public abstract boolean wasNull() throws SQLException

An OUT parameter may have the value of SQL NULL; wasNull reports whether the last value read has this special value.

Note: You must first call getXXX on a parameter to read its value and then call wasNull() to see if the value was SQL NULL.

Returns:

true if the last parameter read was SQL NULL

Throws: SQLException

if a database-access error occurs.


 Interface java.sql.Connection

public interface Connection

A Connection represents a session with a specific database. Within the context of a Connection, SQL statements are executed and results are returned.

A Connection's database is able to provide information describing its tables, its supported SQL grammar, its stored procedures, the capabilities of this connection, etc. This information is obtained with the getMetaData method.

Note: By default the Connection automatically commits changes after executing each statement. If auto commit has been disabled, an explicit commit must be done or database changes will not be saved.

     See Also:
     getConnection, Statement, ResultSet, DatabaseMetaData

 TRANSACTION_NONE

Transactions are not supported.

 TRANSACTION_READ_COMMITTED

Dirty reads are prevented; non-repeatable reads and phantom reads can occur.

 TRANSACTION_READ_UNCOMMITTED

Dirty reads, non-repeatable reads and phantom reads can occur.

 TRANSACTION_REPEATABLE_READ

Dirty reads and non-repeatable reads are prevented; phantom reads can occur.

 TRANSACTION_SERIALIZABLE

Dirty reads, non-repeatable reads and phantom reads are prevented.

 clearWarnings()

After this call, getWarnings returns null until a new warning is reported for this Connection.

 close()

In some cases, it is desirable to immediately release a Connection's database and JDBC resources instead of waiting for them to be automatically released; the close method provides this immediate release.

 commit()

Commit makes all changes made since the previous commit/rollback permanent and releases any database locks currently held by the Connection.

 createStatement()

SQL statements without parameters are normally executed using Statement objects.

 getAutoCommit()

Get the current auto-commit state.

 getCatalog()

Return the Connection's current catalog name.

 getMetaData()

A Connection's database is able to provide information describing its tables, its supported SQL grammar, its stored procedures, the capabilities of this connection, etc.

 getTransactionIsolation()

Get this Connection's current transaction isolation mode.

 getWarnings()

The first warning reported by calls on this Connection is returned.

 isClosed()

Tests to see if a Connection is closed.

 isReadOnly()

Tests to see if the connection is in read-only mode.

 nativeSQL(String)

A driver may convert the JDBC sql grammar into its system's native SQL grammar prior to sending it; nativeSQL returns the native form of the statement that the driver would have sent.

 prepareCall(String)

A SQL stored procedure call statement is handled by creating a CallableStatement for it.

 prepareStatement(String)

A SQL statement with or without IN parameters can be pre-compiled and stored in a PreparedStatement object.

 rollback()

Rollback drops all changes made since the previous commit/rollback and releases any database locks currently held by the Connection.

 setAutoCommit(boolean)

If a connection is in auto-commit mode, then all its SQL statements will be executed and committed as individual transactions.

 setCatalog(String)

A sub-space of this Connection's database may be selected by setting a catalog name.

 setReadOnly(boolean)

You can put a connection in read-only mode as a hint to enable database optimizations.

 setTransactionIsolation(int)

You can call this method to try to change the transaction isolation level using one of the TRANSACTION_* values.

 TRANSACTION_NONE

 public static final int TRANSACTION_NONE

Transactions are not supported.

 TRANSACTION_READ_COMMITTED

 public static final int TRANSACTION_READ_COMMITTED

Dirty reads are prevented; non-repeatable reads and phantom reads can occur.

 TRANSACTION_READ_UNCOMMITTED

 public static final int TRANSACTION_READ_UNCOMMITTED

Dirty reads, non-repeatable reads and phantom reads can occur.

 TRANSACTION_REPEATABLE_READ

 public static final int TRANSACTION_REPEATABLE_READ

Dirty reads and non-repeatable reads are prevented; phantom reads can occur.

 TRANSACTION_SERIALIZABLE

 public static final int TRANSACTION_SERIALIZABLE

Dirty reads, non-repeatable reads and phantom reads are prevented.

 clearWarnings

 public abstract void clearWarnings() throws SQLException

After this call, getWarnings returns null until a new warning is reported for this Connection.

Throws: SQLException

if a database-access error occurs.

 close

 public abstract void close() throws SQLException

In some cases, it is desirable to immediately release a Connection's database and JDBC resources instead of waiting for them to be automatically released; the close method provides this immediate release.

Note: A Connection is automatically closed when it is garbage collected. Certain fatal errors also result in a closed Connection.

Throws: SQLException

if a database-access error occurs.

 commit

 public abstract void commit() throws SQLException

Commit makes all changes made since the previous commit/rollback permanent and releases any database locks currently held by the Connection. This method should only be used when auto commit has been disabled.

Throws: SQLException

if a database-access error occurs.

See Also:

setAutoCommit

 createStatement

 public abstract Statement createStatement() throws SQLException

SQL statements without parameters are normally executed using Statement objects. If the same SQL statement is executed many times, it is more efficient to use a PreparedStatement

Returns:

a new Statement object

Throws: SQLException

if a database-access error occurs.

 getAutoCommit

 public abstract boolean getAutoCommit() throws SQLException

Get the current auto-commit state.

Returns:

Current state of auto-commit mode.

Throws: SQLException

if a database-access error occurs.

See Also:

setAutoCommit

 getCatalog

 public abstract String getCatalog() throws SQLException

Return the Connection's current catalog name.

Returns:

the current catalog name or null

Throws: SQLException

if a database-access error occurs.

 getMetaData

 public abstract DatabaseMetaData getMetaData() throws SQLException

A Connection's database is able to provide information describing its tables, its supported SQL grammar, its stored procedures, the capabilities of this connection, etc. This information is made available through a DatabaseMetaData object.

Returns:

a DatabaseMetaData object for this Connection

Throws: SQLException

if a database-access error occurs.

 getTransactionIsolation

 public abstract int getTransactionIsolation() throws SQLException

Get this Connection's current transaction isolation mode.

Returns:

the current TRANSACTION_* mode value

Throws: SQLException

if a database-access error occurs.

 getWarnings

 public abstract SQLWarning getWarnings() throws SQLException

The first warning reported by calls on this Connection is returned.

Note: Subsequent warnings will be chained to this SQLWarning.

Returns:

the first SQLWarning or null

Throws: SQLException

if a database-access error occurs.

 isClosed

 public abstract boolean isClosed() throws SQLException

Tests to see if a Connection is closed.

Returns:

true if the connection is closed; false if it's still open

Throws: SQLException

if a database-access error occurs.

 isReadOnly

 public abstract boolean isReadOnly() throws SQLException

Tests to see if the connection is in read-only mode.

Returns:

true if connection is read-only

Throws: SQLException

if a database-access error occurs.

 nativeSQL

 public abstract String nativeSQL(String sql) throws SQLException

A driver may convert the JDBC sql grammar into its system's native SQL grammar prior to sending it; nativeSQL returns the native form of the statement that the driver would have sent.

Parameters:

sql - a SQL statement that may contain one or more '?' parameter placeholders

Returns:

the native form of this statement

Throws: SQLException

if a database-access error occurs.

 prepareCall

 public abstract CallableStatement prepareCall(String sql) throws SQLException

A SQL stored procedure call statement is handled by creating a CallableStatement for it. The CallableStatement provides methods for setting up its IN and OUT parameters, and methods for executing it.

Note: This method is optimized for handling stored procedure call statements. Some drivers may send the call statement to the database when the prepareCall is done; others may wait until the CallableStatement is executed. This has no direct affect on users; however, it does affect which method throws certain SQLExceptions.

Parameters:

sql - a SQL statement that may contain one or more '?' parameter placeholders. Typically this statement is a JDBC function call escape string.

Returns:

a new CallableStatement object containing the pre-compiled SQL statement

Throws: SQLException

if a database-access error occurs.

 prepareStatement

 public abstract PreparedStatement prepareStatement(String sql) throws SQLException

A SQL statement with or without IN parameters can be pre-compiled and stored in a PreparedStatement object. This object can then be used to efficiently execute this statement multiple times.

Note: This method is optimized for handling parametric SQL statements that benefit from precompilation. If the driver supports precompilation, prepareStatement will send the statement to the database for precompilation. Some drivers may not support precompilation. In this case, the statement may not be sent to the database until the PreparedStatement is executed. This has no direct affect on users; however, it does affect which method throws certain SQLExceptions.

Parameters:

sql - a SQL statement that may contain one or more '?' IN parameter placeholders

Returns:

a new PreparedStatement object containing the pre-compiled statement

Throws: SQLException

if a database-access error occurs.

 rollback

 public abstract void rollback() throws SQLException

Rollback drops all changes made since the previous commit/rollback and releases any database locks currently held by the Connection. This method should only be used when auto commit has been disabled.

Throws: SQLException

if a database-access error occurs.

See Also:

setAutoCommit

 setAutoCommit

 public abstract void setAutoCommit(boolean autoCommit) throws SQLException

If a connection is in auto-commit mode, then all its SQL statements will be executed and committed as individual transactions. Otherwise, its SQL statements are grouped into transactions that are terminated by either commit() or rollback(). By default, new connections are in auto-commit mode. The commit occurs when the statement completes or the next execute occurs, whichever comes first. In the case of statements returning a ResultSet, the statement completes when the last row of the ResultSet has been retrieved or the ResultSet has been closed. In advanced cases, a single statement may return multiple results as well as output parameter values. Here the commit occurs when all results and output param values have been retrieved.

Parameters:

autoCommit - true enables auto-commit; false disables auto-commit.

Throws: SQLException

if a database-access error occurs.

 setCatalog

 public abstract void setCatalog(String catalog) throws SQLException

A sub-space of this Connection's database may be selected by setting a catalog name. If the driver does not support catalogs it will silently ignore this request.

Throws: SQLException

if a database-access error occurs.

 setReadOnly

 public abstract void setReadOnly(boolean readOnly) throws SQLException

You can put a connection in read-only mode as a hint to enable database optimizations.

Note: setReadOnly cannot be called while in the middle of a transaction.

Parameters:

readOnly - true enables read-only mode; false disables read-only mode.

Throws: SQLException

if a database-access error occurs.

 setTransactionIsolation

 public abstract void setTransactionIsolation(int level) throws SQLException

You can call this method to try to change the transaction isolation level using one of the TRANSACTION_* values.

Note: setTransactionIsolation cannot be called while in the middle of a transaction.

Parameters:

level - one of the TRANSACTION_* isolation values with the exception of TRANSACTION_NONE; some databases may not support other values

Throws: SQLException

if a database-access error occurs.

See Also:

supportsTransactionIsolationLevel


 Interface java.sql.DatabaseMetaData

public interface DatabaseMetaData

This class provides information about the database as a whole.

Many of the methods here return lists of information in ResultSets. You can use the normal ResultSet methods such as getString and getInt to retrieve the data from these ResultSets. If a given form of metadata is not available, these methods should throw a SQLException.

Some of these methods take arguments that are String patterns. These arguments all have names such as fooPattern. Within a pattern String, "%" means match any substring of 0 or more characters, and "_" means match any one character. Only metadata entries matching the search pattern are returned. If a search pattern argument is set to a null ref, it means that argument's criteria should be dropped from the search.

A SQLException will be thrown if a driver does not support a meta data method. In the case of methods that return a ResultSet, either a ResultSet (which may be empty) is returned or a SQLException is thrown.

 bestRowNotPseudo

BEST ROW PSEUDO_COLUMN - is NOT a pseudo column.

 bestRowPseudo

BEST ROW PSEUDO_COLUMN - is a pseudo column.

 bestRowSession

BEST ROW SCOPE - valid for remainder of current session.

 bestRowTemporary

BEST ROW SCOPE - very temporary, while using row.

 bestRowTransaction

BEST ROW SCOPE - valid for remainder of current transaction.

 bestRowUnknown

BEST ROW PSEUDO_COLUMN - may or may not be pseudo column.

 columnNoNulls

COLUMN NULLABLE - might not allow NULL values.

 columnNullable

COLUMN NULLABLE - definitely allows NULL values.

 columnNullableUnknown

COLUMN NULLABLE - nullability unknown.

 importedKeyCascade

IMPORT KEY UPDATE_RULE and DELETE_RULE - for update, change imported key to agree with primary key update; for delete, delete rows that import a deleted key.

 importedKeyInitiallyDeferred

IMPORT KEY DEFERRABILITY - see SQL92 for definition

 importedKeyInitiallyImmediate

IMPORT KEY DEFERRABILITY - see SQL92 for definition

 importedKeyNoAction

IMPORT KEY UPDATE_RULE and DELETE_RULE - do not allow update or delete of primary key if it has been imported.

 importedKeyNotDeferrable

IMPORT KEY DEFERRABILITY - see SQL92 for definition

 importedKeyRestrict

IMPORT KEY UPDATE_RULE and DELETE_RULE - do not allow update or delete of primary key if it has been imported.

 importedKeySetDefault

IMPORT KEY UPDATE_RULE and DELETE_RULE - change imported key to default values if its primary key has been updated or deleted.

 importedKeySetNull

IMPORT KEY UPDATE_RULE and DELETE_RULE - change imported key to NULL if its primary key has been updated or deleted.

 procedureColumnIn

COLUMN_TYPE - IN parameter.

 procedureColumnInOut

COLUMN_TYPE - INOUT parameter.

 procedureColumnOut

COLUMN_TYPE - OUT parameter.

 procedureColumnResult

COLUMN_TYPE - result column in ResultSet.

 procedureColumnReturn

COLUMN_TYPE - procedure return value.

 procedureColumnUnknown

COLUMN_TYPE - nobody knows.

 procedureNoNulls

TYPE NULLABLE - does not allow NULL values.

 procedureNoResult

PROCEDURE_TYPE - Does not return a result.

 procedureNullable

TYPE NULLABLE - allows NULL values.

 procedureNullableUnknown

TYPE NULLABLE - nullability unknown.

 procedureResultUnknown

PROCEDURE_TYPE - May return a result.

 procedureReturnsResult

PROCEDURE_TYPE - Returns a result.

 tableIndexClustered

INDEX INFO TYPE - this identifies a clustered index

 tableIndexHashed

INDEX INFO TYPE - this identifies a hashed index

 tableIndexOther

INDEX INFO TYPE - this identifies some other form of index

 tableIndexStatistic

INDEX INFO TYPE - this identifies table statistics that are returned in conjuction with a table's index descriptions

 typeNoNulls

TYPE NULLABLE - does not allow NULL values.

 typeNullable

TYPE NULLABLE - allows NULL values.

 typeNullableUnknown

TYPE NULLABLE - nullability unknown.

 typePredBasic

TYPE INFO SEARCHABLE - Supported except for WHERE ..

 typePredChar

TYPE INFO SEARCHABLE - Only supported with WHERE ..

 typePredNone

TYPE INFO SEARCHABLE - No support.

 typeSearchable

TYPE INFO SEARCHABLE - Supported for all WHERE ...

 versionColumnNotPseudo

VERSION COLUMNS PSEUDO_COLUMN - is NOT a pseudo column.

 versionColumnPseudo

VERSION COLUMNS PSEUDO_COLUMN - is a pseudo column.

 versionColumnUnknown

VERSION COLUMNS PSEUDO_COLUMN - may or may not be pseudo column.

 allProceduresAreCallable()

Can all the procedures returned by getProcedures be called by the current user?

 allTablesAreSelectable()

Can all the tables returned by getTable be SELECTed by the current user?

 dataDefinitionCausesTransactionCommit()

Does a data definition statement within a transaction force the transaction to commit?

 dataDefinitionIgnoredInTransactions()

Is a data definition statement within a transaction ignored?

 doesMaxRowSizeIncludeBlobs()

Did getMaxRowSize() include LONGVARCHAR and LONGVARBINARY blobs?

 getBestRowIdentifier(String, String, String, int, boolean)

Get a description of a table's optimal set of columns that uniquely identifies a row.

 getCatalogs()

Get the catalog names available in this database.

 getCatalogSeparator()

What's the separator between catalog and table name?

 getCatalogTerm()

What's the database vendor's preferred term for "catalog"?

 getColumnPrivileges(String, String, String, String)

Get a description of the access rights for a table's columns.

 getColumns(String, String, String, String)

Get a description of table columns available in a catalog.

 getCrossReference(String, String, String, String, String, String)

Get a description of the foreign key columns in the foreign key table that reference the primary key columns of the primary key table (describe how one table imports another's key.) This should normally return a single foreign key/primary key pair (most tables only import a foreign key from a table once.) They are ordered by FKTABLE_CAT, FKTABLE_SCHEM, FKTABLE_NAME, and KEY_SEQ.

 getDatabaseProductName()

What's the name of this database product?

 getDatabaseProductVersion()

What's the version of this database product?

 getDefaultTransactionIsolation()

What's the database's default transaction isolation level? The values are defined in java.sql.Connection.

 getDriverMajorVersion()

What's this JDBC driver's major version number?

 getDriverMinorVersion()

What's this JDBC driver's minor version number?

 getDriverName()

What's the name of this JDBC driver?

 getDriverVersion()

What's the version of this JDBC driver?

 getExportedKeys(String, String, String)

Get a description of the foreign key columns that reference a table's primary key columns (the foreign keys exported by a table).

 getExtraNameCharacters()

Get all the "extra" characters that can be used in unquoted identifier names (those beyond a-z, A-Z, 0-9 and _).

 getIdentifierQuoteString()

What's the string used to quote SQL identifiers? This returns a space " " if identifier quoting isn't supported.

 getImportedKeys(String, String, String)

Get a description of the primary key columns that are referenced by a table's foreign key columns (the primary keys imported by a table).

 getIndexInfo(String, String, String, boolean, boolean)

Get a description of a table's indices and statistics.

 getMaxBinaryLiteralLength()

How many hex characters can you have in an inline binary literal?

 getMaxCatalogNameLength()

What's the maximum length of a catalog name?

 getMaxCharLiteralLength()

What's the max length for a character literal?

 getMaxColumnNameLength()

What's the limit on column name length?

 getMaxColumnsInGroupBy()

What's the maximum number of columns in a "GROUP BY" clause?

 getMaxColumnsInIndex()

What's the maximum number of columns allowed in an index?

 getMaxColumnsInOrderBy()

What's the maximum number of columns in an "ORDER BY" clause?

 getMaxColumnsInSelect()

What's the maximum number of columns in a "SELECT" list?

 getMaxColumnsInTable()

What's the maximum number of columns in a table?

 getMaxConnections()

How many active connections can we have at a time to this database?

 getMaxCursorNameLength()

What's the maximum cursor name length?

 getMaxIndexLength()

What's the maximum length of an index (in bytes)?

 getMaxProcedureNameLength()

What's the maximum length of a procedure name?

 getMaxRowSize()

What's the maximum length of a single row?

 getMaxSchemaNameLength()

What's the maximum length allowed for a schema name?

 getMaxStatementLength()

What's the maximum length of a SQL statement?

 getMaxStatements()

How many active statements can we have open at one time to this database?

 getMaxTableNameLength()

What's the maximum length of a table name?

 getMaxTablesInSelect()

What's the maximum number of tables in a SELECT?

 getMaxUserNameLength()

What's the maximum length of a user name?

 getNumericFunctions()

Get a comma separated list of math functions.

 getPrimaryKeys(String, String, String)

Get a description of a table's primary key columns.

 getProcedureColumns(String, String, String, String)

Get a description of a catalog's stored procedure parameters and result columns.

 getProcedures(String, String, String)

Get a description of stored procedures available in a catalog.

 getProcedureTerm()

What's the database vendor's preferred term for "procedure"?

 getSchemas()

Get the schema names available in this database.

 getSchemaTerm()

What's the database vendor's preferred term for "schema"?

 getSearchStringEscape()

This is the string that can be used to escape '_' or '%' in the string pattern style catalog search parameters.

 getSQLKeywords()

Get a comma separated list of all a database's SQL keywords that are NOT also SQL92 keywords.

 getStringFunctions()

Get a comma separated list of string functions.

 getSystemFunctions()

Get a comma separated list of system functions.

 getTablePrivileges(String, String, String)

Get a description of the access rights for each table available in a catalog.

 getTables(String, String, String, String[])

Get a description of tables available in a catalog.

 getTableTypes()

Get the table types available in this database.

 getTimeDateFunctions()

Get a comma separated list of time and date functions.

 getTypeInfo()

Get a description of all the standard SQL types supported by this database.

 getURL()

What's the url for this database?

 getUserName()

What's our user name as known to the database?

 getVersionColumns(String, String, String)

Get a description of a table's columns that are automatically updated when any value in a row is updated.

 isCatalogAtStart()

Does a catalog appear at the start of a qualified table name? (Otherwise it appears at the end)

 isReadOnly()

Is the database in read-only mode?

 nullPlusNonNullIsNull()

Are concatenations between NULL and non-NULL values NULL? A JDBC-Compliant driver always returns true.

 nullsAreSortedAtEnd()

Are NULL values sorted at the end regardless of sort order?

 nullsAreSortedAtStart()

Are NULL values sorted at the start regardless of sort order?

 nullsAreSortedHigh()

Are NULL values sorted high?

 nullsAreSortedLow()

Are NULL values sorted low?

 storesLowerCaseIdentifiers()

Does the database treat mixed case unquoted SQL identifiers as case insensitive and store them in lower case?

 storesLowerCaseQuotedIdentifiers()

Does the database treat mixed case quoted SQL identifiers as case insensitive and store them in lower case?

 storesMixedCaseIdentifiers()

Does the database treat mixed case unquoted SQL identifiers as case insensitive and store them in mixed case?

 storesMixedCaseQuotedIdentifiers()

Does the database treat mixed case quoted SQL identifiers as case insensitive and store them in mixed case?

 storesUpperCaseIdentifiers()

Does the database treat mixed case unquoted SQL identifiers as case insensitive and store them in upper case?

 storesUpperCaseQuotedIdentifiers()

Does the database treat mixed case quoted SQL identifiers as case insensitive and store them in upper case?

 supportsAlterTableWithAddColumn()

Is "ALTER TABLE" with add column supported?

 supportsAlterTableWithDropColumn()

Is "ALTER TABLE" with drop column supported?

 supportsANSI92EntryLevelSQL()

Is the ANSI92 entry level SQL grammar supported? All JDBC-Compliant drivers must return true.

 supportsANSI92FullSQL()

Is the ANSI92 full SQL grammar supported?

 supportsANSI92IntermediateSQL()

Is the ANSI92 intermediate SQL grammar supported?

 supportsCatalogsInDataManipulation()

Can a catalog name be used in a data manipulation statement?

 supportsCatalogsInIndexDefinitions()

Can a catalog name be used in an index definition statement?

 supportsCatalogsInPrivilegeDefinitions()

Can a catalog name be used in a privilege definition statement?

 supportsCatalogsInProcedureCalls()

Can a catalog name be used in a procedure call statement?

 supportsCatalogsInTableDefinitions()

Can a catalog name be used in a table definition statement?

 supportsColumnAliasing()

Is column aliasing supported?

If so, the SQL AS clause can be used to provide names for computed columns or to provide alias names for columns as required.

 supportsConvert()

Is the CONVERT function between SQL types supported?

 supportsConvert(int, int)

Is CONVERT between the given SQL types supported?

 supportsCoreSQLGrammar()

Is the ODBC Core SQL grammar supported?

 supportsCorrelatedSubqueries()

Are correlated subqueries supported? A JDBC-Compliant driver always returns true.

 supportsDataDefinitionAndDataManipulationTransactions()

Are both data definition and data manipulation statements within a transaction supported?

 supportsDataManipulationTransactionsOnly()

Are only data manipulation statements within a transaction supported?

 supportsDifferentTableCorrelationNames()

If table correlation names are supported, are they restricted to be different from the names of the tables?

 supportsExpressionsInOrderBy()

Are expressions in "ORDER BY" lists supported?

 supportsExtendedSQLGrammar()

Is the ODBC Extended SQL grammar supported?

 supportsFullOuterJoins()

Are full nested outer joins supported?

 supportsGroupBy()

Is some form of "GROUP BY" clause supported?

 supportsGroupByBeyondSelect()

Can a "GROUP BY" clause add columns not in the SELECT provided it specifies all the columns in the SELECT?

 supportsGroupByUnrelated()

Can a "GROUP BY" clause use columns not in the SELECT?

 supportsIntegrityEnhancementFacility()

Is the SQL Integrity Enhancement Facility supported?

 supportsLikeEscapeClause()

Is the escape character in "LIKE" clauses supported? A JDBC-Compliant driver always returns true.

 supportsLimitedOuterJoins()

Is there limited support for outer joins? (This will be true if supportFullOuterJoins is true.)

 supportsMinimumSQLGrammar()

Is the ODBC Minimum SQL grammar supported? All JDBC-Compliant drivers must return true.

 supportsMixedCaseIdentifiers()

Does the database treat mixed case unquoted SQL identifiers as case sensitive and as a result store them in mixed case? A JDBC-Compliant driver will always return false.

 supportsMixedCaseQuotedIdentifiers()

Does the database treat mixed case quoted SQL identifiers as case sensitive and as a result store them in mixed case? A JDBC-Compliant driver will always return true.

 supportsMultipleResultSets()

Are multiple ResultSets from a single execute supported?

 supportsMultipleTransactions()

Can we have multiple transactions open at once (on different connections)?

 supportsNonNullableColumns()

Can columns be defined as non-nullable? A JDBC-Compliant driver always returns true.

 supportsOpenCursorsAcrossCommit()

Can cursors remain open across commits?

 supportsOpenCursorsAcrossRollback()

Can cursors remain open across rollbacks?

 supportsOpenStatementsAcrossCommit()

Can statements remain open across commits?

 supportsOpenStatementsAcrossRollback()

Can statements remain open across rollbacks?

 supportsOrderByUnrelated()

Can an "ORDER BY" clause use columns not in the SELECT?

 supportsOuterJoins()

Is some form of outer join supported?

 supportsPositionedDelete()

Is positioned DELETE supported?

 supportsPositionedUpdate()

Is positioned UPDATE supported?

 supportsSchemasInDataManipulation()

Can a schema name be used in a data manipulation statement?

 supportsSchemasInIndexDefinitions()

Can a schema name be used in an index definition statement?

 supportsSchemasInPrivilegeDefinitions()

Can a schema name be used in a privilege definition statement?

 supportsSchemasInProcedureCalls()

Can a schema name be used in a procedure call statement?

 supportsSchemasInTableDefinitions()

Can a schema name be used in a table definition statement?

 supportsSelectForUpdate()

Is SELECT for UPDATE supported?

 supportsStoredProcedures()

Are stored procedure calls using the stored procedure escape syntax supported?

 supportsSubqueriesInComparisons()

Are subqueries in comparison expressions supported? A JDBC-Compliant driver always returns true.

 supportsSubqueriesInExists()

Are subqueries in 'exists' expressions supported? A JDBC-Compliant driver always returns true.

 supportsSubqueriesInIns()

Are subqueries in 'in' statements supported? A JDBC-Compliant driver always returns true.

 supportsSubqueriesInQuantifieds()

Are subqueries in quantified expressions supported? A JDBC-Compliant driver always returns true.

 supportsTableCorrelationNames()

Are table correlation names supported? A JDBC-Compliant driver always returns true.

 supportsTransactionIsolationLevel(int)

Does the database support the given transaction isolation level?

 supportsTransactions()

Are transactions supported? If not, commit is a noop and the isolation level is TRANSACTION_NONE.

 supportsUnion()

Is SQL UNION supported?

 supportsUnionAll()

Is SQL UNION ALL supported?

 usesLocalFilePerTable()

Does the database use a file for each table?

 usesLocalFiles()

Does the database store tables in a local file?

 bestRowNotPseudo

 public static final int bestRowNotPseudo

BEST ROW PSEUDO_COLUMN - is NOT a pseudo column.

 bestRowPseudo

 public static final int bestRowPseudo

BEST ROW PSEUDO_COLUMN - is a pseudo column.

 bestRowSession

 public static final int bestRowSession

BEST ROW SCOPE - valid for remainder of current session.

 bestRowTemporary

 public static final int bestRowTemporary

BEST ROW SCOPE - very temporary, while using row.

 bestRowTransaction

 public static final int bestRowTransaction

BEST ROW SCOPE - valid for remainder of current transaction.

 bestRowUnknown

 public static final int bestRowUnknown

BEST ROW PSEUDO_COLUMN - may or may not be pseudo column.

 columnNoNulls

 public static final int columnNoNulls

COLUMN NULLABLE - might not allow NULL values.

 columnNullable

 public static final int columnNullable

COLUMN NULLABLE - definitely allows NULL values.

 columnNullableUnknown

 public static final int columnNullableUnknown

COLUMN NULLABLE - nullability unknown.

 importedKeyCascade

 public static final int importedKeyCascade

IMPORT KEY UPDATE_RULE and DELETE_RULE - for update, change imported key to agree with primary key update; for delete, delete rows that import a deleted key.

 importedKeyInitiallyDeferred

 public static final int importedKeyInitiallyDeferred

IMPORT KEY DEFERRABILITY - see SQL92 for definition

 importedKeyInitiallyImmediate

 public static final int importedKeyInitiallyImmediate

IMPORT KEY DEFERRABILITY - see SQL92 for definition

 importedKeyNoAction

 public static final int importedKeyNoAction

IMPORT KEY UPDATE_RULE and DELETE_RULE - do not allow update or delete of primary key if it has been imported.

 importedKeyNotDeferrable

 public static final int importedKeyNotDeferrable

IMPORT KEY DEFERRABILITY - see SQL92 for definition

 importedKeyRestrict

 public static final int importedKeyRestrict

IMPORT KEY UPDATE_RULE and DELETE_RULE - do not allow update or delete of primary key if it has been imported.

 importedKeySetDefault

 public static final int importedKeySetDefault

IMPORT KEY UPDATE_RULE and DELETE_RULE - change imported key to default values if its primary key has been updated or deleted.

 importedKeySetNull

 public static final int importedKeySetNull

IMPORT KEY UPDATE_RULE and DELETE_RULE - change imported key to NULL if its primary key has been updated or deleted.

 procedureColumnIn

 public static final int procedureColumnIn

COLUMN_TYPE - IN parameter.

 procedureColumnInOut

 public static final int procedureColumnInOut

COLUMN_TYPE - INOUT parameter.

 procedureColumnOut

 public static final int procedureColumnOut

COLUMN_TYPE - OUT parameter.

 procedureColumnResult

 public static final int procedureColumnResult

COLUMN_TYPE - result column in ResultSet.

 procedureColumnReturn

 public static final int procedureColumnReturn

COLUMN_TYPE - procedure return value.

 procedureColumnUnknown

 public static final int procedureColumnUnknown

COLUMN_TYPE - nobody knows.

 procedureNoNulls

 public static final int procedureNoNulls

TYPE NULLABLE - does not allow NULL values.

 procedureNoResult

 public static final int procedureNoResult

PROCEDURE_TYPE - Does not return a result.

 procedureNullable

 public static final int procedureNullable

TYPE NULLABLE - allows NULL values.

 procedureNullableUnknown

 public static final int procedureNullableUnknown

TYPE NULLABLE - nullability unknown.

 procedureResultUnknown

 public static final int procedureResultUnknown

PROCEDURE_TYPE - May return a result.

 procedureReturnsResult

 public static final int procedureReturnsResult

PROCEDURE_TYPE - Returns a result.

 tableIndexClustered

 public static final short tableIndexClustered

INDEX INFO TYPE - this identifies a clustered index

 tableIndexHashed

 public static final short tableIndexHashed

INDEX INFO TYPE - this identifies a hashed index

 tableIndexOther

 public static final short tableIndexOther

INDEX INFO TYPE - this identifies some other form of index

 tableIndexStatistic

 public static final short tableIndexStatistic

INDEX INFO TYPE - this identifies table statistics that are returned in conjuction with a table's index descriptions

 typeNoNulls

 public static final int typeNoNulls

TYPE NULLABLE - does not allow NULL values.

 typeNullable

 public static final int typeNullable

TYPE NULLABLE - allows NULL values.

 typeNullableUnknown

 public static final int typeNullableUnknown

TYPE NULLABLE - nullability unknown.

 typePredBasic

 public static final int typePredBasic

TYPE INFO SEARCHABLE - Supported except for WHERE .. LIKE.

 typePredChar

 public static final int typePredChar

TYPE INFO SEARCHABLE - Only supported with WHERE .. LIKE.

 typePredNone

 public static final int typePredNone

TYPE INFO SEARCHABLE - No support.

 typeSearchable

 public static final int typeSearchable

TYPE INFO SEARCHABLE - Supported for all WHERE ...

 versionColumnNotPseudo

 public static final int versionColumnNotPseudo

VERSION COLUMNS PSEUDO_COLUMN - is NOT a pseudo column.

 versionColumnPseudo

 public static final int versionColumnPseudo

VERSION COLUMNS PSEUDO_COLUMN - is a pseudo column.

 versionColumnUnknown

 public static final int versionColumnUnknown

VERSION COLUMNS PSEUDO_COLUMN - may or may not be pseudo column.

 allProceduresAreCallable

 public abstract boolean allProceduresAreCallable() throws SQLException

Can all the procedures returned by getProcedures be called by the current user?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 allTablesAreSelectable

 public abstract boolean allTablesAreSelectable() throws SQLException

Can all the tables returned by getTable be SELECTed by the current user?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 dataDefinitionCausesTransactionCommit

 public abstract boolean dataDefinitionCausesTransactionCommit() throws SQLException

Does a data definition statement within a transaction force the transaction to commit?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 dataDefinitionIgnoredInTransactions

 public abstract boolean dataDefinitionIgnoredInTransactions() throws SQLException

Is a data definition statement within a transaction ignored?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 doesMaxRowSizeIncludeBlobs

 public abstract boolean doesMaxRowSizeIncludeBlobs() throws SQLException

Did getMaxRowSize() include LONGVARCHAR and LONGVARBINARY blobs?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 getBestRowIdentifier

 public abstract ResultSet getBestRowIdentifier(String catalog,
                                                String schema,
                                                String table,
                                                int scope,
                                                boolean nullable) throws SQLException

Get a description of a table's optimal set of columns that uniquely identifies a row. They are ordered by SCOPE.

Each column description has the following columns:

1.	SCOPE short => actual scope of result

•	bestRowTemporary - very temporary, while using row

•	bestRowTransaction - valid for remainder of current transaction

•	bestRowSession - valid for remainder of current session

2.	COLUMN_NAME String => column name

3.	DATA_TYPE short => SQL data type from java.sql.Types

4.	TYPE_NAME String => Data source dependent type name

5.	COLUMN_SIZE int => precision

6.	BUFFER_LENGTH int => not used

7.	DECIMAL_DIGITS short => scale

8.	PSEUDO_COLUMN short => is this a pseudo column like an Oracle ROWID

•	bestRowUnknown - may or may not be pseudo column

•	bestRowNotPseudo - is NOT a pseudo column

•	bestRowPseudo - is a pseudo column

Parameters:

catalog - a catalog name; "" retrieves those without a catalog; null means drop catalog name from the selection criteria

schema - a schema name; "" retrieves those without a schema

table - a table name

scope - the scope of interest; use same values as SCOPE

nullable - include columns that are nullable?

Returns:

ResultSet - each row is a column description

Throws: SQLException

if a database-access error occurs.

 getCatalogs

 public abstract ResultSet getCatalogs() throws SQLException

Get the catalog names available in this database. The results are ordered by catalog name.

The catalog column is:

1.	TABLE_CAT String => catalog name

Returns:

ResultSet - each row has a single String column that is a catalog name

Throws: SQLException

if a database-access error occurs.

 getCatalogSeparator

 public abstract String getCatalogSeparator() throws SQLException

What's the separator between catalog and table name?

Returns:

the separator string

Throws: SQLException

if a database-access error occurs.

 getCatalogTerm

 public abstract String getCatalogTerm() throws SQLException

What's the database vendor's preferred term for "catalog"?

Returns:

the vendor term

Throws: SQLException

if a database-access error occurs.

 getColumnPrivileges

 public abstract ResultSet getColumnPrivileges(String catalog,
                                               String schema,
                                               String table,
                                               String columnNamePattern) throws SQLException

Get a description of the access rights for a table's columns.

Only privileges matching the column name criteria are returned. They are ordered by COLUMN_NAME and PRIVILEGE.

Each privilige description has the following columns:

1.	TABLE_CAT String => table catalog (may be null)

2.	TABLE_SCHEM String => table schema (may be null)

3.	TABLE_NAME String => table name

4.	COLUMN_NAME String => column name

5.	GRANTOR => grantor of access (may be null)

6.	GRANTEE String => grantee of access

7.	PRIVILEGE String => name of access (SELECT, INSERT, UPDATE, REFRENCES, ...)

8.	IS_GRANTABLE String => "YES" if grantee is permitted to grant to others; "NO" if not; null if unknown

Parameters:

catalog - a catalog name; "" retrieves those without a catalog; null means drop catalog name from the selection criteria

schema - a schema name; "" retrieves those without a schema

table - a table name

columnNamePattern - a column name pattern

Returns:

ResultSet - each row is a column privilege description

Throws: SQLException

if a database-access error occurs.

See Also:

getSearchStringEscape

 getColumns

 public abstract ResultSet getColumns(String catalog,
                                      String schemaPattern,
                                      String tableNamePattern,
                                      String columnNamePattern) throws SQLException

Get a description of table columns available in a catalog.

Only column descriptions matching the catalog, schema, table and column name criteria are returned. They are ordered by TABLE_SCHEM, TABLE_NAME and ORDINAL_POSITION.

Each column description has the following columns:

1.	TABLE_CAT String => table catalog (may be null)

2.	TABLE_SCHEM String => table schema (may be null)

3.	TABLE_NAME String => table name

4.	COLUMN_NAME String => column name

5.	DATA_TYPE short => SQL type from java.sql.Types

6.	TYPE_NAME String => Data source dependent type name

7.	COLUMN_SIZE int => column size. For char or date types this is the maximum number of characters, for numeric or decimal types this is precision.

8.	BUFFER_LENGTH is not used.

9.	DECIMAL_DIGITS int => the number of fractional digits

10.	NUM_PREC_RADIX int => Radix (typically either 10 or 2)

11.	NULLABLE int => is NULL allowed?

•	columnNoNulls - might not allow NULL values

•	columnNullable - definitely allows NULL values

•	columnNullableUnknown - nullability unknown

12.	REMARKS String => comment describing column (may be null)

13.	COLUMN_DEF String => default value (may be null)

14.	SQL_DATA_TYPE int => unused

15.	SQL_DATETIME_SUB int => unused

16.	CHAR_OCTET_LENGTH int => for char types the maximum number of bytes in the column

17.	ORDINAL_POSITION int => index of column in table (starting at 1)

18.	IS_NULLABLE String => "NO" means column definitely does not allow NULL values; "YES" means the column might allow NULL values. An empty string means nobody knows.

Parameters:

catalog - a catalog name; "" retrieves those without a catalog; null means drop catalog name from the selection criteria

schemaPattern - a schema name pattern; "" retrieves those without a schema

tableNamePattern - a table name pattern

columnNamePattern - a column name pattern

Returns:

ResultSet - each row is a column description

Throws: SQLException

if a database-access error occurs.

See Also:

getSearchStringEscape

 getCrossReference

 public abstract ResultSet getCrossReference(String primaryCatalog,
                                             String primarySchema,
                                             String primaryTable,
                                             String foreignCatalog,
                                             String foreignSchema,
                                             String foreignTable) throws SQLException

Get a description of the foreign key columns in the foreign key table that reference the primary key columns of the primary key table (describe how one table imports another's key.) This should normally return a single foreign key/primary key pair (most tables only import a foreign key from a table once.) They are ordered by FKTABLE_CAT, FKTABLE_SCHEM, FKTABLE_NAME, and KEY_SEQ.

Each foreign key column description has the following columns:

1.	PKTABLE_CAT String => primary key table catalog (may be null)

2.	PKTABLE_SCHEM String => primary key table schema (may be null)

3.	PKTABLE_NAME String => primary key table name

4.	PKCOLUMN_NAME String => primary key column name

5.	FKTABLE_CAT String => foreign key table catalog (may be null) being exported (may be null)

6.	FKTABLE_SCHEM String => foreign key table schema (may be null) being exported (may be null)

7.	FKTABLE_NAME String => foreign key table name being exported

8.	FKCOLUMN_NAME String => foreign key column name being exported

9.	KEY_SEQ short => sequence number within foreign key

10.	UPDATE_RULE short => What happens to foreign key when primary is updated:

•	importedNoAction - do not allow update of primary key if it has been imported

•	importedKeyCascade - change imported key to agree with primary key update

•	importedKeySetNull - change imported key to NULL if its primary key has been updated

•	importedKeySetDefault - change imported key to default values if its primary key has been updated

•	importedKeyRestrict - same as importedKeyNoAction (for ODBC 2.x compatibility)

11.	DELETE_RULE short => What happens to the foreign key when primary is deleted.

•	importedKeyNoAction - do not allow delete of primary key if it has been imported

•	importedKeyCascade - delete rows that import a deleted key

•	importedKeySetNull - change imported key to NULL if its primary key has been deleted

•	importedKeyRestrict - same as importedKeyNoAction (for ODBC 2.x compatibility)

•	importedKeySetDefault - change imported key to default if its primary key has been deleted

12.	FK_NAME String => foreign key name (may be null)

13.	PK_NAME String => primary key name (may be null)

14.	DEFERRABILITY short => can the evaluation of foreign key constraints be deferred until commit

•	importedKeyInitiallyDeferred - see SQL92 for definition

•	importedKeyInitiallyImmediate - see SQL92 for definition

•	importedKeyNotDeferrable - see SQL92 for definition

Parameters:

primaryCatalog - a catalog name; "" retrieves those without a catalog; null means drop catalog name from the selection criteria

primarySchema - a schema name pattern; "" retrieves those without a schema

primaryTable - the table name that exports the key

foreignCatalog - a catalog name; "" retrieves those without a catalog; null means drop catalog name from the selection criteria

foreignSchema - a schema name pattern; "" retrieves those without a schema

foreignTable - the table name that imports the key

Returns:

ResultSet - each row is a foreign key column description

Throws: SQLException

if a database-access error occurs.

See Also:

getImportedKeys

 getDatabaseProductName

 public abstract String getDatabaseProductName() throws SQLException

What's the name of this database product?

Returns:

database product name

Throws: SQLException

if a database-access error occurs.

 getDatabaseProductVersion

 public abstract String getDatabaseProductVersion() throws SQLException

What's the version of this database product?

Returns:

database version

Throws: SQLException

if a database-access error occurs.

 getDefaultTransactionIsolation

 public abstract int getDefaultTransactionIsolation() throws SQLException

What's the database's default transaction isolation level? The values are defined in java.sql.Connection.

Returns:

the default isolation level

Throws: SQLException

if a database-access error occurs.

See Also:

Connection

 getDriverMajorVersion

 public abstract int getDriverMajorVersion()

What's this JDBC driver's major version number?

Returns:

JDBC driver major version

 getDriverMinorVersion

 public abstract int getDriverMinorVersion()

What's this JDBC driver's minor version number?

Returns:

JDBC driver minor version number

 getDriverName

 public abstract String getDriverName() throws SQLException

What's the name of this JDBC driver?

Returns:

JDBC driver name

Throws: SQLException

if a database-access error occurs.

 getDriverVersion

 public abstract String getDriverVersion() throws SQLException

What's the version of this JDBC driver?

Returns:

JDBC driver version

Throws: SQLException

if a database-access error occurs.

 getExportedKeys

 public abstract ResultSet getExportedKeys(String catalog,
                                           String schema,
                                           String table) throws SQLException

Get a description of the foreign key columns that reference a table's primary key columns (the foreign keys exported by a table). They are ordered by FKTABLE_CAT, FKTABLE_SCHEM, FKTABLE_NAME, and KEY_SEQ.

Each foreign key column description has the following columns:

1.	PKTABLE_CAT String => primary key table catalog (may be null)

2.	PKTABLE_SCHEM String => primary key table schema (may be null)

3.	PKTABLE_NAME String => primary key table name

4.	PKCOLUMN_NAME String => primary key column name

5.	FKTABLE_CAT String => foreign key table catalog (may be null) being exported (may be null)

6.	FKTABLE_SCHEM String => foreign key table schema (may be null) being exported (may be null)

7.	FKTABLE_NAME String => foreign key table name being exported

8.	FKCOLUMN_NAME String => foreign key column name being exported

9.	KEY_SEQ short => sequence number within foreign key

10.	UPDATE_RULE short => What happens to foreign key when primary is updated:

•	importedNoAction - do not allow update of primary key if it has been imported

•	importedKeyCascade - change imported key to agree with primary key update

•	importedKeySetNull - change imported key to NULL if its primary key has been updated

•	importedKeySetDefault - change imported key to default values if its primary key has been updated

•	importedKeyRestrict - same as importedKeyNoAction (for ODBC 2.x compatibility)

11.	DELETE_RULE short => What happens to the foreign key when primary is deleted.

•	importedKeyNoAction - do not allow delete of primary key if it has been imported

•	importedKeyCascade - delete rows that import a deleted key

•	importedKeySetNull - change imported key to NULL if its primary key has been deleted

•	importedKeyRestrict - same as importedKeyNoAction (for ODBC 2.x compatibility)

•	importedKeySetDefault - change imported key to default if its primary key has been deleted

12.	FK_NAME String => foreign key name (may be null)

13.	PK_NAME String => primary key name (may be null)

14.	DEFERRABILITY short => can the evaluation of foreign key constraints be deferred until commit

•	importedKeyInitiallyDeferred - see SQL92 for definition

•	importedKeyInitiallyImmediate - see SQL92 for definition

•	importedKeyNotDeferrable - see SQL92 for definition

Parameters:

catalog - a catalog name; "" retrieves those without a catalog; null means drop catalog name from the selection criteria

schema - a schema name pattern; "" retrieves those without a schema

table - a table name

Returns:

ResultSet - each row is a foreign key column description

Throws: SQLException

if a database-access error occurs.

See Also:

getImportedKeys

 getExtraNameCharacters

 public abstract String getExtraNameCharacters() throws SQLException

Get all the "extra" characters that can be used in unquoted identifier names (those beyond a-z, A-Z, 0-9 and _).

Returns:

the string containing the extra characters

Throws: SQLException

if a database-access error occurs.

 getIdentifierQuoteString

 public abstract String getIdentifierQuoteString() throws SQLException

What's the string used to quote SQL identifiers? This returns a space " " if identifier quoting isn't supported. A JDBC-Compliant driver always uses a double quote character.

Returns:

the quoting string

Throws: SQLException

if a database-access error occurs.

 getImportedKeys

 public abstract ResultSet getImportedKeys(String catalog,
                                           String schema,
                                           String table) throws SQLException

Get a description of the primary key columns that are referenced by a table's foreign key columns (the primary keys imported by a table). They are ordered by PKTABLE_CAT, PKTABLE_SCHEM, PKTABLE_NAME, and KEY_SEQ.

Each primary key column description has the following columns:

1.	PKTABLE_CAT String => primary key table catalog being imported (may be null)

2.	PKTABLE_SCHEM String => primary key table schema being imported (may be null)

3.	PKTABLE_NAME String => primary key table name being imported

4.	PKCOLUMN_NAME String => primary key column name being imported

5.	FKTABLE_CAT String => foreign key table catalog (may be null)

6.	FKTABLE_SCHEM String => foreign key table schema (may be null)

7.	FKTABLE_NAME String => foreign key table name

8.	FKCOLUMN_NAME String => foreign key column name

9.	KEY_SEQ short => sequence number within foreign key

10.	UPDATE_RULE short => What happens to foreign key when primary is updated:

•	importedNoAction - do not allow update of primary key if it has been imported

•	importedKeyCascade - change imported key to agree with primary key update

•	importedKeySetNull - change imported key to NULL if its primary key has been updated

•	importedKeySetDefault - change imported key to default values if its primary key has been updated

•	importedKeyRestrict - same as importedKeyNoAction (for ODBC 2.x compatibility)

11.	DELETE_RULE short => What happens to the foreign key when primary is deleted.

•	importedKeyNoAction - do not allow delete of primary key if it has been imported

•	importedKeyCascade - delete rows that import a deleted key

•	importedKeySetNull - change imported key to NULL if its primary key has been deleted

•	importedKeyRestrict - same as importedKeyNoAction (for ODBC 2.x compatibility)

•	importedKeySetDefault - change imported key to default if its primary key has been deleted

12.	FK_NAME String => foreign key name (may be null)

13.	PK_NAME String => primary key name (may be null)

14.	DEFERRABILITY short => can the evaluation of foreign key constraints be deferred until commit

•	importedKeyInitiallyDeferred - see SQL92 for definition

•	importedKeyInitiallyImmediate - see SQL92 for definition

•	importedKeyNotDeferrable - see SQL92 for definition

Parameters:

catalog - a catalog name; "" retrieves those without a catalog; null means drop catalog name from the selection criteria

schema - a schema name pattern; "" retrieves those without a schema

table - a table name

Returns:

ResultSet - each row is a primary key column description

Throws: SQLException

if a database-access error occurs.

See Also:

getExportedKeys

 getIndexInfo

 public abstract ResultSet getIndexInfo(String catalog,
                                        String schema,
                                        String table,
                                        boolean unique,
                                        boolean approximate) throws SQLException

Get a description of a table's indices and statistics. They are ordered by NON_UNIQUE, TYPE, INDEX_NAME, and ORDINAL_POSITION.

Each index column description has the following columns:

1.	TABLE_CAT String => table catalog (may be null)

2.	TABLE_SCHEM String => table schema (may be null)

3.	TABLE_NAME String => table name

4.	NON_UNIQUE boolean => Can index values be non-unique? false when TYPE is tableIndexStatistic

5.	INDEX_QUALIFIER String => index catalog (may be null); null when TYPE is tableIndexStatistic

6.	INDEX_NAME String => index name; null when TYPE is tableIndexStatistic

7.	TYPE short => index type:

•	tableIndexStatistic - this identifies table statistics that are returned in conjuction with a table's index descriptions

•	tableIndexClustered - this is a clustered index

•	tableIndexHashed - this is a hashed index

•	tableIndexOther - this is some other style of index

8.	ORDINAL_POSITION short => column sequence number within index; zero when TYPE is tableIndexStatistic

9.	COLUMN_NAME String => column name; null when TYPE is tableIndexStatistic

10.	ASC_OR_DESC String => column sort sequence, "A" => ascending, "D" => descending, may be null if sort sequence is not supported; null when TYPE is tableIndexStatistic

11.	CARDINALITY int => When TYPE is tableIndexStatistic, then this is the number of rows in the table; otherwise, it is the number of unique values in the index.

12.	PAGES int => When TYPE is tableIndexStatisic then this is the number of pages used for the table, otherwise it is the number of pages used for the current index.

13.	FILTER_CONDITION String => Filter condition, if any. (may be null)

Parameters:

catalog - a catalog name; "" retrieves those without a catalog; null means drop catalog name from the selection criteria

schema - a schema name pattern; "" retrieves those without a schema

table - a table name

unique - when true, return only indices for unique values; when false, return indices regardless of whether unique or not

approximate - when true, result is allowed to reflect approximate or out of data values; when false, results are requested to be accurate

Returns:

ResultSet - each row is an index column description

Throws: SQLException

if a database-access error occurs.

 getMaxBinaryLiteralLength

 public abstract int getMaxBinaryLiteralLength() throws SQLException

How many hex characters can you have in an inline binary literal?

Returns:

max literal length

Throws: SQLException

if a database-access error occurs.

 getMaxCatalogNameLength

 public abstract int getMaxCatalogNameLength() throws SQLException

What's the maximum length of a catalog name?

Returns:

max name length in bytes

Throws: SQLException

if a database-access error occurs.

 getMaxCharLiteralLength

 public abstract int getMaxCharLiteralLength() throws SQLException

What's the max length for a character literal?

Returns:

max literal length

Throws: SQLException

if a database-access error occurs.

 getMaxColumnNameLength

 public abstract int getMaxColumnNameLength() throws SQLException

What's the limit on column name length?

Returns:

max literal length

Throws: SQLException

if a database-access error occurs.

 getMaxColumnsInGroupBy

 public abstract int getMaxColumnsInGroupBy() throws SQLException

What's the maximum number of columns in a "GROUP BY" clause?

Returns:

max number of columns

Throws: SQLException

if a database-access error occurs.

 getMaxColumnsInIndex

 public abstract int getMaxColumnsInIndex() throws SQLException

What's the maximum number of columns allowed in an index?

Returns:

max columns

Throws: SQLException

if a database-access error occurs.

 getMaxColumnsInOrderBy

 public abstract int getMaxColumnsInOrderBy() throws SQLException

What's the maximum number of columns in an "ORDER BY" clause?

Returns:

max columns

Throws: SQLException

if a database-access error occurs.

 getMaxColumnsInSelect

 public abstract int getMaxColumnsInSelect() throws SQLException

What's the maximum number of columns in a "SELECT" list?

Returns:

max columns

Throws: SQLException

if a database-access error occurs.

 getMaxColumnsInTable

 public abstract int getMaxColumnsInTable() throws SQLException

What's the maximum number of columns in a table?

Returns:

max columns

Throws: SQLException

if a database-access error occurs.

 getMaxConnections

 public abstract int getMaxConnections() throws SQLException

How many active connections can we have at a time to this database?

Returns:

max connections

Throws: SQLException

if a database-access error occurs.

 getMaxCursorNameLength

 public abstract int getMaxCursorNameLength() throws SQLException

What's the maximum cursor name length?

Returns:

max cursor name length in bytes

Throws: SQLException

if a database-access error occurs.

 getMaxIndexLength

 public abstract int getMaxIndexLength() throws SQLException

What's the maximum length of an index (in bytes)?

Returns:

max index length in bytes

Throws: SQLException

if a database-access error occurs.

 getMaxProcedureNameLength

 public abstract int getMaxProcedureNameLength() throws SQLException

What's the maximum length of a procedure name?

Returns:

max name length in bytes

Throws: SQLException

if a database-access error occurs.

 getMaxRowSize

 public abstract int getMaxRowSize() throws SQLException

What's the maximum length of a single row?

Returns:

max row size in bytes

Throws: SQLException

if a database-access error occurs.

 getMaxSchemaNameLength

 public abstract int getMaxSchemaNameLength() throws SQLException

What's the maximum length allowed for a schema name?

Returns:

max name length in bytes

Throws: SQLException

if a database-access error occurs.

 getMaxStatementLength

 public abstract int getMaxStatementLength() throws SQLException

What's the maximum length of a SQL statement?

Returns:

max length in bytes

Throws: SQLException

if a database-access error occurs.

 getMaxStatements

 public abstract int getMaxStatements() throws SQLException

How many active statements can we have open at one time to this database?

Returns:

the maximum

Throws: SQLException

if a database-access error occurs.

 getMaxTableNameLength

 public abstract int getMaxTableNameLength() throws SQLException

What's the maximum length of a table name?

Returns:

max name length in bytes

Throws: SQLException

if a database-access error occurs.

 getMaxTablesInSelect

 public abstract int getMaxTablesInSelect() throws SQLException

What's the maximum number of tables in a SELECT?

Returns:

the maximum

Throws: SQLException

if a database-access error occurs.

 getMaxUserNameLength

 public abstract int getMaxUserNameLength() throws SQLException

What's the maximum length of a user name?

Returns:

max name length in bytes

Throws: SQLException

if a database-access error occurs.

 getNumericFunctions

 public abstract String getNumericFunctions() throws SQLException

Get a comma separated list of math functions.

Returns:

the list

Throws: SQLException

if a database-access error occurs.

 getPrimaryKeys

 public abstract ResultSet getPrimaryKeys(String catalog,
                                          String schema,
                                          String table) throws SQLException

Get a description of a table's primary key columns. They are ordered by COLUMN_NAME.

Each primary key column description has the following columns:

1.	TABLE_CAT String => table catalog (may be null)

2.	TABLE_SCHEM String => table schema (may be null)

3.	TABLE_NAME String => table name

4.	COLUMN_NAME String => column name

5.	KEY_SEQ short => sequence number within primary key

6.	PK_NAME String => primary key name (may be null)

Parameters:

catalog - a catalog name; "" retrieves those without a catalog; null means drop catalog name from the selection criteria

schema - a schema name pattern; "" retrieves those without a schema

table - a table name

Returns:

ResultSet - each row is a primary key column description

Throws: SQLException

if a database-access error occurs.

 getProcedureColumns

 public abstract ResultSet getProcedureColumns(String catalog,
                                               String schemaPattern,
                                               String procedureNamePattern,
                                               String columnNamePattern) throws SQLException

Get a description of a catalog's stored procedure parameters and result columns.

Only descriptions matching the schema, procedure and parameter name criteria are returned. They are ordered by PROCEDURE_SCHEM and PROCEDURE_NAME. Within this, the return value, if any, is first. Next are the parameter descriptions in call order. The column descriptions follow in column number order.

Each row in the ResultSet is a parameter description or column description with the following fields:

1.	PROCEDURE_CAT String => procedure catalog (may be null)

2.	PROCEDURE_SCHEM String => procedure schema (may be null)

3.	PROCEDURE_NAME String => procedure name

4.	COLUMN_NAME String => column/parameter name

5.	COLUMN_TYPE Short => kind of column/parameter:

•	procedureColumnUnknown - nobody knows

•	procedureColumnIn - IN parameter

•	procedureColumnInOut - INOUT parameter

•	procedureColumnOut - OUT parameter

•	procedureColumnReturn - procedure return value

•	procedureColumnResult - result column in ResultSet

6.	DATA_TYPE short => SQL type from java.sql.Types

7.	TYPE_NAME String => SQL type name

8.	PRECISION int => precision

9.	LENGTH int => length in bytes of data

10.	SCALE short => scale

11.	RADIX short => radix

12.	NULLABLE short => can it contain NULL?

•	procedureNoNulls - does not allow NULL values

•	procedureNullable - allows NULL values

•	procedureNullableUnknown - nullability unknown

13.	REMARKS String => comment describing parameter/column

Note: Some databases may not return the column descriptions for a procedure. Additional columns beyond REMARKS can be defined by the database.

Parameters:

catalog - a catalog name; "" retrieves those without a catalog; null means drop catalog name from the selection criteria

schemaPattern - a schema name pattern; "" retrieves those without a schema

procedureNamePattern - a procedure name pattern

columnNamePattern - a column name pattern

Returns:

ResultSet - each row is a stored procedure parameter or column description

Throws: SQLException

if a database-access error occurs.

See Also:

getSearchStringEscape

 getProcedures

 public abstract ResultSet getProcedures(String catalog,
                                         String schemaPattern,
                                         String procedureNamePattern) throws SQLException

Get a description of stored procedures available in a catalog.

Only procedure descriptions matching the schema and procedure name criteria are returned. They are ordered by PROCEDURE_SCHEM, and PROCEDURE_NAME.

Each procedure description has the the following columns:

1.	PROCEDURE_CAT String => procedure catalog (may be null)

2.	PROCEDURE_SCHEM String => procedure schema (may be null)

3.	PROCEDURE_NAME String => procedure name

4.	reserved for future use

5.	reserved for future use

6.	reserved for future use

7.	REMARKS String => explanatory comment on the procedure

8.	PROCEDURE_TYPE short => kind of procedure:

•	procedureResultUnknown - May return a result

•	procedureNoResult - Does not return a result

•	procedureReturnsResult - Returns a result

Parameters:

catalog - a catalog name; "" retrieves those without a catalog; null means drop catalog name from the selection criteria

schemaPattern - a schema name pattern; "" retrieves those without a schema

procedureNamePattern - a procedure name pattern

Returns:

ResultSet - each row is a procedure description

Throws: SQLException

if a database-access error occurs.

See Also:

getSearchStringEscape

 getProcedureTerm

 public abstract String getProcedureTerm() throws SQLException

What's the database vendor's preferred term for "procedure"?

Returns:

the vendor term

Throws: SQLException

if a database-access error occurs.

 getSchemas

 public abstract ResultSet getSchemas() throws SQLException

Get the schema names available in this database. The results are ordered by schema name.

The schema column is:

1.	TABLE_SCHEM String => schema name

Returns:

ResultSet - each row has a single String column that is a schema name

Throws: SQLException

if a database-access error occurs.

 getSchemaTerm

 public abstract String getSchemaTerm() throws SQLException

What's the database vendor's preferred term for "schema"?

Returns:

the vendor term

Throws: SQLException

if a database-access error occurs.

 getSearchStringEscape

 public abstract String getSearchStringEscape() throws SQLException

This is the string that can be used to escape '_' or '%' in the string pattern style catalog search parameters.

The '_' character represents any single character.

The '%' character represents any sequence of zero or more characters.

Returns:

the string used to escape wildcard characters

Throws: SQLException

if a database-access error occurs.

 getSQLKeywords

 public abstract String getSQLKeywords() throws SQLException

Get a comma separated list of all a database's SQL keywords that are NOT also SQL92 keywords.

Returns:

the list

Throws: SQLException

if a database-access error occurs.

 getStringFunctions

 public abstract String getStringFunctions() throws SQLException

Get a comma separated list of string functions.

Returns:

the list

Throws: SQLException

if a database-access error occurs.

 getSystemFunctions

 public abstract String getSystemFunctions() throws SQLException

Get a comma separated list of system functions.

Returns:

the list

Throws: SQLException

if a database-access error occurs.

 getTablePrivileges

 public abstract ResultSet getTablePrivileges(String catalog,
                                              String schemaPattern,
                                              String tableNamePattern) throws SQLException

Get a description of the access rights for each table available in a catalog. Note that a table privilege applies to one or more columns in the table. It would be wrong to assume that this priviledge applies to all columns (this may be true for some systems but is not true for all.)

Only privileges matching the schema and table name criteria are returned. They are ordered by TABLE_SCHEM, TABLE_NAME, and PRIVILEGE.

Each privilige description has the following columns:

1.	TABLE_CAT String => table catalog (may be null)

2.	TABLE_SCHEM String => table schema (may be null)

3.	TABLE_NAME String => table name

4.	GRANTOR => grantor of access (may be null)

5.	GRANTEE String => grantee of access

6.	PRIVILEGE String => name of access (SELECT, INSERT, UPDATE, REFRENCES, ...)

7.	IS_GRANTABLE String => "YES" if grantee is permitted to grant to others; "NO" if not; null if unknown

Parameters:

catalog - a catalog name; "" retrieves those without a catalog; null means drop catalog name from the selection criteria

schemaPattern - a schema name pattern; "" retrieves those without a schema

tableNamePattern - a table name pattern

Returns:

ResultSet - each row is a table privilege description

Throws: SQLException

if a database-access error occurs.

See Also:

getSearchStringEscape

 getTables

 public abstract ResultSet getTables(String catalog,
                                     String schemaPattern,
                                     String tableNamePattern,
                                     String types[]) throws SQLException

Get a description of tables available in a catalog.

Only table descriptions matching the catalog, schema, table name and type criteria are returned. They are ordered by TABLE_TYPE, TABLE_SCHEM and TABLE_NAME.

Each table description has the following columns:

1.	TABLE_CAT String => table catalog (may be null)

2.	TABLE_SCHEM String => table schema (may be null)

3.	TABLE_NAME String => table name

4.	TABLE_TYPE String => table type. Typical types are "TABLE", "VIEW", "SYSTEM TABLE", "GLOBAL TEMPORARY", "LOCAL TEMPORARY", "ALIAS", "SYNONYM".

5.	REMARKS String => explanatory comment on the table

Note: Some databases may not return information for all tables.

Parameters:

catalog - a catalog name; "" retrieves those without a catalog; null means drop catalog name from the selection criteria

schemaPattern - a schema name pattern; "" retrieves those without a schema

tableNamePattern - a table name pattern

types - a list of table types to include; null returns all types

Returns:

ResultSet - each row is a table description

Throws: SQLException

if a database-access error occurs.

See Also:

getSearchStringEscape

 getTableTypes

 public abstract ResultSet getTableTypes() throws SQLException

Get the table types available in this database. The results are ordered by table type.

The table type is:

1.	TABLE_TYPE String => table type. Typical types are "TABLE", "VIEW", "SYSTEM TABLE", "GLOBAL TEMPORARY", "LOCAL TEMPORARY", "ALIAS", "SYNONYM".

Returns:

ResultSet - each row has a single String column that is a table type

Throws: SQLException

if a database-access error occurs.

 getTimeDateFunctions

 public abstract String getTimeDateFunctions() throws SQLException

Get a comma separated list of time and date functions.

Returns:

the list

Throws: SQLException

if a database-access error occurs.

 getTypeInfo

 public abstract ResultSet getTypeInfo() throws SQLException

Get a description of all the standard SQL types supported by this database. They are ordered by DATA_TYPE and then by how closely the data type maps to the corresponding JDBC SQL type.

Each type description has the following columns:

1.	TYPE_NAME String => Type name

2.	DATA_TYPE short => SQL data type from java.sql.Types

3.	PRECISION int => maximum precision

4.	LITERAL_PREFIX String => prefix used to quote a literal (may be null)

5.	LITERAL_SUFFIX String => suffix used to quote a literal (may be null)

6.	CREATE_PARAMS String => parameters used in creating the type (may be null)

7.	NULLABLE short => can you use NULL for this type?

•	typeNoNulls - does not allow NULL values

•	typeNullable - allows NULL values

•	typeNullableUnknown - nullability unknown

8.	CASE_SENSITIVE boolean=> is it case sensitive?

9.	SEARCHABLE short => can you use "WHERE" based on this type:

•	typePredNone - No support

•	typePredChar - Only supported with WHERE .. LIKE

•	typePredBasic - Supported except for WHERE .. LIKE

•	typeSearchable - Supported for all WHERE ..

10.	UNSIGNED_ATTRIBUTE boolean => is it unsigned?

11.	FIXED_PREC_SCALE boolean => can it be a money value?

12.	AUTO_INCREMENT boolean => can it be used for an auto-increment value?

13.	LOCAL_TYPE_NAME String => localized version of type name (may be null)

14.	MINIMUM_SCALE short => minimum scale supported

15.	MAXIMUM_SCALE short => maximum scale supported

16.	SQL_DATA_TYPE int => unused

17.	SQL_DATETIME_SUB int => unused

18.	NUM_PREC_RADIX int => usually 2 or 10

Returns:

ResultSet - each row is a SQL type description

Throws: SQLException

if a database-access error occurs.

 getURL

 public abstract String getURL() throws SQLException

What's the url for this database?

Returns:

the url or null if it can't be generated

Throws: SQLException

if a database-access error occurs.

 getUserName

 public abstract String getUserName() throws SQLException

What's our user name as known to the database?

Returns:

our database user name

Throws: SQLException

if a database-access error occurs.

 getVersionColumns

 public abstract ResultSet getVersionColumns(String catalog,
                                             String schema,
                                             String table) throws SQLException

Get a description of a table's columns that are automatically updated when any value in a row is updated. They are unordered.

Each column description has the following columns:

1.	SCOPE short => is not used

2.	COLUMN_NAME String => column name

3.	DATA_TYPE short => SQL data type from java.sql.Types

4.	TYPE_NAME String => Data source dependent type name

5.	COLUMN_SIZE int => precision

6.	BUFFER_LENGTH int => length of column value in bytes

7.	DECIMAL_DIGITS short => scale

8.	PSEUDO_COLUMN short => is this a pseudo column like an Oracle ROWID

•	versionColumnUnknown - may or may not be pseudo column

•	versionColumnNotPseudo - is NOT a pseudo column

•	versionColumnPseudo - is a pseudo column

Parameters:

catalog - a catalog name; "" retrieves those without a catalog; null means drop catalog name from the selection criteria

schema - a schema name; "" retrieves those without a schema

table - a table name

Returns:

ResultSet - each row is a column description

Throws: SQLException

if a database-access error occurs.

 isCatalogAtStart

 public abstract boolean isCatalogAtStart() throws SQLException

Does a catalog appear at the start of a qualified table name? (Otherwise it appears at the end)

Returns:

true if it appears at the start

Throws: SQLException

if a database-access error occurs.

 isReadOnly

 public abstract boolean isReadOnly() throws SQLException

Is the database in read-only mode?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 nullPlusNonNullIsNull

 public abstract boolean nullPlusNonNullIsNull() throws SQLException

Are concatenations between NULL and non-NULL values NULL? A JDBC-Compliant driver always returns true.

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 nullsAreSortedAtEnd

 public abstract boolean nullsAreSortedAtEnd() throws SQLException

Are NULL values sorted at the end regardless of sort order?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 nullsAreSortedAtStart

 public abstract boolean nullsAreSortedAtStart() throws SQLException

Are NULL values sorted at the start regardless of sort order?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 nullsAreSortedHigh

 public abstract boolean nullsAreSortedHigh() throws SQLException

Are NULL values sorted high?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 nullsAreSortedLow

 public abstract boolean nullsAreSortedLow() throws SQLException

Are NULL values sorted low?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 storesLowerCaseIdentifiers

 public abstract boolean storesLowerCaseIdentifiers() throws SQLException

Does the database treat mixed case unquoted SQL identifiers as case insensitive and store them in lower case?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 storesLowerCaseQuotedIdentifiers

 public abstract boolean storesLowerCaseQuotedIdentifiers() throws SQLException

Does the database treat mixed case quoted SQL identifiers as case insensitive and store them in lower case?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 storesMixedCaseIdentifiers

 public abstract boolean storesMixedCaseIdentifiers() throws SQLException

Does the database treat mixed case unquoted SQL identifiers as case insensitive and store them in mixed case?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 storesMixedCaseQuotedIdentifiers

 public abstract boolean storesMixedCaseQuotedIdentifiers() throws SQLException

Does the database treat mixed case quoted SQL identifiers as case insensitive and store them in mixed case?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 storesUpperCaseIdentifiers

 public abstract boolean storesUpperCaseIdentifiers() throws SQLException

Does the database treat mixed case unquoted SQL identifiers as case insensitive and store them in upper case?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 storesUpperCaseQuotedIdentifiers

 public abstract boolean storesUpperCaseQuotedIdentifiers() throws SQLException

Does the database treat mixed case quoted SQL identifiers as case insensitive and store them in upper case?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsAlterTableWithAddColumn

 public abstract boolean supportsAlterTableWithAddColumn() throws SQLException

Is "ALTER TABLE" with add column supported?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsAlterTableWithDropColumn

 public abstract boolean supportsAlterTableWithDropColumn() throws SQLException

Is "ALTER TABLE" with drop column supported?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsANSI92EntryLevelSQL

 public abstract boolean supportsANSI92EntryLevelSQL() throws SQLException

Is the ANSI92 entry level SQL grammar supported? All JDBC-Compliant drivers must return true.

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsANSI92FullSQL

 public abstract boolean supportsANSI92FullSQL() throws SQLException

Is the ANSI92 full SQL grammar supported?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsANSI92IntermediateSQL

 public abstract boolean supportsANSI92IntermediateSQL() throws SQLException

Is the ANSI92 intermediate SQL grammar supported?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsCatalogsInDataManipulation

 public abstract boolean supportsCatalogsInDataManipulation() throws SQLException

Can a catalog name be used in a data manipulation statement?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsCatalogsInIndexDefinitions

 public abstract boolean supportsCatalogsInIndexDefinitions() throws SQLException

Can a catalog name be used in an index definition statement?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsCatalogsInPrivilegeDefinitions

 public abstract boolean supportsCatalogsInPrivilegeDefinitions() throws SQLException

Can a catalog name be used in a privilege definition statement?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsCatalogsInProcedureCalls

 public abstract boolean supportsCatalogsInProcedureCalls() throws SQLException

Can a catalog name be used in a procedure call statement?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsCatalogsInTableDefinitions

 public abstract boolean supportsCatalogsInTableDefinitions() throws SQLException

Can a catalog name be used in a table definition statement?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsColumnAliasing

 public abstract boolean supportsColumnAliasing() throws SQLException

Is column aliasing supported?

If so, the SQL AS clause can be used to provide names for computed columns or to provide alias names for columns as required. A JDBC-Compliant driver always returns true.

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsConvert

 public abstract boolean supportsConvert() throws SQLException

Is the CONVERT function between SQL types supported?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsConvert

 public abstract boolean supportsConvert(int fromType,
                                         int toType) throws SQLException

Is CONVERT between the given SQL types supported?

Parameters:

fromType - the type to convert from

toType - the type to convert to

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

See Also:

Types

 supportsCoreSQLGrammar

 public abstract boolean supportsCoreSQLGrammar() throws SQLException

Is the ODBC Core SQL grammar supported?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsCorrelatedSubqueries

 public abstract boolean supportsCorrelatedSubqueries() throws SQLException

Are correlated subqueries supported? A JDBC-Compliant driver always returns true.

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsDataDefinitionAndDataManipulationTransactions

 public abstract boolean supportsDataDefinitionAndDataManipulationTransactions() throws SQLException

Are both data definition and data manipulation statements within a transaction supported?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsDataManipulationTransactionsOnly

 public abstract boolean supportsDataManipulationTransactionsOnly() throws SQLException

Are only data manipulation statements within a transaction supported?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsDifferentTableCorrelationNames

 public abstract boolean supportsDifferentTableCorrelationNames() throws SQLException

If table correlation names are supported, are they restricted to be different from the names of the tables?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsExpressionsInOrderBy

 public abstract boolean supportsExpressionsInOrderBy() throws SQLException

Are expressions in "ORDER BY" lists supported?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsExtendedSQLGrammar

 public abstract boolean supportsExtendedSQLGrammar() throws SQLException

Is the ODBC Extended SQL grammar supported?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsFullOuterJoins

 public abstract boolean supportsFullOuterJoins() throws SQLException

Are full nested outer joins supported?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsGroupBy

 public abstract boolean supportsGroupBy() throws SQLException

Is some form of "GROUP BY" clause supported?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsGroupByBeyondSelect

 public abstract boolean supportsGroupByBeyondSelect() throws SQLException

Can a "GROUP BY" clause add columns not in the SELECT provided it specifies all the columns in the SELECT?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsGroupByUnrelated

 public abstract boolean supportsGroupByUnrelated() throws SQLException

Can a "GROUP BY" clause use columns not in the SELECT?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsIntegrityEnhancementFacility

 public abstract boolean supportsIntegrityEnhancementFacility() throws SQLException

Is the SQL Integrity Enhancement Facility supported?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsLikeEscapeClause

 public abstract boolean supportsLikeEscapeClause() throws SQLException

Is the escape character in "LIKE" clauses supported? A JDBC-Compliant driver always returns true.

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsLimitedOuterJoins

 public abstract boolean supportsLimitedOuterJoins() throws SQLException

Is there limited support for outer joins? (This will be true if supportFullOuterJoins is true.)

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsMinimumSQLGrammar

 public abstract boolean supportsMinimumSQLGrammar() throws SQLException

Is the ODBC Minimum SQL grammar supported? All JDBC-Compliant drivers must return true.

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsMixedCaseIdentifiers

 public abstract boolean supportsMixedCaseIdentifiers() throws SQLException

Does the database treat mixed case unquoted SQL identifiers as case sensitive and as a result store them in mixed case? A JDBC-Compliant driver will always return false.

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsMixedCaseQuotedIdentifiers

 public abstract boolean supportsMixedCaseQuotedIdentifiers() throws SQLException

Does the database treat mixed case quoted SQL identifiers as case sensitive and as a result store them in mixed case? A JDBC-Compliant driver will always return true.

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsMultipleResultSets

 public abstract boolean supportsMultipleResultSets() throws SQLException

Are multiple ResultSets from a single execute supported?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsMultipleTransactions

 public abstract boolean supportsMultipleTransactions() throws SQLException

Can we have multiple transactions open at once (on different connections)?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsNonNullableColumns

 public abstract boolean supportsNonNullableColumns() throws SQLException

Can columns be defined as non-nullable? A JDBC-Compliant driver always returns true.

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsOpenCursorsAcrossCommit

 public abstract boolean supportsOpenCursorsAcrossCommit() throws SQLException

Can cursors remain open across commits?

Returns:

true if cursors always remain open; false if they might not remain open

Throws: SQLException

if a database-access error occurs.

 supportsOpenCursorsAcrossRollback

 public abstract boolean supportsOpenCursorsAcrossRollback() throws SQLException

Can cursors remain open across rollbacks?

Returns:

true if cursors always remain open; false if they might not remain open

Throws: SQLException

if a database-access error occurs.

 supportsOpenStatementsAcrossCommit

 public abstract boolean supportsOpenStatementsAcrossCommit() throws SQLException

Can statements remain open across commits?

Returns:

true if statements always remain open; false if they might not remain open

Throws: SQLException

if a database-access error occurs.

 supportsOpenStatementsAcrossRollback

 public abstract boolean supportsOpenStatementsAcrossRollback() throws SQLException

Can statements remain open across rollbacks?

Returns:

true if statements always remain open; false if they might not remain open

Throws: SQLException

if a database-access error occurs.

 supportsOrderByUnrelated

 public abstract boolean supportsOrderByUnrelated() throws SQLException

Can an "ORDER BY" clause use columns not in the SELECT?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsOuterJoins

 public abstract boolean supportsOuterJoins() throws SQLException

Is some form of outer join supported?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsPositionedDelete

 public abstract boolean supportsPositionedDelete() throws SQLException

Is positioned DELETE supported?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsPositionedUpdate

 public abstract boolean supportsPositionedUpdate() throws SQLException

Is positioned UPDATE supported?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsSchemasInDataManipulation

 public abstract boolean supportsSchemasInDataManipulation() throws SQLException

Can a schema name be used in a data manipulation statement?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsSchemasInIndexDefinitions

 public abstract boolean supportsSchemasInIndexDefinitions() throws SQLException

Can a schema name be used in an index definition statement?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsSchemasInPrivilegeDefinitions

 public abstract boolean supportsSchemasInPrivilegeDefinitions() throws SQLException

Can a schema name be used in a privilege definition statement?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsSchemasInProcedureCalls

 public abstract boolean supportsSchemasInProcedureCalls() throws SQLException

Can a schema name be used in a procedure call statement?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsSchemasInTableDefinitions

 public abstract boolean supportsSchemasInTableDefinitions() throws SQLException

Can a schema name be used in a table definition statement?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsSelectForUpdate

 public abstract boolean supportsSelectForUpdate() throws SQLException

Is SELECT for UPDATE supported?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsStoredProcedures

 public abstract boolean supportsStoredProcedures() throws SQLException

Are stored procedure calls using the stored procedure escape syntax supported?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsSubqueriesInComparisons

 public abstract boolean supportsSubqueriesInComparisons() throws SQLException

Are subqueries in comparison expressions supported? A JDBC-Compliant driver always returns true.

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsSubqueriesInExists

 public abstract boolean supportsSubqueriesInExists() throws SQLException

Are subqueries in 'exists' expressions supported? A JDBC-Compliant driver always returns true.

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsSubqueriesInIns

 public abstract boolean supportsSubqueriesInIns() throws SQLException

Are subqueries in 'in' statements supported? A JDBC-Compliant driver always returns true.

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsSubqueriesInQuantifieds

 public abstract boolean supportsSubqueriesInQuantifieds() throws SQLException

Are subqueries in quantified expressions supported? A JDBC-Compliant driver always returns true.

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsTableCorrelationNames

 public abstract boolean supportsTableCorrelationNames() throws SQLException

Are table correlation names supported? A JDBC-Compliant driver always returns true.

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsTransactionIsolationLevel

 public abstract boolean supportsTransactionIsolationLevel(int level) throws SQLException

Does the database support the given transaction isolation level?

Parameters:

level - the values are defined in java.sql.Connection

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

See Also:

Connection

 supportsTransactions

 public abstract boolean supportsTransactions() throws SQLException

Are transactions supported? If not, commit is a noop and the isolation level is TRANSACTION_NONE.

Returns:

true if transactions are supported

Throws: SQLException

if a database-access error occurs.

 supportsUnion

 public abstract boolean supportsUnion() throws SQLException

Is SQL UNION supported?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 supportsUnionAll

 public abstract boolean supportsUnionAll() throws SQLException

Is SQL UNION ALL supported?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 usesLocalFilePerTable

 public abstract boolean usesLocalFilePerTable() throws SQLException

Does the database use a file for each table?

Returns:

true if the database uses a local file for each table

Throws: SQLException

if a database-access error occurs.

 usesLocalFiles

 public abstract boolean usesLocalFiles() throws SQLException

Does the database store tables in a local file?

Returns:

true if so

Throws: SQLException

if a database-access error occurs.


 Interface java.sql.Driver

public interface Driver

The Java SQL framework allows for multiple database drivers.

Each driver should supply a class that implements the Driver interface.

The DriverManager will try to load as many drivers as it can find and then for any given connection request, it will ask each driver in turn to try to connect to the target URL.

It is strongly recommended that each Driver class should be small and standalone so that the Driver class can be loaded and queried without bringing in vast quantities of supporting code.

When a Driver class is loaded, it should create an instance of itself and register it with the DriverManager. This means that a user can load and register a driver by doing Class.forName("foo.bah.Driver").

     See Also:
     DriverManager, Connection

 acceptsURL(String)

Returns true if the driver thinks that it can open a connection to the given URL.

 connect(String, Properties)

Try to make a database connection to the given URL.

 getMajorVersion()

Get the driver's major version number.

 getMinorVersion()

Get the driver's minor version number.

 getPropertyInfo(String, Properties)

The getPropertyInfo method is intended to allow a generic GUI tool to discover what properties it should prompt a human for in order to get enough information to connect to a database.

 jdbcCompliant()

Report whether the Driver is a genuine JDBC COMPLIANT (tm) driver.

 acceptsURL

 public abstract boolean acceptsURL(String url) throws SQLException

Returns true if the driver thinks that it can open a connection to the given URL. Typically drivers will return true if they understand the subprotocol specified in the URL and false if they don't.

Parameters:

url - The URL of the database.

Returns:

True if this driver can connect to the given URL.

Throws: SQLException

if a database-access error occurs.

 connect

 public abstract Connection connect(String url,
                                    Properties info) throws SQLException

Try to make a database connection to the given URL. The driver should return "null" if it realizes it is the wrong kind of driver to connect to the given URL. This will be common, as when the JDBC driver manager is asked to connect to a given URL it passes the URL to each loaded driver in turn.

The driver should raise a SQLException if it is the right driver to connect to the given URL, but has trouble connecting to the database.

The java.util.Properties argument can be used to passed arbitrary string tag/value pairs as connection arguments. Normally at least "user" and "password" properties should be included in the Properties.

Parameters:

url - The URL of the database to connect to

info - a list of arbitrary string tag/value pairs as connection arguments; normally at least a "user" and "password" property should be included

Returns:

a Connection to the URL

Throws: SQLException

if a database-access error occurs.

 getMajorVersion

 public abstract int getMajorVersion()

Get the driver's major version number. Initially this should be 1.

 getMinorVersion

 public abstract int getMinorVersion()

Get the driver's minor version number. Initially this should be 0.

 getPropertyInfo

 public abstract DriverPropertyInfo[] getPropertyInfo(String url,
                                                      Properties info) throws SQLException

The getPropertyInfo method is intended to allow a generic GUI tool to discover what properties it should prompt a human for in order to get enough information to connect to a database. Note that depending on the values the human has supplied so far, additional values may become necessary, so it may be necessary to iterate though several calls to getPropertyInfo.

Parameters:

url - The URL of the database to connect to.

info - A proposed list of tag/value pairs that will be sent on connect open.

Returns:

An array of DriverPropertyInfo objects describing possible properties. This array may be an empty array if no properties are required.

Throws: SQLException

if a database-access error occurs.

 jdbcCompliant

 public abstract boolean jdbcCompliant()

Report whether the Driver is a genuine JDBC COMPLIANT (tm) driver. A driver may only report "true" here if it passes the JDBC compliance tests, otherwise it is required to return false. JDBC compliance requires full support for the JDBC API and full support for SQL 92 Entry Level. It is expected that JDBC compliant drivers will be available for all the major commercial databases. This method is not intended to encourage the development of non-JDBC compliant drivers, but is a recognition of the fact that some vendors are interested in using the JDBC API and framework for lightweight databases that do not support full database functionality, or for special databases such as document information retrieval where a SQL implementation may not be feasible.


 Interface java.sql.PreparedStatement

public interface PreparedStatement
   extends Statement

A SQL statement is pre-compiled and stored in a PreparedStatement object. This object can then be used to efficiently execute this statement multiple times.

Note: The setXXX methods for setting IN parameter values must specify types that are compatible with the defined SQL type of the input parameter. For instance, if the IN parameter has SQL type Integer then setInt should be used.

If arbitrary parameter type conversions are required then the setObject method should be used with a target SQL type.

     See Also:
     prepareStatement, ResultSet

 clearParameters()

In general, parameter values remain in force for repeated use of a Statement.

 execute()

Some prepared statements return multiple results; the execute method handles these complex statements as well as the simpler form of statements handled by executeQuery and executeUpdate.

 executeQuery()

A prepared SQL query is executed and its ResultSet is returned.

 executeUpdate()

Execute a SQL INSERT, UPDATE or DELETE statement.

 setAsciiStream(int, InputStream, int)

When a very large ASCII value is input to a LONGVARCHAR parameter, it may be more practical to send it via a java.io.InputStream.

 setBigDecimal(int, BigDecimal)

Set a parameter to a java.lang.BigDecimal value.

 setBinaryStream(int, InputStream, int)

When a very large binary value is input to a LONGVARBINARY parameter, it may be more practical to send it via a java.io.InputStream.

 setBoolean(int, boolean)

Set a parameter to a Java boolean value.

 setByte(int, byte)

Set a parameter to a Java byte value.

 setBytes(int, byte[])

Set a parameter to a Java array of bytes.

 setDate(int, Date)

Set a parameter to a java.sql.Date value.

 setDouble(int, double)

Set a parameter to a Java double value.

 setFloat(int, float)

Set a parameter to a Java float value.

 setInt(int, int)

Set a parameter to a Java int value.

 setLong(int, long)

Set a parameter to a Java long value.

 setNull(int, int)

Set a parameter to SQL NULL.

 setObject(int, Object)

Set the value of a parameter using an object; use the java.lang equivalent objects for integral values.

 setObject(int, Object, int)

This method is like setObject above, but assumes a scale of zero.

 setObject(int, Object, int, int)

Set the value of a parameter using an object; use the java.lang equivalent objects for integral values.

 setShort(int, short)

Set a parameter to a Java short value.

 setString(int, String)

Set a parameter to a Java String value.

 setTime(int, Time)

Set a parameter to a java.sql.Time value.

 setTimestamp(int, Timestamp)

Set a parameter to a java.sql.Timestamp value.

 setUnicodeStream(int, InputStream, int)

When a very large UNICODE value is input to a LONGVARCHAR parameter, it may be more practical to send it via a java.io.InputStream.

 clearParameters

 public abstract void clearParameters() throws SQLException

In general, parameter values remain in force for repeated use of a Statement. Setting a parameter value automatically clears its previous value. However, in some cases it is useful to immediately release the resources used by the current parameter values; this can be done by calling clearParameters.

Throws: SQLException

if a database-access error occurs.

 execute

 public abstract boolean execute() throws SQLException

Some prepared statements return multiple results; the execute method handles these complex statements as well as the simpler form of statements handled by executeQuery and executeUpdate.

Throws: SQLException

if a database-access error occurs.

See Also:

execute

 executeQuery

 public abstract ResultSet executeQuery() throws SQLException

A prepared SQL query is executed and its ResultSet is returned.

Returns:

a ResultSet that contains the data produced by the query; never null

Throws: SQLException

if a database-access error occurs.

 executeUpdate

 public abstract int executeUpdate() throws SQLException

Execute a SQL INSERT, UPDATE or DELETE statement. In addition, SQL statements that return nothing such as SQL DDL statements can be executed.

Returns:

either the row count for INSERT, UPDATE or DELETE; or 0 for SQL statements that return nothing

Throws: SQLException

if a database-access error occurs.

 setAsciiStream

 public abstract void setAsciiStream(int parameterIndex,
                                     InputStream x,
                                     int length) throws SQLException

When a very large ASCII value is input to a LONGVARCHAR parameter, it may be more practical to send it via a java.io.InputStream. JDBC will read the data from the stream as needed, until it reaches end-of-file. The JDBC driver will do any necessary conversion from ASCII to the database char format.

Note: This stream object can either be a standard Java stream object or your own subclass that implements the standard interface.

Parameters:

parameterIndex - the first parameter is 1, the second is 2, ...

x - the java input stream which contains the ASCII parameter value

length - the number of bytes in the stream

Throws: SQLException

if a database-access error occurs.

 setBigDecimal

 public abstract void setBigDecimal(int parameterIndex,
                                    BigDecimal x) throws SQLException

Set a parameter to a java.lang.BigDecimal value. The driver converts this to a SQL NUMERIC value when it sends it to the database.

Parameters:

parameterIndex - the first parameter is 1, the second is 2, ...

x - the parameter value

Throws: SQLException

if a database-access error occurs.

 setBinaryStream

 public abstract void setBinaryStream(int parameterIndex,
                                      InputStream x,
                                      int length) throws SQLException

When a very large binary value is input to a LONGVARBINARY parameter, it may be more practical to send it via a java.io.InputStream. JDBC will read the data from the stream as needed, until it reaches end-of-file.

Note: This stream object can either be a standard Java stream object or your own subclass that implements the standard interface.

Parameters:

parameterIndex - the first parameter is 1, the second is 2, ...

x - the java input stream which contains the binary parameter value

length - the number of bytes in the stream

Throws: SQLException

if a database-access error occurs.

 setBoolean

 public abstract void setBoolean(int parameterIndex,
                                 boolean x) throws SQLException

Set a parameter to a Java boolean value. The driver converts this to a SQL BIT value when it sends it to the database.

Parameters:

parameterIndex - the first parameter is 1, the second is 2, ...

x - the parameter value

Throws: SQLException

if a database-access error occurs.

 setByte

 public abstract void setByte(int parameterIndex,
                              byte x) throws SQLException

Set a parameter to a Java byte value. The driver converts this to a SQL TINYINT value when it sends it to the database.

Parameters:

parameterIndex - the first parameter is 1, the second is 2, ...

x - the parameter value

Throws: SQLException

if a database-access error occurs.

 setBytes

 public abstract void setBytes(int parameterIndex,
                               byte x[]) throws SQLException

Set a parameter to a Java array of bytes. The driver converts this to a SQL VARBINARY or LONGVARBINARY (depending on the argument's size relative to the driver's limits on VARBINARYs) when it sends it to the database.

Parameters:

parameterIndex - the first parameter is 1, the second is 2, ...

x - the parameter value

Throws: SQLException

if a database-access error occurs.

 setDate

 public abstract void setDate(int parameterIndex,
                              Date x) throws SQLException

Set a parameter to a java.sql.Date value. The driver converts this to a SQL DATE value when it sends it to the database.

Parameters:

parameterIndex - the first parameter is 1, the second is 2, ...

x - the parameter value

Throws: SQLException

if a database-access error occurs.

 setDouble

 public abstract void setDouble(int parameterIndex,
                                double x) throws SQLException

Set a parameter to a Java double value. The driver converts this to a SQL DOUBLE value when it sends it to the database.

Parameters:

parameterIndex - the first parameter is 1, the second is 2, ...

x - the parameter value

Throws: SQLException

if a database-access error occurs.

 setFloat

 public abstract void setFloat(int parameterIndex,
                               float x) throws SQLException

Set a parameter to a Java float value. The driver converts this to a SQL FLOAT value when it sends it to the database.

Parameters:

parameterIndex - the first parameter is 1, the second is 2, ...

x - the parameter value

Throws: SQLException

if a database-access error occurs.

 setInt

 public abstract void setInt(int parameterIndex,
                             int x) throws SQLException

Set a parameter to a Java int value. The driver converts this to a SQL INTEGER value when it sends it to the database.

Parameters:

parameterIndex - the first parameter is 1, the second is 2, ...

x - the parameter value

Throws: SQLException

if a database-access error occurs.

 setLong

 public abstract void setLong(int parameterIndex,
                              long x) throws SQLException

Set a parameter to a Java long value. The driver converts this to a SQL BIGINT value when it sends it to the database.

Parameters:

parameterIndex - the first parameter is 1, the second is 2, ...

x - the parameter value

Throws: SQLException

if a database-access error occurs.

 setNull

 public abstract void setNull(int parameterIndex,
                              int sqlType) throws SQLException

Set a parameter to SQL NULL.

Note: You must specify the parameter's SQL type.

Parameters:

parameterIndex - the first parameter is 1, the second is 2, ...

sqlType - SQL type code defined by java.sql.Types

Throws: SQLException

if a database-access error occurs.

 setObject

 public abstract void setObject(int parameterIndex,
                                Object x) throws SQLException

Set the value of a parameter using an object; use the java.lang equivalent objects for integral values.

The JDBC specification specifies a standard mapping from Java Object types to SQL types. The given argument java object will be converted to the corresponding SQL type before being sent to the database.

Note that this method may be used to pass datatabase specific abstract data types, by using a Driver specific Java type.

Parameters:

parameterIndex - The first parameter is 1, the second is 2, ...

x - The object containing the input parameter value

Throws: SQLException

if a database-access error occurs.

 setObject

 public abstract void setObject(int parameterIndex,
                                Object x,
                                int targetSqlType) throws SQLException

This method is like setObject above, but assumes a scale of zero.

Throws: SQLException

if a database-access error occurs.

 setObject

 public abstract void setObject(int parameterIndex,
                                Object x,
                                int targetSqlType,
                                int scale) throws SQLException

Set the value of a parameter using an object; use the java.lang equivalent objects for integral values.

The given Java object will be converted to the targetSqlType before being sent to the database.

Note that this method may be used to pass datatabase- specific abstract data types. This is done by using a Driver- specific Java type and using a targetSqlType of java.sql.types.OTHER.

Parameters:

parameterIndex - The first parameter is 1, the second is 2, ...

x - The object containing the input parameter value

targetSqlType - The SQL type (as defined in java.sql.Types) to be sent to the database. The scale argument may further qualify this type.

scale - For java.sql.Types.DECIMAL or java.sql.Types.NUMERIC types this is the number of digits after the decimal. For all other types this value will be ignored,

Throws: SQLException

if a database-access error occurs.

See Also:

Types

 setShort

 public abstract void setShort(int parameterIndex,
                               short x) throws SQLException

Set a parameter to a Java short value. The driver converts this to a SQL SMALLINT value when it sends it to the database.

Parameters:

parameterIndex - the first parameter is 1, the second is 2, ...

x - the parameter value

Throws: SQLException

if a database-access error occurs.

 setString

 public abstract void setString(int parameterIndex,
                                String x) throws SQLException

Set a parameter to a Java String value. The driver converts this to a SQL VARCHAR or LONGVARCHAR value (depending on the arguments size relative to the driver's limits on VARCHARs) when it sends it to the database.

Parameters:

parameterIndex - the first parameter is 1, the second is 2, ...

x - the parameter value

Throws: SQLException

if a database-access error occurs.

 setTime

 public abstract void setTime(int parameterIndex,
                              Time x) throws SQLException

Set a parameter to a java.sql.Time value. The driver converts this to a SQL TIME value when it sends it to the database.

Parameters:

parameterIndex - the first parameter is 1, the second is 2, ...

x - the parameter value

Throws: SQLException

if a database-access error occurs.

 setTimestamp

 public abstract void setTimestamp(int parameterIndex,
                                   Timestamp x) throws SQLException

Set a parameter to a java.sql.Timestamp value. The driver converts this to a SQL TIMESTAMP value when it sends it to the database.

Parameters:

parameterIndex - the first parameter is 1, the second is 2, ...

x - the parameter value

Throws: SQLException

if a database-access error occurs.

 setUnicodeStream

 public abstract void setUnicodeStream(int parameterIndex,
                                       InputStream x,
                                       int length) throws SQLException

When a very large UNICODE value is input to a LONGVARCHAR parameter, it may be more practical to send it via a java.io.InputStream. JDBC will read the data from the stream as needed, until it reaches end-of-file. The JDBC driver will do any necessary conversion from UNICODE to the database char format.

Note: This stream object can either be a standard Java stream object or your own subclass that implements the standard interface.

Parameters:

parameterIndex - the first parameter is 1, the second is 2, ...

x - the java input stream which contains the UNICODE parameter value

length - the number of bytes in the stream

Throws: SQLException

if a database-access error occurs.


 Interface java.sql.ResultSet

public interface ResultSet

A ResultSet provides access to a table of data generated by executing a Statement. The table rows are retrieved in sequence. Within a row its column values can be accessed in any order.

A ResultSet maintains a cursor pointing to its current row of data. Initially the cursor is positioned before the first row. The 'next' method moves the cursor to the next row.

The getXXX methods retrieve column values for the current row. You can retrieve values either using the index number of the column, or by using the name of the column. In general using the column index will be more efficient. Columns are numbered from 1.

For maximum portability, ResultSet columns within each row should be read in left-to-right order and each column should be read only once.

For the getXXX methods, the JDBC driver attempts to convert the underlying data to the specified Java type and returns a suitable Java value. See the JDBC specification for allowable mappings from SQL types to Java types with the ResultSet.getXXX methods.

Column names used as input to getXXX methods are case insensitive. When performing a getXXX using a column name, if several columns have the same name, then the value of the first matching column will be returned. The column name option is designed to be used when column names are used in the SQL query. For columns that are NOT explicitly named in the query, it is best to use column numbers. If column names were used there is no way for the programmer to guarantee that they actually refer to the intended columns.

A ResultSet is automatically closed by the Statement that generated it when that Statement is closed, re-executed, or is used to retrieve the next result from a sequence of multiple results.

The number, types and properties of a ResultSet's columns are provided by the ResulSetMetaData object returned by the getMetaData method.

     See Also:
     executeQuery, getResultSet, ResultSetMetaData

 clearWarnings()

After this call getWarnings returns null until a new warning is reported for this ResultSet.

 close()

In some cases, it is desirable to immediately release a ResultSet's database and JDBC resources instead of waiting for this to happen when it is automatically closed; the close method provides this immediate release.

 findColumn(String)

Map a Resultset column name to a ResultSet column index.

 getAsciiStream(int)

A column value can be retrieved as a stream of ASCII characters and then read in chunks from the stream.

 getAsciiStream(String)

A column value can be retrieved as a stream of ASCII characters and then read in chunks from the stream.

 getBigDecimal(int, int)

Get the value of a column in the current row as a java.lang.BigDecimal object.

 getBigDecimal(String, int)

Get the value of a column in the current row as a java.lang.BigDecimal object.

 getBinaryStream(int)

A column value can be retrieved as a stream of uninterpreted bytes and then read in chunks from the stream.

 getBinaryStream(String)

A column value can be retrieved as a stream of uninterpreted bytes and then read in chunks from the stream.

 getBoolean(int)

Get the value of a column in the current row as a Java boolean.

 getBoolean(String)

Get the value of a column in the current row as a Java boolean.

 getByte(int)

Get the value of a column in the current row as a Java byte.

 getByte(String)

Get the value of a column in the current row as a Java byte.

 getBytes(int)

Get the value of a column in the current row as a Java byte array.

 getBytes(String)

Get the value of a column in the current row as a Java byte array.

 getCursorName()

Get the name of the SQL cursor used by this ResultSet.

 getDate(int)

Get the value of a column in the current row as a java.sql.Date object.

 getDate(String)

Get the value of a column in the current row as a java.sql.Date object.

 getDouble(int)

Get the value of a column in the current row as a Java double.

 getDouble(String)

Get the value of a column in the current row as a Java double.

 getFloat(int)

Get the value of a column in the current row as a Java float.

 getFloat(String)

Get the value of a column in the current row as a Java float.

 getInt(int)

Get the value of a column in the current row as a Java int.

 getInt(String)

Get the value of a column in the current row as a Java int.

 getLong(int)

Get the value of a column in the current row as a Java long.

 getLong(String)

Get the value of a column in the current row as a Java long.

 getMetaData()

The number, types and properties of a ResultSet's columns are provided by the getMetaData method.

 getObject(int)

Get the value of a column in the current row as a Java object.

 getObject(String)

Get the value of a column in the current row as a Java object.

 getShort(int)

Get the value of a column in the current row as a Java short.

 getShort(String)

Get the value of a column in the current row as a Java short.

 getString(int)

Get the value of a column in the current row as a Java String.

 getString(String)

Get the value of a column in the current row as a Java String.

 getTime(int)

Get the value of a column in the current row as a java.sql.Time object.

 getTime(String)

Get the value of a column in the current row as a java.sql.Time object.

 getTimestamp(int)

Get the value of a column in the current row as a java.sql.Timestamp object.

 getTimestamp(String)

Get the value of a column in the current row as a java.sql.Timestamp object.

 getUnicodeStream(int)

A column value can be retrieved as a stream of Unicode characters and then read in chunks from the stream.

 getUnicodeStream(String)

A column value can be retrieved as a stream of Unicode characters and then read in chunks from the stream.

 getWarnings()

The first warning reported by calls on this ResultSet is returned.

 next()

A ResultSet is initially positioned before its first row; the first call to next makes the first row the current row; the second call makes the second row the current row, etc.

 wasNull()

A column may have the value of SQL NULL; wasNull reports whether the last column read had this special value.

 clearWarnings

 public abstract void clearWarnings() throws SQLException

After this call getWarnings returns null until a new warning is reported for this ResultSet.

Throws: SQLException

if a database-access error occurs.

 close

 public abstract void close() throws SQLException

In some cases, it is desirable to immediately release a ResultSet's database and JDBC resources instead of waiting for this to happen when it is automatically closed; the close method provides this immediate release.

Note: A ResultSet is automatically closed by the Statement that generated it when that Statement is closed, re-executed, or is used to retrieve the next result from a sequence of multiple results. A ResultSet is also automatically closed when it is garbage collected.

Throws: SQLException

if a database-access error occurs.

 findColumn

 public abstract int findColumn(String columnName) throws SQLException

Map a Resultset column name to a ResultSet column index.

Parameters:

columnName - the name of the column

Returns:

the column index

Throws: SQLException

if a database-access error occurs.

 getAsciiStream

 public abstract InputStream getAsciiStream(int columnIndex) throws SQLException

A column value can be retrieved as a stream of ASCII characters and then read in chunks from the stream. This method is particularly suitable for retrieving large LONGVARCHAR values. The JDBC driver will do any necessary conversion from the database format into ASCII.

Note: All the data in the returned stream must be read prior to getting the value of any other column. The next call to a get method implicitly closes the stream. . Also, a stream may return 0 for available() whether there is data available or not.

Parameters:

columnIndex - the first column is 1, the second is 2, ...

Returns:

a Java input stream that delivers the database column value as a stream of one byte ASCII characters. If the value is SQL NULL then the result is null.

Throws: SQLException

if a database-access error occurs.

 getAsciiStream

 public abstract InputStream getAsciiStream(String columnName) throws SQLException

A column value can be retrieved as a stream of ASCII characters and then read in chunks from the stream. This method is particularly suitable for retrieving large LONGVARCHAR values. The JDBC driver will do any necessary conversion from the database format into ASCII.

Note: All the data in the returned stream must be read prior to getting the value of any other column. The next call to a get method implicitly closes the stream.

Parameters:

columnName - is the SQL name of the column

Returns:

a Java input stream that delivers the database column value as a stream of one byte ASCII characters. If the value is SQL NULL then the result is null.

Throws: SQLException

if a database-access error occurs.

 getBigDecimal

 public abstract BigDecimal getBigDecimal(int columnIndex,
                                          int scale) throws SQLException

Get the value of a column in the current row as a java.lang.BigDecimal object.

Parameters:

columnIndex - the first column is 1, the second is 2, ...

scale - the number of digits to the right of the decimal

Returns:

the column value; if the value is SQL NULL, the result is null

Throws: SQLException

if a database-access error occurs.

 getBigDecimal

 public abstract BigDecimal getBigDecimal(String columnName,
                                          int scale) throws SQLException

Get the value of a column in the current row as a java.lang.BigDecimal object.

Parameters:

columnName - is the SQL name of the column

scale - the number of digits to the right of the decimal

Returns:

the column value; if the value is SQL NULL, the result is null

Throws: SQLException

if a database-access error occurs.

 getBinaryStream

 public abstract InputStream getBinaryStream(int columnIndex) throws SQLException

A column value can be retrieved as a stream of uninterpreted bytes and then read in chunks from the stream. This method is particularly suitable for retrieving large LONGVARBINARY values.

Note: All the data in the returned stream must be read prior to getting the value of any other column. The next call to a get method implicitly closes the stream. Also, a stream may return 0 for available() whether there is data available or not.

Parameters:

columnIndex - the first column is 1, the second is 2, ...

Returns:

a Java input stream that delivers the database column value as a stream of uninterpreted bytes. If the value is SQL NULL then the result is null.

Throws: SQLException

if a database-access error occurs.

 getBinaryStream

 public abstract InputStream getBinaryStream(String columnName) throws SQLException

A column value can be retrieved as a stream of uninterpreted bytes and then read in chunks from the stream. This method is particularly suitable for retrieving large LONGVARBINARY values.

Note: All the data in the returned stream must be read prior to getting the value of any other column. The next call to a get method implicitly closes the stream.

Parameters:

columnName - is the SQL name of the column

Returns:

a Java input stream that delivers the database column value as a stream of uninterpreted bytes. If the value is SQL NULL then the result is null.

Throws: SQLException

if a database-access error occurs.

 getBoolean

 public abstract boolean getBoolean(int columnIndex) throws SQLException

Get the value of a column in the current row as a Java boolean.

Parameters:

columnIndex - the first column is 1, the second is 2, ...

Returns:

the column value; if the value is SQL NULL, the result is false

Throws: SQLException

if a database-access error occurs.

 getBoolean

 public abstract boolean getBoolean(String columnName) throws SQLException

Get the value of a column in the current row as a Java boolean.

Parameters:

columnName - is the SQL name of the column

Returns:

the column value; if the value is SQL NULL, the result is false

Throws: SQLException

if a database-access error occurs.

 getByte

 public abstract byte getByte(int columnIndex) throws SQLException

Get the value of a column in the current row as a Java byte.

Parameters:

columnIndex - the first column is 1, the second is 2, ...

Returns:

the column value; if the value is SQL NULL, the result is 0

Throws: SQLException

if a database-access error occurs.

 getByte

 public abstract byte getByte(String columnName) throws SQLException

Get the value of a column in the current row as a Java byte.

Parameters:

columnName - is the SQL name of the column

Returns:

the column value; if the value is SQL NULL, the result is 0

Throws: SQLException

if a database-access error occurs.

 getBytes

 public abstract byte[] getBytes(int columnIndex) throws SQLException

Get the value of a column in the current row as a Java byte array. The bytes represent the raw values returned by the driver.

Parameters:

columnIndex - the first column is 1, the second is 2, ...

Returns:

the column value; if the value is SQL NULL, the result is null

Throws: SQLException

if a database-access error occurs.

 getBytes

 public abstract byte[] getBytes(String columnName) throws SQLException

Get the value of a column in the current row as a Java byte array. The bytes represent the raw values returned by the driver.

Parameters:

columnName - is the SQL name of the column

Returns:

the column value; if the value is SQL NULL, the result is null

Throws: SQLException

if a database-access error occurs.

 getCursorName

 public abstract String getCursorName() throws SQLException

Get the name of the SQL cursor used by this ResultSet.

In SQL, a result table is retrieved through a cursor that is named. The current row of a result can be updated or deleted using a positioned update/delete statement that references the cursor name.

JDBC supports this SQL feature by providing the name of the SQL cursor used by a ResultSet. The current row of a ResultSet is also the current row of this SQL cursor.

Note: If positioned update is not supported a SQLException is thrown

Returns:

the ResultSet's SQL cursor name

Throws: SQLException

if a database-access error occurs.

 getDate

 public abstract Date getDate(int columnIndex) throws SQLException

Get the value of a column in the current row as a java.sql.Date object.

Parameters:

columnIndex - the first column is 1, the second is 2, ...

Returns:

the column value; if the value is SQL NULL, the result is null

Throws: SQLException

if a database-access error occurs.

 getDate

 public abstract Date getDate(String columnName) throws SQLException

Get the value of a column in the current row as a java.sql.Date object.

Parameters:

columnName - is the SQL name of the column

Returns:

the column value; if the value is SQL NULL, the result is null

Throws: SQLException

if a database-access error occurs.

 getDouble

 public abstract double getDouble(int columnIndex) throws SQLException

Get the value of a column in the current row as a Java double.

Parameters:

columnIndex - the first column is 1, the second is 2, ...

Returns:

the column value; if the value is SQL NULL, the result is 0

Throws: SQLException

if a database-access error occurs.

 getDouble

 public abstract double getDouble(String columnName) throws SQLException

Get the value of a column in the current row as a Java double.

Parameters:

columnName - is the SQL name of the column

Returns:

the column value; if the value is SQL NULL, the result is 0

Throws: SQLException

if a database-access error occurs.

 getFloat

 public abstract float getFloat(int columnIndex) throws SQLException

Get the value of a column in the current row as a Java float.

Parameters:

columnIndex - the first column is 1, the second is 2, ...

Returns:

the column value; if the value is SQL NULL, the result is 0

Throws: SQLException

if a database-access error occurs.

 getFloat

 public abstract float getFloat(String columnName) throws SQLException

Get the value of a column in the current row as a Java float.

Parameters:

columnName - is the SQL name of the column

Returns:

the column value; if the value is SQL NULL, the result is 0

Throws: SQLException

if a database-access error occurs.

 getInt

 public abstract int getInt(int columnIndex) throws SQLException

Get the value of a column in the current row as a Java int.

Parameters:

columnIndex - the first column is 1, the second is 2, ...

Returns:

the column value; if the value is SQL NULL, the result is 0

Throws: SQLException

if a database-access error occurs.

 getInt

 public abstract int getInt(String columnName) throws SQLException

Get the value of a column in the current row as a Java int.

Parameters:

columnName - is the SQL name of the column

Returns:

the column value; if the value is SQL NULL, the result is 0

Throws: SQLException

if a database-access error occurs.

 getLong

 public abstract long getLong(int columnIndex) throws SQLException

Get the value of a column in the current row as a Java long.

Parameters:

columnIndex - the first column is 1, the second is 2, ...

Returns:

the column value; if the value is SQL NULL, the result is 0

Throws: SQLException

if a database-access error occurs.

 getLong

 public abstract long getLong(String columnName) throws SQLException

Get the value of a column in the current row as a Java long.

Parameters:

columnName - is the SQL name of the column

Returns:

the column value; if the value is SQL NULL, the result is 0

Throws: SQLException

if a database-access error occurs.

 getMetaData

 public abstract ResultSetMetaData getMetaData() throws SQLException

The number, types and properties of a ResultSet's columns are provided by the getMetaData method.

Returns:

the description of a ResultSet's columns

Throws: SQLException

if a database-access error occurs.

 getObject

 public abstract Object getObject(int columnIndex) throws SQLException

Get the value of a column in the current row as a Java object.

This method will return the value of the given column as a Java object. The type of the Java object will be the default Java Object type corresponding to the column's SQL type, following the mapping specified in the JDBC spec.

This method may also be used to read datatabase specific abstract data types.

Parameters:

columnIndex - the first column is 1, the second is 2, ...

Returns:

A java.lang.Object holding the column value.

Throws: SQLException

if a database-access error occurs.

 getObject

 public abstract Object getObject(String columnName) throws SQLException

Get the value of a column in the current row as a Java object.

This method will return the value of the given column as a Java object. The type of the Java object will be the default Java Object type corresponding to the column's SQL type, following the mapping specified in the JDBC spec.

This method may also be used to read datatabase specific abstract data types.

Parameters:

columnName - is the SQL name of the column

Returns:

A java.lang.Object holding the column value.

Throws: SQLException

if a database-access error occurs.

 getShort

 public abstract short getShort(int columnIndex) throws SQLException

Get the value of a column in the current row as a Java short.

Parameters:

columnIndex - the first column is 1, the second is 2, ...

Returns:

the column value; if the value is SQL NULL, the result is 0

Throws: SQLException

if a database-access error occurs.

 getShort

 public abstract short getShort(String columnName) throws SQLException

Get the value of a column in the current row as a Java short.

Parameters:

columnName - is the SQL name of the column

Returns:

the column value; if the value is SQL NULL, the result is 0

Throws: SQLException

if a database-access error occurs.

 getString

 public abstract String getString(int columnIndex) throws SQLException

Get the value of a column in the current row as a Java String.

Parameters:

columnIndex - the first column is 1, the second is 2, ...

Returns:

the column value; if the value is SQL NULL, the result is null

Throws: SQLException

if a database-access error occurs.

 getString

 public abstract String getString(String columnName) throws SQLException

Get the value of a column in the current row as a Java String.

Parameters:

columnName - is the SQL name of the column

Returns:

the column value; if the value is SQL NULL, the result is null

Throws: SQLException

if a database-access error occurs.

 getTime

 public abstract Time getTime(int columnIndex) throws SQLException

Get the value of a column in the current row as a java.sql.Time object.

Parameters:

columnIndex - the first column is 1, the second is 2, ...

Returns:

the column value; if the value is SQL NULL, the result is null

Throws: SQLException

if a database-access error occurs.

 getTime

 public abstract Time getTime(String columnName) throws SQLException

Get the value of a column in the current row as a java.sql.Time object.

Parameters:

columnName - is the SQL name of the column

Returns:

the column value; if the value is SQL NULL, the result is null

Throws: SQLException

if a database-access error occurs.

 getTimestamp

 public abstract Timestamp getTimestamp(int columnIndex) throws SQLException

Get the value of a column in the current row as a java.sql.Timestamp object.

Parameters:

columnIndex - the first column is 1, the second is 2, ...

Returns:

the column value; if the value is SQL NULL, the result is null

Throws: SQLException

if a database-access error occurs.

 getTimestamp

 public abstract Timestamp getTimestamp(String columnName) throws SQLException

Get the value of a column in the current row as a java.sql.Timestamp object.

Parameters:

columnName - is the SQL name of the column

Returns:

the column value; if the value is SQL NULL, the result is null

Throws: SQLException

if a database-access error occurs.

 getUnicodeStream

 public abstract InputStream getUnicodeStream(int columnIndex) throws SQLException

A column value can be retrieved as a stream of Unicode characters and then read in chunks from the stream. This method is particularly suitable for retrieving large LONGVARCHAR values. The JDBC driver will do any necessary conversion from the database format into Unicode.

Note: All the data in the returned stream must be read prior to getting the value of any other column. The next call to a get method implicitly closes the stream. . Also, a stream may return 0 for available() whether there is data available or not.

Parameters:

columnIndex - the first column is 1, the second is 2, ...

Returns:

a Java input stream that delivers the database column value as a stream of two byte Unicode characters. If the value is SQL NULL then the result is null.

Throws: SQLException

if a database-access error occurs.

 getUnicodeStream

 public abstract InputStream getUnicodeStream(String columnName) throws SQLException

A column value can be retrieved as a stream of Unicode characters and then read in chunks from the stream. This method is particularly suitable for retrieving large LONGVARCHAR values. The JDBC driver will do any necessary conversion from the database format into Unicode.

Note: All the data in the returned stream must be read prior to getting the value of any other column. The next call to a get method implicitly closes the stream.

Parameters:

columnName - is the SQL name of the column

Returns:

a Java input stream that delivers the database column value as a stream of two byte Unicode characters. If the value is SQL NULL then the result is null.

Throws: SQLException

if a database-access error occurs.

 getWarnings

 public abstract SQLWarning getWarnings() throws SQLException

The first warning reported by calls on this ResultSet is returned. Subsequent ResultSet warnings will be chained to this SQLWarning.

The warning chain is automatically cleared each time a new row is read.

Note: This warning chain only covers warnings caused by ResultSet methods. Any warning caused by statement methods (such as reading OUT parameters) will be chained on the Statement object.

Returns:

the first SQLWarning or null

Throws: SQLException

if a database-access error occurs.

 next

 public abstract boolean next() throws SQLException

A ResultSet is initially positioned before its first row; the first call to next makes the first row the current row; the second call makes the second row the current row, etc.

If an input stream from the previous row is open, it is implicitly closed. The ResultSet's warning chain is cleared when a new row is read.

Returns:

true if the new current row is valid; false if there are no more rows

Throws: SQLException

if a database-access error occurs.

 wasNull

 public abstract boolean wasNull() throws SQLException

A column may have the value of SQL NULL; wasNull reports whether the last column read had this special value. Note that you must first call getXXX on a column to try to read its value and then call wasNull() to find if the value was the SQL NULL.

Returns:

true if last column read was SQL NULL

Throws: SQLException

if a database-access error occurs.


 Interface java.sql.ResultSetMetaData

public interface ResultSetMetaData

A ResultSetMetaData object can be used to find out about the types and properties of the columns in a ResultSet.

 columnNoNulls

Does not allow NULL values.

 columnNullable

Allows NULL values.

 columnNullableUnknown

Nullability unknown.

 getCatalogName(int)

What's a column's table's catalog name?

 getColumnCount()

What's the number of columns in the ResultSet?

 getColumnDisplaySize(int)

What's the column's normal max width in chars?

 getColumnLabel(int)

What's the suggested column title for use in printouts and displays?

 getColumnName(int)

What's a column's name?

 getColumnType(int)

What's a column's SQL type?

 getColumnTypeName(int)

What's a column's data source specific type name?

 getPrecision(int)

What's a column's number of decimal digits?

 getScale(int)

What's a column's number of digits to right of the decimal point?

 getSchemaName(int)

What's a column's table's schema?

 getTableName(int)

What's a column's table name?

 isAutoIncrement(int)

Is the column automatically numbered, thus read-only?

 isCaseSensitive(int)

Does a column's case matter?

 isCurrency(int)

Is the column a cash value?

 isDefinitelyWritable(int)

Will a write on the column definitely succeed?

 isNullable(int)

Can you put a NULL in this column?

 isReadOnly(int)

Is a column definitely not writable?

 isSearchable(int)

Can the column be used in a where clause?

 isSigned(int)

Is the column a signed number?

 isWritable(int)

Is it possible for a write on the column to succeed?

 columnNoNulls

 public static final int columnNoNulls

Does not allow NULL values.

 columnNullable

 public static final int columnNullable

Allows NULL values.

 columnNullableUnknown

 public static final int columnNullableUnknown

Nullability unknown.

 getCatalogName

 public abstract String getCatalogName(int column) throws SQLException

What's a column's table's catalog name?

Parameters:

column - the first column is 1, the second is 2, ...

Returns:

column name or "" if not applicable.

Throws: SQLException

if a database-access error occurs.

 getColumnCount

 public abstract int getColumnCount() throws SQLException

What's the number of columns in the ResultSet?

Returns:

the number

Throws: SQLException

if a database-access error occurs.

 getColumnDisplaySize

 public abstract int getColumnDisplaySize(int column) throws SQLException

What's the column's normal max width in chars?

Parameters:

column - the first column is 1, the second is 2, ...

Returns:

max width

Throws: SQLException

if a database-access error occurs.

 getColumnLabel

 public abstract String getColumnLabel(int column) throws SQLException

What's the suggested column title for use in printouts and displays?

Parameters:

column - the first column is 1, the second is 2, ...

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 getColumnName

 public abstract String getColumnName(int column) throws SQLException

What's a column's name?

Parameters:

column - the first column is 1, the second is 2, ...

Returns:

column name

Throws: SQLException

if a database-access error occurs.

 getColumnType

 public abstract int getColumnType(int column) throws SQLException

What's a column's SQL type?

Parameters:

column - the first column is 1, the second is 2, ...

Returns:

SQL type

Throws: SQLException

if a database-access error occurs.

See Also:

Types

 getColumnTypeName

 public abstract String getColumnTypeName(int column) throws SQLException

What's a column's data source specific type name?

Parameters:

column - the first column is 1, the second is 2, ...

Returns:

type name

Throws: SQLException

if a database-access error occurs.

 getPrecision

 public abstract int getPrecision(int column) throws SQLException

What's a column's number of decimal digits?

Parameters:

column - the first column is 1, the second is 2, ...

Returns:

precision

Throws: SQLException

if a database-access error occurs.

 getScale

 public abstract int getScale(int column) throws SQLException

What's a column's number of digits to right of the decimal point?

Parameters:

column - the first column is 1, the second is 2, ...

Returns:

scale

Throws: SQLException

if a database-access error occurs.

 getSchemaName

 public abstract String getSchemaName(int column) throws SQLException

What's a column's table's schema?

Parameters:

column - the first column is 1, the second is 2, ...

Returns:

schema name or "" if not applicable

Throws: SQLException

if a database-access error occurs.

 getTableName

 public abstract String getTableName(int column) throws SQLException

What's a column's table name?

Returns:

table name or "" if not applicable

Throws: SQLException

if a database-access error occurs.

 isAutoIncrement

 public abstract boolean isAutoIncrement(int column) throws SQLException

Is the column automatically numbered, thus read-only?

Parameters:

column - the first column is 1, the second is 2, ...

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 isCaseSensitive

 public abstract boolean isCaseSensitive(int column) throws SQLException

Does a column's case matter?

Parameters:

column - the first column is 1, the second is 2, ...

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 isCurrency

 public abstract boolean isCurrency(int column) throws SQLException

Is the column a cash value?

Parameters:

column - the first column is 1, the second is 2, ...

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 isDefinitelyWritable

 public abstract boolean isDefinitelyWritable(int column) throws SQLException

Will a write on the column definitely succeed?

Parameters:

column - the first column is 1, the second is 2, ...

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 isNullable

 public abstract int isNullable(int column) throws SQLException

Can you put a NULL in this column?

Parameters:

column - the first column is 1, the second is 2, ...

Returns:

columnNoNulls, columnNullable or columnNullableUnknown

Throws: SQLException

if a database-access error occurs.

 isReadOnly

 public abstract boolean isReadOnly(int column) throws SQLException

Is a column definitely not writable?

Parameters:

column - the first column is 1, the second is 2, ...

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 isSearchable

 public abstract boolean isSearchable(int column) throws SQLException

Can the column be used in a where clause?

Parameters:

column - the first column is 1, the second is 2, ...

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 isSigned

 public abstract boolean isSigned(int column) throws SQLException

Is the column a signed number?

Parameters:

column - the first column is 1, the second is 2, ...

Returns:

true if so

Throws: SQLException

if a database-access error occurs.

 isWritable

 public abstract boolean isWritable(int column) throws SQLException

Is it possible for a write on the column to succeed?

Parameters:

column - the first column is 1, the second is 2, ...

Returns:

true if so

Throws: SQLException

if a database-access error occurs.


 Interface java.sql.Statement

public interface Statement

A Statement object is used for executing a static SQL statement and obtaining the results produced by it.

Only one ResultSet per Statement can be open at any point in time. Therefore, if the reading of one ResultSet is interleaved with the reading of another, each must have been generated by different Statements. All statement execute methods implicitly close a statment's current ResultSet if an open one exists.

     See Also:
     createStatement, ResultSet

 cancel()

Cancel can be used by one thread to cancel a statement that is being executed by another thread.

 clearWarnings()

After this call, getWarnings returns null until a new warning is reported for this Statement.

 close()

In many cases, it is desirable to immediately release a Statements's database and JDBC resources instead of waiting for this to happen when it is automatically closed; the close method provides this immediate release.

 execute(String)

Execute a SQL statement that may return multiple results.

 executeQuery(String)

Execute a SQL statement that returns a single ResultSet.

 executeUpdate(String)

Execute a SQL INSERT, UPDATE or DELETE statement.

 getMaxFieldSize()

The maxFieldSize limit (in bytes) is the maximum amount of data returned for any column value; it only applies to BINARY, VARBINARY, LONGVARBINARY, CHAR, VARCHAR, and LONGVARCHAR columns.

 getMaxRows()

The maxRows limit is the maximum number of rows that a ResultSet can contain.

 getMoreResults()

getMoreResults moves to a Statement's next result.

 getQueryTimeout()

The queryTimeout limit is the number of seconds the driver will wait for a Statement to execute.

 getResultSet()

getResultSet returns the current result as a ResultSet.

 getUpdateCount()

getUpdateCount returns the current result as an update count; if the result is a ResultSet or there are no more results, -1 is returned.

 getWarnings()

The first warning reported by calls on this Statement is returned.

 setCursorName(String)

setCursorname defines the SQL cursor name that will be used by subsequent Statement execute methods.

 setEscapeProcessing(boolean)

If escape scanning is on (the default), the driver will do escape substitution before sending the SQL to the database.

 setMaxFieldSize(int)

The maxFieldSize limit (in bytes) is set to limit the size of data that can be returned for any column value; it only applies to BINARY, VARBINARY, LONGVARBINARY, CHAR, VARCHAR, and LONGVARCHAR fields.

 setMaxRows(int)

The maxRows limit is set to limit the number of rows that any ResultSet can contain.

 setQueryTimeout(int)

The queryTimeout limit is the number of seconds the driver will wait for a Statement to execute.

 cancel

 public abstract void cancel() throws SQLException

Cancel can be used by one thread to cancel a statement that is being executed by another thread.

Throws: SQLException

if a database-access error occurs.

 clearWarnings

 public abstract void clearWarnings() throws SQLException

After this call, getWarnings returns null until a new warning is reported for this Statement.

Throws: SQLException

if a database-access error occurs.

 close

 public abstract void close() throws SQLException

In many cases, it is desirable to immediately release a Statements's database and JDBC resources instead of waiting for this to happen when it is automatically closed; the close method provides this immediate release.

Note: A Statement is automatically closed when it is garbage collected. When a Statement is closed, its current ResultSet, if one exists, is also closed.

Throws: SQLException

if a database-access error occurs.

 execute

 public abstract boolean execute(String sql) throws SQLException

Execute a SQL statement that may return multiple results. Under some (uncommon) situations a single SQL statement may return multiple result sets and/or update counts. Normally you can ignore this, unless you're executing a stored procedure that you know may return multiple results, or unless you're dynamically executing an unknown SQL string. The "execute", "getMoreResults", "getResultSet" and "getUpdateCount" methods let you navigate through multiple results. The "execute" method executes a SQL statement and indicates the form of the first result. You can then use getResultSet or getUpdateCount to retrieve the result, and getMoreResults to move to any subsequent result(s).

Parameters:

sql - any SQL statement

Returns:

true if the next result is a ResultSet; false if it is an update count or there are no more results

Throws: SQLException

if a database-access error occurs.

See Also:

getResultSet, getUpdateCount, getMoreResults

 executeQuery

 public abstract ResultSet executeQuery(String sql) throws SQLException

Execute a SQL statement that returns a single ResultSet.

Parameters:

sql - typically this is a static SQL SELECT statement

Returns:

a ResultSet that contains the data produced by the query; never null

Throws: SQLException

if a database-access error occurs.

 executeUpdate

 public abstract int executeUpdate(String sql) throws SQLException

Execute a SQL INSERT, UPDATE or DELETE statement. In addition, SQL statements that return nothing such as SQL DDL statements can be executed.

Parameters:

sql - a SQL INSERT, UPDATE or DELETE statement or a SQL statement that returns nothing

Returns:

either the row count for INSERT, UPDATE or DELETE or 0 for SQL statements that return nothing

Throws: SQLException

if a database-access error occurs.

 getMaxFieldSize

 public abstract int getMaxFieldSize() throws SQLException

The maxFieldSize limit (in bytes) is the maximum amount of data returned for any column value; it only applies to BINARY, VARBINARY, LONGVARBINARY, CHAR, VARCHAR, and LONGVARCHAR columns. If the limit is exceeded, the excess data is silently discarded.

Returns:

the current max column size limit; zero means unlimited

Throws: SQLException

if a database-access error occurs.

 getMaxRows

 public abstract int getMaxRows() throws SQLException

The maxRows limit is the maximum number of rows that a ResultSet can contain. If the limit is exceeded, the excess rows are silently dropped.

Returns:

the current max row limit; zero means unlimited

Throws: SQLException

if a database-access error occurs.

 getMoreResults

 public abstract boolean getMoreResults() throws SQLException

getMoreResults moves to a Statement's next result. It returns true if this result is a ResultSet. getMoreResults also implicitly closes any current ResultSet obtained with getResultSet. There are no more results when (!getMoreResults() && (getUpdateCount() == -1)

Returns:

true if the next result is a ResultSet; false if it is an update count or there are no more results

Throws: SQLException

if a database-access error occurs.

See Also:

execute

 getQueryTimeout

 public abstract int getQueryTimeout() throws SQLException

The queryTimeout limit is the number of seconds the driver will wait for a Statement to execute. If the limit is exceeded, a SQLException is thrown.

Returns:

the current query timeout limit in seconds; zero means unlimited

Throws: SQLException

if a database-access error occurs.

 getResultSet

 public abstract ResultSet getResultSet() throws SQLException

getResultSet returns the current result as a ResultSet. It should only be called once per result.

Returns:

the current result as a ResultSet; null if the result is an update count or there are no more results

Throws: SQLException

if a database-access error occurs.

See Also:

execute

 getUpdateCount

 public abstract int getUpdateCount() throws SQLException

getUpdateCount returns the current result as an update count; if the result is a ResultSet or there are no more results, -1 is returned. It should only be called once per result.

Returns:

the current result as an update count; -1 if it is a ResultSet or there are no more results

Throws: SQLException

if a database-access error occurs.

See Also:

execute

 getWarnings

 public abstract SQLWarning getWarnings() throws SQLException

The first warning reported by calls on this Statement is returned. A Statment's execute methods clear its SQLWarning chain. Subsequent Statement warnings will be chained to this SQLWarning.

The warning chain is automatically cleared each time a statement is (re)executed.

Note: If you are processing a ResultSet then any warnings associated with ResultSet reads will be chained on the ResultSet object.

Returns:

the first SQLWarning or null

Throws: SQLException

if a database-access error occurs.

 setCursorName

 public abstract void setCursorName(String name) throws SQLException

setCursorname defines the SQL cursor name that will be used by subsequent Statement execute methods. This name can then be used in SQL positioned update/delete statements to identify the current row in the ResultSet generated by this statement. If the database doesn't support positioned update/delete, this method is a noop.

Note: By definition, positioned update/delete execution must be done by a different Statement than the one which generated the ResultSet being used for positioning. Also, cursor names must be unique within a Connection.

Parameters:

name - the new cursor name.

Throws: SQLException

if a database-access error occurs.

 setEscapeProcessing

 public abstract void setEscapeProcessing(boolean enable) throws SQLException

If escape scanning is on (the default), the driver will do escape substitution before sending the SQL to the database. Note: Since prepared statements have usually been parsed prior to making this call, disabling escape processing for prepared statements will like have no affect.

Parameters:

enable - true to enable; false to disable

Throws: SQLException

if a database-access error occurs.

 setMaxFieldSize

 public abstract void setMaxFieldSize(int max) throws SQLException

The maxFieldSize limit (in bytes) is set to limit the size of data that can be returned for any column value; it only applies to BINARY, VARBINARY, LONGVARBINARY, CHAR, VARCHAR, and LONGVARCHAR fields. If the limit is exceeded, the excess data is silently discarded. For maximum portability use values greater than 256.

Parameters:

max - the new max column size limit; zero means unlimited

Throws: SQLException

if a database-access error occurs.

 setMaxRows

 public abstract void setMaxRows(int max) throws SQLException

The maxRows limit is set to limit the number of rows that any ResultSet can contain. If the limit is exceeded, the excess rows are silently dropped.

Parameters:

max - the new max rows limit; zero means unlimited

Throws: SQLException

if a database-access error occurs.

 setQueryTimeout

 public abstract void setQueryTimeout(int seconds) throws SQLException

The queryTimeout limit is the number of seconds the driver will wait for a Statement to execute. If the limit is exceeded, a SQLException is thrown.

Parameters:

seconds - the new query timeout limit in seconds; zero means unlimited

Throws: SQLException

if a database-access error occurs.


 Class java.sql.Date

java.lang.Object
   |
   +----java.util.Date
           |
           +----java.sql.Date

public class Date
   extends Date

This class is a thin wrapper around java.util.Date that allows JDBC to identify this as a SQL DATE value. It adds formatting and parsing operations to support the JDBC escape syntax for date values.

 Date(int, int, int)

Construct a Date

 Date(long)

Construct a Date using a milliseconds time value

 getHours()

Returns the hour represented by this date.

 getMinutes()

Returns the number of minutes past the hour represented by this date.

 getSeconds()

Returns the number of seconds past the minute represented by this date.

 setHours(int)

Sets the hour of this date to the specified value.

 setMinutes(int)

Sets the minutes of this date to the specified value.

 setSeconds(int)

Sets the seconds of this date to the specified value.

 setTime(long)

Set a Date using a milliseconds time value

 toString()

Format a date in JDBC date escape format

 valueOf(String)

Convert a string in JDBC date escape format to a Date value

 Date

 public Date(int year,
             int month,
             int day)

Construct a Date

Parameters:

year - year-1900

month - 0 to 11

day - 1 to 31

 Date

 public Date(long date)

Construct a Date using a milliseconds time value

Parameters:

date - milliseconds since January 1, 1970, 00:00:00 GMT

 getHours

 public int getHours()

Returns the hour represented by this date.

Overrides:

getHours in class Date

 getMinutes

 public int getMinutes()

Returns the number of minutes past the hour represented by this date.

Overrides:

getMinutes in class Date

 getSeconds

 public int getSeconds()

Returns the number of seconds past the minute represented by this date.

Overrides:

getSeconds in class Date

 setHours

 public void setHours(int i)

Sets the hour of this date to the specified value.

Overrides:

setHours in class Date

 setMinutes

 public void setMinutes(int i)

Sets the minutes of this date to the specified value.

Overrides:

setMinutes in class Date

 setSeconds

 public void setSeconds(int i)

Sets the seconds of this date to the specified value.

Overrides:

setSeconds in class Date

 setTime

 public void setTime(long date)

Set a Date using a milliseconds time value

Parameters:

date - milliseconds since January 1, 1970, 00:00:00 GMT

Overrides:

setTime in class Date

 toString

 public String toString()

Format a date in JDBC date escape format

Returns:

a String in yyyy-mm-dd format

Overrides:

toString in class Date

 valueOf

 public static Date valueOf(String s)

Convert a string in JDBC date escape format to a Date value

Parameters:

s - date in format "yyyy-mm-dd"

Returns:

corresponding Date


 Class java.sql.DriverManager

java.lang.Object
   |
   +----java.sql.DriverManager

public class DriverManager
   extends Object

The DriverManager provides a basic service for managing a set of JDBC drivers.

As part of its initialization, the DriverManager class will attempt to load the driver classes referenced in the "jdbc.drivers" system property. This allows a user to customize the JDBC Drivers used by their applications. For example in your ~/.hotjava/properties file you might specify: jdbc.drivers=foo.bah.Driver:wombat.sql.Driver:bad.taste.ourDriver A program can also explicitly load JDBC drivers at any time. For example, the my.sql.Driver is loaded with the following statement: Class.forName("my.sql.Driver");

When getConnection is called the DriverManager will attempt to locate a suitable driver from amongst those loaded at initialization and those loaded explicitly using the same classloader as the current applet or application.

     See Also:
     Driver, Connection

 deregisterDriver(Driver)

Drop a Driver from the DriverManager's list.

 getConnection(String)

Attempt to establish a connection to the given database URL.

 getConnection(String, Properties)

Attempt to establish a connection to the given database URL.

 getConnection(String, String, String)

Attempt to establish a connection to the given database URL.

 getDriver(String)

Attempt to locate a driver that understands the given URL.

 getDrivers()

Return an Enumeration of all the currently loaded JDBC drivers which the current caller has access to.

 getLoginTimeout()

Get the maximum time in seconds that all drivers can wait when attempting to log in to a database.

 getLogStream()

Get the logging/tracing PrintStream that is used by the DriverManager and all drivers.

 println(String)

Print a message to the current JDBC log stream

 registerDriver(Driver)

A newly loaded driver class should call registerDriver to make itself known to the DriverManager.

 setLoginTimeout(int)

Set the maximum time in seconds that all drivers can wait when attempting to log in to a database.

 setLogStream(PrintStream)

Set the logging/tracing PrintStream that is used by the DriverManager and all drivers.

 deregisterDriver

 public static void deregisterDriver(Driver driver) throws SQLException

Drop a Driver from the DriverManager's list. Applets can only deregister Drivers from their own classloader.

Parameters:

driver - the JDBC Driver to drop

Throws: SQLException

if a database-access error occurs.

 getConnection

 public static synchronized Connection getConnection(String url) throws SQLException

Attempt to establish a connection to the given database URL. The DriverManager attempts to select an appropriate driver from the set of registered JDBC drivers.

Parameters:

url - a database url of the form jdbc:subprotocol:subname

Returns:

a Connection to the URL

Throws: SQLException

if a database-access error occurs.

 getConnection

 public static synchronized Connection getConnection(String url,
                                                     Properties info) throws SQLException

Attempt to establish a connection to the given database URL. The DriverManager attempts to select an appropriate driver from the set of registered JDBC drivers.

Parameters:

url - a database url of the form jdbc:subprotocol:subname

info - a list of arbitrary string tag/value pairs as connection arguments; normally at least a "user" and "password" property should be included

Returns:

a Connection to the URL

Throws: SQLException

if a database-access error occurs.

 getConnection

 public static synchronized Connection getConnection(String url,
                                                     String user,
                                                     String password) throws SQLException

Attempt to establish a connection to the given database URL. The DriverManager attempts to select an appropriate driver from the set of registered JDBC drivers.

Parameters:

url - a database url of the form jdbc:subprotocol:subname

user - the database user on whose behalf the Connection is being made

password - the user's password

Returns:

a Connection to the URL

Throws: SQLException

if a database-access error occurs.

 getDriver

 public static Driver getDriver(String url) throws SQLException

Attempt to locate a driver that understands the given URL. The DriverManager attempts to select an appropriate driver from the set of registered JDBC drivers.

Parameters:

url - a database url of the form jdbc:subprotocol:subname

Returns:

a Driver that can connect to the URL

Throws: SQLException

if a database-access error occurs.

 getDrivers

 public static Enumeration getDrivers()

Return an Enumeration of all the currently loaded JDBC drivers which the current caller has access to.

Note: The classname of a driver can be found using d.getClass().getName()

Returns:

the list of JDBC Drivers loaded by the caller's class loader

 getLoginTimeout

 public static int getLoginTimeout()

Get the maximum time in seconds that all drivers can wait when attempting to log in to a database.

Returns:

the driver login time limit

 getLogStream

 public static PrintStream getLogStream()

Get the logging/tracing PrintStream that is used by the DriverManager and all drivers.

Returns:

the logging/tracing PrintStream; if disabled, is null

 println

 public static void println(String message)

Print a message to the current JDBC log stream

Parameters:

message - a log or tracing message

 registerDriver

 public static synchronized void registerDriver(Driver driver) throws SQLException

A newly loaded driver class should call registerDriver to make itself known to the DriverManager.

Parameters:

driver - the new JDBC Driver

Throws: SQLException

if a database-access error occurs.

 setLoginTimeout

 public static void setLoginTimeout(int seconds)

Set the maximum time in seconds that all drivers can wait when attempting to log in to a database.

Parameters:

seconds - the driver login time limit

 setLogStream

 public static void setLogStream(PrintStream out)

Set the logging/tracing PrintStream that is used by the DriverManager and all drivers.

Parameters:

out - the new logging/tracing PrintStream; to disable, set to null


 Class java.sql.DriverPropertyInfo

java.lang.Object
   |
   +----java.sql.DriverPropertyInfo

public class DriverPropertyInfo
   extends Object

The DriverPropertyInfo class is only of interest to advanced programmers who need to interact with a Driver via getDriverProperties to discover and supply properties for connections.

 choices

If the value may be selected from a particular set of values, then this is an array of the possible values.

 description

A brief description of the property.

 name

The name of the property.

 required

"required" is true if a value must be supplied for this property during Driver.connect.

 value

"value" specifies the current value of the property, based on a combination of the information supplied to getPropertyInfo, the Java environment, and driver supplied default values.

 DriverPropertyInfo(String, String)

Constructor a DriverPropertyInfo with a name and value; other members default to their initial values.

 choices

 public String choices[]

If the value may be selected from a particular set of values, then this is an array of the possible values. Otherwise it should be null.

 description

 public String description

A brief description of the property. This may be null.

 name

 public String name

The name of the property.

 required

 public boolean required

"required" is true if a value must be supplied for this property during Driver.connect. Otherwise the property is optional.

 value

 public String value

"value" specifies the current value of the property, based on a combination of the information supplied to getPropertyInfo, the Java environment, and driver supplied default values. This may be null if no value is known.

 DriverPropertyInfo

 public DriverPropertyInfo(String name,
                           String value)

Constructor a DriverPropertyInfo with a name and value; other members default to their initial values.

Parameters:

name - the name of the property

value - the current value, which may be null


 Class java.sql.Time

java.lang.Object
   |
   +----java.util.Date
           |
           +----java.sql.Time

public class Time
   extends Date

This class is a thin wrapper around java.util.Date that allows JDBC to identify this as a SQL TIME value. It adds formatting and parsing operations to support the JDBC escape syntax for time values.

 Time(int, int, int)

Construct a Time Object

 Time(long)

Construct a Time using a milliseconds time value

 getDate()

Returns the day of the month represented by this date.

 getDay()

Returns the day of the week represented by this date.

 getMonth()

Returns the month represented by this date.

 getYear()

Returns the year represented by this date, minus 1900.

 setDate(int)

Sets the day of the month of this date to the specified value.

 setMonth(int)

Sets the month of this date to the specified value.

 setTime(long)

Set a Time using a milliseconds time value

 setYear(int)

Sets the year of this date to be the specified value plus 1900.

 toString()

Format a time in JDBC date escape format

 valueOf(String)

Convert a string in JDBC time escape format to a Time value

 Time

 public Time(int hour,
             int minute,
             int second)

Construct a Time Object

Parameters:

hour - 0 to 23

minute - 0 to 59

second - 0 to 59

 Time

 public Time(long time)

Construct a Time using a milliseconds time value

Parameters:

time - milliseconds since January 1, 1970, 00:00:00 GMT

 getDate

 public int getDate()

Returns the day of the month represented by this date.

Overrides:

getDate in class Date

 getDay

 public int getDay()

Returns the day of the week represented by this date.

Overrides:

getDay in class Date

 getMonth

 public int getMonth()

Returns the month represented by this date.

Overrides:

getMonth in class Date

 getYear

 public int getYear()

Returns the year represented by this date, minus 1900.

Overrides:

getYear in class Date

 setDate

 public void setDate(int i)

Sets the day of the month of this date to the specified value.

Overrides:

setDate in class Date

 setMonth

 public void setMonth(int i)

Sets the month of this date to the specified value.

Overrides:

setMonth in class Date

 setTime

 public void setTime(long time)

Set a Time using a milliseconds time value

Parameters:

time - milliseconds since January 1, 1970, 00:00:00 GMT

Overrides:

setTime in class Date

 setYear

 public void setYear(int i)

Sets the year of this date to be the specified value plus 1900.

Overrides:

setYear in class Date

 toString

 public String toString()

Format a time in JDBC date escape format

Returns:

a String in hh:mm:ss format

Overrides:

toString in class Date

 valueOf

 public static Time valueOf(String s)

Convert a string in JDBC time escape format to a Time value

Parameters:

s - time in format "hh:mm:ss"

Returns:

corresponding Time


 Class java.sql.Timestamp

java.lang.Object
   |
   +----java.util.Date
           |
           +----java.sql.Timestamp

public class Timestamp
   extends Date

This class is a thin wrapper around java.util.Date that allows JDBC to identify this as a SQL TIMESTAMP value. It adds the ability to hold the SQL TIMESTAMP nanos value and provides formatting and parsing operations to support the JDBC escape syntax for timestamp values.

Note: This type is a composite of a java.util.Date and a separate nanos value. Only integral seconds are stored in the java.util.Date component. The fractional seconds - the nanos - are separate. The getTime method will only return integral seconds. If a time value that includes the fractional seconds is desired you must convert nanos to milliseconds (nanos/1000000) and add this to the getTime value. Also note that the hashcode() method uses the underlying java.util.Data implementation and therefore does not include nanos in its computation.

 Timestamp(int, int, int, int, int, int, int)

Construct a Timestamp Object

 Timestamp(long)

Construct a Timestamp using a milliseconds time value.

 after(Timestamp)

Is this timestamp later than the timestamp argument?

 before(Timestamp)

Is this timestamp earlier than the timestamp argument?

 equals(Timestamp)

Test Timestamp values for equality

 getNanos()

Get the Timestamp's nanos value

 setNanos(int)

Set the Timestamp's nanos value

 toString()

Format a timestamp in JDBC timestamp escape format

 valueOf(String)

Convert a string in JDBC timestamp escape format to a Timestamp value

 Timestamp

 public Timestamp(int year,
                  int month,
                  int date,
                  int hour,
                  int minute,
                  int second,
                  int nano)

Construct a Timestamp Object

Parameters:

year - year-1900

month - 0 to 11

day - 1 to 31

hour - 0 to 23

minute - 0 to 59

second - 0 to 59

nano - 0 to 999,999,999

 Timestamp

 public Timestamp(long time)

Construct a Timestamp using a milliseconds time value. The integral seconds are stored in the underlying date value; the fractional seconds are stored in the nanos value.

Parameters:

time - milliseconds since January 1, 1970, 00:00:00 GMT

 after

 public boolean after(Timestamp ts)

Is this timestamp later than the timestamp argument?

Parameters:

ts - the Timestamp value to compare with

 before

 public boolean before(Timestamp ts)

Is this timestamp earlier than the timestamp argument?

Parameters:

ts - the Timestamp value to compare with

 equals

 public boolean equals(Timestamp ts)

Test Timestamp values for equality

Parameters:

ts - the Timestamp value to compare with

 getNanos

 public int getNanos()

Get the Timestamp's nanos value

Returns:

the Timestamp's fractional seconds component

 setNanos

 public void setNanos(int n)

Set the Timestamp's nanos value

Parameters:

n - the new fractional seconds component

 toString

 public String toString()

Format a timestamp in JDBC timestamp escape format

Returns:

a String in yyyy-mm-dd hh:mm:ss.fffffffff format

Overrides:

toString in class Date

 valueOf

 public static Timestamp valueOf(String s)

Convert a string in JDBC timestamp escape format to a Timestamp value

Parameters:

s - timestamp in format "yyyy-mm-dd hh:mm:ss.fffffffff"

Returns:

corresponding Timestamp


 Class java.sql.Types

java.lang.Object
   |
   +----java.sql.Types

public class Types
   extends Object

This class defines constants that are used to identify SQL types. The actual type constant values are equivalent to those in XOPEN.

 BIGINT

 BINARY

 BIT

 CHAR

 DATE

 DECIMAL

 DOUBLE

 FLOAT

 INTEGER

 LONGVARBINARY

 LONGVARCHAR

 NULL

 NUMERIC

 OTHER

OTHER indicates that the SQL type is database specific and gets mapped to a Java object which can be accessed via getObject and setObject.

 REAL

 SMALLINT

 TIME

 TIMESTAMP

 TINYINT

 VARBINARY

 VARCHAR

 BIGINT

 public static final int BIGINT

 BINARY

 public static final int BINARY

 BIT

 public static final int BIT

 CHAR

 public static final int CHAR

 DATE

 public static final int DATE

 DECIMAL

 public static final int DECIMAL

 DOUBLE

 public static final int DOUBLE

 FLOAT

 public static final int FLOAT

 INTEGER

 public static final int INTEGER

 LONGVARBINARY

 public static final int LONGVARBINARY

 LONGVARCHAR

 public static final int LONGVARCHAR

 NULL

 public static final int NULL

 NUMERIC

 public static final int NUMERIC

 OTHER

 public static final int OTHER

OTHER indicates that the SQL type is database specific and gets mapped to a Java object which can be accessed via getObject and setObject.

 REAL

 public static final int REAL

 SMALLINT

 public static final int SMALLINT

 TIME

 public static final int TIME

 TIMESTAMP

 public static final int TIMESTAMP

 TINYINT

 public static final int TINYINT

 VARBINARY

 public static final int VARBINARY

 VARCHAR

 public static final int VARCHAR


 Class java.sql.DataTruncation

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.sql.SQLException
                           |
                           +----java.sql.SQLWarning
                                   |
                                   +----java.sql.DataTruncation

public class DataTruncation
   extends SQLWarning

When JDBC unexpectedly truncates a data value, it reports a DataTruncation warning (on reads) or throws a DataTruncation exception (on writes).

The SQLstate for a DataTruncation is "01004".

 DataTruncation(int, boolean, boolean, int, int)

Create a DataTruncation object.

 getDataSize()

Get the number of bytes of data that should have been transferred.

 getIndex()

Get the index of the column or parameter that was truncated.

 getParameter()

Is this a truncated parameter value?

 getRead()

Was this a read truncation?

 getTransferSize()

Get the number of bytes of data actually transferred.

 DataTruncation

 public DataTruncation(int index,
                       boolean parameter,
                       boolean read,
                       int dataSize,
                       int transferSize)

Create a DataTruncation object. The SQLState is initialized to 01004, the reason is set to "Data truncation" and the vendorCode is set to the SQLException default.

Parameters:

index - The index of the parameter or column value

parameter - true if a parameter value was truncated

read - true if a read was truncated

dataSize - the original size of the data

transferSize - the size after truncation

 getDataSize

 public int getDataSize()

Get the number of bytes of data that should have been transferred. This number may be approximate if data conversions were being performed. The value may be "-1" if the size is unknown.

Returns:

the number of bytes of data that should have been transferred

 getIndex

 public int getIndex()

Get the index of the column or parameter that was truncated.

This may be -1 if the column or parameter index is unknown, in which case the "parameter" and "read" fields should be ignored.

Returns:

the index of the truncated paramter or column value.

 getParameter

 public boolean getParameter()

Is this a truncated parameter value?

Returns:

True if the value was a parameter; false if it was a column value.

 getRead

 public boolean getRead()

Was this a read truncation?

Returns:

True if the value was truncated when read from the database; false if the data was truncated on a write.

 getTransferSize

 public int getTransferSize()

Get the number of bytes of data actually transferred. The value may be "-1" if the size is unknown.

Returns:

the number of bytes of data actually transferred


 Class java.sql.SQLException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.sql.SQLException

public class SQLException
   extends Exception

The SQLException class provides information on a database access error.

Each SQLException provides several kinds of information:

•	a string describing the error. This is used as the Java Exception message, and is available via the getMesage() method

•	A "SQLstate" string which follows the XOPEN SQLstate conventions. The values of the SQLState string as described in the XOPEN SQL spec.

•	An integer error code that is vendor specific. Normally this will be the actual error code returned by the underlying database.

•	A chain to a next Exception. This can be used to provided additional error information.

 SQLException()

Construct an SQLException; reason defaults to null, SQLState defaults to null and vendorCode defaults to 0.

 SQLException(String)

Construct an SQLException with a reason; SQLState defaults to null and vendorCode defaults to 0.

 SQLException(String, String)

Construct an SQLException with a reason and SQLState; vendorCode defaults to 0.

 SQLException(String, String, int)

Construct a fully-specified SQLException

 getErrorCode()

Get the vendor specific exception code

 getNextException()

Get the exception chained to this one.

 getSQLState()

Get the SQLState

 setNextException(SQLException)

Add an SQLException to the end of the chain.

 SQLException

 public SQLException()

Construct an SQLException; reason defaults to null, SQLState defaults to null and vendorCode defaults to 0.

 SQLException

 public SQLException(String reason)

Construct an SQLException with a reason; SQLState defaults to null and vendorCode defaults to 0.

Parameters:

reason - a description of the exception

 SQLException

 public SQLException(String reason,
                     String SQLState)

Construct an SQLException with a reason and SQLState; vendorCode defaults to 0.

Parameters:

reason - a description of the exception

SQLState - an XOPEN code identifying the exception

 SQLException

 public SQLException(String reason,
                     String SQLState,
                     int vendorCode)

Construct a fully-specified SQLException

Parameters:

reason - a description of the exception

SQLState - an XOPEN code identifying the exception

vendorCode - a database vendor specific exception code

 getErrorCode

 public int getErrorCode()

Get the vendor specific exception code

Returns:

the vendor's error code

 getNextException

 public SQLException getNextException()

Get the exception chained to this one.

Returns:

the next SQLException in the chain, null if none

 getSQLState

 public String getSQLState()

Get the SQLState

Returns:

the SQLState value

 setNextException

 public synchronized void setNextException(SQLException ex)

Add an SQLException to the end of the chain.

Parameters:

ex - the new end of the SQLException chain


 Class java.sql.SQLWarning

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.sql.SQLException
                           |
                           +----java.sql.SQLWarning

public class SQLWarning
   extends SQLException

The SQLWarning class provides information on a database access warnings. Warnings are silently chained to the object whose method caused it to be reported.

     See Also:
     getWarnings, getWarnings, getWarnings

 SQLWarning()

Construct an SQLWarning ; reason defaults to null, SQLState defaults to null and vendorCode defaults to 0.

 SQLWarning(String)

Construct an SQLWarning with a reason; SQLState defaults to null and vendorCode defaults to 0.

 SQLWarning(String, String)

Construct an SQLWarning with a reason and SQLState; vendorCode defaults to 0.

 SQLWarning(String, String, int)

Construct a fully specified SQLWarning.

 getNextWarning()

Get the warning chained to this one

 setNextWarning(SQLWarning)

Add an SQLWarning to the end of the chain.

 SQLWarning

 public SQLWarning()

Construct an SQLWarning ; reason defaults to null, SQLState defaults to null and vendorCode defaults to 0.

 SQLWarning

 public SQLWarning(String reason)

Construct an SQLWarning with a reason; SQLState defaults to null and vendorCode defaults to 0.

Parameters:

reason - a description of the warning

 SQLWarning

 public SQLWarning(String reason,
                   String SQLstate)

Construct an SQLWarning with a reason and SQLState; vendorCode defaults to 0.

Parameters:

reason - a description of the warning

SQLState - an XOPEN code identifying the warning

 SQLWarning

 public SQLWarning(String reason,
                   String SQLstate,
                   int vendorCode)

Construct a fully specified SQLWarning.

Parameters:

reason - a description of the warning

SQLState - an XOPEN code identifying the warning

vendorCode - a database vendor specific warning code

 getNextWarning

 public SQLWarning getNextWarning()

Get the warning chained to this one

Returns:

the next SQLException in the chain, null if none

 setNextWarning

 public void setNextWarning(SQLWarning w)

Add an SQLWarning to the end of the chain.

Parameters:

w - the new end of the SQLException chain


 package java.text

   CharacterIterator

   BreakIterator
   ChoiceFormat
   CollationElementIterator
   CollationKey
   Collator
   DateFormat
   DateFormatSymbols
   DecimalFormat
   DecimalFormatSymbols
   FieldPosition
   Format
   MessageFormat
   NumberFormat
   ParsePosition
   RuleBasedCollator
   SimpleDateFormat
   StringCharacterIterator

   ParseException


 Interface java.text.CharacterIterator

public interface CharacterIterator
   extends Cloneable

This interface defines a protocol for bidirectional iteration over text. The iterator iterates over a bounded sequence of characters. Characters are indexed with values beginning with the value returned by getBeginIndex and continuing through the value returned by getEndIndex()-1. The index of the current character can be retrieved by calling getIndex. Calling setIndex will move the iterator to a new position within the sequence of characters. If at any time the iterator's current index moves outside the range of getBeginIndex and getEndIndex, previous() and next() will return DONE, signaling that the iterator has reached the end of the sequence.

Examples:

Traverse the text from start to finish

 public void traverseForward(CharacterIterator iter) {
     for(char c = iter.first(); c != CharacterIterator.DONE; c = iter.next()) {
         processChar(c);
     }
 }

Traverse the text backwards, from end to start

 public void traverseBackward(CharacterIterator iter) {
     for(char c = iter.last(); c != CharacterIterator.DONE; c = iter.prev()) {
         processChar(c);
     }
 }

Traverse both forward and backward from a given position in the text. Calls to notBoundary() in this example represents some additional stopping criteria.

 public void traverseOut(CharacterIterator iter, int pos) {
     for (char c = iter.setIndex(pos);
          c != CharacterIterator.DONE && notBoundary(c);
          c = iter.next()) {}
 int end = iter.getIndex();
 for (char c = iter.setIndex(pos);
     c != CharacterIterator.DONE && notBoundary(c);
     c = iter.prev()) {}
 int start = iter.getIndex();
 processSection(start,end);
 }

     See Also:
     StringCharacterIterator

 DONE

Constant that is returned when the iterator has reached either the end or the beginning of the text.

 clone()

Create a copy of this iterator

 current()

Get the character at the current position (as returned by getIndex()).

 first()

Set the position to getBeginIndex() and return the character at that position.

 getBeginIndex()

Return the start index of the text.

 getEndIndex()

Return the end index of the text.

 getIndex()

Return the current index.

 last()

Set the position to getEndIndex()-1, return the character at that position.

 next()

Increment the iterator's index by one and return the character at the new index.

 previous()

Decrement the iterator's index by one and return the character at the new index.

 setIndex(int)

Set the position to the specified position in the text and return that character.

 DONE

 public static final char DONE

Constant that is returned when the iterator has reached either the end or the beginning of the text. The unicode 2.0 standard states that '\\uFFFF' is an invalid unicode value and should not occur in any valid unicode string.

 clone

 public abstract Object clone()

Create a copy of this iterator

Returns:

A copy of this

Overrides:

clone in class Object

 current

 public abstract char current()

Get the character at the current position (as returned by getIndex()).

Returns:

the character at the current position or DONE if the current position is off the end of the text.

See Also:

getIndex

 first

 public abstract char first()

Set the position to getBeginIndex() and return the character at that position.

Returns:

the first character in the text

See Also:

getBeginIndex

 getBeginIndex

 public abstract int getBeginIndex()

Return the start index of the text.

Returns:

the index at which the text begins.

 getEndIndex

 public abstract int getEndIndex()

Return the end index of the text. This index is the index of the first character following the end of the text.

Returns:

the index at which the text end.

 getIndex

 public abstract int getIndex()

Return the current index.

Returns:

the current index.

 last

 public abstract char last()

Set the position to getEndIndex()-1, return the character at that position.

Returns:

the last character in the text

See Also:

getEndIndex

 next

 public abstract char next()

Increment the iterator's index by one and return the character at the new index. If the resulting index is greater or equal to getEndIndex(), the current index is reset to getEndIndex() and a value of DONE is returned.

Returns:

the character at the new position or DONE if the current position is off the end of the text.

 previous

 public abstract char previous()

Decrement the iterator's index by one and return the character at the new index. If the resulting index is less than getBeginIndex(), the current index is reset to getBeginIndex() and a value of DONE is returned.

Returns:

the character at the new position or DONE if the current position is off the end of the text.

 setIndex

 public abstract char setIndex(int position)

Set the position to the specified position in the text and return that character.

Parameters:

position - the position within the text. Valid values range from getBeginIndex() to getEndIndex() - 1. An IllegalArgumentException is thrown if an invalid value is supplied.

Returns:

the character at the specified position.


 Class java.text.BreakIterator

java.lang.Object
   |
   +----java.text.BreakIterator

public abstract class BreakIterator
   extends Object
   implements Cloneable, Serializable

The BreakIterator class implements methods for finding the location of boundaries in text. Instances of BreakIterator maintain a current position and scan over text returning the index of characters where boundaries occur. Internally, BreakIterator scans text using a CharacterIterator, and is thus able to scan text held by any object implementing that protocol. A StringCharacterIterator is used to scan String objects passed to setText.

You use the factory methods provided by this class to create instances of various types of break iterators. In particular, use getWordIterator, getLineIterator, getSentenceIterator, and getCharacterIterator to create BreakIterators that perform word, line, sentence, and character boundary analysis respectively. A single BreakIterator can work only on one unit (word, line, sentence, and so on). You must use a different iterator for each unit boundary analysis you wish to perform.

Line boundary analysis determines where a text string can be broken when line-wrapping. The mechanism correctly handles punctuation and hyphenated words.

Sentence boundary analysis allows selection with correct interpretation of periods within numbers and abbreviations, and trailing punctuation marks such as quotation marks and parentheses.

Word boundary analysis is used by search and replace functions, as well as within text editing applications that allow the user to select words with a double click. Word selection provides correct interpretation of punctuation marks within and following words. Characters that are not part of a word, such as symbols or punctuation marks, have word-breaks on both sides.

Character boundary analysis allows users to interact with characters as they expect to, for example, when moving the cursor through a text string. Character boundary analysis provides correct navigation of through character strings, regardless of how the character is stored. For example, an accented character might be stored as a base character and a diacritical mark. What users consider to be a character can differ between languages.

BreakIterator is intended for use with natural languages only. Do not use this class to tokenize a programming language.

Examples:

Creating and using text boundaries

 public static void main(String args[]) {
      if (args.length == 1) {
          String stringToExamine = args[0];
          //print each word in order
          BreakIterator boundary = BreakIterator.getWordInstance();
          boundary.setText(stringToExamine);
          printEachForward(boundary, stringToExamine);
          //print each sentence in reverse order
          boundary = BreakIterator.getSentenceInstance(Locale.US);
          boundary.setText(stringToExamine);
          printEachBackward(boundary, stringToExamine);
          printFirst(boundary, stringToExamine);
          printLast(boundary, stringToExamine);
      }
 }

Print each element in order

 public static void printEachForward(BreakIterator boundary, String source) {
     int start = boundary.first();
     for (int end = boundary.next();
          end != BreakIterator.DONE;
          start = end, end = boundary.next()) {
          System.out.println(source.substring(start,end));
     }
 }

Print each element in reverse order

 public static void printEachBackward(BreakIterator boundary, String source) {
     int end = boundary.last();
     for (int start = boundary.previous();
          start != BreakIterator.DONE;
          end = start, start = boundary.previous()) {
         System.out.println(source.substring(start,end));
     }
 }

Print first element

 public static void printFirst(BreakIterator boundary, String source) {
     int start = boundary.first();
     int end = boundary.next();
     System.out.println(source.substring(start,end));
 }

Print last element

 public static void printLast(BreakIterator boundary, String source) {
     int end = boundary.last();
     int start = boundary.previous();
     System.out.println(source.substring(start,end));
 }

Print the element at a specified position

 public static void printAt(BreakIterator boundary, int pos, String source) {
     int end = boundary.following(pos);
     int start = boundary.previous();
     System.out.println(source.substring(start,end));
 }

     See Also:
     CharacterIterator

 DONE

DONE is returned by previous() and next() after all valid boundaries have been returned.

 BreakIterator()

Constructor.

 clone()

Create a copy of this boundary

 current()

Return character index of the text boundary that was most recently returned by next(), previous(), first(), or last()

 first()

Return the first boundary.

 following(int)

Return the first boundary following the specified offset.

 getAvailableLocales()

Get the set of Locales for which TextBoundaries are installed

 getCharacterInstance()

Create BreakIterator for character-breaks using default locale Returns an instance of a BreakIterator implementing character breaks.

 getCharacterInstance(Locale)

Create BreakIterator for character-breaks using specified locale Returns an instance of a BreakIterator implementing character breaks.

 getLineInstance()

Create BreakIterator for line-breaks using default locale.

 getLineInstance(Locale)

Create BreakIterator for line-breaks using default locale.

 getSentenceInstance()

Create BreakIterator for sentence-breaks using default locale Returns an instance of a BreakIterator implementing sentence breaks.

 getSentenceInstance(Locale)

Create BreakIterator for sentence-breaks using specified locale Returns an instance of a BreakIterator implementing sentence breaks.

 getText()

Get the text being scanned

 getWordInstance()

Create BreakIterator for word-breaks using default locale.

 getWordInstance(Locale)

Create BreakIterator for word-breaks using default locale.

 last()

Return the last boundary.

 next()

Return the boundary following the current boundary.

 next(int)

Return the nth boundary from the current boundary

 previous()

Return the boundary preceding the current boundary.

 setText(CharacterIterator)

Set a new text for scanning.

 setText(String)

Set a new text string to be scanned.

 DONE

 public static final int DONE

DONE is returned by previous() and next() after all valid boundaries have been returned.

 BreakIterator

 protected BreakIterator()

Constructor. BreakIterator is stateless and has no default behavior.

 clone

 public Object clone()

Create a copy of this boundary

Returns:

A copy of this

Overrides:

clone in class Object

 current

 public abstract int current()

Return character index of the text boundary that was most recently returned by next(), previous(), first(), or last()

Returns:

The boundary most recently returned.

 first

 public abstract int first()

Return the first boundary. The iterator's current position is set to the first boundary.

Returns:

The character index of the first text boundary.

 following

 public abstract int following(int offset)

Return the first boundary following the specified offset. The value returned is always greater than the offset or the value BreakIterator.DONE

Parameters:

offset - the offset to begin scanning. Valid values are determined by the CharacterIterator passed to setText(). Invalid values cause an IllegalArgumentException to be thrown.

Returns:

The first boundary after the specified offset.

 getAvailableLocales

 public static synchronized Locale[] getAvailableLocales()

Get the set of Locales for which TextBoundaries are installed

Returns:

available locales

 getCharacterInstance

 public static BreakIterator getCharacterInstance()

Create BreakIterator for character-breaks using default locale Returns an instance of a BreakIterator implementing character breaks. Character breaks are boundaries of combining character sequences.

Returns:

A BreakIterator for character-breaks

See Also:

getDefault

 getCharacterInstance

 public static BreakIterator getCharacterInstance(Locale where)

Create BreakIterator for character-breaks using specified locale Returns an instance of a BreakIterator implementing character breaks. Character breaks are boundaries of combining character sequences.

Parameters:

where - the local. If a specific character break is not avaliable for the specified local, a default character break is returned.

Returns:

A BreakIterator for character-breaks

 getLineInstance

 public static BreakIterator getLineInstance()

Create BreakIterator for line-breaks using default locale. Returns an instance of a BreakIterator implementing line breaks. Line breaks are logically possible line breaks, actual line breaks are usually determined based on display width. LineBreak is usefull for word wrapping text.

Returns:

A BreakIterator for line-breaks

See Also:

getDefault

 getLineInstance

 public static BreakIterator getLineInstance(Locale where)

Create BreakIterator for line-breaks using default locale. Returns an instance of a BreakIterator implementing line breaks. Line breaks are logically possible line breaks, actual line breaks are usually determined based on display width. LineBreak is usefull for word wrapping text.

Parameters:

where - the local. If a specific LineBreak is not avaliable for the specified local, a default LineBreak is returned.

Returns:

A BreakIterator for line-breaks

 getSentenceInstance

 public static BreakIterator getSentenceInstance()

Create BreakIterator for sentence-breaks using default locale Returns an instance of a BreakIterator implementing sentence breaks.

Returns:

A BreakIterator for sentence-breaks

See Also:

getDefault

 getSentenceInstance

 public static BreakIterator getSentenceInstance(Locale where)

Create BreakIterator for sentence-breaks using specified locale Returns an instance of a BreakIterator implementing sentence breaks.

Parameters:

where - the local. If a specific SentenceBreak is not avaliable for the specified local, a default SentenceBreak is returned.

Returns:

A BreakIterator for sentence-breaks

 getText

 public abstract CharacterIterator getText()

Get the text being scanned

Returns:

the text being scanned

 getWordInstance

 public static BreakIterator getWordInstance()

Create BreakIterator for word-breaks using default locale. Returns an instance of a BreakIterator implementing word breaks. WordBreak is usefull for word selection (ex. double click)

Returns:

A BreakIterator for word-breaks

See Also:

getDefault

 getWordInstance

 public static BreakIterator getWordInstance(Locale where)

Create BreakIterator for word-breaks using default locale. Returns an instance of a BreakIterator implementing word breaks. WordBreak is usefull for word selection (ex. double click)

Parameters:

where - the local. If a specific WordBreak is not avaliable for the specified local, a default WordBreak is returned.

Returns:

A BreakIterator for word-breaks

 last

 public abstract int last()

Return the last boundary. The iterator's current position is set to the last boundary.

Returns:

The character index of the last text boundary.

 next

 public abstract int next()

Return the boundary following the current boundary.

Returns:

The character index of the next text boundary or DONE if all boundaries have been returned. Equivalent to next(1).

 next

 public abstract int next(int n)

Return the nth boundary from the current boundary

Parameters:

n - which boundary to return. A value of 0 does nothing. Negative values move to previous boundaries and positive values move to later boundaries.

Returns:

The index of the nth boundary from the current position.

 previous

 public abstract int previous()

Return the boundary preceding the current boundary.

Returns:

The character index of the previous text boundary or DONE if all boundaries have been returned.

 setText

 public abstract void setText(CharacterIterator newText)

Set a new text for scanning. The current scan position is reset to first().

Parameters:

newText - new text to scan.

 setText

 public void setText(String newText)

Set a new text string to be scanned. The current scan position is reset to first().

Parameters:

newText - new text to scan.


 Class java.text.ChoiceFormat

java.lang.Object
   |
   +----java.text.Format
           |
           +----java.text.NumberFormat
                   |
                   +----java.text.ChoiceFormat

public class ChoiceFormat
   extends NumberFormat

A ChoiceFormat allows you to attach a format to a range of numbers. It is generally used in a MessageFormat for handling plurals. The choice is specified with an ascending list of doubles, where each item specifies a half-open interval up to the next item:

 X matches j if and only if limit[j] <= X < limit[j+1]

If there is no match, then either the first or last index is used, depending on whether the number (X) is too low or too high.

Note: ChoiceFormat differs from the other Format classes in that you create a ChoiceFormat object with a constructor (not with a getInstance style factory method). The factory methods aren't necessary because ChoiceFormat doesn't require any complex setup for a given locale. In fact, ChoiceFormat doesn't implement any locale specific behavior.

When creating a ChoiceFormat, you must specify an array of formats and an array of limits. The length of these arrays must be the same. For example,

•	limits = {1,2,3,4,5,6,7}

formats = {"Sun","Mon","Tue","Wed","Thur","Fri","Sat"}

•	limits = {0, 1, ChoiceFormat.nextDouble(1)}

formats = {"no files", "one file", "many files"}

(nextDouble can be used to get the next higher double, to make the half-open interval.)

Here is a simple example that shows formatting and parsing:

 double[] limits = {1,2,3,4,5,6,7};
 String[] monthNames = {"Sun","Mon","Tue","Wed","Thur","Fri","Sat"};
 ChoiceFormat form = new ChoiceFormat(limits, monthNames);
 ParsePosition status = new ParsePosition(0);
 for (double i = 0.0; i <= 8.0; ++i) {
     status.setIndex(0);
     System.out.println(i + " -> " + form.format(i) + " -> "
                              + form.parse(form.format(i),status));
 }

Here is a more complex example, with a pattern format:

 double[] filelimits = {0,1,2};
 String[] filepart = {"are no files","is one file","are {2} files"};
 ChoiceFormat fileform = new ChoiceFormat(filelimits, filepart);
 Format[] testFormats = {fileform, null, NumberFormat.getInstance()};
 MessageFormat pattform = new MessageFormat("There {0} on {1}");
 pattform.setFormats(testFormats);
 Object[] testArgs = {null, "ADisk", null};
 for (int i = 0; i < 4; ++i) {
     testArgs[0] = new Integer(i);
     testArgs[2] = testArgs[0];
     System.out.println(pattform.format(testArgs));
 }

     See Also:
     DecimalFormat, MessageFormat

 ChoiceFormat(double[], String[])

Constructs with the limits and the corresponding formats.

 ChoiceFormat(String)

Constructs with limits and corresponding formats based on the pattern.

 applyPattern(String)

Sets the pattern.

 clone()

Overrides Cloneable

 equals(Object)

Equality comparision between two

 format(double, StringBuffer, FieldPosition)

Specialization of format.

 format(long, StringBuffer, FieldPosition)

Specialization of format.

 getFormats()

Get the formats passed in the constructor.

 getLimits()

Get the limits passed in the constructor.

 hashCode()

Generates a hash code for the message format object.

 nextDouble(double)

Finds the least double greater than d.

 nextDouble(double, boolean)

 parse(String, ParsePosition)

Returns a Long if possible (e.g.

 previousDouble(double)

Finds the greatest double less than d.

 setChoices(double[], String[])

Set the choices to be used in formatting.

 toPattern()

Gets the pattern.

 ChoiceFormat

 public ChoiceFormat(double limits[],
                     String formats[])

Constructs with the limits and the corresponding formats.

See Also:

setChoices

 ChoiceFormat

 public ChoiceFormat(String newPattern)

Constructs with limits and corresponding formats based on the pattern.

 applyPattern

 public void applyPattern(String newPattern)

Sets the pattern.

Parameters:

newPattern - See the class description.

 clone

 public Object clone()

Overrides Cloneable

Overrides:

clone in class NumberFormat

 equals

 public boolean equals(Object obj)

Equality comparision between two

Overrides:

equals in class NumberFormat

 format

 public StringBuffer format(double number,
                            StringBuffer toAppendTo,
                            FieldPosition status)

Specialization of format.

Overrides:

format in class NumberFormat

 format

 public StringBuffer format(long number,
                            StringBuffer toAppendTo,
                            FieldPosition status)

Specialization of format. This method really calls format(double, StringBuffer, FieldPosition) thus the range of longs that are supported is only equal to the range that can be stored by double. This will never be a practical limitation.

Overrides:

format in class NumberFormat

 getFormats

 public Object[] getFormats()

Get the formats passed in the constructor.

Returns:

the formats.

 getLimits

 public double[] getLimits()

Get the limits passed in the constructor.

Returns:

the limits.

 hashCode

 public int hashCode()

Generates a hash code for the message format object.

Overrides:

hashCode in class NumberFormat

 nextDouble

 public static final double nextDouble(double d)

Finds the least double greater than d. If NaN, returns same value.

Used to make half-open intervals.

See Also:

previousDouble

 nextDouble

 public static double nextDouble(double d,
                                 boolean positive)

 parse

 public Number parse(String text,
                     ParsePosition status)

Returns a Long if possible (e.g.

Overrides:

parse in class NumberFormat

 previousDouble

 public static final double previousDouble(double d)

Finds the greatest double less than d. If NaN, returns same value.

See Also:

nextDouble

 setChoices

 public void setChoices(double limits[],
                        String formats[])

Set the choices to be used in formatting.

Parameters:

limits - contains the top value that you want parsed with that format,and should be in ascending sorted order. When formatting X, the choice will be the i, where limit[i] <= X < limit[i+1].

formats - are the formats you want to use for each limit. They can be either Format objects or Strings. When formatting with object Y, if the object is a NumberFormat, then ((NumberFormat) Y).format(X) is called. Otherwise Y.toString() is called.

 toPattern

 public String toPattern()

Gets the pattern.


 Class java.text.CollationElementIterator

java.lang.Object
   |
   +----java.text.CollationElementIterator

public final class CollationElementIterator
   extends Object

The CollationElementIterator class is used as an iterator to walk through each character of an international string. Use the iterator to return the ordering priority of the positioned character. The ordering priority of a character, which we refer to as a key, defines how a character is collated in the given collation object.

For example, consider the following in Spanish:

 "ca" -> the first key is key('c') and second key is key('a').
 "cha" -> the first key is key('ch') and second key is key('a').

And in German,

 "äb"-> the first key is key('a'), the second key is key('e'), and
 the third key is key('b').

The key of a character is an integer composed of primary order(short), secondary order(byte), and tertiary order(byte). Java strictly defines the size and signedness of its primitive data types. Therefore, the static functions primaryOrder, secondaryOrder, and tertiaryOrder return int, short, and short respectively to ensure the correctness of the key value.

Example of the iterator usage,

 // get the first key of the string
 String str = "This is a test";
 CollationElementIterator c =
     new CollationElementIterator(str, 0, str.length(),
                                  Collator.getInstance());
 int primaryOrder = CollationElementIterator.primaryOrder(c->next());

CollationElementIterator.next returns the collation order of the next character. A collation order consists of primary order, secondary order and tertiary order. The data type of the collation order is int. The first 16 bits of a collation order is its primary order; the next 8 bits is the secondary order and the last 8 bits is the tertiary order.

     See Also:
     Collator, RuleBasedCollator

 NULLORDER

Null order which indicates the end of string is reached by the cursor.

 next()

Get the ordering priority of the next character in the string.

 primaryOrder(int)

Get the primary order of a collation order.

 reset()

Resets the cursor to the beginning of the string.

 secondaryOrder(int)

Get the secondary order of a collation order.

 tertiaryOrder(int)

Get the tertiary order of a collation order.

 NULLORDER

 public static final int NULLORDER

Null order which indicates the end of string is reached by the cursor.

 next

 public int next()

Get the ordering priority of the next character in the string.

Returns:

the next character's ordering. Returns NULLORDER if the end of string is reached.

 primaryOrder

 public static final int primaryOrder(int order)

Get the primary order of a collation order.

Parameters:

order - the collation order

Returns:

the primary order of a collation order.

 reset

 public void reset()

Resets the cursor to the beginning of the string.

 secondaryOrder

 public static final short secondaryOrder(int order)

Get the secondary order of a collation order.

Parameters:

order - the collation order

Returns:

the secondary order of a collation order.

 tertiaryOrder

 public static final short tertiaryOrder(int order)

Get the tertiary order of a collation order.

Parameters:

order - the collation order

Returns:

the tertiary order of a collation order.


 Class java.text.CollationKey

java.lang.Object
   |
   +----java.text.CollationKey

public final class CollationKey
   extends Object

A CollationKey represents a String under the rules of a specific Collator object. Comparing two CollationKeys returns the relative order of the Strings they represent. Using CollationKeys to compare Strings is generally faster than using Collator.compare. Thus, when the Strings must be compared multiple times, for example when sorting a list of Strings. It's more efficient to use CollationKeys.

You can not create CollationKeys directly. Rather, generate them by calling Collator.getCollationKey. You can only compare CollationKeys generated from the same Collator object.

Generating a CollationKey for a String involves examining the entire String and converting it to series of bits that can be compared bitwise. This allows fast comparisons once the keys are generated. The cost of generating keys is recouped in faster comparisons when Strings need to be compared many times. On the other hand, the result of a comparison is often determined by the first couple of characters of each String. Collator.compare examines only as many characters as it needs which allows it to be faster when doing single comparisons.

The following example shows how CollationKeys might be used to sort a list of Strings.

 // Create an array of CollationKeys for the Strings to be sorted.
 Collator myCollator = Collator.getInstance();
 CollationKey[] keys = new CollationKey[3];
 keys[0] = myCollator.getCollationKey("Tom");
 keys[1] = myCollator.getCollationKey("Dick");
 keys[2] = myCollator.getCollationKey("Harry");
 sort( keys );

 //...

 // Inside body of sort routine, compare keys this way
 if( keys[i].compareTo( keys[j] ) > 0 )
    // swap keys[i] and keys[j]

 //...

 // Finally, when we've returned from sort.
 System.out.println( keys[0].getSourceString() );
 System.out.println( keys[1].getSourceString() );
 System.out.println( keys[2].getSourceString() );

     See Also:
     Collator, RuleBasedCollator

 compareTo(CollationKey)

Compare this CollationKey to the target CollationKey.

 equals(Object)

Compare this CollationKey and the target CollationKey for equality.

 getSourceString()

Returns the String that this CollationKey represents.

 hashCode()

Creates a hash code for this CollationKey.

 toByteArray()

Converts the CollationKey to a sequence of bits.

 compareTo

 public int compareTo(CollationKey target)

Compare this CollationKey to the target CollationKey. The collation rules of the Collator object which created these keys are applied. Note: CollationKeys created by different Collators can not be compared.

Parameters:

target - target CollationKey

Returns:

Returns an integer value. Value is less than zero if this is less than target, value is zero if this and target are equal and value is greater than zero if this is greater than target.

See Also:

compare

 equals

 public boolean equals(Object target)

Compare this CollationKey and the target CollationKey for equality. The collation rules of the Collator object which created these keys are applied. Note: CollationKeys created by different Collators can not be compared.

Parameters:

target - the CollationKey to compare to.

Returns:

Returns true if two objects are equal, false otherwise.

Overrides:

equals in class Object

 getSourceString

 public String getSourceString()

Returns the String that this CollationKey represents.

 hashCode

 public int hashCode()

Creates a hash code for this CollationKey. The hash value is calculated on the key itself, not the String from which the key was created. Thus if x and y are CollationKeys, then x.hashCode(x) == y.hashCode() if x.equals(y) is true. This allows language-sensitive comparison in a hash table. See the CollatinKey class description for an example.

Returns:

the hash value based on the string's collation order.

Overrides:

hashCode in class Object

 toByteArray

 public byte[] toByteArray()

Converts the CollationKey to a sequence of bits. If two CollationKeys could be legitimately compared, then one could compare the byte arrays for each of those keys to obtain the same result. Byte arrays are organized most significant byte first.


 Class java.text.Collator

java.lang.Object
   |
   +----java.text.Collator

public abstract class Collator
   extends Object
   implements Cloneable, Serializable

The Collator class performs locale-sensitive String comparison. You use this class to build searching and sorting routines for natural language text.

Collator is an abstract base class. Subclasses implement specific collation strategies. One subclass, RuleBasedCollator, is currently provided with the JDK and is applicable to a wide set of languages. Other subclasses may be created to handle more specialized needs.

Like other locale-sensitive classes, you can use the static factory method, getInstance, to obtain the appropriate Collator object for a given locale. You will only need to look at the subclasses of Collator if you need to understand the details of a particular collation strategy or if you need to modify that strategy.

The following example shows how to compare two strings using the Collator for the default locale.

 // Compare two strings in the default locale
 Collator myCollator = Collator.getInstance();
 if( myCollator.compare("abc", "ABC") < 0 )
     System.out.println("abc is less than ABC");
 else
     System.out.println("abc is greater than or equal to ABC");

You can set a Collator's strength property to determine the level of difference considered significant in comparisons. Four strengths are provided: PRIMARY, SECONDARY, TERTIARY, and IDENTICAL. The exact assignment of strengths to language features is locale dependant. For example, in Czech, "e" and "f" are considered primary differences, while "e" and "ê" are secondary differences, "e" and "E" are tertiary differences and "e" and "e" are identical. The following shows how both case and accents could be ignored for US English.

 //Get the Collator for US English and set its strength to PRIMARY
 Collator usCollator = Collator.getInstance(Locale.US);
 usCollator.setStrength(Collator.PRIMARY);
 if( usCollator.compare("abc", "ABC") == 0 ) {
     System.out.println("Strings are equivalent");
 }

For comparing Strings exactly once, the compare method provides the best performance. When sorting a list of Strings however, it is generally necessary to compare each String multiple times. In this case, CollationKeys provide better performance. The CollationKey class converts a String to a series of bits that can be compared bitwise against other CollationKeys. A CollationKey is created by a Collator object for a given String.

Note: CollationKeys from different Collators can not be compared. See the class description for CollationKey for an example using CollationKeys.

     See Also:
     RuleBasedCollator, CollationKey, CollationElementIterator, Locale

 CANONICAL_DECOMPOSITION

Decomposition mode value.

 FULL_DECOMPOSITION

Decomposition mode value.

 IDENTICAL

Collator strength value.

 NO_DECOMPOSITION

Decomposition mode value.

 PRIMARY

Collator strength value.

 SECONDARY

Collator strength value.

 TERTIARY

Collator strength value.

 Collator()

Default constructor.

 clone()

Overrides Cloneable

 compare(String, String)

Compares the source string to the target string according to the collation rules for this Collator.

 equals(Object)

Compares the equality of two Collators.

 equals(String, String)

Convenience method for comparing the equality of two strings based on this Collator's collation rules.

 getAvailableLocales()

Get the set of Locales for which Collators are installed.

 getCollationKey(String)

Transforms the String into a series of bits that can be compared bitwise to other CollationKeys.

 getDecomposition()

Get the decomposition mode of this Collator.

 getInstance()

Gets the Collator for the current default locale.

 getInstance(Locale)

Gets the Collator for the desired locale.

 getStrength()

Returns this Collator's strength property.

 hashCode()

Generates the hash code for this Collator.

 setDecomposition(int)

Set the decomposition mode of this Collator.

 setStrength(int)

Sets this Collator's strength property.

 CANONICAL_DECOMPOSITION

 public static final int CANONICAL_DECOMPOSITION

Decomposition mode value. With CANONICAL_DECOMPOSITION set, characters that are canonical variants according to Unicode 2.0 will be decomposed for collation. This is the default setting and should be used to get correct collation of accented characters.

See Also:

getDecomposition, setDecomposition

 FULL_DECOMPOSITION

 public static final int FULL_DECOMPOSITION

Decomposition mode value. With FULL_DECOMPOSITION set, both Unicode canonical variants and Unicode compatibility variants will be decomposed for collation. This causes not only accented characters to be collated, but also characters that have special formats to be collated with their norminal form. For example, the half-width and full-width ASCII and Katakana characters are then collated together. FULL_DECOMPOSITION is the most complete and therefore the slowest decomposition mode.

See Also:

getDecomposition, setDecomposition

 IDENTICAL

 public static final int IDENTICAL

Collator strength value. When set, all differences are considered significant during comparison. The assignment of strengths to language features is locale dependant. A common example is for characters with equivalent Unicode spellings ("ä" vs "a?") to be considered IDENTICAL.

 NO_DECOMPOSITION

 public static final int NO_DECOMPOSITION

Decomposition mode value. With NO_DECOMPOSITION set, accented characters will not be decomposed for collation. This provides the fastest collation but will only produce correct results for languages that do not use accents.

See Also:

getDecomposition, setDecomposition

 PRIMARY

 public static final int PRIMARY

Collator strength value. When set, only PRIMARY differences are considered significant during comparison. The assignment of strengths to language features is locale dependant. A common example is for different base letters ("a" vs "b") to be considered a PRIMARY difference.

See Also:

setStrength, getStrength

 SECONDARY

 public static final int SECONDARY

Collator strength value. When set, only SECONDARY and above differences are considered significant during comparison. The assignment of strengths to language features is locale dependant. A common example is for different accented forms of the same base letter ("a" vs "ä") to be considered a SECONDARY difference.

See Also:

setStrength, getStrength

 TERTIARY

 public static final int TERTIARY

Collator strength value. When set, only TERTIARY and above differences are considered significant during comparison. The assignment of strengths to language features is locale dependant. A common example is for case differences ("a" vs "A") to be considered a TERTIARY difference.

See Also:

setStrength, getStrength

 Collator

 protected Collator()

Default constructor. This constructor is protected so subclasses can get access to it. Users typically create a Collator sub-class by calling the factory method getInstance.

See Also:

getInstance

 clone

 public Object clone()

Overrides Cloneable

Overrides:

clone in class Object

 compare

 public abstract int compare(String source,
                             String target)

Compares the source string to the target string according to the collation rules for this Collator. Returns an integer less than, equal to or greater than zero depending on whether the source String is less than, equal to or greater than the target string. See the Collator class description for an example of use.

For a one time comparison, this method has the best performance. If a given String will be involved in multiple comparisons, CollationKey.compareTo has the best performance. See the Collator class description for an example using CollationKeys.

Parameters:

source - the source string.

target - the target string.

Returns:

Returns an integer value. Value is less than zero if source is less than target, value is zero if source and target are equal, value is greater than zero if source is greater than target.

See Also:

CollationKey, getCollationKey

 equals

 public boolean equals(Object that)

Compares the equality of two Collators.

Parameters:

that - the Collator to be compared with this.

Returns:

true if this Collator is the same as that Collator; false otherwise.

Overrides:

equals in class Object

 equals

 public boolean equals(String source,
                       String target)

Convenience method for comparing the equality of two strings based on this Collator's collation rules.

Parameters:

source - the source string to be compared with.

target - the target string to be compared with.

Returns:

true if the strings are equal according to the collation rules. false, otherwise.

See Also:

compare

 getAvailableLocales

 public static synchronized Locale[] getAvailableLocales()

Get the set of Locales for which Collators are installed.

Returns:

the list of available locales which collators are installed.

 getCollationKey

 public abstract CollationKey getCollationKey(String source)

Transforms the String into a series of bits that can be compared bitwise to other CollationKeys. CollationKeys provide better performance than Collator.compare when Strings are involved in multiple comparisons. See the Collator class description for an example using CollationKeys.

Parameters:

source - the string to be transformed into a collation key.

Returns:

the CollationKey for the given String based on this Collator's collation rules. If the source String is null, a null CollationKey is returned.

See Also:

CollationKey, compare

 getDecomposition

 public synchronized int getDecomposition()

Get the decomposition mode of this Collator. Decomposition mode determines how Unicode composed characters are handled. Adjusting decomposition mode allows the user to select between faster and more complete collation behavior.

The three values for decomposition mode are:

•	NO_DECOMPOSITION,

•	CANONICAL_DECOMPOSITION

•	FULL_DECOMPOSITION.

See the documentation for these three constants for a description of their meaning.

Returns:

the decomposition mode

See Also:

setDecomposition, NO_DECOMPOSITION, CANONICAL_DECOMPOSITION, FULL_DECOMPOSITION

 getInstance

 public static synchronized Collator getInstance()

Gets the Collator for the current default locale. The default locale is determined by java.util.Locale.getDefault.

Returns:

the Collator for the default locale.(for example, en_US)

See Also:

getDefault

 getInstance

 public static synchronized Collator getInstance(Locale desiredLocale)

Gets the Collator for the desired locale.

Parameters:

desiredLocale - the desired locale.

Returns:

the Collator for the desired locale.

See Also:

Locale, ResourceBundle

 getStrength

 public synchronized int getStrength()

Returns this Collator's strength property. The strength property determines the minimum level of difference considered significant during comparison. See the Collator class description for an example of use.

Returns:

this Collator's current strength property.

See Also:

setStrength, PRIMARY, SECONDARY, TERTIARY, IDENTICAL

 hashCode

 public abstract synchronized int hashCode()

Generates the hash code for this Collator.

Overrides:

hashCode in class Object

 setDecomposition

 public synchronized void setDecomposition(int decompositionMode)

Set the decomposition mode of this Collator. See getDecomposition for a description of decomposition mode.

Parameters:

the - new decomposition mode

Throws: IllegalArgumentException

If the given value is not a valid decomposition mode.

See Also:

getDecomposition, NO_DECOMPOSITION, CANONICAL_DECOMPOSITION, FULL_DECOMPOSITION

 setStrength

 public synchronized void setStrength(int newStrength)

Sets this Collator's strength property. The strength property determines the minimum level of difference considered significant during comparison. See the Collator class description for an example of use.

Parameters:

the - new strength value.

Throws: IllegalArgumentException

If the new strength value is not one of PRIMARY, SECONDARY, TERTIARY or IDENTICAL.

See Also:

getStrength, PRIMARY, SECONDARY, TERTIARY, IDENTICAL


 Class java.text.DateFormat

java.lang.Object
   |
   +----java.text.Format
           |
           +----java.text.DateFormat

public abstract class DateFormat
   extends Format
   implements Cloneable

DateFormat is an abstract class for date/time formatting subclasses which formats and parses dates or time in a language-independent manner. The date/time formatting subclass, such as SimpleDateFormat, allows for formatting (i.e., millis -> text), parsing (text -> millis), and normalization. Formats/Parses a date or time, which is the standard millis since 24:00 GMT, Jan 1, 1970

DateFormat provides many class methods for obtaining default date/time formatters based on the default or a given loacle and a number of formatting styles. The formatting styles include FULL, LONG, MEDIUM, and SHORT. More detail and examples of using these styles are provided in the method descriptions.

DateFormat helps you to format and parse dates for any locale. Your code can be completely independent of the locale conventions for months, days of the week, or even the calendar format: lunar vs. solar.

To format a date for the current Locale, use one of the static factory methods:

  myString = DateFormat.getDateInstance().format(myDate);

If you are formatting multiple numbers, it is more efficient to get the format and use it multiple times so that the system doesn't have to fetch the information about the local language and country conventions multiple times.

  DateFormat df = DateFormat.getDateInstance();
  for (int i = 0; i < a.length; ++i) {
    output.println(df.format(myDate[i]) + "; ");
  }

To format a number for a different Locale, specify it in the call to getDateInstance().

  DateFormat df = DateFormat.getDateInstance(Locale.FRANCE);

You can use a DateFormat to parse also.

  myDate = df.parse(myString);

Use getDate to get the normal date format for that country. There are other static factory methods available. Use getTime to get the time format for that country. Use getDateTime to get a date and time format. You can pass in different options to these factory methods to control the length of the result; from SHORT to MEDIUM to LONG to FULL. The exact result depends on the locale, but generally:

•	SHORT is completely numeric, such as 12.13.52 or 3:30pm

•	MEDIUM is longer, such as Jan 12, 1952

•	LONG is longer, such as January 12, 1952 or 3:30:32pm

•	FULL is pretty completely specified, such as Tuesday, April 12, 1952 AD or 3:30:42pm PST.

You can also set the time zone on the format if you wish. If you want even more control over the format or parsing, (or want to give your users more control), you can try casting the DateFormat you get from the factory methods to a SimpleDateFormat. This will work for the majority of countries; just remember to put it in a try block in case you encounter an unusual one.

You can also use forms of the parse and format methods with ParsePosition and FieldPosition to allow you to

•	pregressively parse through pieces of a string.

•	align any particular field, or find out where it is for selection on the screen.

     See Also:
     Format, NumberFormat, SimpleDateFormat, Calendar, GregorianCalendar, TimeZone

 AM_PM_FIELD

Useful constant for AM_PM field alignment.

 calendar

The calendar that DateFormat uses to produce the time field values needed to implement date/time formatting.

 DATE_FIELD

Useful constant for DATE field alignment.

 DAY_OF_WEEK_FIELD

Useful constant for DAY_OF_WEEK field alignment.

 DAY_OF_WEEK_IN_MONTH_FIELD

Useful constant for DAY_OF_WEEK_IN_MONTH field alignment.

 DAY_OF_YEAR_FIELD

Useful constant for DAY_OF_YEAR field alignment.

 DEFAULT

Constant for default style pattern.

 ERA_FIELD

Useful constant for ERA field alignment.

 FULL

Constant for full style pattern.

 HOUR0_FIELD

Useful constant for zero-based HOUR field alignment.

 HOUR1_FIELD

Useful constant for one-based HOUR field alignment.

 HOUR_OF_DAY0_FIELD

Useful constant for zero-based HOUR_OF_DAY field alignment.

 HOUR_OF_DAY1_FIELD

Useful constant for one-based HOUR_OF_DAY field alignment.

 LONG

Constant for long style pattern.

 MEDIUM

Constant for medium style pattern.

 MILLISECOND_FIELD

Useful constant for MILLISECOND field alignment.

 MINUTE_FIELD

Useful constant for MINUTE field alignment.

 MONTH_FIELD

Useful constant for MONTH field alignment.

 numberFormat

The number formatter that DateFormat uses to format numbers in dates and times.

 SECOND_FIELD

Useful constant for SECOND field alignment.

 SHORT

Constant for short style pattern.

 TIMEZONE_FIELD

Useful constant for TIMEZONE field alignment.

 WEEK_OF_MONTH_FIELD

Useful constant for WEEK_OF_MONTH field alignment.

 WEEK_OF_YEAR_FIELD

Useful constant for WEEK_OF_YEAR field alignment.

 YEAR_FIELD

Useful constant for YEAR field alignment.

 DateFormat()

 clone()

Overrides Cloneable

 equals(Object)

Overrides equals

 format(Date)

Formats a Date into a date/time string.

 format(Date, StringBuffer, FieldPosition)

Formats a Date into a date/time string.

 format(Object, StringBuffer, FieldPosition)

Overrides Format.

 getAvailableLocales()

Gets the set of locales for which DateFormats are installed.

 getCalendar()

Gets the calendar associated with this date/time formatter.

 getDateInstance()

Gets the date formatter with the default formatting style for the default locale.

 getDateInstance(int)

Gets the date formatter with the given formatting style for the default locale.

 getDateInstance(int, Locale)

Gets the date formatter with the given formatting style for the given locale.

 getDateTimeInstance()

Gets the date/time formatter with the default formatting style for the default locale.

 getDateTimeInstance(int, int)

Gets the date/time formatter with the given date and time formatting styles for the default locale.

 getDateTimeInstance(int, int, Locale)

Gets the date/time formatter with the given formatting styles for the given locale.

 getInstance()

Get a default date/time formatter that uses the SHORT style for both the date and the time.

 getNumberFormat()

Gets the number formatter which this date/time formatter uses to format and parse a time.

 getTimeInstance()

Gets the time formatter with the default formatting style for the default locale.

 getTimeInstance(int)

Gets the time formatter with the given formatting style for the default locale.

 getTimeInstance(int, Locale)

Gets the time formatter with the given formatting style for the given locale.

 getTimeZone()

Gets the time zone.

 hashCode()

Overrides hashCode

 isLenient()

Tell whether date/time parsing is to be lenient.

 parse(String)

Parse a date/time string.

 parse(String, ParsePosition)

Parse a date/time string according to the given parse position.

 parseObject(String, ParsePosition)

Parse a date/time string into an Object.

 setCalendar(Calendar)

Set the calendar to be used by this date format.

 setLenient(boolean)

Specify whether or not date/time parsing is to be lenient.

 setNumberFormat(NumberFormat)

Allows you to set the number formatter.

 setTimeZone(TimeZone)

Sets the time zone for the calendar of this DateFormat object.

 AM_PM_FIELD

 public static final int AM_PM_FIELD

Useful constant for AM_PM field alignment. Used in FieldPosition of date/time formatting.

 calendar

 protected Calendar calendar

The calendar that DateFormat uses to produce the time field values needed to implement date/time formatting. Subclasses should initialize this to the default calendar for the locale associated with this DateFormat.

 DATE_FIELD

 public static final int DATE_FIELD

Useful constant for DATE field alignment. Used in FieldPosition of date/time formatting.

 DAY_OF_WEEK_FIELD

 public static final int DAY_OF_WEEK_FIELD

Useful constant for DAY_OF_WEEK field alignment. Used in FieldPosition of date/time formatting.

 DAY_OF_WEEK_IN_MONTH_FIELD

 public static final int DAY_OF_WEEK_IN_MONTH_FIELD

Useful constant for DAY_OF_WEEK_IN_MONTH field alignment. Used in FieldPosition of date/time formatting.

 DAY_OF_YEAR_FIELD

 public static final int DAY_OF_YEAR_FIELD

Useful constant for DAY_OF_YEAR field alignment. Used in FieldPosition of date/time formatting.

 DEFAULT

 public static final int DEFAULT

Constant for default style pattern.

 ERA_FIELD

 public static final int ERA_FIELD

Useful constant for ERA field alignment. Used in FieldPosition of date/time formatting.

 FULL

 public static final int FULL

Constant for full style pattern.

 HOUR0_FIELD

 public static final int HOUR0_FIELD

Useful constant for zero-based HOUR field alignment. Used in FieldPosition of date/time formatting. HOUR0_FIELD is used for the zero-based 12-hour clock. For example, 11:30 PM + 1 hour results in 00:30 AM.

 HOUR1_FIELD

 public static final int HOUR1_FIELD

Useful constant for one-based HOUR field alignment. Used in FieldPosition of date/time formatting. HOUR1_FIELD is used for the one-based 12-hour clock. For example, 11:30 PM + 1 hour results in 12:30 AM.

 HOUR_OF_DAY0_FIELD

 public static final int HOUR_OF_DAY0_FIELD

Useful constant for zero-based HOUR_OF_DAY field alignment. Used in FieldPosition of date/time formatting. HOUR_OF_DAY0_FIELD is used for the zero-based 24-hour clock. For example, 23:59 + 01:00 results in 00:59.

 HOUR_OF_DAY1_FIELD

 public static final int HOUR_OF_DAY1_FIELD

Useful constant for one-based HOUR_OF_DAY field alignment. Used in FieldPosition of date/time formatting. HOUR_OF_DAY1_FIELD is used for the one-based 24-hour clock. For example, 23:59 + 01:00 results in 24:59.

 LONG

 public static final int LONG

Constant for long style pattern.

 MEDIUM

 public static final int MEDIUM

Constant for medium style pattern.

 MILLISECOND_FIELD

 public static final int MILLISECOND_FIELD

Useful constant for MILLISECOND field alignment. Used in FieldPosition of date/time formatting.

 MINUTE_FIELD

 public static final int MINUTE_FIELD

Useful constant for MINUTE field alignment. Used in FieldPosition of date/time formatting.

 MONTH_FIELD

 public static final int MONTH_FIELD

Useful constant for MONTH field alignment. Used in FieldPosition of date/time formatting.

 numberFormat

 protected NumberFormat numberFormat

The number formatter that DateFormat uses to format numbers in dates and times. Subclasses should initialize this to the default number format for the locale associated with this DateFormat.

 SECOND_FIELD

 public static final int SECOND_FIELD

Useful constant for SECOND field alignment. Used in FieldPosition of date/time formatting.

 SHORT

 public static final int SHORT

Constant for short style pattern.

 TIMEZONE_FIELD

 public static final int TIMEZONE_FIELD

Useful constant for TIMEZONE field alignment. Used in FieldPosition of date/time formatting.

 WEEK_OF_MONTH_FIELD

 public static final int WEEK_OF_MONTH_FIELD

Useful constant for WEEK_OF_MONTH field alignment. Used in FieldPosition of date/time formatting.

 WEEK_OF_YEAR_FIELD

 public static final int WEEK_OF_YEAR_FIELD

Useful constant for WEEK_OF_YEAR field alignment. Used in FieldPosition of date/time formatting.

 YEAR_FIELD

 public static final int YEAR_FIELD

Useful constant for YEAR field alignment. Used in FieldPosition of date/time formatting.

 DateFormat

 protected DateFormat()

 clone

 public Object clone()

Overrides Cloneable

Overrides:

clone in class Format

 equals

 public boolean equals(Object obj)

Overrides equals

Overrides:

equals in class Object

 format

 public final String format(Date date)

Formats a Date into a date/time string.

Parameters:

date - the time value to be formatted into a time string.

Returns:

the formatted time string.

 format

 public abstract StringBuffer format(Date date,
                                     StringBuffer toAppendTo,
                                     FieldPosition fieldPosition)

Formats a Date into a date/time string.

Parameters:

date - a Date to be formatted into a date/time string.

toAppendTo - the string buffer for the returning date/time string.

status - the formatting status. On input: an alignment field, if desired. On output: the offsets of the alignment field. For example, given a time text "1996.07.10 AD at 15:08:56 PDT", if the given status.field is DateFormat.YEAR_FIELD, the offsets status.beginIndex and status.getEndIndex will be set to 0 and 4, respectively. Notice that if the same time field appears more than once in a pattern, the status will be set for the first occurence of that time field. For instance, formatting a Date to the time string "1 PM PDT (Pacific Daylight Time)" using the pattern "h a z (zzzz)" and the alignment field DateFormat.TIMEZONE_FIELD, the offsets status.beginIndex and status.getEndIndex will be set to 5 and 8, respectively, for the first occurence of the timezone pattern character 'z'.

Returns:

the formatted date/time string.

 format

 public final StringBuffer format(Object obj,
                                  StringBuffer toAppendTo,
                                  FieldPosition fieldPosition)

Overrides Format. Formats a time object into a time string. Examples of time objects are a time value expressed in milliseconds and a Date object.

Parameters:

obj - must be a Number or a Date.

toAppendTo - the string buffer for the returning time string.

status - the formatting status. On input: an alignment field, if desired. On output: the offsets of the alignment field.

Returns:

the formatted time string.

Overrides:

format in class Format

See Also:

Format

 getAvailableLocales

 public static Locale[] getAvailableLocales()

Gets the set of locales for which DateFormats are installed.

Returns:

the set of locales for which DateFormats are installed.

 getCalendar

 public Calendar getCalendar()

Gets the calendar associated with this date/time formatter.

Returns:

the calendar associated with this date/time formatter.

 getDateInstance

 public static final DateFormat getDateInstance()

Gets the date formatter with the default formatting style for the default locale.

Returns:

a date formatter.

 getDateInstance

 public static final DateFormat getDateInstance(int style)

Gets the date formatter with the given formatting style for the default locale.

Parameters:

style - the given formatting style. For example, SHORT for "M/d/yy" in the US locale.

Returns:

a date formatter.

 getDateInstance

 public static final DateFormat getDateInstance(int style,
                                                Locale aLocale)

Gets the date formatter with the given formatting style for the given locale.

Parameters:

style - the given formatting style. For example, SHORT for "M/d/yy" in the US locale.

inLocale - the given locale.

Returns:

a date formatter.

 getDateTimeInstance

 public static final DateFormat getDateTimeInstance()

Gets the date/time formatter with the default formatting style for the default locale.

Returns:

a date/time formatter.

 getDateTimeInstance

 public static final DateFormat getDateTimeInstance(int dateStyle,
                                                    int timeStyle)

Gets the date/time formatter with the given date and time formatting styles for the default locale.

Parameters:

dateStyle - the given date formatting style. For example, SHORT for "M/d/yy" in the US locale.

timeStyle - the given time formatting style. For example, SHORT for "h:mm a" in the US locale.

Returns:

a date/time formatter.

 getDateTimeInstance

 public static final DateFormat getDateTimeInstance(int dateStyle,
                                                    int timeStyle,
                                                    Locale aLocale)

Gets the date/time formatter with the given formatting styles for the given locale.

Parameters:

dateStyle - the given date formatting style.

timeStyle - the given time formatting style.

inLocale - the given locale.

Returns:

a date/time formatter.

 getInstance

 public static final DateFormat getInstance()

Get a default date/time formatter that uses the SHORT style for both the date and the time.

 getNumberFormat

 public NumberFormat getNumberFormat()

Gets the number formatter which this date/time formatter uses to format and parse a time.

Returns:

the number formatter which this date/time formatter uses.

 getTimeInstance

 public static final DateFormat getTimeInstance()

Gets the time formatter with the default formatting style for the default locale.

Returns:

a time formatter.

 getTimeInstance

 public static final DateFormat getTimeInstance(int style)

Gets the time formatter with the given formatting style for the default locale.

Parameters:

style - the given formatting style. For example, SHORT for "h:mm a" in the US locale.

Returns:

a time formatter.

 getTimeInstance

 public static final DateFormat getTimeInstance(int style,
                                                Locale aLocale)

Gets the time formatter with the given formatting style for the given locale.

Parameters:

style - the given formatting style. For example, SHORT for "h:mm a" in the US locale.

inLocale - the given locale.

Returns:

a time formatter.

 getTimeZone

 public TimeZone getTimeZone()

Gets the time zone.

Returns:

the time zone associated with the calendar of DateFormat.

 hashCode

 public int hashCode()

Overrides hashCode

Overrides:

hashCode in class Object

 isLenient

 public boolean isLenient()

Tell whether date/time parsing is to be lenient.

 parse

 public Date parse(String text) throws ParseException

Parse a date/time string.

Throws: ParseException

If the given string cannot be parsed as a date.

See Also:

parse

 parse

 public abstract Date parse(String text,
                            ParsePosition pos)

Parse a date/time string according to the given parse position. For example, a time text "07/10/96 4:5 PM, PDT" will be parsed into a Date that is equivalent to Date(837039928046).

By default, parsing is lenient: If the input is not in the form used by this object's format method but can still be parsed as a date, then the parse succeeds. Clients may insist on strict adherence to the format by calling setLenient(false).

Parameters:

text - The date/time string to be parsed

pos - On input, the position at which to start parsing; on output, the position at which parsing terminated, or the start position if the parse failed.

Returns:

A Date, or null if the input could not be parsed

See Also:

setLenient

 parseObject

 public Object parseObject(String source,
                           ParsePosition pos)

Parse a date/time string into an Object. This convenience method simply calls parse(String, ParsePosition).

Overrides:

parseObject in class Format

See Also:

parse

 setCalendar

 public void setCalendar(Calendar newCalendar)

Set the calendar to be used by this date format. Initially, the default calendar for the specified or default locale is used.

 setLenient

 public void setLenient(boolean lenient)

Specify whether or not date/time parsing is to be lenient. With lenient parsing, the parser may use heuristics to interpret inputs that do not precisely match this object's format. With strict parsing, inputs must match this object's format.

See Also:

setLenient

 setNumberFormat

 public void setNumberFormat(NumberFormat newNumberFormat)

Allows you to set the number formatter.

Parameters:

newNumberFormat - the given new NumberFormat.

 setTimeZone

 public void setTimeZone(TimeZone zone)

Sets the time zone for the calendar of this DateFormat object.

Parameters:

zone - the given new time zone.


 Class java.text.DateFormatSymbols

java.lang.Object
   |
   +----java.text.DateFormatSymbols

public class DateFormatSymbols
   extends Object
   implements Serializable, Cloneable

DateFormatSymbols is a public class for encapsulating localizable date-time formatting data, such as the names of the months, the names of the days of the week, and the time zone data. DateFormat and SimpleDateFormat both use DateFormatSymbols to encapsulate this information.

Typically you shouldn't use DateFormatSymbols directly. Rather, you are encouraged to create a date-time formatter with the DateFormat class's factory methods: getTimeInstance, getDateInstance, or getDateTimeInstance. These methods automatically create a DateFormatSymbols for the formatter so that you don't have to. After the formatter is created, you may modify its format pattern using the setPattern method. For more information about creating formatters using DateFormat's factory methods, see DateFormat.

If you decide to create a date-time formatter with a specific format pattern for a specific locale, you can do so with:

 new SimpleDateFormat(aPattern, new DateFormatSymbols(aLocale)).

DateFormatSymbols objects are clonable. When you obtain a DateFormatSymbols object, feel free to modify the date-time formatting data. For instance, you can replace the localized date-time format pattern characters with the ones that you feel easy to remember. Or you can change the representative cities to your favorite ones.

New DateFormatSymbols subclasses may be added to support SimpleDateFormat for date-time formatting for additional locales.

     See Also:
     DateFormat, SimpleDateFormat, SimpleTimeZone

 DateFormatSymbols()

Construct a DateFormatSymbols object by loading format data from resources for the default locale.

 DateFormatSymbols(Locale)

Construct a DateFormatSymbols object by loading format data from resources for the given locale.

 clone()

Overrides Cloneable

 equals(Object)

Override equals

 getAmPmStrings()

Gets ampm strings.

 getEras()

Gets era strings.

 getLocalPatternChars()

Gets localized date-time pattern characters.

 getMonths()

Gets month strings.

 getShortMonths()

Gets short month strings.

 getShortWeekdays()

Gets short weekday strings.

 getWeekdays()

Gets weekday strings.

 getZoneStrings()

Gets timezone strings.

 hashCode()

Override hashCode.

 setAmPmStrings(String[])

Sets ampm strings.

 setEras(String[])

Sets era strings.

 setLocalPatternChars(String)

Sets localized date-time pattern characters.

 setMonths(String[])

Sets month strings.

 setShortMonths(String[])

Sets short month strings.

 setShortWeekdays(String[])

Sets short weekday strings.

 setWeekdays(String[])

Sets weekday strings.

 setZoneStrings(String[][])

Sets timezone strings.

 DateFormatSymbols

 public DateFormatSymbols()

Construct a DateFormatSymbols object by loading format data from resources for the default locale.

Throws: MissingResourceException

if the resources for the default locale cannot be found or cannot be loaded.

 DateFormatSymbols

 public DateFormatSymbols(Locale locale)

Construct a DateFormatSymbols object by loading format data from resources for the given locale.

Throws: MissingResourceException

if the resources for the specified locale cannot be found or cannot be loaded.

 clone

 public Object clone()

Overrides Cloneable

Overrides:

clone in class Object

 equals

 public boolean equals(Object obj)

Override equals

Overrides:

equals in class Object

 getAmPmStrings

 public String[] getAmPmStrings()

Gets ampm strings. For example: "AM" and "PM".

Returns:

the weekday strings.

 getEras

 public String[] getEras()

Gets era strings. For example: "AD" and "BC".

Returns:

the era strings.

 getLocalPatternChars

 public String getLocalPatternChars()

Gets localized date-time pattern characters. For example: 'u', 't', etc.

Returns:

the localized date-time pattern characters.

 getMonths

 public String[] getMonths()

Gets month strings. For example: "January", "February", etc.

Returns:

the month strings.

 getShortMonths

 public String[] getShortMonths()

Gets short month strings. For example: "Jan", "Feb", etc.

Returns:

the short month strings.

 getShortWeekdays

 public String[] getShortWeekdays()

Gets short weekday strings. For example: "Sun", "Mon", etc.

Returns:

the short weekday strings.

 getWeekdays

 public String[] getWeekdays()

Gets weekday strings. For example: "Sunday", "Monday", etc.

Returns:

the weekday strings.

 getZoneStrings

 public String[][] getZoneStrings()

Gets timezone strings.

Returns:

the timezone strings.

 hashCode

 public int hashCode()

Override hashCode. Generates a hash code for the DateFormatSymbols object.

Overrides:

hashCode in class Object

 setAmPmStrings

 public void setAmPmStrings(String newAmpms[])

Sets ampm strings. For example: "AM" and "PM".

Parameters:

newAmpms - the new ampm strings.

 setEras

 public void setEras(String newEras[])

Sets era strings. For example: "AD" and "BC".

Parameters:

newEras - the new era strings.

 setLocalPatternChars

 public void setLocalPatternChars(String newLocalPatternChars)

Sets localized date-time pattern characters. For example: 'u', 't', etc.

Parameters:

newLocalPatternChars - the new localized date-time pattern characters.

 setMonths

 public void setMonths(String newMonths[])

Sets month strings. For example: "January", "February", etc.

Parameters:

newMonths - the new month strings.

 setShortMonths

 public void setShortMonths(String newShortMonths[])

Sets short month strings. For example: "Jan", "Feb", etc.

Parameters:

newShortMonths - the new short month strings.

 setShortWeekdays

 public void setShortWeekdays(String newShortWeekdays[])

Sets short weekday strings. For example: "Sun", "Mon", etc.

Parameters:

newShortWeekdays - the new short weekday strings.

 setWeekdays

 public void setWeekdays(String newWeekdays[])

Sets weekday strings. For example: "Sunday", "Monday", etc.

Parameters:

newWeekdays - the new weekday strings.

 setZoneStrings

 public void setZoneStrings(String newZoneStrings[][])

Sets timezone strings.

Parameters:

newZoneStrings - the new timezone strings.


 Class java.text.DecimalFormat

java.lang.Object
   |
   +----java.text.Format
           |
           +----java.text.NumberFormat
                   |
                   +----java.text.DecimalFormat

public class DecimalFormat
   extends NumberFormat

DecimalFormat is a concrete subclass of NumberFormat for formatting decimal numbers. This class allows for a variety of parameters, and localization to Western, Arabic, or Indic numbers.

Normally, you get the proper NumberFormat for a specific locale (including the default locale) using one of NumberFormat's factory methods such as getInstance. You may then modify it from there (after testing to make sure it is a DecimalFormat, of course!)

Either the prefixes or the suffixes must be different for the parse to distinguish positive from negative. Parsing will be unreliable if the digits, thousands or decimal separators are the same, or if any of them occur in the prefixes or suffixes.

Special cases:

NaN is formatted as a single character, typically \\uFFFD.

+/-Infinity is formatted as a single character, typically \\u221E, plus the positive and negative pre/suffixes.

Note: this class is designed for common users; for very large or small numbers, use a format that can express exponential values.

Example:

 // normally we would have a GUI with a menu for this
 Locale[] locales = NumberFormat.getAvailableLocales();
 double myNumber = -1234.56;
 NumberFormat form;
 // just for fun, we print out a number with the locale number, currency
 // and percent format for each locale we can.
 for (int j = 0; j < 3; ++j) {
     System.out.println("FORMAT");
     for (int i = 0; i < locales.length; ++i) {
         if (locales[i].getCountry().length() == 0) {
            // skip language-only
            continue;
         }
         System.out.print(locales[i].getDisplayName());
         switch (j) {
         default:
             form = NumberFormat.getInstance(locales[i]); break;
         case 1:
             form = NumberFormat.getCurrencyInstance(locales[i]); break;
         case 0:
             form = NumberFormat.getPercentInstance(locales[i]); break;
         }
         try {
             System.out.print(": " + ((DecimalFormat)form).toPattern()
                          + " -> " + form.format(myNumber));
         } catch (IllegalArgumentException iae) { }
         try {
             System.out.println(" -> " + form.parse(form.format(myNumber)));
         } catch (ParseException pe) { }
     }
 }

The following shows the structure of the pattern.

 pattern    := subpattern{;subpattern}
 subpattern := {prefix}integer{.fraction}{suffix}
 prefix     := '\\u0000'..'\\uFFFD' - specialCharacters
 suffix     := '\\u0000'..'\\uFFFD' - specialCharacters
 integer    := '#'* '0'* '0'
 fraction   := '0'* '#'*
 Notation:
  X*       0 or more instances of X
  (X | Y)  either X or Y.
  X..Y     any character from X up to Y, inclusive.
  S - T    characters in S, except those in T

The first subpattern is for positive numbers. The second (optional) subpattern is for negative numbers. (In both cases, ',' can occur inside the integer portion--it is just too messy to indicate in BNF.)

Here are the special characters used in the parts of the subpattern, with notes on their usage.

 Symbol Meaning
 0      a digit
 #      a digit, zero shows as absent
 .      placeholder for decimal separator
 ,      placeholder for grouping separator.
 ;      separates formats.
 -      default negative prefix.
 %      divide by 100 and show as percentage
 X      any other characters can be used in the prefix or suffix
 '      used to quote special characters in a prefix or suffix.

Notes

If there is no explicit negative subpattern, - is prefixed to the positive form. That is, "0.00" alone is equivalent to "0.00;-0.00".

Illegal formats, such as "#.#.#" or mixing '_' and '*' in the same format, will cause an ParseException to be thrown. From that ParseException, you can find the place in the string where the error occurred.

The grouping separator is commonly used for thousands, but in some countries for ten-thousands. The interval is a constant number of digits between the grouping characters, such as 100,000,000 or 1,0000,0000. If you supply a pattern with multiple grouping characters, the interval between the last one and the end of the integer is the one that is used. So "#,##,###,####" == "######,####" == "##,####,####".

This class only handles localized digits where the 10 digits are contiguous in Unicode, from 0 to 9. Other digits sets (such as superscripts) would need a different subclass.

     See Also:
     Format, NumberFormat, ChoiceFormat

 DecimalFormat()

Create a DecimalFormat using the default pattern and symbols for the default locale.

 DecimalFormat(String)

Create a DecimalFormat from the given pattern and the symbols for the default locale.

 DecimalFormat(String, DecimalFormatSymbols)

Create a DecimalFormat from the given pattern and symbols.

 applyLocalizedPattern(String)

Apply the given pattern to this Format object.

 applyPattern(String)

Apply the given pattern to this Format object.

 clone()

Standard override; no change in semantics.

 equals(Object)

Overrides equals

 format(double, StringBuffer, FieldPosition)

Specialization of format.

 format(long, StringBuffer, FieldPosition)

Specialization of format.

 getDecimalFormatSymbols()

Returns the decimal format symbols, which is generally not changed by the programmer or user.

 getGroupingSize()

Return the grouping size.

 getMultiplier()

Get the multiplier for use in percent, permill, etc.

 getNegativePrefix()

Get the negative prefix.

 getNegativeSuffix()

Get the negative suffix.

 getPositivePrefix()

Get the positive prefix.

 getPositiveSuffix()

Get the positive suffix.

 hashCode()

Overrides hashCode

 isDecimalSeparatorAlwaysShown()

Allows you to get the behavior of the decimal separator with integers.

 parse(String, ParsePosition)

Returns a Long if possible (e.g.

 setDecimalFormatSymbols(DecimalFormatSymbols)

Sets the decimal format symbols, which is generally not changed by the programmer or user.

 setDecimalSeparatorAlwaysShown(boolean)

Allows you to set the behavior of the decimal separator with integers.

 setGroupingSize(int)

Set the grouping size.

 setMultiplier(int)

Set the multiplier for use in percent, permill, etc.

 setNegativePrefix(String)

Set the negative prefix.

 setNegativeSuffix(String)

Set the positive suffix.

 setPositivePrefix(String)

Set the positive prefix.

 setPositiveSuffix(String)

Set the positive suffix.

 toLocalizedPattern()

Synthesizes a localized pattern string that represents the current state of this Format object.

 toPattern()

Synthesizes a pattern string that represents the current state of this Format object.

 DecimalFormat

 public DecimalFormat()

Create a DecimalFormat using the default pattern and symbols for the default locale. This is a convenient way to obtain a DecimalFormat when internationalization is not the main concern.

To obtain standard formats for a given locale, use the factory methods on NumberFormat such as getNumberInstance. These factories will return the most appropriate sub-class of NumberFormat for a given locale.

See Also:

getInstance, getNumberInstance, getCurrencyInstance, getPercentInstance

 DecimalFormat

 public DecimalFormat(String pattern)

Create a DecimalFormat from the given pattern and the symbols for the default locale. This is a convenient way to obtain a DecimalFormat when internationalization is not the main concern.

To obtain standard formats for a given locale, use the factory methods on NumberFormat such as getNumberInstance. These factories will return the most appropriate sub-class of NumberFormat for a given locale.

Parameters:

pattern - A non-localized pattern string.

Throws: IllegalArgumentException

if the given pattern is invalid.

See Also:

getInstance, getNumberInstance, getCurrencyInstance, getPercentInstance

 DecimalFormat

 public DecimalFormat(String pattern,
                      DecimalFormatSymbols symbols)

Create a DecimalFormat from the given pattern and symbols. Use this constructor when you need to completely customize the behavior of the format.

To obtain standard formats for a given locale, use the factory methods on NumberFormat such as getInstance or getCurrencyInstance. If you need only minor adjustments to a standard format, you can modify the format returned by a NumberFormat factory method.

Parameters:

pattern - a non-localized pattern string

symbols - the set of symbols to be used

Throws: IllegalArgumentException

if the given pattern is invalid

See Also:

getInstance, getNumberInstance, getCurrencyInstance, getPercentInstance, DecimalFormatSymbols

 applyLocalizedPattern

 public void applyLocalizedPattern(String pattern)

Apply the given pattern to this Format object. The pattern is assumed to be in a localized notation. A pattern is a short-hand specification for the various formatting properties. These properties can also be changed individually through the various setter methods.

There is no limit to integer digits are set by this routine, since that is the typical end-user desire; use setMaximumInteger if you want to set a real value. For negative numbers, use a second pattern, separated by a semicolon

Example "#,#00.0#" -> 1,234.56

This means a minimum of 2 integer digits, 1 fraction digit, and a maximum of 2 fraction digits.

Example: "#,#00.0#;(#,#00.0#)" for negatives in parantheses.

In negative patterns, the minimum and maximum counts are ignored; these are presumed to be set in the positive pattern.

 applyPattern

 public void applyPattern(String pattern)

Apply the given pattern to this Format object. A pattern is a short-hand specification for the various formatting properties. These properties can also be changed individually through the various setter methods.

There is no limit to integer digits are set by this routine, since that is the typical end-user desire; use setMaximumInteger if you want to set a real value. For negative numbers, use a second pattern, separated by a semicolon

Example "#,#00.0#" -> 1,234.56

This means a minimum of 2 integer digits, 1 fraction digit, and a maximum of 2 fraction digits.

Example: "#,#00.0#;(#,#00.0#)" for negatives in parantheses.

In negative patterns, the minimum and maximum counts are ignored; these are presumed to be set in the positive pattern.

 clone

 public Object clone()

Standard override; no change in semantics.

Overrides:

clone in class NumberFormat

 equals

 public boolean equals(Object obj)

Overrides equals

Overrides:

equals in class NumberFormat

 format

 public StringBuffer format(double number,
                            StringBuffer result,
                            FieldPosition fieldPosition)

Specialization of format.

Overrides:

format in class NumberFormat

 format

 public StringBuffer format(long number,
                            StringBuffer result,
                            FieldPosition fieldPosition)

Specialization of format.

Overrides:

format in class NumberFormat

 getDecimalFormatSymbols

 public DecimalFormatSymbols getDecimalFormatSymbols()

Returns the decimal format symbols, which is generally not changed by the programmer or user.

Returns:

desired DecimalFormatSymbols

See Also:

DecimalFormatSymbols

 getGroupingSize

 public int getGroupingSize()

Return the grouping size. Grouping size is the number of digits between grouping separators in the integer portion of a number. For example, in the number "123,456.78", the grouping size is 3.

See Also:

setGroupingSize, isGroupingUsed, getGroupingSeparator

 getMultiplier

 public int getMultiplier()

Get the multiplier for use in percent, permill, etc. For a percentage, set the suffixes to have "%" and the multiplier to be 100. (For Arabic, use arabic percent symbol). For a permill, set the suffixes to have "?" and the multiplier to be 1000.

Examples: with 100, 1.23 -> "123", and "123" -> 1.23

 getNegativePrefix

 public String getNegativePrefix()

Get the negative prefix.

Examples: -123, ($123) (with negative suffix), sFr-123

 getNegativeSuffix

 public String getNegativeSuffix()

Get the negative suffix.

Examples: -123%, ($123) (with positive suffixes)

 getPositivePrefix

 public String getPositivePrefix()

Get the positive prefix.

Examples: +123, $123, sFr123

 getPositiveSuffix

 public String getPositiveSuffix()

Get the positive suffix.

Example: 123%

 hashCode

 public int hashCode()

Overrides hashCode

Overrides:

hashCode in class NumberFormat

 isDecimalSeparatorAlwaysShown

 public boolean isDecimalSeparatorAlwaysShown()

Allows you to get the behavior of the decimal separator with integers. (The decimal separator will always appear with decimals.)

Example: Decimal ON: 12345 -> 12345.; OFF: 12345 -> 12345

 parse

 public Number parse(String text,
                     ParsePosition status)

Returns a Long if possible (e.g.

Overrides:

parse in class NumberFormat

 setDecimalFormatSymbols

 public void setDecimalFormatSymbols(DecimalFormatSymbols newSymbols)

Sets the decimal format symbols, which is generally not changed by the programmer or user.

Parameters:

newSymbols - desired DecimalFormatSymbols

See Also:

DecimalFormatSymbols

 setDecimalSeparatorAlwaysShown

 public void setDecimalSeparatorAlwaysShown(boolean newValue)

Allows you to set the behavior of the decimal separator with integers. (The decimal separator will always appear with decimals.)

Example: Decimal ON: 12345 -> 12345.; OFF: 12345 -> 12345

 setGroupingSize

 public void setGroupingSize(int newValue)

Set the grouping size. Grouping size is the number of digits between grouping separators in the integer portion of a number. For example, in the number "123,456.78", the grouping size is 3.

See Also:

getGroupingSize, setGroupingUsed, setGroupingSeparator

 setMultiplier

 public void setMultiplier(int newValue)

Set the multiplier for use in percent, permill, etc. For a percentage, set the suffixes to have "%" and the multiplier to be 100. (For Arabic, use arabic percent symbol). For a permill, set the suffixes to have "?" and the multiplier to be 1000.

Examples: with 100, 1.23 -> "123", and "123" -> 1.23

 setNegativePrefix

 public void setNegativePrefix(String newValue)

Set the negative prefix.

Examples: -123, ($123) (with negative suffix), sFr-123

 setNegativeSuffix

 public void setNegativeSuffix(String newValue)

Set the positive suffix.

Examples: 123%

 setPositivePrefix

 public void setPositivePrefix(String newValue)

Set the positive prefix.

Examples: +123, $123, sFr123

 setPositiveSuffix

 public void setPositiveSuffix(String newValue)

Set the positive suffix.

Example: 123%

 toLocalizedPattern

 public String toLocalizedPattern()

Synthesizes a localized pattern string that represents the current state of this Format object.

See Also:

applyPattern

 toPattern

 public String toPattern()

Synthesizes a pattern string that represents the current state of this Format object.

See Also:

applyPattern


 Class java.text.DecimalFormatSymbols

java.lang.Object
   |
   +----java.text.DecimalFormatSymbols

public final class DecimalFormatSymbols
   extends Object
   implements Cloneable, Serializable

This class represents the set of symbols (such as the decimal separator, the grouping separator, and so on) needed by DecimalFormat to format numbers. DecimalFormat creates for itself an instance of DecimalFormatSymbols from its locale data. If you need to change any of these symbols, you can get the DecimalFormatSymbols object from your DecimalFormat and modify it.

     See Also:
     Locale, DecimalFormat

 DecimalFormatSymbols()

Create a DecimalFormatSymbols object for the default locale.

 DecimalFormatSymbols(Locale)

Create a DecimalFormatSymbols object for the given locale.

 clone()

Standard override.

 equals(Object)

Override equals

 getDecimalSeparator()

character used for decimal sign.

 getDigit()

character used for a digit in a pattern.

 getGroupingSeparator()

character used for thousands separator.

 getInfinity()

character used to represent infinity.

 getMinusSign()

character used to represent minus sign.

 getNaN()

character used to represent NaN.

 getPatternSeparator()

character used to separate positive and negative subpatterns in a pattern.

 getPercent()

character used for percent sign.

 getPerMill()

character used for mille percent sign.

 getZeroDigit()

character used for zero.

 hashCode()

Override hashCode

 setDecimalSeparator(char)

 setDigit(char)

 setGroupingSeparator(char)

 setInfinity(String)

 setMinusSign(char)

 setNaN(String)

 setPatternSeparator(char)

 setPercent(char)

 setPerMill(char)

 setZeroDigit(char)

 DecimalFormatSymbols

 public DecimalFormatSymbols()

Create a DecimalFormatSymbols object for the default locale.

 DecimalFormatSymbols

 public DecimalFormatSymbols(Locale locale)

Create a DecimalFormatSymbols object for the given locale.

 clone

 public Object clone()

Standard override.

Overrides:

clone in class Object

 equals

 public boolean equals(Object obj)

Override equals

Overrides:

equals in class Object

 getDecimalSeparator

 public char getDecimalSeparator()

character used for decimal sign. Different for French, etc.

 getDigit

 public char getDigit()

character used for a digit in a pattern.

 getGroupingSeparator

 public char getGroupingSeparator()

character used for thousands separator. Different for French, etc.

 getInfinity

 public String getInfinity()

character used to represent infinity. Almost always left unchanged.

 getMinusSign

 public char getMinusSign()

character used to represent minus sign. If no explicit negative format is specified, one is formed by prefixing minusSign to the positive format.

 getNaN

 public String getNaN()

character used to represent NaN. Almost always left unchanged.

 getPatternSeparator

 public char getPatternSeparator()

character used to separate positive and negative subpatterns in a pattern.

 getPercent

 public char getPercent()

character used for percent sign. Different for Arabic, etc.

 getPerMill

 public char getPerMill()

character used for mille percent sign. Different for Arabic, etc.

 getZeroDigit

 public char getZeroDigit()

character used for zero. Different for Arabic, etc.

 hashCode

 public int hashCode()

Override hashCode

Overrides:

hashCode in class Object

 setDecimalSeparator

 public void setDecimalSeparator(char decimalSeparator)

 setDigit

 public void setDigit(char digit)

 setGroupingSeparator

 public void setGroupingSeparator(char groupingSeparator)

 setInfinity

 public void setInfinity(String infinity)

 setMinusSign

 public void setMinusSign(char minusSign)

 setNaN

 public void setNaN(String NaN)

 setPatternSeparator

 public void setPatternSeparator(char patternSeparator)

 setPercent

 public void setPercent(char percent)

 setPerMill

 public void setPerMill(char perMill)

 setZeroDigit

 public void setZeroDigit(char zeroDigit)


 Class java.text.FieldPosition

java.lang.Object
   |
   +----java.text.FieldPosition

public class FieldPosition
   extends Object

FieldPosition is a simple class used by Format and its subclasses to identify fields in formatted output. Fields are identified by constants, whose names typically end with _FIELD, defined in the various subclasses of Format. See ERA_FIELD and its friends in DateFormat for an example.

FieldPosition keeps track of the position of the field within the formatted output with two indices: the index of the first character of the field and the index of the last character of the field.

One version of the format method in the various Format classes requires a FieldPosition object as an argument. You use this format method to perform partial formatting or to get information about the formatted output (such as the position of a field).

     See Also:
     Format

 FieldPosition(int)

Creates a FieldPosition object for the given field.

 getBeginIndex()

Retrieve the index of the first character in the requested field.

 getEndIndex()

Retrieve the index of the character following the last character in the requested field.

 getField()

Retrieve the field identifier.

 FieldPosition

 public FieldPosition(int field)

Creates a FieldPosition object for the given field. Fields are identified by constants, whose names typically end with _FIELD, in the various subclasses of Format.

See Also:

INTEGER_FIELD, FRACTION_FIELD, YEAR_FIELD, MONTH_FIELD

 getBeginIndex

 public int getBeginIndex()

Retrieve the index of the first character in the requested field.

 getEndIndex

 public int getEndIndex()

Retrieve the index of the character following the last character in the requested field.

 getField

 public int getField()

Retrieve the field identifier.


 Class java.text.Format

java.lang.Object
   |
   +----java.text.Format

public abstract class Format
   extends Object
   implements Serializable, Cloneable

Format is an abstract base class for formatting locale-sensitive information such as dates, messages, and numbers.

Format defines the programming interface for formatting locale-sensitive objects into Strings (the format method) and for parsing Strings back into objects (the parseObject method). Any String formatted by format is guaranteed to be parseable by parseObject.

If formatting is unsuccessful because the Format object cannot format the type of object specified, format throws an IllegalArgumentException. Otherwise, if there is something illformed about the object, format returns the Unicode replacement character \\uFFFD.

If there is no match when parsing, parseObject(String) throws a ParseException, and parseObject(String, ParsePosition) leaves the ParsePosition index member unchanged and returns null.

Subclassing: The JDK provides three concrete subclasses of Format-- DateFormat, MessageFormat, and NumberFormat--for formatting dates, messages, and numbers, respectively.

Concrete subclasses must implement these two methods:

1.	format(Object obj, StringBuffer toAppendTo, FieldPosition pos)

2.	parseObject (String source, ParsePosition pos)

Most subclasses will also implement the following two methods:

1.	getInstance for getting a useful format object appropriate for the current locale

2.	getInstance(Locale) for getting a useful format object appropriate for the specified locale

In addition, some subclasses may also choose to implement other getXxxxInstance methods for more specialized control. For example, the NumberFormat class provides getPercentInstance and getCurrencyInstance methods for getting specialized number formatters.

Subclasses of Format that allow programmers to create objects for locales (with getInstance(Locale) for example) must also implement the following class method:

 public static Locale[] getAvailableLocales()

And finally subclasses may define a set of constants to identify the various fields in the formatted output. These constants are used to create a FieldPosition object which identifies what information is contained in the field and its position in the formatted result. These constants should be named item_FIELD where item identifies the field. For examples of these constants, see ERA_FIELD and its friends in DateFormat.

     See Also:
     ParsePosition, FieldPosition, NumberFormat, DateFormat, MessageFormat

 Format()

 clone()

Creates a new object of the same class as this object.

 format(Object)

Formats an object to produce a string.

 format(Object, StringBuffer, FieldPosition)

Formats an object to produce a string.

 parseObject(String)

Parses a string to produce an object.

 parseObject(String, ParsePosition)

Parses a string to produce an object.

 Format

 public Format()

 clone

 public Object clone()

Creates a new object of the same class as this object.

Overrides:

clone in class Object

 format

 public final String format(Object obj)

Formats an object to produce a string.

Subclasses will override the StringBuffer version of format.

Parameters:

obj - The object to format

Returns:

Formatted string.

Throws: IllegalArgumentException

when the Format cannot format the type of object.

See Also:

MessageFormat, format

 format

 public abstract StringBuffer format(Object obj,
                                     StringBuffer toAppendTo,
                                     FieldPosition pos)

Formats an object to produce a string. Subclasses will implement for particular object, such as:

 StringBuffer format (Number obj, StringBuffer toAppendTo)
 Number parse (String str)

These general routines allow polymorphic parsing and formatting for objects such as the MessageFormat.

Parameters:

obj - The object to format

toAppendTo - where the text is to be appended

status - On input: an alignment field, if desired. On output: the offsets of the alignment field.

Returns:

the value passed in as toAppendTo (this allows chaining, as with StringBuffer.append())

Throws: IllegalArgumentException

when the Format cannot format the given object.

See Also:

MessageFormat, FieldPosition

 parseObject

 public Object parseObject(String source) throws ParseException

Parses a string to produce an object.

Throws: ParseException

if the specified string is invalid.

 parseObject

 public abstract Object parseObject(String source,
                                    ParsePosition status)

Parses a string to produce an object. Subclasses will typically implement for particular object, such as:

       String format (Number obj);
       String format (long obj);
       String format (double obj);
       Number parse (String str);

Parameters:

ParsePosition - Input-Output parameter.

Before calling, set status.index to the offset you want to start parsing at in the source. After calling, status.index is the end of the text you parsed. If error occurs, index is unchanged.

When parsing, leading whitespace is discarded (with successful parse), while trailing whitespace is left as is.

Example: Parsing "_12_xy" (where _ represents a space) for a number, with index == 0 will result in the number 12, with status.index updated to 3 (just before the second space). Parsing a second time will result in a ParseException since "xy" is not a number, and leave index at 3.

Subclasses will typically supply specific parse methods that return different types of values. Since methods can't overload on return types, these will typically be named "parse", while this polymorphic method will always be called parseObject. Any parse method that does not take a status should throw ParseException when no text in the required format is at the start position.

Returns:

Object parsed from string. In case of error, returns null.

See Also:

ParsePosition


 Class java.text.MessageFormat

java.lang.Object
   |
   +----java.text.Format
           |
           +----java.text.MessageFormat

public class MessageFormat
   extends Format

MessageFormat provides a means to produce concatenated messages in language-neutral way. Use this to construct messages displayed for end users.

MessageFormat takes a set of objects, formats them, then inserts the formatted strings into the pattern at the appropriate places.

Note: MessageFormat differs from the other Format classes in that you create a MessageFormat object with one of its constructors (not with a getInstance style factory method). The factory methods aren't necessary because MessageFormat doesn't require any complex setup for a given locale. In fact, MessageFormat doesn't implement any locale specific behavior at all. It just needs to be set up on a sentence by sentence basis.

Here are some examples of usage:

 Object[] arguments = {
     new Integer(7),
     new Date(System.currentTimeMillis()),
     "a disturbance in the Force"
 };
 String result = MessageFormat.format(
     "At {1,time} on {1,date}, there was {2} on planet {0,number,integer}.",
     arguments);
 <output>: At 12:30 PM on Jul 3, 2053, there was a disturbance
           in the Force on planet 7.

Typically, the message format will come from resources, and the arguments will be dynamically set at runtime.

Example 2:

 Object[] testArgs = {new Long(3), "MyDisk"};
 MessageFormat form = new MessageFormat(
     "The disk \"{1}\" contains {0} file(s).");
 System.out.println(form.format(testArgs));
 // output, with different testArgs
 <output>: The disk "MyDisk" contains 0 file(s).
 <output>: The disk "MyDisk" contains 1 file(s).
 <output>: The disk "MyDisk" contains 1,273 file(s).

The pattern is of the form:

 messageFormatPattern := string ( "{" messageFormatElement "}" string )*
 messageFormatElement := argument { "," elementFormat }
 elementFormat := "time" { "," datetimeStyle }
                | "date" { "," datetimeStyle }
                | "number" { "," numberStyle }
                | "choice" { "," choiceStyle }
 datetimeStyle := "short"
                  | "medium"
                  | "long"
                  | "full"
                  | dateFormatPattern
 numberStyle := "currency"
               | "percent"
               | "integer"
               | numberFormatPattern
 choiceStyle := choiceFormatPattern

If there is no elementFormat, then the argument must be a string, which is substituted. If there is no dateTimeStyle or numberStyle, then the default format is used (for example, NumberFormat.getInstance, DateFormat.getTimeInstance, or DateFormat.getInstance).

In strings, single quotes can be used to quote the "{" (curly brace) if necessary. A real single quote is represented by ''. Inside a messageFormatElement, quotes are not removed. For example, {1,number,$'#',##} will produce a number format with the pound-sign quoted, with a result such as: "$#31,45".

If a pattern is used, then unquoted braces in the pattern, if any, must match: that is, "ab {0} de" and "ab '}' de" are ok, but "ab {0'}' de" and "ab } de" are not.

The argument is a number from 0 to 9, which corresponds to the arguments presented in an array to be formatted.

It is ok to have unused arguments in the array. With missing arguments or arguments that are not of the right class for the specified format, a ParseException is thrown. First, format checks to see if a Format object has been specified for the argument with the setFormats method. If so, then format uses that Format object to format the argument. Otherwise, the argument is formatted based on the object's type. If the argument is a Number, then format uses NumberFormat.getInstance to format the argument; if the argument is a Date, then format uses DateFormat.getDateTimeInstance to format the argument. Otherwise, it uses the toString method.

For more sophisticated patterns, you can use a ChoiceFormat to get output such as:

 MessageFormat form = new MessageFormat("The disk \"{1}\" contains {0}.");
 double[] filelimits = {0,1,2};
 String[] filepart = {"no files","one file","{0,number} files"};
 ChoiceFormat fileform = new ChoiceFormat(filelimits, filepart);
 form.setFormat(1,fileform); // NOT zero, see below
 Object[] testArgs = {new Long(12373), "MyDisk"};
 System.out.println(form.format(testArgs));
 // output, with different testArgs
 output: The disk "MyDisk" contains no files.
 output: The disk "MyDisk" contains one file.
 output: The disk "MyDisk" contains 1,273 files.

You can either do this programmatically, as in the above example, or by using a pattern (see ChoiceFormat for more information) as in:

 form.applyPattern(
    "There {0,choice,0#are no files|1#is one file|1#are {0,number,integer} files}.");

Note: As we see above, the string produced by a ChoiceFormat in MessageFormat is treated specially; occurances of '{' are used to indicated subformats, and cause recursion. If you create both a MessageFormat and ChoiceFormat programmatically (instead of using the string patterns), then be careful not to produce a format that recurses on itself, which will cause an infinite loop.

Note: formats are numbered by order of variable in the string. This is not the same as the argument numbering! For example: with "abc{2}def{3}ghi{0}...",

•	format0 affects the first variable {2}

•	format1 affects the second variable {3}

•	format2 affects the second variable {0}

•	and so on.

     See Also:
     Locale, Format, NumberFormat, DecimalFormat, ChoiceFormat

 MessageFormat(String)

Constructs with the specified pattern.

 applyPattern(String)

Sets the pattern.

 clone()

Overrides Cloneable

 equals(Object)

Equality comparision between two message format objects

 format(Object, StringBuffer, FieldPosition)

Formats an object to produce a string.

 format(Object[], StringBuffer, FieldPosition)

Returns pattern with formatted objects.

 format(String, Object[])

Convenience routine.

 getFormats()

Gets formats that were set with setFormats.

 getLocale()

Gets the locale.

 hashCode()

Generates a hash code for the message format object.

 parse(String)

Parses the string.

 parse(String, ParsePosition)

Parses the string.

 parseObject(String, ParsePosition)

Parses the string.

 setFormat(int, Format)

Sets formats individually to use on parameters.

 setFormats(Format[])

Sets formats to use on parameters.

 setLocale(Locale)

Constructs with the specified pattern and formats for the arguments in that pattern.

 toPattern()

Gets the pattern.

 MessageFormat

 public MessageFormat(String pattern)

Constructs with the specified pattern.

See Also:

applyPattern

 applyPattern

 public void applyPattern(String newPattern)

Sets the pattern. See the class description.

 clone

 public Object clone()

Overrides Cloneable

Overrides:

clone in class Format

 equals

 public boolean equals(Object obj)

Equality comparision between two message format objects

Overrides:

equals in class Object

 format

 public final StringBuffer format(Object source,
                                  StringBuffer result,
                                  FieldPosition ignore)

Formats an object to produce a string.

Overrides:

format in class Format

 format

 public final StringBuffer format(Object source[],
                                  StringBuffer result,
                                  FieldPosition ignore)

Returns pattern with formatted objects.

Parameters:

source - an array of objects to be formatted & substituted.

result - where text is appended.

ignore - no useful status is returned.

 format

 public static String format(String pattern,
                             Object arguments[])

Convenience routine. Avoids explicit creation of MessageFormat, but doesn't allow future optimizations.

 getFormats

 public Format[] getFormats()

Gets formats that were set with setFormats. See the class description about format numbering.

 getLocale

 public Locale getLocale()

Gets the locale. This locale is used for fetching default number or date format information.

 hashCode

 public int hashCode()

Generates a hash code for the message format object.

Overrides:

hashCode in class Object

 parse

 public Object[] parse(String source) throws ParseException

Parses the string. Does not yet handle recursion (where the substituted strings contain {n} references.)

Throws: ParseException

if the string can't be parsed.

 parse

 public Object[] parse(String source,
                       ParsePosition status)

Parses the string.

Caveats: The parse may fail in a number of circumstances. For example:

•	If one of the arguments does not occur in the pattern.

•	If the format of an argument is loses information, such as with a choice format where a large number formats to "many".

•	Does not yet handle recursion (where the substituted strings contain {n} references.)

•	Will not always find a match (or the correct match) if some part of the parse is ambiguous. For example, if the pattern "{1},{2}" is used with the string arguments {"a,b", "c"}, it will format as "a,b,c". When the result is parsed, it will return {"a", "b,c"}.

•	If a single argument is formatted twice in the string, then the later parse wins.

 parseObject

 public Object parseObject(String text,
                           ParsePosition status)

Parses the string. Does not yet handle recursion (where the substituted strings contain %n references.)

Overrides:

parseObject in class Format

 setFormat

 public void setFormat(int variable,
                       Format newFormat)

Sets formats individually to use on parameters. See the class description about format numbering.

 setFormats

 public void setFormats(Format newFormats[])

Sets formats to use on parameters. See the class description about format numbering.

 setLocale

 public void setLocale(Locale theLocale)

Constructs with the specified pattern and formats for the arguments in that pattern.

See Also:

applyPattern

 toPattern

 public String toPattern()

Gets the pattern. See the class description.


 Class java.text.NumberFormat

java.lang.Object
   |
   +----java.text.Format
           |
           +----java.text.NumberFormat

public abstract class NumberFormat
   extends Format
   implements Cloneable

NumberFormat is the abstract base class for all number formats. This class provides the interface for formatting and parsing numbers. NumberFormat also provides methods for determining which locales have number formats, and what their names are.

NumberFormat helps you to format and parse numbers for any locale. Your code can be completely independent of the locale conventions for decimal points, thousands-separators, or even the particular decimal digits used, or whether the number format is even decimal.

To format a number for the current Locale, use one of the factory class methods:

  myString = NumberFormat.getInstance().format(myNumber);

If you are formatting multiple numbers, it is more efficient to get the format and use it multiple times so that the system doesn't have to fetch the information about the local language and country conventions multiple times.

 NumberFormat nf = NumberFormat.getInstance();
 for (int i = 0; i < a.length; ++i) {
     output.println(nf.format(myNumber[i]) + "; ");
 }

To format a number for a different Locale, specify it in the call to getInstance.

 NumberFormat nf = NumberFormat.getInstance(Locale.FRENCH);

You can also use a NumberFormat to parse numbers:

 myNumber = nf.parse(myString);

Use getInstance or getNumberInstance to get the normal number format. Use getCurrencyInstance to get the currency number format. And use getPercentInstance to get a format for displaying percentages. With this format, a fraction like 0.53 is displayed as 53%.

You can also control the display of numbers with such methods as setMinimumFractionDigits. If you want even more control over the format or parsing, or want to give your users more control, you can try casting the NumberFormat you get from the factory methods to a DecimalNumberFormat. This will work for the vast majority of locales; just remember to put it in a try block in case you encounter an unusual one.

You can also use forms of the parse and format methods with ParsePosition and FieldPosition to allow you to:

•	progressively parse through pieces of a string

•	align the decimal point and other areas

For example, you can align numbers in two ways:

1.	If you are using a monospaced font with spacing for alignment, you can pass the FieldPosition in your format call, with field = INTEGER_FIELD. On output, getEndIndex will be set to the offset between the last character of the integer and the decimal. Add (desiredSpaceCount - getEndIndex) spaces at the front of the string.

2.	If you are using proportional fonts, instead of padding with spaces, measure the width of the string in pixels from the start to getEndIndex. Then move the pen by (desiredPixelWidth - widthToAlignmentPoint) before drawing the text. It also works where there is no decimal, but possibly additional characters at the end, e.g. with parentheses in negative numbers: "(12)" for -12.

     See Also:
     DecimalFormat, ChoiceFormat

 FRACTION_FIELD

Field constant used to construct a FieldPosition object.

 INTEGER_FIELD

Field constant used to construct a FieldPosition object.

 NumberFormat()

 clone()

Overrides Cloneable

 equals(Object)

Overrides equals

 format(double)

Specialization of format.

 format(double, StringBuffer, FieldPosition)

Specialization of format.

 format(long)

Specialization of format.

 format(long, StringBuffer, FieldPosition)

Specialization of format.

 format(Object, StringBuffer, FieldPosition)

Formats an object to produce a string.

 getAvailableLocales()

Get the set of Locales for which NumberFormats are installed

 getCurrencyInstance()

Returns a currency format for the current default locale.

 getCurrencyInstance(Locale)

Returns a currency format for the specified locale.

 getInstance()

Returns the default number format for the current default locale.

 getInstance(Locale)

Returns the default number format for the specified locale.

 getMaximumFractionDigits()

Returns the maximum number of digits allowed in the fraction portion of a number.

 getMaximumIntegerDigits()

Returns the maximum number of digits allowed in the integer portion of a number.

 getMinimumFractionDigits()

Returns the minimum number of digits allowed in the fraction portion of a number.

 getMinimumIntegerDigits()

Returns the minimum number of digits allowed in the integer portion of a number.

 getNumberInstance()

Returns a general-purpose number format for the current default locale.

 getNumberInstance(Locale)

Returns a general-purpose number format for the specified locale.

 getPercentInstance()

Returns a percentage format for the current default locale.

 getPercentInstance(Locale)

Returns a percentage format for the specified locale.

 hashCode()

Overrides hashCode

 isGroupingUsed()

Returns true if grouping is used in this format.

 isParseIntegerOnly()

Returns true if this format will parse numbers as integers only.

 parse(String)

Convenience method.

 parse(String, ParsePosition)

Returns a Long if possible (e.g.

 parseObject(String, ParsePosition)

Parses a string to produce an object.

 setGroupingUsed(boolean)

Set whether or not grouping will be used in this format.

 setMaximumFractionDigits(int)

Sets the maximum number of digits allowed in the fraction portion of a number.

 setMaximumIntegerDigits(int)

Sets the maximum number of digits allowed in the integer portion of a number.

 setMinimumFractionDigits(int)

Sets the minimum number of digits allowed in the fraction portion of a number.

 setMinimumIntegerDigits(int)

Sets the minimum number of digits allowed in the integer portion of a number.

 setParseIntegerOnly(boolean)

Sets whether or not numbers should be parsed as integers only.

 FRACTION_FIELD

 public static final int FRACTION_FIELD

Field constant used to construct a FieldPosition object. Signifies that the position of the fraction part of a formatted number should be returned.

See Also:

FieldPosition

 INTEGER_FIELD

 public static final int INTEGER_FIELD

Field constant used to construct a FieldPosition object. Signifies that the position of the integer part of a formatted number should be returned.

See Also:

FieldPosition

 NumberFormat

 public NumberFormat()

 clone

 public Object clone()

Overrides Cloneable

Overrides:

clone in class Format

 equals

 public boolean equals(Object obj)

Overrides equals

Overrides:

equals in class Object

 format

 public final String format(double number)

Specialization of format.

See Also:

format

 format

 public abstract StringBuffer format(double number,
                                     StringBuffer toAppendTo,
                                     FieldPosition pos)

Specialization of format.

See Also:

format

 format

 public final String format(long number)

Specialization of format.

See Also:

format

 format

 public abstract StringBuffer format(long number,
                                     StringBuffer toAppendTo,
                                     FieldPosition pos)

Specialization of format.

See Also:

format

 format

 public final StringBuffer format(Object number,
                                  StringBuffer toAppendTo,
                                  FieldPosition pos)

Formats an object to produce a string.

Overrides:

format in class Format

 getAvailableLocales

 public static Locale[] getAvailableLocales()

Get the set of Locales for which NumberFormats are installed

Returns:

available locales

 getCurrencyInstance

 public static final NumberFormat getCurrencyInstance()

Returns a currency format for the current default locale.

 getCurrencyInstance

 public static NumberFormat getCurrencyInstance(Locale inLocale)

Returns a currency format for the specified locale.

 getInstance

 public static final NumberFormat getInstance()

Returns the default number format for the current default locale. The default format is one of the styles provided by the other factory methods: getNumberInstance, getCurrencyInstance or getPercentInstance. Exactly which one is locale dependant.

 getInstance

 public static NumberFormat getInstance(Locale inLocale)

Returns the default number format for the specified locale. The default format is one of the styles provided by the other factory methods: getNumberInstance, getCurrencyInstance or getPercentInstance. Exactly which one is locale dependant.

 getMaximumFractionDigits

 public int getMaximumFractionDigits()

Returns the maximum number of digits allowed in the fraction portion of a number.

See Also:

setMaximumFractionDigits

 getMaximumIntegerDigits

 public int getMaximumIntegerDigits()

Returns the maximum number of digits allowed in the integer portion of a number.

See Also:

setMaximumIntegerDigits

 getMinimumFractionDigits

 public int getMinimumFractionDigits()

Returns the minimum number of digits allowed in the fraction portion of a number.

See Also:

setMinimumFractionDigits

 getMinimumIntegerDigits

 public int getMinimumIntegerDigits()

Returns the minimum number of digits allowed in the integer portion of a number.

See Also:

setMinimumIntegerDigits

 getNumberInstance

 public static final NumberFormat getNumberInstance()

Returns a general-purpose number format for the current default locale.

 getNumberInstance

 public static NumberFormat getNumberInstance(Locale inLocale)

Returns a general-purpose number format for the specified locale.

 getPercentInstance

 public static final NumberFormat getPercentInstance()

Returns a percentage format for the current default locale.

 getPercentInstance

 public static NumberFormat getPercentInstance(Locale inLocale)

Returns a percentage format for the specified locale.

 hashCode

 public int hashCode()

Overrides hashCode

Overrides:

hashCode in class Object

 isGroupingUsed

 public boolean isGroupingUsed()

Returns true if grouping is used in this format. For example, in the English locale, with grouping on, the number 1234567 might be formatted as "1,234,567". The grouping separator as well as the size of each group is locale dependant and is determined by sub-classes of NumberFormat.

See Also:

setGroupingUsed

 isParseIntegerOnly

 public boolean isParseIntegerOnly()

Returns true if this format will parse numbers as integers only. For example in the English locale, with ParseIntegerOnly true, the string "1234." would be parsed as the integer value 1234 and parsing would stop at the "." character. Of course, the exact format accepted by the parse operation is locale dependant and determined by sub-classes of NumberFormat.

 parse

 public Number parse(String text) throws ParseException

Convenience method.

Throws: ParseException

if the specified string is invalid.

See Also:

format

 parse

 public abstract Number parse(String text,
                              ParsePosition parsePosition)

Returns a Long if possible (e.g. within range [Long.MIN_VALUE, Long.MAX_VALUE], and with no decimals), otherwise a Double. If IntegerOnly is set, will stop at a decimal point (or equivalent; e.g. for rational numbers "1 2/3", will stop after the 1). Does not throw an exception; if no object can be parsed, index is unchanged!

Returns:

A Long or Double object with the parsed value, or null if the parse failed.

See Also:

isParseIntegerOnly, parseObject

 parseObject

 public final Object parseObject(String source,
                                 ParsePosition parsePosition)

Parses a string to produce an object.

Overrides:

parseObject in class Format

 setGroupingUsed

 public void setGroupingUsed(boolean newValue)

Set whether or not grouping will be used in this format.

See Also:

isGroupingUsed

 setMaximumFractionDigits

 public void setMaximumFractionDigits(int newValue)

Sets the maximum number of digits allowed in the fraction portion of a number. maximumFractionDigits must be >= minimumFractionDigits. If the new value for maximumFractionDigits is less than the current value of minimumFractionDigits, then minimumFractionDigits will also be set to the new value.

See Also:

getMaximumFractionDigits

 setMaximumIntegerDigits

 public void setMaximumIntegerDigits(int newValue)

Sets the maximum number of digits allowed in the integer portion of a number. maximumIntegerDigits must be >= minimumIntegerDigits. If the new value for maximumIntegerDigits is less than the current value of minimumIntegerDigits, then minimumIntegerDigits will also be set to the new value.

See Also:

getMaximumIntegerDigits

 setMinimumFractionDigits

 public void setMinimumFractionDigits(int newValue)

Sets the minimum number of digits allowed in the fraction portion of a number. minimumFractionDigits must be <= maximumFractionDigits. If the new value for minimumFractionDigits exceeds the current value of maximumFractionDigits, then maximumIntegerDigits will also be set to the new value

See Also:

getMinimumFractionDigits

 setMinimumIntegerDigits

 public void setMinimumIntegerDigits(int newValue)

Sets the minimum number of digits allowed in the integer portion of a number. minimumIntegerDigits must be <= maximumIntegerDigits. If the new value for minimumIntegerDigits exceeds the current value of maximumIntegerDigits, then maximumIntegerDigits will also be set to the new value

See Also:

getMinimumIntegerDigits

 setParseIntegerOnly

 public void setParseIntegerOnly(boolean value)

Sets whether or not numbers should be parsed as integers only.

See Also:

isParseIntegerOnly


 Class java.text.ParsePosition

java.lang.Object
   |
   +----java.text.ParsePosition

public class ParsePosition
   extends Object

ParsePosition is a simple class used by Format and its subclasses to keep track of the current position during parsing. The parseObject method in the various Format classes requires a ParsePosition object as an argument.

By design, as you parse through a string with different formats, you can use the same ParsePosition, since the index parameter records the current position.

     See Also:
     Format

 ParsePosition(int)

Create a new ParsePosition with the given initial index.

 getIndex()

Retrieve the current parse position.

 setIndex(int)

Set the current parse position.

 ParsePosition

 public ParsePosition(int index)

Create a new ParsePosition with the given initial index.

 getIndex

 public int getIndex()

Retrieve the current parse position. On input to a parse method, this is the index of the character at which parsing will begin; on output, it is the index of the character following the last character parsed.

 setIndex

 public void setIndex(int index)

Set the current parse position.


 Class java.text.RuleBasedCollator

java.lang.Object
   |
   +----java.text.Collator
           |
           +----java.text.RuleBasedCollator

public class RuleBasedCollator
   extends Collator

The RuleBasedCollator class is a concrete subclass of Collator that provides a simple, data-driven, table collator. With this class you can create a customized table-based Collator. RuleBasedCollator maps characters to sort keys.

RuleBasedCollator has the following restrictions for efficiency (other subclasses may be used for more complex languages) :

1.	The French secondary ordering is applied to the whole collator object.

2.	All non-mentioned Unicode characters are at the end of the collation order.

3.	Private use characters are treated as identical. The private use area in Unicode is 0xE800-0xF8FF.

The collation table is composed of a list of collation rules, where each rule is of three forms:

    < modifier >
    < relation > < text-argument >
    < reset > < text-argument >

The following demonstrates how to create your own collation rules:

•	Text-Argument: A text-argument is any sequence of characters, excluding special characters (that is, whitespace characters and the characters used in modifier, relation and reset). If those characters are desired, you can put them in single quotes (e.g. ampersand => '&').

•	Modifier: There is a single modifier which is used to specify that all accents (secondary differences) are backwards.

'@' : Indicates that accents are sorted backwards, as in French.

•	Relation: The relations are the following:

•	'<' : Greater, as a letter difference (primary)

•	';' : Greater, as an accent difference (secondary)

•	',' : Greater, as a case difference (tertiary)

•	'=' : Equal

•	Reset: There is a single reset which is used primarily for contractions and expansions, but which can also be used to add a modification at the end of a set of rules.

'&' : Indicates that the next rule follows the position to where the reset text-argument would be sorted.

This sounds more complicated than it is in practice. For example, the following are equivalent ways of expressing the same thing:

 a < b < c
 a < b & b < c
 a < c & a < b

Notice that the order is important, as the subsequent item goes immediately after the text-argument. The following are not equivalent:

 a < b & a < c
 a < c & a < b

Either the text-argument must already be present in the sequence, or some initial substring of the text-argument must be present. (e.g. "a < b & ae < e" is valid since "a" is present in the sequence before "ae" is reset). In this latter case, "ae" is not entered and treated as a single character; instead, "e" is sorted as if it were expanded to two characters: "a" followed by an "e". This difference appears in natural languages: in traditional Spanish "ch" is treated as though it contracts to a single character (expressed as "c < ch < d"), while in traditional German "ä" (a-umlaut) is treated as though it expands to two characters (expressed as "a & ae ; ä < b").

Ignorable Characters

For ignorable characters, the first rule must start with a relation (the examples we have used above are really fragments; "a < b" really should be "< a < b"). If, however, the first relation is not "<", then all the all text-arguments up to the first "<" are ignorable. For example, ", - < a < b" makes "-" an ignorable character, as we saw earlier in the word "black-birds". In the samples for different languages, you see that most accents are ignorable.

Normalization and Accents

The Collator object automatically normalizes text internally to separate accents from base characters where possible. This is done both when processing the rules, and when comparing two strings. Collator also uses the Unicode canonical mapping to ensure that combining sequences are sorted properly (for more information, see The Unicode Standard, Version 2.0.)

Errors

The following are errors:

•	A text-argument not preceded by either a reset or relation character (e.g. "a < b c < d").

•	A relation or reset character not followed by a text-argument (e.g. "a < , b").

•	A reset where the text-argument (or an initial substring of the text-argument) is not already in the sequence. (e.g. "a < b & e < f")

If you produce one of these errors, a RuleBasedCollator throws a ParseException.

Examples

Simple: "< a < b < c < d"

Norwegian: "< a,A< b,B< c,C< d,D< e,E< f,F< g,G< h,H< i,I< j,J < k,K< l,L< m,M< n,N< o,O< p,P< q,Q< r,R< s,S< t,T < u,U< v,V< w,W< x,X< y,Y< z,Z < å=a?,Å=A? ;aa,AA< æ,Æ< ø,Ø"

Normally, to create a rule-based Collator object, you will use Collator's factory method getInstance. However, to create a rule-based Collator object with specialized rules tailored to your needs, you construct the RuleBasedCollator with the rules contained in a String object. For example:

 String Simple = "< a < b < c < d";
 RuleBasedCollator mySimple = new RuleBasedCollator(Simple);

Or:

 String Norwegian = "< a,A< b,B< c,C< d,D< e,E< f,F< g,G< h,H< i,I< j,J" +
                 "< k,K< l,L< m,M< n,N< o,O< p,P< q,Q< r,R< s,S< t,T" +
                 "< u,U< v,V< w,W< x,X< y,Y< z,Z" +
                 "< å=a?,Å=A?" +
                 ";aa,AA< æ,Æ< ø,Ø";
 RuleBasedCollator myNorwegian = new RuleBasedCollator(Norwegian);

Combining Collators is as simple as concatenating strings. Here's an example that combines two Collators from two different locales:

 // Create an en_US Collator object
 RuleBasedCollator en_USCollator = (RuleBasedCollator)
     Collator.getInstance(new Locale("en", "US", ""));
 // Create a da_DK Collator object
 RuleBasedCollator da_DKCollator = (RuleBasedCollator)
     Collator.getInstance(new Locale("da", "DK", ""));
 // Combine the two
 // First, get the collation rules from en_USCollator
 String en_USRules = en_USCollator.getRules();
 // Second, get the collation rules from da_DKCollator
 String da_DKRules = da_DKCollator.getRules();
 RuleBasedCollator newCollator =
     new RuleBasedCollator(en_USRules + da_DKRules);
 // newCollator has the combined rules

Another more interesting example would be to make changes on an existing table to create a new Collator object. For example, add "& C < ch, cH, Ch, CH" to the en_USCollator object to create your own:

 // Create a new Collator object with additional rules
 String addRules = "& C < ch, cH, Ch, CH";
 RuleBasedCollator myCollator =
     new RuleBasedCollator(en_USCollator + addRules);
 // myCollator contains the new rules

The following example demonstrates how to change the order of non-spacing accents,

 // old rule
 String oldRules = "=?;?;?;?"    // main accents
                 + ";?;?;?;?"    // main accents
                 + ";?;?;?;?"    // main accents
                 + ";?;?;?;?"    // main accents
                 + ";?;?;?;?"    // main accents
                 + "< a , A ; ae, AE ; æ , Æ"
                 + "< b , B < c, C < e, E & C < d, D";
 // change the order of accent characters
 String addOn = "& ? ; ? ; ?";
 RuleBasedCollator myCollator = new RuleBasedCollator(oldRules + addOn);

The last example shows how to put new primary ordering in before the default setting. For example, in Japanese Collator, you can either sort English characters before or after Japanese characters,

 // get en_US Collator rules
 RuleBasedCollator en_USCollator = (RuleBasedCollator)Collator.getInstance(Locale.US);
 // add a few Japanese character to sort before English characters
 // suppose the last character before the first base letter 'a' in
 // the English collation rule is ?
 String jaString = "& ? < ?, ? < ?, ?";
 RuleBasedCollator myJapaneseCollator = new
     RuleBasedCollator(en_USCollator.getRules() + jaString);

     See Also:
     Collator, CollationElementIterator

 RuleBasedCollator(String)

RuleBasedCollator constructor.

 clone()

Standard override; no change in semantics.

 compare(String, String)

Compares the character data stored in two different strings based on the collation rules.

 equals(Object)

Compares the equality of two collation objects.

 getCollationElementIterator(String)

Return a CollationElementIterator for the given String.

 getCollationKey(String)

Transforms the string into a series of characters that can be compared with CollationKey.compareTo.

 getRules()

Gets the table-based rules for the collation object.

 hashCode()

Generates the hash code for the table-based collation object

 RuleBasedCollator

 public RuleBasedCollator(String rules) throws ParseException

RuleBasedCollator constructor. This takes the table rules and builds a collation table out of them. Please see RuleBasedCollator class description for more details on the collation rule syntax.

Parameters:

rules - the collation rules to build the collation table from.

Throws: ParseException

A format exception will be thrown if the build process of the rules fails. For example, build rule "a < b c < d" will cause the constructor to throw the ParseException.

See Also:

Locale

 clone

 public Object clone()

Standard override; no change in semantics.

Overrides:

clone in class Collator

 compare

 public int compare(String source,
                    String target)

Compares the character data stored in two different strings based on the collation rules. Returns information about whether a string is less than, greater than or equal to another string in a language. This can be overriden in a subclass.

Overrides:

compare in class Collator

 equals

 public boolean equals(Object obj)

Compares the equality of two collation objects.

Parameters:

obj - the table-based collation object to be compared with this.

Returns:

true if the current table-based collation object is the same as the table-based collation object obj; false otherwise.

Overrides:

equals in class Collator

 getCollationElementIterator

 public CollationElementIterator getCollationElementIterator(String source)

Return a CollationElementIterator for the given String.

See Also:

CollationElementIterator

 getCollationKey

 public CollationKey getCollationKey(String source)

Transforms the string into a series of characters that can be compared with CollationKey.compareTo. This overrides java.text.Collator.getCollationKey. It can be overriden in a subclass.

Overrides:

getCollationKey in class Collator

 getRules

 public String getRules()

Gets the table-based rules for the collation object.

Returns:

returns the collation rules that the table collation object was created from.

 hashCode

 public int hashCode()

Generates the hash code for the table-based collation object

Overrides:

hashCode in class Collator


 Class java.text.SimpleDateFormat

java.lang.Object
   |
   +----java.text.Format
           |
           +----java.text.DateFormat
                   |
                   +----java.text.SimpleDateFormat

public class SimpleDateFormat
   extends DateFormat

SimpleDateFormat is a concrete class for formatting and parsing dates in a locale-sensitive manner. It allows for formatting (millis -> text), parsing (text -> millis), and normalization.

SimpleDateFormat allows you to start by choosing any user-defined patterns for date-time formatting. However, you are encouraged to create a date-time formatter with either getTimeInstance, getDateInstance, or getDateTimeInstance in DateFormat. Each of these class methods can return a date/time formatter initialized with a default format pattern. You may modify the format pattern using the applyPattern methods as desired. For more information on using these methods, see DateFormat.

Time Format Syntax:

To specify the time format use a time pattern string. In this pattern, all ASCII letters are reserved as pattern letters, which are defined as the following:

 Symbol   Meaning                 Presentation        Example
 ------   -------                 ------------        -------
 G        era designator          (Text)              AD
 y        year                    (Number)            1996
 M        month in year           (Text & Number)     July & 07
 d        day in month            (Number)            10
 h        hour in am/pm (1~12)    (Number)            12
 H        hour in day (0~23)      (Number)            0
 m        minute in hour          (Number)            30
 s        second in minute        (Number)            55
 S        millisecond             (Number)            978
 E        day in week             (Text)              Tuesday
 D        day in year             (Number)            189
 F        day of week in month    (Number)            2 (2nd Wed in July)
 w        week in year            (Number)            27
 W        week in month           (Number)            2
 a        am/pm marker            (Text)              PM
 k        hour in day (1~24)      (Number)            24
 K        hour in am/pm (0~11)    (Number)            0
 z        time zone               (Text)              Pacific Standard Time
 '        escape for text         (Delimiter)
 ''       single quote            (Literal)           '

The count of pattern letters determine the format.

(Text): 4 or more pattern letters--use full form, < 4--use short or abbreviated form if one exists.

(Number): the minimum number of digits. Shorter numbers are zero-padded to this amount. Year is handled specially; that is, if the count of 'y' is 2, the Year will be truncated to 2 digits.

(Text & Number): 3 or over, use text, otherwise use number.

Any characters in the pattern that are not in the ranges of ['a'..'z'] and ['A'..'Z'] will be treated as quoted text. For instance, characters like ':', '.', ' ', '#' and '@' will appear in the resulting time text even they are not embraced within single quotes.

A pattern containing any invalid pattern letter will result in a thrown exception during formatting or parsing.

Examples Using the US Locale:

 Format Pattern                         Result
 --------------                         -------
 "yyyy.MM.dd G 'at' hh:mm:ss z"    ->>  1996.07.10 AD at 15:08:56 PDT
 "EEE, MMM d, ''yy"                ->>  Wed, July 10, '96
 "h:mm a"                          ->>  12:08 PM
 "hh 'o''clock' a, zzzz"           ->>  12 o'clock PM, Pacific Daylight Time
 "K:mm a, z"                       ->>  0:00 PM, PST
 "yyyyy.MMMMM.dd GGG hh:mm aaa"    ->>  1996.July.10 AD 12:08 PM

Code Sample:

 SimpleTimeZone pdt = new SimpleTimeZone(-8 * 60 * 60 * 1000, "PST");
 pdt.setStartRule(DateFields.APRIL, 1, DateFields.SUNDAY, 2*60*60*1000);
 pdt.setEndRule(DateFields.OCTOBER, -1, DateFields.SUNDAY, 2*60*60*1000);
 // Format the current time.
 SimpleDateFormat formatter
     = new SimpleDateFormat ("yyyy.mm.dd e 'at' hh:mm:ss a zzz");
 Date currentTime_1 = new Date();
 String dateString = formatter.format(currentTime_1);
 // Parse the previous string back into a Date.
 ParsePosition pos = new ParsePosition(0);
 Date currentTime_2 = formatter.parse(dateString, pos);

In the example, the time value currentTime_2 obtained from parsing will be equal to currentTime_1. However, they may not be equal if the am/pm marker 'a' is left out from the format pattern while the "hour in am/pm" pattern symbol is used. This information loss can happen when formatting the time in PM.

When parsing a date string using the abbreviated year pattern, SimpleDateFormat must interpret the abbreviated year relative to some century. It does this by adjusting dates to be within 80 years before and 20 years after the time the SimpleDateFormat instance is created. For example, using a pattern of MM/dd/yy and a SimpleDateFormat instance created on Jan 1, 1997, the string "01/11/12" would be interpreted as Jan 11, 2012 while the string "05/04/64" would be interpreted as May 4, 1964.

For time zones that have no names, use strings GMT+hours:minutes or GMT-hours:minutes.

The calendar defines what is the first day of the week, the first week of the year, whether hours are zero based or not (0 vs 12 or 24), and the time zone. There is one common decimal format to handle all the numbers; the digit count is handled programmatically according to the pattern.

     See Also:
     Calendar, GregorianCalendar, TimeZone, DateFormat, DateFormatSymbols, DecimalFormat

 SimpleDateFormat()

Construct a SimpleDateFormat using the default pattern for the default locale.

 SimpleDateFormat(String)

Construct a SimpleDateFormat using the given pattern in the default locale.

 SimpleDateFormat(String, DateFormatSymbols)

Construct a SimpleDateFormat using the given pattern and locale-specific symbol data.

 SimpleDateFormat(String, Locale)

Construct a SimpleDateFormat using the given pattern and locale.

 applyLocalizedPattern(String)

Apply the given localized pattern string to this date format.

 applyPattern(String)

Apply the given unlocalized pattern string to this date format.

 clone()

Overrides Cloneable

 equals(Object)

Override equals.

 format(Date, StringBuffer, FieldPosition)

Overrides DateFormat

Formats a date or time, which is the standard millis since 24:00 GMT, Jan 1, 1970.

 getDateFormatSymbols()

Gets the date/time formatting data.

 hashCode()

Override hashCode.

 parse(String, ParsePosition)

Overrides DateFormat

 setDateFormatSymbols(DateFormatSymbols)

Allows you to set the date/time formatting data.

 toLocalizedPattern()

Return a localized pattern string describing this date format.

 toPattern()

Return a pattern string describing this date format.

 SimpleDateFormat

 public SimpleDateFormat()

Construct a SimpleDateFormat using the default pattern for the default locale. Note: Not all locales support SimpleDateFormat; for full generality, use the factory methods in the DateFormat class.

See Also:

DateFormat

 SimpleDateFormat

 public SimpleDateFormat(String pattern)

Construct a SimpleDateFormat using the given pattern in the default locale. Note: Not all locales support SimpleDateFormat; for full generality, use the factory methods in the DateFormat class.

 SimpleDateFormat

 public SimpleDateFormat(String pattern,
                         DateFormatSymbols formatData)

Construct a SimpleDateFormat using the given pattern and locale-specific symbol data.

 SimpleDateFormat

 public SimpleDateFormat(String pattern,
                         Locale loc)

Construct a SimpleDateFormat using the given pattern and locale. Note: Not all locales support SimpleDateFormat; for full generality, use the factory methods in the DateFormat class.

 applyLocalizedPattern

 public void applyLocalizedPattern(String pattern)

Apply the given localized pattern string to this date format.

 applyPattern

 public void applyPattern(String pattern)

Apply the given unlocalized pattern string to this date format.

 clone

 public Object clone()

Overrides Cloneable

Overrides:

clone in class DateFormat

 equals

 public boolean equals(Object obj)

Override equals.

Overrides:

equals in class DateFormat

 format

 public StringBuffer format(Date date,
                            StringBuffer toAppendTo,
                            FieldPosition pos)

Overrides DateFormat

Formats a date or time, which is the standard millis since 24:00 GMT, Jan 1, 1970.

Example: using the US locale: "yyyy.MM.dd e 'at' HH:mm:ss zzz" ->> 1996.07.10 AD at 15:08:56 PDT

Parameters:

date - the date-time value to be formatted into a date-time string.

toAppendTo - where the new date-time text is to be appended.

pos - the formatting position. On input: an alignment field, if desired. On output: the offsets of the alignment field.

Returns:

the formatted date-time string.

Overrides:

format in class DateFormat

See Also:

DateFormat

 getDateFormatSymbols

 public DateFormatSymbols getDateFormatSymbols()

Gets the date/time formatting data.

Returns:

a copy of the date-time formatting data associated with this date-time formatter.

 hashCode

 public int hashCode()

Override hashCode. Generates the hash code for the SimpleDateFormat object

Overrides:

hashCode in class DateFormat

 parse

 public Date parse(String text,
                   ParsePosition pos)

Overrides DateFormat

Overrides:

parse in class DateFormat

See Also:

DateFormat

 setDateFormatSymbols

 public void setDateFormatSymbols(DateFormatSymbols newFormatSymbols)

Allows you to set the date/time formatting data.

Parameters:

newFormatData - the given date-time formatting data.

 toLocalizedPattern

 public String toLocalizedPattern()

Return a localized pattern string describing this date format.

 toPattern

 public String toPattern()

Return a pattern string describing this date format.


 Class java.text.StringCharacterIterator

java.lang.Object
   |
   +----java.text.StringCharacterIterator

public final class StringCharacterIterator
   extends Object
   implements CharacterIterator

StringCharacterIterator implements the CharacterIterater protocol for a String. The StringCharacterIterator class iterates over the entire String.

Examples:

Traverse the text from start to finish

 public void traverseForward(CharacterIterator iter) {
     for (char c = iter.first(); c != CharacterIterator.DONE; c = iter.next()) {
         processChar(c);
     }
 }

Traverse the text backwards, from end to start

 public void traverseBackward(CharacterIterator iter) {
     for (char c = iter.last(); c != CharacterIterator.DONE; c = iter.prev()) {
         processChar(c);
     }
 }

Traverse both forward and backward from a given position in the text.

 public void traverseOut(CharacterIterator iter, int pos) {
     for (char c = iter.setIndex(pos);
          c != CharacterIterator.DONE && notBoundary(c);
          c = iter.next()) {}
     int end = iter.getIndex();
     for (char c = iter.setIndex(pos);
          c != CharacterIterator.DONE && notBoundary(c);
          c = iter.prev()) {}
     int start = iter.getIndex();
     processSection(iter.getText.subString(start,end);
 }

 StringCharacterIterator(String)

Construct an iterator with an initial index of 0.

 StringCharacterIterator(String, int)

Construct an iterator with the specified initial index.

 StringCharacterIterator(String, int, int, int)

Construct an iterator over the given range of the given string, with the index set at the specified position.

 clone()

Create a copy of this boundary

 current()

Get the character at the current position (as returned by getIndex()).

 equals(Object)

Compares the equality of two StringCharacterIterator objects.

 first()

Set the position to getBeginIndex() and return the character at that position.

 getBeginIndex()

Return the start index of the text.

 getEndIndex()

Return the end index of the text.

 getIndex()

Return the current index.

 hashCode()

Compute a hashcode for this enumeration

 last()

Set the position to getEndIndex() and return the character at that position.

 next()

Increment the iterator's index by one and return the character at the new index.

 previous()

Decrement the iterator's index by one and return the character at the new index.

 setIndex(int)

Set the position to specified position in the text and return that character.

 StringCharacterIterator

 public StringCharacterIterator(String text)

Construct an iterator with an initial index of 0.

 StringCharacterIterator

 public StringCharacterIterator(String text,
                                int pos)

Construct an iterator with the specified initial index.

Parameters:

text - The String to be iterated over

pos - Initial iterator position

 StringCharacterIterator

 public StringCharacterIterator(String text,
                                int begin,
                                int end,
                                int pos)

Construct an iterator over the given range of the given string, with the index set at the specified position.

Parameters:

text - The String to be iterated over

begin - Index of the first character

end - Index of the character following the last character

pos - Initial iterator position

 clone

 public Object clone()

Create a copy of this boundary

Returns:

A copy of this

Overrides:

clone in class Object

 current

 public char current()

Get the character at the current position (as returned by getIndex()).

Returns:

the character at the current position or DONE if the current position is off the end of the text.

 equals

 public boolean equals(Object obj)

Compares the equality of two StringCharacterIterator objects.

Parameters:

obj - the StringCharacterIterator object to be compared with.

Returns:

true if the given obj is the same as this StringCharacterIterator object; false otherwise.

Overrides:

equals in class Object

 first

 public char first()

Set the position to getBeginIndex() and return the character at that position.

 getBeginIndex

 public int getBeginIndex()

Return the start index of the text.

Returns:

the index at which the text begins.

 getEndIndex

 public int getEndIndex()

Return the end index of the text. This index is the index of the first character following the end of the text.

Returns:

the index at which the text end.

 getIndex

 public int getIndex()

Return the current index.

Returns:

the current index.

 hashCode

 public int hashCode()

Compute a hashcode for this enumeration

Returns:

A hash code

Overrides:

hashCode in class Object

 last

 public char last()

Set the position to getEndIndex() and return the character at that position.

 next

 public char next()

Increment the iterator's index by one and return the character at the new index. If the resulting index is greater or equal to getEndIndex(), the current index is reset to getEndIndex() and a value of DONE is returned.

Returns:

the character at the new position or DONE if the current position is off the end of the text.

 previous

 public char previous()

Decrement the iterator's index by one and return the character at the new index. If the resulting index is less than getBeginIndex(), the current index is reset to getBeginIndex() and a value of DONE is returned.

Returns:

the character at the new position or DONE if the current position is off the end of the text.

 setIndex

 public char setIndex(int p)

Set the position to specified position in the text and return that character.


 Class java.text.ParseException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.text.ParseException

public class ParseException
   extends Exception

Signals that an error has been has been reached unexpectedly while parsing.

     See Also:
     Exception, Format, FieldPosition

 ParseException(String, int)

Constructs a ParseException with the specified detail message and offset.

 getErrorOffset()

Returns the position where the error was found.

 ParseException

 public ParseException(String s,
                       int errorOffset)

Constructs a ParseException with the specified detail message and offset. A detail message is a String that describes this particular exception.

Parameters:

s - the detail message

errorOffset - the position where the error is found while parsing.

 getErrorOffset

 public int getErrorOffset()

Returns the position where the error was found.


 package java.text.resources

   DateFormatZoneData
   DateFormatZoneData_ar
   DateFormatZoneData_be
   DateFormatZoneData_bg
   DateFormatZoneData_ca
   DateFormatZoneData_cs
   DateFormatZoneData_da
   DateFormatZoneData_de
   DateFormatZoneData_de_AT
   DateFormatZoneData_de_CH
   DateFormatZoneData_el
   DateFormatZoneData_en
   DateFormatZoneData_en_CA
   DateFormatZoneData_en_GB
   DateFormatZoneData_en_IE
   DateFormatZoneData_es
   DateFormatZoneData_et
   DateFormatZoneData_fi
   DateFormatZoneData_fr
   DateFormatZoneData_fr_BE
   DateFormatZoneData_fr_CA
   DateFormatZoneData_fr_CH
   DateFormatZoneData_hr
   DateFormatZoneData_hu
   DateFormatZoneData_is
   DateFormatZoneData_it
   DateFormatZoneData_it_CH
   DateFormatZoneData_iw
   DateFormatZoneData_ja
   DateFormatZoneData_ko
   DateFormatZoneData_lt
   DateFormatZoneData_lv
   DateFormatZoneData_mk
   DateFormatZoneData_nl
   DateFormatZoneData_nl_BE
   DateFormatZoneData_no
   DateFormatZoneData_no_NO_NY
   DateFormatZoneData_pl
   DateFormatZoneData_pt
   DateFormatZoneData_ro
   DateFormatZoneData_ru
   DateFormatZoneData_sh
   DateFormatZoneData_sk
   DateFormatZoneData_sl
   DateFormatZoneData_sq
   DateFormatZoneData_sr
   DateFormatZoneData_sv
   DateFormatZoneData_tr
   DateFormatZoneData_uk
   DateFormatZoneData_zh
   DateFormatZoneData_zh_TW
   LocaleData
   LocaleElements
   LocaleElements_ar
   LocaleElements_be
   LocaleElements_bg
   LocaleElements_ca
   LocaleElements_cs
   LocaleElements_da
   LocaleElements_de
   LocaleElements_de_AT
   LocaleElements_de_CH
   LocaleElements_el
   LocaleElements_en
   LocaleElements_en_CA
   LocaleElements_en_GB
   LocaleElements_en_IE
   LocaleElements_es
   LocaleElements_et
   LocaleElements_fi
   LocaleElements_fr
   LocaleElements_fr_BE
   LocaleElements_fr_CA
   LocaleElements_fr_CH
   LocaleElements_hr
   LocaleElements_hu
   LocaleElements_is
   LocaleElements_it
   LocaleElements_it_CH
   LocaleElements_iw
   LocaleElements_ja
   LocaleElements_ko
   LocaleElements_lt
   LocaleElements_lv
   LocaleElements_mk
   LocaleElements_nl
   LocaleElements_nl_BE
   LocaleElements_no
   LocaleElements_no_NO_NY
   LocaleElements_pl
   LocaleElements_pt
   LocaleElements_ro
   LocaleElements_ru
   LocaleElements_sh
   LocaleElements_sk
   LocaleElements_sl
   LocaleElements_sq
   LocaleElements_sr
   LocaleElements_sv
   LocaleElements_tr
   LocaleElements_uk
   LocaleElements_zh
   LocaleElements_zh_TW


 Class java.text.resources.DateFormatZoneData

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData

public final class DateFormatZoneData
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData

 public DateFormatZoneData()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_ar

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_ar

public final class DateFormatZoneData_ar
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_ar()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_ar

 public DateFormatZoneData_ar()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_be

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_be

public final class DateFormatZoneData_be
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_be()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_be

 public DateFormatZoneData_be()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_bg

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_bg

public final class DateFormatZoneData_bg
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_bg()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_bg

 public DateFormatZoneData_bg()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_ca

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_ca

public final class DateFormatZoneData_ca
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_ca()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_ca

 public DateFormatZoneData_ca()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_cs

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_cs

public final class DateFormatZoneData_cs
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_cs()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_cs

 public DateFormatZoneData_cs()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_da

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_da

public final class DateFormatZoneData_da
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_da()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_da

 public DateFormatZoneData_da()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_de

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_de

public final class DateFormatZoneData_de
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_de()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_de

 public DateFormatZoneData_de()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_de_AT

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_de_AT

public final class DateFormatZoneData_de_AT
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_de_AT()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_de_AT

 public DateFormatZoneData_de_AT()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_de_CH

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_de_CH

public final class DateFormatZoneData_de_CH
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_de_CH()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_de_CH

 public DateFormatZoneData_de_CH()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_el

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_el

public final class DateFormatZoneData_el
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_el()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_el

 public DateFormatZoneData_el()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_en

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_en

public final class DateFormatZoneData_en
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_en()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_en

 public DateFormatZoneData_en()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_en_CA

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_en_CA

public final class DateFormatZoneData_en_CA
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_en_CA()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_en_CA

 public DateFormatZoneData_en_CA()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_en_GB

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_en_GB

public final class DateFormatZoneData_en_GB
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_en_GB()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_en_GB

 public DateFormatZoneData_en_GB()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_en_IE

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_en_IE

public final class DateFormatZoneData_en_IE
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_en_IE()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_en_IE

 public DateFormatZoneData_en_IE()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_es

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_es

public final class DateFormatZoneData_es
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_es()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_es

 public DateFormatZoneData_es()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_et

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_et

public final class DateFormatZoneData_et
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_et()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_et

 public DateFormatZoneData_et()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_fi

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_fi

public final class DateFormatZoneData_fi
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_fi()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_fi

 public DateFormatZoneData_fi()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_fr

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_fr

public final class DateFormatZoneData_fr
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_fr()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_fr

 public DateFormatZoneData_fr()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_fr_BE

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_fr_BE

public final class DateFormatZoneData_fr_BE
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_fr_BE()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_fr_BE

 public DateFormatZoneData_fr_BE()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_fr_CA

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_fr_CA

public final class DateFormatZoneData_fr_CA
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_fr_CA()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_fr_CA

 public DateFormatZoneData_fr_CA()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_fr_CH

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_fr_CH

public final class DateFormatZoneData_fr_CH
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_fr_CH()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_fr_CH

 public DateFormatZoneData_fr_CH()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_hr

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_hr

public final class DateFormatZoneData_hr
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_hr()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_hr

 public DateFormatZoneData_hr()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_hu

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_hu

public final class DateFormatZoneData_hu
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_hu()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_hu

 public DateFormatZoneData_hu()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_is

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_is

public final class DateFormatZoneData_is
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_is()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_is

 public DateFormatZoneData_is()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_it

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_it

public final class DateFormatZoneData_it
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_it()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_it

 public DateFormatZoneData_it()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_it_CH

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_it_CH

public final class DateFormatZoneData_it_CH
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_it_CH()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_it_CH

 public DateFormatZoneData_it_CH()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_iw

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_iw

public final class DateFormatZoneData_iw
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_iw()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_iw

 public DateFormatZoneData_iw()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_ja

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_ja

public final class DateFormatZoneData_ja
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_ja()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_ja

 public DateFormatZoneData_ja()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_ko

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_ko

public final class DateFormatZoneData_ko
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_ko()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_ko

 public DateFormatZoneData_ko()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_lt

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_lt

public final class DateFormatZoneData_lt
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_lt()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_lt

 public DateFormatZoneData_lt()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_lv

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_lv

public final class DateFormatZoneData_lv
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_lv()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_lv

 public DateFormatZoneData_lv()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_mk

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_mk

public final class DateFormatZoneData_mk
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_mk()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_mk

 public DateFormatZoneData_mk()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_nl

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_nl

public final class DateFormatZoneData_nl
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_nl()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_nl

 public DateFormatZoneData_nl()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_nl_BE

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_nl_BE

public final class DateFormatZoneData_nl_BE
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_nl_BE()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_nl_BE

 public DateFormatZoneData_nl_BE()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_no

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_no

public final class DateFormatZoneData_no
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_no()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_no

 public DateFormatZoneData_no()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_no_NO_NY

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_no_NO_NY

public final class DateFormatZoneData_no_NO_NY
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_no_NO_NY()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_no_NO_NY

 public DateFormatZoneData_no_NO_NY()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_pl

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_pl

public final class DateFormatZoneData_pl
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_pl()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_pl

 public DateFormatZoneData_pl()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_pt

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_pt

public final class DateFormatZoneData_pt
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_pt()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_pt

 public DateFormatZoneData_pt()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_ro

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_ro

public final class DateFormatZoneData_ro
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_ro()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_ro

 public DateFormatZoneData_ro()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_ru

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_ru

public final class DateFormatZoneData_ru
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_ru()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_ru

 public DateFormatZoneData_ru()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_sh

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_sh

public final class DateFormatZoneData_sh
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_sh()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_sh

 public DateFormatZoneData_sh()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_sk

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_sk

public final class DateFormatZoneData_sk
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_sk()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_sk

 public DateFormatZoneData_sk()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_sl

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_sl

public final class DateFormatZoneData_sl
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_sl()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_sl

 public DateFormatZoneData_sl()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_sq

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_sq

public final class DateFormatZoneData_sq
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_sq()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_sq

 public DateFormatZoneData_sq()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_sr

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_sr

public final class DateFormatZoneData_sr
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_sr()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_sr

 public DateFormatZoneData_sr()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_sv

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_sv

public final class DateFormatZoneData_sv
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_sv()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_sv

 public DateFormatZoneData_sv()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_tr

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_tr

public final class DateFormatZoneData_tr
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_tr()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_tr

 public DateFormatZoneData_tr()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_uk

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_uk

public final class DateFormatZoneData_uk
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_uk()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_uk

 public DateFormatZoneData_uk()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_zh

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_zh

public final class DateFormatZoneData_zh
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_zh()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_zh

 public DateFormatZoneData_zh()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.DateFormatZoneData_zh_TW

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle
                   |
                   +----java.text.resources.DateFormatZoneData_zh_TW

public final class DateFormatZoneData_zh_TW
   extends ListResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

     See Also:
     ListResourceBundle, Format, DateFormatData, LocaleElements, SimpleDateFormat, TimeZone

 DateFormatZoneData_zh_TW()

 getContents()

Overrides ListResourceBundle

 DateFormatZoneData_zh_TW

 public DateFormatZoneData_zh_TW()

 getContents

 public Object[][] getContents()

Overrides ListResourceBundle

Overrides:

getContents in class ListResourceBundle


 Class java.text.resources.LocaleData

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData

public class LocaleData
   extends ResourceBundle

An internal data warehouse for information (locale elements) needed to implement locale dependent formatting for the standard set of locales The current implementation utilizes a class LocaleElements which is created from plain text source file(s) by a small compiler (LocaleTool) Example of use:

  Locale desiredLocale = new Locale("DA","DK","");
  ResourceBundle resource = ResourceBundle.load("java.util.LocaleElements",
                                    desiredLocale);
  // Pass one of the following:
  "LocaleString",      // locale id based on iso codes
  "LocaleID",          // Windows id
  "ShortLanguage",     // iso-3 abbrev lang name
  "ShortCountry",      // iso-3 abbrev country name
  "Languages",         // language names
  "Countries",         // country names
  "MonthNames",        // ARRAY january
  "MonthAbbreviations",   // ARRAY abb january
  "DayNames",          // ARRAY Monday
  "DayAbbreviations",  // ARRAY abb Monday
  "AmPmMarkers",       // ARRAY am marker
  "Eras",              // era strings
  "NumberPatterns",    // ARRAY decimal pattern
  "CurrencyElements",  // ARRAY local currency symbol
  "DateTimePatterns",  // ARRAY full time pattern
  "DateTimeElements",  // ARRAY first day of week
  "CollationElements", // collation order
  String myString string = resource.getString(LocaleString);
  // or
  String[] myStrings strings = resource.getStringArray(LocaleString);

 LocaleData()

 getAvailableLocales(String)

 getKeys()

Implementation of ResourceBundle.getKeys.

 handleGetObject(String)

Get an object from a ResourceBundle.

 init(String[])

 LocaleData

 public LocaleData()

 getAvailableLocales

 public static Locale[] getAvailableLocales(String key)

 getKeys

 public Enumeration getKeys()

Implementation of ResourceBundle.getKeys.

Overrides:

getKeys in class ResourceBundle

 handleGetObject

 public Object handleGetObject(String key)

Get an object from a ResourceBundle.

Overrides:

handleGetObject in class ResourceBundle

 init

 protected void init(String data[])


 Class java.text.resources.LocaleElements

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements

public class LocaleElements
   extends LocaleData

 LocaleElements()

 LocaleElements

 public LocaleElements()


 Class java.text.resources.LocaleElements_ar

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_ar

public class LocaleElements_ar
   extends LocaleData

 LocaleElements_ar()

 LocaleElements_ar

 public LocaleElements_ar()


 Class java.text.resources.LocaleElements_be

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_be

public class LocaleElements_be
   extends LocaleData

 LocaleElements_be()

 LocaleElements_be

 public LocaleElements_be()


 Class java.text.resources.LocaleElements_bg

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_bg

public class LocaleElements_bg
   extends LocaleData

 LocaleElements_bg()

 LocaleElements_bg

 public LocaleElements_bg()


 Class java.text.resources.LocaleElements_ca

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_ca

public class LocaleElements_ca
   extends LocaleData

 LocaleElements_ca()

 LocaleElements_ca

 public LocaleElements_ca()


 Class java.text.resources.LocaleElements_cs

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_cs

public class LocaleElements_cs
   extends LocaleData

 LocaleElements_cs()

 LocaleElements_cs

 public LocaleElements_cs()


 Class java.text.resources.LocaleElements_da

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_da

public class LocaleElements_da
   extends LocaleData

 LocaleElements_da()

 LocaleElements_da

 public LocaleElements_da()


 Class java.text.resources.LocaleElements_de

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_de

public class LocaleElements_de
   extends LocaleData

 LocaleElements_de()

 LocaleElements_de

 public LocaleElements_de()


 Class java.text.resources.LocaleElements_de_AT

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_de_AT

public class LocaleElements_de_AT
   extends LocaleData

 LocaleElements_de_AT()

 LocaleElements_de_AT

 public LocaleElements_de_AT()


 Class java.text.resources.LocaleElements_de_CH

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_de_CH

public class LocaleElements_de_CH
   extends LocaleData

 LocaleElements_de_CH()

 LocaleElements_de_CH

 public LocaleElements_de_CH()


 Class java.text.resources.LocaleElements_el

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_el

public class LocaleElements_el
   extends LocaleData

 LocaleElements_el()

 LocaleElements_el

 public LocaleElements_el()


 Class java.text.resources.LocaleElements_en

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_en

public class LocaleElements_en
   extends LocaleData

 LocaleElements_en()

 LocaleElements_en

 public LocaleElements_en()


 Class java.text.resources.LocaleElements_en_CA

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_en_CA

public class LocaleElements_en_CA
   extends LocaleData

 LocaleElements_en_CA()

 LocaleElements_en_CA

 public LocaleElements_en_CA()


 Class java.text.resources.LocaleElements_en_GB

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_en_GB

public class LocaleElements_en_GB
   extends LocaleData

 LocaleElements_en_GB()

 LocaleElements_en_GB

 public LocaleElements_en_GB()


 Class java.text.resources.LocaleElements_en_IE

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_en_IE

public class LocaleElements_en_IE
   extends LocaleData

 LocaleElements_en_IE()

 LocaleElements_en_IE

 public LocaleElements_en_IE()


 Class java.text.resources.LocaleElements_es

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_es

public class LocaleElements_es
   extends LocaleData

 LocaleElements_es()

 LocaleElements_es

 public LocaleElements_es()


 Class java.text.resources.LocaleElements_et

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_et

public class LocaleElements_et
   extends LocaleData

 LocaleElements_et()

 LocaleElements_et

 public LocaleElements_et()


 Class java.text.resources.LocaleElements_fi

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_fi

public class LocaleElements_fi
   extends LocaleData

 LocaleElements_fi()

 LocaleElements_fi

 public LocaleElements_fi()


 Class java.text.resources.LocaleElements_fr

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_fr

public class LocaleElements_fr
   extends LocaleData

 LocaleElements_fr()

 LocaleElements_fr

 public LocaleElements_fr()


 Class java.text.resources.LocaleElements_fr_BE

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_fr_BE

public class LocaleElements_fr_BE
   extends LocaleData

 LocaleElements_fr_BE()

 LocaleElements_fr_BE

 public LocaleElements_fr_BE()


 Class java.text.resources.LocaleElements_fr_CA

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_fr_CA

public class LocaleElements_fr_CA
   extends LocaleData

 LocaleElements_fr_CA()

 LocaleElements_fr_CA

 public LocaleElements_fr_CA()


 Class java.text.resources.LocaleElements_fr_CH

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_fr_CH

public class LocaleElements_fr_CH
   extends LocaleData

 LocaleElements_fr_CH()

 LocaleElements_fr_CH

 public LocaleElements_fr_CH()


 Class java.text.resources.LocaleElements_hr

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_hr

public class LocaleElements_hr
   extends LocaleData

 LocaleElements_hr()

 LocaleElements_hr

 public LocaleElements_hr()


 Class java.text.resources.LocaleElements_hu

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_hu

public class LocaleElements_hu
   extends LocaleData

 LocaleElements_hu()

 LocaleElements_hu

 public LocaleElements_hu()


 Class java.text.resources.LocaleElements_is

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_is

public class LocaleElements_is
   extends LocaleData

 LocaleElements_is()

 LocaleElements_is

 public LocaleElements_is()


 Class java.text.resources.LocaleElements_it

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_it

public class LocaleElements_it
   extends LocaleData

 LocaleElements_it()

 LocaleElements_it

 public LocaleElements_it()


 Class java.text.resources.LocaleElements_it_CH

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_it_CH

public class LocaleElements_it_CH
   extends LocaleData

 LocaleElements_it_CH()

 LocaleElements_it_CH

 public LocaleElements_it_CH()


 Class java.text.resources.LocaleElements_iw

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_iw

public class LocaleElements_iw
   extends LocaleData

 LocaleElements_iw()

 LocaleElements_iw

 public LocaleElements_iw()


 Class java.text.resources.LocaleElements_ja

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_ja

public class LocaleElements_ja
   extends LocaleData

 LocaleElements_ja()

 LocaleElements_ja

 public LocaleElements_ja()


 Class java.text.resources.LocaleElements_ko

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_ko

public class LocaleElements_ko
   extends LocaleData

 LocaleElements_ko()

 LocaleElements_ko

 public LocaleElements_ko()


 Class java.text.resources.LocaleElements_lt

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_lt

public class LocaleElements_lt
   extends LocaleData

 LocaleElements_lt()

 LocaleElements_lt

 public LocaleElements_lt()


 Class java.text.resources.LocaleElements_lv

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_lv

public class LocaleElements_lv
   extends LocaleData

 LocaleElements_lv()

 LocaleElements_lv

 public LocaleElements_lv()


 Class java.text.resources.LocaleElements_mk

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_mk

public class LocaleElements_mk
   extends LocaleData

 LocaleElements_mk()

 LocaleElements_mk

 public LocaleElements_mk()


 Class java.text.resources.LocaleElements_nl

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_nl

public class LocaleElements_nl
   extends LocaleData

 LocaleElements_nl()

 LocaleElements_nl

 public LocaleElements_nl()


 Class java.text.resources.LocaleElements_nl_BE

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_nl_BE

public class LocaleElements_nl_BE
   extends LocaleData

 LocaleElements_nl_BE()

 LocaleElements_nl_BE

 public LocaleElements_nl_BE()


 Class java.text.resources.LocaleElements_no

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_no

public class LocaleElements_no
   extends LocaleData

 LocaleElements_no()

 LocaleElements_no

 public LocaleElements_no()


 Class java.text.resources.LocaleElements_no_NO_NY

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_no_NO_NY

public class LocaleElements_no_NO_NY
   extends LocaleData

 LocaleElements_no_NO_NY()

 LocaleElements_no_NO_NY

 public LocaleElements_no_NO_NY()


 Class java.text.resources.LocaleElements_pl

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_pl

public class LocaleElements_pl
   extends LocaleData

 LocaleElements_pl()

 LocaleElements_pl

 public LocaleElements_pl()


 Class java.text.resources.LocaleElements_pt

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_pt

public class LocaleElements_pt
   extends LocaleData

 LocaleElements_pt()

 LocaleElements_pt

 public LocaleElements_pt()


 Class java.text.resources.LocaleElements_ro

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_ro

public class LocaleElements_ro
   extends LocaleData

 LocaleElements_ro()

 LocaleElements_ro

 public LocaleElements_ro()


 Class java.text.resources.LocaleElements_ru

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_ru

public class LocaleElements_ru
   extends LocaleData

 LocaleElements_ru()

 LocaleElements_ru

 public LocaleElements_ru()


 Class java.text.resources.LocaleElements_sh

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_sh

public class LocaleElements_sh
   extends LocaleData

 LocaleElements_sh()

 LocaleElements_sh

 public LocaleElements_sh()


 Class java.text.resources.LocaleElements_sk

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_sk

public class LocaleElements_sk
   extends LocaleData

 LocaleElements_sk()

 LocaleElements_sk

 public LocaleElements_sk()


 Class java.text.resources.LocaleElements_sl

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_sl

public class LocaleElements_sl
   extends LocaleData

 LocaleElements_sl()

 LocaleElements_sl

 public LocaleElements_sl()


 Class java.text.resources.LocaleElements_sq

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_sq

public class LocaleElements_sq
   extends LocaleData

 LocaleElements_sq()

 LocaleElements_sq

 public LocaleElements_sq()


 Class java.text.resources.LocaleElements_sr

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_sr

public class LocaleElements_sr
   extends LocaleData

 LocaleElements_sr()

 LocaleElements_sr

 public LocaleElements_sr()


 Class java.text.resources.LocaleElements_sv

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_sv

public class LocaleElements_sv
   extends LocaleData

 LocaleElements_sv()

 LocaleElements_sv

 public LocaleElements_sv()


 Class java.text.resources.LocaleElements_tr

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_tr

public class LocaleElements_tr
   extends LocaleData

 LocaleElements_tr()

 LocaleElements_tr

 public LocaleElements_tr()


 Class java.text.resources.LocaleElements_uk

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_uk

public class LocaleElements_uk
   extends LocaleData

 LocaleElements_uk()

 LocaleElements_uk

 public LocaleElements_uk()


 Class java.text.resources.LocaleElements_zh

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_zh

public class LocaleElements_zh
   extends LocaleData

 LocaleElements_zh()

 LocaleElements_zh

 public LocaleElements_zh()


 Class java.text.resources.LocaleElements_zh_TW

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.text.resources.LocaleData
                   |
                   +----java.text.resources.LocaleElements_zh_TW

public class LocaleElements_zh_TW
   extends LocaleData

 LocaleElements_zh_TW()

 LocaleElements_zh_TW

 public LocaleElements_zh_TW()


 package java.util

   Enumeration
   EventListener
   Observer

   BitSet
   Calendar
   Date
   Dictionary
   EventObject
   GregorianCalendar
   Hashtable
   ListResourceBundle
   Locale
   Observable
   Properties
   PropertyResourceBundle
   Random
   ResourceBundle
   SimpleTimeZone
   Stack
   StringTokenizer
   TimeZone
   Vector

   EmptyStackException
   MissingResourceException
   NoSuchElementException
   TooManyListenersException


 Interface java.util.Enumeration

public interface Enumeration

An object that implements the Enumeration interface generates a series of elements, one at a time. Successive calls to the nextElement method return successive elements of the series.

For example, to print all elements of a vector v:

     for (Enumeration e = v.elements() ; e.hasMoreElements() ;) {
         System.out.println(e.nextElement());

     }

Methods are provided to enumerate through the elements of a vector, the keys of a hashtable, and the values in a hashtable. Enumerations are also used to specify the input streams to a SequenceInputStream.

     See Also:
     SequenceInputStream, nextElement, Hashtable, elements, keys, Vector, elements

 hasMoreElements()

Tests if this enumeration contains more elements.

 nextElement()

Returns the next element of this enumeration.

 hasMoreElements

 public abstract boolean hasMoreElements()

Tests if this enumeration contains more elements.

Returns:

true if this enumeration contains more elements; false otherwise.

 nextElement

 public abstract Object nextElement()

Returns the next element of this enumeration.

Returns:

the next element of this enumeration.

Throws: NoSuchElementException

if no more elements exist.


 Interface java.util.EventListener

public interface EventListener

A tagging interface that all event listener interfaces must extend


 Interface java.util.Observer

public interface Observer

A class can implement the Observer interface when it wants to be informed of changes in observable objects.

     See Also:
     Observable

 update(Observable, Object)

This method is called whenever the observed object is changed.

 update

 public abstract void update(Observable o,
                             Object arg)

This method is called whenever the observed object is changed. An application calls an observable object's notifyObservers method to have all the object's observers notified of the change.

Parameters:

o - the observable object.

arg - an argument passed to the notifyObservers method.


 Class java.util.BitSet

java.lang.Object
   |
   +----java.util.BitSet

public final class BitSet
   extends Object
   implements Cloneable, Serializable

A set of bits. The set automatically grows as more bits are needed.

 BitSet()

Creates an empty set.

 BitSet(int)

Creates an empty set with the specified size.

 and(BitSet)

Logically ANDs this bit set with the specified set of bits.

 clear(int)

Clears a bit.

 clone()

Clones the BitSet.

 equals(Object)

Compares this object against the specified object.

 get(int)

Gets a bit.

 hashCode()

Gets the hashcode.

 or(BitSet)

Logically ORs this bit set with the specified set of bits.

 set(int)

Sets a bit.

 size()

Calculates and returns the set's size in bits.

 toString()

Converts the BitSet to a String.

 xor(BitSet)

Logically XORs this bit set with the specified set of bits.

 BitSet

 public BitSet()

Creates an empty set.

 BitSet

 public BitSet(int nbits)

Creates an empty set with the specified size.

Parameters:

nbits - the size of the set

 and

 public void and(BitSet set)

Logically ANDs this bit set with the specified set of bits.

Parameters:

set - the bit set to be ANDed with

 clear

 public void clear(int bit)

Clears a bit.

Parameters:

bit - the bit to be cleared

 clone

 public Object clone()

Clones the BitSet.

Overrides:

clone in class Object

 equals

 public boolean equals(Object obj)

Compares this object against the specified object.

Parameters:

obj - the object to compare with

Returns:

true if the objects are the same; false otherwise.

Overrides:

equals in class Object

 get

 public boolean get(int bit)

Gets a bit.

Parameters:

bit - the bit to be gotten

 hashCode

 public int hashCode()

Gets the hashcode.

Overrides:

hashCode in class Object

 or

 public void or(BitSet set)

Logically ORs this bit set with the specified set of bits.

Parameters:

set - the bit set to be ORed with

 set

 public void set(int bit)

Sets a bit.

Parameters:

bit - the bit to be set

 size

 public int size()

Calculates and returns the set's size in bits. The maximum element in the set is the size - 1st element.

 toString

 public String toString()

Converts the BitSet to a String.

Overrides:

toString in class Object

 xor

 public void xor(BitSet set)

Logically XORs this bit set with the specified set of bits.

Parameters:

set - the bit set to be XORed with


 Class java.util.Calendar

java.lang.Object
   |
   +----java.util.Calendar

public abstract class Calendar
   extends Object
   implements Serializable, Cloneable

Calendar is an abstract base class for converting between a Date object and a set of integer fields such as YEAR, MONTH, DAY, HOUR, and so on. (A Date object represents a specific instant in time with millisecond precision. See java.util.Date for information about the Date class.)

Subclasses of Calendar interpret a Date according to the rules of a specific calendar system. The JDK provides one concrete subclass of Calendar: GregorianCalendar. Future subclasses could represent the various types of lunar calendars in use in many parts of the world.

Like other locale-sensitive classes, Calendar provides a class method, getInstance, for getting a generally useful object of this type. Calendar's getInstance method returns a GregorianCalendar object whose time fields have been initialized with the current date and time:

 Calendar rightNow = Calendar.getInstance();

A Calendar object can produce all the time field values needed to implement the date-time formatting for a particular language and calendar style (for example, Japanese-Gregorian, Japanese-Traditional).

When computing a Date from time fields, two special circumstances may arise: there may be insufficient information to compute the Date (such as only year and month but no day in the month), or there may be inconsistent information (such as "Tuesday, July 15, 1996" -- July 15, 1996 is actually a Monday).

Insufficient information. The calendar will use default information to specify the missing fields. This may vary by calendar; for the Gregorian calendar, the default for a field is the same as that of the start of the epoch: i.e., YEAR = 1970, MONTH = JANUARY, DATE = 1, etc.

Inconsistent information. The calendar will give preference to the combinations of fields in the following order (and disregard other inconsistent information). For the day of the year:

 MONTH + DAY_OF_MONTH
 MONTH + WEEK_OF_MONTH + DAY_OF_WEEK
 MONTH + DAY_OF_WEEK_IN_MONTH + DAY_OF_WEEK
 DAY_OF_YEAR
 DAY_OF_WEEK + WEEK_OF_YEAR

For the time of day:

 HOUR_OF_DAY
 AM_PM + HOUR

Note: for some non-Gregorian calendars, different fields may be necessary for complete disambiguation. For example, a full specification of the historial Arabic astronomical calendar requires year, month, day-of-month and day-of-week in some cases.

Note: There are certain possible ambiguities in interpretation of certain singular times, which are resolved in the following ways:

1.	24:00:00 "belongs" to the following day. That is, 23:59 on Dec 31, 1969 < 24:00 on Jan 1, 1970 < 24:01:00 on Jan 1, 1970

2.	Although historically not precise, midnight also belongs to "am", and noon belongs to "pm", so on the same day, 12:00 am (midnight) < 12:01 am, and 12:00 pm (noon) < 12:01 pm

The date or time format strings are not part of the definition of a calendar, as those must be modifiable or overridable by the user at runtime. Use java.text.DateFormat to format dates.

Calendar provides an API for field "rolling", where fields can be incremented or decremented, but wrap around. For example, rolling the month up in the date "September 12, 1996" results in "October 12, 1996".

Calendar also provides a date arithmetic function for adding the specified (signed) amount of time to a particular time field. For example, subtracting 5 days from the date "September 12, 1996" results in "September 7, 1996".

     See Also:
     Date, GregorianCalendar, TimeZone, DateFormat

 AM

Useful constant for hour in 12-hour clock.

 AM_PM

Useful constant for date and time.

 APRIL

Useful constant for month.

 areFieldsSet

True if the fields are in sync with the currently set time of this Calendar.

 AUGUST

Useful constant for month.

 DATE

Useful constant for date and time.

 DAY_OF_MONTH

Useful constant for date and time.

 DAY_OF_WEEK

Useful constant for date and time.

 DAY_OF_WEEK_IN_MONTH

Useful constant for date and time.

 DAY_OF_YEAR

Useful constant for date and time.

 DECEMBER

Useful constant for month.

 DST_OFFSET

Useful constant for date and time.

 ERA

Useful constant for date and time.

 FEBRUARY

Useful constant for month.

 FIELD_COUNT

Useful constant for date and time.

 fields

The time fields containing values into which the millis is computed.

 FRIDAY

Useful constant for days of week.

 HOUR

Useful constant for date and time.

 HOUR_OF_DAY

Useful constant for date and time.

 isSet

The flags which tell if a specified time field for the calendar is set.

 isTimeSet

The flag which indicates if the current time is set for the calendar.

 JANUARY

Useful constant for month.

 JULY

Useful constant for month.

 JUNE

Useful constant for month.

 MARCH

Useful constant for month.

 MAY

Useful constant for month.

 MILLISECOND

Useful constant for date and time.

 MINUTE

Useful constant for date and time.

 MONDAY

Useful constant for days of week.

 MONTH

Useful constant for date and time.

 NOVEMBER

Useful constant for month.

 OCTOBER

Useful constant for month.

 PM

Useful constant for hour in 12-hour clock.

 SATURDAY

Useful constant for days of week.

 SECOND

Useful constant for date and time.

 SEPTEMBER

Useful constant for month.

 SUNDAY

Useful constant for days of week.

 THURSDAY

Useful constant for days of week.

 time

The current time set for the calendar.

 TUESDAY

Useful constant for days of week.

 UNDECIMBER

Useful constant for month.

 WEDNESDAY

Useful constant for days of week.

 WEEK_OF_MONTH

Useful constant for date and time.

 WEEK_OF_YEAR

Useful constant for date and time.

 YEAR

Useful constant for date and time.

 ZONE_OFFSET

Useful constant for date and time.

 Calendar()

Constructs a Calendar with the default time zone as returned by TimeZone.getDefault(), and the default locale.

 Calendar(TimeZone, Locale)

Constructs a Calendar with the given time zone and locale.

 add(int, int)

Date Arithmetic function.

 after(Object)

Compares the time field records.

 before(Object)

Compares the time field records.

 clear()

Clears the values of all the time fields.

 clear(int)

Clears the value in the given time field.

 clone()

Overrides Cloneable

 complete()

Fills in any unset fields in the time field list.

 computeFields()

Converts UTC as milliseconds to time field values.

 computeTime()

Converts Calendar's time field values to UTC as milliseconds.

 equals(Object)

Compares the time field records.

 get(int)

Gets the value for a given time field.

 getAvailableLocales()

Gets the set of locales for which Calendars are installed.

 getFirstDayOfWeek()

Gets what the first day of the week is; e.g., Sunday in US, Monday in France.

 getGreatestMinimum(int)

Gets the highest minimum value for the given field if varies.

 getInstance()

Gets a Calendar using the default timezone and locale.

 getInstance(Locale)

Gets a Calendar using the default timezone and given locale.

 getInstance(TimeZone)

Gets a Calendar using the given timezone and default locale.

 getInstance(TimeZone, Locale)

Gets a Calendar using the given timezone and given locale.

 getLeastMaximum(int)

Gets the lowest maximum value for the given field if varies.

 getMaximum(int)

Gets the maximum value for the given time field.

 getMinimalDaysInFirstWeek()

Gets what the minimal days required in the first week of the year are; e.g., if the first week is defined as one that contains the first day of the first month of a year, getMinimalDaysInFirstWeek returns 1.

 getMinimum(int)

Gets the minimum value for the given time field.

 getTime()

Gets this Calendar's current time.

 getTimeInMillis()

Gets this Calendar's current time as a long.

 getTimeZone()

Gets the time zone.

 internalGet(int)

Gets the value for a given time field.

 isLenient()

Tell whether date/time interpretation is to be lenient.

 isSet(int)

Determines if the given time field has a value set.

 roll(int, boolean)

Time Field Rolling function.

 set(int, int)

Sets the time field with the given value.

 set(int, int, int)

Sets the values for the fields year, month, and date.

 set(int, int, int, int, int)

Sets the values for the fields year, month, date, hour, and minute.

 set(int, int, int, int, int, int)

Sets the values for the fields year, month, date, hour, minute, and second.

 setFirstDayOfWeek(int)

Sets what the first day of the week is; e.g., Sunday in US, Monday in France.

 setLenient(boolean)

Specify whether or not date/time interpretation is to be lenient.

 setMinimalDaysInFirstWeek(int)

Sets what the minimal days required in the first week of the year are; For example, if the first week is defined as one that contains the first day of the first month of a year, call the method with value 1.

 setTime(Date)

Sets this Calendar's current time with the given Date.

 setTimeInMillis(long)

Sets this Calendar's current time from the given long value.

 setTimeZone(TimeZone)

Sets the time zone with the given time zone value.

 AM

 public static final int AM

Useful constant for hour in 12-hour clock. Used in GregorianCalendar.

 AM_PM

 public static final int AM_PM

Useful constant for date and time. Used in time fields.

 APRIL

 public static final int APRIL

Useful constant for month. Used in GregorianCalendar.

 areFieldsSet

 protected boolean areFieldsSet

True if the fields are in sync with the currently set time of this Calendar. If false, then the next attempt to get the value of a field will force a recomputation of all fields from the current value of the time field. This should really be named areFieldsInSync, but the old name is retained for backward compatibility.

 AUGUST

 public static final int AUGUST

Useful constant for month. Used in GregorianCalendar.

 DATE

 public static final int DATE

Useful constant for date and time. Used in time fields. This is a synonym for DAY_OF_MONTH.

 DAY_OF_MONTH

 public static final int DAY_OF_MONTH

Useful constant for date and time. Used in time fields. This is a synonym for DATE.

 DAY_OF_WEEK

 public static final int DAY_OF_WEEK

Useful constant for date and time. Used in time fields.

 DAY_OF_WEEK_IN_MONTH

 public static final int DAY_OF_WEEK_IN_MONTH

Useful constant for date and time. Used in time fields.

 DAY_OF_YEAR

 public static final int DAY_OF_YEAR

Useful constant for date and time. Used in time fields.

 DECEMBER

 public static final int DECEMBER

Useful constant for month. Used in GregorianCalendar.

 DST_OFFSET

 public static final int DST_OFFSET

Useful constant for date and time. Used in time fields.

 ERA

 public static final int ERA

Useful constant for date and time. Used in time fields. ERA is calendar specific.

 FEBRUARY

 public static final int FEBRUARY

Useful constant for month. Used in GregorianCalendar.

 FIELD_COUNT

 public static final int FIELD_COUNT

Useful constant for date and time. FIELD_COUNT is used for the time field array creation.

 fields

 protected int fields[]

The time fields containing values into which the millis is computed.

 FRIDAY

 public static final int FRIDAY

Useful constant for days of week. Used in GregorianCalendar.

 HOUR

 public static final int HOUR

Useful constant for date and time. Used in time fields. HOUR is used for the 12-hour clock.

 HOUR_OF_DAY

 public static final int HOUR_OF_DAY

Useful constant for date and time. Used in time fields. HOUR_OF_DAY is used for the 24-hour clock.

 isSet

 protected boolean isSet[]

The flags which tell if a specified time field for the calendar is set. A new object has no fields set. After the first call to a method which generates the fields, they all remain set after that.

 isTimeSet

 protected boolean isTimeSet

The flag which indicates if the current time is set for the calendar. The time is made invalid by the user setting an individual field.

 JANUARY

 public static final int JANUARY

Useful constant for month. Used in GregorianCalendar. Note: Calendar month is now 0-based.

 JULY

 public static final int JULY

Useful constant for month. Used in GregorianCalendar.

 JUNE

 public static final int JUNE

Useful constant for month. Used in GregorianCalendar.

 MARCH

 public static final int MARCH

Useful constant for month. Used in GregorianCalendar.

 MAY

 public static final int MAY

Useful constant for month. Used in GregorianCalendar.

 MILLISECOND

 public static final int MILLISECOND

Useful constant for date and time. Used in time fields.

 MINUTE

 public static final int MINUTE

Useful constant for date and time. Used in time fields.

 MONDAY

 public static final int MONDAY

Useful constant for days of week. Used in GregorianCalendar.

 MONTH

 public static final int MONTH

Useful constant for date and time. Used in time fields.

 NOVEMBER

 public static final int NOVEMBER

Useful constant for month. Used in GregorianCalendar.

 OCTOBER

 public static final int OCTOBER

Useful constant for month. Used in GregorianCalendar.

 PM

 public static final int PM

Useful constant for hour in 12-hour clock. Used in GregorianCalendar.

 SATURDAY

 public static final int SATURDAY

Useful constant for days of week. Used in GregorianCalendar.

 SECOND

 public static final int SECOND

Useful constant for date and time. Used in time fields.

 SEPTEMBER

 public static final int SEPTEMBER

Useful constant for month. Used in GregorianCalendar.

 SUNDAY

 public static final int SUNDAY

Useful constant for days of week. Used in GregorianCalendar.

 THURSDAY

 public static final int THURSDAY

Useful constant for days of week. Used in GregorianCalendar.

 time

 protected long time

The current time set for the calendar.

 TUESDAY

 public static final int TUESDAY

Useful constant for days of week. Used in GregorianCalendar.

 UNDECIMBER

 public static final int UNDECIMBER

Useful constant for month. Used in GregorianCalendar. UNDECIMBER is an artifical name. This 13th month is for lunar calendars.

 WEDNESDAY

 public static final int WEDNESDAY

Useful constant for days of week. Used in GregorianCalendar.

 WEEK_OF_MONTH

 public static final int WEEK_OF_MONTH

Useful constant for date and time. Used in time fields.

 WEEK_OF_YEAR

 public static final int WEEK_OF_YEAR

Useful constant for date and time. Used in time fields.

 YEAR

 public static final int YEAR

Useful constant for date and time. Used in time fields.

 ZONE_OFFSET

 public static final int ZONE_OFFSET

Useful constant for date and time. Used in time fields.

 Calendar

 protected Calendar()

Constructs a Calendar with the default time zone as returned by TimeZone.getDefault(), and the default locale.

See Also:

getDefault

 Calendar

 protected Calendar(TimeZone zone,
                    Locale aLocale)

Constructs a Calendar with the given time zone and locale.

Parameters:

zone - the given time zone.

 add

 public abstract void add(int field,
                          int amount)

Date Arithmetic function. Adds the specified (signed) amount of time to the given time field, based on the calendar's rules. For example, to subtract 5 days from the current time of the calendar, you can achieve it by calling:

add(Calendar.DATE, -5).

Parameters:

field - the time field.

amount - the amount of date or time to be added to the field.

 after

 public abstract boolean after(Object when)

Compares the time field records. Equivalent to comparing result of conversion to UTC.

Parameters:

when - the Calendar to be compared with this Calendar.

Returns:

true if the current time of this Calendar is after the time of Calendar when; false otherwise.

 before

 public abstract boolean before(Object when)

Compares the time field records. Equivalent to comparing result of conversion to UTC.

Parameters:

when - the Calendar to be compared with this Calendar.

Returns:

true if the current time of this Calendar is before the time of Calendar when; false otherwise.

 clear

 public final void clear()

Clears the values of all the time fields.

 clear

 public final void clear(int field)

Clears the value in the given time field.

Parameters:

field - the time field to be cleared.

 clone

 public Object clone()

Overrides Cloneable

Overrides:

clone in class Object

 complete

 protected void complete()

Fills in any unset fields in the time field list.

 computeFields

 protected abstract void computeFields()

Converts UTC as milliseconds to time field values. This allows you to sync up the time field values with a new time that is set for the calendar. The time is not recomputed first; to recompute the time, then the fields, call the complete method.

See Also:

complete

 computeTime

 protected abstract void computeTime()

Converts Calendar's time field values to UTC as milliseconds.

 equals

 public abstract boolean equals(Object when)

Compares the time field records. Equivalent to comparing result of conversion to UTC.

Parameters:

when - the Calendar to be compared with this Calendar.

Returns:

true if the current time of this Calendar is equal to the time of Calendar when; false otherwise.

Overrides:

equals in class Object

 get

 public final int get(int field)

Gets the value for a given time field.

Parameters:

field - the given time field.

Returns:

the value for the given time field.

 getAvailableLocales

 public static synchronized Locale[] getAvailableLocales()

Gets the set of locales for which Calendars are installed.

Returns:

the set of locales for which Calendars are installed.

 getFirstDayOfWeek

 public int getFirstDayOfWeek()

Gets what the first day of the week is; e.g., Sunday in US, Monday in France.

Returns:

the first day of the week.

 getGreatestMinimum

 public abstract int getGreatestMinimum(int field)

Gets the highest minimum value for the given field if varies. Otherwise same as getMinimum(). For Gregorian, no difference.

Parameters:

field - the given time field.

Returns:

the highest minimum value for the given time field.

 getInstance

 public static synchronized Calendar getInstance()

Gets a Calendar using the default timezone and locale.

Returns:

a Calendar.

 getInstance

 public static synchronized Calendar getInstance(Locale aLocale)

Gets a Calendar using the default timezone and given locale.

Parameters:

aLocale - the given locale.

Returns:

a Calendar.

 getInstance

 public static synchronized Calendar getInstance(TimeZone zone)

Gets a Calendar using the given timezone and default locale.

Parameters:

zone - the given timezone.

Returns:

a Calendar.

 getInstance

 public static synchronized Calendar getInstance(TimeZone zone,
                                                 Locale aLocale)

Gets a Calendar using the given timezone and given locale.

Parameters:

zone - the given timezone.

aLocale - the given locale.

Returns:

a Calendar.

 getLeastMaximum

 public abstract int getLeastMaximum(int field)

Gets the lowest maximum value for the given field if varies. Otherwise same as getMaximum(). e.g., for Gregorian DAY_OF_MONTH, 28.

Parameters:

field - the given time field.

Returns:

the lowest maximum value for the given time field.

 getMaximum

 public abstract int getMaximum(int field)

Gets the maximum value for the given time field. e.g. for Gregorian DAY_OF_MONTH, 31.

Parameters:

field - the given time field.

Returns:

the maximum value for the given time field.

 getMinimalDaysInFirstWeek

 public int getMinimalDaysInFirstWeek()

Gets what the minimal days required in the first week of the year are; e.g., if the first week is defined as one that contains the first day of the first month of a year, getMinimalDaysInFirstWeek returns 1. If the minimal days required must be a full week, getMinimalDaysInFirstWeek returns 7.

Returns:

the minimal days required in the first week of the year.

 getMinimum

 public abstract int getMinimum(int field)

Gets the minimum value for the given time field. e.g., for Gregorian DAY_OF_MONTH, 1.

Parameters:

field - the given time field.

Returns:

the minimum value for the given time field.

 getTime

 public final Date getTime()

Gets this Calendar's current time.

Returns:

the current time.

 getTimeInMillis

 protected long getTimeInMillis()

Gets this Calendar's current time as a long.

Returns:

the current time as UTC milliseconds from the epoch.

 getTimeZone

 public TimeZone getTimeZone()

Gets the time zone.

Returns:

the time zone object associated with this calendar.

 internalGet

 protected final int internalGet(int field)

Gets the value for a given time field. This is an internal fast time field value getter for the subclasses.

Parameters:

field - the given time field.

Returns:

the value for the given time field.

 isLenient

 public boolean isLenient()

Tell whether date/time interpretation is to be lenient.

 isSet

 public final boolean isSet(int field)

Determines if the given time field has a value set.

Returns:

true if the given time field has a value set; false otherwise.

 roll

 public abstract void roll(int field,
                           boolean up)

Time Field Rolling function. Rolls (up/down) a single unit of time on the given time field. For example, to roll the current date up by one day, you can achieve it by calling:

roll(Calendar.DATE, true). When rolling on the year or Calendar.YEAR field, it will roll the year value in the range between 1 and the value returned by calling getMaximum(Calendar.YEAR). When rolling on the month or Calendar.MONTH field, other fields like date might conflict and, need to be changed. For instance, rolling the month on the date 01/31/96 will result in 03/02/96. When rolling on the hour-in-day or Calendar.HOUR_OF_DAY field, it will roll the hour value in the range between 0 and 23, which is zero-based.

Parameters:

field - the time field.

up - indicates if the value of the specified time field is to be rolled up or rolled down. Use true if rolling up, false otherwise.

 set

 public final void set(int field,
                       int value)

Sets the time field with the given value.

Parameters:

field - the given time field.

value - the value to be set for the given time field.

 set

 public final void set(int year,
                       int month,
                       int date)

Sets the values for the fields year, month, and date. Previous values of other fields are retained. If this is not desired, call clear first.

Parameters:

year - the value used to set the YEAR time field.

month - the value used to set the MONTH time field. Month value is 0-based. e.g., 0 for January.

date - the value used to set the DATE time field.

 set

 public final void set(int year,
                       int month,
                       int date,
                       int hour,
                       int minute)

Sets the values for the fields year, month, date, hour, and minute. Previous values of other fields are retained. If this is not desired, call clear first.

Parameters:

year - the value used to set the YEAR time field.

month - the value used to set the MONTH time field. Month value is 0-based. e.g., 0 for January.

date - the value used to set the DATE time field.

hour - the value used to set the HOUR_OF_DAY time field.

minute - the value used to set the MINUTE time field.

 set

 public final void set(int year,
                       int month,
                       int date,
                       int hour,
                       int minute,
                       int second)

Sets the values for the fields year, month, date, hour, minute, and second. Previous values of other fields are retained. If this is not desired, call clear first.

Parameters:

year - the value used to set the YEAR time field.

month - the value used to set the MONTH time field. Month value is 0-based. e.g., 0 for January.

date - the value used to set the DATE time field.

hour - the value used to set the HOUR_OF_DAY time field.

minute - the value used to set the MINUTE time field.

second - the value used to set the SECOND time field.

 setFirstDayOfWeek

 public void setFirstDayOfWeek(int value)

Sets what the first day of the week is; e.g., Sunday in US, Monday in France.

Parameters:

value - the given first day of the week.

 setLenient

 public void setLenient(boolean lenient)

Specify whether or not date/time interpretation is to be lenient. With lenient interpretation, a date such as "February 942, 1996" will be treated as being equivalent to the 941st day after February 1, 1996. With strict interpretation, such dates will cause an exception to be thrown.

See Also:

setLenient

 setMinimalDaysInFirstWeek

 public void setMinimalDaysInFirstWeek(int value)

Sets what the minimal days required in the first week of the year are; For example, if the first week is defined as one that contains the first day of the first month of a year, call the method with value 1. If it must be a full week, use value 7.

Parameters:

value - the given minimal days required in the first week of the year.

 setTime

 public final void setTime(Date date)

Sets this Calendar's current time with the given Date.

Parameters:

date - the given Date.

 setTimeInMillis

 protected void setTimeInMillis(long millis)

Sets this Calendar's current time from the given long value.

Parameters:

date - the new time in UTC milliseconds from the epoch.

 setTimeZone

 public void setTimeZone(TimeZone value)

Sets the time zone with the given time zone value.

Parameters:

value - the given time zone.


 Class java.util.Date

java.lang.Object
   |
   +----java.util.Date

public class Date
   extends Object
   implements Serializable, Cloneable

The class Date represents a specific instant in time, with millisecond precision.

Prior to JDK 1.1, the class Date had two additional functions. It allowed the interpretation of dates as year, month, day, hour, minute, and second values. It also allowed the formatting and parsing of date strings. Unfortunately, the API for these functions was not amenable to internationalization. As of JDK 1.1, the Calendar class should be used to convert between dates and time fields and the DateFormat class should be used to format and parse date strings. The corresponding methods in Date are deprecated.

Although the Date class is intended to reflect coordinated universal time (UTC), it may not do so exactly, depending on the host environment of the Java Virtual Machine. Nearly all modern operating systems assume that 1 day = 24 × 60 × 60 = 86400 seconds in all cases. In UTC, however, about once every year or two there is an extra second, called a "leap second." The leap second is always added as the last second of the day, and always on December 31 or June 30. For example, the last minute of the year 1995 was 61 seconds long, thanks to an added leap second. Most computer clocks are not accurate enough to be able to reflect the leap-second distinction.

Some computer standards are defined in terms of Greenwich mean time (GMT), which is equivalent to universal time (UT). GMT is the "civil" name for the standard; UT is the "scientific" name for the same standard. The distinction between UTC and UT is that UTC is based on an atomic clock and UT is based on astronomical observations, which for all practical purposes is an invisibly fine hair to split. Because the earth's rotation is not uniform (it slows down and speeds up in complicated ways), UT does not always flow uniformly. Leap seconds are introduced as needed into UTC so as to keep UTC within 0.9 seconds of UT1, which is a version of UT with certain corrections applied. There are other time and date systems as well; for example, the time scale used by the satellite-based global positioning system (GPS) is synchronized to UTC but is not adjusted for leap seconds. An interesting source of further information is the U.S. Naval Observatory, particularly the Directorate of Time at:

http://tycho.usno.navy.mil

and their definitions of "Systems of Time" at:

http://tycho.usno.navy.mil/systime.html

In all methods of class Date that accept or return year, month, date, hours, minutes, and seconds values, the following representations are used:

•	A year y is represented by the integer y - 1900.

•	A month is represented by an integer form 0 to 11; 0 is January, 1 is February, and so forth; thus 11 is December.

•	A date (day of month) is represented by an integer from 1 to 31 in the usual manner.

•	An hour is represented by an integer from 0 to 23. Thus, the hour from midnight to 1 a.m. is hour 0, and the hour from noon to 1 p.m. is hour 12.

•	A minute is represented by an integer from 0 to 59 in the usual manner.

•	A second is represented by an integer from 0 to 60; the value 60 occurs only for leap seconds and even then only in Java implementations that actually track leap seconds correctly.

In all cases, arguments given to methods for these purposes need not fall within the indicated ranges; for example, a date may be specified as January 32 and is interpreted as meaning February 1.

     See Also:
     DateFormat, Calendar, TimeZone

 Date()

Allocates a Date object and initializes it so that it represents the time at which it was allocated measured to the nearest millisecond.

 Date(int, int, int)

Allocates a Date object and initializes it so that it represents midnight, local time, at the beginning of the day specified by the year, month, and date arguments. Deprecated.

 Date(int, int, int, int, int)

Allocates a Date object and initializes it so that it represents the specified hour and minute, local time, of the date specified by the year, month, date, hrs, and min arguments. Deprecated.

 Date(int, int, int, int, int, int)

Allocates a Date object and initializes it so that it represents the specified hour, minute, and second, local time of the date specified by the year, month, date, hrs, min, and sec arguments. Deprecated.

 Date(long)

Allocates a Date object and initializes it to represent the specified number of milliseconds since January 1, 1970, 00:00:00 GMT.

 Date(String)

Allocates a Date object and initializes it so that it represents the date and time indicated by the string s, which is interpreted as if by the parse method. Deprecated.

 after(Date)

Tests if this date is after the specified date.

 before(Date)

Tests if this date is before the specified date.

 equals(Object)

Compares two dates.

 getDate()

Returns the day of the month represented by this date. Deprecated.

 getDay()

Returns the day of the week represented by this date. Deprecated.

 getHours()

Returns the hour represented by this date. Deprecated.

 getMinutes()

Returns the number of minutes past the hour represented by this date. Deprecated.

 getMonth()

Returns the month represented by this date. Deprecated.

 getSeconds()

Returns the number of seconds past the minute represented by this date. Deprecated.

 getTime()

Returns the number of milliseconds since January 1, 1970, 00:00:00 GMT represented by this date.

 getTimezoneOffset()

Returns the local time-zone offset. Deprecated.

 getYear()

Returns the year represented by this date, minus 1900. Deprecated.

 hashCode()

Returns a hash code value for this object.

 parse(String)

Given a string representing a time, parse it and return the time value. Deprecated.

 setDate(int)

Sets the day of the month of this date to the specified value. Deprecated.

 setHours(int)

Sets the hour of this date to the specified value. Deprecated.

 setMinutes(int)

Sets the minutes of this date to the specified value. Deprecated.

 setMonth(int)

Sets the month of this date to the specified value. Deprecated.

 setSeconds(int)

Sets the seconds of this date to the specified value. Deprecated.

 setTime(long)

Sets this date to represent the specified number of milliseconds since January 1, 1970 00:00:00 GMT.

 setYear(int)

Sets the year of this date to be the specified value plus 1900. Deprecated.

 toGMTString()

Creates a string representation of this date. Deprecated.

 toLocaleString()

Creates a string representation of this date in an implementation-dependent form. Deprecated.

 toString()

Creates a canonical string representation of the date.

 UTC(int, int, int, int, int, int)

Determines the date and time based on the arguments. Deprecated.

 Date

 public Date()

Allocates a Date object and initializes it so that it represents the time at which it was allocated measured to the nearest millisecond.

See Also:

currentTimeMillis

 Date

 public Date(int year,
             int month,
             int date)

Note: Date() is deprecated.

Allocates a Date object and initializes it so that it represents midnight, local time, at the beginning of the day specified by the year, month, and date arguments.

Parameters:

year - the year minus 1900.

month - the month between 0-11.

date - the day of the month between 1-31.

See Also:

Calendar

 Date

 public Date(int year,
             int month,
             int date,
             int hrs,
             int min)

Note: Date() is deprecated.

Allocates a Date object and initializes it so that it represents the specified hour and minute, local time, of the date specified by the year, month, date, hrs, and min arguments.

Parameters:

year - the year minus 1900.

month - the month between 0-11.

date - the day of the month between 1-31.

hrs - the hours between 0-23.

min - the minutes between 0-59.

See Also:

Calendar

 Date

 public Date(int year,
             int month,
             int date,
             int hrs,
             int min,
             int sec)

Note: Date() is deprecated.

Allocates a Date object and initializes it so that it represents the specified hour, minute, and second, local time of the date specified by the year, month, date, hrs, min, and sec arguments.

Parameters:

year - the year minus 1900.

month - the month between 0-11.

date - the day of the month between 1-31.

hrs - the hours between 0-23.

min - the minutes between 0-59.

sec - the seconds between 0-59.

See Also:

Calendar

 Date

 public Date(long date)

Allocates a Date object and initializes it to represent the specified number of milliseconds since January 1, 1970, 00:00:00 GMT.

Parameters:

date - the milliseconds since January 1, 1970, 00:00:00 GMT.

See Also:

currentTimeMillis

 Date

 public Date(String s)

Note: Date() is deprecated.

Allocates a Date object and initializes it so that it represents the date and time indicated by the string s, which is interpreted as if by the parse method.

Parameters:

s - a string representation of the date.

See Also:

DateFormat, parse

 after

 public boolean after(Date when)

Tests if this date is after the specified date.

Parameters:

when - a date.

Returns:

true if this date is after the argument date; false otherwise.

 before

 public boolean before(Date when)

Tests if this date is before the specified date.

Parameters:

when - a date.

Returns:

true if this date is before the argument date; false otherwise.

 equals

 public boolean equals(Object obj)

Compares two dates. The result is true if and only if the argument is not null and is a Date object that represents the same point in time, to the millisecond, as this object.

Thus, two Date objects are equal if and only if the getTime method returns the same long value for both.

Parameters:

obj - the object to compare with.

Returns:

true if the objects are the same; false otherwise.

Overrides:

equals in class Object

See Also:

getTime

 getDate

 public int getDate()

Note: getDate() is deprecated.

Returns the day of the month represented by this date. The value returned is between 1 and 31.

Returns:

the day of the month represented by this date.

See Also:

Calendar

 getDay

 public int getDay()

Note: getDay() is deprecated.

Returns the day of the week represented by this date. The value returned is between 0 and 6, where 0 represents Sunday.

Returns:

the day of the week represented by this date.

See Also:

Calendar

 getHours

 public int getHours()

Note: getHours() is deprecated.

Returns the hour represented by this date. The value returned is between 0 and 23, where 0 represents midnight.

Returns:

the hour represented by this date.

See Also:

Calendar

 getMinutes

 public int getMinutes()

Note: getMinutes() is deprecated.

Returns the number of minutes past the hour represented by this date. The value returned is between 0 and 59.

Returns:

the number of minutes past the hour represented by this date.

See Also:

Calendar

 getMonth

 public int getMonth()

Note: getMonth() is deprecated.

Returns the month represented by this date. The value returned is between 0 and 11, with the value 0 representing January.

Returns:

the month represented by this date.

See Also:

Calendar

 getSeconds

 public int getSeconds()

Note: getSeconds() is deprecated.

Returns the number of seconds past the minute represented by this date. The value returned is between 0 and 60. The value 60 can only occur on those Java Virtual Machines that take leap seconds into account.

Returns:

the number of seconds past the minute represented by this date.

See Also:

Calendar

 getTime

 public long getTime()

Returns the number of milliseconds since January 1, 1970, 00:00:00 GMT represented by this date.

Returns:

the number of milliseconds since January 1, 1970, 00:00:00 GMT represented by this date.

 getTimezoneOffset

 public int getTimezoneOffset()

Note: getTimezoneOffset() is deprecated.

Returns the local time-zone offset. The time-zone offset is the number of minutes that must be added to GMT to give the local time zone. This value includes the correction, if necessary, for daylight saving time.

Returns:

the time-zone offset, in minutes, for the current locale.

See Also:

Calendar, TimeZone

 getYear

 public int getYear()

Note: getYear() is deprecated.

Returns the year represented by this date, minus 1900.

Returns:

the year represented by this date, minus 1900.

See Also:

Calendar

 hashCode

 public int hashCode()

Returns a hash code value for this object.

Returns:

a hash code value for this object.

Overrides:

hashCode in class Object

 parse

 public static long parse(String s)

Note: parse() is deprecated.

Given a string representing a time, parse it and return the time value. This method recognizes most standard syntaxes.

It accepts many syntaxes; in particular, it recognizes the IETF standard date syntax: "Sat, 12 Aug 1995 13:30:00 GMT". It also understands the continental U.S. time-zone abbreviations, but for general use, a time-zone offset should be used: "Sat, 12 Aug 1995 13:30:00 GMT+0430" (4 hours, 30 minutes west of the Greenwich meridian). If no time zone is specified, the local time zone is assumed. GMT and UTC are considered equivalent.

Parameters:

s - a string to be parsed as a date.

Returns:

the number of milliseconds since January 1, 1970, 00:00:00 GMT represented by the string argument.

See Also:

DateFormat

 setDate

 public void setDate(int date)

Note: setDate() is deprecated.

Sets the day of the month of this date to the specified value.

Parameters:

date - the day of the month value between 1-31.

See Also:

Calendar

 setHours

 public void setHours(int hours)

Note: setHours() is deprecated.

Sets the hour of this date to the specified value.

Parameters:

hours - the hour value.

See Also:

Calendar

 setMinutes

 public void setMinutes(int minutes)

Note: setMinutes() is deprecated.

Sets the minutes of this date to the specified value.

Parameters:

minutes - the value of the minutes.

See Also:

Calendar

 setMonth

 public void setMonth(int month)

Note: setMonth() is deprecated.

Sets the month of this date to the specified value.

Parameters:

month - the month value between 0-11.

See Also:

Calendar

 setSeconds

 public void setSeconds(int seconds)

Note: setSeconds() is deprecated.

Sets the seconds of this date to the specified value.

Parameters:

seconds - the seconds value.

See Also:

Calendar

 setTime

 public void setTime(long time)

Sets this date to represent the specified number of milliseconds since January 1, 1970 00:00:00 GMT.

Parameters:

time - the number of milliseconds.

 setYear

 public void setYear(int year)

Note: setYear() is deprecated.

Sets the year of this date to be the specified value plus 1900.

Parameters:

year - the year value.

See Also:

Calendar

 toGMTString

 public String toGMTString()

Note: toGMTString() is deprecated.

Creates a string representation of this date. The result is of the form: "12 Aug 1995 02:30:00 GMT"

in which the day of the month is always one or two digits. The other fields have exactly the width shown. The time zone is always given as "GMT".

Returns:

a string representation of this date, using the Internet GMT conventions.

See Also:

DateFormat

 toLocaleString

 public String toLocaleString()

Note: toLocaleString() is deprecated.

Creates a string representation of this date in an implementation-dependent form. The intent is that the form should be familiar to the user of the Java application, wherever it may happen to be running. The intent is comparable to that of the "%c" format supported by the strftime() function of ISO C.

Returns:

a string representation of this date, using the locale conventions.

See Also:

DateFormat

 toString

 public String toString()

Creates a canonical string representation of the date. The result is of the form "Sat Aug 12 02:30:00 PDT 1995".

Returns:

a string representation of this date.

Overrides:

toString in class Object

 UTC

 public static long UTC(int year,
                        int month,
                        int date,
                        int hrs,
                        int min,
                        int sec)

Note: UTC() is deprecated.

Determines the date and time based on the arguments. The arguments are interpreted in UTC, not in the local time zone

Parameters:

year - the year minus 1900.

month - the month between 0-11.

date - the day of the month between 1-31.

hrs - the hours between 0-23.

min - the minutes between 0-59.

sec - the seconds between 0-59.

Returns:

the number of seconds since January 1, 1970, 00:00:00 GMT for the date and time specified by the arguments.

See Also:

Calendar


 Class java.util.Dictionary

java.lang.Object
   |
   +----java.util.Dictionary

public abstract class Dictionary
   extends Object

The Dictionary class is the abstract parent of any class, such as Hashtable, which maps keys to values. Any non-null object can be used as a key and as a value.

As a rule, the equals method should be used by implementations of this class to decide if two keys are the same.

     See Also:
     equals, hashCode, Hashtable

 Dictionary()

 elements()

Returns an enumeration of the values in this dictionary.

 get(Object)

Returns the value to which the key is mapped in this dictionary.

 isEmpty()

Tests if this dictionary maps no keys to value.

 keys()

Returns an enumeration of the keys in this dictionary.

 put(Object, Object)

Maps the specified key to the specified value in this dictionary.

 remove(Object)

Removes the key (and its corresponding value) from this dictionary.

 size()

Returns the number of keys in this dictionary.

 Dictionary

 public Dictionary()

 elements

 public abstract Enumeration elements()

Returns an enumeration of the values in this dictionary. the Enumeration methods on the returned object to fetch the elements sequentially.

Returns:

an enumeration of the values in this dictionary.

See Also:

keys, Enumeration

 get

 public abstract Object get(Object key)

Returns the value to which the key is mapped in this dictionary.

Parameters:

key - a key in this dictionary. null if the key is not mapped to any value in this dictionary.

Returns:

the value to which the key is mapped in this dictionary;

See Also:

put

 isEmpty

 public abstract boolean isEmpty()

Tests if this dictionary maps no keys to value.

Returns:

true if this dictionary maps no keys to values; false otherwise.

 keys

 public abstract Enumeration keys()

Returns an enumeration of the keys in this dictionary.

Returns:

an enumeration of the keys in this dictionary.

See Also:

elements, Enumeration

 put

 public abstract Object put(Object key,
                            Object value)

Maps the specified key to the specified value in this dictionary. Neither the key nor the value can be null.

The value can be retrieved by calling the get method with a key that is equal to the original key.

Parameters:

key - the hashtable key.

value - the value.

Returns:

the previous value to which the key was mapped in this dictionary, or null if the key did not have a previous mapping.

Throws: NullPointerException

if the key or value is null.

See Also:

equals, get

 remove

 public abstract Object remove(Object key)

Removes the key (and its corresponding value) from this dictionary. This method does nothing if the key is not in this dictionary.

Parameters:

key - the key that needs to be removed.

Returns:

the value to which the key had been mapped in this dictionary, or null if the key did not have a mapping.

 size

 public abstract int size()

Returns the number of keys in this dictionary.

Returns:

the number of keys in this dictionary.


 Class java.util.EventObject

java.lang.Object
   |
   +----java.util.EventObject

public class EventObject
   extends Object
   implements Serializable

 source

 EventObject(Object)

 getSource()

 toString()

Returns a string representation of the object.

 source

 protected transient Object source

 EventObject

 public EventObject(Object source)

 getSource

 public Object getSource()

 toString

 public String toString()

Returns a string representation of the object.

Overrides:

toString in class Object


 Class java.util.GregorianCalendar

java.lang.Object
   |
   +----java.util.Calendar
           |
           +----java.util.GregorianCalendar

public class GregorianCalendar
   extends Calendar

GregorianCalendar is a concrete subclass of Calendar and provides the standard calendar used by most of the world.

The standard (Gregorian) calendar has 2 eras, BC and AD.

This implementation handles a single discontinuity, which corresponds by default to the date the Gregorian calendar was instituted (October 15, 1582 in some countries, later in others). This cutover date may be changed by the caller.

Prior to the institution of the Gregorian calendar, New Year's Day was March 25. To avoid confusion, this calendar always uses January 1. A manual adjustment may be made if desired for dates that are prior to the Gregorian changeover and which fall between January 1 and March 24.

The current implementation handles dates in a wide range, from 4716 BC up to 5000000 AD. Dates outside of that range will throw an IllegalArgumentException. This range should be broadened in the future.

Example:

 // get the supported ids for GMT-08:00 (Pacific Standard Time)
 String[] ids = TimeZone.getAvailableIDs(-8 * 60 * 60 * 1000);
 // if no ids were returned, something is wrong. get out.
 if (ids.length == 0)
     System.exit(0);
  // begin output
 System.out.println("Current Time");
 // create a Pacific Standard Time time zone
 SimpleTimeZone pdt = new SimpleTimeZone(-8 * 60 * 60 * 1000, ids[0]);
 // set up rules for daylight savings time
 pdt.setStartRule(Calendar.APRIL, 1, Calendar.SUNDAY, 2 * 60 * 60 * 1000);
 pdt.setEndRule(Calendar.OCTOBER, -1, Calendar.SUNDAY, 2 * 60 * 60 * 1000);
 // create a GregorianCalendar with the Pacific Daylight time zone
 // and the current date and time
 Calendar calendar = new GregorianCalendar(pdt);
 Date trialTime = new Date();
 calendar.setTime(trialTime);
 // print out a bunch of interesting things
 System.out.println("ERA: " + calendar.get(Calendar.ERA));
 System.out.println("YEAR: " + calendar.get(Calendar.YEAR));
 System.out.println("MONTH: " + calendar.get(Calendar.MONTH));
 System.out.println("WEEK_OF_YEAR: " + calendar.get(Calendar.WEEK_OF_YEAR));
 System.out.println("WEEK_OF_MONTH: " + calendar.get(Calendar.WEEK_OF_MONTH));
 System.out.println("DATE: " + calendar.get(Calendar.DATE));
 System.out.println("DAY_OF_MONTH: " + calendar.get(Calendar.DAY_OF_MONTH));
 System.out.println("DAY_OF_YEAR: " + calendar.get(Calendar.DAY_OF_YEAR));
 System.out.println("DAY_OF_WEEK: " + calendar.get(Calendar.DAY_OF_WEEK));
 System.out.println("DAY_OF_WEEK_IN_MONTH: "
                    + calendar.get(Calendar.DAY_OF_WEEK_IN_MONTH));
 System.out.println("AM_PM: " + calendar.get(Calendar.AM_PM));
 System.out.println("HOUR: " + calendar.get(Calendar.HOUR));
 System.out.println("HOUR_OF_DAY: " + calendar.get(Calendar.HOUR_OF_DAY));
 System.out.println("MINUTE: " + calendar.get(Calendar.MINUTE));
 System.out.println("SECOND: " + calendar.get(Calendar.SECOND));
 System.out.println("MILLISECOND: " + calendar.get(Calendar.MILLISECOND));
 System.out.println("ZONE_OFFSET: "
                    + (calendar.get(Calendar.ZONE_OFFSET)/(60*60*1000)));
 System.out.println("DST_OFFSET: "
                    + (calendar.get(Calendar.DST_OFFSET)/(60*60*1000)));
 System.out.println("Current Time, with hour reset to 3");
 calendar.clear(Calendar.HOUR_OF_DAY); // so doesn't override
 calendar.set(Calendar.HOUR, 3);
 System.out.println("ERA: " + calendar.get(Calendar.ERA));
 System.out.println("YEAR: " + calendar.get(Calendar.YEAR));
 System.out.println("MONTH: " + calendar.get(Calendar.MONTH));
 System.out.println("WEEK_OF_YEAR: " + calendar.get(Calendar.WEEK_OF_YEAR));
 System.out.println("WEEK_OF_MONTH: " + calendar.get(Calendar.WEEK_OF_MONTH));
 System.out.println("DATE: " + calendar.get(Calendar.DATE));
 System.out.println("DAY_OF_MONTH: " + calendar.get(Calendar.DAY_OF_MONTH));
 System.out.println("DAY_OF_YEAR: " + calendar.get(Calendar.DAY_OF_YEAR));
 System.out.println("DAY_OF_WEEK: " + calendar.get(Calendar.DAY_OF_WEEK));
 System.out.println("DAY_OF_WEEK_IN_MONTH: "
                    + calendar.get(Calendar.DAY_OF_WEEK_IN_MONTH));
 System.out.println("AM_PM: " + calendar.get(Calendar.AM_PM));
 System.out.println("HOUR: " + calendar.get(Calendar.HOUR));
 System.out.println("HOUR_OF_DAY: " + calendar.get(Calendar.HOUR_OF_DAY));
 System.out.println("MINUTE: " + calendar.get(Calendar.MINUTE));
 System.out.println("SECOND: " + calendar.get(Calendar.SECOND));
 System.out.println("MILLISECOND: " + calendar.get(Calendar.MILLISECOND));
 System.out.println("ZONE_OFFSET: "
        + (calendar.get(Calendar.ZONE_OFFSET)/(60*60*1000))); // in hours
 System.out.println("DST_OFFSET: "
        + (calendar.get(Calendar.DST_OFFSET)/(60*60*1000))); // in hours

     See Also:
     Calendar, TimeZone

 AD

Useful constant for GregorianCalendar.

 BC

Useful constant for GregorianCalendar.

 GregorianCalendar()

Constructs a default GregorianCalendar using the current time in the default time zone with the default locale.

 GregorianCalendar(int, int, int)

Constructs a GregorianCalendar with the given date set in the default time zone with the default locale.

 GregorianCalendar(int, int, int, int, int)

Constructs a GregorianCalendar with the given date and time set for the default time zone with the default locale.

 GregorianCalendar(int, int, int, int, int, int)

Constructs a GregorianCalendar with the given date and time set for the default time zone with the default locale.

 GregorianCalendar(Locale)

Constructs a GregorianCalendar based on the current time in the default time zone with the given locale.

 GregorianCalendar(TimeZone)

Constructs a GregorianCalendar based on the current time in the given time zone with the default locale.

 GregorianCalendar(TimeZone, Locale)

Constructs a GregorianCalendar based on the current time in the given time zone with the given locale.

 add(int, int)

Overrides Calendar Date Arithmetic function.

 after(Object)

Overrides Calendar Compares the time field records.

 before(Object)

Overrides Calendar Compares the time field records.

 computeFields()

Overrides Calendar Converts UTC as milliseconds to time field values.

 computeTime()

Overrides Calendar Converts time field values to UTC as milliseconds.

 equals(Object)

Overrides Calendar Compares the time field records.

 getGreatestMinimum(int)

Returns highest minimum value for the given field if varies.

 getGregorianChange()

Gets the Gregorian Calendar change date.

 getLeastMaximum(int)

Returns lowest maximum value for the given field if varies.

 getMaximum(int)

Returns maximum value for the given field.

 getMinimum(int)

Returns minimum value for the given field.

 hashCode()

Override hashCode.

 isLeapYear(int)

Determines if the given year is a leap year.

 roll(int, boolean)

Overrides Calendar Time Field Rolling function.

 setGregorianChange(Date)

Sets the GregorianCalendar change date.

 AD

 public static final int AD

Useful constant for GregorianCalendar.

 BC

 public static final int BC

Useful constant for GregorianCalendar.

 GregorianCalendar

 public GregorianCalendar()

Constructs a default GregorianCalendar using the current time in the default time zone with the default locale.

 GregorianCalendar

 public GregorianCalendar(int year,
                          int month,
                          int date)

Constructs a GregorianCalendar with the given date set in the default time zone with the default locale.

Parameters:

year - the value used to set the YEAR time field in the calendar.

month - the value used to set the MONTH time field in the calendar. Month value is 0-based. e.g., 0 for January.

date - the value used to set the DATE time field in the calendar.

 GregorianCalendar

 public GregorianCalendar(int year,
                          int month,
                          int date,
                          int hour,
                          int minute)

Constructs a GregorianCalendar with the given date and time set for the default time zone with the default locale.

Parameters:

year - the value used to set the YEAR time field in the calendar.

month - the value used to set the MONTH time field in the calendar. Month value is 0-based. e.g., 0 for January.

date - the value used to set the DATE time field in the calendar.

hour - the value used to set the HOUR_OF_DAY time field in the calendar.

minute - the value used to set the MINUTE time field in the calendar.

 GregorianCalendar

 public GregorianCalendar(int year,
                          int month,
                          int date,
                          int hour,
                          int minute,
                          int second)

Constructs a GregorianCalendar with the given date and time set for the default time zone with the default locale.

Parameters:

year - the value used to set the YEAR time field in the calendar.

month - the value used to set the MONTH time field in the calendar. Month value is 0-based. e.g., 0 for January.

date - the value used to set the DATE time field in the calendar.

hour - the value used to set the HOUR_OF_DAY time field in the calendar.

minute - the value used to set the MINUTE time field in the calendar.

second - the value used to set the SECOND time field in the calendar.

 GregorianCalendar

 public GregorianCalendar(Locale aLocale)

Constructs a GregorianCalendar based on the current time in the default time zone with the given locale.

Parameters:

aLocale - the given locale.

 GregorianCalendar

 public GregorianCalendar(TimeZone zone)

Constructs a GregorianCalendar based on the current time in the given time zone with the default locale.

Parameters:

zone - the given time zone.

 GregorianCalendar

 public GregorianCalendar(TimeZone zone,
                          Locale aLocale)

Constructs a GregorianCalendar based on the current time in the given time zone with the given locale.

Parameters:

zone - the given time zone.

aLocale - the given locale.

 add

 public void add(int field,
                 int amount)

Overrides Calendar Date Arithmetic function. Adds the specified (signed) amount of time to the given time field, based on the calendar's rules.

Parameters:

field - the time field.

amount - the amount of date or time to be added to the field.

Throws: IllegalArgumentException

if an unknown field is given.

Overrides:

add in class Calendar

 after

 public boolean after(Object when)

Overrides Calendar Compares the time field records. Equivalent to comparing result of conversion to UTC. Please see Calendar.after for descriptions on parameters and the return value.

Overrides:

after in class Calendar

 before

 public boolean before(Object when)

Overrides Calendar Compares the time field records. Equivalent to comparing result of conversion to UTC. Please see Calendar.before for descriptions on parameters and the return value.

Overrides:

before in class Calendar

 computeFields

 protected void computeFields()

Overrides Calendar Converts UTC as milliseconds to time field values. The time is not recomputed first; to recompute the time, then the fields, call the complete method.

Overrides:

computeFields in class Calendar

See Also:

complete

 computeTime

 protected void computeTime()

Overrides Calendar Converts time field values to UTC as milliseconds.

Throws: IllegalArgumentException

if an unknown field is given.

Overrides:

computeTime in class Calendar

 equals

 public boolean equals(Object obj)

Overrides Calendar Compares the time field records. Equivalent to comparing result of conversion to UTC. Please see Calendar.equals for descriptions on parameters and the return value.

Overrides:

equals in class Calendar

 getGreatestMinimum

 public int getGreatestMinimum(int field)

Returns highest minimum value for the given field if varies. Otherwise same as getMinimum(). For Gregorian, no difference. Please see Calendar.getGreatestMinimum for descriptions on parameters and the return value.

Overrides:

getGreatestMinimum in class Calendar

 getGregorianChange

 public final Date getGregorianChange()

Gets the Gregorian Calendar change date. This is the point when the switch from Julian dates to Gregorian dates occurred. Default is 00:00:00 local time, October 15, 1582. Previous to this time and date will be Julian dates.

Returns:

the Gregorian cutover time for this calendar.

 getLeastMaximum

 public int getLeastMaximum(int field)

Returns lowest maximum value for the given field if varies. Otherwise same as getMaximum(). For Gregorian DAY_OF_MONTH, 28 Please see Calendar.getLeastMaximum for descriptions on parameters and the return value.

Overrides:

getLeastMaximum in class Calendar

 getMaximum

 public int getMaximum(int field)

Returns maximum value for the given field. e.g. for Gregorian DAY_OF_MONTH, 31 Please see Calendar.getMaximum for descriptions on parameters and the return value.

Overrides:

getMaximum in class Calendar

 getMinimum

 public int getMinimum(int field)

Returns minimum value for the given field. e.g. for Gregorian DAY_OF_MONTH, 1 Please see Calendar.getMinimum for descriptions on parameters and the return value.

Overrides:

getMinimum in class Calendar

 hashCode

 public synchronized int hashCode()

Override hashCode. Generates the hash code for the GregorianCalendar object

Overrides:

hashCode in class Object

 isLeapYear

 public boolean isLeapYear(int year)

Determines if the given year is a leap year. Returns true if the given year is a leap year.

Parameters:

year - the given year.

Returns:

true if the given year is a leap year; false otherwise.

 roll

 public void roll(int field,
                  boolean up)

Overrides Calendar Time Field Rolling function. Rolls (up/down) a single unit of time on the given time field.

Parameters:

field - the time field.

up - Indicates if rolling up or rolling down the field value.

Throws: IllegalArgumentException

if an unknown field value is given.

Overrides:

roll in class Calendar

 setGregorianChange

 public void setGregorianChange(Date date)

Sets the GregorianCalendar change date. This is the point when the switch from Julian dates to Gregorian dates occurred. Default is 00:00:00 local time, October 15, 1582. Previous to this time and date will be Julian dates.

Parameters:

date - the given Gregorian cutover date.


 Class java.util.Hashtable

java.lang.Object
   |
   +----java.util.Dictionary
           |
           +----java.util.Hashtable

public class Hashtable
   extends Dictionary
   implements Cloneable, Serializable

This class implements a hashtable, which maps keys to values. Any non-null object can be used as a key or as a value.

To successfully store and retrieve objects from a hashtable, the objects used as keys must implement the hashCode method and the equals method.

An instance of Hashtable has two parameters that affect its efficiency: its capacity and its load factor. The load factor should be between 0.0 and 1.0. When the number of entries in the hashtable exceeds the product of the load factor and the current capacity, the capacity is increased by calling the rehash method. Larger load factors use memory more efficiently, at the expense of larger expected time per lookup.

If many entries are to be made into a Hashtable, creating it with a sufficiently large capacity may allow the entries to be inserted more efficiently than letting it perform automatic rehashing as needed to grow the table.

This example creates a hashtable of numbers. It uses the names of the numbers as keys:

     Hashtable numbers = new Hashtable();
     numbers.put("one", new Integer(1));
     numbers.put("two", new Integer(2));
     numbers.put("three", new Integer(3));

To retrieve a number, use the following code:

     Integer n = (Integer)numbers.get("two");
     if (n != null) {
         System.out.println("two = " + n);
     }

     See Also:
     equals, hashCode, rehash

 Hashtable()

Constructs a new, empty hashtable with a default capacity and load factor.

 Hashtable(int)

Constructs a new, empty hashtable with the specified initial capacity and default load factor.

 Hashtable(int, float)

Constructs a new, empty hashtable with the specified initial capacity and the specified load factor.

 clear()

Clears this hashtable so that it contains no keys.

 clone()

Creates a shallow copy of this hashtable.

 contains(Object)

Tests if some key maps into the specified value in this hashtable.

 containsKey(Object)

Tests if the specified object is a key in this hashtable.

 elements()

Returns an enumeration of the values in this hashtable.

 get(Object)

Returns the value to which the specified key is mapped in this hashtable.

 isEmpty()

Tests if this hashtable maps no keys to values.

 keys()

Returns an enumeration of the keys in this hashtable.

 put(Object, Object)

Maps the specified key to the specified value in this hashtable.

 rehash()

Rehashes the contents of the hashtable into a hashtable with a larger capacity.

 remove(Object)

Removes the key (and its corresponding value) from this hashtable.

 size()

Returns the number of keys in this hashtable.

 toString()

Returns a rather long string representation of this hashtable.

 Hashtable

 public Hashtable()

Constructs a new, empty hashtable with a default capacity and load factor.

 Hashtable

 public Hashtable(int initialCapacity)

Constructs a new, empty hashtable with the specified initial capacity and default load factor.

Parameters:

initialCapacity - the initial capacity of the hashtable.

 Hashtable

 public Hashtable(int initialCapacity,
                  float loadFactor)

Constructs a new, empty hashtable with the specified initial capacity and the specified load factor.

Parameters:

initialCapacity - the initial capacity of the hashtable.

loadFactor - a number between 0.0 and 1.0.

Throws: IllegalArgumentException

if the initial capacity is less than or equal to zero, or if the load factor is less than or equal to zero.

 clear

 public synchronized void clear()

Clears this hashtable so that it contains no keys.

 clone

 public synchronized Object clone()

Creates a shallow copy of this hashtable. The keys and values themselves are not cloned. This is a relatively expensive operation.

Returns:

a clone of the hashtable.

Overrides:

clone in class Object

 contains

 public synchronized boolean contains(Object value)

Tests if some key maps into the specified value in this hashtable. This operation is more expensive than the containsKey method.

Parameters:

value - a value to search for.

Returns:

true if some key maps to the value argument in this hashtable; false otherwise.

Throws: NullPointerException

if the value is null.

See Also:

containsKey

 containsKey

 public synchronized boolean containsKey(Object key)

Tests if the specified object is a key in this hashtable.

Parameters:

key - possible key.

Returns:

true if the specified object is a key in this hashtable; false otherwise.

See Also:

contains

 elements

 public synchronized Enumeration elements()

Returns an enumeration of the values in this hashtable. Use the Enumeration methods on the returned object to fetch the elements sequentially.

Returns:

an enumeration of the values in this hashtable.

Overrides:

elements in class Dictionary

See Also:

Enumeration, keys

 get

 public synchronized Object get(Object key)

Returns the value to which the specified key is mapped in this hashtable.

Parameters:

key - a key in the hashtable.

Returns:

the value to which the key is mapped in this hashtable; null if the key is not mapped to any value in this hashtable.

Overrides:

get in class Dictionary

See Also:

put

 isEmpty

 public boolean isEmpty()

Tests if this hashtable maps no keys to values.

Returns:

true if this hashtable maps no keys to values; false otherwise.

Overrides:

isEmpty in class Dictionary

 keys

 public synchronized Enumeration keys()

Returns an enumeration of the keys in this hashtable.

Returns:

an enumeration of the keys in this hashtable.

Overrides:

keys in class Dictionary

See Also:

Enumeration, elements

 put

 public synchronized Object put(Object key,
                                Object value)

Maps the specified key to the specified value in this hashtable. Neither the key nor the value can be null.

The value can be retrieved by calling the get method with a key that is equal to the original key.

Parameters:

key - the hashtable key.

value - the value.

Returns:

the previous value of the specified key in this hashtable, or null if it did not have one.

Throws: NullPointerException

if the key or value is null.

Overrides:

put in class Dictionary

See Also:

equals, get

 rehash

 protected void rehash()

Rehashes the contents of the hashtable into a hashtable with a larger capacity. This method is called automatically when the number of keys in the hashtable exceeds this hashtable's capacity and load factor.

 remove

 public synchronized Object remove(Object key)

Removes the key (and its corresponding value) from this hashtable. This method does nothing if the key is not in the hashtable.

Parameters:

key - the key that needs to be removed.

Returns:

the value to which the key had been mapped in this hashtable, or null if the key did not have a mapping.

Overrides:

remove in class Dictionary

 size

 public int size()

Returns the number of keys in this hashtable.

Returns:

the number of keys in this hashtable.

Overrides:

size in class Dictionary

 toString

 public synchronized String toString()

Returns a rather long string representation of this hashtable.

Returns:

a string representation of this hashtable.

Overrides:

toString in class Object


 Class java.util.ListResourceBundle

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.ListResourceBundle

public abstract class ListResourceBundle
   extends ResourceBundle

ListResourceBundle is a abstract subclass of ResourceBundle that manages resources for a locale in a convenient and easy to use list. See ResourceBundle for more information about resource bundles in general.

Subclasses must override getContents and provide an array, where each item in the array is a pair of objects. The first element of each pair is a String key, and the second is the value associated with that key.

In the following example, the keys are of the form "s1"... The actual keys are entirely up to your choice, so long as they are the same as the keys you use in your program to retrieve the objects from the bundle. Keys are case-sensitive. MyResource is the default version of the bundle family, and MyResource_fr is the french version:

 //====================
 class MyResource extends ListResourceBundle {
 	public Object[][] getContents() {
 	return contents;
 	}
 	static final Object[][] contents = {
 	// LOCALIZE THIS
 	{"s1", "3"},	// starting value in choice field
 	{"s2", "MyDisk"},	// starting value in string field
 	{"s3", "3 Mar 96"},	// starting value in date field
 	{"s4", "The disk '{1}' contained {0} on {2}."},	// initial pattern
 	{"s5", "0"},	// first choice number
 	{"s6", "no files"},	// first choice value
 	{"s7", "1"},	// second choice number
 	{"s8", "one file"},	// second choice value
 	{"s9", "2"},	// third choice number
 	{"s10", "{0}|3 files"},	// third choice value
 	{"s11", "format threw an exception: {0}"},	// generic exception message
 	{"s12", "ERROR"},	// what to show in field in case of error
 	{"s14", "Result"},	// label for formatted stuff
 	{"s13", "Dialog"},	// standard font
 	{"s15", "Pattern"},	// label for standard pattern
 	{"s16", new Dimension(1,5)}	// real object, not just string
 	// END OF MATERIAL TO LOCALIZE
 	};
 }
 //====================
 class MyResource_fr  extends ListResourceBundle {
 	public Object[][] getContents() {
 	return contents;
}
 	static final Object[][] contents = {
 	// LOCALIZE THIS
 	{"s1", "3"},	// starting value in choice field
 	{"s2", "MonDisk"},	// starting value in string field
 	{"s3", "3 Mar 96"},	// starting value in date field
 	{"s4", "Le disk '{1}' a {0} a {2}."},	// initial pattern
 	{"s5", "0"},	// first choice number
 	{"s6", "pas de files"},	// first choice value
 	{"s7", "1"},	// second choice number
 	{"s8", "une file"},	// second choice value
 	{"s9", "2"},	// third choice number
 	{"s10", "{0}|3 files"},	// third choice value
 	{"s11", "Le format a jete une exception: {0}"},	// generic exception message
 	{"s12", "ERROR"},	// what to show in field in case of error
 	{"s14", "Resulte"},	// label for formatted stuff
 	{"s13", "Dialogue"},	// standard font
 	{"s15", "Pattern"},	// label for standard pattern
 	{"s16", new Dimension(1,3)}	// real object, not just string
 	// END OF MATERIAL TO LOCALIZE
 	};
 }

     See Also:
     ResourceBundle, PropertyResourceBundle

 ListResourceBundle()

 getContents()

See class description.

 getKeys()

Implementation of ResourceBundle.getKeys.

 handleGetObject(String)

Override of ResourceBundle, same semantics

 ListResourceBundle

 public ListResourceBundle()

 getContents

 protected abstract Object[][] getContents()

See class description.

 getKeys

 public Enumeration getKeys()

Implementation of ResourceBundle.getKeys.

Overrides:

getKeys in class ResourceBundle

 handleGetObject

 public final Object handleGetObject(String key)

Override of ResourceBundle, same semantics

Overrides:

handleGetObject in class ResourceBundle


 Class java.util.Locale

java.lang.Object
   |
   +----java.util.Locale

public final class Locale
   extends Object
   implements Cloneable, Serializable

A Locale object represents a specific geographical, political, or cultural region. An operation that requires a Locale to perform its task is called locale-sensitive and uses the Locale to tailor information for the user. For example, displaying a number is a locale-sensitive operation--the number should be formatted according to the customs/conventions of the user's native country, region, or culture.

You create a Locale object using one of the two constructors in this class:

 Locale(String language, String country)
 Locale(String language, String country, String variant)

The first argument to both constructors is a valid ISO
 Language Code. These codes are the lower-case two-letter codes as defined by ISO-639. You can find a full list of these codes at a number of sites, such as:

http://www.ics.uci.edu/pub/ietf/http/related/iso639.txt

The second argument to both constructors is a valid ISO Country
 Code. These codes are the upper-case two-letter codes as defined by ISO-3166. You can find a full list of these codes at a number of sites, such as:

http://www.chemie.fu-berlin.de/diverse/doc/ISO_3166.html

The second constructor requires a third argument--the Variant. The Variant codes are vendor and browser-specific. For example, use WIN for Windows, MAC for Macintosh, and POSIX for POSIX. Where there are two variants, separate them with an underscore, and put the most important one first. For example, a Traditional Spanish collation might be referenced, with "ES", "ES", "Traditional_WIN".

Because a Locale object is just an identifier for a region, no validity check is performed when you construct a Locale. If you want to see whether particular resources are available for the Locale you construct, you must query those resources. For example, ask the NumberFormat for the locales it supports using its getAvailableLocales method.

Note: When you ask for a resource for a particular locale, you get back the best available match, not necessarily precisely what you asked for. For more information, look at ResourceBundle.

The Locale class provides a number of convenient constants that you can use to create Locale objects for commonly used locales. For example, the following creates a Locale object for the United States:

 Locale.US

Once you've created a Locale you can query it for information about itself. Use getCountry to get the ISO Country Code and getLanguage to get the ISO Language Code. You can use getDisplayCountry to get the name of the country suitable for displaying to the user. Similarly, you can use getDisplayLanguage to get the name of the language suitable for displaying to the user. Interestingly, the getDisplayXXX methods are themselves locale-sensitive and have two versions: one that uses the default locale and one that uses the locale specified as an argument.

The JDK provides a number of classes that perform locale-sensitive operations. For example, the NumberFormat class formats numbers, currency, or percentages in a locale-sensitive manner. Classes such as NumberFormat have a number of convenience methods for creating a default object of that type. For example, the NumberFormat class provides these three convenience methods for creating a default NumberFormat object:

 NumberFormat.getInstance()
 NumberFormat.getCurrencyInstance()
 NumberFormat.getPercentInstance()

These methods have two variants; one with an explicit locale and one without; the latter using the default locale.

 NumberFormat.getInstance(myLocale)
 NumberFormat.getCurrencyInstance(myLocale)
 NumberFormat.getPercentInstance(myLocale)

A Locale is the mechanism for identifying the kind of object (NumberFormat) that you would like to get. The locale is just a mechanism for identifying objects, not a container for the objects themselves.

Each class that performs locale-sensitive operations allows you to get all the available objects of that type. You can sift through these objects by language, country, or variant, and use the display names to present a menu to the user. For example, you can create a menu of all the collation objects suitable for a given language. Such classes must implement these three class methods:

 public static Locale[] getAvailableLocales()
 public static String getDisplayName(Locale objectLocale,
                                     Locale displayLocale)
 public static final String getDisplayName(Locale objectLocale)
     // getDisplayName will throw MissingResourceException if the locale
     // is not one of the available locales.

     See Also:
     ResourceBundle, Format, NumberFormat, Collation

 CANADA

Useful constant for country.

 CANADA_FRENCH

Useful constant for country.

 CHINA

Useful constant for country.

 CHINESE

Useful constant for language.

 ENGLISH

Useful constant for language.

 FRANCE

Useful constant for country.

 FRENCH

Useful constant for language.

 GERMAN

Useful constant for language.

 GERMANY

Useful constant for country.

 ITALIAN

Useful constant for language.

 ITALY

Useful constant for country.

 JAPAN

Useful constant for country.

 JAPANESE

Useful constant for language.

 KOREA

Useful constant for country.

 KOREAN

Useful constant for language.

 PRC

Useful constant for country.

 SIMPLIFIED_CHINESE

Useful constant for language.

 TAIWAN

Useful constant for country.

 TRADITIONAL_CHINESE

Useful constant for language.

 UK

Useful constant for country.

 US

Useful constant for country.

 Locale(String, String)

Construct a locale from language, country.

 Locale(String, String, String)

Construct a locale from language, country, variant.

 clone()

Overrides Cloneable

 equals(Object)

Compares two Objects for equality.

 getCountry()

Getter for programmatic name of field, an uppercased two-letter ISO-3166 code.

 getDefault()

Common method of getting the current default Locale.

 getDisplayCountry()

Getter for display of field to user.

 getDisplayCountry(Locale)

Getter for display of field to user.

 getDisplayLanguage()

Getter for display of field to user.

 getDisplayLanguage(Locale)

Getter for display of field to user.

 getDisplayName()

Getter for display of the entire locale to user.

 getDisplayName(Locale)

Getter for display of the entire locale to user.

 getDisplayVariant()

Getter for display of field to user.

 getDisplayVariant(Locale)

Getter for display of field to user If the localized name is not found, returns the variant code.

 getISO3Country()

Getter for the three-letter ISO country abbreviation of the locale.

 getISO3Language()

Getter for the three-letter ISO language abbreviation of the locale.

 getLanguage()

Getter for programmatic name of field, an lowercased two-letter ISO-639 code.

 getVariant()

Getter for programmatic name of field.

 hashCode()

Override hashCode.

 setDefault(Locale)

Sets the default.

 toString()

Getter for the programmatic name of the entire locale, with the language, country and variant separated by underbars.

 CANADA

 public static final Locale CANADA

Useful constant for country.

 CANADA_FRENCH

 public static final Locale CANADA_FRENCH

Useful constant for country.

 CHINA

 public static final Locale CHINA

Useful constant for country.

 CHINESE

 public static final Locale CHINESE

Useful constant for language.

 ENGLISH

 public static final Locale ENGLISH

Useful constant for language.

 FRANCE

 public static final Locale FRANCE

Useful constant for country.

 FRENCH

 public static final Locale FRENCH

Useful constant for language.

 GERMAN

 public static final Locale GERMAN

Useful constant for language.

 GERMANY

 public static final Locale GERMANY

Useful constant for country.

 ITALIAN

 public static final Locale ITALIAN

Useful constant for language.

 ITALY

 public static final Locale ITALY

Useful constant for country.

 JAPAN

 public static final Locale JAPAN

Useful constant for country.

 JAPANESE

 public static final Locale JAPANESE

Useful constant for language.

 KOREA

 public static final Locale KOREA

Useful constant for country.

 KOREAN

 public static final Locale KOREAN

Useful constant for language.

 PRC

 public static final Locale PRC

Useful constant for country.

 SIMPLIFIED_CHINESE

 public static final Locale SIMPLIFIED_CHINESE

Useful constant for language.

 TAIWAN

 public static final Locale TAIWAN

Useful constant for country.

 TRADITIONAL_CHINESE

 public static final Locale TRADITIONAL_CHINESE

Useful constant for language.

 UK

 public static final Locale UK

Useful constant for country.

 US

 public static final Locale US

Useful constant for country.

 Locale

 public Locale(String language,
               String country)

Construct a locale from language, country.

Parameters:

language - lowercase two-letter ISO-639 code.

country - uppercase two-letter ISO-3166 code.

 Locale

 public Locale(String language,
               String country,
               String variant)

Construct a locale from language, country, variant.

Parameters:

language - lowercase two-letter ISO-639 code.

country - uppercase two-letter ISO-3166 code.

variant - vendor and browser specific code. See class description.

 clone

 public Object clone()

Overrides Cloneable

Overrides:

clone in class Object

 equals

 public boolean equals(Object obj)

Compares two Objects for equality.

Overrides:

equals in class Object

 getCountry

 public String getCountry()

Getter for programmatic name of field, an uppercased two-letter ISO-3166 code.

See Also:

getDisplayCountry

 getDefault

 public static synchronized Locale getDefault()

Common method of getting the current default Locale. Used for the presentation: menus, dialogs, etc. Generally set once when your applet or application is initialized, then never reset. (If you do reset the default locale, you probably want to reload your GUI, so that the change is reflected in your interface.)

More advanced programs will allow users to use different locales for different fields, e.g. in a spreadsheet.

Note that the initial setting will match the host system.

 getDisplayCountry

 public final String getDisplayCountry()

Getter for display of field to user. If the localized name is not found, returns the ISO code. The default locale is used for the presentation language.

 getDisplayCountry

 public String getDisplayCountry(Locale inLocale)

Getter for display of field to user. If the localized name is not found, returns the ISO code.

Parameters:

inLocale - specifies the desired user language.

 getDisplayLanguage

 public final String getDisplayLanguage()

Getter for display of field to user. If the localized name is not found, returns the ISO code. The desired user language is from the default locale.

 getDisplayLanguage

 public String getDisplayLanguage(Locale inLocale)

Getter for display of field to user. If the localized name is not found, returns the ISO codes. Example: "English (UK)", "Deutch", "Germany"

Parameters:

inLocale - specifies the desired user language.

 getDisplayName

 public final String getDisplayName()

Getter for display of the entire locale to user. If the localized name is not found, uses the ISO codes. The default locale is used for the presentation language.

 getDisplayName

 public String getDisplayName(Locale inLocale)

Getter for display of the entire locale to user. If the localized name is not found, uses the ISO codes

Parameters:

inLocale - specifies the desired user language.

 getDisplayVariant

 public final String getDisplayVariant()

Getter for display of field to user. If the localized name is not found, returns the variant code. The default locale is used for the presentation language.

 getDisplayVariant

 public String getDisplayVariant(Locale inLocale)

Getter for display of field to user If the localized name is not found, returns the variant code.

Parameters:

inLocale - specifies the desired user language.

 getISO3Country

 public String getISO3Country() throws MissingResourceException

Getter for the three-letter ISO country abbreviation of the locale.

Throws: MissingResourceException

Throws MissingResourceException if the three-letter language abbreviation is not available for this locale.

 getISO3Language

 public String getISO3Language() throws MissingResourceException

Getter for the three-letter ISO language abbreviation of the locale.

Throws: MissingResourceException

Throws MissingResourceException if the three-letter language abbreviation is not available for this locale.

 getLanguage

 public String getLanguage()

Getter for programmatic name of field, an lowercased two-letter ISO-639 code.

See Also:

getDisplayLanguage

 getVariant

 public String getVariant()

Getter for programmatic name of field.

See Also:

getDisplayVariant

 hashCode

 public synchronized int hashCode()

Override hashCode. Since Locales are often used in hashtables, caches the value for speed.

Overrides:

hashCode in class Object

 setDefault

 public static synchronized void setDefault(Locale newLocale)

Sets the default. Normally set once at the beginning of applet or application, then never reset. setDefault does not reset the host locale.

Parameters:

newLocale - Locale to set to.

 toString

 public final String toString()

Getter for the programmatic name of the entire locale, with the language, country and variant separated by underbars. If a field is missing, at most one underbar will occur. Example: "EN", "DE_DE", "EN_US_WIN", "DE_POSIX", "FR_MAC"

Overrides:

toString in class Object

See Also:

getDisplayName


 Class java.util.Observable

java.lang.Object
   |
   +----java.util.Observable

public class Observable
   extends Object

This class represents an observable object, or "data" in the model-view paradigm. It can be subclassed to represent an object that the application wants to have observed.

An observable object can have one or more observers. After an observable instance changes, an application calling the Observable's notifyObservers method causes all of its observers to be notified of the change by a call to their update method.

     See Also:
     notifyObservers, notifyObservers, Observer, update

 Observable()

Construct an Observable with zero Observers

 addObserver(Observer)

Adds an observer to the set of observers for this object.

 clearChanged()

Indicates that this object has no longer changed, or that it has already notified all of its observers of its most recent change.

 countObservers()

Returns the number of observers of this object.

 deleteObserver(Observer)

Deletes an observer from the set of observers of this object.

 deleteObservers()

Clears the observer list so that this object no longer has any observers.

 hasChanged()

Tests if this object has changed.

 notifyObservers()

If this object has changed, as indicated by the hasChanged method, then notify all of its observers and then call the clearChanged method to indicate that this object has no longer changed.

 notifyObservers(Object)

If this object has changed, as indicated by the hasChanged method, then notify all of its observers and then call the clearChanged method to indicate that this object has no longer changed.

 setChanged()

Indicates that this object has changed.

 Observable

 public Observable()

Construct an Observable with zero Observers

 addObserver

 public synchronized void addObserver(Observer o)

Adds an observer to the set of observers for this object.

Parameters:

o - an observer to be added.

 clearChanged

 protected synchronized void clearChanged()

Indicates that this object has no longer changed, or that it has already notified all of its observers of its most recent change. This method is called automatically by the notifyObservers methods.

See Also:

notifyObservers, notifyObservers

 countObservers

 public synchronized int countObservers()

Returns the number of observers of this object.

Returns:

the number of observers of this object.

 deleteObserver

 public synchronized void deleteObserver(Observer o)

Deletes an observer from the set of observers of this object.

Parameters:

o - the observer to be deleted.

 deleteObservers

 public synchronized void deleteObservers()

Clears the observer list so that this object no longer has any observers.

 hasChanged

 public synchronized boolean hasChanged()

Tests if this object has changed.

Returns:

true if the setChanged method has been called more recently than the clearChanged method on this object; false otherwise.

See Also:

clearChanged, setChanged

 notifyObservers

 public void notifyObservers()

If this object has changed, as indicated by the hasChanged method, then notify all of its observers and then call the clearChanged method to indicate that this object has no longer changed.

Each observer has its update method called with two arguments: this observable object and null.

See Also:

clearChanged, hasChanged, update

 notifyObservers

 public void notifyObservers(Object arg)

If this object has changed, as indicated by the hasChanged method, then notify all of its observers and then call the clearChanged method to indicate that this object has no longer changed.

Each observer has its update method called with two arguments: this observable object and the arg argument.

Parameters:

arg - any object.

See Also:

clearChanged, hasChanged, update

 setChanged

 protected synchronized void setChanged()

Indicates that this object has changed.


 Class java.util.Properties

java.lang.Object
   |
   +----java.util.Dictionary
           |
           +----java.util.Hashtable
                   |
                   +----java.util.Properties

public class Properties
   extends Hashtable

The Properties class represents a persistent set of properties. The Properties can be saved to a stream or loaded from a stream. Each key and its corresponding value in the property list is a string.

A property list can contain another property list as its "defaults"; this second property list is searched if the property key is not found in the original property list.

 defaults

A property list that contains default values for any keys not found in this property list.

 Properties()

Creates an empty property list with no default values.

 Properties(Properties)

Creates an empty property list with the specified defaults.

 getProperty(String)

Searches for the property with the specified key in this property list.

 getProperty(String, String)

Searches for the property with the specified key in this property list.

 list(PrintStream)

Prints this property list out to the specified output stream.

 list(PrintWriter)

Prints this property list out to the specified output stream.

 load(InputStream)

Reads a property list from an input stream.

 propertyNames()

Returns an enumeration of all the keys in this property list, including the keys in the default property list.

 save(OutputStream, String)

Stores this property list to the specified output stream.

 defaults

 protected Properties defaults

A property list that contains default values for any keys not found in this property list.

 Properties

 public Properties()

Creates an empty property list with no default values.

 Properties

 public Properties(Properties defaults)

Creates an empty property list with the specified defaults.

Parameters:

defaults - the defaults.

 getProperty

 public String getProperty(String key)

Searches for the property with the specified key in this property list. If the key is not found in this property list, the default property list, and its defaults, recursively, are then checked. The method returns null if the property is not found.

Parameters:

key - the property key.

Returns:

the value in this property list with the specified key value.

See Also:

defaults

 getProperty

 public String getProperty(String key,
                           String defaultValue)

Searches for the property with the specified key in this property list. If the key is not found in this property list, the default property list, and its defaults, recursively, are then checked. The method returns the default value argument if the property is not found.

Parameters:

key - the hashtable key.

defaultValue - a default value.

Returns:

the value in this property list with the specified key value.

See Also:

defaults

 list

 public void list(PrintStream out)

Prints this property list out to the specified output stream. This method is useful for debugging.

Parameters:

out - an output stream.

 list

 public void list(PrintWriter out)

Prints this property list out to the specified output stream. This method is useful for debugging.

Parameters:

out - an output stream.

 load

 public synchronized void load(InputStream in) throws IOException

Reads a property list from an input stream.

Parameters:

in - the input stream.

Throws: IOException

if an error occurred when reading from the input stream.

 propertyNames

 public Enumeration propertyNames()

Returns an enumeration of all the keys in this property list, including the keys in the default property list.

Returns:

an enumeration of all the keys in this property list, including the keys in the default property list.

See Also:

Enumeration, defaults

 save

 public synchronized void save(OutputStream out,
                               String header)

Stores this property list to the specified output stream. The string header is printed as a comment at the beginning of the stream.

Parameters:

out - an output stream.

header - a description of the property list.


 Class java.util.PropertyResourceBundle

java.lang.Object
   |
   +----java.util.ResourceBundle
           |
           +----java.util.PropertyResourceBundle

public class PropertyResourceBundle
   extends ResourceBundle

PropertyResourceBundle is an abstract subclass of ResourceBundle that manages resources for a locale using a set of static strings from a property file. See ResourceBundle for more information about resource bundles in general.

The property file contains the keys that you use in your source code in calls to ResourceBundle.getString and similar methods, and their corresponding values, etc. The name of the property file indicates the resource bundle's family and locale.

In the following example, the keys are of the form "s1"... The actual keys are entirely up to your choice, so long as they are the same as the keys you use in your program to retrieve the objects from the bundle. Keys are case-sensitive.

 s1=3
 s2=MeinDisk
 s3=3 Mar 96
 s4=Der disk '{1}' a {0} a {2}.
 s5=0
 s6=keine Datein
 s7=1
 s8=ein Datei
 s9=2
 s10={0}|3 Datein
 s11=Der Format worf ein Exception: {0}
 s12=ERROR
 s14=Resulte
 s13=Dialogue
 s15=Pattern
 s16=1,3

     See Also:
     ResourceBundle, ListResourceBundle

 PropertyResourceBundle(InputStream)

Creates a property resource

 getKeys()

Implementation of ResourceBundle.getKeys.

 handleGetObject(String)

Override of ResourceBundle, same semantics

 PropertyResourceBundle

 public PropertyResourceBundle(InputStream stream) throws IOException

Creates a property resource

Parameters:

file - property file to read from.

 getKeys

 public Enumeration getKeys()

Implementation of ResourceBundle.getKeys.

Overrides:

getKeys in class ResourceBundle

 handleGetObject

 public Object handleGetObject(String key)

Override of ResourceBundle, same semantics

Overrides:

handleGetObject in class ResourceBundle


 Class java.util.Random

java.lang.Object
   |
   +----java.util.Random

public class Random
   extends Object
   implements Serializable

An instance of this class is used to generate a stream of pseudorandom numbers. The class uses a 48-bit seed, which is modified using a linear congruential formula. (See Donald Knuth, The Art of Computer Programming, Volume 2, Section 3.2.1.)

If two instances of Random are created with the same seed, and the same sequence of method calls is made for each, they will generate and return identical sequences of numbers.

Many applications will find the random method in class Math simpler to use.

     See Also:
     random

 Random()

Creates a new random number generator.

 Random(long)

Creates a new random number generator using a single long seed.

 next(int)

Generates the next pseudorandom number.

 nextBytes(byte[])

Generates a user specified number of random bytes.

 nextDouble()

Returns the next pseudorandom, uniformly distributed double value between 0.0 and 1.0 from this random number generator's sequence.

 nextFloat()

Returns the next pseudorandom, uniformly distributed float value between 0.0 and 1.0 from this random number generator's sequence.

 nextGaussian()

Returns the next pseudorandom, Gaussian ("normally") distributed double value with mean 0.0 and standard deviation 1.0 from this random number generator's sequence.

 nextInt()

Returns the next pseudorandom, uniformly distributed int value from this random number generator's sequence.

 nextLong()

Returns the next pseudorandom, uniformly distributed long value from this random number generator's sequence.

 setSeed(long)

Sets the seed of this random number generator using a single long seed.

 Random

 public Random()

Creates a new random number generator. Its seed is initialized to a value based on the current time.

See Also:

currentTimeMillis

 Random

 public Random(long seed)

Creates a new random number generator using a single long seed.

Parameters:

seed - the initial seed.

See Also:

setSeed

 next

 protected synchronized int next(int bits)

Generates the next pseudorandom number. Subclass should override this, as this is used by all other methods.

Parameters:

bits - random bits

Returns:

the next pseudorandom value from this random number generator's sequence.

 nextBytes

 public void nextBytes(byte bytes[])

Generates a user specified number of random bytes.

 nextDouble

 public double nextDouble()

Returns the next pseudorandom, uniformly distributed double value between 0.0 and 1.0 from this random number generator's sequence.

Returns:

the next pseudorandom, uniformly distributed double value between 0.0 and 1.0 from this random number generator's sequence.

 nextFloat

 public float nextFloat()

Returns the next pseudorandom, uniformly distributed float value between 0.0 and 1.0 from this random number generator's sequence.

Returns:

the next pseudorandom, uniformly distributed float value between 0.0 and 1.0 from this random number generator's sequence.

 nextGaussian

 public synchronized double nextGaussian()

Returns the next pseudorandom, Gaussian ("normally") distributed double value with mean 0.0 and standard deviation 1.0 from this random number generator's sequence.

Returns:

the next pseudorandom, Gaussian ("normally") distributed double value with mean 0.0 and standard deviation 1.0 from this random number generator's sequence.

 nextInt

 public int nextInt()

Returns the next pseudorandom, uniformly distributed int value from this random number generator's sequence.

Returns:

the next pseudorandom, uniformly distributed int value from this random number generator's sequence.

 nextLong

 public long nextLong()

Returns the next pseudorandom, uniformly distributed long value from this random number generator's sequence.

Returns:

the next pseudorandom, uniformly distributed long value from this random number generator's sequence.

 setSeed

 public synchronized void setSeed(long seed)

Sets the seed of this random number generator using a single long seed.

Parameters:

seed - the initial seed.


 Class java.util.ResourceBundle

java.lang.Object
   |
   +----java.util.ResourceBundle

public abstract class ResourceBundle
   extends Object

Resource bundles contain locale-specific objects. When your program needs a locale-specific resource, a String for example, your program can load it from the resource bundle that is appropriate for the current user's locale. In this way, you can write program code that is largely independent of the user's locale isolating most, if not all, of the locale-specific information in resource bundles.

This allows you to write programs that can:

•	be easily localized, or translated, into different languages

•	handle multiple locales at once

•	be easily modified later to support even more locales

One resource bundle is, conceptually, a set of related classes that inherit from ResourceBundle. Each related subclass of ResourceBundle has the same base name plus an additional component that identifies its locale. For example, suppose your resource bundle is named MyResources. The first class you are likely to write is the default resource bundle which simply has the same name as its family--MyResources. You can also provide as many related locale-specific classes as you need: for example, perhaps you would provide a German one named MyResources_de.

Each related subclass of ResourceBundle contains the same items, but the items have been translated for the locale represented by that ResourceBundle subclass. For example, both MyResources and MyResources_de may have a String that's used on a button for confirming operations. In MyResources the String may contain OK and in MyResources_de it may contain Gut.

If there are different resources for different countries, you can make specializations: for example, MyResources_de_CH for Switzerland. If you want to only modify some of the resources in the specialization, you can do so.

When your program needs a locale-specific object, it loads the ResourceBundle class using the getBundle method:

 ResourceBundle myResources =
      ResourceBundle.getBundle("MyResources", currentLocale);

The first argument specifies the family name of the resource bundle that contains the object in question. The second argument indicates the desired locale. getBundle uses these two arguments to construct the name of the ResourceBundle subclass it should load as follows.

The resource bundle lookup searches for classes with various suffixes on the basis of (1) the desired locale and (2) the default locale (baseclass), in the following order from lower-level (more specific) to parent-level (less specific):

baseclass + "_" + language1 + "_" + country1 + "_" + variant1

baseclass + "_" + language1 + "_" + country1

baseclass + "_" + language1

baseclass

baseclass + "_" + language2 + "_" + country2 + "_" + variant2

baseclass + "_" + language2 + "_" + country2

baseclass + "_" + language2

The result of the lookup is a class, but that class may be backed by a property file on disk. If a lookup fails, getBundle() throws a MissingResourceException.

The baseclass must be fully qualified (for example, myPackage.MyResources, not just MyResources). It must also be accessable by your code; it cannot be a class that is private to the package where ResourceBundle.getBundle is called.

Note: ResourceBundle are used internally in accessing NumberFormats, Collations, and so on. The lookup strategy is the same.

Resource bundles contain key/value pairs. The keys uniquely identify a locale-specific object in the bundle. Here's an example of a ListResourceBundle that contains two key/value pairs:

 class MyResource extends ListResourceBundle {
      public Object[][] getContents() {
              return contents;
      }
      static final Object[][] contents = {
      // LOCALIZE THIS
              {"OkKey", "OK"},
              {"CancelKey", "Cancel"},
      // END OF MATERIAL TO LOCALIZE
      };
 }

Keys are always Strings. In this example, the keys are OkKey and CancelKey. In the above example, the values are also Strings--OK and Cancel--but they don't have to be. The values can be any type of object.

You retrieve an object from resource bundle using the appropriate getter method. Because OkKey and CancelKey are both strings, you would use getString to retrieve them:

 button1 = new Button(myResourceBundle.getString("OkKey"));
 button2 = new Button(myResourceBundle.getString("CancelKey"));

The getter methods all require the key as an argument and return the object if found. If the object is not found, the getter method throws a MissingResourceException.

Besides getString; ResourceBundle supports a number of other methods for getting different types of objects such as getStringArray. If you don't have an object that matches one of these methods, you can use getObject and cast the result to the appropriate type. For example:

 int[] myIntegers = (int[]) myResources.getObject("intList");

NOTE: You should always supply a baseclass with no suffixes. This will be the class of "last resort", if a locale is requested that does not exist. For example, below we have a class MyResources. It happens to contain US strings, so we don't have to have an explicit MyResource_en or MyResource_en_US.

The JDK provides two subclasses of ResourceBundle, ListResourceBundle and PropertyResourceBundle, that provide a fairly simple way to create resources. (Once serialization is fully integrated, we will provide another way.) As you saw briefly in a prevous example, ListResourceBundle manages its resource as a List of key/value pairs. PropertyResourceBundle uses a properties file to manage its resources.

If ListResourceBundle or PropertyResourceBundle do not suit your needs, you can write your own ResourceBundle subclass. Your subclasses must overrde two methods: handleGetObject and getKeys().

The following is a very simple example of a ResourceBundle subclass that manages only a few resources (for a larger number of resources you would probably use a Hashtable). Notice that if the key is not found, handleGetObject must return null. Notice also that you don't need to supply a value if a "parent-level" ResourceBundle handles the same key with the same value (look at uk below).

Example:

 abstract class MyResources extends ResourceBundle {
     public Object handleGetObject(String key) {
         if (key.equals("okKey")) return "Ok";
         if (key.equals("cancelKey")) return "Cancel";
 	   return null;
     }
 }
 abstract class MyResources_de extends MyResources {
     public Object handleGetObject(String key) {
         if (key.equals("okKey")) return "Gut";
         if (key.equals("cancelKey")) return "Vernichten";
         return null;
     }
 }
 abstract class MyResources_uk extends MyResources {
     public Object handleGetObject(String key) {
         // don't need okKey, since parent level handles it.
         if (key.equals("cancelKey")) return "Dispose";
     	   return null;
     }
 }

You do not have to restrict yourself to using a single family of ResourceBundles. For example, you could have a set of bundles for exception messages, ExceptionResources (ExceptionResources_fr, ExceptionResources_de, ...), and one for widgets, WidgetResource (WidgetResources_fr, WidgetResources_de, ...); breaking up the resources however you like.

     See Also:
     ListResourceBundle, PropertyResourceBundle, MissingResourceException

 parent

The parent bundle is consulted by getObject when this bundle does not contain a particular resource.

 ResourceBundle()

 getBundle(String)

Get the appropriate ResourceBundle subclass.

 getBundle(String, Locale)

Get the appropriate ResourceBundle subclass.

 getKeys()

Return an enumeration of the keys.

 getObject(String)

Get an object from a ResourceBundle.

 getString(String)

Get an object from a ResourceBundle.

 getStringArray(String)

Get an object from a ResourceBundle.

 handleGetObject(String)

Get an object from a ResourceBundle.

 setParent(ResourceBundle)

Set the parent bundle of this bundle.

 parent

 protected ResourceBundle parent

The parent bundle is consulted by getObject when this bundle does not contain a particular resource.

 ResourceBundle

 public ResourceBundle()

 getBundle

 public static final ResourceBundle getBundle(String baseName) throws MissingResourceException

Get the appropriate ResourceBundle subclass.

Parameters:

baseName - see class description.

 getBundle

 public static final ResourceBundle getBundle(String baseName,
                                              Locale locale)

Get the appropriate ResourceBundle subclass.

Parameters:

baseName - see class description.

locale - see class description.

 getKeys

 public abstract Enumeration getKeys()

Return an enumeration of the keys. NOTE: Subclasses must override.

 getObject

 public final Object getObject(String key) throws MissingResourceException

Get an object from a ResourceBundle.

Parameters:

key - see class description.

 getString

 public final String getString(String key) throws MissingResourceException

Get an object from a ResourceBundle.

Convenience method to save casting.

Parameters:

key - see class description.

 getStringArray

 public final String[] getStringArray(String key) throws MissingResourceException

Get an object from a ResourceBundle.

Convenience method to save casting.

Parameters:

key - see class description.

 handleGetObject

 protected abstract Object handleGetObject(String key) throws MissingResourceException

Get an object from a ResourceBundle. NOTE: Subclasses must override.

Parameters:

key - see class description.

 setParent

 protected void setParent(ResourceBundle parent)

Set the parent bundle of this bundle. The parent bundle is searched by getObject when this bundle does not contain a particular resource.

Parameters:

parent - this bundle's parent bundle.


 Class java.util.SimpleTimeZone

java.lang.Object
   |
   +----java.util.TimeZone
           |
           +----java.util.SimpleTimeZone

public class SimpleTimeZone
   extends TimeZone

SimpleTimeZone is a concrete subclass of TimeZone that represents a time zone for use with a Gregorian calendar. This simple class does not handle historical changes, and has limited rules.

Use a negative value for dayOfWeekInMonth to indicate that SimpleTimeZone should count from the end of the month backwards. For example, Daylight Savings Time ends at the last (dayOfWeekInMonth = -1) Sunday in October, at 2 AM in standard time.

     See Also:
     Calendar, GregorianCalendar, TimeZone

 SimpleTimeZone(int, String)

Constructs a SimpleTimeZone with the given base time zone offset from GMT and time zone ID.

 SimpleTimeZone(int, String, int, int, int, int, int, int, int, int)

Constructs a SimpleTimeZone with the given base time zone offset from GMT, time zone ID, time to start and end the daylight time.

 clone()

Overrides Cloneable

 equals(Object)

Compares the equality of two SimpleTimeZone objects.

 getOffset(int, int, int, int, int, int)

Overrides TimeZone Gets the time zone offset, for current date, modified in case of daylight savings.

 getRawOffset()

Overrides TimeZone Gets the GMT offset for this time zone.

 hashCode()

Override hashCode.

 inDaylightTime(Date)

Overrides TimeZone Queries if the given date is in Daylight Savings Time.

 setEndRule(int, int, int, int)

Sets the daylight savings ending rule.

 setRawOffset(int)

Overrides TimeZone Sets the base time zone offset to GMT.

 setStartRule(int, int, int, int)

Sets the daylight savings starting rule.

 setStartYear(int)

Sets the daylight savings starting year.

 useDaylightTime()

Overrides TimeZone Queries if this time zone uses Daylight Savings Time.

 SimpleTimeZone

 public SimpleTimeZone(int rawOffset,
                       String ID)

Constructs a SimpleTimeZone with the given base time zone offset from GMT and time zone ID. Timezone IDs can be obtained from TimeZone.getAvailableIDs. Normally you should use TimeZone.getDefault to construct a TimeZone.

Parameters:

rawOffset - the given base time zone offset to GMT.

ID - the time zone ID which is obtained from TimeZone.getAvailableIDs.

 SimpleTimeZone

 public SimpleTimeZone(int rawOffset,
                       String ID,
                       int startMonth,
                       int startDayOfWeekInMonth,
                       int startDayOfWeek,
                       int startTime,
                       int endMonth,
                       int endDayOfWeekInMonth,
                       int endDayOfWeek,
                       int endTime)

Constructs a SimpleTimeZone with the given base time zone offset from GMT, time zone ID, time to start and end the daylight time. Timezone IDs can be obtained from TimeZone.getAvailableIDs. Normally you should use TimeZone.getDefault to create a TimeZone. For a time zone that does not use daylight saving time, do not use this constructor; instead you should use SimpleTimeZone(rawOffset, ID).

Parameters:

rawOffset - the given base time zone offset to GMT.

ID - the time zone ID which is obtained from TimeZone.getAvailableIDs.

startMonth - the daylight savings starting month. Month is 0-based. eg, 0 for January.

startDayOfWeekInMonth - the daylight savings starting day-of-week-in-month. Please see the member description for an example.

startDayOfWeek - the daylight savings starting day-of-week. Please see the member description for an example.

startTime - the daylight savings starting time. Please see the member description for an example.

endMonth - the daylight savings ending month. Month is 0-based. eg, 0 for January.

endDayOfWeekInMonth - the daylight savings ending day-of-week-in-month. Please see the member description for an example.

endDayOfWeek - the daylight savings ending day-of-week. Please see the member description for an example.

endTime - the daylight savings ending time. Please see the member description for an example.

 clone

 public Object clone()

Overrides Cloneable

Overrides:

clone in class TimeZone

 equals

 public boolean equals(Object obj)

Compares the equality of two SimpleTimeZone objects.

Parameters:

obj - the SimpleTimeZone object to be compared with.

Returns:

true if the given obj is the same as this SimpleTimeZone object; false otherwise.

Overrides:

equals in class Object

 getOffset

 public int getOffset(int era,
                      int year,
                      int month,
                      int day,
                      int dayOfWeek,
                      int millis)

Overrides TimeZone Gets the time zone offset, for current date, modified in case of daylight savings. This is the offset to add *to* UTC to get local time. Please see TimeZone.getOffset for descriptions of parameters.

Overrides:

getOffset in class TimeZone

See Also:

getOffset

 getRawOffset

 public int getRawOffset()

Overrides TimeZone Gets the GMT offset for this time zone.

Overrides:

getRawOffset in class TimeZone

 hashCode

 public synchronized int hashCode()

Override hashCode. Generates the hash code for the SimpleDateFormat object

Overrides:

hashCode in class Object

 inDaylightTime

 public boolean inDaylightTime(Date date)

Overrides TimeZone Queries if the given date is in Daylight Savings Time.

Overrides:

inDaylightTime in class TimeZone

 setEndRule

 public void setEndRule(int month,
                        int dayOfWeekInMonth,
                        int dayOfWeek,
                        int time)

Sets the daylight savings ending rule. For example, Daylight Savings Time ends at the last (-1) Sunday in October, at 2 AM in standard time. Therefore, you can set the end rule by calling: setEndRule(TimeFields.OCTOBER, -1, TimeFields.SUNDAY, 2*60*60*1000);

Parameters:

month - the daylight savings ending month. Month is 0-based. eg, 0 for January.

dayOfWeekInMonth - the daylight savings ending day-of-week-in-month. Please see the member description for an example.

dayOfWeek - the daylight savings ending day-of-week. Please see the member description for an example.

time - the daylight savings ending time. Please see the member description for an example.

 setRawOffset

 public void setRawOffset(int offsetMillis)

Overrides TimeZone Sets the base time zone offset to GMT. This is the offset to add *to* UTC to get local time. Please see TimeZone.setRawOffset for descriptions on the parameter.

Overrides:

setRawOffset in class TimeZone

 setStartRule

 public void setStartRule(int month,
                          int dayOfWeekInMonth,
                          int dayOfWeek,
                          int time)

Sets the daylight savings starting rule. For example, Daylight Savings Time starts at the first Sunday in April, at 2 AM in standard time. Therefore, you can set the start rule by calling: setStartRule(TimeFields.APRIL, 1, TimeFields.SUNDAY, 2*60*60*1000);

Parameters:

month - the daylight savings starting month. Month is 0-based. eg, 0 for January.

dayOfWeekInMonth - the daylight savings starting day-of-week-in-month. Please see the member description for an example.

dayOfWeek - the daylight savings starting day-of-week. Please see the member description for an example.

time - the daylight savings starting time. Please see the member description for an example.

 setStartYear

 public void setStartYear(int year)

Sets the daylight savings starting year.

Parameters:

year - the daylight savings starting year.

 useDaylightTime

 public boolean useDaylightTime()

Overrides TimeZone Queries if this time zone uses Daylight Savings Time.

Overrides:

useDaylightTime in class TimeZone


 Class java.util.Stack

java.lang.Object
   |
   +----java.util.Vector
           |
           +----java.util.Stack

public class Stack
   extends Vector

The Stack class represents a last-in-first-out (LIFO) stack of objects.

 Stack()

 empty()

Tests if this stack is empty.

 peek()

Looks at the object at the top of this stack without removing it from the stack.

 pop()

Removes the object at the top of this stack and returns that object as the value of this function.

 push(Object)

Pushes an item onto the top of this stack.

 search(Object)

Returns where an object is on this stack.

 Stack

 public Stack()

 empty

 public boolean empty()

Tests if this stack is empty.

Returns:

true if this stack is empty; false otherwise.

 peek

 public synchronized Object peek()

Looks at the object at the top of this stack without removing it from the stack.

Returns:

the object at the top of this stack.

Throws: EmptyStackException

if this stack is empty.

 pop

 public synchronized Object pop()

Removes the object at the top of this stack and returns that object as the value of this function.

Returns:

The object at the top of this stack.

Throws: EmptyStackException

if this stack is empty.

 push

 public Object push(Object item)

Pushes an item onto the top of this stack.

Parameters:

item - the item to be pushed onto this stack.

Returns:

the item argument.

 search

 public synchronized int search(Object o)

Returns where an object is on this stack.

Parameters:

o - the desired object.

Returns:

the distance from the top of the stack where the object is] located; the return value -1 indicates that the object is not on the stack.


 Class java.util.StringTokenizer

java.lang.Object
   |
   +----java.util.StringTokenizer

public class StringTokenizer
   extends Object
   implements Enumeration

The string tokenizer class allows an application to break a string into tokens. The tokenization method is much simpler than the one used by the StreamTokenizer class. The StringTokenizer methods do not distinguish among identifiers, numbers, and quoted strings, nor do they recognize and skip comments.

The set of delimiters (the characters that separate tokens) may be specified either at creation time or on a per-token basis.

An instance of StringTokenizer behaves in one of two ways, depending on whether it was created with the returnTokens flag having the value true or false:

•	If the flag is false, delimiter characters serve to separate tokens. A token is a maximal sequence of consecutive characters that are not delimiters.

•	If the flag is true, delimiter characters are considered to be tokens. A token is either one delimiter character, or a maximal sequence of consecutive characters that are not delimiters.

The following is one example of the use of the tokenizer. The code:

     StringTokenizer st = new StringTokenizer("this is a test");
     while (st.hasMoreTokens()) {
         println(st.nextToken());
     }

prints the following output:

     this
     is
     a
     test

     See Also:
     StreamTokenizer

 StringTokenizer(String)

Constructs a string tokenizer for the specified string.

 StringTokenizer(String, String)

Constructs a string tokenizer for the specified string.

 StringTokenizer(String, String, boolean)

Constructs a string tokenizer for the specified string.

 countTokens()

Calculates the number of times that this tokenizer's nextToken method can be called before it generates an exception.

 hasMoreElements()

Returns the same value as the hasMoreTokens method.

 hasMoreTokens()

Tests if there are more tokens available from this tokenizer's string.

 nextElement()

Returns the same value as the nextToken method, except that its declared return value is Object rather than String.

 nextToken()

Returns the next token from this string tokenizer.

 nextToken(String)

Returns the next token in this string tokenizer's string.

 StringTokenizer

 public StringTokenizer(String str)

Constructs a string tokenizer for the specified string. The tokenizer uses the default delimiter set, which is "\t\n\r": the space character, the tab character, the newline character, and the carriage-return character.

Parameters:

str - a string to be parsed.

 StringTokenizer

 public StringTokenizer(String str,
                        String delim)

Constructs a string tokenizer for the specified string. The characters in the delim argument are the delimiters for separating tokens.

Parameters:

str - a string to be parsed.

delim - the delimiters.

 StringTokenizer

 public StringTokenizer(String str,
                        String delim,
                        boolean returnTokens)

Constructs a string tokenizer for the specified string. The characters in the delim argument are the delimiters for separating tokens.

If the returnTokens flag is true, then the delimiter characters are also returned as tokens. Each delimiter is returned as a string of length one. If the flag is false, the delimiter characters are skipped and only serve as separators between tokens.

Parameters:

str - a string to be parsed.

delim - the delimiters.

returnTokens - flag indicating whether to return the delimiters as tokens.

 countTokens

 public int countTokens()

Calculates the number of times that this tokenizer's nextToken method can be called before it generates an exception.

Returns:

the number of tokens remaining in the string using the current delimiter set.

See Also:

nextToken

 hasMoreElements

 public boolean hasMoreElements()

Returns the same value as the hasMoreTokens method. It exists so that this class can implement the Enumeration interface.

Returns:

true if there are more tokens; false otherwise.

See Also:

Enumeration, hasMoreTokens

 hasMoreTokens

 public boolean hasMoreTokens()

Tests if there are more tokens available from this tokenizer's string.

Returns:

true if there are more tokens available from this tokenizer's string; false otherwise.

 nextElement

 public Object nextElement()

Returns the same value as the nextToken method, except that its declared return value is Object rather than String. It exists so that this class can implement the Enumeration interface.

Returns:

the next token in the string.

Throws: NoSuchElementException

if there are no more tokens in this tokenizer's string.

See Also:

Enumeration, nextToken

 nextToken

 public String nextToken()

Returns the next token from this string tokenizer.

Returns:

the next token from this string tokenizer.

Throws: NoSuchElementException

if there are no more tokens in this tokenizer's string.

 nextToken

 public String nextToken(String delim)

Returns the next token in this string tokenizer's string. The new delimiter set remains the default after this call.

Parameters:

delim - the new delimiters.

Returns:

the next token, after switching to the new delimiter set.

Throws: NoSuchElementException

if there are no more tokens in this tokenizer's string.


 Class java.util.TimeZone

java.lang.Object
   |
   +----java.util.TimeZone

public abstract class TimeZone
   extends Object
   implements Serializable, Cloneable

TimeZone represents a time zone offset, and also figures out daylight savings.

Typically, you get a TimeZone using getDefault which creates a TimeZone based on the time zone where the program is running. For example, for a program running in Japan, getDefault creates a TimeZone object based on Japanese Standard Time.

You can also get a TimeZone using getTimeZone along with a time zone ID. For instance, the time zone ID for the Pacific Standard Time zone is "PST". So, you can get a PST TimeZone object with:

 TimeZone tz = TimeZone.getTimeZone("PST");

You can use getAvailableIDs method to iterate through all the supported time zone IDs. You can then choose a supported ID to get a favorite TimeZone.

     See Also:
     Calendar, GregorianCalendar, SimpleTimeZone

 TimeZone()

 clone()

Overrides Cloneable

 getAvailableIDs()

Gets all the available IDs supported.

 getAvailableIDs(int)

Gets the available IDs according to the given time zone offset.

 getDefault()

Gets the default TimeZone for this host.

 getID()

Gets the ID of this time zone.

 getOffset(int, int, int, int, int, int)

Gets the time zone offset, for current date, modified in case of daylight savings.

 getRawOffset()

Gets unmodified offset, NOT modified in case of daylight savings.

 getTimeZone(String)

Gets the TimeZone for the given ID.

 inDaylightTime(Date)

Queries if the given date is in Daylight Savings Time in this time zone.

 setDefault(TimeZone)

Sets time zone to using the given TimeZone.

 setID(String)

Sets the time zone ID.

 setRawOffset(int)

Sets the base time zone offset to GMT.

 useDaylightTime()

Queries if this time zone uses Daylight Savings Time.

 TimeZone

 public TimeZone()

 clone

 public Object clone()

Overrides Cloneable

Overrides:

clone in class Object

 getAvailableIDs

 public static synchronized String[] getAvailableIDs()

Gets all the available IDs supported.

Returns:

an array of IDs.

 getAvailableIDs

 public static synchronized String[] getAvailableIDs(int rawOffset)

Gets the available IDs according to the given time zone offset.

Parameters:

rawOffset - the given time zone GMT offset.

Returns:

an array of IDs, where the time zone for that ID has the specified GMT offset. For example, {"Phoenix", "Denver"}, since both have GMT-07:00, but differ in daylight savings behavior.

 getDefault

 public static synchronized TimeZone getDefault()

Gets the default TimeZone for this host.

Returns:

a default TimeZone.

 getID

 public String getID()

Gets the ID of this time zone.

Returns:

the ID of this time zone.

 getOffset

 public abstract int getOffset(int era,
                               int year,
                               int month,
                               int day,
                               int dayOfWeek,
                               int milliseconds)

Gets the time zone offset, for current date, modified in case of daylight savings. This is the offset to add *to* UTC to get local time.

Parameters:

era - the era of the given date.

year - the year in the given date.

month - the month in the given date. Month is 0-based. e.g., 0 for January.

day - the day-in-month of the given date.

dayOfWeek - the day-of-week of the given date.

milliseconds - the millis in day in standard local time.

Returns:

the offset to add *to* GMT to get local time.

 getRawOffset

 public abstract int getRawOffset()

Gets unmodified offset, NOT modified in case of daylight savings. This is the offset to add *to* UTC to get local time.

Returns:

the unmodified offset to add *to* UTC to get local time.

 getTimeZone

 public static synchronized TimeZone getTimeZone(String ID)

Gets the TimeZone for the given ID.

Parameters:

ID - the given ID.

Returns:

a TimeZone.

 inDaylightTime

 public abstract boolean inDaylightTime(Date date)

Queries if the given date is in Daylight Savings Time in this time zone.

Parameters:

date - the given Date.

Returns:

true if the given date is in Daylight Savings Time, false, otherwise.

 setDefault

 public static synchronized void setDefault(TimeZone zone)

Sets time zone to using the given TimeZone.

Parameters:

zone - the given time zone.

 setID

 public void setID(String ID)

Sets the time zone ID. This does not change any other data in the time zone object.

Parameters:

ID - the new time zone ID.

 setRawOffset

 public abstract void setRawOffset(int offsetMillis)

Sets the base time zone offset to GMT. This is the offset to add *to* UTC to get local time.

Parameters:

offsetMillis - the given base time zone offset to GMT.

 useDaylightTime

 public abstract boolean useDaylightTime()

Queries if this time zone uses Daylight Savings Time.

Returns:

true if this time zone uses Daylight Savings Time, false, otherwise.


 Class java.util.Vector

java.lang.Object
   |
   +----java.util.Vector

public class Vector
   extends Object
   implements Cloneable, Serializable

The Vector class implements a growable array of objects. Like an array, it contains components that can be accessed using an integer index. However, the size of a Vector can grow or shrink as needed to accommodate adding and removing items after the Vector has been created.

Each vector tries to optimize storage management by maintaining a capacity and a capacityIncrement. The capacity is always at least as large as the vector size; it is usually larger because as components are added to the vector, the vector's storage increases in chunks the size of capacityIncrement. An application can increase the capacity of a vector before inserting a large number of components; this reduces the amount of incremental reallocation.

 capacityIncrement

The amount by which the capacity of the vector is automatically incremented when its size becomes greater than its capacity.

 elementCount

The number of valid components in the vector.

 elementData

The array buffer into which the components of the vector are stored.

 Vector()

Constructs an empty vector.

 Vector(int)

Constructs an empty vector with the specified initial capacity.

 Vector(int, int)

Constructs an empty vector with the specified initial capacity and capacity increment.

 addElement(Object)

Adds the specified component to the end of this vector, increasing its size by one.

 capacity()

Returns the current capacity of this vector.

 clone()

Returns a clone of this vector.

 contains(Object)

Tests if the specified object is a component in this vector.

 copyInto(Object[])

Copies the components of this vector into the specified array.

 elementAt(int)

Returns the component at the specified index.

 elements()

Returns an enumeration of the components of this vector.

 ensureCapacity(int)

Increases the capacity of this vector, if necessary, to ensure that it can hold at least the number of components specified by the minimum capacity argument.

 firstElement()

Returns the first component of this vector.

 indexOf(Object)

Searches for the first occurence of the given argument, testing for equality using the equals method.

 indexOf(Object, int)

Searches for the first occurence of the given argument, beginning the search at index, and testing for equality using the equals method.

 insertElementAt(Object, int)

Inserts the specified object as a component in this vector at the specified index.

 isEmpty()

Tests if this vector has no components.

 lastElement()

Returns the last component of the vector.

 lastIndexOf(Object)

Returns the index of the last occurrence of the specified object in this vector.

 lastIndexOf(Object, int)

Searches backwards for the specified object, starting from the specified index, and returns an index to it.

 removeAllElements()

Removes all components from this vector and sets its size to zero.

 removeElement(Object)

Removes the first occurrence of the argument from this vector.

 removeElementAt(int)

Deletes the component at the specified index.

 setElementAt(Object, int)

Sets the component at the specified index of this vector to be the specified object.

 setSize(int)

Sets the size of this vector.

 size()

Returns the number of components in this vector.

 toString()

Returns a string representation of this vector.

 trimToSize()

Trims the capacity of this vector to be the vector's current size.

 capacityIncrement

 protected int capacityIncrement

The amount by which the capacity of the vector is automatically incremented when its size becomes greater than its capacity. If the capacity is 0, the capacity of the vector is doubled each time it needs to grow.

 elementCount

 protected int elementCount

The number of valid components in the vector.

 elementData

 protected Object elementData[]

The array buffer into which the components of the vector are stored. The capacity of the vector is the length of this array buffer.

 Vector

 public Vector()

Constructs an empty vector.

 Vector

 public Vector(int initialCapacity)

Constructs an empty vector with the specified initial capacity.

Parameters:

initialCapacity - the initial capacity of the vector.

 Vector

 public Vector(int initialCapacity,
               int capacityIncrement)

Constructs an empty vector with the specified initial capacity and capacity increment.

Parameters:

initialCapacity - the initial capacity of the vector.

capacityIncrement - the amount by which the capacity is increased when the vector overflows.

 addElement

 public final synchronized void addElement(Object obj)

Adds the specified component to the end of this vector, increasing its size by one. The capacity of this vector is increased if its size becomes greater than its capacity.

Parameters:

obj - the component to be added.

 capacity

 public final int capacity()

Returns the current capacity of this vector.

Returns:

the current capacity of this vector.

 clone

 public synchronized Object clone()

Returns a clone of this vector.

Returns:

a clone of this vector.

Overrides:

clone in class Object

 contains

 public final boolean contains(Object elem)

Tests if the specified object is a component in this vector.

Parameters:

elem - an object.

Returns:

true if the specified object is a component in this vector; false otherwise.

 copyInto

 public final synchronized void copyInto(Object anArray[])

Copies the components of this vector into the specified array. The array must be big enough to hold all the objects in this vector.

Parameters:

anArray - the array into which the components get copied.

 elementAt

 public final synchronized Object elementAt(int index)

Returns the component at the specified index.

Parameters:

index - an index into this vector.

Returns:

the component at the specified index.

Throws: ArrayIndexOutOfBoundsException

if an invalid index was given.

 elements

 public final synchronized Enumeration elements()

Returns an enumeration of the components of this vector.

Returns:

an enumeration of the components of this vector.

See Also:

Enumeration

 ensureCapacity

 public final synchronized void ensureCapacity(int minCapacity)

Increases the capacity of this vector, if necessary, to ensure that it can hold at least the number of components specified by the minimum capacity argument.

Parameters:

minCapacity - the desired minimum capacity.

 firstElement

 public final synchronized Object firstElement()

Returns the first component of this vector.

Returns:

the first component of this vector.

Throws: NoSuchElementException

if this vector has no components.

 indexOf

 public final int indexOf(Object elem)

Searches for the first occurence of the given argument, testing for equality using the equals method.

Parameters:

elem - an object.

Returns:

the index of the first occurrence of the argument in this vector; returns -1 if the object is not found.

See Also:

equals

 indexOf

 public final synchronized int indexOf(Object elem,
                                       int index)

Searches for the first occurence of the given argument, beginning the search at index, and testing for equality using the equals method.

Parameters:

elem - an object.

index - the index to start searching from.

Returns:

the index of the first occurrence of the object argument in this vector at position index or later in the vector; returns -1 if the object is not found.

See Also:

equals

 insertElementAt

 public final synchronized void insertElementAt(Object obj,
                                                int index)

Inserts the specified object as a component in this vector at the specified index. Each component in this vector with an index greater or equal to the specified index is shifted upward to have an index one greater than the value it had previously.

The index must be a value greater than or equal to 0 and less than or equal to the current size of the vector.

Parameters:

obj - the component to insert.

index - where to insert the new component.

Throws: ArrayIndexOutOfBoundsException

if the index was invalid.

See Also:

size

 isEmpty

 public final boolean isEmpty()

Tests if this vector has no components.

Returns:

true if this vector has no components; false otherwise.

 lastElement

 public final synchronized Object lastElement()

Returns the last component of the vector.

Returns:

the last component of the vector, i.e., the component at index size() - 1.

Throws: NoSuchElementException

if this vector is empty.

 lastIndexOf

 public final int lastIndexOf(Object elem)

Returns the index of the last occurrence of the specified object in this vector.

Parameters:

elem - the desired component.

Returns:

the index of the last occurrence of the specified object in this vector; returns -1 if the object is not found.

 lastIndexOf

 public final synchronized int lastIndexOf(Object elem,
                                           int index)

Searches backwards for the specified object, starting from the specified index, and returns an index to it.

Parameters:

elem - the desired component.

index - the index to start searching from.

Returns:

the index of the last occurrence of the specified object in this vector at position less than index in the vector; -1 if the object is not found.

 removeAllElements

 public final synchronized void removeAllElements()

Removes all components from this vector and sets its size to zero.

 removeElement

 public final synchronized boolean removeElement(Object obj)

Removes the first occurrence of the argument from this vector. If the object is found in this vector, each component in the vector with an index greater or equal to the object's index is shifted downward to have an index one smaller than the value it had previously.

Parameters:

obj - the component to be removed.

Returns:

true if the argument was a component of this vector; false otherwise.

 removeElementAt

 public final synchronized void removeElementAt(int index)

Deletes the component at the specified index. Each component in this vector with an index greater or equal to the specified index is shifted downward to have an index one smaller than the value it had previously.

The index must be a value greater than or equal to 0 and less than the current size of the vector.

Parameters:

index - the index of the object to remove.

Throws: ArrayIndexOutOfBoundsException

if the index was invalid.

See Also:

size

 setElementAt

 public final synchronized void setElementAt(Object obj,
                                             int index)

Sets the component at the specified index of this vector to be the specified object. The previous component at that position is discarded.

The index must be a value greater than or equal to 0 and less than the current size of the vector.

Parameters:

obj - what the component is to be set to.

index - the specified index.

Throws: ArrayIndexOutOfBoundsException

if the index was invalid.

See Also:

size

 setSize

 public final synchronized void setSize(int newSize)

Sets the size of this vector. If the new size is greater than the current size, new null items are added to the end of the vector. If the new size is less than the current size, all components at index newSize and greater are discarded.

Parameters:

newSize - the new size of this vector.

 size

 public final int size()

Returns the number of components in this vector.

Returns:

the number of components in this vector.

 toString

 public final synchronized String toString()

Returns a string representation of this vector.

Returns:

a string representation of this vector.

Overrides:

toString in class Object

 trimToSize

 public final synchronized void trimToSize()

Trims the capacity of this vector to be the vector's current size. An application can use this operation to minimize the storage of a vector.


 Class java.util.EmptyStackException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.lang.RuntimeException
                           |
                           +----java.util.EmptyStackException

public class EmptyStackException
   extends RuntimeException

Thrown by methods in the Stack class to indicate that the stack is empty.

     See Also:
     Stack

 EmptyStackException()

Constructs a new EmptyStackException with no detail message.

 EmptyStackException

 public EmptyStackException()

Constructs a new EmptyStackException with no detail message.


 Class java.util.MissingResourceException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.lang.RuntimeException
                           |
                           +----java.util.MissingResourceException

public class MissingResourceException
   extends RuntimeException

Signals that a resource is missing.

     See Also:
     Exception, ResourceBundle

 MissingResourceException(String, String, String)

Constructs a MissingResourceException with the specified information.

 getClassName()

Gets parameter passed by constructor.

 getKey()

Gets parameter passed by constructor.

 MissingResourceException

 public MissingResourceException(String s,
                                 String className,
                                 String key)

Constructs a MissingResourceException with the specified information. A detail message is a String that describes this particular exception.

Parameters:

s - the detail message

classname - the name of the resource class

key - the key for the missing resource.

 getClassName

 public String getClassName()

Gets parameter passed by constructor.

 getKey

 public String getKey()

Gets parameter passed by constructor.


 Class java.util.NoSuchElementException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.lang.RuntimeException
                           |
                           +----java.util.NoSuchElementException

public class NoSuchElementException
   extends RuntimeException

Thrown by the nextElement method of an Enumeration to indicate that there are no more elements in the enumeration.

     See Also:
     Enumeration, nextElement

 NoSuchElementException()

Constructs a NoSuchElementException with no detail message.

 NoSuchElementException(String)

Constructs a NoSuchElementException with the specified detail message.

 NoSuchElementException

 public NoSuchElementException()

Constructs a NoSuchElementException with no detail message.

 NoSuchElementException

 public NoSuchElementException(String s)

Constructs a NoSuchElementException with the specified detail message.

Parameters:

s - the detail message.


 Class java.util.TooManyListenersException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.util.TooManyListenersException

public class TooManyListenersException
   extends Exception

The TooManyListenersException Exception is used as part of the Java Event model to annotate and implement a unicast special case of a multicast Event Source.

The presence of a throws TooManyListenersException clause on any given concrete implementation of the normally multicast semantic void add < EventListenerType > () event listener registration pattern is used to annotate that interface as implementing a unicast Listener special case, that is, that one and only one Listener may be registered on the particular event listener source concurrently.

     See Also:
     EventObject, EventListener

 TooManyListenersException()

Constructs a TooManyListenersException with no detail message.

 TooManyListenersException(String)

Constructs a TooManyListenersException with the specified detail message.

 TooManyListenersException

 public TooManyListenersException()

Constructs a TooManyListenersException with no detail message. A detail message is a String that describes this particular exception.

 TooManyListenersException

 public TooManyListenersException(String s)

Constructs a TooManyListenersException with the specified detail message. A detail message is a String that describes this particular exception.

Parameters:

s - the detail message


 package java.util.zip

   Checksum

   Adler32
   CRC32
   CheckedInputStream
   CheckedOutputStream
   Deflater
   DeflaterOutputStream
   GZIPInputStream
   GZIPOutputStream
   Inflater
   InflaterInputStream
   ZipEntry
   ZipFile
   ZipInputStream
   ZipOutputStream

   DataFormatException
   ZipException


 Interface java.util.zip.Checksum

public interface Checksum

An interface representing a data checksum.

 getValue()

Returns the current checksum value.

 reset()

Resets the checksum to its initial value.

 update(byte[], int, int)

Updates the current checksum with the specified array of bytes.

 update(int)

Updates the current checksum with the specified byte.

 getValue

 public abstract long getValue()

Returns the current checksum value.

 reset

 public abstract void reset()

Resets the checksum to its initial value.

 update

 public abstract void update(byte b[],
                             int off,
                             int len)

Updates the current checksum with the specified array of bytes.

 update

 public abstract void update(int b)

Updates the current checksum with the specified byte.


 Class java.util.zip.Adler32

java.lang.Object
   |
   +----java.util.zip.Adler32

public class Adler32
   extends Object
   implements Checksum

A class that can be used to compute the Adler-32 checksum of a data stream. An Adler-32 checksum is almost as reliable as a CRC-32 but can be computed much faster.

     See Also:
     Checksum

 Adler32()

 getValue()

Returns checksum value.

 reset()

Resets checksum to initial value.

 update(byte[])

Updates checksum with specified array of bytes.

 update(byte[], int, int)

Updates checksum with specified array of bytes.

 update(int)

Updates checksum with specified byte.

 Adler32

 public Adler32()

 getValue

 public long getValue()

Returns checksum value.

 reset

 public void reset()

Resets checksum to initial value.

 update

 public void update(byte b[])

Updates checksum with specified array of bytes.

 update

 public native void update(byte b[],
                           int off,
                           int len)

Updates checksum with specified array of bytes.

 update

 public void update(int b)

Updates checksum with specified byte.


 Class java.util.zip.CRC32

java.lang.Object
   |
   +----java.util.zip.CRC32

public class CRC32
   extends Object
   implements Checksum

A class that can be used to compute the CRC-32 of a data stream.

     See Also:
     Checksum

 CRC32()

 getValue()

Returns CRC-32 value.

 reset()

Resets CRC-32 to initial value.

 update(byte[])

Updates CRC-32 with specified array of bytes.

 update(byte[], int, int)

Updates CRC-32 with specified array of bytes.

 update(int)

Updates CRC-32 with specified byte.

 CRC32

 public CRC32()

 getValue

 public long getValue()

Returns CRC-32 value.

 reset

 public void reset()

Resets CRC-32 to initial value.

 update

 public void update(byte b[])

Updates CRC-32 with specified array of bytes.

 update

 public native void update(byte b[],
                           int off,
                           int len)

Updates CRC-32 with specified array of bytes.

 update

 public void update(int b)

Updates CRC-32 with specified byte.


 Class java.util.zip.CheckedInputStream

java.lang.Object
   |
   +----java.io.InputStream
           |
           +----java.io.FilterInputStream
                   |
                   +----java.util.zip.CheckedInputStream

public class CheckedInputStream
   extends FilterInputStream

An input stream that also maintains a checksum of the data being read. The checksum can then be used to verify the integrity of the input data.

     See Also:
     Checksum

 CheckedInputStream(InputStream, Checksum)

Creates an input stream using the specified Checksum.

 getChecksum()

Returns the Checksum for this input stream.

 read()

Reads a byte.

 read(byte[], int, int)

Reads into an array of bytes.

 skip(long)

Skips specified number of bytes of input.

 CheckedInputStream

 public CheckedInputStream(InputStream in,
                           Checksum cksum)

Creates an input stream using the specified Checksum.

Parameters:

in - the input stream

cksum - the Checksum

 getChecksum

 public Checksum getChecksum()

Returns the Checksum for this input stream.

 read

 public int read() throws IOException

Reads a byte. Will block if no input is available.

Returns:

the byte read, or -1 if the end of the stream is reached.

Throws: IOException

if an I/O error has occurred

Overrides:

read in class FilterInputStream

 read

 public int read(byte buf[],
                 int off,
                 int len) throws IOException

Reads into an array of bytes. Will block until some input is available.

Parameters:

buf - the buffer into which the data is read

off - the start offset of the data

len - the maximum number of bytes read

Returns:

the actual number of bytes read, or -1 if the end of the stream is reached.

Throws: IOException

if an I/O error has occurred

Overrides:

read in class FilterInputStream

 skip

 public long skip(long n) throws IOException

Skips specified number of bytes of input.

Parameters:

n - the number of bytes to skip

Returns:

the actual number of bytes skipped

Throws: IOException

if an I/O error has occurred

Overrides:

skip in class FilterInputStream


 Class java.util.zip.CheckedOutputStream

java.lang.Object
   |
   +----java.io.OutputStream
           |
           +----java.io.FilterOutputStream
                   |
                   +----java.util.zip.CheckedOutputStream

public class CheckedOutputStream
   extends FilterOutputStream

An output stream that also maintains a checksum of the data being written. The checksum can then be used to verify the integrity of the output data.

     See Also:
     Checksum

 CheckedOutputStream(OutputStream, Checksum)

Creates an output stream with the specified Checksum.

 getChecksum()

Returns the Checksum for this output stream.

 write(byte[], int, int)

Writes an array of bytes.

 write(int)

Writes a byte.

 CheckedOutputStream

 public CheckedOutputStream(OutputStream out,
                            Checksum cksum)

Creates an output stream with the specified Checksum.

Parameters:

out - the output stream

cksum - the checksum

 getChecksum

 public Checksum getChecksum()

Returns the Checksum for this output stream.

 write

 public void write(byte b[],
                   int off,
                   int len) throws IOException

Writes an array of bytes. Will block until the bytes are actually written.

Parameters:

buf - the data to be written

off - the start offset of the data

len - the number of bytes to be written

Throws: IOException

if an I/O error has occurred

Overrides:

write in class FilterOutputStream

 write

 public void write(int b) throws IOException

Writes a byte. Will block until the byte is actually written.

Parameters:

b - the byte to be written

Throws: IOException

if an I/O error has occurred

Overrides:

write in class FilterOutputStream


 Class java.util.zip.Deflater

java.lang.Object
   |
   +----java.util.zip.Deflater

public class Deflater
   extends Object

This class provides support for general purpose decompression using the popular ZLIB compression library. The ZLIB compression library was initially developed as part of the PNG graphics standard and is not protected by patents. It is fully described in RFCs 1950, 1951, and 1952, which can be found at ftp://ds.internic.net/rfc in the files rfc1950.txt (zlib format), rfc1951.txt (deflate format) and rfc1952.txt (gzip format).

     See Also:
     Inflater

 BEST_COMPRESSION

Compression level for best compression.

 BEST_SPEED

Compression level for fastest compression.

 DEFAULT_COMPRESSION

Default compression level.

 DEFAULT_STRATEGY

Default compression strategy.

 DEFLATED

Compression method for the deflate algorithm (the only one currently supported).

 FILTERED

Compression strategy best used for data consisting mostly of small values with a somewhat random distribution.

 HUFFMAN_ONLY

Compression strategy for Huffman coding only.

 NO_COMPRESSION

Compression level for no compression.

 Deflater()

Creates a new compressor with the default compression level.

 Deflater(int)

Creates a new compressor using the specified compression level.

 Deflater(int, boolean)

Creates a new compressor using the specified compression level.

 deflate(byte[])

Fills specified buffer with compressed data.

 deflate(byte[], int, int)

Fills specified buffer with compressed data.

 end()

Discards unprocessed input and frees internal data.

 finalize()

Frees the compressor when garbage is collected.

 finish()

When called, indicates that compression should end with the current contents of the input buffer.

 finished()

Returns true if the end of the compressed data output stream has been reached.

 getAdler()

Returns the ADLER-32 value of the uncompressed data.

 getTotalIn()

Returns the total number of bytes input so far.

 getTotalOut()

Returns the total number of bytes output so far.

 needsInput()

Returns true if the input data buffer is empty and setInput() should be called in order to provide more input.

 reset()

Resets deflater so that a new set of input data can be processed.

 setDictionary(byte[])

Sets preset dictionary for compression.

 setDictionary(byte[], int, int)

Sets preset dictionary for compression.

 setInput(byte[])

Sets input data for compression.

 setInput(byte[], int, int)

Sets input data for compression.

 setLevel(int)

Sets the current compression level to the specified value.

 setStrategy(int)

Sets the compression strategy to the specified value.

 BEST_COMPRESSION

 public static final int BEST_COMPRESSION

Compression level for best compression.

 BEST_SPEED

 public static final int BEST_SPEED

Compression level for fastest compression.

 DEFAULT_COMPRESSION

 public static final int DEFAULT_COMPRESSION

Default compression level.

 DEFAULT_STRATEGY

 public static final int DEFAULT_STRATEGY

Default compression strategy.

 DEFLATED

 public static final int DEFLATED

Compression method for the deflate algorithm (the only one currently supported).

 FILTERED

 public static final int FILTERED

Compression strategy best used for data consisting mostly of small values with a somewhat random distribution. Forces more Huffman coding and less string matching.

 HUFFMAN_ONLY

 public static final int HUFFMAN_ONLY

Compression strategy for Huffman coding only.

 NO_COMPRESSION

 public static final int NO_COMPRESSION

Compression level for no compression.

 Deflater

 public Deflater()

Creates a new compressor with the default compression level. Compressed data will be generated in ZLIB format.

 Deflater

 public Deflater(int level)

Creates a new compressor using the specified compression level. Compressed data will be generated in ZLIB format.

Parameters:

level - the compression level (0-9)

 Deflater

 public Deflater(int level,
                 boolean nowrap)

Creates a new compressor using the specified compression level. If 'nowrap' is true then the ZLIB header and checksum fields will not be used in order to support the compression format used in both GZIP and PKZIP.

Parameters:

level - the compression level (0-9)

nowrap - if true then use GZIP compatible compression

 deflate

 public int deflate(byte b[])

Fills specified buffer with compressed data. Returns actual number of bytes of compressed data. A return value of 0 indicates that needsInput() should be called in order to determine if more input data is required.

Parameters:

b - the buffer for the compressed data

Returns:

the actual number of bytes of compressed data

 deflate

 public native synchronized int deflate(byte b[],
                                        int off,
                                        int len)

Fills specified buffer with compressed data. Returns actual number of bytes of compressed data. A return value of 0 indicates that needsInput() should be called in order to determine if more input data is required.

Parameters:

b - the buffer for the compressed data

off - the start offset of the data

len - the maximum number of bytes of compressed data

Returns:

the actual number of bytes of compressed data

 end

 public native synchronized void end()

Discards unprocessed input and frees internal data.

 finalize

 protected void finalize()

Frees the compressor when garbage is collected.

Overrides:

finalize in class Object

 finish

 public synchronized void finish()

When called, indicates that compression should end with the current contents of the input buffer.

 finished

 public synchronized boolean finished()

Returns true if the end of the compressed data output stream has been reached.

 getAdler

 public native synchronized int getAdler()

Returns the ADLER-32 value of the uncompressed data.

 getTotalIn

 public native synchronized int getTotalIn()

Returns the total number of bytes input so far.

 getTotalOut

 public native synchronized int getTotalOut()

Returns the total number of bytes output so far.

 needsInput

 public boolean needsInput()

Returns true if the input data buffer is empty and setInput() should be called in order to provide more input.

 reset

 public native synchronized void reset()

Resets deflater so that a new set of input data can be processed. Keeps current compression level and strategy settings.

 setDictionary

 public void setDictionary(byte b[])

Sets preset dictionary for compression. A preset dictionary is used when the history buffer can be predetermined. When the data is later uncompressed with Inflater.inflate(), Inflater.getAdler() can be called in order to get the Adler-32 value of the dictionary required for decompression.

Parameters:

b - the dictionary data bytes

See Also:

inflate, getAdler

 setDictionary

 public native synchronized void setDictionary(byte b[],
                                               int off,
                                               int len)

Sets preset dictionary for compression. A preset dictionary is used when the history buffer can be predetermined. When the data is later uncompressed with Inflater.inflate(), Inflater.getAdler() can be called in order to get the Adler-32 value of the dictionary required for decompression.

Parameters:

b - the dictionary data bytes

off - the start offset of the data

len - the length of the data

See Also:

inflate, getAdler

 setInput

 public void setInput(byte b[])

Sets input data for compression. This should be called whenever needsInput() returns true indicating that more input data is required.

Parameters:

b - the input data bytes

See Also:

needsInput

 setInput

 public synchronized void setInput(byte b[],
                                   int off,
                                   int len)

Sets input data for compression. This should be called whenever needsInput() returns true indicating that more input data is required.

Parameters:

b - the input data bytes

off - the start offset of the data

len - the length of the data

See Also:

needsInput

 setLevel

 public synchronized void setLevel(int Level)

Sets the current compression level to the specified value.

Parameters:

level - the new compression level (0-9)

Throws: IllegalArgumentException

if the compression level is invalid

 setStrategy

 public synchronized void setStrategy(int strategy)

Sets the compression strategy to the specified value.

Parameters:

strategy - the new compression strategy

Throws: IllegalArgumentException

if the compression strategy is invalid


 Class java.util.zip.DeflaterOutputStream

java.lang.Object
   |
   +----java.io.OutputStream
           |
           +----java.io.FilterOutputStream
                   |
                   +----java.util.zip.DeflaterOutputStream

public class DeflaterOutputStream
   extends FilterOutputStream

This class implements an output stream filter for compressing data in the "deflate" compression format. It is also used as the basis for other types of compression filters, such as GZIPOutputStream.

     See Also:
     Deflater

 buf

Output buffer for writing compressed data.

 def

Compressor for this stream.

 DeflaterOutputStream(OutputStream)

Creates a new output stream with a defaul compressor and buffer size.

 DeflaterOutputStream(OutputStream, Deflater)

Creates a new output stream with the specified compressor and a default buffer size.

 DeflaterOutputStream(OutputStream, Deflater, int)

Creates a new output stream with the specified compressor and buffer size.

 close()

Writes remaining compressed data to the output stream and closes the underlying stream.

 deflate()

Writes next block of compressed data to the output stream.

 finish()

Finishes writing compressed data to the output stream without closing the underlying stream.

 write(byte[], int, int)

Writes an array of bytes to the compressed output stream.

 write(int)

Writes a byte to the compressed output stream.

 buf

 protected byte buf[]

Output buffer for writing compressed data.

 def

 protected Deflater def

Compressor for this stream.

 DeflaterOutputStream

 public DeflaterOutputStream(OutputStream out)

Creates a new output stream with a defaul compressor and buffer size.

 DeflaterOutputStream

 public DeflaterOutputStream(OutputStream out,
                             Deflater def)

Creates a new output stream with the specified compressor and a default buffer size.

Parameters:

out - the output stream

def - the compressor ("deflater")

 DeflaterOutputStream

 public DeflaterOutputStream(OutputStream out,
                             Deflater def,
                             int size)

Creates a new output stream with the specified compressor and buffer size.

Parameters:

out - the output stream

def - the compressor ("deflater")

len - the output buffer size

 close

 public void close() throws IOException

Writes remaining compressed data to the output stream and closes the underlying stream.

Throws: IOException

if an I/O error has occurred

Overrides:

close in class FilterOutputStream

 deflate

 protected void deflate() throws IOException

Writes next block of compressed data to the output stream.

 finish

 public void finish() throws IOException

Finishes writing compressed data to the output stream without closing the underlying stream. Use this method when applying multiple filters in succession to the same output stream.

Throws: IOException

if an I/O error has occurred

 write

 public void write(byte b[],
                   int off,
                   int len) throws IOException

Writes an array of bytes to the compressed output stream. This method will block until all the bytes are written.

Parameters:

buf - the data to be written

off - the start offset of the data

len - the length of the data

Throws: IOException

if an I/O error has occurred

Overrides:

write in class FilterOutputStream

 write

 public void write(int b) throws IOException

Writes a byte to the compressed output stream. This method will block until the byte can be written.

Parameters:

b - the byte to be written

Throws: IOException

if an I/O error has occurred

Overrides:

write in class FilterOutputStream


 Class java.util.zip.GZIPInputStream

java.lang.Object
   |
   +----java.io.InputStream
           |
           +----java.io.FilterInputStream
                   |
                   +----java.util.zip.InflaterInputStream
                           |
                           +----java.util.zip.GZIPInputStream

public class GZIPInputStream
   extends InflaterInputStream

This class implements a stream filter for reading compressed data in the GZIP format.

     See Also:
     InflaterInputStream

 crc

CRC-32 for uncompressed data.

 eos

Indicates end of input stream.

 GZIP_MAGIC

GZIP header magic number.

 GZIPInputStream(InputStream)

Creates a new input stream with a default buffer size.

 GZIPInputStream(InputStream, int)

Creates a new input stream with the specified buffer size.

 close()

Closes the input stream.

 read(byte[], int, int)

Reads uncompressed data into an array of bytes.

 crc

 protected CRC32 crc

CRC-32 for uncompressed data.

 eos

 protected boolean eos

Indicates end of input stream.

 GZIP_MAGIC

 public static final int GZIP_MAGIC

GZIP header magic number.

 GZIPInputStream

 public GZIPInputStream(InputStream in) throws IOException

Creates a new input stream with a default buffer size.

Parameters:

in - the input stream

Throws: IOException

if an I/O error has occurred

 GZIPInputStream

 public GZIPInputStream(InputStream in,
                        int size) throws IOException

Creates a new input stream with the specified buffer size.

Parameters:

in - the input stream

size - the input buffer size

Throws: IOException

if an I/O error has occurred

 close

 public void close() throws IOException

Closes the input stream.

Throws: IOException

if an I/O error has occurred

Overrides:

close in class FilterInputStream

 read

 public int read(byte buf[],
                 int off,
                 int len) throws IOException

Reads uncompressed data into an array of bytes. Blocks until enough input is available for decompression.

Parameters:

buf - the buffer into which the data is read

off - the start offset of the data

len - the maximum number of bytes read

Returns:

the actual number of bytes read, or -1 if the end of the compressed input stream is reached

Throws: IOException

if an I/O error has occurred or the compressed input data is corrupt

Overrides:

read in class InflaterInputStream


 Class java.util.zip.GZIPOutputStream

java.lang.Object
   |
   +----java.io.OutputStream
           |
           +----java.io.FilterOutputStream
                   |
                   +----java.util.zip.DeflaterOutputStream
                           |
                           +----java.util.zip.GZIPOutputStream

public class GZIPOutputStream
   extends DeflaterOutputStream

This class implements a stream filter for writing compressed data in the GZIP file format.

 crc

CRC-32 of uncompressed data.

 GZIPOutputStream(OutputStream)

Creates a new output stream with a default buffer size.

 GZIPOutputStream(OutputStream, int)

Creates a new output stream with the specified buffer size.

 close()

Writes remaining compressed data to the output stream and closes the underlying stream.

 finish()

Finishes writing compressed data to the output stream without closing the underlying stream.

 write(byte[], int, int)

Writes array of bytes to the compressed output stream.

 crc

 protected CRC32 crc

CRC-32 of uncompressed data.

 GZIPOutputStream

 public GZIPOutputStream(OutputStream out) throws IOException

Creates a new output stream with a default buffer size.

Parameters:

out - the output stream

Throws: IOException

If an I/O error has occurred.

 GZIPOutputStream

 public GZIPOutputStream(OutputStream out,
                         int size) throws IOException

Creates a new output stream with the specified buffer size.

Parameters:

out - the output stream

size - the output buffer size

Throws: IOException

If an I/O error has occurred.

 close

 public void close() throws IOException

Writes remaining compressed data to the output stream and closes the underlying stream.

Throws: IOException

if an I/O error has occurred

Overrides:

close in class DeflaterOutputStream

 finish

 public void finish() throws IOException

Finishes writing compressed data to the output stream without closing the underlying stream. Use this method when applying multiple filters in succession to the same output stream.

Throws: IOException

if an I/O error has occurred

Overrides:

finish in class DeflaterOutputStream

 write

 public synchronized void write(byte buf[],
                                int off,
                                int len) throws IOException

Writes array of bytes to the compressed output stream. This method will block until all the bytes are written.

Parameters:

buf - the data to be written

off - the start offset of the data

len - the length of the data

Throws: IOException

If an I/O error has occurred.

Overrides:

write in class DeflaterOutputStream


 Class java.util.zip.Inflater

java.lang.Object
   |
   +----java.util.zip.Inflater

public class Inflater
   extends Object

This class provides support for general purpose decompression using the popular ZLIB compression library. The ZLIB compression library was initially developed as part of the PNG graphics standard and is not protected by patents. It is fully described in RFCs 1950, 1951, and 1952, which can be found at ftp://ds.internic.net/rfc in the files rfc1950.txt (zlib format), rfc1951.txt (deflate format) and rfc1952.txt (gzip format).

     See Also:
     Deflater

 Inflater()

Creates a new decompressor.

 Inflater(boolean)

Creates a new decompressor.

 end()

Discards unprocessed input and frees internal data.

 finalize()

Frees the decompressor when garbage is collected.

 finished()

Return true if the end of the compressed data stream has been reached.

 getAdler()

Returns the ADLER-32 value of the uncompressed data.

 getRemaining()

Returns the total number of bytes remaining in the input buffer.

 getTotalIn()

Returns the total number of bytes input so far.

 getTotalOut()

Returns the total number of bytes output so far.

 inflate(byte[])

Uncompresses bytes into specified buffer.

 inflate(byte[], int, int)

Uncompresses bytes into specified buffer.

 needsDictionary()

Returns true if a preset dictionary is needed for decompression.

 needsInput()

Returns true if no data remains in the input buffer.

 reset()

Resets inflater so that a new set of input data can be processed.

 setDictionary(byte[])

Sets the preset dictionary to the given array of bytes.

 setDictionary(byte[], int, int)

Sets the preset dictionary to the given array of bytes.

 setInput(byte[])

Sets input data for decompression.

 setInput(byte[], int, int)

Sets input data for decompression.

 Inflater

 public Inflater()

Creates a new decompressor.

 Inflater

 public Inflater(boolean nowrap)

Creates a new decompressor. If the parameter 'nowrap' is true then the ZLIB header and checksum fields will not be used in order to support the compression format used by both GZIP and PKZIP.

Parameters:

nowrap - if true then support GZIP compatible compression

 end

 public native synchronized void end()

Discards unprocessed input and frees internal data.

 finalize

 protected void finalize()

Frees the decompressor when garbage is collected.

Overrides:

finalize in class Object

 finished

 public synchronized boolean finished()

Return true if the end of the compressed data stream has been reached.

 getAdler

 public native synchronized int getAdler()

Returns the ADLER-32 value of the uncompressed data.

 getRemaining

 public synchronized int getRemaining()

Returns the total number of bytes remaining in the input buffer. This can be used to find out what bytes still remain in the input buffer after decompression has finished.

 getTotalIn

 public native synchronized int getTotalIn()

Returns the total number of bytes input so far.

 getTotalOut

 public native synchronized int getTotalOut()

Returns the total number of bytes output so far.

 inflate

 public int inflate(byte b[]) throws DataFormatException

Uncompresses bytes into specified buffer. Returns actual number of bytes uncompressed. A return value of 0 indicates that needsInput() or needsDictionary() should be called in order to determine if more input data or a preset dictionary is required. In the later case, getAdler() can be used to get the Adler-32 value of the dictionary required.

Parameters:

b - the buffer for the uncompressed data

Returns:

the actual number of uncompressed bytes

Throws: DataFormatException

if the compressed data format is invalid

See Also:

needsInput, needsDictionary

 inflate

 public native synchronized int inflate(byte b[],
                                        int off,
                                        int len) throws DataFormatException

Uncompresses bytes into specified buffer. Returns actual number of bytes uncompressed. A return value of 0 indicates that needsInput() or needsDictionary() should be called in order to determine if more input data or a preset dictionary is required. In the later case, getAdler() can be used to get the Adler-32 value of the dictionary required.

Parameters:

b - the buffer for the uncompressed data

off - the start offset of the data

len - the maximum number of uncompressed bytes

Returns:

the actual number of uncompressed bytes

Throws: DataFormatException

if the compressed data format is invalid

See Also:

needsInput, needsDictionary

 needsDictionary

 public synchronized boolean needsDictionary()

Returns true if a preset dictionary is needed for decompression.

See Also:

InflatesetDictionary

 needsInput

 public synchronized boolean needsInput()

Returns true if no data remains in the input buffer. This can be used to determine if #setInput should be called in order to provide more input.

 reset

 public native synchronized void reset()

Resets inflater so that a new set of input data can be processed.

 setDictionary

 public void setDictionary(byte b[])

Sets the preset dictionary to the given array of bytes. Should be called when inflate() returns 0 and needsDictionary() returns true indicating that a preset dictionary is required. The method getAdler() can be used to get the Adler-32 value of the dictionary needed.

Parameters:

b - the dictionary data bytes

See Also:

needsDictionary, getAdler

 setDictionary

 public native synchronized void setDictionary(byte b[],
                                               int off,
                                               int len)

Sets the preset dictionary to the given array of bytes. Should be called when inflate() returns 0 and needsDictionary() returns true indicating that a preset dictionary is required. The method getAdler() can be used to get the Adler-32 value of the dictionary needed.

Parameters:

b - the dictionary data bytes

off - the start offset of the data

len - the length of the data

See Also:

needsDictionary, getAdler

 setInput

 public void setInput(byte b[])

Sets input data for decompression. Should be called whenever needsInput() returns true indicating that more input data is required.

Parameters:

b - the input data bytes

See Also:

needsInput

 setInput

 public synchronized void setInput(byte b[],
                                   int off,
                                   int len)

Sets input data for decompression. Should be called whenever needsInput() returns true indicating that more input data is required.

Parameters:

b - the input data bytes

off - the start offset of the input data

len - the length of the input data

See Also:

needsInput


 Class java.util.zip.InflaterInputStream

java.lang.Object
   |
   +----java.io.InputStream
           |
           +----java.io.FilterInputStream
                   |
                   +----java.util.zip.InflaterInputStream

public class InflaterInputStream
   extends FilterInputStream

This class implements a stream filter for uncompressing data in the "deflate" compression format. It is also used as the basis for other decompression filters, such as GZIPInputStream.

     See Also:
     Inflater

 buf

Input buffer for decompression.

 inf

Decompressor for this stream.

 len

Length of input buffer.

 InflaterInputStream(InputStream)

Creates a new input stream with a default decompressor and buffer size.

 InflaterInputStream(InputStream, Inflater)

Creates a new input stream with the specified decompressor and a default buffer size.

 InflaterInputStream(InputStream, Inflater, int)

Creates a new input stream with the specified decompressor and buffer size.

 fill()

Fills input buffer with more data to decompress.

 read()

Reads a byte of uncompressed data.

 read(byte[], int, int)

Reads uncompressed data into an array of bytes.

 skip(long)

Skips specified number of bytes of uncompressed data.

 buf

 protected byte buf[]

Input buffer for decompression.

 inf

 protected Inflater inf

Decompressor for this stream.

 len

 protected int len

Length of input buffer.

 InflaterInputStream

 public InflaterInputStream(InputStream in)

Creates a new input stream with a default decompressor and buffer size.

 InflaterInputStream

 public InflaterInputStream(InputStream in,
                            Inflater inf)

Creates a new input stream with the specified decompressor and a default buffer size.

Parameters:

in - the input stream

inf - the decompressor ("inflater")

 InflaterInputStream

 public InflaterInputStream(InputStream in,
                            Inflater inf,
                            int size)

Creates a new input stream with the specified decompressor and buffer size.

Parameters:

in - the input stream

inf - the decompressor ("inflater")

len - the input buffer size

 fill

 protected void fill() throws IOException

Fills input buffer with more data to decompress.

Throws: IOException

if an I/O error has occurred

 read

 public int read() throws IOException

Reads a byte of uncompressed data. This method will block until enough input is available for decompression.

Returns:

the byte read, or -1 if end of compressed input is reached

Throws: IOException

if an I/O error has occurred

Overrides:

read in class FilterInputStream

 read

 public int read(byte b[],
                 int off,
                 int len) throws IOException

Reads uncompressed data into an array of bytes. This method will block until some input can be decompressed.

Parameters:

b - the buffer into which the data is read

off - the start offset of the data

len - the maximum number of bytes read

Returns:

the actual number of bytes read, or -1 if the end of the compressed input is reached or a preset dictionary is needed

Throws: ZipException

if a ZIP format error has occurred

Throws: IOException

if an I/O error has occurred

Overrides:

read in class FilterInputStream

 skip

 public long skip(long n) throws IOException

Skips specified number of bytes of uncompressed data.

Parameters:

n - the number of bytes to skip

Returns:

the actual number of bytes skipped.

Throws: IOException

if an I/O error has occurred

Overrides:

skip in class FilterInputStream


 Class java.util.zip.ZipEntry

java.lang.Object
   |
   +----java.util.zip.ZipEntry

public class ZipEntry
   extends Object
   implements ZipConstants

This class is used to represent a ZIP file entry.

 DEFLATED

Compression method for compressed (deflated) entries.

 STORED

Compression method for uncompressed entries.

 ZipEntry(String)

Creates a new ZIP file entry with the specified name.

 getComment()

Returns the comment string for the entry, or null if none.

 getCompressedSize()

Returns the compressed size of the entry data, or -1 if not known.

 getCrc()

Returns the CRC-32 checksum of the uncompressed entry data, or -1 if not known.

 getExtra()

Returns the extra field data for the entry, or null if none.

 getMethod()

Returns the compression method of the entry, or -1 if not specified.

 getName()

Returns the name of the entry.

 getSize()

Returns the uncompressed size of the entry data, or -1 if not known.

 getTime()

Returns the modification time of the entry, or -1 if not specified.

 isDirectory()

Returns true if this is a directory entry.

 setComment(String)

Sets the optional comment string for the entry.

 setCrc(long)

Sets the CRC-32 checksum of the uncompressed entry data.

 setExtra(byte[])

Sets the optional extra field data for the entry.

 setMethod(int)

Sets the compression method for the entry.

 setSize(long)

Sets the uncompressed size of the entry data.

 setTime(long)

Sets the modification time of the entry.

 toString()

Returns a string representation of the ZIP entry.

 DEFLATED

 public static final int DEFLATED

Compression method for compressed (deflated) entries.

 STORED

 public static final int STORED

Compression method for uncompressed entries.

 ZipEntry

 public ZipEntry(String name)

Creates a new ZIP file entry with the specified name.

Parameters:

name - the entry name

Throws: NullPointerException

if the entry name is null

Throws: IllegalArgumentException

if the entry name is longer than 0xFFFF bytes

 getComment

 public String getComment()

Returns the comment string for the entry, or null if none.

 getCompressedSize

 public long getCompressedSize()

Returns the compressed size of the entry data, or -1 if not known. In the case of a stored entry, the compressed size will be the same as the uncompressed size of the entry.

 getCrc

 public long getCrc()

Returns the CRC-32 checksum of the uncompressed entry data, or -1 if not known.

 getExtra

 public byte[] getExtra()

Returns the extra field data for the entry, or null if none.

 getMethod

 public int getMethod()

Returns the compression method of the entry, or -1 if not specified.

 getName

 public String getName()

Returns the name of the entry.

 getSize

 public long getSize()

Returns the uncompressed size of the entry data, or -1 if not known.

 getTime

 public long getTime()

Returns the modification time of the entry, or -1 if not specified.

 isDirectory

 public boolean isDirectory()

Returns true if this is a directory entry. A directory entry is defined to be one whose name ends with a '/'.

 setComment

 public void setComment(String comment)

Sets the optional comment string for the entry.

Parameters:

comment - the comment string

Throws: IllegalArgumentException

if the length of the specified comment string is greater than 0xFFFF bytes

 setCrc

 public void setCrc(long crc)

Sets the CRC-32 checksum of the uncompressed entry data.

Parameters:

crc - the CRC-32 value

Throws: IllegalArgumentException

if the specified CRC-32 value is less than 0 or greater than 0xFFFFFFFF

 setExtra

 public void setExtra(byte extra[])

Sets the optional extra field data for the entry.

Parameters:

extra - the extra field data bytes

Throws: IllegalArgumentException

if the length of the specified extra field data is greater than 0xFFFFF bytes

 setMethod

 public void setMethod(int method)

Sets the compression method for the entry.

Parameters:

method - the compression method, either STORED or DEFLATED

Throws: IllegalArgumentException

if the specified compression method is invalid

 setSize

 public void setSize(long size)

Sets the uncompressed size of the entry data.

Parameters:

size - the uncompressed size in bytes

Throws: IllegalArgumentException

if the specified size is less than 0 or greater than 0xFFFFFFFF bytes

 setTime

 public void setTime(long time)

Sets the modification time of the entry.

Parameters:

time - the entry modification time in number of milliseconds since the epoch

 toString

 public String toString()

Returns a string representation of the ZIP entry.

Overrides:

toString in class Object


 Class java.util.zip.ZipFile

java.lang.Object
   |
   +----java.util.zip.ZipFile

public class ZipFile
   extends Object
   implements ZipConstants

This class can be used to read the contents of a ZIP file. It uses RandomAccessFile for quick access to ZIP file entries, and supports both compressed and uncompressed entries.

 ZipFile(File)

Opens a ZIP file for reading given the specified File object.

 ZipFile(String)

Opens a ZIP file for reading given the specified file name.

 close()

Closes the ZIP file.

 entries()

Returns an enumeration of the ZIP file entries.

 getEntry(String)

Returns the ZIP file entry for the given path name.

 getInputStream(ZipEntry)

Returns an input stream for reading the contents of the specified ZIP file entry.

 getName()

Returns the path name of the ZIP file.

 ZipFile

 public ZipFile(File file) throws ZipException, IOException

Opens a ZIP file for reading given the specified File object.

Parameters:

file - the ZIP file to be opened for reading

Throws: ZipException

if a ZIP error has occurred

Throws: IOException

if an I/O error has occurred

 ZipFile

 public ZipFile(String name) throws IOException

Opens a ZIP file for reading given the specified file name.

Parameters:

name - the name of the zip file

Throws: ZipException

if a ZIP format error has occurred

Throws: IOException

if an I/O error has occurred

 close

 public void close() throws IOException

Closes the ZIP file.

 entries

 public Enumeration entries()

Returns an enumeration of the ZIP file entries.

 getEntry

 public ZipEntry getEntry(String name)

Returns the ZIP file entry for the given path name. Returns null if there is no entry corresponding to the given name.

Parameters:

name - the name of the entry

Returns:

the ZIP file entry

 getInputStream

 public InputStream getInputStream(ZipEntry ze) throws IOException

Returns an input stream for reading the contents of the specified ZIP file entry.

Parameters:

ze - the zip file entry

Throws: ZipException

if a ZIP format error has occurred

Throws: IOException

if an I/O error has occurred

 getName

 public String getName()

Returns the path name of the ZIP file.


 Class java.util.zip.ZipInputStream

java.lang.Object
   |
   +----java.io.InputStream
           |
           +----java.io.FilterInputStream
                   |
                   +----java.util.zip.InflaterInputStream
                           |
                           +----java.util.zip.ZipInputStream

public class ZipInputStream
   extends InflaterInputStream
   implements ZipConstants

This class implements an input stream filter for reading files in the ZIP file format. Includes support for both compressed and uncompressed entries.

 ZipInputStream(InputStream)

Creates a new ZIP input stream.

 close()

Closes the ZIP input stream.

 closeEntry()

Closes the current ZIP entry and positions the stream for reading the next entry.

 getNextEntry()

Reads the next ZIP file entry and positions stream at the beginning of the entry data.

 read(byte[], int, int)

Reads from the current ZIP entry into an array of bytes.

 skip(long)

Skips specified number of bytes in the current ZIP entry.

 ZipInputStream

 public ZipInputStream(InputStream in)

Creates a new ZIP input stream.

Parameters:

in - the actual input stream

 close

 public void close() throws IOException

Closes the ZIP input stream.

Throws: IOException

if an I/O error has occurred

Overrides:

close in class FilterInputStream

 closeEntry

 public void closeEntry() throws IOException

Closes the current ZIP entry and positions the stream for reading the next entry.

Throws: ZipException

if a ZIP file error has occurred

Throws: IOException

if an I/O error has occurred

 getNextEntry

 public ZipEntry getNextEntry() throws IOException

Reads the next ZIP file entry and positions stream at the beginning of the entry data.

Throws: ZipException

if a ZIP file error has occurred

Throws: IOException

if an I/O error has occurred

 read

 public int read(byte b[],
                 int off,
                 int len) throws IOException

Reads from the current ZIP entry into an array of bytes. Blocks until some input is available.

Parameters:

b - the buffer into which the data is read

off - the start offset of the data

len - the maximum number of bytes read

Returns:

the actual number of bytes read, or -1 if the end of the entry is reached

Throws: ZipException

if a ZIP file error has occurred

Throws: IOException

if an I/O error has occurred

Overrides:

read in class InflaterInputStream

 skip

 public long skip(long n) throws IOException

Skips specified number of bytes in the current ZIP entry.

Parameters:

n - the number of bytes to skip

Returns:

the actual number of bytes skipped

Throws: ZipException

if a ZIP file error has occurred

Throws: IOException

if an I/O error has occurred

Overrides:

skip in class InflaterInputStream


 Class java.util.zip.ZipOutputStream

java.lang.Object
   |
   +----java.io.OutputStream
           |
           +----java.io.FilterOutputStream
                   |
                   +----java.util.zip.DeflaterOutputStream
                           |
                           +----java.util.zip.ZipOutputStream

public class ZipOutputStream
   extends DeflaterOutputStream
   implements ZipConstants

This class implements an output stream filter for writing files in the ZIP file format. Includes support for both compressed and uncompressed entries.

 DEFLATED

Compression method for compressed (DEFLATED) entries.

 STORED

Compression method for uncompressed (STORED) entries.

 ZipOutputStream(OutputStream)

Creates a new ZIP output stream.

 close()

Closes the ZIP output stream as well as the stream being filtered.

 closeEntry()

Closes the current ZIP entry and positions the stream for writing the next entry.

 finish()

Finishes writing the contents of the ZIP output stream without closing the underlying stream.

 putNextEntry(ZipEntry)

Begins writing a new ZIP file entry and positions the stream to the start of the entry data.

 setComment(String)

Sets the ZIP file comment.

 setLevel(int)

Sets the compression level for subsequent entries which are DEFLATED.

 setMethod(int)

Sets the default compression method for subsequent entries.

 write(byte[], int, int)

Writes an array of bytes to the current ZIP entry data.

 DEFLATED

 public static final int DEFLATED

Compression method for compressed (DEFLATED) entries.

 STORED

 public static final int STORED

Compression method for uncompressed (STORED) entries.

 ZipOutputStream

 public ZipOutputStream(OutputStream out)

Creates a new ZIP output stream.

Parameters:

out - the actual output stream

 close

 public void close() throws IOException

Closes the ZIP output stream as well as the stream being filtered.

Throws: ZipException

if a ZIP file error has occurred

Throws: IOException

if an I/O error has occurred

Overrides:

close in class DeflaterOutputStream

 closeEntry

 public void closeEntry() throws IOException

Closes the current ZIP entry and positions the stream for writing the next entry.

Throws: ZipException

if a ZIP format error has occurred

Throws: IOException

if an I/O error has occurred

 finish

 public void finish() throws IOException

Finishes writing the contents of the ZIP output stream without closing the underlying stream. Use this method when applying multiple filters in succession to the same output stream.

Throws: ZipException

if a ZIP file error has occurred

Throws: IOException

if an I/O exception has occurred

Overrides:

finish in class DeflaterOutputStream

 putNextEntry

 public void putNextEntry(ZipEntry e) throws IOException

Begins writing a new ZIP file entry and positions the stream to the start of the entry data. Closes the current entry if still active. The default compression method will be used if no compression method was specified for the entry, and the current time will be used if the entry has no set modification time.

Parameters:

e - the ZIP entry to be written

Throws: ZipException

if a ZIP format error has occurred

Throws: IOException

if an I/O error has occurred

 setComment

 public void setComment(String comment)

Sets the ZIP file comment.

Parameters:

comment - the comment string

Throws: IllegalArgumentException

if the length of the specified ZIP file comment is greater than 0xFFFF bytes

 setLevel

 public void setLevel(int level)

Sets the compression level for subsequent entries which are DEFLATED. The default setting is DEFAULT_COMPRESSION.

Parameters:

level - the compression level (0-9)

Throws: IllegalArgumentException

if the compression level is invalid

 setMethod

 public void setMethod(int method)

Sets the default compression method for subsequent entries. This default will be used whenever the compression method is not specified for an individual ZIP file entry, and is initially set to DEFLATED.

Parameters:

method - the default compression method

Throws: IllegalArgumentException

if the specified compression method is invalid

 write

 public synchronized void write(byte b[],
                                int off,
                                int len) throws IOException

Writes an array of bytes to the current ZIP entry data. This method will block until all the bytes are written.

Parameters:

b - the data to be written

off - the start offset in the data

len - the number of bytes that are written

Throws: ZipException

if a ZIP file error has occurred

Throws: IOException

if an I/O error has occurred

Overrides:

write in class DeflaterOutputStream


 Class java.util.zip.DataFormatException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.util.zip.DataFormatException

public class DataFormatException
   extends Exception

Signals that a data format error has occurred.

 DataFormatException()

Constructs a DataFormatException with no detail message.

 DataFormatException(String)

Constructs a DataFormatException with the specified detail message.

 DataFormatException

 public DataFormatException()

Constructs a DataFormatException with no detail message.

 DataFormatException

 public DataFormatException(String s)

Constructs a DataFormatException with the specified detail message. A detail message is a String that describes this particular exception.

Parameters:

s - the String containing a detail message


 Class java.util.zip.ZipException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----java.io.IOException
                           |
                           +----java.util.zip.ZipException

public class ZipException
   extends IOException

 ZipException()

 ZipException(String)

 ZipException

 public ZipException()

 ZipException

 public ZipException(String s)


 package sun.tools.ttydebug

   TTY


 Class sun.tools.ttydebug.TTY

java.lang.Object
   |
   +----sun.tools.ttydebug.TTY

public class TTY
   extends Object

 TTY(String, String, String, String, PrintStream, PrintStream, boolean)

 breakpointEvent(RemoteThread)

 exceptionEvent(RemoteThread, String)

 main(String[])

 printToConsole(String)

 quitEvent()

 threadDeathEvent(RemoteThread)

 TTY

 public TTY(String host,
            String password,
            String javaArgs,
            String args,
            PrintStream outStream,
            PrintStream consoleStream,
            boolean verbose) throws Exception

 breakpointEvent

 public void breakpointEvent(RemoteThread t) throws Exception

 exceptionEvent

 public void exceptionEvent(RemoteThread t,
                            String errorText) throws Exception

 main

 public static void main(String argv[])

 printToConsole

 public synchronized void printToConsole(String text) throws Exception

 quitEvent

 public void quitEvent() throws Exception

 threadDeathEvent

 public void threadDeathEvent(RemoteThread t) throws Exception


 package sunw.io


 package sunw.util


 package symantec.itools.awt

   AlignStyle
   BevelStyle
   CompareFuncCB
   Orientation
   TransparencyTrick
   WizardController
   WizardInterface

   BaseTabbedPanel
   BaseTabbedPanelBeanInfo
   BorderPanel
   BorderPanelBeanInfo
   ButtonBase
   ButtonBaseBeanInfo
   ComboBox
   ComboBoxBeanInfo
   CompareCells
   DirectionButton
   DirectionButtonBeanInfo
   FormattedTextField
   FormattedTextFieldBeanInfo
   HorizontalSlider
   HorizontalSliderBeanInfo
   ImageButton
   ImageButtonBeanInfo
   ImageHTMLLink
   ImageHTMLLinkBeanInfo
   ImageListBox
   ImageListBoxBeanInfo
   ImagePanel
   ImagePanelBeanInfo
   InfoTipManager
   InfoTipPanel
   InfoTipPanelBeanInfo
   InvisibleButton
   InvisibleButtonBeanInfo
   InvisibleHTMLLink
   InvisibleHTMLLinkBeanInfo
   KeyPressManagerPanel
   KeyPressManagerPanelBeanInfo
   Label3D
   Label3DBeanInfo
   LabelButton
   LabelButtonBeanInfo
   LabelHTMLLink
   LabelHTMLLinkBeanInfo
   Matrix
   MatrixEnumeration
   MultiList
   MultiListBeanInfo
   RadioButtonGroupPanel
   RadioButtonGroupPanelBeanInfo
   RollOverButton
   RollOverButtonBeanInfo
   ScrollingPanel
   ScrollingPanelBeanInfo
   SimpleWizardController
   Slider
   SliderBeanInfo
   SplitterPanel
   SplitterPanelBeanInfo
   StateCheckBox
   StateCheckBoxBeanInfo
   StatusBar
   StatusBarBeanInfo
   TabPanel
   TabPanelBeanInfo
   TransparencyTrickUtils
   TreeNode
   TreeView
   TreeViewBeanInfo
   VerticalSlider
   VerticalSliderBeanInfo
   Wizard
   WizardBeanInfo
   WrappingLabel
   WrappingLabelBeanInfo


 Interface symantec.itools.awt.AlignStyle

public interface AlignStyle

AlignStyle is an interface for components with labels that can be aligned left, centered, or right.

 ALIGN_CENTERED

Defines the "center" label text alignment style.

 ALIGN_LEFT

Defines the "left" label text alignment style.

 ALIGN_RIGHT

Defines the "right" label text alignment style.

 getAlignStyle()

Gets the current label alignment style.

 setAlignStyle(int)

Sets the new label alignment style.

 ALIGN_CENTERED

 public static final int ALIGN_CENTERED

Defines the "center" label text alignment style.

 ALIGN_LEFT

 public static final int ALIGN_LEFT

Defines the "left" label text alignment style.

 ALIGN_RIGHT

 public static final int ALIGN_RIGHT

Defines the "right" label text alignment style.

 getAlignStyle

 public abstract int getAlignStyle()

Gets the current label alignment style.

Returns:

the current alignment style, one of ALIGN_LEFT, ALIGN_CENTERED, or ALIGN_RIGHT

See Also:

setAlignStyle, ALIGN_LEFT, ALIGN_CENTERED, ALIGN_RIGHT

 setAlignStyle

 public abstract void setAlignStyle(int style) throws PropertyVetoException

Sets the new label alignment style.

Parameters:

style - the new alignment style, one of ALIGN_LEFT, ALIGN_CENTERED, or ALIGN_RIGHT

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getAlignStyle, ALIGN_LEFT, ALIGN_CENTERED, ALIGN_RIGHT


 Interface symantec.itools.awt.BevelStyle

public interface BevelStyle

BevelStyle is an interface for components with borders that can be drawn different ways. The "raised" style makes the component appears raised above the surrounding area, the "lowered" style makes the component appear lowered, the "line" style draws a simple line around the component, and components with the "none" style have nothing drawn around them.

 BEVEL_LINE

Defines the "line" shape border style.

 BEVEL_LOWERED

Defines the "lowered" shape border style.

 BEVEL_NONE

Defines the "none" shape border style.

 BEVEL_RAISED

Defines the "raised" shape border style.

 getBevelStyle()

Gets the current border style.

 setBevelStyle(int)

Sets the new border style.

 BEVEL_LINE

 public static final int BEVEL_LINE

Defines the "line" shape border style. This draws a simple line around the component.

 BEVEL_LOWERED

 public static final int BEVEL_LOWERED

Defines the "lowered" shape border style. This makes the component appear lower than the surrounding area.

 BEVEL_NONE

 public static final int BEVEL_NONE

Defines the "none" shape border style. This indicates the component will have nothing drawn around its border.

 BEVEL_RAISED

 public static final int BEVEL_RAISED

Defines the "raised" shape border style. This makes the component appear raised above the surrounding area.

 getBevelStyle

 public abstract int getBevelStyle()

Gets the current border style.

Returns:

the current border style, one of BEVEL_LOWERED, BEVEL_RAISED, BEVEL_LINE, or BEVEL_NONE

See Also:

setBevelStyle, BEVEL_LOWERED, BEVEL_RAISED, BEVEL_LINE, BEVEL_NONE

 setBevelStyle

 public abstract void setBevelStyle(int style) throws PropertyVetoException

Sets the new border style.

Parameters:

style - the new border style, one of BEVEL_LOWERED, BEVEL_RAISED, BEVEL_LINE, or BEVEL_NONE

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getBevelStyle, BEVEL_LOWERED, BEVEL_RAISED, BEVEL_LINE, BEVEL_NONE


 Interface symantec.itools.awt.CompareFuncCB

public interface CompareFuncCB
   extends CompareFunc

Interface for objects that allow both comparing of values and swapping the compared values betweeen the objects.

 callBackSwap(Object, Object)

Exchanges the compared values in the two given objects.

 callBackSwap

 public abstract void callBackSwap(Object o1,
                                   Object o2)

Exchanges the compared values in the two given objects.

Parameters:

o1 - the first object

o2 - the second object


 Interface symantec.itools.awt.Orientation

public interface Orientation

Orientation is an interface for components that can be oriented either vertically or horizontally.

 ORIENTATION_HORIZONTAL

Constant specifying horizontal orientation.

 ORIENTATION_VERTICAL

Constant specifying vertical orientation.

 getOrientation()

Gets the component's current orientation.

 setOrientation(int)

Sets the component's new orientation.

 ORIENTATION_HORIZONTAL

 public static final int ORIENTATION_HORIZONTAL

Constant specifying horizontal orientation.

 ORIENTATION_VERTICAL

 public static final int ORIENTATION_VERTICAL

Constant specifying vertical orientation.

 getOrientation

 public abstract int getOrientation()

Gets the component's current orientation.

Returns:

the current orientation, either ORIENTATION_VERTICAL or ORIENTATION_HORIZONTAL

See Also:

setOrientation

 setOrientation

 public abstract void setOrientation(int o) throws PropertyVetoException

Sets the component's new orientation.

Parameters:

o - desired orientation, either ORIENTATION_VERTICAL or ORIENTATION_HORIZONTAL

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getOrientation


 Interface symantec.itools.awt.TransparencyTrick

public interface TransparencyTrick
 Note: TransparencyTrick is deprecated.
This is no longer used or supported as of JDK 1.1 since the new JDK allows "Lightweight" components which are "Transparent" in nature by default. TransparencyTrick is an interface that simply identifies components using TransparencyTrickUtils. This allows TransparencyTrickUtils to avoid drawing lock-ups due to one implementor asking another to draw itself and that implementor asking the asker to draw itself, resulting in a lock-up


 Interface symantec.itools.awt.WizardController

public interface WizardController

The WizardController interface provides a way to define a customized control of a Wizard.

The SimpleWizardController implements the basic default behavior for this interface.

     See Also:
     SimpleWizardController

 CANCEL

Constant wizard action value.

 FINISH

Constant wizard action value.

 HELP

Constant wizard action value.

 NEXT

Constant wizard action value.

 PREVIOUS

Constant wizard action value.

 doCancel()

Called when the CANCEL action has been validated.

 doFinish()

Called when the FINISH action has been validated.

 doHelp()

Called when the HELP action has been validated.

 doPrepare()

Called before the first page is shown.

 getNextPage()

Return the next page.

 getPreviousPage()

Return the previous page.

 isCancelEnabled()

Tells if the Cancel button must be enabled.

 isFinishEnabled()

Tells if the Finish button must be enabled.

 isHelpEnabled()

Tells if the Help button must be enabled.

 isNextEnabled()

Tells if the Next button must be enabled.

 isPreviousEnabled()

Tells if the Previous button must be enabled.

 pageHidden(Component)

Called before the page is hidden.

 pageShown(Component)

Called after a page is shown.

 preparePage(Component, int)

Called before a page is shown.

 resetChainInfo()

Reset the chain information set by setPreviousPageIndex, setNextPageIndex, setPreviousPage and setNextPage.

 setCancelEnabled(boolean)

Enables or disables the Cancel button.

 setFinishEnabled(boolean)

Enables or disables the Finish button.

 setHelpEnabled(boolean)

Enables or disables the Help button.

 setNextEnabled(boolean)

Enables or disables the Next button.

 setNextPage(Component)

Set a next page.

 setNextPageIndex(int)

Set an index for the next page.

 setPreviousEnabled(boolean)

Enables or disables the Previous button.

 setPreviousPage(Component)

Set a previous page.

 setPreviousPageIndex(int)

Set an index for the previous page.

 validatePage(Component, Component, int)

Try to validate a page.

 CANCEL

 public static final int CANCEL

Constant wizard action value.

See Also:

preparePage, validatePage

 FINISH

 public static final int FINISH

Constant wizard action value.

See Also:

preparePage, validatePage

 HELP

 public static final int HELP

Constant wizard action value.

See Also:

preparePage, validatePage

 NEXT

 public static final int NEXT

Constant wizard action value.

See Also:

preparePage, validatePage

 PREVIOUS

 public static final int PREVIOUS

Constant wizard action value.

See Also:

preparePage, validatePage

 doCancel

 public abstract void doCancel()

Called when the CANCEL action has been validated. Default behavior: none.

 doFinish

 public abstract void doFinish()

Called when the FINISH action has been validated. Default behavior: none.

 doHelp

 public abstract void doHelp()

Called when the HELP action has been validated. Default behavior: none.

 doPrepare

 public abstract void doPrepare()

Called before the first page is shown. Default behavior: none.

 getNextPage

 public abstract Component getNextPage()

Return the next page. Default behavior: if a next page has been set with setNextPage, return this page. If a next page index has been set with setNextPageIndex, return the associated page. Else, return the next page in the Wizard components order, page 0 if no page has been shown. If there is none, return null. This method is called before and after a validatePage, and by the default implementation of isNextEnabled.

Returns:

The next page to show, null if there is none.

See Also:

setNextPage, setNextPageIndex

 getPreviousPage

 public abstract Component getPreviousPage()

Return the previous page. Default behavior: if a previous page has been set with setPreviousPage, return this page. If a previous page index has been set with setPreviousPageIndex, return the associated page. Else, return the next to last element on the stack. If there is none, return null. This method is called before and after a validatePage, and by the default implementation of isPreviousEnabled.

Returns:

The previous page to show, null if there is none.

See Also:

setPreviousPage, setPreviousPageIndex, preparePage

 isCancelEnabled

 public abstract boolean isCancelEnabled()

Tells if the Cancel button must be enabled. Default behavior: return true.

Returns:

True if the Cancel button must be enabled, false otherwise.

 isFinishEnabled

 public abstract boolean isFinishEnabled()

Tells if the Finish button must be enabled. Default behavior: return true if the current page is the last page in the Wizard container.

Returns:

True if the Finish button must be enabled, false otherwise.

 isHelpEnabled

 public abstract boolean isHelpEnabled()

Tells if the Help button must be enabled. Default behavior: return false.

Returns:

True if the Help button must be enabled, false otherwise.

 isNextEnabled

 public abstract boolean isNextEnabled()

Tells if the Next button must be enabled. Default behavior: return true if the getNextPage method returns a page, false otherwise.

Returns:

True if the Next button must be enabled, false otherwise.

 isPreviousEnabled

 public abstract boolean isPreviousEnabled()

Tells if the Previous button must be enabled. Default behavior: return true if the getPreviousPage method returns a page, false otherwise.

Returns:

True if the Previous button must be enabled, false otherwise.

 pageHidden

 public abstract void pageHidden(Component comp)

Called before the page is hidden. Default behavior: none.

Parameters:

comp - The page that has been shown.

 pageShown

 public abstract void pageShown(Component comp)

Called after a page is shown. Default behavior: none.

Parameters:

comp - The page that has been shown.

 preparePage

 public abstract void preparePage(Component comp,
                                  int action)

Called before a page is shown. Default behavior: add the page to the history stack if the action is NEXT, remove the last page from the history stack if the action is PREVIOUS.

Parameters:

comp - The page that will be shown.

action - The action that has led to this page, either PREVIOUS or NEXT. If it is the first page of the wizard, the action is NEXT.

See Also:

getPreviousPage

 resetChainInfo

 public abstract void resetChainInfo()

Reset the chain information set by setPreviousPageIndex, setNextPageIndex, setPreviousPage and setNextPage.

See Also:

setPreviousPageIndex, setNextPageIndex, setPreviousPage, setNextPage

 setCancelEnabled

 public abstract void setCancelEnabled(boolean status)

Enables or disables the Cancel button.

Parameters:

status - true to enable the button

See Also:

setPreviousEnabled, setNextEnabled, setFinishEnabled, setHelpEnabled

 setFinishEnabled

 public abstract void setFinishEnabled(boolean status)

Enables or disables the Finish button.

Parameters:

status - true to enable the button

See Also:

setPreviousEnabled, setNextEnabled, setCancelEnabled, setHelpEnabled

 setHelpEnabled

 public abstract void setHelpEnabled(boolean status)

Enables or disables the Help button.

Parameters:

status - true to enable the button

See Also:

setPreviousEnabled, setNextEnabled, setFinishEnabled, setCancelEnabled

 setNextEnabled

 public abstract void setNextEnabled(boolean status)

Enables or disables the Next button.

Parameters:

status - true to enable the button

See Also:

setPreviousEnabled, setFinishEnabled, setCancelEnabled, setHelpEnabled

 setNextPage

 public abstract void setNextPage(Component comp)

Set a next page. This page is used by the default implementation of getNextPage. It is reset after a page has been shown.

See Also:

getNextPage, resetChainInfo

 setNextPageIndex

 public abstract void setNextPageIndex(int index)

Set an index for the next page. This index is used by the default implementation of getNextPage. It is reset after a page has been shown.

See Also:

getNextPage, resetChainInfo

 setPreviousEnabled

 public abstract void setPreviousEnabled(boolean status)

Enables or disables the Previous button.

Parameters:

status - true to enable the button

See Also:

setNextEnabled, setFinishEnabled, setCancelEnabled, setHelpEnabled

 setPreviousPage

 public abstract void setPreviousPage(Component comp)

Set a previous page. This page is used by the default implementation of getPreviousPage. It is reset after a page has been shown.

See Also:

getPreviousPage, resetChainInfo

 setPreviousPageIndex

 public abstract void setPreviousPageIndex(int index)

Set an index for the previous page. This index is used by the default implementation of getPreviousPage. It is reset after a page has been shown.

See Also:

getPreviousPage, resetChainInfo

 validatePage

 public abstract boolean validatePage(Component comp,
                                      Component target,
                                      int action)

Try to validate a page. Default behavior: return the state of the button associated with the action, using the isXxxEnabled methods. For example, if the controller has the Previous button enabled, this method will return true, meaning that it is valid to go back. If the result is true, then the Wizard will proceed with the action, else the state will not change.

Parameters:

comp - The page that must be validated.

target - The page that will be shown if the action is PREVIOUS or NEXT, null otherwise.

action - The action that must be validated, PREVIOUS, NEXT, FINISH, CANCEL or HELP.

Returns:

True if the action is validated, false otherwise.


 Interface symantec.itools.awt.WizardInterface

public interface WizardInterface

The Wizard API. A Wizard is a dialog that leads the user through a series of steps in order to accomplish some task.

     See Also:
     Wizard

 doCancel()

Performs the actions needed when the Cancel button is pressed.

 doFinish()

Performs the actions needed when the Finish button is pressed.

 doHelp()

Performs the actions needed when the Help button is pressed.

 getComponentAt(int)

Gets the component for the page at the given index.

 getPageCount()

Gets the number of pages in the Wizard.

 getSelectedIndex()

Returns the zero-relative index of the currently selected page.

 goNext()

Go to the next page.

 goPrevious()

Go to the previous page.

 setCancelEnabled(boolean)

Enables or disables the Cancel button.

 setFinishEnabled(boolean)

Enables or disables the Finish button.

 setHelpEnabled(boolean)

Enables or disables the Help button.

 setNextEnabled(boolean)

Enables or disables the Next button.

 setNextPage(Component)

Sets the page to show when goNext is called.

 setNextPageIndex(int)

Sets the index of the page to show when goNext is called.

 setPreviousEnabled(boolean)

Enables or disables the Previous button.

 setPreviousPage(Component)

Sets the page to show when goPrevious is called.

 setPreviousPageIndex(int)

Sets the index of the page to show when goPrevious is called.

 updateButtonsState()

Sets a default status for the Previous, Next and Finish buttons.

 doCancel

 public abstract void doCancel()

Performs the actions needed when the Cancel button is pressed.

See Also:

doFinish, doHelp

 doFinish

 public abstract void doFinish()

Performs the actions needed when the Finish button is pressed.

See Also:

doCancel, doHelp

 doHelp

 public abstract void doHelp()

Performs the actions needed when the Help button is pressed.

See Also:

doFinish, doCancel

 getComponentAt

 public abstract Component getComponentAt(int index)

Gets the component for the page at the given index.

Parameters:

index - the zero-relative page index

Returns:

returns the component associated with the page

Throws: ArrayIndexOutOfBoundsException

if the index is invalid

 getPageCount

 public abstract int getPageCount()

Gets the number of pages in the Wizard.

Returns:

the number of pages currently in the Wizard

 getSelectedIndex

 public abstract int getSelectedIndex()

Returns the zero-relative index of the currently selected page.

Returns:

the currently selected page or -1 if none are shown

 goNext

 public abstract void goNext()

Go to the next page. If a page has been selected with setNextPage it will be used. If a page index has been selected with setNextPageIndex it will be used unless a page has been specified. The chain information will be reset.

See Also:

goPrevious, setNextPage, setNextPageIndex

 goPrevious

 public abstract void goPrevious()

Go to the previous page. If a page has been selected with setPreviousPage it will be used. If a page index has been selected with setPreviousPageIndex it will be used unless a page has been specified. The chain information will be reset.

See Also:

goNext, setPreviousPage, setPreviousPageIndex

 setCancelEnabled

 public abstract void setCancelEnabled(boolean status)

Enables or disables the Cancel button.

Parameters:

status - true to enable the button

See Also:

setPreviousEnabled, setNextEnabled, setFinishEnabled, setHelpEnabled

 setFinishEnabled

 public abstract void setFinishEnabled(boolean status)

Enables or disables the Finish button.

Parameters:

status - true to enable the button

See Also:

setPreviousEnabled, setNextEnabled, setCancelEnabled, setHelpEnabled

 setHelpEnabled

 public abstract void setHelpEnabled(boolean status)

Enables or disables the Help button.

Parameters:

status - true to enable the button

See Also:

setPreviousEnabled, setNextEnabled, setFinishEnabled, setCancelEnabled

 setNextEnabled

 public abstract void setNextEnabled(boolean status)

Enables or disables the Next button.

Parameters:

status - true to enable the button

See Also:

setPreviousEnabled, setFinishEnabled, setCancelEnabled, setHelpEnabled

 setNextPage

 public abstract void setNextPage(Component comp)

Sets the page to show when goNext is called.

See Also:

setPreviousPageIndex, goNext, WizardController, SimpleWizardController

 setNextPageIndex

 public abstract void setNextPageIndex(int index)

Sets the index of the page to show when goNext is called.

Parameters:

index - the zero-relative page index

See Also:

setPreviousPageIndex, goNext, WizardController, SimpleWizardController

 setPreviousEnabled

 public abstract void setPreviousEnabled(boolean status)

Enables or disables the Previous button.

Parameters:

status - true to enable the button

See Also:

setNextEnabled, setFinishEnabled, setCancelEnabled, setHelpEnabled

 setPreviousPage

 public abstract void setPreviousPage(Component comp)

Sets the page to show when goPrevious is called.

See Also:

setNextPageIndex, goPrevious, WizardController, SimpleWizardController

 setPreviousPageIndex

 public abstract void setPreviousPageIndex(int index)

Sets the index of the page to show when goPrevious is called.

Parameters:

index - the zero-relative page index

See Also:

setNextPageIndex, goPrevious, WizardController, SimpleWizardController

 updateButtonsState

 public abstract void updateButtonsState()

Sets a default status for the Previous, Next and Finish buttons.

See Also:

setPreviousEnabled, setNextEnabled, setFinishEnabled, setCancelEnabled, setHelpEnabled


 Class symantec.itools.awt.BaseTabbedPanel

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Container
                   |
                   +----java.awt.Panel
                           |
                           +----symantec.itools.awt.BaseTabbedPanel

public abstract class BaseTabbedPanel
   extends Panel

BaseTabbedPanel is a Panel extension which provides for a tabbed dialog effect. It provides the visual aspect of tabs and allows the programmer to decide what action to take when a tab is activated. It can be used directly or extended. When extending from BaseTabbedPanel be sure to super() during construction and to super.handleEvent(evt) from handleEvent if you override it.

To add a new tab to the panel use the addTab() method. To update an existing tab use the setLabel() or setTab() method. To remove tabs use the removeTab() or removeAllTabs() method.

To enable or disable a tab use the setEnabled() method.

To show (activate) a tab use the showTab() method.

 borderDarkColor

Color used in drawing of the border.

 borderDarkerColor

Color used in drawing of the border.

 borderLightColor

Color used in drawing of the border.

 BOTTOM

Position constant indicating tabs are to be put at the bottom of this panel.

 cachedBackground

Cached value of the background color.

 cachedForeground

Cached value of the foreground color.

 curIndex

Zero-relative index of currently shown tab.

 dbLeft

A left-pointing button shown when there are too many tabs to display.

 dbRight

A right-pointing button shown when there are too many tabs to display.

 disabledTextColor

Color used in drawing of the disabled text.

 firstVisibleTab

The zero-relative index of the first visible tab.

 fReg

The font used for drawing tab titles when they are not selected.

 fSel

The font used for drawing tab titles when they are selected.

 nullPoly

An empty polygon.

 ROUNDED

Style constant indicating tabs are to have rounded corners.

 SQUARE

Style constant indicating tabs are to have square corners.

 suppressRepaints

A flag indicating repaints should be suppress during the setLabel() and setEnabled() methods.

 TF_BOTTOM

Internal tab margin constant.

 TF_BTN_HEIGHT

Internal tab margin constant.

 TF_LEFT

Internal tab margin constant.

 TF_RIGHT

Internal tab margin constant.

 TF_TOP

Internal tab margin constant.

 TOP

Position constant indicating tabs are to be put at the top of this panel.

 vLabels

A Vector of tab label Strings.

 vPolys

A Vector of Polygons, one for each tab.

 BaseTabbedPanel()

Constructs a BaseTabbedPanel with tabs on top and rounded.

 BaseTabbedPanel(boolean)

Deprecated.

 BaseTabbedPanel(int, int)

Constructs a BaseTabbedPanel with the desired tab position and corner style.

 add(Component)

Takes no action, use addTab().

 add(Component, int)

Takes no action, use addTab().

 add(String, Component)

Takes no action, use addTab().

 addCurrentTabListener(PropertyChangeListener)

Adds a listener for the CurrentTab property changes.

 addCurrentTabListener(VetoableChangeListener)

Adds a vetoable listener for the CurrentTab property changes.

 addNotify()

Tells this component that it has been added to a container.

 addPropertyChangeListener(PropertyChangeListener)

Adds a listener for all property changes.

 addTab(String, boolean)

Appends a new tab and sets whether it is enabled.

 addTab(String, boolean, int)

Adds a new tab at the specified position and sets whether it is enabled.

 addVetoableChangeListener(VetoableChangeListener)

Adds a vetoable listener for all property changes.

 calculateBorderColors(Color)

Used to calculate the border colors from the background color.

 calculateDisabledTextColor(Color)

Used to calculate the disabled text color from the foreground color.

 calculateMakeTabVisible(int)

Determines the first tab that must be visible in order to make the given tab visible.

 currentTabIndex()

Deprecated.

 enableTab(boolean, int)

Deprecated.

 getCurrentTab()

Determine the currently shown tab.

 getLabel(int)

Gets the label of the tab at the specified index.

 getMinimumSize()

Returns the minimum dimensions to properly display this component.

 getPreferredSize()

Returns the recommended dimensions to properly display this component.

 getTabsPosition()

Gets the current tabs position, TOP or BOTTOM.

 getTabsStyle()

Gets the current tab style, ROUNDED or SQUARE.

 insertTab(String, boolean, int)

Inserts a tab before the tab at the specified index.

 insets()

Returns the amount of space used by the current border.

 isEnabled(int)

Determines whether or not the tab at the index is enabled.

 layout()

Handles the laying out of components within this component.

 minimumSize()

Deprecated.

 paint(Graphics)

Paints this component using the given graphics context.

 preferredSize()

Deprecated.

 remove(Component)

Removes the specified component from this container.

 removeAll()

Removes all the components from this container.

 removeAllTabs()

Removes all tabs.

 removeCurrentTabListener(PropertyChangeListener)

Removes a listener for the CurrentTab property changes.

 removeCurrentTabListener(VetoableChangeListener)

Removes a vetoable listener for the CurrentTab property changes.

 removeNotify()

Tells this component that it is being removed from a container.

 removePropertyChangeListener(PropertyChangeListener)

Removes a listener for all property changes.

 removeTab(int)

Removes the tab at the specified index.

 removeVetoableChangeListener(VetoableChangeListener)

Removes a vetoable listener for all property changes.

 setCurrentTab(int)

Shows the tab at the specified index.

 setEnabled(boolean, int)

Conditionally enables the tab at the specified index.

 setLabel(String, int)

Changes the label of the tab at the specified index.

 setLayout(LayoutManager)

Takes no action.

 setPanel(Component)

Adds the panel to the base panel and shows it.

 setSuppressRepaints(boolean)

Sets whether to suppress repainting when making changes to this component that affect its display.

 setTab(String, boolean, int)

Labels and conditionally enables the tab at the specified index.

 setTabsInfo(int, int)

Sets the position and style of all the tabs.

 setTabsPosition(int)

Sets the position of the all tabs to the top or bottom of this panel.

 setTabsStyle(int)

Sets the style of the tabs to ROUNDED or SQUARE.

 showPanel(Component)

Adds the panel to the base panel and shows it.

 showTab(int)

Deprecated.

 tabIsEnabled(int)

Deprecated.

 triggerRepaint()

Helper method to trigger a repaint if it hasn't been suppressed.

 borderDarkColor

 protected Color borderDarkColor

Color used in drawing of the border.

 borderDarkerColor

 protected Color borderDarkerColor

Color used in drawing of the border.

 borderLightColor

 protected Color borderLightColor

Color used in drawing of the border.

 BOTTOM

 public static final int BOTTOM

Position constant indicating tabs are to be put at the bottom of this panel.

 cachedBackground

 protected Color cachedBackground

Cached value of the background color. Used to determine if calculated colors need to be updated.

 cachedForeground

 protected Color cachedForeground

Cached value of the foreground color. Used to determine if calculated colors need to be updated.

 curIndex

 protected int curIndex

Zero-relative index of currently shown tab. -1 if no tabs exist or are shown.

 dbLeft

 protected DirectionButton dbLeft

A left-pointing button shown when there are too many tabs to display.

 dbRight

 protected DirectionButton dbRight

A right-pointing button shown when there are too many tabs to display.

 disabledTextColor

 protected Color disabledTextColor

Color used in drawing of the disabled text.

 firstVisibleTab

 protected int firstVisibleTab

The zero-relative index of the first visible tab.

 fReg

 protected Font fReg

The font used for drawing tab titles when they are not selected.

 fSel

 protected Font fSel

The font used for drawing tab titles when they are selected.

 nullPoly

 protected Polygon nullPoly

An empty polygon.

 ROUNDED

 public static final int ROUNDED

Style constant indicating tabs are to have rounded corners.

 SQUARE

 public static final int SQUARE

Style constant indicating tabs are to have square corners.

 suppressRepaints

 protected transient boolean suppressRepaints

A flag indicating repaints should be suppress during the setLabel() and setEnabled() methods.

 TF_BOTTOM

 protected int TF_BOTTOM

Internal tab margin constant.

 TF_BTN_HEIGHT

 protected int TF_BTN_HEIGHT

Internal tab margin constant.

 TF_LEFT

 protected int TF_LEFT

Internal tab margin constant.

 TF_RIGHT

 protected int TF_RIGHT

Internal tab margin constant.

 TF_TOP

 protected int TF_TOP

Internal tab margin constant.

 TOP

 public static final int TOP

Position constant indicating tabs are to be put at the top of this panel.

 vLabels

 protected Vector vLabels

A Vector of tab label Strings.

 vPolys

 protected Vector vPolys

A Vector of Polygons, one for each tab.

 BaseTabbedPanel

 public BaseTabbedPanel()

Constructs a BaseTabbedPanel with tabs on top and rounded.

 BaseTabbedPanel

 public BaseTabbedPanel(boolean bTabsOnTop)

Note: BaseTabbedPanel() is deprecated.

See Also:

BaseTabbedPanel

 BaseTabbedPanel

 public BaseTabbedPanel(int tabsPostion,
                        int tabsStyle)

Constructs a BaseTabbedPanel with the desired tab position and corner style.

Parameters:

tabsPostion - a constant indicating TOP or BOTTOM tab location

tabsStyle - a constant indicating ROUNDED or SQUARE tabs

 add

 public Component add(Component comp)

Takes no action, use addTab(). This is a standard Java AWT method which gets called to add a component to a container. It is overridden here to do nothing, so the user cannot change the way this container works. Use setPanel, showPanel, addTab, and setTab instead.

Parameters:

comp - the component to add (IGNORED)

Returns:

the component parameter

Overrides:

add in class Container

See Also:

setPanel, showPanel, addTab, setTab, remove

 add

 public synchronized Component add(Component comp,
                                   int pos)

Takes no action, use addTab(). This is a standard Java AWT method which gets called to add a component to a container. It is overridden here to do nothing, so the user cannot change the way this container works. Use setPanel, showPanel, addTab, and setTab instead.

Parameters:

comp - the component to add (IGNORED)

pos - the zero-relative index at which to add the component or -1 for end (IGNORED)

Returns:

the component parameter

Overrides:

add in class Container

See Also:

setPanel, showPanel, addTab, setTab, remove

 add

 public synchronized Component add(String name,
                                   Component comp)

Takes no action, use addTab(). This is a standard Java AWT method which gets called to add a component to a container. It is overridden here to do nothing, so the user cannot change the way this container works. Use setPanel, showPanel, addTab, and setTab instead.

Parameters:

name - the positioning directive for the layout manager (IGNORED)

comp - the component to add (IGNORED)

Returns:

the component parameter

Overrides:

add in class Container

See Also:

setPanel, showPanel, addTab, setTab, remove

 addCurrentTabListener

 public synchronized void addCurrentTabListener(PropertyChangeListener listener)

Adds a listener for the CurrentTab property changes.

Parameters:

listener - the listener to add.

See Also:

removePropertyChangeListener

 addCurrentTabListener

 public synchronized void addCurrentTabListener(VetoableChangeListener listener)

Adds a vetoable listener for the CurrentTab property changes.

Parameters:

listener - the listener to add.

See Also:

removeVetoableChangeListener

 addNotify

 public synchronized void addNotify()

Tells this component that it has been added to a container. This is a standard Java AWT method which gets called by the AWT when this component is added to a container. Typically, it is used to create this component's peer. It has been overridden here to hook-up event listeners.

Overrides:

addNotify in class Panel

See Also:

removeNotify

 addPropertyChangeListener

 public synchronized void addPropertyChangeListener(PropertyChangeListener listener)

Adds a listener for all property changes.

Parameters:

listener - the listener to add.

See Also:

removePropertyChangeListener

 addTab

 public int addTab(String sLabel,
                   boolean bEnabled)

Appends a new tab and sets whether it is enabled.

Parameters:

sLabel - the tab label

bEnabled - enable the tab or not

Returns:

the zero-relative index of the newly added tab

See Also:

setTab, setLabel

 addTab

 public int addTab(String sLabel,
                   boolean bEnabled,
                   int pos)

Adds a new tab at the specified position and sets whether it is enabled.

Parameters:

sLabel - the tab label

bEnabled - enable the tab or not

pos - the zero-relative index for the new tab

Returns:

the zero-relative index of the newly added tab

See Also:

setTab, setLabel

 addVetoableChangeListener

 public synchronized void addVetoableChangeListener(VetoableChangeListener listener)

Adds a vetoable listener for all property changes.

Parameters:

listener - the listener to add.

See Also:

removeVetoableChangeListener

 calculateBorderColors

 protected void calculateBorderColors(Color c)

Used to calculate the border colors from the background color.

See Also:

paint

 calculateDisabledTextColor

 protected void calculateDisabledTextColor(Color c)

Used to calculate the disabled text color from the foreground color.

See Also:

paint

 calculateMakeTabVisible

 protected int calculateMakeTabVisible(int index)

Determines the first tab that must be visible in order to make the given tab visible.

Parameters:

index - the zero-relative tab index

Returns:

the zero-relative index of the first visible tab

 currentTabIndex

 public int currentTabIndex()

Note: currentTabIndex() is deprecated.

See Also:

getCurrentTab

 enableTab

 public void enableTab(boolean bEnabled,
                       int index) throws PropertyVetoException

Note: enableTab() is deprecated.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setEnabled

 getCurrentTab

 public int getCurrentTab()

Determine the currently shown tab.

Returns:

zero-relative index of the currently shown tab

See Also:

setCurrentTab

 getLabel

 public synchronized String getLabel(int index)

Gets the label of the tab at the specified index.

Parameters:

index - the zero-relative index of the tab

Returns:

the tab label

See Also:

setLabel

 getMinimumSize

 public Dimension getMinimumSize()

Returns the minimum dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the minimum size of this component.

Overrides:

getMinimumSize in class Container

See Also:

getPreferredSize

 getPreferredSize

 public Dimension getPreferredSize()

Returns the recommended dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the recommended size of this component.

Overrides:

getPreferredSize in class Container

See Also:

getMinimumSize

 getTabsPosition

 public int getTabsPosition()

Gets the current tabs position, TOP or BOTTOM.

Returns:

the position constant TOP or BOTTOM, indicating the current tabs position

See Also:

setTabsPosition, TOP, BOTTOM

 getTabsStyle

 public int getTabsStyle()

Gets the current tab style, ROUNDED or SQUARE.

Returns:

the style constant ROUNDED or SQUARE, indicating the current tab style

See Also:

setTabsStyle, ROUNDED, SQUARE

 insertTab

 public synchronized void insertTab(String sLabel,
                                    boolean bEnabled,
                                    int index)

Inserts a tab before the tab at the specified index.

Parameters:

sLabel - label of the new tab to insert

bEnabled - enable the tab or not

index - the zero-relative index at which the tab will be inserted.

 insets

 public Insets insets()

Returns the amount of space used by the current border. This is a standard Java AWT method which gets called to determine the size of the current border. The returned value is the width of each border side in pixels.

Returns:

the current border insets

Overrides:

insets in class Container

 isEnabled

 public boolean isEnabled(int index)

Determines whether or not the tab at the index is enabled.

Parameters:

index - the zero-relative index of the tab

Returns:

true if the tab at the index is enabled

 layout

 public void layout()

Handles the laying out of components within this component. This is a standard Java AWT method which gets called by the AWT when this component is validated with the validate() method.

Overrides:

layout in class Container

See Also:

validate

 minimumSize

 public Dimension minimumSize()

Note: minimumSize() is deprecated.

Overrides:

minimumSize in class Container

See Also:

getMinimumSize

 paint

 public synchronized void paint(Graphics g)

Paints this component using the given graphics context. This is a standard Java AWT method which typically gets called by the AWT to handle painting this component. It paints this component using the given graphics context. The graphics context clipping region is set to the bounding rectangle of this component and its [0,0] coordinate is this component's top-left corner.

Parameters:

g - the graphics context used for painting

Overrides:

paint in class Container

See Also:

repaint, update

 preferredSize

 public Dimension preferredSize()

Note: preferredSize() is deprecated.

Overrides:

preferredSize in class Container

See Also:

getPreferredSize

 remove

 public synchronized void remove(Component comp)

Removes the specified component from this container. This is a standard Java AWT method which gets called to remove a component from a container. When this happens the component's removeNotify() will also get called to indicate component removal.

Parameters:

comp - the component to remove

Overrides:

remove in class Container

See Also:

removeAll, addTab

 removeAll

 public synchronized void removeAll()

Removes all the components from this container. This is a standard Java AWT method which gets called to remove all the components from a container. When this happens each component's removeNotify() will also get called to indicate component removal.

Overrides:

removeAll in class Container

See Also:

remove, addTab

 removeAllTabs

 public void removeAllTabs()

Removes all tabs.

 removeCurrentTabListener

 public synchronized void removeCurrentTabListener(PropertyChangeListener listener)

Removes a listener for the CurrentTab property changes.

Parameters:

listener - the listener to remove.

See Also:

addPropertyChangeListener

 removeCurrentTabListener

 public synchronized void removeCurrentTabListener(VetoableChangeListener listener)

Removes a vetoable listener for the CurrentTab property changes.

Parameters:

listener - the listener to remove.

See Also:

addVetoableChangeListener

 removeNotify

 public synchronized void removeNotify()

Tells this component that it is being removed from a container. This is a standard Java AWT method which gets called by the AWT when this component is removed from a container. Typically, it is used to destroy the peers of this component and all its subcomponents. It has been overridden here to unhook event listeners.

Overrides:

removeNotify in class Container

See Also:

addNotify

 removePropertyChangeListener

 public synchronized void removePropertyChangeListener(PropertyChangeListener listener)

Removes a listener for all property changes.

Parameters:

listener - the listener to remove.

See Also:

addPropertyChangeListener

 removeTab

 public void removeTab(int index)

Removes the tab at the specified index. The currently shown tab cannot be removed.

Parameters:

index - the zero-relative index of the tab to remove

 removeVetoableChangeListener

 public synchronized void removeVetoableChangeListener(VetoableChangeListener listener)

Removes a vetoable listener for all property changes.

Parameters:

listener - the listener to remove.

See Also:

addVetoableChangeListener

 setCurrentTab

 public void setCurrentTab(int index) throws PropertyVetoException

Shows the tab at the specified index. The tab must be enabled for it to be shown.

Parameters:

index - the zero-relative index of the tab to show

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getCurrentTab

 setEnabled

 public synchronized void setEnabled(boolean bEnabled,
                                     int index) throws PropertyVetoException

Conditionally enables the tab at the specified index. The currently active tab cannot be disabled. This performs the same action as enableTab().

Parameters:

bEnable - true to enable, false to disable

index - the zero-relative index of the tab

Throws: PropertyVetoException

if the specified property value is unacceptable

 setLabel

 public synchronized void setLabel(String sLabel,
                                   int index) throws PropertyVetoException

Changes the label of the tab at the specified index.

Parameters:

sLabel - the new label for the specified tab

index - the zero-relative index of the tab

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getLabel, addTab, setTab

 setLayout

 public void setLayout(LayoutManager mgr)

Takes no action. This is a standard Java AWT method which gets called to specify which layout manager should be used to layout the components in standard containers. Since layout managers CANNOT BE USED with this container the standard setLayout has been OVERRIDDEN for this container and does nothing.

Parameters:

mgr - the layout manager to use to layout this container's components (IGNORED)

Overrides:

setLayout in class Container

See Also:

getLayout

 setPanel

 public void setPanel(Component p) throws PropertyVetoException

Adds the panel to the base panel and shows it. Removes all other previous panels from base panel.

Parameters:

p - the panel to add and show

Throws: PropertyVetoException

if the specified property value is unacceptable

 setSuppressRepaints

 public boolean setSuppressRepaints(boolean b)

Sets whether to suppress repainting when making changes to this component that affect its display. If false method calls that might change the appearance of this component automatically repaint the component. If true those repaints are prevented.

Parameters:

b - true to prevent repaints, false to repaint anytime it might be needed.

Returns:

the previous value of the suppress repaints flag

 setTab

 public synchronized void setTab(String sLabel,
                                 boolean bEnabled,
                                 int index) throws PropertyVetoException

Labels and conditionally enables the tab at the specified index.

Parameters:

sLabel - the tab label

bEnabled - enable the tab or not

index - the zero-relative index of the tab

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

addTab, setLabel

 setTabsInfo

 public void setTabsInfo(int tabsPosition,
                         int tabsStyle)

Sets the position and style of all the tabs. Note that if the tabs are on top they are always rounded.

Parameters:

tabsPosition - a constant indicating TOP or BOTTOM

tabsStyle - a constant indicating ROUNDED or SQUARE

See Also:

getTabsPosition, getTabsStyle, TOP, BOTTOM, ROUNDED, SQUARE

 setTabsPosition

 public void setTabsPosition(int tabsPosition) throws PropertyVetoException

Sets the position of the all tabs to the top or bottom of this panel. Note that if the tabs are on top they are always rounded.

Parameters:

tabsPosition - constant indicating TOP or BOTTOM

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getTabsPosition, TOP, BOTTOM

 setTabsStyle

 public void setTabsStyle(int tabsStyle) throws PropertyVetoException

Sets the style of the tabs to ROUNDED or SQUARE. Note that if the tabs are on top they are always rounded.

Parameters:

tabsStyle - a constant indicating ROUNDED or SQUARE

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getTabsStyle, ROUNDED, SQUARE

 showPanel

 public void showPanel(Component p)

Adds the panel to the base panel and shows it. Hides all other (previous) panels instead of removing them.

Parameters:

p - the Panel to add and show

 showTab

 public void showTab(int index) throws PropertyVetoException

Note: showTab() is deprecated.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setCurrentTab

 tabIsEnabled

 public boolean tabIsEnabled(int index)

Note: tabIsEnabled() is deprecated.

See Also:

isEnabled

 triggerRepaint

 protected void triggerRepaint()

Helper method to trigger a repaint if it hasn't been suppressed.

See Also:

setSuppressRepaints


 Class symantec.itools.awt.BaseTabbedPanelBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.BaseTabbedPanelBeanInfo

public class BaseTabbedPanelBeanInfo
   extends SimpleBeanInfo

BeanInfo for BaseTabbedPanel.

 BaseTabbedPanelBeanInfo()

Constructs a BaseTabbedPanelBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getMethodDescriptors()

Deny knowledge of methods.

 getPropertyDescriptors()

Deny knowledge of properties.

 BaseTabbedPanelBeanInfo

 public BaseTabbedPanelBeanInfo()

Constructs a BaseTabbedPanelBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Deny knowledge of methods.

Overrides:

getMethodDescriptors in class SimpleBeanInfo

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Deny knowledge of properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.BorderPanel

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Container
                   |
                   +----java.awt.Panel
                           |
                           +----symantec.itools.awt.BorderPanel

public class BorderPanel
   extends Panel
   implements AlignStyle, BevelStyle, ContainerListener

BorderPanel is a panel component that has an optional border and optional text title.

 bevelDarkerColor

The color to use as a hilight when BevelStyle is BEVEL_RAISED or BEVEL_LOWERED.

 bevelLighterColor

The color to use as a hilight when BevelStyle is BEVEL_RAISED or BEVEL_LOWERED.

 borderColor

The border color.

 cachedBackground

Cached value of the background color.

 errors

Error strings.

 internalInsets

The internal border insets.

 ixPad

The side border inset padding amount, in pixels.

 iyPadBottom

The bottom border inset padding amount, in pixels.

 iyPadTop

The top border inset padding amount, in pixels.

 label

The text label to display in the border.

 labelAlignment

The border label alignment: ALIGN_LEFT, ALIGN_CENTERED, or ALIGN_RIGHT.

 labelColor

The border label color.

 labelipadx

Label horizontal coordinate inset constant, in pixels.

 labelpadx

Label horizontal coordinate padding constant, in pixels.

 padbottom

The bottom border outside padding amount, in pixels.

 padleft

The left border outside padding amount, in pixels.

 padright

The right border outside padding amount, in pixels.

 padtop

The top border outside padding amount, in pixels.

 panel

The panel within the border.

 style

The border style: BEVEL_RAISED, BEVEL_LOWERED, BEVEL_LINE, or BEVEL_NONE.

 BorderPanel()

Constructs a new default BorderPanel.

 BorderPanel(int)

Constructs a new BorderPanel with the specified beveled border style.

 BorderPanel(String)

Constructs a new BorderPanel with the specified border label.

 BorderPanel(String, int)

Constructs a new BorderPanel with the specified border label and given alignment.

 BorderPanel(String, int, int)

Constructs a new BorderPanel with the specified border label and given alignment and border styles.

 addBevelStyleListener(PropertyChangeListener)

Adds a listener for Orienation changes.

 addBevelStyleListener(VetoableChangeListener)

Adds a vetoable listener for BevelStyle changes.

 addContainerListener(ContainerListener)

Adds the specified container listener to receive container events from this container.

 addImpl(Component, Object, int)

Adds the specified component to this container at the specified index.

 addNotify()

Tells this component that it has been added to a container.

 addPropertyChangeListener(PropertyChangeListener)

Adds a listener for all event changes.

 addVetoableChangeListener(VetoableChangeListener)

Adds a vetoable listener for all event changes.

 calculateHilightColors(Color)

Used to calculate the hilight colors from the background color.

 componentAdded(ContainerEvent)

A method of the ContainerListener interface.

 componentRemoved(ContainerEvent)

A method of the ContainerListener interface.

 countComponents()

Returns the number of components in this container.

 draw(Graphics)

Draws the border panel.

 drawBorder(Graphics, int, int, int, int)

Draws the border panel border.

 drawLabel(Graphics, FontMetrics)

Draws the border panel label.

 getAlignStyle()

Gets the current border label alignment.

 getBevelStyle()

Gets the current border style.

 getBorderColor()

Gets the current border color.

 getComponent(int)

Gets the component at the specified zero-relative component index.

 getComponentCount()

Returns the number of components in this container.

 getComponents()

Returns all of the components in this container.

 getInternalInsets()

Gets the current internal border insets.

 getIPadBottom()

Gets the current bottom border inset padding amount, in pixels.

 getIPadSides()

Gets the current side border inset padding amount, in pixels.

 getIPadTop()

Gets the current top border inset padding amount, in pixels.

 getLabel()

Returns the text label displayed in the border.

 getLabelColor()

Gets the current border label color.

 getLabelTopMargin()

Returns the current margin above the label.

 getLabelWidthMargin()

Returns the current label width margin.

 getLayout()

Gets the current border panel layout manager.

 getMinimumSize()

Returns the minimum dimensions to properly display this component.

 getPaddingBottom()

Gets the current bottom border outside padding amount, in pixels.

 getPaddingLeft()

Gets the current left border outside padding amount, in pixels.

 getPaddingRight()

Gets the current right border outside padding amount, in pixels.

 getPaddingTop()

Gets the current top border outside padding amount, in pixels.

 getPreferredSize()

Returns the recommended dimensions to properly display this component.

 insets()

Returns the amount of space used by the current border.

 isValidBevelStyle(int)

Is the specified bevelStyle valid?

 layout()

Handles the laying out of components within this component.

 minimumSize()

Deprecated.

 paint(Graphics)

Paints this component using the given graphics context.

 preferredSize()

Deprecated.

 remove(Component)

Removes the specified component from this container.

 remove(int)

Removes the component at the specified index from this container.

 removeAll()

Removes all the components from this container.

 removeBevelStyleListener(PropertyChangeListener)

Removes a listener for Orienation changes.

 removeBevelStyleListener(VetoableChangeListener)

Removes a vetoable listener for BevelStyle changes.

 removeContainerListener(ContainerListener)

Removes the specified container listener so it no longer receives container events from this container.

 removeNotify()

Tells this component that it is being removed from a container.

 removePropertyChangeListener(PropertyChangeListener)

Removes a listener for all event changes.

 removeVetoableChangeListener(VetoableChangeListener)

Removes a vetoable listener for all event changes.

 reshape(int, int, int, int)

Deprecated.

 setAlignStyle(int)

Sets the border label alignment.

 setBackground(Color)

Sets this component's background color.

 setBevelStyle(int)

Sets the border style.

 setBorderColor(Color)

Sets the current border color.

 setBorderColor(Color, boolean)

Deprecated.

 setBounds(int, int, int, int)

Moves and/or resizes this component.

 setInternalInsets(Insets)

Sets the internal border insets.

 setIPadBottom(int)

Sets the bottom border inset padding amount, in pixels.

 setIPadSides(int)

Sets the side border inset padding amount, in pixels.

 setIPadTop(int)

Sets the top border inset padding amount, in pixels.

 setLabel(String)

Sets the text label to display in the border.

 setLabelColor(Color)

Sets the border label color.

 setLayout(LayoutManager)

Sets the layout manager to be used to layout this container.

 setPadding(int, int, int, int)

Sets the border padding amounts.

 setPaddingBottom(int)

Sets the bottom border outside padding amount, in pixels.

 setPaddingLeft(int)

Sets the left border outside padding amount, in pixels.

 setPaddingRight(int)

Sets the right border outside padding amount, in pixels.

 setPaddingTop(int)

Sets the top border outside padding amount, in pixels.

 sizepanel(boolean)

Sizes the border panel from the padding, inset, and label margin information.

 update(Graphics)

Handles redrawing of this component on the screen.

 bevelDarkerColor

 protected Color bevelDarkerColor

The color to use as a hilight when BevelStyle is BEVEL_RAISED or BEVEL_LOWERED.

 bevelLighterColor

 protected Color bevelLighterColor

The color to use as a hilight when BevelStyle is BEVEL_RAISED or BEVEL_LOWERED.

 borderColor

 protected Color borderColor

The border color.

 cachedBackground

 protected Color cachedBackground

Cached value of the background color. Used to determine if calculated colors need to be updated.

 errors

 protected transient ResourceBundle errors

Error strings.

 internalInsets

 protected Insets internalInsets

The internal border insets. The left and right fields are used while determining the preferred width of this component.

 ixPad

 protected int ixPad

The side border inset padding amount, in pixels. This is the distance between the drawn border and the usable area within the border. It is used to determine the size of the panel contained within this component's borders.

See Also:

panel

 iyPadBottom

 protected int iyPadBottom

The bottom border inset padding amount, in pixels. This is the distance between the drawn border and the usable area within the border. It is used to determine the size of the panel contained within this component's borders.

See Also:

panel

 iyPadTop

 protected int iyPadTop

The top border inset padding amount, in pixels. This is the distance between the drawn border and the usable area within the border. It is used to determine the size of the panel contained within this component's borders.

See Also:

panel

 label

 protected String label

The text label to display in the border.

 labelAlignment

 protected int labelAlignment

The border label alignment: ALIGN_LEFT, ALIGN_CENTERED, or ALIGN_RIGHT.

See Also:

ALIGN_LEFT, ALIGN_CENTERED, ALIGN_RIGHT

 labelColor

 protected Color labelColor

The border label color.

 labelipadx

 protected static final int labelipadx

Label horizontal coordinate inset constant, in pixels.

 labelpadx

 protected static final int labelpadx

Label horizontal coordinate padding constant, in pixels.

 padbottom

 protected int padbottom

The bottom border outside padding amount, in pixels. This is the distance between the drawn border and the actual bounds of the component.

 padleft

 protected int padleft

The left border outside padding amount, in pixels. This is the distance between the drawn border and the actual bounds of the component.

 padright

 protected int padright

The right border outside padding amount, in pixels. This is the distance between the drawn border and the actual bounds of the component.

 padtop

 protected int padtop

The top border outside padding amount, in pixels. This is the distance between the drawn border and the actual bounds of the component.

 panel

 protected Panel panel

The panel within the border. This is the panel that contains the components added to the BorderPanel.

 style

 protected int style

The border style: BEVEL_RAISED, BEVEL_LOWERED, BEVEL_LINE, or BEVEL_NONE.

See Also:

BEVEL_RAISED, BEVEL_LOWERED, BEVEL_LINE, BEVEL_NONE

 BorderPanel

 public BorderPanel()

Constructs a new default BorderPanel. Its label will be ALIGN_CENTERED and it will have a BEVEL_LINE style border.

 BorderPanel

 public BorderPanel(int style)

Constructs a new BorderPanel with the specified beveled border style. It will have the ALIGN_CENTERED label alignment style.

Parameters:

style - the desired beveled border style

See Also:

BEVEL_RAISED, BEVEL_LOWERED, BEVEL_LINE, BEVEL_NONE

 BorderPanel

 public BorderPanel(String s)

Constructs a new BorderPanel with the specified border label. Its label will be ALIGN_CENTERED and it will have a BEVEL_LINE style border.

Parameters:

s - the label for the panel's border

 BorderPanel

 public BorderPanel(String s,
                    int alignment)

Constructs a new BorderPanel with the specified border label and given alignment.

Parameters:

s - the label for the panel's border

alignment - the label alignment

See Also:

ALIGN_LEFT, ALIGN_CENTERED, ALIGN_RIGHT

 BorderPanel

 public BorderPanel(String s,
                    int alignment,
                    int style)

Constructs a new BorderPanel with the specified border label and given alignment and border styles.

Parameters:

s - the label for the panel's border

alignment - the label alignment

style - the border bevel style

See Also:

ALIGN_LEFT, ALIGN_CENTERED, ALIGN_RIGHT, BEVEL_RAISED, BEVEL_LOWERED, BEVEL_LINE, BEVEL_NONE

 addBevelStyleListener

 public synchronized void addBevelStyleListener(PropertyChangeListener listener)

Adds a listener for Orienation changes.

Parameters:

listener - the listener to add.

See Also:

removeBevelStyleListener

 addBevelStyleListener

 public synchronized void addBevelStyleListener(VetoableChangeListener listener)

Adds a vetoable listener for BevelStyle changes.

Parameters:

listener - the listener to add.

See Also:

removeBevelStyleListener

 addContainerListener

 public synchronized void addContainerListener(ContainerListener l)

Adds the specified container listener to receive container events from this container.

Overrides:

addContainerListener in class Container

 addImpl

 protected void addImpl(Component comp,
                        Object constraints,
                        int index)

Adds the specified component to this container at the specified index. Also notifies the layout manager to add the component to the this container's layout using the specified constraints object.

This is the method to override if you want to track every add request to a container. An overriding method should usually include a call to super.addImpl(comp, constraints, index). BorderPanel overrides this method to send all additions to it to\ its internal panel

Parameters:

comp - the component to be added

constraints - an object expressing layout contraints for this component

index - the position in the container's list at which to insert the component. -1 means insert at the end.

Overrides:

addImpl in class Container

See Also:

remove, LayoutManager

 addNotify

 public synchronized void addNotify()

Tells this component that it has been added to a container. This is a standard Java AWT method which gets called by the AWT when this component is added to a container. Typically, it is used to create this component's peer. It has been overridden here to hook-up event listeners, and to resize self after peer created.

Overrides:

addNotify in class Panel

See Also:

removeNotify

 addPropertyChangeListener

 public synchronized void addPropertyChangeListener(PropertyChangeListener listener)

Adds a listener for all event changes.

Parameters:

listener - the listener to add.

See Also:

removePropertyChangeListener

 addVetoableChangeListener

 public synchronized void addVetoableChangeListener(VetoableChangeListener listener)

Adds a vetoable listener for all event changes.

Parameters:

listener - the listener to add.

See Also:

removeVetoableChangeListener

 calculateHilightColors

 protected void calculateHilightColors(Color c)

Used to calculate the hilight colors from the background color.

See Also:

paint

 componentAdded

 public void componentAdded(ContainerEvent e)

A method of the ContainerListener interface. This method is called when a component is added to this component's panel.

Parameters:

the - container event

See Also:

ContainerListener

 componentRemoved

 public void componentRemoved(ContainerEvent e)

A method of the ContainerListener interface. This method is called when a component is removed from this component's panel.

Parameters:

the - container event

See Also:

ContainerListener

 countComponents

 public int countComponents()

Returns the number of components in this container. This is a standard Java AWT method which gets called to return a count of the components within this container.

Overrides:

countComponents in class Container

 draw

 protected void draw(Graphics g)

Draws the border panel.

Parameters:

g - current graphics object

 drawBorder

 protected void drawBorder(Graphics g,
                           int x,
                           int y,
                           int w,
                           int h)

Draws the border panel border.

Parameters:

g - current graphics object

x - x coordinate of panel object

y - y coordinate of panel object

w - w width of panel object

h - h height of panel object

 drawLabel

 protected void drawLabel(Graphics g,
                          FontMetrics fm)

Draws the border panel label.

Parameters:

g - current graphics object

fm - FontMetrics of border panel label

 getAlignStyle

 public int getAlignStyle()

Gets the current border label alignment.

Returns:

the current border label alignment. One of ALIGN_LEFT, ALIGN_CENTERED, or ALIGN_RIGHT

See Also:

ALIGN_LEFT, ALIGN_CENTERED, ALIGN_RIGHT, setAlignStyle

 getBevelStyle

 public int getBevelStyle()

Gets the current border style.

Returns:

current border style. One of BEVEL_RAISED, BEVEL_LOWERED, BEVEL_LINE, or BEVEL_NONE

See Also:

BEVEL_RAISED, BEVEL_LOWERED, BEVEL_LINE, BEVEL_NONE, setBevelStyle

 getBorderColor

 public Color getBorderColor()

Gets the current border color.

Returns:

the current border color

See Also:

setBorderColor

 getComponent

 public Component getComponent(int i)

Gets the component at the specified zero-relative component index. This is a standard Java AWT method which gets called to return the component at a specific position.

Parameters:

i - the zero-relative index of the component to retrieve

Returns:

the component at the given index

Throws: ArrayIndexOutOfBoundsException

if the given component index does not exist

Overrides:

getComponent in class Container

See Also:

getComponents

 getComponentCount

 public int getComponentCount()

Returns the number of components in this container.

Returns:

the number of components in this container

Overrides:

getComponentCount in class Container

See Also:

getComponent

 getComponents

 public Component[] getComponents()

Returns all of the components in this container. This is a standard Java AWT method which gets called to return an array of all of the components in this container.

Returns:

an array of components in this container

Overrides:

getComponents in class Container

See Also:

getComponent

 getInternalInsets

 public Insets getInternalInsets()

Gets the current internal border insets. The left and right fields of the internal insets are used while determining the preferred width of this component.

Returns:

the current internal border insets

See Also:

setInternalInsets

 getIPadBottom

 public int getIPadBottom()

Gets the current bottom border inset padding amount, in pixels. This is the distance between the drawn border and the usable area within the border. It is used to determine the size of the panel contained within this component's borders.

Returns:

bottom border inset padding amount

See Also:

setIPadBottom, panel

 getIPadSides

 public int getIPadSides()

Gets the current side border inset padding amount, in pixels. This is the distance between the drawn border and the usable area within the border. It is used to determine the size of the panel contained within this component's borders.

Returns:

side border inset padding amount

See Also:

setIPadSides, panel

 getIPadTop

 public int getIPadTop()

Gets the current top border inset padding amount, in pixels. This is the distance between the drawn border and the usable area within the border. It is used to determine the size of the panel contained within this component's borders.

Returns:

top border inset padding amount

See Also:

setIPadTop, panel

 getLabel

 public String getLabel()

Returns the text label displayed in the border.

See Also:

setLabel

 getLabelColor

 public Color getLabelColor()

Gets the current border label color.

Returns:

current border label color

 getLabelTopMargin

 protected int getLabelTopMargin()

Returns the current margin above the label.

 getLabelWidthMargin

 protected int getLabelWidthMargin()

Returns the current label width margin.

 getLayout

 public LayoutManager getLayout()

Gets the current border panel layout manager.

Returns:

current LayoutManager of border panel

Overrides:

getLayout in class Container

See Also:

setLayout

 getMinimumSize

 public Dimension getMinimumSize()

Returns the minimum dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the minimum size of this component.

Overrides:

getMinimumSize in class Container

See Also:

getPreferredSize

 getPaddingBottom

 public int getPaddingBottom()

Gets the current bottom border outside padding amount, in pixels. This is the distance between the drawn border and the actual bounds of the component.

Returns:

the bottom border outside padding amount, in pixels

See Also:

setPaddingBottom

 getPaddingLeft

 public int getPaddingLeft()

Gets the current left border outside padding amount, in pixels. This is the distance between the drawn border and the actual bounds of the component.

Returns:

the left border outside padding amount, in pixels

See Also:

setPaddingLeft

 getPaddingRight

 public int getPaddingRight()

Gets the current right border outside padding amount, in pixels. This is the distance between the drawn border and the actual bounds of the component.

Returns:

the right border outside padding amount, in pixels

See Also:

setPaddingRight

 getPaddingTop

 public int getPaddingTop()

Gets the current top border outside padding amount, in pixels. This is the distance between the drawn border and the actual bounds of the component.

Returns:

the top border outside padding amount, in pixels

See Also:

setPaddingTop

 getPreferredSize

 public Dimension getPreferredSize()

Returns the recommended dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the recommended size of this component. The size returned is large enough to display the entire border label and the panel within the border.

Overrides:

getPreferredSize in class Container

See Also:

minimumSize

 insets

 public Insets insets()

Returns the amount of space used by the current border. This is a standard Java AWT method which gets called to determine the size of the current border. The returned value is the width of each border side in pixels.

Returns:

the current border insets

Overrides:

insets in class Container

 isValidBevelStyle

 public boolean isValidBevelStyle(int bevelStyle)

Is the specified bevelStyle valid?

Parameters:

bevelStyle - the style to test

Returns:

if true then the parameter was equal to one of the following:

See Also:

BEVEL_RAISED, BEVEL_LOWERED, BEVEL_LINE, BEVEL_NONE

 layout

 public void layout()

Handles the laying out of components within this component. This is a standard Java AWT method which gets called by the AWT when this component is validated with the validate() method.

Overrides:

layout in class Container

See Also:

validate

 minimumSize

 public Dimension minimumSize()

Note: minimumSize() is deprecated.

Overrides:

minimumSize in class Container

See Also:

getMinimumSize

 paint

 public void paint(Graphics g)

Paints this component using the given graphics context. This is a standard Java AWT method which typically gets called by the AWT to handle painting this component. It paints this component using the given graphics context. The graphics context clipping region is set to the bounding rectangle of this component and its [0,0] coordinate is this component's top-left corner.

Parameters:

g - the graphics context used for painting

Overrides:

paint in class Container

See Also:

repaint, update

 preferredSize

 public Dimension preferredSize()

Note: preferredSize() is deprecated.

Overrides:

preferredSize in class Container

See Also:

getPreferredSize

 remove

 public void remove(Component comp)

Removes the specified component from this container.

Overrides:

remove in class Container

 remove

 public void remove(int index)

Removes the component at the specified index from this container.

Parameters:

index - the index of the component to be removed

Overrides:

remove in class Container

See Also:

add

 removeAll

 public void removeAll()

Removes all the components from this container. This is a standard Java AWT method which gets called to remove all the components from a container. When this happens each component's removeNotify() will also get called to indicate component removal.

Overrides:

removeAll in class Container

See Also:

remove, add

 removeBevelStyleListener

 public synchronized void removeBevelStyleListener(PropertyChangeListener listener)

Removes a listener for Orienation changes.

Parameters:

listener - the listener to remove.

See Also:

addBevelStyleListener

 removeBevelStyleListener

 public synchronized void removeBevelStyleListener(VetoableChangeListener listener)

Removes a vetoable listener for BevelStyle changes.

Parameters:

listener - the listener to remove.

See Also:

addBevelStyleListener

 removeContainerListener

 public synchronized void removeContainerListener(ContainerListener l)

Removes the specified container listener so it no longer receives container events from this container.

Overrides:

removeContainerListener in class Container

 removeNotify

 public synchronized void removeNotify()

Tells this component that it is being removed from a container. This is a standard Java AWT method which gets called by the AWT when this component is removed from a container. Typically, it is used to destroy the peers of this component and all its subcomponents. It has been overridden here to unhook event listeners.

Overrides:

removeNotify in class Container

See Also:

addNotify

 removePropertyChangeListener

 public synchronized void removePropertyChangeListener(PropertyChangeListener listener)

Removes a listener for all event changes.

Parameters:

listener - the listener to remove.

See Also:

addPropertyChangeListener

 removeVetoableChangeListener

 public synchronized void removeVetoableChangeListener(VetoableChangeListener listener)

Removes a vetoable listener for all event changes.

Parameters:

listener - the listener to remove.

See Also:

addVetoableChangeListener

 reshape

 public void reshape(int x,
                     int y,
                     int width,
                     int height)

Note: reshape() is deprecated.

Overrides:

reshape in class Component

See Also:

setBounds

 setAlignStyle

 public void setAlignStyle(int newLabelAlignment) throws PropertyVetoException

Sets the border label alignment.

Parameters:

alignment - the new border label alignment. One of ALIGN_LEFT, ALIGN_CENTERED, or ALIGN_RIGHT

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getAlignStyle, ALIGN_LEFT, ALIGN_CENTERED, ALIGN_RIGHT

 setBackground

 public void setBackground(Color c)

Sets this component's background color. This is a standard Java AWT method which gets called to change the background color of this component.

Parameters:

c - the new background color

Overrides:

setBackground in class Component

See Also:

getBackground

 setBevelStyle

 public void setBevelStyle(int newBevelStyle) throws PropertyVetoException

Sets the border style.

Parameters:

s - the new border style. One of BEVEL_RAISED, BEVEL_LOWERED, BEVEL_LINE, or BEVEL_NONE

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

BEVEL_RAISED, BEVEL_LOWERED, BEVEL_LINE, BEVEL_NONE, getBevelStyle

 setBorderColor

 public void setBorderColor(Color newBorderColor) throws PropertyVetoException

Sets the current border color.

Parameters:

newBorderColor - the new border color

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getBorderColor

 setBorderColor

 public void setBorderColor(Color clr,
                            boolean useForLabel) throws PropertyVetoException

Note: setBorderColor() is deprecated. As of JDK version 1.1, replaced by setBorderColor & setLabelColor.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setBorderColor, setLabelColor

 setBounds

 public void setBounds(int x,
                       int y,
                       int width,
                       int height)

Moves and/or resizes this component. This is a standard Java AWT method which gets called to move and/or resize this component. Components that are in containers with layout managers should not call this method, but rely on the layout manager instead.

Parameters:

x - horizontal position in the parent's coordinate space

y - vertical position in the parent's coordinate space

width - the new width

height - the new height

Overrides:

setBounds in class Component

 setInternalInsets

 public void setInternalInsets(Insets newInsets) throws PropertyVetoException

Sets the internal border insets. The left and right fields of the internal insets are used while determining the preferred width of this component.

Parameters:

newInsets - the new internal border insets

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getInternalInsets

 setIPadBottom

 public void setIPadBottom(int b) throws PropertyVetoException

Sets the bottom border inset padding amount, in pixels. This is the distance between the drawn border and the usable area within the border. It is used to determine the size of the panel contained within this component's borders.

Parameters:

b - bottom border inset padding amount

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getIPadBottom, panel

 setIPadSides

 public void setIPadSides(int s) throws PropertyVetoException

Sets the side border inset padding amount, in pixels. This is the distance between the drawn border and the usable area within the border. It is used to determine the size of the panel contained within this component's borders.

Parameters:

s - side border inset padding amount

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getIPadSides, panel

 setIPadTop

 public void setIPadTop(int t) throws PropertyVetoException

Sets the top border inset padding amount, in pixels. This is the distance between the drawn border and the usable area within the border. It is used to determine the size of the panel contained within this component's borders.

Parameters:

t - top border inset padding amount

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getIPadTop, panel

 setLabel

 public void setLabel(String newLabel) throws PropertyVetoException

Sets the text label to display in the border.

Parameters:

newLabel - the new border label. If null, label is removed

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getLabel

 setLabelColor

 public void setLabelColor(Color newLabelBorderColor) throws PropertyVetoException

Sets the border label color.

Parameters:

newLabelBorderColor - new border label color

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getLabelColor

 setLayout

 public void setLayout(LayoutManager l)

Sets the layout manager to be used to layout this container. This is a standard Java AWT method which gets called to specify which layout manager should be used to layout the components in standard containers.

Parameters:

l - the layout manager to use to layout this container's components

Overrides:

setLayout in class Container

See Also:

getLayout

 setPadding

 public void setPadding(int t,
                        int b,
                        int l,
                        int r) throws PropertyVetoException

Sets the border padding amounts. This are the distances between the drawn border and the actual bounds of the component.

Parameters:

t - the top padding amount

b - the bottom padding amount

l - the left padding amount

r - the right padding amount

Throws: PropertyVetoException

if the specified property value is unacceptable

 setPaddingBottom

 public void setPaddingBottom(int newPadBottom) throws PropertyVetoException

Sets the bottom border outside padding amount, in pixels. This is the distance between the drawn border and the actual bounds of the component.

Parameters:

newPadBottom - the bottom border outside padding amount, in pixels

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getPaddingBottom

 setPaddingLeft

 public void setPaddingLeft(int newPadLeft) throws PropertyVetoException

Sets the left border outside padding amount, in pixels. This is the distance between the drawn border and the actual bounds of the component.

Parameters:

newPadLeft - the left border outside padding amount, in pixels

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getPaddingLeft

 setPaddingRight

 public void setPaddingRight(int newPadRight) throws PropertyVetoException

Sets the right border outside padding amount, in pixels. This is the distance between the drawn border and the actual bounds of the component.

Parameters:

newPadRight - the right border outside padding amount, in pixels

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getPaddingRight

 setPaddingTop

 public void setPaddingTop(int newPadTop) throws PropertyVetoException

Sets the top border outside padding amount, in pixels. This is the distance between the drawn border and the actual bounds of the component.

Parameters:

newPadTop - the top border outside padding amount, in pixels

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getPaddingTop

 sizepanel

 protected void sizepanel(boolean force)

Sizes the border panel from the padding, inset, and label margin information.

Parameters:

force - force setBounds even if the overall size hasn't changed

 update

 public void update(Graphics g)

Handles redrawing of this component on the screen. This is a standard Java AWT method which gets called by the Java AWT (repaint()) to handle repainting this component on the screen. The graphics context clipping region is set to the bounding rectangle of this component and its [0,0] coordinate is this component's top-left corner. Typically this method paints the background color to clear the component's drawing space, sets graphics context to be the foreground color, and then calls paint() to draw the component.

Parameters:

g - the graphics context

Overrides:

update in class Container

See Also:

repaint, paint


 Class symantec.itools.awt.BorderPanelBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.BorderPanelBeanInfo

public class BorderPanelBeanInfo
   extends SimpleBeanInfo

BeanInfo for BorderPanel.

 BorderPanelBeanInfo()

Constructs a BorderPanelBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 BorderPanelBeanInfo

 public BorderPanelBeanInfo()

Constructs a BorderPanelBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getDefaultPropertyIndex

 public int getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

Overrides:

getDefaultPropertyIndex in class SimpleBeanInfo

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.ButtonBase

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Canvas
                   |
                   +----symantec.itools.awt.ButtonBase

public abstract class ButtonBase
   extends Canvas

An abstract class used to implement special Symantec buttons. It supports 3-D beveled borders, and the posting of continuous notification events while the button is pressed.

 bevel

The "height" (cross-section) of a beveled edge, in pixels.

 borderColor

The color of the border around the button.

 buttonColor

The color of the content of the button.

 buttonImage

The offscreen buffer to draw the button in.

 buttonImageGraphics

The Graphics of the offscreen buffer to draw the button in.

 context

Applet context that shows the document.

 errors

Error strings.

 frame

Frame specifier for showing a URL document in a browser or applet viewer.

 inButton

True if the mouse is over this button.

 isAdded

Keeps track of wheather or not the button is added to a container.

 linkURL

The URL of the document to show when the button is clicked.

 notified

True if a notification has been posted in response to a mouse down.

 notifyDelay

The delay in milliseconds between notifications while the button is pressed.

 notifyTimer

Timer used to time notification events while button pressed.

 notifyWhilePressed

If true the button will continuously post events while pressed.

 pressed

True if the button is currently pressed.

 pressedAdjustment

A drawing location adjustment for the 3-D bevel while button is pressed.

 released

True if the button has been released.

 running

True if the notify timer is running.

 showFocus

If true this component will visually indicate when it has the focus.

 showURLStatus

If true show the linkURL in the status area when the mouse is over the button.

 tempBevelHeight

Internal use.

 useOffset

If true set pressedAdjustment accordingly, else, it is always 0.

 ButtonBase()

Constructs a default ButtonBase.

 addActionListener(ActionListener)

Adds the specified action listener to receive action events from this button.

 addBevelHeightListener(PropertyChangeListener)

Adds a listener for the BevelHeight property changes.

 addBevelHeightListener(VetoableChangeListener)

Adds a vetoable listener for the BevelHeight property changes.

 addFrameListener(PropertyChangeListener)

Adds a listener for the Frame property changes.

 addFrameListener(VetoableChangeListener)

Adds a vetoable listener for the Frame property changes.

 addNotify()

Tells this component that it has been added to a container.

 addPropertyChangeListener(PropertyChangeListener)

Adds a listener for all event changes.

 addVetoableChangeListener(VetoableChangeListener)

Adds a vetoable listener for all event changes.

 disable()

Deprecated.

 enable()

Deprecated.

 getActionCommand()

Returns the command name of the action event fired by this button.

 getBevelHeight()

Returns the current "height" (cross-section) of a beveled edge, in pixels.

 getBorderColor()

Gets the current border color.

 getButtonColor()

Gets the current button color.

 getFrame()

Gets the frame specifier for showing a URL document in a browser or applet viewer.

 getLinkURL()

Returns the URL of the document to link to when the button is clicked.

 getMinimumSize()

Returns the minimum dimensions to properly display this component.

 getNotifyDelay()

Returns the current delay in milliseconds between notification events.

 getNotifyWhilePressed()

Deprecated.

 getPreferredSize()

Returns the recommended dimensions to properly display this component.

 getShowFocus()

Deprecated.

 isButtonImageInvalid()

Returns true if a button image has been set, but it is not the size of this component.

 isFocusTraversable()

Returns the value of a flag that indicates whether this component can be traversed using Tab or Shift-Tab keyboard focus traversal.

 isNotifyWhilePressed()

Gets whether the button will continuously post events while pressed.

 isShowFocus()

Gets whether this component will visually indicate when it has the focus.

 isShowURLStatus()

If true show the linkURL in the status area when the mouse is over the button.

 isUseOffset()

Gets whether objects in the button will be offset down and to the right by the bevel height amount or not.

 isValidBevelSize(int)

Is the given bevel size valid for this button.

 isValidFrame(String)

Is the given frame string valid.

 linkToURL()

Tell the browser to show the document referenced by the linkURL.

 minimumSize()

Deprecated.

 paint(Graphics)

Paints this component using the given graphics context.

 preferredSize()

Deprecated.

 removeActionListener(ActionListener)

Removes the specified action listener so it no longer receives action events from this button.

 removeBevelHeightListener(PropertyChangeListener)

Removes a listener for the BevelHeight property changes.

 removeBevelHeightListener(VetoableChangeListener)

Removes a vetoable listener for the BevelHeight property changes.

 removeFrameListener(PropertyChangeListener)

Removes a listener for the Frame property changes.

 removeFrameListener(VetoableChangeListener)

Removes a vetoable listener for the Frame property changes.

 removeNotify()

Tells this component that it is being removed from a container.

 removePropertyChangeListener(PropertyChangeListener)

Removes a listener for all event changes.

 removeVetoableChangeListener(VetoableChangeListener)

Removes a vetoable listener for all event changes.

 setActionCommand(String)

Sets the command name of the action event fired by this button.

 setAppletContext(AppletContext)

Sets the applet context used to view documents.

 setBevelHeight(int)

Sets the "height" (cross-section) of a beveled edge, in pixels.

 setBorderColor(Color)

Sets the current border color.

 setButtonColor(Color)

Sets the current button color.

 setEnabled(boolean)

Enables this component so that it will respond to user input.

 setFrame(String)

Sets the frame specifier for showing a URL document in a browser or applet viewer.

 setLinkURL(URL)

Sets the URL of the document to link to when the button is clicked.

 setNotifyDelay(int)

Sets the notification event delay in milliseconds.

 setNotifyWhilePressed(boolean)

Sets whether the button will continually post notify events while pressed.

 setShowFocus(boolean)

Sets whether this component will visually indicate when it has the focus.

 setShowURLStatus(boolean)

Sets whether the linkURL will be displayed in the status area when the mouse is over the button.

 setUseOffset(boolean)

Sets whether objects in the button will be offset down and to the right by the bevel height amount or not.

 simulateClick()

Makes the button act as if it was pressed, drawing as if it were clicked and sending an action event as if it were clicked.

 sourceActionEvent()

Fire an action event to the listeners.

 update(Graphics)

Handles redrawing of this component on the screen.

 updateButtonImage()

Maintains the buttonImage size and draws the button in the buttonImage offscreen image.

 validate()

Ensures that this component is laid out properly, as needed.

 verifyContstrainedPropertyValues()

Called after addNotify to set the internally constrined properties to their temporary values to validate them now that the component has been added to the form.

 bevel

 protected int bevel

The "height" (cross-section) of a beveled edge, in pixels.

 borderColor

 protected Color borderColor

The color of the border around the button.

 buttonColor

 protected Color buttonColor

The color of the content of the button. The highlights are derived from this color.

 buttonImage

 protected transient Image buttonImage

The offscreen buffer to draw the button in.

 buttonImageGraphics

 protected transient Graphics buttonImageGraphics

The Graphics of the offscreen buffer to draw the button in.

 context

 protected transient AppletContext context

Applet context that shows the document.

 errors

 protected transient ResourceBundle errors

Error strings.

 frame

 protected String frame

Frame specifier for showing a URL document in a browser or applet viewer. It is interpreted as follows:

"_self" show document in the current frame

"_parent" show document in the parent frame

"_top" show document in the topmost frame

"_blank" show document in a new unnamed toplevel window

all others show document in a new toplevel window with the given name

 inButton

 protected transient boolean inButton

True if the mouse is over this button.

 isAdded

 protected transient boolean isAdded

Keeps track of wheather or not the button is added to a container. Check before attempting to getFontMetrics() to avoid getting a null pointer.

 linkURL

 protected URL linkURL

The URL of the document to show when the button is clicked.

 notified

 protected transient boolean notified

True if a notification has been posted in response to a mouse down.

 notifyDelay

 protected int notifyDelay

The delay in milliseconds between notifications while the button is pressed.

 notifyTimer

 protected Timer notifyTimer

Timer used to time notification events while button pressed.

 notifyWhilePressed

 protected boolean notifyWhilePressed

If true the button will continuously post events while pressed.

 pressed

 protected transient boolean pressed

True if the button is currently pressed.

 pressedAdjustment

 protected int pressedAdjustment

A drawing location adjustment for the 3-D bevel while button is pressed.

 released

 protected transient boolean released

True if the button has been released.

 running

 protected transient boolean running

True if the notify timer is running.

 showFocus

 protected boolean showFocus

If true this component will visually indicate when it has the focus. This is done by drawing a focus rectangle within the component as needed.

 showURLStatus

 protected boolean showURLStatus

If true show the linkURL in the status area when the mouse is over the button. If the linkURL is null, nothing is displayed, regardless of this flag. This flag also controls erasing of the status area after the URL has been displayed.

 tempBevelHeight

 protected int tempBevelHeight

Internal use. Bevel height value stored until this component is added to a container. It is then used to set the real bevel height value. This avoids code-gen order dependencies.

 useOffset

 protected boolean useOffset

If true set pressedAdjustment accordingly, else, it is always 0.

 ButtonBase

 protected ButtonBase()

Constructs a default ButtonBase. The defaults are no notifyWhilePressed, no offset, and a bevel height of 2.

 addActionListener

 public synchronized void addActionListener(ActionListener l)

Adds the specified action listener to receive action events from this button.

Parameters:

l - the action listener

 addBevelHeightListener

 public synchronized void addBevelHeightListener(PropertyChangeListener listener)

Adds a listener for the BevelHeight property changes.

Parameters:

listener - the listener to add.

See Also:

removeBevelHeightListener

 addBevelHeightListener

 public synchronized void addBevelHeightListener(VetoableChangeListener listener)

Adds a vetoable listener for the BevelHeight property changes.

Parameters:

listener - the listener to add.

See Also:

removeBevelHeightListener

 addFrameListener

 public synchronized void addFrameListener(PropertyChangeListener listener)

Adds a listener for the Frame property changes.

Parameters:

listener - the listener to add.

See Also:

removeFrameListener

 addFrameListener

 public synchronized void addFrameListener(VetoableChangeListener listener)

Adds a vetoable listener for the Frame property changes.

Parameters:

listener - the listener to add.

See Also:

removeFrameListener

 addNotify

 public synchronized void addNotify()

Tells this component that it has been added to a container. This is a standard Java AWT method which gets called by the AWT when this component is added to a container. Typically, it is used to create this component's peer. It has been overridden here to hook-up event listeners.

Overrides:

addNotify in class Canvas

See Also:

removeNotify

 addPropertyChangeListener

 public synchronized void addPropertyChangeListener(PropertyChangeListener listener)

Adds a listener for all event changes.

Parameters:

listener - the listener to add.

See Also:

removePropertyChangeListener

 addVetoableChangeListener

 public synchronized void addVetoableChangeListener(VetoableChangeListener listener)

Adds a vetoable listener for all event changes.

Parameters:

listener - the listener to add.

See Also:

removeVetoableChangeListener

 disable

 public void disable()

Note: disable() is deprecated.

Overrides:

disable in class Component

See Also:

setEnabled

 enable

 public void enable()

Note: enable() is deprecated.

Overrides:

enable in class Component

See Also:

setEnabled

 getActionCommand

 public String getActionCommand()

Returns the command name of the action event fired by this button.

Returns:

the action command name

 getBevelHeight

 public int getBevelHeight()

Returns the current "height" (cross-section) of a beveled edge, in pixels.

Returns:

the current bevel height in pixels.

See Also:

setBevelHeight

 getBorderColor

 public Color getBorderColor()

Gets the current border color.

Returns:

the current border color

See Also:

setBorderColor

 getButtonColor

 public Color getButtonColor()

Gets the current button color.

Returns:

the current button color

See Also:

setButtonColor

 getFrame

 public String getFrame()

Gets the frame specifier for showing a URL document in a browser or applet viewer. It is interpreted as follows:

"_self" show document in the current frame

"_parent" show document in the parent frame

"_top" show document in the topmost frame

"_blank" show document in a new unnamed toplevel window

all others show document in a new toplevel window with the given name

Returns:

the frame specifier

See Also:

setFrame, frameTarget_self, frameTarget_parent, frameTarget_top, frameTarget_blank

 getLinkURL

 public URL getLinkURL()

Returns the URL of the document to link to when the button is clicked.

See Also:

setLinkURL

 getMinimumSize

 public Dimension getMinimumSize()

Returns the minimum dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the minimum size of this component. It simply returns the results of a call to preferedSize().

Overrides:

getMinimumSize in class Component

 getNotifyDelay

 public int getNotifyDelay()

Returns the current delay in milliseconds between notification events.

See Also:

setNotifyWhilePressed, setNotifyDelay

 getNotifyWhilePressed

 public boolean getNotifyWhilePressed()

Note: getNotifyWhilePressed() is deprecated.

See Also:

isNotifyWhilePressed

 getPreferredSize

 public Dimension getPreferredSize()

Returns the recommended dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the recommended size of this component.

Overrides:

getPreferredSize in class Component

 getShowFocus

 public boolean getShowFocus()

Note: getShowFocus() is deprecated.

See Also:

isShowFocus

 isButtonImageInvalid

 protected boolean isButtonImageInvalid()

Returns true if a button image has been set, but it is not the size of this component.

 isFocusTraversable

 public boolean isFocusTraversable()

Returns the value of a flag that indicates whether this component can be traversed using Tab or Shift-Tab keyboard focus traversal.

Overrides:

isFocusTraversable in class Component

 isNotifyWhilePressed

 public boolean isNotifyWhilePressed()

Gets whether the button will continuously post events while pressed.

Returns:

true if it will continuously post events while pressed, false otherwise

See Also:

setNotifyWhilePressed, setNotifyDelay, getNotifyDelay

 isShowFocus

 public boolean isShowFocus()

Gets whether this component will visually indicate when it has the focus. This is done by drawing a focus rectangle within the component as needed.

Returns:

true if the focus is visually indicated, false if the focus is never indicated

See Also:

setShowFocus

 isShowURLStatus

 public boolean isShowURLStatus()

If true show the linkURL in the status area when the mouse is over the button. If the linkURL is null, nothing is displayed, regardless of this flag. This flag also controls erasing of the status area after the URL has been displayed.

Returns:

true if the linkURL will be displayed in the status area when the mouse is over the button.

See Also:

setShowURLStatus

 isUseOffset

 public boolean isUseOffset()

Gets whether objects in the button will be offset down and to the right by the bevel height amount or not. This also impacts the way the button is drawn when it is pressed.

Returns:

true if bevel offset is used

See Also:

setUseOffset

 isValidBevelSize

 protected boolean isValidBevelSize(int i)

Is the given bevel size valid for this button.

Parameters:

i - the given bevel size

Returns:

true if the given bevel size is acceptable, false if not.

 isValidFrame

 protected boolean isValidFrame(String string)

Is the given frame string valid.

Parameters:

string - the given frame

Returns:

true if the given frame is acceptable, false if not. To be valid it has to be null, or one of the four strings below:

See Also:

frameTarget_self, frameTarget_parent, frameTarget_top, frameTarget_blank

 linkToURL

 protected void linkToURL()

Tell the browser to show the document referenced by the linkURL. If the frame specifier is not null or empty, then tell the browser to open the document with that frame.

 minimumSize

 public Dimension minimumSize()

Note: minimumSize() is deprecated.

Overrides:

minimumSize in class Component

See Also:

getMinimumSize

 paint

 public void paint(Graphics g)

Paints this component using the given graphics context. This is a standard Java AWT method which typically gets called by the AWT to handle painting this component. It paints this component using the given graphics context. The graphics context clipping region is set to the bounding rectangle of this component and its [0,0] coordinate is this component's top-left corner.

Parameters:

g - the graphics context used for painting

Overrides:

paint in class Canvas

See Also:

repaint, update

 preferredSize

 public Dimension preferredSize()

Note: preferredSize() is deprecated.

Overrides:

preferredSize in class Component

See Also:

getPreferredSize

 removeActionListener

 public synchronized void removeActionListener(ActionListener l)

Removes the specified action listener so it no longer receives action events from this button.

Parameters:

l - the action listener

 removeBevelHeightListener

 public synchronized void removeBevelHeightListener(PropertyChangeListener listener)

Removes a listener for the BevelHeight property changes.

Parameters:

listener - the listener to remove.

See Also:

addBevelHeightListener

 removeBevelHeightListener

 public synchronized void removeBevelHeightListener(VetoableChangeListener listener)

Removes a vetoable listener for the BevelHeight property changes.

Parameters:

listener - the listener to remove.

See Also:

addBevelHeightListener

 removeFrameListener

 public synchronized void removeFrameListener(PropertyChangeListener listener)

Removes a listener for the Frame property changes.

Parameters:

listener - the listener to remove.

See Also:

addFrameListener

 removeFrameListener

 public synchronized void removeFrameListener(VetoableChangeListener listener)

Removes a vetoable listener for the Frame property changes.

Parameters:

listener - the listener to remove.

See Also:

addFrameListener

 removeNotify

 public synchronized void removeNotify()

Tells this component that it is being removed from a container. This is a standard Java AWT method which gets called by the AWT when this component is removed from a container. Typically, it is used to destroy the peers of this component and all its subcomponents. It has been overridden here to unhook event listeners.

Overrides:

removeNotify in class Component

See Also:

addNotify

 removePropertyChangeListener

 public synchronized void removePropertyChangeListener(PropertyChangeListener listener)

Removes a listener for all event changes.

Parameters:

listener - the listener to remove.

See Also:

addPropertyChangeListener

 removeVetoableChangeListener

 public synchronized void removeVetoableChangeListener(VetoableChangeListener listener)

Removes a vetoable listener for all event changes.

Parameters:

listener - the listener to remove.

See Also:

addVetoableChangeListener

 setActionCommand

 public void setActionCommand(String command) throws PropertyVetoException

Sets the command name of the action event fired by this button.

Parameters:

command - The name of the action event command fired by this button

Throws: PropertyVetoException

if the specified property value is unacceptable

 setAppletContext

 protected void setAppletContext(AppletContext c)

Sets the applet context used to view documents.

Parameters:

c - the new applet context

 setBevelHeight

 public void setBevelHeight(int height) throws PropertyVetoException

Sets the "height" (cross-section) of a beveled edge, in pixels.

Parameters:

height - the size of the bevel in pixels

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getBevelHeight

 setBorderColor

 public void setBorderColor(Color color) throws PropertyVetoException

Sets the current border color.

Parameters:

color - the new border color

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getBorderColor

 setButtonColor

 public void setButtonColor(Color color) throws PropertyVetoException

Sets the current button color.

Parameters:

color - the new button color. The highlights of the button are derived from this color.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getButtonColor

 setEnabled

 public void setEnabled(boolean flag)

Enables this component so that it will respond to user input. This is a standard Java AWT method which gets called to enable or disable this component. Once enabled this component will respond to user input.

Parameters:

flag - true if the component is to be enabled; false if it is to be disabled.

Overrides:

setEnabled in class Component

See Also:

isEnabled

 setFrame

 public void setFrame(String newFrame) throws PropertyVetoException

Sets the frame specifier for showing a URL document in a browser or applet viewer. It is interpreted as follows:

"_self" show document in the current frame

"_parent" show document in the parent frame

"_top" show document in the topmost frame

"_blank" show document in a new unnamed toplevel window

all others show document in a new toplevel window with the given name

Parameters:

newFrame - the frame specifier

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getFrame, frameTarget_self, frameTarget_parent, frameTarget_top, frameTarget_blank

 setLinkURL

 public void setLinkURL(URL url) throws PropertyVetoException

Sets the URL of the document to link to when the button is clicked.

Parameters:

url - the URL

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getLinkURL

 setNotifyDelay

 public void setNotifyDelay(int delay) throws PropertyVetoException

Sets the notification event delay in milliseconds.

Parameters:

delay - the delay between notification events in milliseconds

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setNotifyWhilePressed, getNotifyDelay

 setNotifyWhilePressed

 public void setNotifyWhilePressed(boolean flag) throws PropertyVetoException

Sets whether the button will continually post notify events while pressed.

Parameters:

flag - true to post notify events; false to not post events

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

isNotifyWhilePressed, setNotifyDelay, getNotifyDelay

 setShowFocus

 public void setShowFocus(boolean flag) throws PropertyVetoException

Sets whether this component will visually indicate when it has the focus. This is done by drawing a focus rectangle within the component as needed.

Parameters:

flag - true to visually indicate focus, false to never indicate focus

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

isShowFocus

 setShowURLStatus

 public void setShowURLStatus(boolean flag) throws PropertyVetoException

Sets whether the linkURL will be displayed in the status area when the mouse is over the button. This flag also controls erasing of the status area after the URL has been displayed.

Parameters:

flag - true if the linkURL will be displayed in the status area when the mouse is over the button; false if not.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

isShowURLStatus

 setUseOffset

 public void setUseOffset(boolean flag) throws PropertyVetoException

Sets whether objects in the button will be offset down and to the right by the bevel height amount or not. This also impacts the way the button is drawn when it is pressed.

Parameters:

flag - true to have objects use the offset; false to have objects not move.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

isUseOffset, setBevelHeight, getBevelHeight

 simulateClick

 public void simulateClick()

Makes the button act as if it was pressed, drawing as if it were clicked and sending an action event as if it were clicked.

 sourceActionEvent

 protected void sourceActionEvent()

Fire an action event to the listeners.

 update

 public void update(Graphics g)

Handles redrawing of this component on the screen. This is a standard Java AWT method which gets called by the Java AWT (repaint()) to handle repainting this component on the screen. The graphics context clipping region is set to the bounding rectangle of this component and its [0,0] coordinate is this component's top-left corner. Typically this method paints the background color to clear the component's drawing space, sets graphics context to be the foreground color, and then calls paint() to draw the component. It is overridden here to prevent the flicker associated with the standard update() method's repainting of the background before painting the component itself.

Parameters:

g - the graphics context

Overrides:

update in class Component

See Also:

repaint, paint

 updateButtonImage

 protected void updateButtonImage()

Maintains the buttonImage size and draws the button in the buttonImage offscreen image.

See Also:

paint

 validate

 public void validate()

Ensures that this component is laid out properly, as needed. This is a standard Java AWT method which gets called by the AWT to make sure this component and its subcomponents have a valid layout. If this component was made invalid with a call to invalidate(), then it is laid out again. It is overridden here to locate the applet containing this component.

Overrides:

validate in class Component

See Also:

invalidate

 verifyContstrainedPropertyValues

 protected void verifyContstrainedPropertyValues()

Called after addNotify to set the internally constrined properties to their temporary values to validate them now that the component has been added to the form. This is used to avoid code-gen order dependencies, since VC generates all property manipulating code before adding the component to its container. Subclasses should override this function for any internally constrained properties, and call the super version in the overridden version.


 Class symantec.itools.awt.ButtonBaseBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.ButtonBaseBeanInfo

public class ButtonBaseBeanInfo
   extends SimpleBeanInfo

BeanInfo for ButtonBase.

 ButtonBaseBeanInfo()

Constructs a ButtonBaseBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 ButtonBaseBeanInfo

 public ButtonBaseBeanInfo()

Constructs a ButtonBaseBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.ComboBox

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Container
                   |
                   +----java.awt.Panel
                           |
                           +----symantec.itools.awt.ComboBox

public class ComboBox
   extends Panel

A ComboBox is a text field with an attached drop-down list box. It may be user-editable, "searchable", have horizontal and/or vertical scroll bars, and can use different fonts for the text box and the drop-down list. Also each list box item can have an image in addition to text. A user-editable ComboBox allows the user to enter any desired text into the text field. A searchable ComboBox allows the user to enter text into the text field as long as it matches one of the existing list items. This allows the user to select from a non-editable list by typing instead of dropping-down the list and selecting with the mouse.

Use a ComboBox to:

•	Compactly provide a list of items for the user to select from.

•	Have a text field that maintains a history of what's been entered in it.

•	Allow the user to either select from a list or enter a new value.

 actionCommand

The command name of the action event fired by this component.

 actionListener

The action listener to keep track of listeners for our action event.

 arrow

The button on the right part of this ComboBox that controls dopping the list.

 arrowDim

The dimension of the arrow button.

 bCaseSensitive

If true search compares are case-sensitive.

 bDown

True if the list is currently dropped (displayed).

 bEditable

If true this ComboBox has a user-editable text field.

 bOsFlag

True if running under Windows.

 bOverList

True if the mouse is over the ComboBox.

 bSearchable

If true this ComboBox is searchable.

 editBox

The text field part of this ComboBox.

 hPad

The distance between the direction button and the edit text box.

 iwidth

The width parameter value in the latest reshape() call.

 ix

The x parameter value in the latest reshape() call.

 iy

The y parameter value in the latest reshape() call.

 lheight

The current height of the list.

 list

The list part of this ComboBox.

 maxNumChars

The number of characters of the longest item in the list.

 searchI

The list item currently being checked for search match.

 searchIndex

Where the selected area starts in the user-entered text.

 searchLen

The number of items in the list to seach (all).

 showHScroll

If true the horizontal scroll bar is shown as needed.

 showVScroll

If true the vertical scroll bar is shown as needed.

 sLastText

The latest user-entered text.

 sSearchItem

The list item string used to match during searches.

 sSearchOrig

The user-entered string used to match during searches.

 sSearchText

The case-normalized user-entered string used to match during searches.

 vPad

The distance between the edit text box and the drop down list.

 ComboBox()

Constructs a new default ComboBox.

 ComboBox(boolean, boolean)

Constructs a new editable and/or searchable ComboBox.

 addActionListener(ActionListener)

Adds the specified action listener to receive action events

 addFirstTopDown()

Determines whether the ComboBox should be the first component added to its container, or the last.

 addItem(Image, String)

Adds the specified item with an image to the end of the drop-down list and enables it.

 addItem(Image, String, boolean)

Adds the specified item with an image to the end of the drop-down list and conditionally enables it.

 addItem(String)

Adds the specified item to the end of the drop-down list and enables the item.

 addItem(String, boolean)

Adds the specified item to the end of the drop-down list and conditionally enables it.

 addLastBottomUp()

Determines whether the ComboBox should be the last component added to its container, or the first.

 addNotify()

Tells this component that it has been added to a container.

 addPropertyChangeListener(PropertyChangeListener)

Adds a listener for all event changes.

 addVetoableChangeListener(VetoableChangeListener)

Adds a vetoable listener for all event changes.

 changeImage(int, Image)

Deprecated.

 changeText(int, String)

Deprecated.

 clear()

Clears all items from the drop-down list.

 countItems()

Returns the total number of items in the drop-down list.

 delItem(int)

Deletes an item from the drop-down list.

 delItems(int, int)

Deletes multiple items from the drop-down list.

 delSelectedItem()

Deletes the currently selected item from the list.

 deselect(int)

Deselects the drop-down list item at the specified zero-relative index.

 disable(int)

Deprecated.

 dropList(boolean)

Deprecated.

 enable(int)

Deprecated.

 enable(int, boolean)

Deprecated.

 getActionCommand()

 getCaseSensitive()

Deprecated.

 getEditable()

Deprecated.

 getItem(int)

Deprecated.

 getListItems()

Returns the current list as an array.

 getListText(int)

Returns the text associated with a drop-down item.

 getMinimumSize()

Returns the minimum dimensions to properly display this component.

 getPreferredSize()

Returns the recommended dimensions to properly display this component.

 getSearchable()

Deprecated.

 getSelectedIndex()

Gets the zero-relative index of the currently selected item in the drop-down list.

 getSelectedItem()

Returns the selected item on the drop-down list.

 getShowHorizontalScroll()

Deprecated.

 getShowVerticalScroll()

Deprecated.

 getText()

Returns the text in the edit field portion of the ComboBox, unless the ComboBox is not editable.

 isCaseSensitive()

Returns the current ComboBox case-sensitive search status.

 isEditable()

Gets whether the ComboBox is user-editable.

 isListDown()

Is the list up or down?

 isSearchable()

Returns the current ComboBox "searchable" status.

 isSelected(int)

Returns the selection state of the list item at the given zero-relative index.

 isShowHorizontalScroll()

Gets the current horizontal scrollbar display option.

 isShowVerticalScroll()

Gets the current vertical scrollbar display option.

 needsPlatformHelp()

Use this method to set a flag for use in your handleEvent to determine if the ComboBox needs help in "un-dropping".

 paint(Graphics)

Paints this component using the given graphics context.

 removeActionListener(ActionListener)

Removes the specified action listener so it no longer receives action events.

 removeNotify()

Tells this component that it is being removed from a container.

 removePropertyChangeListener(PropertyChangeListener)

Removes a listener for all event changes.

 removeVetoableChangeListener(VetoableChangeListener)

Removes a vetoable listener for all event changes.

 reshape(int, int, int, int)

Moves and/or resizes this component.

 reshapeInternals()

A utility routine to resize the sub-components that make up a ComboBox.

 select(int)

Selects the drop-down list item with the specified zero-relative index.

 select(String)

Selects the first drop-down item in the list which has exactly matching text.

 setActionCommand(String)

Sets the command name of the action event fired by this button.

 setCaseSensitive(boolean)

Conditionally set the ComboBox to be case sensitive during searches.

 setEditable(boolean)

Conditionally sets the ComboBox to be user-editable.

 setEnabled(int)

Enables a drop-down list item at a given zero-relative index.

 setEnabled(int, boolean)

Conditionally enables a drop-down list item at a given zero-relative index.

 setFont(Font)

Sets the font of the component.

 setImage(int, Image)

Changes the image associated with a drop-down item.

 setLayout(LayoutManager)

Takes no action.

 setListDown(boolean)

Handles dropping and "un-dropping" the ComboBox list.

 setListItems(String[])

Adds the string array to the list.

 setListText(int, String)

Changes the text associated with a drop-down item.

 setSearchable(boolean)

Conditionally sets the ComboBox to be searchable.

 setShowHorizontalScroll(boolean)

Sets whether or not the horizontal scrollbar should be made visible when necessary or should never be made visible.

 setShowVerticalScroll(boolean)

Sets whether or not the vertical scrollbar should be made visible when necessary or should never be made visible.

 setText(String)

Sets the text in the edit field portion of the ComboBox is not editable.

 sourceActionEvent()

Fire an action event to the listeners with the actionCommand

 sourceActionEvent(String)

Fire an action event to the listeners

 updateMaxNumChars()

Used to calculate the preferred size of the text field to determine overall preferred size.

 validate()

Validates this container and all of its subcomponents.

 verify()

Verify that at least one list item starts with the edit field's text.

 actionCommand

 protected String actionCommand

The command name of the action event fired by this component.

 actionListener

 protected ActionListener actionListener

The action listener to keep track of listeners for our action event.

 arrow

 protected DirectionButton arrow

The button on the right part of this ComboBox that controls dopping the list.

 arrowDim

 protected int arrowDim

The dimension of the arrow button.

 bCaseSensitive

 protected boolean bCaseSensitive

If true search compares are case-sensitive.

 bDown

 protected transient boolean bDown

True if the list is currently dropped (displayed).

 bEditable

 protected boolean bEditable

If true this ComboBox has a user-editable text field.

 bOsFlag

 protected static transient boolean bOsFlag

True if running under Windows.

 bOverList

 protected transient boolean bOverList

True if the mouse is over the ComboBox.

 bSearchable

 protected boolean bSearchable

If true this ComboBox is searchable.

 editBox

 protected TextField editBox

The text field part of this ComboBox.

 hPad

 protected int hPad

The distance between the direction button and the edit text box.

 iwidth

 protected int iwidth

The width parameter value in the latest reshape() call.

 ix

 protected int ix

The x parameter value in the latest reshape() call.

 iy

 protected int iy

The y parameter value in the latest reshape() call.

 lheight

 protected int lheight

The current height of the list.

 list

 protected ImageListBox list

The list part of this ComboBox.

 maxNumChars

 protected int maxNumChars

The number of characters of the longest item in the list. Used to calculate preferred size.

See Also:

updateMaxNumChars

 searchI

 protected int searchI

The list item currently being checked for search match.

 searchIndex

 protected int searchIndex

Where the selected area starts in the user-entered text.

 searchLen

 protected int searchLen

The number of items in the list to seach (all).

 showHScroll

 protected boolean showHScroll

If true the horizontal scroll bar is shown as needed.

 showVScroll

 protected boolean showVScroll

If true the vertical scroll bar is shown as needed.

 sLastText

 protected transient String sLastText

The latest user-entered text.

 sSearchItem

 protected String sSearchItem

The list item string used to match during searches.

 sSearchOrig

 protected String sSearchOrig

The user-entered string used to match during searches. Not case normalized.

 sSearchText

 protected String sSearchText

The case-normalized user-entered string used to match during searches.

 vPad

 protected int vPad

The distance between the edit text box and the drop down list.

 ComboBox

 public ComboBox()

Constructs a new default ComboBox. The ComboBox is not editable and not searchable by default.

 ComboBox

 public ComboBox(boolean editable,
                 boolean searchable)

Constructs a new editable and/or searchable ComboBox.

Parameters:

editable - true = editable, false = non-editable

searchable - true = searchable, false = non-searchable

 addActionListener

 public synchronized void addActionListener(ActionListener l)

Adds the specified action listener to receive action events

Parameters:

l - the action listener

 addFirstTopDown

 public static boolean addFirstTopDown()

Determines whether the ComboBox should be the first component added to its container, or the last. This varies from system to system depending on the native user interface. If this method returns true, add the ComboBox before adding other components. If it returns false, add other components before adding the ComboBox. If the ComboBox is added in the wrong order, the drop-down list box will be drawn under the other components instead of on top of them.

Returns:

if true add the ComboBox to its container before other components, otherwise add after all other components

See Also:

addLastBottomUp

 addItem

 public synchronized void addItem(Image image,
                                  String item) throws PropertyVetoException

Adds the specified item with an image to the end of the drop-down list and enables it.

Parameters:

image - the image to display on the item line

item - the item to be added

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

addItem, addItem, addItem, setListItems

 addItem

 public synchronized void addItem(Image image,
                                  String item,
                                  boolean bEnabled) throws PropertyVetoException

Adds the specified item with an image to the end of the drop-down list and conditionally enables it.

Parameters:

image - the image to display on the item line

item - the item to be added

bEnabled - true = enable the item, false = disable it

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

addItem, addItem, addItem, setListItems

 addItem

 public synchronized void addItem(String item) throws PropertyVetoException

Adds the specified item to the end of the drop-down list and enables the item.

Parameters:

item - the item to be added

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

addItem, addItem, addItem, setListItems

 addItem

 public synchronized void addItem(String item,
                                  boolean bEnabled) throws PropertyVetoException

Adds the specified item to the end of the drop-down list and conditionally enables it.

Parameters:

item - the item to be added

bEnabled - true = enable the item, false = disable it

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

addItem, addItem, addItem, setListItems

 addLastBottomUp

 public static boolean addLastBottomUp()

Determines whether the ComboBox should be the last component added to its container, or the first. This varies from system to system depending on the native user interface. If this method returns true, add the ComboBox after adding other components. If it returns false, add other components after adding the ComboBox. If the ComboBox is added in the wrong order, the drop-down list box will be drawn under the other components instead of on top of them.

Returns:

if true add the ComboBox to its container after other components, otherwise add before all other components

See Also:

addFirstTopDown

 addNotify

 public synchronized void addNotify()

Tells this component that it has been added to a container. This is a standard Java AWT method which gets called by the AWT when this component is added to a container. Typically, it is used to create this component's peer. It has been overridden here to hook-up event listeners.

Overrides:

addNotify in class Panel

See Also:

removeNotify

 addPropertyChangeListener

 public synchronized void addPropertyChangeListener(PropertyChangeListener listener)

Adds a listener for all event changes.

Parameters:

listener - the listener to add.

See Also:

removePropertyChangeListener

 addVetoableChangeListener

 public synchronized void addVetoableChangeListener(VetoableChangeListener listener)

Adds a vetoable listener for all event changes.

Parameters:

listener - the listener to add.

See Also:

removeVetoableChangeListener

 changeImage

 public void changeImage(int index,
                         Image image) throws PropertyVetoException

Note: changeImage() is deprecated.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setImage

 changeText

 public void changeText(int index,
                        String text) throws PropertyVetoException

Note: changeText() is deprecated.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setListText

 clear

 public void clear()

Clears all items from the drop-down list.

 countItems

 public int countItems()

Returns the total number of items in the drop-down list.

 delItem

 public synchronized void delItem(int position) throws PropertyVetoException

Deletes an item from the drop-down list.

Parameters:

position - the zero-relative index of the item

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

delItems, addItem, addItem, addItem, addItem, setListItems

 delItems

 public synchronized void delItems(int start,
                                   int end) throws PropertyVetoException

Deletes multiple items from the drop-down list. (Note: the end position must be greater than or equal to the start position.)

Parameters:

start - the starting zero-relative index of the items

end - the ending zero-relative index of the items

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

delItem, addItem, addItem, addItem, addItem, setListItems

 delSelectedItem

 public synchronized void delSelectedItem() throws PropertyVetoException

Deletes the currently selected item from the list.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

addItem, addItem, addItem, addItem, setListItems

 deselect

 public synchronized void deselect(int index) throws PropertyVetoException

Deselects the drop-down list item at the specified zero-relative index.

Parameters:

index - the zero-relative index of the drop-down item to deselect

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

select

 disable

 public void disable(int index) throws PropertyVetoException

Note: disable() is deprecated.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setEnabled

 dropList

 public void dropList(boolean bDown) throws PropertyVetoException

Note: dropList() is deprecated.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setListDown

 enable

 public void enable(int index) throws PropertyVetoException

Note: enable() is deprecated.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setEnabled

 enable

 public void enable(int index,
                    boolean cond) throws PropertyVetoException

Note: enable() is deprecated.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setEnabled

 getActionCommand

 public String getActionCommand()

Returns:

s the command name of the action event fired by this button.

 getCaseSensitive

 public boolean getCaseSensitive()

Note: getCaseSensitive() is deprecated.

See Also:

isSearchable

 getEditable

 public boolean getEditable()

Note: getEditable() is deprecated.

See Also:

isEditable

 getItem

 public String getItem(int index)

Note: getItem() is deprecated.

See Also:

getListText

 getListItems

 public String[] getListItems()

Returns the current list as an array.

See Also:

setListItems

 getListText

 public String getListText(int index)

Returns the text associated with a drop-down item.

Returns:

the text associated with the drop-down item at index

See Also:

setListText

 getMinimumSize

 public Dimension getMinimumSize()

Returns the minimum dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the minimum size of this component. Returns the results of a call to getPreferredSize.

Overrides:

getMinimumSize in class Container

See Also:

getPreferredSize

 getPreferredSize

 public Dimension getPreferredSize()

Returns the recommended dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the recommended size of this component. Preferred size is .

Overrides:

getPreferredSize in class Container

See Also:

getMinimumSize

 getSearchable

 public boolean getSearchable()

Note: getSearchable() is deprecated.

See Also:

isSearchable

 getSelectedIndex

 public int getSelectedIndex()

Gets the zero-relative index of the currently selected item in the drop-down list.

Returns:

the zero-relative index of the current selection, or -1 if no item is selected

See Also:

getSelectedItem

 getSelectedItem

 public String getSelectedItem()

Returns the selected item on the drop-down list.

Returns:

the text of the selected item, or null if no item is selected

See Also:

getText, getSelectedIndex

 getShowHorizontalScroll

 public boolean getShowHorizontalScroll()

Note: getShowHorizontalScroll() is deprecated.

See Also:

isShowHorizontalScroll

 getShowVerticalScroll

 public boolean getShowVerticalScroll()

Note: getShowVerticalScroll() is deprecated.

See Also:

isShowVerticalScroll

 getText

 public String getText()

Returns the text in the edit field portion of the ComboBox, unless the ComboBox is not editable.

Returns:

the edit field text if editable, or null if this ComboBox is not editable

See Also:

getSelectedItem

 isCaseSensitive

 public boolean isCaseSensitive()

Returns the current ComboBox case-sensitive search status.

See Also:

setSearchable

 isEditable

 public boolean isEditable()

Gets whether the ComboBox is user-editable.

Returns:

true if it is user-editable, false otherwise

See Also:

setEditable

 isListDown

 public boolean isListDown()

Is the list up or down?

Returns:

true if the list is down, false if not.

See Also:

setListDown

 isSearchable

 public boolean isSearchable()

Returns the current ComboBox "searchable" status. A searchable ComboBox allows the user to enter text into the text field as long as it matches one of the existing list items. This allows the user to select from a non-editable list by typing instead of dropping-down the list and selecting with the mouse.

See Also:

setSearchable

 isSelected

 public synchronized boolean isSelected(int index)

Returns the selection state of the list item at the given zero-relative index.

Parameters:

index - the zero-relative index of the drop-down list item to be checked

Returns:

true if the drop-down list item at the specified index has been selected; false otherwise

See Also:

select

 isShowHorizontalScroll

 public boolean isShowHorizontalScroll()

Gets the current horizontal scrollbar display option.

Returns:

true if the horizontal scrollbar should be displayed when necessary, false if the scrollbar should never be shown

See Also:

setShowHorizontalScroll

 isShowVerticalScroll

 public boolean isShowVerticalScroll()

Gets the current vertical scrollbar display option.

Returns:

true if the vertical scrollbar should be displayed when necessary, false if the scrollbar should never be shown

See Also:

setShowVerticalScroll

 needsPlatformHelp

 public static boolean needsPlatformHelp()

Use this method to set a flag for use in your handleEvent to determine if the ComboBox needs help in "un-dropping". This will improve useability under platforms which do not provide proper focus events. For best performance assign a variable in your class once to avoid repeated function calls to this method, like this:

   boolean bNeedsPlatformHelp = ComboBox.needsPlatformHelp();
   public boolean handleEvent(Event evt)
   {
       switch (evt.id)
       {
           case Event.MOUSE_UP:
               // do it on mouse up, which indicates a full click somewhere other than
               // the ComboBox that could be currently dropped down.
               if (bNeedsPlatformHelp && ComboBox.isListDown)
                   ComboBox.setListDown(false);
               break; // or other MOUSE_UP processing as necessary
           ...
       }
       ...
   }

See Also:

setListDown

 paint

 public void paint(Graphics g)

Paints this component using the given graphics context. This is a standard Java AWT method which typically gets called by the AWT to handle painting this component. It paints this component using the given graphics context. The graphics context clipping region is set to the bounding rectangle of this component and its [0,0] coordinate is this component's top-left corner.

Parameters:

g - the graphics context used for painting

Overrides:

paint in class Container

See Also:

repaint, update

 removeActionListener

 public synchronized void removeActionListener(ActionListener l)

Removes the specified action listener so it no longer receives action events.

Parameters:

l - the action listener

 removeNotify

 public synchronized void removeNotify()

Tells this component that it is being removed from a container. This is a standard Java AWT method which gets called by the AWT when this component is removed from a container. Typically, it is used to destroy the peers of this component and all its subcomponents. It has been overridden here to unhook event listeners.

Overrides:

removeNotify in class Container

See Also:

addNotify

 removePropertyChangeListener

 public synchronized void removePropertyChangeListener(PropertyChangeListener listener)

Removes a listener for all event changes.

Parameters:

listener - the listener to remove.

See Also:

addPropertyChangeListener

 removeVetoableChangeListener

 public synchronized void removeVetoableChangeListener(VetoableChangeListener listener)

Removes a vetoable listener for all event changes.

Parameters:

listener - the listener to remove.

See Also:

addVetoableChangeListener

 reshape

 public synchronized void reshape(int x,
                                  int y,
                                  int width,
                                  int height)

Moves and/or resizes this component. This is a standard Java AWT method which gets called to move and/or resize this component. Components that are in containers with layout managers should not call this method, but rely on the layout manager instead.

Parameters:

x - horizontal position in the parent's coordinate space

y - vertical position in the parent's coordinate space

width - the new width

height - the new height

Overrides:

reshape in class Component

 reshapeInternals

 protected void reshapeInternals()

A utility routine to resize the sub-components that make up a ComboBox.

 select

 public synchronized void select(int index) throws PropertyVetoException

Selects the drop-down list item with the specified zero-relative index.

Parameters:

index - the zero-relative index of the drop-down list item to select

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

deselect

 select

 public void select(String str) throws PropertyVetoException

Selects the first drop-down item in the list which has exactly matching text.

Parameters:

str - the String to match

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

deselect

 setActionCommand

 public void setActionCommand(String command) throws PropertyVetoException

Sets the command name of the action event fired by this button.

Parameters:

command - The name of the action event command fired by this button

Throws: PropertyVetoException

if the specified property value is unacceptable

 setCaseSensitive

 public void setCaseSensitive(boolean bCaseSensitive) throws PropertyVetoException

Conditionally set the ComboBox to be case sensitive during searches.

Parameters:

bCaseSensitive - true = case-sensitive, false = case-insensitive

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getCaseSensitive

 setEditable

 public void setEditable(boolean editable) throws PropertyVetoException

Conditionally sets the ComboBox to be user-editable.

Parameters:

editable - true = editable, false = non-editable

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

isEditable

 setEnabled

 public void setEnabled(int index) throws PropertyVetoException

Enables a drop-down list item at a given zero-relative index.

Parameters:

index - the zero-relative index of the drop-down list item

Throws: PropertyVetoException

if the specified property value is unacceptable

 setEnabled

 public void setEnabled(int index,
                        boolean cond) throws PropertyVetoException

Conditionally enables a drop-down list item at a given zero-relative index.

Parameters:

index - the zero-relative index of the drop-down list item

cond - true = enable the item, false = disable it

Throws: PropertyVetoException

if the specified property value is unacceptable

 setFont

 public synchronized void setFont(Font newFont)

Sets the font of the component.

Parameters:

f - the font

Overrides:

setFont in class Component

See Also:

getFont

 setImage

 public void setImage(int index,
                      Image image) throws PropertyVetoException

Changes the image associated with a drop-down item.

Parameters:

index - the zero-relative index of the drop-down item

image - the image to associate with the drop-down item

Throws: PropertyVetoException

if the specified property value is unacceptable

 setLayout

 public void setLayout(LayoutManager lm)

Takes no action. This is a standard Java AWT method which gets called to specify which layout manager should be used to layout the components in standard containers. Since layout managers CANNOT BE USED with this container the standard setLayout has been OVERRIDDEN for this container and does nothing.

Parameters:

lm - the layout manager to use to layout this container's components (IGNORED)

Overrides:

setLayout in class Container

See Also:

getLayout

 setListDown

 public void setListDown(boolean isDown) throws PropertyVetoException

Handles dropping and "un-dropping" the ComboBox list.

Parameters:

isDown - true to drop the list, false to "un-drop" the list.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

isListDown

 setListItems

 public void setListItems(String items[]) throws PropertyVetoException

Adds the string array to the list.

Parameters:

items - items to add to the list

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getListItems, addItem, addItem, addItem, addItem

 setListText

 public void setListText(int index,
                         String text) throws PropertyVetoException

Changes the text associated with a drop-down item.

Parameters:

index - the zero-relative index of the drop-down item

text - the text to associate with the drop-down item

Throws: PropertyVetoException

if the specified property value is unacceptable

 setSearchable

 public void setSearchable(boolean searchable) throws PropertyVetoException

Conditionally sets the ComboBox to be searchable. A searchable ComboBox allows the user to enter text into the text field as long as it matches one of the existing list items. This allows the user to select from a non-editable list by typing instead of dropping-down the list and selecting with the mouse.

Parameters:

searchable - true = searchable, false = non-searchable

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

isSearchable

 setShowHorizontalScroll

 public void setShowHorizontalScroll(boolean cond) throws PropertyVetoException

Sets whether or not the horizontal scrollbar should be made visible when necessary or should never be made visible.

Parameters:

cond - true = show when necessary, false = never show

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

isShowHorizontalScroll

 setShowVerticalScroll

 public void setShowVerticalScroll(boolean cond) throws PropertyVetoException

Sets whether or not the vertical scrollbar should be made visible when necessary or should never be made visible.

Parameters:

cond - true = show when necessary, false = never show

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

isShowVerticalScroll

 setText

 public void setText(String newText) throws PropertyVetoException

Sets the text in the edit field portion of the ComboBox is not editable.

Parameters:

text - to replace the text of the EditBox

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getSelectedItem

 sourceActionEvent

 protected void sourceActionEvent()

Fire an action event to the listeners with the actionCommand

See Also:

sourceActionEvent

 sourceActionEvent

 protected void sourceActionEvent(String command)

Fire an action event to the listeners

Parameters:

the - string containing the command to send with the event.

See Also:

sourceActionEvent

 updateMaxNumChars

 protected void updateMaxNumChars()

Used to calculate the preferred size of the text field to determine overall preferred size. Should be called after any manipulation of the list items.

See Also:

getPreferredSize

 validate

 public void validate()

Validates this container and all of its subcomponents.

Overrides:

validate in class Container

 verify

 protected void verify()

Verify that at least one list item starts with the edit field's text. If a match is found, the edit field's text is set to that item's value. This is done only if searching is enabled.


 Class symantec.itools.awt.ComboBoxBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.ComboBoxBeanInfo

public class ComboBoxBeanInfo
   extends SimpleBeanInfo

BeanInfo for ComboBox.

 ComboBoxBeanInfo()

Constructs a ComboBoxBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 ComboBoxBeanInfo

 public ComboBoxBeanInfo()

Constructs a ComboBoxBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getDefaultPropertyIndex

 public int getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

Overrides:

getDefaultPropertyIndex in class SimpleBeanInfo

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.CompareCells

java.lang.Object
   |
   +----symantec.itools.awt.CompareCells

public abstract class CompareCells
   extends Object
   implements CompareFuncCB

This is a helper class to the MultiList class. It is used to compare Cells of the MultiList.

 bs

A set of flags that indicates which rows are hilighted in the MultiList.

 lessOrBig

The current compare mode for the lessThan method.

 selRow

The zero-relative index of the currently selected row, or -1 if none.

 CompareCells()

Constructs a CompareCells object.

 callBackSwap(Object, Object)

Exchanges the compared values (rows) in the two given objects.

 compareObjects(Object, Object)

Compares the value of two objects.

 getSelectedRow()

Gets the row which has been noted as selected.

 lessThan(Object, Object)

By default, determines whether the first object's value is less than the second's.

 reverse()

Toggles the comparison done by the lessThan method.

 setCurrentBitSet(BitSet)

Notes which rows are hilighted before a sort is performed.

 setSelectedRow(int)

Notes which row is selected before a sort is performed.

 bs

 protected BitSet bs

A set of flags that indicates which rows are hilighted in the MultiList.

 lessOrBig

 protected boolean lessOrBig

The current compare mode for the lessThan method. If true, the lessThan method determines whether the first object's value is less than the second's. If false, the lessThan method determines whether the first object's value is is greater than or equal to the second's.

See Also:

lessThan, reverse

 selRow

 protected int selRow

The zero-relative index of the currently selected row, or -1 if none.

 CompareCells

 public CompareCells()

Constructs a CompareCells object.

 callBackSwap

 public void callBackSwap(Object o1,
                          Object o2)

Exchanges the compared values (rows) in the two given objects.

Parameters:

o1 - the first object, a Matrix

o2 - the second object, a Matrix

 compareObjects

 public abstract int compareObjects(Object o1,
                                    Object o2)

Compares the value of two objects.

Parameters:

o1 - the first object

o2 - the second object

Returns:

0 if the object's values are equal, less than 0 if the first object's value is less than the second object's value, and greater than 0 if the first object's value is greater than the second object's value

 getSelectedRow

 public int getSelectedRow()

Gets the row which has been noted as selected.

See Also:

setSelectedRow

 lessThan

 public boolean lessThan(Object o1,
                         Object o2)

By default, determines whether the first object's value is less than the second's. Calling the reverse method toggles between the default behavior and determining the if the first object's value is greater than or equal to the second's.

Parameters:

o1 - the first object

o2 - the second object

See Also:

reverse

 reverse

 public void reverse()

Toggles the comparison done by the lessThan method. By default, the lessThan method determines whether the first object's value is less than the second's. Calling the this method toggles between toggles netween that behavior and determining the if the first object's value is greater than or equal to the second's.

See Also:

lessThan

 setCurrentBitSet

 public void setCurrentBitSet(BitSet bs)

Notes which rows are hilighted before a sort is performed.

Parameters:

bs - flags indicating which rows are hilighted in the MultiList

 setSelectedRow

 public void setSelectedRow(int selRow)

Notes which row is selected before a sort is performed.

Parameters:

selRow - the zero-relative index of the currently selected row

See Also:

getSelectedRow


 Class symantec.itools.awt.DirectionButton

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Canvas
                   |
                   +----symantec.itools.awt.ButtonBase
                           |
                           +----symantec.itools.awt.DirectionButton

public class DirectionButton
   extends ButtonBase
   implements Serializable

The DirectionButton is a button component that has an arrow drawn in it that points one of four ways (left, up, right, or down). At runtime, the button has a raised look and a pressed look.

This component is usually used in conjunction with a combo or list box to indicate a list that the user can view by clicking the arrow, or with spinners to let the user scroll through available values.

 arrowColor

The color of the arrow in the button.

 bottom

The number of pixels to shrink the arrow from the bottom side of the button.

 direction

The direction the arrow points.

 disabledArrowColor

The color of the arrow when the button is disabled.

 DOWN

The point DOWN style constant.

 errors

Error strings.

 indent

The margin around the arrow in pixels.

 left

The number of pixels to shrink the arrow from the left side of the button.

 LEFT

The point LEFT style constant.

 right

The number of pixels to shrink the arrow from the right side of the button.

 RIGHT

The point RIGHT style constant.

 tempIndent

Internal use.

 top

The number of pixels to shrink the arrow from the top side of the button.

 UP

The point UP style constant.

 DirectionButton()

Constructs a default DirectionButton, which will point left.

 DirectionButton(int)

Constructs a DirectionButton pointing the specified direction.

 addArrowIndentListener(PropertyChangeListener)

Adds a listener for the ArrowIndent property changes.

 addArrowIndentListener(VetoableChangeListener)

Adds a vetoable listener for the ArrowIndent property changes.

 addDirectionListener(PropertyChangeListener)

Adds a listener for the Direction property changes.

 addDirectionListener(VetoableChangeListener)

Adds a vetoable listener for the Direction property changes.

 addNotify()

Tells this component that it has been added to a container.

 addPropertyChangeListener(PropertyChangeListener)

Adds a listener for all event changes.

 addVetoableChangeListener(VetoableChangeListener)

Adds a vetoable listener for all event changes.

 fillTriangle(Graphics, int, int, int, int, int, int, int)

Fills a triangle which has at least one side that is straight up and down or left and right.

 getArrowColor()

Gets the current color of the direction arrow.

 getArrowIndent()

Returns the amount of blank space between the arrow and the button border in pixels.

 getDirection()

Returns the direction the button is currently pointing.

 getMinimumSize()

Returns the minimum dimensions to properly display this component.

 getPreferredSize()

Returns the recommended dimensions to properly display this component.

 isValidArrowIndent(int)

Is the given arrow indent is valid for this button.

 isValidBevelSize(int)

Is the given bevel size valid for this button.

 isValidDirection(int)

Is the given direction valid for this button.

 removeArrowIndentListener(PropertyChangeListener)

Removes a listener for the ArrowIndent property changes.

 removeArrowIndentListener(VetoableChangeListener)

Removes a vetoable listener for the ArrowIndent property changes.

 removeDirectionListener(PropertyChangeListener)

Removes a listener for the Direction property changes.

 removeDirectionListener(VetoableChangeListener)

Removes a vetoable listener for the Direction property changes.

 removeNotify()

Tells this component that it is being removed from a container.

 removePropertyChangeListener(PropertyChangeListener)

Removes a listener for all event changes.

 removeVetoableChangeListener(VetoableChangeListener)

Removes a vetoable listener for all event changes.

 setArrowColor(Color)

Sets the color of the direction arrow.

 setArrowIndent(int)

Sets the amount of blank space between the arrow and the button border in pixels.

 setDirection(int)

Sets the direction of the arrow after construction.

 shrinkTriangle(int, int, int, int)

Sets the extra amount, in pixels, to shrink the arrow triangle.

 updateButtonImage()

Maintains the buttonImage size and draws the button in the buttonImage offscreen image.

 verifyContstrainedPropertyValues()

Called after addNotify to set the internally constrined properties to their temporary values to validate them now that the component has been added to the form.

 arrowColor

 protected Color arrowColor

The color of the arrow in the button.

 bottom

 protected int bottom

The number of pixels to shrink the arrow from the bottom side of the button.

 direction

 protected int direction

The direction the arrow points. One of: LEFT, UP, RIGHT, or DOWN.

See Also:

LEFT, UP, RIGHT, DOWN

 disabledArrowColor

 protected Color disabledArrowColor

The color of the arrow when the button is disabled.

 DOWN

 public static final int DOWN

The point DOWN style constant.

 errors

 protected transient ResourceBundle errors

Error strings.

 indent

 protected int indent

The margin around the arrow in pixels. 0 = arrow takes up entire button.

 left

 protected int left

The number of pixels to shrink the arrow from the left side of the button.

 LEFT

 public static final int LEFT

The point LEFT style constant.

 right

 protected int right

The number of pixels to shrink the arrow from the right side of the button.

 RIGHT

 public static final int RIGHT

The point RIGHT style constant.

 tempIndent

 protected int tempIndent

Internal use. Indent value stored until this component is added to a container. It is then used to set the real indent value. This avoids code-gen order dependencies.

 top

 protected int top

The number of pixels to shrink the arrow from the top side of the button.

 UP

 public static final int UP

The point UP style constant.

 DirectionButton

 public DirectionButton()

Constructs a default DirectionButton, which will point left.

 DirectionButton

 public DirectionButton(int d)

Constructs a DirectionButton pointing the specified direction.

Parameters:

d - a style constant indicating which direction to point the button

See Also:

LEFT, UP, RIGHT, DOWN

 addArrowIndentListener

 public synchronized void addArrowIndentListener(PropertyChangeListener listener)

Adds a listener for the ArrowIndent property changes.

Parameters:

listener - the listener to add.

See Also:

removeArrowIndentListener

 addArrowIndentListener

 public synchronized void addArrowIndentListener(VetoableChangeListener listener)

Adds a vetoable listener for the ArrowIndent property changes.

Parameters:

listener - the listener to add.

See Also:

removeArrowIndentListener

 addDirectionListener

 public synchronized void addDirectionListener(PropertyChangeListener listener)

Adds a listener for the Direction property changes.

Parameters:

listener - the listener to add.

See Also:

removeDirectionListener

 addDirectionListener

 public synchronized void addDirectionListener(VetoableChangeListener listener)

Adds a vetoable listener for the Direction property changes.

Parameters:

listener - the listener to add.

See Also:

removeDirectionListener

 addNotify

 public synchronized void addNotify()

Tells this component that it has been added to a container. This is a standard Java AWT method which gets called by the AWT when this component is added to a container. Typically, it is used to create this component's peer. It has been overridden here to hook-up event listeners.

Overrides:

addNotify in class ButtonBase

See Also:

removeNotify

 addPropertyChangeListener

 public synchronized void addPropertyChangeListener(PropertyChangeListener listener)

Adds a listener for all event changes.

Parameters:

listener - the listener to add.

Overrides:

addPropertyChangeListener in class ButtonBase

See Also:

removePropertyChangeListener

 addVetoableChangeListener

 public synchronized void addVetoableChangeListener(VetoableChangeListener listener)

Adds a vetoable listener for all event changes.

Parameters:

listener - the listener to add.

Overrides:

addVetoableChangeListener in class ButtonBase

See Also:

removeVetoableChangeListener

 fillTriangle

 protected void fillTriangle(Graphics g,
                             int tipX,
                             int tipY,
                             int aX,
                             int aY,
                             int bX,
                             int bY,
                             int direction)

Fills a triangle which has at least one side that is straight up and down or left and right.

Parameters:

g - the Graphics to use to draw with.

tipX - the horizontal coordinate of the point opposite a straight side.

tipY - the vertical coordinate of the point opposite a straight side.

aX - the horizontal coordinate of one of the two points defining the straight side.

aY - the vertical coordinate of one of the two points defining the straight side.

bX - the horizontal coordinate of one of the two points defining the straight side.

bY - the vertical coordinate of one of the two points defining the straight side.

direction - the direction of the straight line UP, DOWN, or LEFT, RIGHT. aX and bX should be the same for UP or Down. aY and bY should be the same for LEFT or RIGHT. If not, then the a coordinates are used.

See Also:

UP, DOWN, LEFT, RIGHT

 getArrowColor

 public Color getArrowColor()

Gets the current color of the direction arrow.

Returns:

the current arrow color

See Also:

setArrowColor

 getArrowIndent

 public int getArrowIndent()

Returns the amount of blank space between the arrow and the button border in pixels.

See Also:

setArrowIndent

 getDirection

 public int getDirection()

Returns the direction the button is currently pointing.

See Also:

setDirection, LEFT, UP, RIGHT, DOWN

 getMinimumSize

 public Dimension getMinimumSize()

Returns the minimum dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the minimum size of this component.

Returns:

a button that has a content area of 3 by 3 pixels.

Overrides:

getMinimumSize in class ButtonBase

See Also:

getMinimumSize

 getPreferredSize

 public Dimension getPreferredSize()

Returns the recommended dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the recommended size of this component.

Returns:

a button that has a content area of 7 by 7 pixels.

Overrides:

getPreferredSize in class ButtonBase

See Also:

getMinimumSize

 isValidArrowIndent

 protected boolean isValidArrowIndent(int i)

Is the given arrow indent is valid for this button.

Parameters:

i - the given bevel size

Returns:

true if the given indent size is acceptable, false if not.

 isValidBevelSize

 protected boolean isValidBevelSize(int i)

Is the given bevel size valid for this button.

Parameters:

i - the given bevel size

Returns:

true if the given bevel size is acceptable, false if not.

Overrides:

isValidBevelSize in class ButtonBase

 isValidDirection

 protected boolean isValidDirection(int i)

Is the given direction valid for this button.

Parameters:

i - the given bevel size

Returns:

true if the given direction is acceptable, false if not.

 removeArrowIndentListener

 public synchronized void removeArrowIndentListener(PropertyChangeListener listener)

Removes a listener for the ArrowIndent property changes.

Parameters:

listener - the listener to remove.

See Also:

addArrowIndentListener

 removeArrowIndentListener

 public synchronized void removeArrowIndentListener(VetoableChangeListener listener)

Removes a vetoable listener for the ArrowIndent property changes.

Parameters:

listener - the listener to remove.

See Also:

addArrowIndentListener

 removeDirectionListener

 public synchronized void removeDirectionListener(PropertyChangeListener listener)

Removes a listener for the Direction property changes.

Parameters:

listener - the listener to remove.

See Also:

addDirectionListener

 removeDirectionListener

 public synchronized void removeDirectionListener(VetoableChangeListener listener)

Removes a vetoable listener for the Direction property changes.

Parameters:

listener - the listener to remove.

See Also:

addDirectionListener

 removeNotify

 public synchronized void removeNotify()

Tells this component that it is being removed from a container. This is a standard Java AWT method which gets called by the AWT when this component is removed from a container. Typically, it is used to destroy the peers of this component and all its subcomponents. It has been overridden here to unhook event listeners.

Overrides:

removeNotify in class ButtonBase

See Also:

addNotify

 removePropertyChangeListener

 public synchronized void removePropertyChangeListener(PropertyChangeListener listener)

Removes a listener for all event changes.

Parameters:

listener - the listener to remove.

Overrides:

removePropertyChangeListener in class ButtonBase

See Also:

addPropertyChangeListener

 removeVetoableChangeListener

 public synchronized void removeVetoableChangeListener(VetoableChangeListener listener)

Removes a vetoable listener for all event changes.

Parameters:

listener - the listener to remove.

Overrides:

removeVetoableChangeListener in class ButtonBase

See Also:

addVetoableChangeListener

 setArrowColor

 public void setArrowColor(Color newValue) throws PropertyVetoException

Sets the color of the direction arrow.

Parameters:

newValue - the new arrow color.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getArrowColor

 setArrowIndent

 public void setArrowIndent(int ai) throws PropertyVetoException

Sets the amount of blank space between the arrow and the button border in pixels.

Parameters:

ai - the margin around the arrow in pixels. 0=arrow takes up entire button

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getArrowIndent

 setDirection

 public void setDirection(int d) throws PropertyVetoException

Sets the direction of the arrow after construction.

Parameters:

d - constant indicating direction to point button

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getDirection, LEFT, UP, RIGHT, DOWN

 shrinkTriangle

 public void shrinkTriangle(int l,
                            int r,
                            int t,
                            int b)

Sets the extra amount, in pixels, to shrink the arrow triangle. Constrains the values such that the arrow will never be less than three pixels. If a value is entered that would exceed this limit, the limit will be used instead.

Parameters:

left - pixels to shrink from left side

right - pixels to shrink from right side

top - pixels to shrink from top

bottom - pixels to shrink from bottom

 updateButtonImage

 protected void updateButtonImage()

Maintains the buttonImage size and draws the button in the buttonImage offscreen image.

Overrides:

updateButtonImage in class ButtonBase

See Also:

updateButtonImage

 verifyContstrainedPropertyValues

 protected void verifyContstrainedPropertyValues()

Called after addNotify to set the internally constrined properties to their temporary values to validate them now that the component has been added to the form. This is used to avoid code-gen order dependencies, since VC generates all property manipulating code before adding the component to its container. Subclasses should override this function for any internally constrained properties, and call the super version in the overridden version.

Overrides:

verifyContstrainedPropertyValues in class ButtonBase


 Class symantec.itools.awt.DirectionButtonBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.DirectionButtonBeanInfo

public class DirectionButtonBeanInfo
   extends SimpleBeanInfo

BeanInfo for DirectionButton.

 DirectionButtonBeanInfo()

Constructs a DirectionButtonBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 DirectionButtonBeanInfo

 public DirectionButtonBeanInfo()

Constructs a DirectionButtonBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.FormattedTextField

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.TextComponent
                   |
                   +----java.awt.TextField
                           |
                           +----symantec.itools.awt.FormattedTextField

public class FormattedTextField
   extends TextField

Creates a box in which the user can type text. Text formatting logic is applied to the user input.

Use FormattedTextField to

· Limit the type of text that can be entered in the text box.

· Display text captured from the keyboard.

· Edit a line of text.

· Post an event based on text input from the keyboard.

If the text box already contains text, the user can select the default text and delete or edit it.

 ALPHA_LOWER

Character mask constant, input must be a lowercase alpha character.

 ALPHA_TO_LOWER

Character mask constant, input must be an alpha character (it will be converted to lowercase).

 ALPHA_TO_UPPER

Character mask constant, input must be an alpha character (it will be converted to uppercase).

 ALPHA_UPPER

Character mask constant, input must be an uppercase alpha character.

 ALPHANUMERIC_LOWER

Character mask constant, input must be a digit or a lowercase alpha character.

 ALPHANUMERIC_TO_LOWER

Character mask constant, input must be a digit or alpha character (it will be converted to lowercase).

 ALPHANUMERIC_TO_UPPER

Character mask constant, input must be a digit or alpha character (it will be converted to uppercase).

 ALPHANUMERIC_UPPER

Character mask constant, input must be a digit or an uppercase alpha character.

 ANY

Character mask constant, input can be any character.

 BACKSPACE

Character constant, the backspace character.

 caret

The zero-relative index of the character after the insertion point caret.

 DEL

Character constant, the delete character.

 designTimeText

The string passed to setText at design time.

 DIGIT

Character mask constant, input must be a digit character.

 DIGIT_OR_SIGN

Character mask constant, input must be a digit or sign (+ or -) character.

 ENTER

Character constant, the enter character.

 ESCAPE

Character mask constant, the character following this ESCAPE will be placed into input string.

 mask

The valid string format mask used to define legal field input.

 maskStripEscapes

A string containing all the mask string characters except the ones immediately after ESCAPE characters.

 maskStripEscapesLen

The length of maskStripEscapes.

 SIGN

Character mask constant, input must be a sign (+ or -) character.

 unformattedCurrent

The valid characters currently in the textfield, with no formatting.

 FormattedTextField()

Constructs a new FormattedTextField.

 FormattedTextField(int)

Constructs a new FormattedTextField with the specified number of columns.

 FormattedTextField(String)

Constructs a new FormattedTextField containing the specified text.

 FormattedTextField(String, int)

Constructs a new FormattedTextField containing the specified text and able to have the specified number of columns.

 addNotify()

Tells this component that it has been added to a container.

 applyMask(String)

Returns a formatted string, given an input string and the current valid string format mask.

 applyMaskToChar(char, int)

Apply the mask at index to the given character.

 countNonEscapeChars(int, int)

Counts the possible number of non-escape characters before the given index.

 filterChar(char, char)

Filters the given target character with the given mask character

 getEditFont()

Deprecated.

 getFormattedText()

Gets the displayed contents of the component.

 getMask()

Gets the current valid string format mask.

 getMaskTemplateString()

Returns a string defining an input template.

 getMinimumSize()

Returns the minimum dimensions to properly display this component.

 getPreferredSize()

Returns the recommended dimensions to properly display this component.

 getText()

Gets the unformatted string of filtered characters.

 minimumSize()

Deprecated.

 preferredSize()

Deprecated.

 processChar(int)

Handles KEY_PRESS processing.

 removeNotify()

Tells this component that it is being removed from a container.

 setEditable(boolean)

Sets whether the text field is editable.

 setEditFont(Font)

Deprecated.

 setFillMask()

Clears the contents of the field and sets the text field's contents to be an input template.

 setMask(String)

Sets the valid string format mask for this field.

 setText(String)

Sets the text of this TextComponent to the specified text after passing the specified text throught the filter.

 stripMask(String)

Strips escape characters from the given string.

 validChar(String, int, char)

Returns the next valid character in the input string.

 ALPHA_LOWER

 public final char ALPHA_LOWER

Character mask constant, input must be a lowercase alpha character.

 ALPHA_TO_LOWER

 public final char ALPHA_TO_LOWER

Character mask constant, input must be an alpha character (it will be converted to lowercase).

 ALPHA_TO_UPPER

 public final char ALPHA_TO_UPPER

Character mask constant, input must be an alpha character (it will be converted to uppercase).

 ALPHA_UPPER

 public final char ALPHA_UPPER

Character mask constant, input must be an uppercase alpha character.

 ALPHANUMERIC_LOWER

 public final char ALPHANUMERIC_LOWER

Character mask constant, input must be a digit or a lowercase alpha character.

 ALPHANUMERIC_TO_LOWER

 public final char ALPHANUMERIC_TO_LOWER

Character mask constant, input must be a digit or alpha character (it will be converted to lowercase).

 ALPHANUMERIC_TO_UPPER

 public final char ALPHANUMERIC_TO_UPPER

Character mask constant, input must be a digit or alpha character (it will be converted to uppercase).

 ALPHANUMERIC_UPPER

 public final char ALPHANUMERIC_UPPER

Character mask constant, input must be a digit or an uppercase alpha character.

 ANY

 public final char ANY

Character mask constant, input can be any character.

 BACKSPACE

 protected final int BACKSPACE

Character constant, the backspace character.

 caret

 protected int caret

The zero-relative index of the character after the insertion point caret.

 DEL

 protected final int DEL

Character constant, the delete character.

 designTimeText

 protected String designTimeText

The string passed to setText at design time. Returned from getText at design time.

 DIGIT

 public final char DIGIT

Character mask constant, input must be a digit character.

 DIGIT_OR_SIGN

 public final char DIGIT_OR_SIGN

Character mask constant, input must be a digit or sign (+ or -) character.

 ENTER

 protected final int ENTER

Character constant, the enter character.

 ESCAPE

 public final char ESCAPE

Character mask constant, the character following this ESCAPE will be placed into input string.

 mask

 protected String mask

The valid string format mask used to define legal field input.

 maskStripEscapes

 protected String maskStripEscapes

A string containing all the mask string characters except the ones immediately after ESCAPE characters.

 maskStripEscapesLen

 protected int maskStripEscapesLen

The length of maskStripEscapes.

 SIGN

 public final char SIGN

Character mask constant, input must be a sign (+ or -) character.

 unformattedCurrent

 protected String unformattedCurrent

The valid characters currently in the textfield, with no formatting.

 FormattedTextField

 public FormattedTextField()

Constructs a new FormattedTextField. It can have 256 columns.

 FormattedTextField

 public FormattedTextField(int i)

Constructs a new FormattedTextField with the specified number of columns.

Parameters:

i - the number of character columns

 FormattedTextField

 public FormattedTextField(String s)

Constructs a new FormattedTextField containing the specified text. It can have 256 columns.

Parameters:

s - the field text

 FormattedTextField

 public FormattedTextField(String s,
                           int i)

Constructs a new FormattedTextField containing the specified text and able to have the specified number of columns.

Parameters:

s - the field text

i - the number of character columns

 addNotify

 public synchronized void addNotify()

Tells this component that it has been added to a container. This is a standard Java AWT method which gets called by the AWT when this component is added to a container. Typically, it is used to create this component's peer. It has been overridden here to call addKeyListener.

Overrides:

addNotify in class TextField

See Also:

removeNotify

 applyMask

 protected String applyMask(String s)

Returns a formatted string, given an input string and the current valid string format mask.

Parameters:

s - the input string

Returns:

the input string formatted using the current valid string format mask.

 applyMaskToChar

 protected String applyMaskToChar(char targetChar,
                                  int index)

Apply the mask at index to the given character.

Parameters:

char - targetChar the character to apply the mask to.

int - index the index in the mask to use on the given character.

Returns:

A string with the given character with the mask at the given index applied. An empty string if the character was invalid or if the given index was an escape character index.

 countNonEscapeChars

 protected int countNonEscapeChars(int start,
                                   int beforeIndex)

Counts the possible number of non-escape characters before the given index.

Parameters:

int - start the index in the mask template to start from. Inclusive.

int - beforeIndex the index in the mask template to count back from. Exclusive.

Returns:

int the number of possible non-escape characters allowed before the given index.

 filterChar

 protected char filterChar(char targetChar,
                           char maskChar)

Filters the given target character with the given mask character

Parameters:

char - targetChar the character to apply the filter to.

char - maskChar the character to use as a filter. Should match one of the pre-defined types.

See Also:

applyMask, applyMaskToChar, ALPHA_TO_UPPER, ALPHA_TO_LOWER, ALPHANUMERIC_TO_UPPER, ALPHANUMERIC_TO_LOWER

 getEditFont

 public Font getEditFont()

Note: getEditFont() is deprecated.

 getFormattedText

 public String getFormattedText()

Gets the displayed contents of the component.

Returns:

the string currently displayed by the component.

See Also:

setText, getText

 getMask

 public String getMask()

Gets the current valid string format mask.

Returns:

the string that defines valid input into this field.

See Also:

setMask

 getMaskTemplateString

 public String getMaskTemplateString()

Returns a string defining an input template. The mask ESCAPE characters will be place in the string. All other mask characters will have spaces in place of them. For example, a mask of "99/-9/-9" results in a string set to " - - ".

Returns:

the template string defined by the mask, with spaces as placeholders.

 getMinimumSize

 public Dimension getMinimumSize()

Returns the minimum dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the minimum size of this component.

Overrides:

getMinimumSize in class TextField

See Also:

getPreferredSize

 getPreferredSize

 public Dimension getPreferredSize()

Returns the recommended dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the recommended size of this component.

Overrides:

getPreferredSize in class TextField

See Also:

getMinimumSize

 getText

 public String getText()

Gets the unformatted string of filtered characters.

Returns:

the string of unformatted characters that were accepted by the mask filtering process. At design time this returns the text passed to setText.

Overrides:

getText in class TextComponent

See Also:

setText, getFormattedText

 minimumSize

 public Dimension minimumSize()

Note: minimumSize() is deprecated. As of JDK version 1.1, replaced by getMinimumSize().

Overrides:

minimumSize in class TextField

 preferredSize

 public Dimension preferredSize()

Note: preferredSize() is deprecated. As of JDK version 1.1, replaced by getPreferredSize().

Overrides:

preferredSize in class TextField

 processChar

 protected void processChar(int key)

Handles KEY_PRESS processing.

Parameters:

int - the key that was pressed

 removeNotify

 public synchronized void removeNotify()

Tells this component that it is being removed from a container. This is a standard Java AWT method which gets called by the AWT when this component is removed from a container. Typically, it is used to destroy the peers of this component and all its subcomponents. It has been overridden here to call removeKeyListener.

Overrides:

removeNotify in class TextComponent

See Also:

addNotify

 setEditable

 public void setEditable(boolean f)

Sets whether the text field is editable.

Parameters:

f - true if the text field is editable, false otherwise

Overrides:

setEditable in class TextComponent

See Also:

isEditable

 setEditFont

 public void setEditFont(Font f)

Note: setEditFont() is deprecated.

 setFillMask

 public void setFillMask()

Clears the contents of the field and sets the text field's contents to be an input template. The mask ESCAPE characters will be place in the field. All other mask characters will have spaces in place of them. For example, a mask of "99/-9/-9" results in the text field getting set to " - - ".

 setMask

 public void setMask(String mask)

Sets the valid string format mask for this field.

Parameters:

mask - the new valid string format mask

See Also:

getMask

 setText

 public void setText(String t)

Sets the text of this TextComponent to the specified text after passing the specified text throught the filter.

Parameters:

t - the new text to be set

Overrides:

setText in class TextComponent

See Also:

getText

 stripMask

 protected String stripMask(String s)

Strips escape characters from the given string. For example, a mask of "99/-9/-9" and an input string of "12-3-4" results in "1234".

Parameters:

s - the input string

Returns:

the input string stripped of mask escape characters.

 validChar

 protected int validChar(String s,
                         int start,
                         char maskChar)

Returns the next valid character in the input string.

Parameters:

s - the input string

start - the zero-relative index of the first character to check in the input string

maskChar - the mask character used to determine which input characters are valid


 Class symantec.itools.awt.FormattedTextFieldBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.FormattedTextFieldBeanInfo

public class FormattedTextFieldBeanInfo
   extends SimpleBeanInfo

BeanInfo for FormattedTextField.

 FormattedTextFieldBeanInfo()

Constructs a FormattedTextFieldBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 FormattedTextFieldBeanInfo

 public FormattedTextFieldBeanInfo()

Constructs a FormattedTextFieldBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.HorizontalSlider

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Canvas
                   |
                   +----symantec.itools.awt.Slider
                           |
                           +----symantec.itools.awt.HorizontalSlider

public class HorizontalSlider
   extends Slider

This component is used to select one value from a continuous range of values. It has a movable thumb in front of a gauge with ticks marks on it.

     See Also:
     VerticalSlider

 actionCommand

The command name of the action event fired by this component.

 TICK_HEIGHT

Length of the gauge ticks in pixels.

 HorizontalSlider()

Constructs a default HorizontalSlider.

 addNotify()

Tells this component that it has been added to a container.

 do_reshape(int, int)

This abstract function is called by reshape.

 paint(Graphics)

Paints this component using the given graphics context.

 removeNotify()

Tells this component that it is being removed from a container.

 setTickStyle(int)

Sets the current slider tick mark style.

 actionCommand

 protected String actionCommand

The command name of the action event fired by this component.

 TICK_HEIGHT

 protected static final int TICK_HEIGHT

Length of the gauge ticks in pixels.

 HorizontalSlider

 public HorizontalSlider()

Constructs a default HorizontalSlider. The ticks are drawn on both sides of the gauge with a frequency of 1. The minimum value is 1. The maximum value is 10. The border is shown.

 addNotify

 public synchronized void addNotify()

Tells this component that it has been added to a container. This is a standard Java AWT method which gets called by the AWT when this component is added to a container. Typically, it is used to create this component's peer. It has been overridden here to handle registering event listeners.

Overrides:

addNotify in class Slider

See Also:

removeNotify

 do_reshape

 protected void do_reshape(int w,
                           int h)

This abstract function is called by reshape.

Overrides:

do_reshape in class Slider

 paint

 public void paint(Graphics g)

Paints this component using the given graphics context. This is a standard Java AWT method which typically gets called by the AWT to handle painting this component. It paints this component using the given graphics context. The graphics context clipping region is set to the bounding rectangle of this component and its [0,0] coordinate is this component's top-left corner.

Parameters:

g - the graphics context used for painting

Overrides:

paint in class Slider

See Also:

repaint, update

 removeNotify

 public synchronized void removeNotify()

Tells this component that it is being removed from a container. This is a standard Java AWT method which gets called by the AWT when this component is removed from a container. Typically, it is used to destroy the peers of this component and all its subcomponents. It has been overridden here to handle registering event listeners.

Overrides:

removeNotify in class Slider

See Also:

addNotify

 setTickStyle

 public void setTickStyle(int style) throws PropertyVetoException

Sets the current slider tick mark style.

Parameters:

style - the new tick mark style, one of TICK_TOP, TICK_BOTTOM, or TICK_BOTH

Throws: PropertyVetoException

if the specified property value is unacceptable

Overrides:

setTickStyle in class Slider

See Also:

getTickStyle, TICK_TOP, TICK_BOTTOM, TICK_BOTH


 Class symantec.itools.awt.HorizontalSliderBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.HorizontalSliderBeanInfo

public class HorizontalSliderBeanInfo
   extends SimpleBeanInfo

BeanInfo for HorizontalSlider.

 HorizontalSliderBeanInfo()

Constructs a HorizontalSliderBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 HorizontalSliderBeanInfo

 public HorizontalSliderBeanInfo()

Constructs a HorizontalSliderBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.ImageButton

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Canvas
                   |
                   +----symantec.itools.awt.ButtonBase
                           |
                           +----symantec.itools.awt.ImageButton

public class ImageButton
   extends ButtonBase

The ImageButton component is similar to a regular button except that it displays an image on the button's face. The image to use is specified with a URL.

Use an ImageButton to:

· Display an image in a button instead of text.

· Generate a train of action events while the user presses the button.

 disabledImage

The image displayed when the button is disabled

 enabledImage

The normally displayed image

 errors

Error strings.

 IMAGE_CENTERED

A constant indicating the image is to be centered in the size of this component.

 IMAGE_NORMAL

A constant indicating the image is to be drawn normally in the upper left corner.

 IMAGE_SCALED_TO_FIT

A constant indicating the image is to be scaled to fit the size of this component.

 IMAGE_TILED

A constant indicating the image is to be tiled in the size of this component.

 imageStyle

Determines how to draw the image.

 imageURL

The URL for the button's image

 pressedImage

The image displayed when the button is pressed

 ImageButton()

Constructs a new default ImageButton.

 addImageStyleListener(PropertyChangeListener)

Adds a listener for the ImageStyle property changes.

 addImageStyleListener(VetoableChangeListener)

Adds a vetoable listener for the ImageStyle property changes.

 addNotify()

Tells this component that it has been added to a container.

 addPropertyChangeListener(PropertyChangeListener)

Adds a listener for all event changes.

 addVetoableChangeListener(VetoableChangeListener)

Adds a vetoable listener for all event changes.

 getCenterMode()

Deprecated.

 getImageStyle()

Gets the current panel image style.

 getImageURL()

Returns the URL of the image being displayed in the button.

 getPreferredSize()

Returns the recommended dimensions to properly display this component.

 getScaleMode()

Deprecated.

 isCenterMode()

Deprecated.

 isScaleMode()

Deprecated.

 isValidImageStyle(int)

Is the given image style valid for this button.

 removeImageStyleListener(PropertyChangeListener)

Removes a listener for the ImageStyle property changes.

 removeImageStyleListener(VetoableChangeListener)

Removes a vetoable listener for the ImageStyle property changes.

 removeNotify()

Tells this component that it is being removed from a container.

 removePropertyChangeListener(PropertyChangeListener)

Removes a listener for all event changes.

 removeVetoableChangeListener(VetoableChangeListener)

Removes a vetoable listener for all event changes.

 setCenterMode(boolean)

Deprecated.

 setImageStyle(int)

Sets the new panel image style.

 setImageURL(URL)

Sets the URL of the image to display in the button.

 setScaleMode(boolean)

Deprecated.

 updateButtonImage()

Draws the button in the buttonImage offscreen image.

 disabledImage

 protected transient Image disabledImage

The image displayed when the button is disabled

 enabledImage

 protected transient Image enabledImage

The normally displayed image

 errors

 protected transient ResourceBundle errors

Error strings.

 IMAGE_CENTERED

 public static final int IMAGE_CENTERED

A constant indicating the image is to be centered in the size of this component.

 IMAGE_NORMAL

 public static final int IMAGE_NORMAL

A constant indicating the image is to be drawn normally in the upper left corner.

 IMAGE_SCALED_TO_FIT

 public static final int IMAGE_SCALED_TO_FIT

A constant indicating the image is to be scaled to fit the size of this component.

 IMAGE_TILED

 public static final int IMAGE_TILED

A constant indicating the image is to be tiled in the size of this component.

 imageStyle

 protected int imageStyle

Determines how to draw the image.

 imageURL

 protected URL imageURL

The URL for the button's image

 pressedImage

 protected transient Image pressedImage

The image displayed when the button is pressed

 ImageButton

 public ImageButton()

Constructs a new default ImageButton. Image scaling is off and center mode on.

 addImageStyleListener

 public synchronized void addImageStyleListener(PropertyChangeListener listener)

Adds a listener for the ImageStyle property changes.

Parameters:

listener - the listener to add.

See Also:

removeImageStyleListener

 addImageStyleListener

 public synchronized void addImageStyleListener(VetoableChangeListener listener)

Adds a vetoable listener for the ImageStyle property changes.

Parameters:

listener - the listener to add.

See Also:

removeImageStyleListener

 addNotify

 public synchronized void addNotify()

Tells this component that it has been added to a container. This is a standard Java AWT method which gets called by the AWT when this component is added to a container. Typically, it is used to create this component's peer. It has been overridden here to hook-up event listeners.

Overrides:

addNotify in class ButtonBase

See Also:

removeNotify

 addPropertyChangeListener

 public synchronized void addPropertyChangeListener(PropertyChangeListener listener)

Adds a listener for all event changes.

Parameters:

listener - the listener to add.

Overrides:

addPropertyChangeListener in class ButtonBase

See Also:

removePropertyChangeListener

 addVetoableChangeListener

 public synchronized void addVetoableChangeListener(VetoableChangeListener listener)

Adds a vetoable listener for all event changes.

Parameters:

listener - the listener to add.

Overrides:

addVetoableChangeListener in class ButtonBase

See Also:

removeVetoableChangeListener

 getCenterMode

 public boolean getCenterMode()

Note: getCenterMode() is deprecated.

See Also:

isCenterMode

 getImageStyle

 public int getImageStyle()

Gets the current panel image style.

Returns:

the current panel image style, one of IMAGE_TILED, IMAGE_CENTERED, IMAGE_SCALED_TO_FIT, or IMAGE_NORMAL.

See Also:

setImageStyle, IMAGE_TILED, IMAGE_CENTERED, IMAGE_SCALED_TO_FIT

 getImageURL

 public URL getImageURL()

Returns the URL of the image being displayed in the button.

See Also:

setImageURL

 getPreferredSize

 public Dimension getPreferredSize()

Returns the recommended dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the recommended size of this component.

Overrides:

getPreferredSize in class ButtonBase

 getScaleMode

 public boolean getScaleMode()

Note: getScaleMode() is deprecated.

See Also:

isScaleMode

 isCenterMode

 public boolean isCenterMode()

Note: isCenterMode() is deprecated.

See Also:

getImageStyle

 isScaleMode

 public boolean isScaleMode()

Note: isScaleMode() is deprecated.

See Also:

getImageStyle

 isValidImageStyle

 public boolean isValidImageStyle(int i)

Is the given image style valid for this button.

Parameters:

i - the given image style

Returns:

true if the given image style is acceptable, false if not.

 removeImageStyleListener

 public synchronized void removeImageStyleListener(PropertyChangeListener listener)

Removes a listener for the ImageStyle property changes.

Parameters:

listener - the listener to remove.

See Also:

addImageStyleListener

 removeImageStyleListener

 public synchronized void removeImageStyleListener(VetoableChangeListener listener)

Removes a vetoable listener for the ImageStyle property changes.

Parameters:

listener - the listener to remove.

See Also:

addImageStyleListener

 removeNotify

 public synchronized void removeNotify()

Tells this component that it is being removed from a container. This is a standard Java AWT method which gets called by the AWT when this component is removed from a container. Typically, it is used to destroy the peers of this component and all its subcomponents. It has been overridden here to unhook event listeners.

Overrides:

removeNotify in class ButtonBase

See Also:

addNotify

 removePropertyChangeListener

 public synchronized void removePropertyChangeListener(PropertyChangeListener listener)

Removes a listener for all event changes.

Parameters:

listener - the listener to remove.

Overrides:

removePropertyChangeListener in class ButtonBase

See Also:

addPropertyChangeListener

 removeVetoableChangeListener

 public synchronized void removeVetoableChangeListener(VetoableChangeListener listener)

Removes a vetoable listener for all event changes.

Parameters:

listener - the listener to remove.

Overrides:

removeVetoableChangeListener in class ButtonBase

See Also:

addVetoableChangeListener

 setCenterMode

 public void setCenterMode(boolean flag) throws PropertyVetoException

Note: setCenterMode() is deprecated.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setImageStyle

 setImageStyle

 public void setImageStyle(int newStyle) throws PropertyVetoException

Sets the new panel image style.

Parameters:

newStyle - the new panel image style, one of IMAGE_TILED, IMAGE_CENTERED, IMAGE_SCALED_TO_FIT, or IMAGE_NORMAL.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getImageStyle, IMAGE_TILED, IMAGE_CENTERED, IMAGE_SCALED_TO_FIT, IMAGE_NORMAL

 setImageURL

 public void setImageURL(URL u) throws PropertyVetoException

Sets the URL of the image to display in the button.

Parameters:

u - the URL of the image to display

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getImageURL

 setScaleMode

 public void setScaleMode(boolean flag) throws PropertyVetoException

Note: setScaleMode() is deprecated.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setImageStyle

 updateButtonImage

 protected void updateButtonImage()

Draws the button in the buttonImage offscreen image.

Overrides:

updateButtonImage in class ButtonBase

See Also:

updateButtonImage


 Class symantec.itools.awt.ImageButtonBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.ImageButtonBeanInfo

public class ImageButtonBeanInfo
   extends SimpleBeanInfo

BeanInfo for ImageButton.

 ImageButtonBeanInfo()

Constructs a ImageButtonBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 ImageButtonBeanInfo

 public ImageButtonBeanInfo()

Constructs a ImageButtonBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.ImageHTMLLink

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Canvas
                   |
                   +----symantec.itools.awt.ButtonBase
                           |
                           +----symantec.itools.awt.ImageButton
                                   |
                                   +----symantec.itools.awt.ImageHTMLLink

public class ImageHTMLLink
   extends ImageButton
 Note: ImageHTMLLink is deprecated.
All classes that extend ButtonBase, now contain HTML URL link capabilities. Use ImageButton instead.

 url

Deprecated.

 ImageHTMLLink()

Constructs an ImageHTMLLink object.

 getURL()

Deprecated.

 setURL(URL)

Deprecated.

 url

 protected URL url

Note: url is deprecated.

See Also:

linkURL

 ImageHTMLLink

 public ImageHTMLLink()

Constructs an ImageHTMLLink object.

 getURL

 public URL getURL()

Note: getURL() is deprecated.

See Also:

getLinkURL

 setURL

 public void setURL(URL u) throws PropertyVetoException

Note: setURL() is deprecated.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setLinkURL


 Class symantec.itools.awt.ImageHTMLLinkBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.ImageHTMLLinkBeanInfo

public class ImageHTMLLinkBeanInfo
   extends SimpleBeanInfo

BeanInfo for ImageHTMLLink.

 ImageHTMLLinkBeanInfo()

Constructs a ImageHTMLLinkBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Deny knowledge of methods.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 ImageHTMLLinkBeanInfo

 public ImageHTMLLinkBeanInfo()

Constructs a ImageHTMLLinkBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Deny knowledge of methods.

Overrides:

getMethodDescriptors in class SimpleBeanInfo

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.ImageListBox

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Container
                   |
                   +----java.awt.Panel
                           |
                           +----symantec.itools.awt.ImageListBox

public class ImageListBox
   extends Panel
   implements ItemSelectable

A box containing a list of images and/or text.

Use an ImageListBox to display a set of images and/or text that the user can select. The user cannot enter text in an ImageListBox.

 bAllDirty

If true the list is dirty (needs repaint).

 bAllowShowHBar

If true the horizontal scrollbar will be made visible when necessary, false if it will never be made visible.

 bAllowShowVBar

If true the vertical scrollbar will be made visible when necessary, false if it will never be made visible.

 barSize

The width of scroll bars, in pixels.

 bBlockPaint

If true the repainting of the control is prevented.

 bCellBorders

If true list items have borders by default.

 bComboMode

If true this ImageListBox is in "ComboBox mode".

 bHBarVisible

True if the horizontal scroll bar is currently visible.

 bInternalBlockPaint

True if repainting is temporarily disabled for efficiency purposes.

 bMouseDrawHandled

True if drawing was handled on mouse down and no drawing action needs to be taken on mouse up.

 bMultipleSelections

It true multiple list items can be selected at the same time.

 BORDER_NONE

Defines the "no border" style.

 BORDER_REGULAR

Defines the "regular" (lowered) border style.

 borderDarkColor

Color used in drawing of the border.

 borderDarkerColor

Color used in drawing of the border.

 borderLightColor

Color used in drawing of the border.

 borderLighterColor

Color used in drawing of the border.

 borderType

The current border type of this ImageListBox, one of BORDER_REGULAR or BORDER_NONE.

 borderWidth

Width of the left and right borders combined, in pixels.

 bVBarVisible

True if the vertical scroll bar is currently visible.

 cachedBackground

Cached value of the background color.

 cellHt

Height of a single list cell, in pixels.

 colsToShow

The number of columns to show when this component is automatically laid out.

 countSelected

The number of list items currently selected.

 disabledColor

The default color for disabled text items.

 enabledColor

The default color for enabled text items.

 errors

Error strings.

 EVT_IMAGE_SELECT

The ID of the event posted when the image portion of a list item is selected.

 fastDownCount

Used to detect two mouse pressed events without a mouse released event in-between.

 fm

The font metrics of the font used for drawing text.

 font

The font used for drawing text.

 fontDescent

The typical distance from the base line to the bottom of most characters in the current font.

 fontHeight

The standard height of a line of text in the current font.

 halfBorderWidth

Width of the left or right border, in pixels.

 HBar

The horizontal scroll bar.

 ilbLabel

The label of this listbox (not displayed).

 IMAGE_WIDTH

Defines the width of all images displayed in the list, in pixels.

 items

A vector of the items in the list.

 lastDownModifiers

Not used.

 lastIndex

The zero-relative index of the item the mouse was last moved over, dragged over, or clicked on.

 lastSelected

The zero-relative index of the currently selected item in the list.

 lastTempIndex

The zero-relative index of the item the mouse was pressed on.

 LINE_SLOP

Extra space at end of a line.

 longestLineValue

The width of the widest list item, in pixels.

 lWidth

Width of the list content portion of this component, in pixels.

 nTopRow

Zero-relative index of the item displayed in the top row.

 prevSelectRow

The zero-relative index of the row at which the mouse was previously released.

 prevSelectTime

The time at which the mouse was released, in milliseconds.

 rowsToShow

The number of rows to show when this component is automatically laid out.

 textHighlight

The background color for highlighted text.

 textHighlightText

The text color for highlighted text.

 VBar

The vertical scroll bar.

 visibleCols

The number of currently visible columns in this list.

 visibleIndex

The zero-relative index of the first visible list item.

 visibleRows

The number of currently visible lines in this list.

 xCoord

The amount the list items are scrolled horizontally, in pixels.

 yAdj

Top margin before the contents of the first list item, in pixels.

 ImageListBox()

Constructs a default ImageListBox.

 ImageListBox(Component, String)

Deprecated.

 ImageListBox(Component, String, int, boolean)

Deprecated.

 ImageListBox(String)

Constructs an ImageListBox with the specified label.

 ImageListBox(String, boolean)

Constructs an ImageListBox with the specified label and conditionally allows multiple selections.

 ImageListBox(String, int, boolean)

Constructs an ImageListBox with the specified label, the specified number of visible rows, and conditionally allows multiple list item selection.

 addActionListener(ActionListener)

Adds the specified action listener to receive action events from this component.

 addItem(Image, String)

Adds an item with an image to the end of the list and enables it.

 addItem(Image, String, boolean)

Adds an item with an image to the end of the list and conditionally enables it.

 addItem(Image, String, boolean, Color)

Adds an item with an image to the end of the list and conditionally enables it.

 addItem(ListItem)

Adds an ListItem to the end of the list.

 addItem(String)

Adds an item to the end of the list and enables the item.

 addItem(String, boolean)

Adds an item to the end of the list and conditionally enables it.

 addItemListener(ItemListener)

Adds the specified item listener to receive item events

 addNotify()

Tells this component that it has been added to a container.

 addPropertyChangeListener(PropertyChangeListener)

Adds a listener for all event changes.

 addVetoableChangeListener(VetoableChangeListener)

Adds a vetoable listener for all event changes.

 allowsMultipleSelections()

Deprecated.

 allSelected()

Deprecated.

 blockPaint(boolean)

Blocks the repainting of the control.

 calculateBorderColors(Color)

Used to calculate the border colors from the background color.

 changeImage(int, Image)

Deprecated.

 changeText(int, String)

Deprecated.

 clear()

Clears the list.

 countItems()

Returns the total number of items in the list.

 ctrlSelect(int)

Selects an index in a ImageListBox using the Ctrl modifier to mimic mouse selecting with the Ctrl modifier.

 delItem(int)

Delete an item from the list.

 delItems(int, int)

Delete multiple items from the list.

 delSelectedItems()

Deletes the currently selected items from the list.

 deselect(int)

Deprecated.

 deselectAll()

Deselects all items in the list.

 disable(int)

Deprecated.

 enable(int)

Deprecated.

 enable(int, boolean)

Deprecated.

 extraPaint(Graphics, Rectangle)

Override this method to add any special painting effects after text and images are painted

 getBorderType()

Gets the current border type of the ImageListBox.

 getBorderWidth()

Get the width of the border around the component.

 getCellBorders()

Deprecated.

 getCellHeight()

Get the height of an individual row.

 getColumns()

Returns the number of columns to be used by minimumSize().

 getComboMode()

Deprecated.

 getEdited(int)

Deprecated.

 getEnabledTextColor(int)

Gets the text color for an item at the given index.

 getImage(int)

Gets the image associated with the specified zero-relative index.

 getImageURL(int)

Gets the URL of the image displayed at the given zero-based index.

 getItem(int)

Deprecated.

 getLabel()

Returns the current list box label.

 getListItems()

Returns the current list as an array.

 getMinimumSize()

Returns the minimum dimensions to properly display this component.

 getMinimumSize(int)

Returns the minimum dimensions needed to show the given number of rows in the list.

 getPreferredSize()

Returns the recommended dimensions to properly display this component.

 getPreferredSize(int)

Returns the preferred dimensions needed for the list with the specified number of rows.

 getRows()

Returns the number of currently visible lines in this list.

 getRowsToShow()

Gets the current number of rows to display.

 getSelectedIndex()

Gets the zero-relative index of the selected item in the list.

 getSelectedIndexes()

Returns the indexes of all the selected items in the list.

 getSelectedItem()

Returns the currently selected item in the list.

 getSelectedItems()

Returns all of the the selected items in the list.

 getSelectedObjects()

Returns the selected items in the list.

 getShowHorizontalScroll()

Deprecated.

 getShowVerticalScroll()

Deprecated.

 getText(int)

Gets the item text associated with the specified zero-relative index.

 getTopRow()

Returns the index of the item visible at the top of the window.

 getVisibleIndex()

Gets the index of the item that was last made visible by the method makeVisible.

 insertItem(int, Image, String, boolean)

Inserts an item with an image at a specific zero-relative index and conditionally enables it.

 insertItems(int, Vector, Image, boolean)

Inserts a vector list of items at a specific zero-relative index and conditionally enables them.

 isAllSelected()

Query if all rows are selected.

 isCellBorders()

Gets the current default cell border display mode.

 isComboMode()

Gets the current "ComboBox mode" setting.

 isDirty()

Query the lists all "dirty" state

 isEdited(int)

Gets the "edited" flag state for the item at the given zero-relative index.

 isEnabled(int)

Gets the enabled state of a specific item in the list.

 isFocusTraversable()

Returns the value of a flag that indicates whether this component can be traversed using Tab or Shift-Tab keyboard focus traversal.

 isMultipleSelections()

Returns true if this list allows multiple selections.

 isSelected(int)

Get the selected state of the item at the given index.

 isShowHorizontalScroll()

Gets the current horizontal scrollbar visibility flag.

 isShowVerticalScroll()

Gets the current vertical scrollbar visibility flag.

 isVisibleIndex(int)

Determines if the item at the given index is visible.

 keyCalcIndex(int, boolean)

Determines the current index given a new absolute or relative index.

 makeVisible(int)

Deprecated.

 minimumSize()

Deprecated.

 minimumSize(int)

Deprecated.

 mouseCalcIndex(int)

A utility routine that determines the index of the item the mouse is in, given the vertical coordinate of the mouse.

 notifyHelper(int, int, int, boolean)

Utility routine to generate action and/or item events in response to key or mouse events.

 paint(Graphics)

Paints this component using the given graphics context.

 paramString()

Returns a string representing the state of this object.

 preferredSize()

Deprecated.

 preferredSize(int)

Deprecated.

 removeActionListener(ActionListener)

Removes the specified action listener so it no longer receives action events from this component.

 removeItemListener(ItemListener)

Removes the specified item listener so it no longer receives item events.

 removeNotify()

Tells this component that it is being removed from a container.

 removePropertyChangeListener(PropertyChangeListener)

Removes a listener for all event changes.

 removeVetoableChangeListener(VetoableChangeListener)

Removes a vetoable listener for all event changes.

 reshape(int, int, int, int)

Moves and/or resizes this component.

 scrollHorizontal(int, boolean)

Scrolls the ImageListBox horizontally

 scrollVertical(int, boolean)

Scrolls the ImageListBox vertically.

 select(int)

Deprecated.

 select(String)

Deprecated.

 selectAll()

Selects all the items in the list.

 selectMultiple(int, boolean, boolean)

Selects an item at the specified index in a multiple-selection-enabled ImageListBox using Shift, Ctrl or Ctrl-Shift modifiers to mimic mouse selecting with the Shift, Ctrl or Ctrl-Shift modifiers.

 setBorderType(int)

Sets the border type of the ImageListBox.

 setCellBorder(int, boolean)

Conditionally show a border around the cell at the specified index.

 setCellBorders(boolean)

Sets the ImageListBox cell border display default, and resets all items to have the border conditionally.

 setColumns(int)

Sets the number of columns to be used by getMinimumSize().

 setComboMode(boolean)

Sets ImageListBox "ComboBox mode".

 setDirty()

Deprecated.

 setDirty(boolean)

Set the list to be "dirty" (true) to force a complete paint on next repaint, or "clean" (false) to avoid a complete paint on the next repaint.

 setEdited(int, boolean)

Set a flag indicating that the item at the given zero-relative index has been edited.

 setEnabled(int, boolean)

Conditionally enables the specified item in the list.

 setEnabledTextColor(int, Color)

Sets the text color for an item at the given index.

 setFont(Font)

Set the font for the items in the list box.

 setImage(int, Image)

Change the image associated with an item at a specific zero-relative index.

 setImageURL(int, URL)

Sets the URL of the image to display at the given zero based index

 setLabel(String)

Sets the current list box label.

 setListItems(String[])

Initializes the list with the string array.

 setMultiColumnMode(boolean)

Sets the mode of the ImageListBox to "MultiColumnListBox mode".

 setMultipleSelections(boolean)

Sets whether this list should allow multiple selections or not.

 setRowsToShow(int)

Sets the number of rows to display in the ImageListBox.

 setSelectedIndex(int, boolean)

Select the item at the specified index.

 setSelectedItem(String, boolean)

Sets the slelection state of the first item in the list which has exactly matching text.

 setShowHorizontalScroll(boolean)

Sets the horizontal scrollbar visibility flag.

 setShowVerticalScroll(boolean)

Sets the vertical scrollbar visibility flag.

 setText(int, String)

Changes the text associated with the item at the specified zero-relative index.

 setTopRow(int)

Forces the item at the specified index to be visible at the top of the window.

 setVisibleIndex(int)

Forces the item at the specified index to be visible in the window.

 shiftSelect(int, boolean)

Selects an index in a multiple-selection-enabled ImageListBox using Shift or Ctrl-Shift modifiers to mimic mouse selecting with the Shift or Ctrl-Shift modifiers.

 show()

Makes this component visible.

 sourceActionEvent(String)

Fire an action event to the listeners

 sourceItemEvent()

Fire an item event to the listeners

 update(Graphics)

Handles redrawing of this component on the screen.

 validIndex(int)

Determines if the given index is valid.

 bAllDirty

 protected transient boolean bAllDirty

If true the list is dirty (needs repaint).

 bAllowShowHBar

 protected boolean bAllowShowHBar

If true the horizontal scrollbar will be made visible when necessary, false if it will never be made visible.

See Also:

setShowHorizontalScroll

 bAllowShowVBar

 protected boolean bAllowShowVBar

If true the vertical scrollbar will be made visible when necessary, false if it will never be made visible.

See Also:

setShowVerticalScroll

 barSize

 protected transient int barSize

The width of scroll bars, in pixels. Calculated in addNotify.

 bBlockPaint

 protected boolean bBlockPaint

If true the repainting of the control is prevented.

 bCellBorders

 protected boolean bCellBorders

If true list items have borders by default. Borders are always shown as a solid single-pixel wide line around the cell.

See Also:

setCellBorders

 bComboMode

 protected boolean bComboMode

If true this ImageListBox is in "ComboBox mode". "ComboBox mode" allows the selection point to follow the mouse even when the mouse button is not down. This only applies when the ImageListBox is not allowing multiple selections.

See Also:

setComboMode

 bHBarVisible

 protected boolean bHBarVisible

True if the horizontal scroll bar is currently visible.

 bInternalBlockPaint

 protected transient boolean bInternalBlockPaint

True if repainting is temporarily disabled for efficiency purposes.

 bMouseDrawHandled

 protected boolean bMouseDrawHandled

True if drawing was handled on mouse down and no drawing action needs to be taken on mouse up.

 bMultipleSelections

 protected boolean bMultipleSelections

It true multiple list items can be selected at the same time.

 BORDER_NONE

 public static final int BORDER_NONE

Defines the "no border" style. This indicates the list box will have no border drawn around it.

See Also:

setBorderType, getBorderType

 BORDER_REGULAR

 public static final int BORDER_REGULAR

Defines the "regular" (lowered) border style. This makes the list box appear lower than the surrounding area.

See Also:

setBorderType, getBorderType

 borderDarkColor

 protected Color borderDarkColor

Color used in drawing of the border.

 borderDarkerColor

 protected Color borderDarkerColor

Color used in drawing of the border.

 borderLightColor

 protected Color borderLightColor

Color used in drawing of the border.

 borderLighterColor

 protected Color borderLighterColor

Color used in drawing of the border.

 borderType

 protected int borderType

The current border type of this ImageListBox, one of BORDER_REGULAR or BORDER_NONE. A regular border makes the list box appear lower than the surrounding area.

See Also:

getBorderType, BORDER_REGULAR, BORDER_NONE

 borderWidth

 protected int borderWidth

Width of the left and right borders combined, in pixels.

 bVBarVisible

 protected boolean bVBarVisible

True if the vertical scroll bar is currently visible.

 cachedBackground

 protected Color cachedBackground

Cached value of the background color. Used to determine if calculated colors need to be updated.

 cellHt

 protected int cellHt

Height of a single list cell, in pixels.

 colsToShow

 protected int colsToShow

The number of columns to show when this component is automatically laid out.

 countSelected

 protected transient int countSelected

The number of list items currently selected.

 disabledColor

 protected Color disabledColor

The default color for disabled text items.

 enabledColor

 protected Color enabledColor

The default color for enabled text items.

 errors

 protected transient ResourceBundle errors

Error strings.

 EVT_IMAGE_SELECT

 public static final int EVT_IMAGE_SELECT

The ID of the event posted when the image portion of a list item is selected.

 fastDownCount

 protected int fastDownCount

Used to detect two mouse pressed events without a mouse released event in-between. This may sometimes happen if the mouse is pressed twice very quickly.

 fm

 protected transient FontMetrics fm

The font metrics of the font used for drawing text.

 font

 protected Font font

The font used for drawing text.

 fontDescent

 protected transient int fontDescent

The typical distance from the base line to the bottom of most characters in the current font.

 fontHeight

 protected transient int fontHeight

The standard height of a line of text in the current font.

 halfBorderWidth

 protected int halfBorderWidth

Width of the left or right border, in pixels.

 HBar

 protected Scrollbar HBar

The horizontal scroll bar. It always exists event if not shown or showable.

 ilbLabel

 protected String ilbLabel

The label of this listbox (not displayed).

 IMAGE_WIDTH

 public static final int IMAGE_WIDTH

Defines the width of all images displayed in the list, in pixels.

 items

 protected Vector items

A vector of the items in the list.

 lastDownModifiers

 protected transient int lastDownModifiers

Not used.

 lastIndex

 protected transient int lastIndex

The zero-relative index of the item the mouse was last moved over, dragged over, or clicked on. This field is only valid while the mouse is over this component. When the mouse is not over this component the value is -1.

 lastSelected

 protected transient int lastSelected

The zero-relative index of the currently selected item in the list. If multiple items are selected, this is the index of the item most recently selected. If no items are selected, the value is -1.

 lastTempIndex

 protected transient int lastTempIndex

The zero-relative index of the item the mouse was pressed on. It is used when bMultipleSelections is false, and valid between the time the mouse is pressed and released. All other times it equals -1.

 LINE_SLOP

 protected final int LINE_SLOP

Extra space at end of a line.

 longestLineValue

 protected int longestLineValue

The width of the widest list item, in pixels.

 lWidth

 protected int lWidth

Width of the list content portion of this component, in pixels. This excludes the border and vertical scroll bar, if present.

 nTopRow

 protected int nTopRow

Zero-relative index of the item displayed in the top row.

 prevSelectRow

 protected transient long prevSelectRow

The zero-relative index of the row at which the mouse was previously released. This is used to determine when a double-click occurs.

 prevSelectTime

 protected transient long prevSelectTime

The time at which the mouse was released, in milliseconds. This is used to determine when a double-click occurs.

 rowsToShow

 protected int rowsToShow

The number of rows to show when this component is automatically laid out. If rows is less than or equal to zero, it will size to show all of the existing list items when automatically laid out.

 textHighlight

 protected Color textHighlight

The background color for highlighted text.

 textHighlightText

 protected Color textHighlightText

The text color for highlighted text.

 VBar

 protected Scrollbar VBar

The vertical scroll bar. It always exists event if not shown or showable.

 visibleCols

 protected transient int visibleCols

The number of currently visible columns in this list.

 visibleIndex

 protected int visibleIndex

The zero-relative index of the first visible list item.

 visibleRows

 protected transient int visibleRows

The number of currently visible lines in this list.

 xCoord

 protected int xCoord

The amount the list items are scrolled horizontally, in pixels.

 yAdj

 protected int yAdj

Top margin before the contents of the first list item, in pixels.

 ImageListBox

 public ImageListBox()

Constructs a default ImageListBox. A default ImageListBox has no label, will size to show all of the existing list items when automatically laid out, and allows single list item selection.

 ImageListBox

 public ImageListBox(Component parent,
                     String label)

Note: ImageListBox() is deprecated. see constructor ImageListBox(String slabel, int rows, boolean bMultipleSelections)

 ImageListBox

 public ImageListBox(Component parent,
                     String slabel,
                     int rows,
                     boolean bMultipleSelections)

Note: ImageListBox() is deprecated. see constructor ImageListBox(String slabel, int rows, boolean bMultipleSelections)

 ImageListBox

 public ImageListBox(String label)

Constructs an ImageListBox with the specified label. It will size to show all of the existing list items when automatically laid out, and allows single list item selection. Note: he label of an ImageListBox does not get displayed.

Parameters:

label - the label of the list box (not displayed)

 ImageListBox

 public ImageListBox(String label,
                     boolean bMultipleSelections)

Constructs an ImageListBox with the specified label and conditionally allows multiple selections. It will size to show all of the existing list items when automatically laid out. Note: the label of an ImageListBox does not get displayed.

Parameters:

label - the name label of the list box (not displayed)

bMultipleSelections - if true then multiple selections are allowed; if false only single item selections are allowed

 ImageListBox

 public ImageListBox(String slabel,
                     int rows,
                     boolean bMultipleSelections)

Constructs an ImageListBox with the specified label, the specified number of visible rows, and conditionally allows multiple list item selection.

Parameters:

slabel - the label of the list box (not displayed)

rows - the number of row items to show. If rows is less than or equal to zero, it will size to show all of the existing list items when automatically laid out.

bMultipleSelections - if true then multiple selections are allowed; if false only single item selections are allowed

 addActionListener

 public synchronized void addActionListener(ActionListener l)

Adds the specified action listener to receive action events from this component.

Parameters:

l - the action listener

 addItem

 public synchronized void addItem(Image image,
                                  String item) throws PropertyVetoException

Adds an item with an image to the end of the list and enables it.

Parameters:

image - the image to display on the item line

item - the item to be added

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setListItems, addItem, addItem, addItem, addItem

 addItem

 public synchronized void addItem(Image image,
                                  String item,
                                  boolean bEnabled) throws PropertyVetoException

Adds an item with an image to the end of the list and conditionally enables it.

Parameters:

image - the image to display on item line

item - the item to be added

bEnabled - if true, enable the item; if false, disable the item

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setListItems, addItem, addItem, addItem, addItem

 addItem

 public synchronized void addItem(Image image,
                                  String item,
                                  boolean bEnabled,
                                  Color color) throws PropertyVetoException

Adds an item with an image to the end of the list and conditionally enables it. The item text will be displayed in the given color.

Parameters:

image - the image to display on item line

item - the item to be added

bEnabled - if true, enable the item; if false, disable the item

color - the color of the item's text

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setListItems, addItem, addItem, addItem, addItem

 addItem

 protected void addItem(ListItem li) throws PropertyVetoException

Adds an ListItem to the end of the list.

Parameters:

li - the item to add

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setListItems, addItem, addItem, addItem, addItem, addItem

 addItem

 public synchronized void addItem(String item) throws PropertyVetoException

Adds an item to the end of the list and enables the item.

Parameters:

item - the item to be added

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setListItems, addItem, addItem, addItem, addItem

 addItem

 public synchronized void addItem(String item,
                                  boolean bEnabled) throws PropertyVetoException

Adds an item to the end of the list and conditionally enables it.

Parameters:

item - the item to be added

bEnabled - if true, enable the item; if false, disable the item

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setListItems, addItem, addItem, addItem, addItem

 addItemListener

 public synchronized void addItemListener(ItemListener l)

Adds the specified item listener to receive item events

Parameters:

l - the item listener

See Also:

removeItemListener, sourceItemEvent

 addNotify

 public synchronized void addNotify()

Tells this component that it has been added to a container. This is a standard Java AWT method which gets called by the AWT when this component is added to a container. Typically, it is used to create this component's peer. It has been overridden here to hook-up event listeners. It is also used to handle list metrics after the peer is created.

Overrides:

addNotify in class Panel

See Also:

removeNotify

 addPropertyChangeListener

 public synchronized void addPropertyChangeListener(PropertyChangeListener listener)

Adds a listener for all event changes.

Parameters:

PropertyChangeListener - listener the listener to add.

See Also:

removePropertyChangeListener

 addVetoableChangeListener

 public synchronized void addVetoableChangeListener(VetoableChangeListener listener)

Adds a vetoable listener for all event changes.

Parameters:

VetoableChangeListener - listener the listener to add.

See Also:

removeVetoableChangeListener

 allowsMultipleSelections

 public boolean allowsMultipleSelections()

Note: allowsMultipleSelections() is deprecated.

See Also:

isMultipleSelections

 allSelected

 public boolean allSelected()

Note: allSelected() is deprecated.

See Also:

isAllSelected

 blockPaint

 public synchronized void blockPaint(boolean cond)

Blocks the repainting of the control.

Parameters:

cond - true to prevent updating the component, false for normal painting behavior

 calculateBorderColors

 protected void calculateBorderColors(Color c)

Used to calculate the border colors from the background color.

See Also:

addNotify, setBackground

 changeImage

 public void changeImage(int index,
                         Image image) throws PropertyVetoException

Note: changeImage() is deprecated.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setImage

 changeText

 public void changeText(int index,
                        String text) throws PropertyVetoException

Note: changeText() is deprecated.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setText

 clear

 public synchronized void clear()

Clears the list.

See Also:

delItem, delItems

 countItems

 public int countItems()

Returns the total number of items in the list.

Returns:

the number of items in the list

See Also:

getItem

 ctrlSelect

 protected void ctrlSelect(int index)

Selects an index in a ImageListBox using the Ctrl modifier to mimic mouse selecting with the Ctrl modifier.

Parameters:

index - the zero-relative position of the item to select

 delItem

 public synchronized void delItem(int index) throws PropertyVetoException

Delete an item from the list.

Parameters:

index - the zero-relative index of the item to delete

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

delItems, delSelectedItems

 delItems

 public synchronized void delItems(int start,
                                   int end) throws PropertyVetoException

Delete multiple items from the list. Note that the end index must be greater than or equal to the start index.

Parameters:

start - the zero-relative start index of the items

end - the zero-relative end index of the items

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

delItem, delSelectedItems

 delSelectedItems

 public synchronized void delSelectedItems() throws PropertyVetoException

Deletes the currently selected items from the list.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

delItem, delItems

 deselect

 public synchronized void deselect(int index) throws PropertyVetoException

Note: deselect() is deprecated.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setSelectedIndex

 deselectAll

 public synchronized void deselectAll() throws PropertyVetoException

Deselects all items in the list.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

selectAll

 disable

 public void disable(int index) throws PropertyVetoException

Note: disable() is deprecated.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setEnabled

 enable

 public void enable(int index) throws PropertyVetoException

Note: enable() is deprecated.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setEnabled

 enable

 public void enable(int index,
                    boolean cond) throws PropertyVetoException

Note: enable() is deprecated.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setEnabled

 extraPaint

 public void extraPaint(Graphics g,
                        Rectangle rect)

Override this method to add any special painting effects after text and images are painted

Parameters:

g - the graphics

rect - the bounding rectangle

 getBorderType

 public int getBorderType()

Gets the current border type of the ImageListBox. A regular border makes the list box appear lower than the surrounding area.

Returns:

the current border type, BORDER_REGULAR or BORDER_NONE

See Also:

setBorderType, BORDER_REGULAR, BORDER_NONE

 getBorderWidth

 public int getBorderWidth()

Get the width of the border around the component. This value is the number of pixels needed to display the border completely on both sides of the component; it is not the width of one side of the border.

Returns:

the width in pixels

 getCellBorders

 public boolean getCellBorders()

Note: getCellBorders() is deprecated.

See Also:

isCellBorders

 getCellHeight

 public int getCellHeight()

Get the height of an individual row.

Returns:

the height in pixels

 getColumns

 public synchronized int getColumns()

Returns the number of columns to be used by minimumSize().

Returns:

the number of columns

See Also:

setColumns

 getComboMode

 public boolean getComboMode()

Note: getComboMode() is deprecated.

See Also:

isComboMode

 getEdited

 public boolean getEdited(int index)

Note: getEdited() is deprecated.

See Also:

isEdited

 getEnabledTextColor

 public Color getEnabledTextColor(int index)

Gets the text color for an item at the given index.

Parameters:

index - the zero-relative index of the item

Returns:

the color, null if the default text color is used or the index is not valid.

 getImage

 public Image getImage(int index)

Gets the image associated with the specified zero-relative index.

Parameters:

index - the zero-relative position of the item

Returns:

the image at the index, or null if the index is invalid

See Also:

setImage

 getImageURL

 public URL getImageURL(int index)

Gets the URL of the image displayed at the given zero-based index.

Parameters:

index - the zero-relative index of the image to get

Returns:

the URL of the image

See Also:

setImage

 getItem

 public String getItem(int index)

Note: getItem() is deprecated.

See Also:

getText

 getLabel

 public synchronized String getLabel()

Returns the current list box label.

Returns:

the current list box label

See Also:

setLabel

 getListItems

 public String[] getListItems()

Returns the current list as an array.

Returns:

String[] current list

See Also:

setListItems

 getMinimumSize

 public Dimension getMinimumSize()

Returns the minimum dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the minimum size of this component. The size returned is big enough to show the maximum number of visible rows as requested when constructed, or all the rows currently in the list.

Overrides:

getMinimumSize in class Container

See Also:

preferredSize

 getMinimumSize

 public Dimension getMinimumSize(int rows)

Returns the minimum dimensions needed to show the given number of rows in the list.

Parameters:

rows - the number of visible rows in the list

Returns:

the minimum size of this list to show the given number of rows

 getPreferredSize

 public Dimension getPreferredSize()

Returns the recommended dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the recommended size of this component. The size returned is big enough to show the maximum number of visible rows as requested when constructed, or all the rows currently in the list.

Overrides:

getPreferredSize in class Container

See Also:

minimumSize

 getPreferredSize

 public Dimension getPreferredSize(int rows)

Returns the preferred dimensions needed for the list with the specified number of rows.

Parameters:

rows - the number of visible rows in the list

Returns:

the preferred size to show the specified number of rows

 getRows

 public int getRows()

Returns the number of currently visible lines in this list.

Returns:

the number of visible lines in the list.

 getRowsToShow

 public int getRowsToShow()

Gets the current number of rows to display. This affects the dimensions returned by getPreferredSize and determines the number of rows displayed when this component is automatically laid out.

Returns:

the current number of rows to automatically display

See Also:

setRowsToShow

 getSelectedIndex

 public synchronized int getSelectedIndex()

Gets the zero-relative index of the selected item in the list. If multiple items are selected, the index of the item most recently selected is returned.

Returns:

the zero-relative index of the selected item, or -1 if no item is selected

See Also:

select, deselect, isSelected

 getSelectedIndexes

 public synchronized int[] getSelectedIndexes()

Returns the indexes of all the selected items in the list.

Returns:

an array of the zero-relative indexes of the selected items

See Also:

select, deselect, isSelected

 getSelectedItem

 public synchronized String getSelectedItem()

Returns the currently selected item in the list. If multiple items are selected, the item most recently selected is returned.

Returns:

the currently selected item, or null if no item is selected.

See Also:

setSelectedItem, getSelectedItems, deselect, isSelected

 getSelectedItems

 public synchronized String[] getSelectedItems()

Returns all of the the selected items in the list.

Returns:

an array of all the selected items in the list

See Also:

getSelectedItem, setSelectedItem, isSelected

 getSelectedObjects

 public Object[] getSelectedObjects()

Returns the selected items in the list. Needed in order to implement the java.awt.ItemSelectable interface

Returns:

an array of selected items in the list, as an array of Objects.

See Also:

getSelectedItem, setSelectedItem, isSelected, ItemSelectable

 getShowHorizontalScroll

 public boolean getShowHorizontalScroll()

Note: getShowHorizontalScroll() is deprecated.

See Also:

isShowHorizontalScroll

 getShowVerticalScroll

 public boolean getShowVerticalScroll()

Note: getShowVerticalScroll() is deprecated.

See Also:

isShowVerticalScroll

 getText

 public String getText(int index)

Gets the item text associated with the specified zero-relative index.

Parameters:

index - the zero-relative position of the item

Returns:

the item text, or null if the index is invalid

See Also:

setText

 getTopRow

 public synchronized int getTopRow()

Returns the index of the item visible at the top of the window.

Returns:

index the zero-relative position of the item

See Also:

setTopRow

 getVisibleIndex

 public int getVisibleIndex()

Gets the index of the item that was last made visible by the method makeVisible.

Returns:

the zero-relative index of the item last made visible by the makeVisible method

See Also:

makeVisible

 insertItem

 public synchronized void insertItem(int index,
                                     Image image,
                                     String item,
                                     boolean bEnabled)

Inserts an item with an image at a specific zero-relative index and conditionally enables it.

Parameters:

index - the zero-relative index to insert at

image - the image to display on the item line

item - the item to be added

bEnabled - if true, enable the item; if false, disable the item

 insertItems

 public synchronized void insertItems(int index,
                                      Vector itemVector,
                                      Image image,
                                      boolean bEnabled) throws PropertyVetoException

Inserts a vector list of items at a specific zero-relative index and conditionally enables them. Each item will be displayed with the given image.

Parameters:

index - the zero-relative index to insert at

itemVector - the item vector to be added

image - the image to display for all inserted items

bEnabled - if true, enable the items; if false, disable the items

Throws: PropertyVetoException

if the specified property value is unacceptable

 isAllSelected

 public boolean isAllSelected()

Query if all rows are selected.

Returns:

returns true if all rows in the ImageListBox are selected

 isCellBorders

 public boolean isCellBorders()

Gets the current default cell border display mode. Cell borders are always shown as a solid single-pixel wide line around the cell.

Returns:

true if the "grid lines on by default" mode is on, otherwise false

See Also:

setCellBorders

 isComboMode

 public boolean isComboMode()

Gets the current "ComboBox mode" setting. "ComboBox mode" allows the selection point to follow the mouse even when the mouse button is not down. This only applies when the ImageListBox is not allowing multiple selections.

Returns:

true if in "ComboBox mode", otherwise false

See Also:

setComboMode

 isDirty

 public synchronized boolean isDirty()

Query the lists all "dirty" state

Returns:

true if on the next repaint the entire list will be repainted, or false if the list will not be repainted.

See Also:

setDirty

 isEdited

 public boolean isEdited(int index)

Gets the "edited" flag state for the item at the given zero-relative index.

Parameters:

index - the zero-relative position of the item

Returns:

true if flagged as edited, false if not

See Also:

setEdited

 isEnabled

 public boolean isEnabled(int index)

Gets the enabled state of a specific item in the list.

Parameters:

index - the zero-relative position of the item in the list

Returns:

true if the item is enabled, false if the item is disabled.

See Also:

setEnabled

 isFocusTraversable

 public boolean isFocusTraversable()

Returns the value of a flag that indicates whether this component can be traversed using Tab or Shift-Tab keyboard focus traversal.

Overrides:

isFocusTraversable in class Component

 isMultipleSelections

 public boolean isMultipleSelections()

Returns true if this list allows multiple selections.

Returns:

true if multiple selections allowed, false otherwise

See Also:

setMultipleSelections

 isSelected

 public synchronized boolean isSelected(int index)

Get the selected state of the item at the given index.

Parameters:

index - the zero-relative index of the item to be checked

Returns:

true if the item at the specified index is selected; false if it is not selected

See Also:

select, deselect, isSelected

 isShowHorizontalScroll

 public boolean isShowHorizontalScroll()

Gets the current horizontal scrollbar visibility flag.

Returns:

s true if the horizontal scrollbar will be made visible when necessary; false if the horizontal scrollbar will never be made visible

See Also:

setShowHorizontalScroll

 isShowVerticalScroll

 public boolean isShowVerticalScroll()

Gets the current vertical scrollbar visibility flag.

Returns:

s true if the vertical scrollbar will be made visible when necessary; false if the vertical scrollbar will never be made visible

See Also:

setShowVerticalScroll

 isVisibleIndex

 protected boolean isVisibleIndex(int index)

Determines if the item at the given index is visible.

Parameters:

index - the zero-relative index of the item to check

Returns:

true if the item is visible, false if not

 keyCalcIndex

 protected int keyCalcIndex(int offset,
                            boolean bAbsolute)

Determines the current index given a new absolute or relative index.

Parameters:

offset - the value used to compute the new index

boolean - true if offset is zero-relative, false if offset is relative to the current index value

Returns:

the new current index value

 makeVisible

 public synchronized void makeVisible(int index) throws PropertyVetoException

Note: makeVisible() is deprecated.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setVisibleIndex

 minimumSize

 public Dimension minimumSize()

Note: minimumSize() is deprecated.

Overrides:

minimumSize in class Container

See Also:

getMinimumSize

 minimumSize

 public Dimension minimumSize(int rows)

Note: minimumSize() is deprecated.

See Also:

getMinimumSize

 mouseCalcIndex

 protected int mouseCalcIndex(int y)

A utility routine that determines the index of the item the mouse is in, given the vertical coordinate of the mouse.

Parameters:

y - mouse vertical (y) coordinate

Returns:

the zero-relative index of the item the mouse is in, or -1 if past the end of the list

 notifyHelper

 protected void notifyHelper(int x,
                             int y,
                             int index,
                             boolean bDoubleClick)

Utility routine to generate action and/or item events in response to key or mouse events.

Parameters:

x - mouse component-relative horizontal position, in pixels

x - mouse component-relative vertical position, in pixels

index - zero-relative index of currently selected item

bDoubleClick - true if mouse double-clicked on item

 paint

 public synchronized void paint(Graphics g)

Paints this component using the given graphics context. This is a standard Java AWT method which typically gets called by the AWT to handle painting this component. It paints this component using the given graphics context. The graphics context clipping region is set to the bounding rectangle of this component and its [0,0] coordinate is this component's top-left corner.

Parameters:

g - the graphics context used for painting

Overrides:

paint in class Container

See Also:

repaint, update

 paramString

 protected String paramString()

Returns a string representing the state of this object. This is a standard Java AWT method which can be usefull for debugging.

Returns:

a handy string for debugging purposes

Overrides:

paramString in class Container

 preferredSize

 public Dimension preferredSize()

Note: preferredSize() is deprecated.

Overrides:

preferredSize in class Container

See Also:

getPreferredSize

 preferredSize

 public Dimension preferredSize(int rows)

Note: preferredSize() is deprecated.

See Also:

getPreferredSize

 removeActionListener

 public synchronized void removeActionListener(ActionListener l)

Removes the specified action listener so it no longer receives action events from this component.

Parameters:

l - the action listener

 removeItemListener

 public synchronized void removeItemListener(ItemListener l)

Removes the specified item listener so it no longer receives item events.

Parameters:

l - the action listener

See Also:

addItemListener, sourceItemEvent

 removeNotify

 public synchronized void removeNotify()

Tells this component that it is being removed from a container. This is a standard Java AWT method which gets called by the AWT when this component is removed from a container. Typically, it is used to destroy the peers of this component and all its subcomponents. It has been overridden here to unhook event listeners.

Overrides:

removeNotify in class Container

See Also:

addNotify

 removePropertyChangeListener

 public synchronized void removePropertyChangeListener(PropertyChangeListener listener)

Removes a listener for all event changes.

Parameters:

PropertyChangeListener - listener the listener to remove.

See Also:

addPropertyChangeListener

 removeVetoableChangeListener

 public synchronized void removeVetoableChangeListener(VetoableChangeListener listener)

Removes a vetoable listener for all event changes.

Parameters:

VetoableChangeListener - listener the listener to remove.

See Also:

addVetoableChangeListener

 reshape

 public synchronized void reshape(int x,
                                  int y,
                                  int width,
                                  int height)

Moves and/or resizes this component. This is a standard Java AWT method which gets called to move and/or resize this component. Components that are in containers with layout managers should not call this method, but rely on the layout manager instead.

Parameters:

x - horizontal position in the parent's coordinate space

y - vertical position in the parent's coordinate space

width - the new width

height - the new height

Overrides:

reshape in class Component

 scrollHorizontal

 public synchronized void scrollHorizontal(int info,
                                           boolean bAbsolute)

Scrolls the ImageListBox horizontally

Parameters:

info - either an absolute value or Event.SCROLL_PAGE_DOWN, Event.SCROLL_PAGE_UP, Event.SCROLL_LINE_DOWN, Event.SCROLL_LINE_UP. The range for absolute value should be between 0 and the width of the largest item, in pixels

bAbsolute - true to treat the info parameter as an absolute value, false to treat it as one of the SCROLL_... constants

 scrollVertical

 public synchronized void scrollVertical(int info,
                                         boolean bAbsolute)

Scrolls the ImageListBox vertically.

Parameters:

info - either an absolute value or Event.SCROLL_PAGE_DOWN, Event.SCROLL_PAGE_UP, Event.SCROLL_LINE_DOWN, Event.SCROLL_LINE_UP. The range for an absolute value should be between 0 and (number of rows-1).

bAbsolute - true to treat the info parameter as an absolute value, false to treat it as one of the SCROLL_... constants

 select

 public synchronized void select(int index) throws PropertyVetoException

Note: select() is deprecated.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setSelectedIndex

 select

 public synchronized void select(String str) throws PropertyVetoException

Note: select() is deprecated.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setSelectedItem

 selectAll

 public synchronized void selectAll()

Selects all the items in the list.

See Also:

select, deselectAll

 selectMultiple

 public synchronized void selectMultiple(int index,
                                         boolean bShift,
                                         boolean bControl) throws PropertyVetoException

Selects an item at the specified index in a multiple-selection-enabled ImageListBox using Shift, Ctrl or Ctrl-Shift modifiers to mimic mouse selecting with the Shift, Ctrl or Ctrl-Shift modifiers.

Parameters:

index - the zero-relative position of the item to select

bShift - whether to select with the Shift modifier

bControl - whether to select with the Ctrl modifier

Throws: PropertyVetoException

if the specified property value is unacceptable

 setBorderType

 public void setBorderType(int type) throws PropertyVetoException

Sets the border type of the ImageListBox. A regular border makes the list box appear lower than the surrounding area.

Parameters:

type - new border type, BORDER_REGULAR or BORDER_NONE

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getBorderType, BORDER_REGULAR, BORDER_NONE

 setCellBorder

 public void setCellBorder(int index,
                           boolean bOn) throws PropertyVetoException

Conditionally show a border around the cell at the specified index. Cell borders are always shown as a solid single-pixel wide line around the cell.

Parameters:

index - the zero-relative index of the cell

bOn - true to show the cell borders; false to not show them

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setCellBorders

 setCellBorders

 public void setCellBorders(boolean bOn) throws PropertyVetoException

Sets the ImageListBox cell border display default, and resets all items to have the border conditionally. Cell borders are always shown as a solid single-pixel wide line around the cell.

Parameters:

bOn - true for "grid lines on by default" mode, false for "grid lines off by default" mode.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setCellBorder, isCellBorders

 setColumns

 public synchronized void setColumns(int columns) throws PropertyVetoException

Sets the number of columns to be used by getMinimumSize().

Parameters:

columns - the number of columns

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getColumns

 setComboMode

 public void setComboMode(boolean cond) throws PropertyVetoException

Sets ImageListBox "ComboBox mode". "ComboBox mode" allows the selection point to follow the mouse even when the mouse button is not down. This only applies when the ImageListBox is not allowing multiple selections.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

isComboMode

 setDirty

 public synchronized void setDirty() throws PropertyVetoException

Note: setDirty() is deprecated.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setDirty

 setDirty

 public synchronized void setDirty(boolean isDirty) throws PropertyVetoException

Set the list to be "dirty" (true) to force a complete paint on next repaint, or "clean" (false) to avoid a complete paint on the next repaint.

Parameters:

isDirty - true if the list is dirty (needs repaint)

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

isDirty

 setEdited

 public void setEdited(int index,
                       boolean bCond) throws PropertyVetoException

Set a flag indicating that the item at the given zero-relative index has been edited.

Parameters:

index - the zero-relative position of the item

bCond - the "edited" flag

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

isEdited

 setEnabled

 public void setEnabled(int index,
                        boolean cond) throws PropertyVetoException

Conditionally enables the specified item in the list.

Parameters:

index - the zero-relative position of the item

cond - if true, enable the item; if false, disable the item

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

isEnabled

 setEnabledTextColor

 public void setEnabledTextColor(int index,
                                 Color color) throws PropertyVetoException

Sets the text color for an item at the given index.

Parameters:

index - the zero-relative index of the item

color - the color, null to use the default text color

Throws: PropertyVetoException

if the specified property value is unacceptable

 setFont

 public synchronized void setFont(Font f)

Set the font for the items in the list box.

Parameters:

f - new font to use for list box items

Overrides:

setFont in class Component

 setImage

 public void setImage(int index,
                      Image image) throws PropertyVetoException

Change the image associated with an item at a specific zero-relative index.

Parameters:

index - the zero-relative position of the item

image - the image to associate with an item

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getImage

 setImageURL

 public void setImageURL(int index,
                         URL aUrl) throws MalformedURLException, PropertyVetoException

Sets the URL of the image to display at the given zero based index

Parameters:

aURL - the image URL

Throws: MalformedURLException

if the URL parameter is bad

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getImage

 setLabel

 public synchronized void setLabel(String label) throws PropertyVetoException

Sets the current list box label.

Parameters:

the - new list box label

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getLabel

 setListItems

 public void setListItems(String items[]) throws PropertyVetoException

Initializes the list with the string array. Any pre-existing items are lost.

Parameters:

items - the new list items

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getListItems, setListItems, addItem, addItem, addItem, addItem, addItem

 setMultiColumnMode

 public synchronized void setMultiColumnMode(boolean bCellBorders) throws PropertyVetoException

Sets the mode of the ImageListBox to "MultiColumnListBox mode". This method always sets the border type to BORDER_NONE, the "ComboBox mode" to be false, and conditionally sets whether the grid should be displayed.

Parameters:

bCellBorders - true to display the cell grid, false to not display the grid

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

BORDER_NONE

 setMultipleSelections

 public void setMultipleSelections(boolean cond) throws PropertyVetoException

Sets whether this list should allow multiple selections or not.

Parameters:

cond - whether to allow multiple selections

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

allowsMultipleSelections

 setRowsToShow

 public void setRowsToShow(int rows) throws PropertyVetoException

Sets the number of rows to display in the ImageListBox. This affects the dimensions returned by getPreferredSize and determines the number of rows displayed when this component is automatically laid out.

Parameters:

rows - number of rows to automatically display

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getRowsToShow

 setSelectedIndex

 public synchronized void setSelectedIndex(int index,
                                           boolean isSelected) throws PropertyVetoException

Select the item at the specified index. This method deselects all others when multiple selections not enabled.

Parameters:

index - the zero-relative position of the item to select

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getSelectedItem, deselect, isSelected

 setSelectedItem

 public synchronized void setSelectedItem(String str,
                                          boolean isSelected) throws PropertyVetoException

Sets the slelection state of the first item in the list which has exactly matching text.

Parameters:

str - the String to select in the list

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getSelectedItem

 setShowHorizontalScroll

 public void setShowHorizontalScroll(boolean cond) throws PropertyVetoException

Sets the horizontal scrollbar visibility flag.

Parameters:

cond - if true, the horizontal scrollbar will be made visible when necessary; if false, the horizontal scrollbar will never be made visible

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

isShowHorizontalScroll

 setShowVerticalScroll

 public void setShowVerticalScroll(boolean cond) throws PropertyVetoException

Sets the vertical scrollbar visibility flag.

Parameters:

cond - if true, the vertical scrollbar will be made visible when necessary; if false, the vertical scrollbar will never be made visible

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

isShowVerticalScroll

 setText

 public void setText(int index,
                     String text) throws PropertyVetoException

Changes the text associated with the item at the specified zero-relative index.

Parameters:

index - the zero-relative position of the item

text - the new text to associate with the item

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getText

 setTopRow

 public void setTopRow(int index) throws PropertyVetoException

Forces the item at the specified index to be visible at the top of the window.

Parameters:

index - the zero-relative position of the item

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getTopRow

 setVisibleIndex

 public synchronized void setVisibleIndex(int index) throws PropertyVetoException

Forces the item at the specified index to be visible in the window.

Parameters:

index - the zero-relative position of the item to be made visible

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getVisibleIndex

 shiftSelect

 protected void shiftSelect(int index,
                            boolean bControl) throws PropertyVetoException

Selects an index in a multiple-selection-enabled ImageListBox using Shift or Ctrl-Shift modifiers to mimic mouse selecting with the Shift or Ctrl-Shift modifiers.

Parameters:

index - the zero-relative position of the item to select

bControl - whether to select with the Ctrl modifier

Throws: PropertyVetoException

if the specified property value is unacceptable

 show

 public synchronized void show()

Makes this component visible. This is a standard Java AWT method which gets called to show this component. If this component was invisible due to a previous hide() call it make this component visible again.

Overrides:

show in class Component

See Also:

hide

 sourceActionEvent

 protected void sourceActionEvent(String command)

Fire an action event to the listeners

Parameters:

the - string containing the command to send with the event.

 sourceItemEvent

 protected void sourceItemEvent()

Fire an item event to the listeners

See Also:

addItemListener, removeItemListener

 update

 public synchronized void update(Graphics g)

Handles redrawing of this component on the screen. This is a standard Java AWT method which gets called by the Java AWT (repaint()) to handle repainting this component on the screen. The graphics context clipping region is set to the bounding rectangle of this component and its [0,0] coordinate is this component's top-left corner. Typically this method paints the background color to clear the component's drawing space, sets graphics context to be the foreground color, and then calls paint() to draw the component. It is overridden here to prevent the flicker associated with the standard update() method's repainting of the background before painting the component itself, and to allow the blocking of painting entirely.

Parameters:

g - the graphics context

Overrides:

update in class Container

See Also:

repaint, paint

 validIndex

 protected boolean validIndex(int index)

Determines if the given index is valid.

Parameters:

index - a zero-relative index to check

Returns:

true if the index is valid, false if not


 Class symantec.itools.awt.ImageListBoxBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.ImageListBoxBeanInfo

public class ImageListBoxBeanInfo
   extends SimpleBeanInfo

BeanInfo for ImageListBox.

 ImageListBoxBeanInfo()

Constructs a ImageListBoxBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 ImageListBoxBeanInfo

 public ImageListBoxBeanInfo()

Constructs a ImageListBoxBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.ImagePanel

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Container
                   |
                   +----java.awt.Panel
                           |
                           +----symantec.itools.awt.ImagePanel

public class ImagePanel
   extends Panel

The ImagePanel component is similar to a regular panel except that it displays an image within the panel. The image to use is specified with a URL.

 IMAGE_CENTERED

A constant indicating the image is to be centered in this panel.

 IMAGE_NORMAL

A constant indicating the image is to be drawn from the upper left corner of the panel.

 IMAGE_SCALED_TO_FIT

A constant indicating the image is to be scaled to fit this panel.

 IMAGE_TILED

A constant indicating the image is to be tiled in this panel.

 imageStyle

The style that the image will be displayed in.

 ImagePanel()

Constructs a default ImagePanel.

 addPropertyChangeListener(PropertyChangeListener)

Adds a listener for all event changes.

 addVetoableChangeListener(VetoableChangeListener)

Adds a vetoable listener for all event changes.

 getImage()

Returns the image being displayed in this panel.

 getImageURL()

Returns the URL of the image being displayed in this panel.

 getStyle()

Gets the current panel image style.

 paint(Graphics)

Paints this component using the given graphics context.

 removePropertyChangeListener(PropertyChangeListener)

Removes a listener for all event changes.

 removeVetoableChangeListener(VetoableChangeListener)

Removes a vetoable listener for all event changes.

 setImageURL(URL)

Sets the URL of the image to display in this panel.

 setStyle(int)

Sets the new panel image style.

 IMAGE_CENTERED

 public static final int IMAGE_CENTERED

A constant indicating the image is to be centered in this panel.

 IMAGE_NORMAL

 public static final int IMAGE_NORMAL

A constant indicating the image is to be drawn from the upper left corner of the panel.

 IMAGE_SCALED_TO_FIT

 public static final int IMAGE_SCALED_TO_FIT

A constant indicating the image is to be scaled to fit this panel.

 IMAGE_TILED

 public static final int IMAGE_TILED

A constant indicating the image is to be tiled in this panel.

 imageStyle

 protected int imageStyle

The style that the image will be displayed in.

 ImagePanel

 public ImagePanel()

Constructs a default ImagePanel. By default the image will be tiled.

 addPropertyChangeListener

 public synchronized void addPropertyChangeListener(PropertyChangeListener listener)

Adds a listener for all event changes.

Parameters:

listener - the listener to add.

See Also:

removePropertyChangeListener

 addVetoableChangeListener

 public synchronized void addVetoableChangeListener(VetoableChangeListener listener)

Adds a vetoable listener for all event changes.

Parameters:

listener - the listener to add.

See Also:

removeVetoableChangeListener

 getImage

 public Image getImage()

Returns the image being displayed in this panel.

 getImageURL

 public URL getImageURL()

Returns the URL of the image being displayed in this panel.

See Also:

setImageURL

 getStyle

 public int getStyle()

Gets the current panel image style.

Returns:

the current panel image style, one of IMAGE_TILED, IMAGE_CENTERED, or IMAGE_SCALED_TO_FIT

See Also:

setStyle, IMAGE_TILED, IMAGE_CENTERED, IMAGE_SCALED_TO_FIT, IMAGE_NORMAL

 paint

 public void paint(Graphics g)

Paints this component using the given graphics context. This is a standard Java AWT method which typically gets called by the AWT to handle painting this component. It paints this component using the given graphics context. The graphics context clipping region is set to the bounding rectangle of this component and its [0,0] coordinate is this component's top-left corner.

Parameters:

g - the graphics context used for painting

Overrides:

paint in class Container

See Also:

repaint, update

 removePropertyChangeListener

 public synchronized void removePropertyChangeListener(PropertyChangeListener listener)

Removes a listener for all event changes.

Parameters:

listener - the listener to remove.

See Also:

addPropertyChangeListener

 removeVetoableChangeListener

 public synchronized void removeVetoableChangeListener(VetoableChangeListener listener)

Removes a vetoable listener for all event changes.

Parameters:

listener - the listener to remove.

See Also:

addVetoableChangeListener

 setImageURL

 public void setImageURL(URL url) throws PropertyVetoException

Sets the URL of the image to display in this panel.

Parameters:

url - the URL of the image to display

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getImageURL

 setStyle

 public void setStyle(int newStyle) throws PropertyVetoException

Sets the new panel image style.

Parameters:

newStyle - the new panel image style, one of IMAGE_TILED, IMAGE_CENTERED, or IMAGE_SCALED_TO_FIT

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getStyle, IMAGE_TILED, IMAGE_CENTERED, IMAGE_SCALED_TO_FIT, IMAGE_NORMAL


 Class symantec.itools.awt.ImagePanelBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.ImagePanelBeanInfo

public class ImagePanelBeanInfo
   extends SimpleBeanInfo

BeanInfo for ImagePanel.

 ImagePanelBeanInfo()

Constructs a ImagePanelBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 ImagePanelBeanInfo

 public ImagePanelBeanInfo()

Constructs a ImagePanelBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.InfoTipManager

java.lang.Object
   |
   +----symantec.itools.awt.InfoTipManager

public class InfoTipManager
   extends Object

This helper class draws InfoTips

An InfoTip is very small window that pops up to display a helpful message regarding the component the mouse is over. It appears if the mouse is held over the component for a short while.

 InfoTipManager()

Do not use, this is an all-static class.

 draw(int, int, String, FontMetrics, Color, Color)

Draws the InfoTip in the InfoTip panel.

 getInfoTipPanel()

Creates a new panel for the InfoTip as needed, and then returns it.

 InfoTipManager

 public InfoTipManager()

Do not use, this is an all-static class.

 draw

 public static void draw(int x,
                         int y,
                         String s,
                         FontMetrics fm,
                         Color bc,
                         Color fc)

Draws the InfoTip in the InfoTip panel.

Parameters:

x - location of the InfoTip, x coordinate

y - location of the InfoTip, y coordinate

s - text to display in the InfoTip

fm - font used for InfoTip text

bc - background color used for the InfoTip

fc - foreground color used for the InfoTip

See Also:

getInfoTipPanel

 getInfoTipPanel

 public static Panel getInfoTipPanel()

Creates a new panel for the InfoTip as needed, and then returns it. The InfoTip is drawn in this panel.

Returns:

a panel for the InfoTip


 Class symantec.itools.awt.InfoTipPanel

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Container
                   |
                   +----java.awt.Panel
                           |
                           +----symantec.itools.awt.ImagePanel
                                   |
                                   +----symantec.itools.awt.InfoTipPanel

public class InfoTipPanel
   extends ImagePanel
   implements Runnable, Serializable

The InfoTipPanel is a panel which may contain only one component. Whenever this component receives a mouse entered event, the InfoTipPanel either scrolls a text message towards the button or pops the text up immediately next to the button. Whenever this component receives a mouse exit event, the text scrolls away from the component or disappears.

 ABOVE_COMPONENT

Defines the "from top" scroll direction.

 BELOW_COMPONENT

Defines the "from bottom" scroll direction.

 bufferedBgndImage

Off screen buffer used for animation.

 callingAddInternally

Internal flag that indicates a call to add() is being made from within InfoTipPanel.

 delayTimer

Timer object which is used to time the delay before popping up the text.

 DONE_SCROLLING_IN

Defines the "done scrolling in" scroll state.

 DONE_SCROLLING_OUT

Defines the "done scrolling out" scroll state.

 dontDrawText

Internal flag that indicates that the component is NOT to draw the text from within paint().

 errors

Error strings.

 extraHighlightHeight

Extra height which is added on if highlighText == true

 extraHighlightWidth

Extra width which is added on if highlighText == true

 highlightText

boolean property representing whether the text will be drawn transparently rather than using the specified textHighlightColor.

 LEFT_OF_COMPONENT

Defines the "from left" scroll direction.

 myComponent

Reference to the component which will be added to the InfoTipPanel and whose mouse entered and mouse exited events will control the scrolling of the text.

 myMouseListener

Reference to the Mouse object which is listening to myComponent for mouse events.

 offScreenImage

Off screen buffer used for animation.

 RIGHT_OF_COMPONENT

Defines the "from right" scroll direction.

 SCROLLING_IN

Defines the "scrolling in" scroll state.

 SCROLLING_OUT

Defines the "scrolling out" scroll state.

 text

The text which will be scrolled on mouse entered and mouse exited events from myComponent.

 textAnimationThread

The thread which will animate the scrolling text.

 textAscent

Ascent of current message text.

 textColor

The color used for text when this component is enabled.

 textDelay

int property which represents how long (in milliseconds) to pause before starting to scroll/pop-up text on a mouse entered event.

 textDescent

Descent of current message text.

 textHeight

Height of current message text.

 textHighlightColor

Color which will be used to highlight the text if highlightText flag is set.

 textScrollsIn

boolean property representing whether the text will be scrolled in from the edge of the panel on a mouse over, or popped up beside the component.

 textWidth

Width of current message text.

 WAITING_TO_SCROLL_IN

Defines the "waiting to scroll in" scroll state.

 InfoTipPanel()

Constructs a default InfoTipPanel.

 InfoTipPanel(Component, String, int, boolean, int, boolean)

Constructs a new InfoTipPanel initialized with the specified component, text, minimum height and minimum width.

 addImpl(Component, Object, int)

Adds the specified component to this container at the specified index.

 addNotify()

Tells this component that it has been added to a container.

 addPropertyChangeListener(PropertyChangeListener)

Adds a listener for all event changes.

 addTextLocationListener(PropertyChangeListener)

Adds a listener for the TextLocation property changes.

 addTextLocationListener(VetoableChangeListener)

Adds a vetoable listener for the TextLocation property changes.

 addVetoableChangeListener(VetoableChangeListener)

Adds a vetoable listener for all event changes.

 atOrBeyondPoint(Point, Point, int)

Utility method for updateDirection, calculateDX, and calculateDY.

 calculateDX(Point)

Utility method for drawNextFrame.

 calculateDY(Point)

Utility method for drawNextFrame.

 calculateTextAttributes()

Utility method.

 createOffScreenBuffers()

This method re-creates the off screen images necessary for the text animation.

 drawNextFrame(Point)

Does all necessary calculations and graphics work to advance the text one frame (starting from the point specified in the paramter startingPoint).

 drawText(Graphics, int, int)

Draws the current text into the graphics context and location specified in the parameters.

 getAreaAffectedByPopup()

Utility method for getBufferedBackgroundBounds.

 getAreaAffectedByScroll()

Utility method for getBufferedBackgroundBounds.

 getBufferedBackgroundBottomMostY()

Utility method for getBufferedBackgroundBounds.

 getBufferedBackgroundBounds()

Calculates the rectangle which bounds the portion of this component's background which the text will animate over.

 getBufferedBackgroundLeftMostX()

Utility method for getBufferedBackgroundBounds.

 getBufferedBackgroundRightMostX()

Utility method for getBufferedBackgroundBounds.

 getBufferedBackgroundTopMostY()

Utility method for getBufferedBackgroundBounds.

 getComponent()

Gets the current component in the InfoTipPanel.

 getHighlightBounds(int, int)

Determines the rectangle which bounds the area that should be highlighted.

 getHighlightText()

Gets the current value of the "Highlight Text" property which determines whether the text will be highlighted with the current textHighlightColor or not.

 getMinimumSize()

Returns the minimum dimensions to properly display this component.

 getPreferredSize()

Returns the recommended dimensions to properly display this component.

 getText()

Gets the current text in this InfoTipPanel.

 getTextColor()

Gets the current text color.

 getTextConstantXPos()

Utility method for getTextStartingPoint and getTextFinishingPoint.

 getTextConstantYPos()

Utility method for getTextStartingPoint and getTextFinishingPoint.

 getTextDelay()

Get the amount of time (in milliseconds) to wait after a mouse entered event before the text is scrolled in or popped up.

 getTextFinishingPoint()

Calculates the point at which the text should be located when the scrolling animation has scrolled the text all the way in.

 getTextHighlightColor()

Gets the current highlight color which will be used if highlightText is true.

 getTextLocation()

Gets the current value of the "Text Location" property for this InfoTipPanel.

 getTextScrollsIn()

Gets the value of the "Text Scrolls In" property which tells the InfoTipPanel whether the text should be scrolled in on a mouse over rather than just appearing next to the component (without scrolling in).

 getTextStartingPoint()

Calculates the point at which the text should be located when the scrolling animation is initiated.

 isValidTextLocation(int)

Is the given text location valid.

 paint(Graphics)

Paints this component using the given graphics context.

 popDownText()

Basically just erases the text next to the component (in the location specified by textLocation).

 popUpText()

Draws the text next to the component (in the location specified by textLocation).

 remove(Component)

Removes the specified component from this container.

 removeAll()

Removes all the components from this container.

 removeNotify()

Tells this component that it is being removed from a container.

 removePropertyChangeListener(PropertyChangeListener)

Removes a listener for all event changes.

 removeTextLocationListener(PropertyChangeListener)

Removes a listener for the TextLocation property changes.

 removeTextLocationListener(VetoableChangeListener)

Removes a vetoable listener for the TextLocation property changes.

 removeVetoableChangeListener(VetoableChangeListener)

Removes a vetoable listener for all event changes.

 run()

Standard method in the java.lang.Runnable interface.

 scrollOneDirection(Point)

Starts the text scrolling in the current direction, starting from the point specified by the parameter startingPoint.

 scrollText()

Start the text scrolling in or out from the appropriate location.

 setBounds(int, int, int, int)

Reshapes the Component to the specified bounding box.

 setComponent(Component)

Sets the component in this InfoTipPanel.

 setFont(Font)

Sets the font of the component.

 setHighlightText(boolean)

Sets the "Highlight Text" property which determines whether the text will be highlighted with the current textHighlightColor or not.

 setImageURL(URL)

Sets the URL of the image to display in this panel.

 setLayout(LayoutManager)

Takes no action.

 setStyle(int)

Sets the new panel image style.

 setText(String)

Sets the text in this InfoTipPanel.

 setTextColor(Color)

Sets the text color.

 setTextDelay(int)

Set the amount of time (in milliseconds) to wait after a mouse entered event before the text is scrolled in or popped up.

 setTextHighlightColor(Color)

Sets the current highlight color which will be used if highlightText is true.

 setTextLocation(int)

Sets where the text will be located in this InfoTipPanel.

 setTextScrollsIn(boolean)

Sets the "Text Scrolls In" property which tells the InfoTipPanel whether the text should be scrolled in on a mouse over rather than just appearing next to the component (without scrolling in).

 startScrolling(int, boolean)

Starts the text scrolling in the direction indicated by the parameter newScrollState.

 stopScrolling()

Stops the scrolling text animation (if any).

 storeBackground()

Utility method for run.

 updateDirection(Point)

Utility method for drawNextFrame.

 validateOffScreenBuffers()

Utility method of run This method checks to see whether the off screen images necessary for the animation already exist, and if so that they are of the correct size.

 ABOVE_COMPONENT

 public static final int ABOVE_COMPONENT

Defines the "from top" scroll direction. One of four possible values for textLocation.

 BELOW_COMPONENT

 public static final int BELOW_COMPONENT

Defines the "from bottom" scroll direction. One of four possible values for textLocation.

 bufferedBgndImage

 protected transient Image bufferedBgndImage

Off screen buffer used for animation.

 callingAddInternally

 protected transient boolean callingAddInternally

Internal flag that indicates a call to add() is being made from within InfoTipPanel.

 delayTimer

 protected Timer delayTimer

Timer object which is used to time the delay before popping up the text.

 DONE_SCROLLING_IN

 protected static final int DONE_SCROLLING_IN

Defines the "done scrolling in" scroll state. One of four possible values for scrollState.

 DONE_SCROLLING_OUT

 protected static final int DONE_SCROLLING_OUT

Defines the "done scrolling out" scroll state. One of four possible values for scrollState.

 dontDrawText

 protected transient boolean dontDrawText

Internal flag that indicates that the component is NOT to draw the text from within paint().

 errors

 protected transient ResourceBundle errors

Error strings.

 extraHighlightHeight

 protected int extraHighlightHeight

Extra height which is added on if highlighText == true

 extraHighlightWidth

 protected int extraHighlightWidth

Extra width which is added on if highlighText == true

 highlightText

 protected boolean highlightText

boolean property representing whether the text will be drawn transparently rather than using the specified textHighlightColor.

See Also:

setHighlightText, getHighlightText

 LEFT_OF_COMPONENT

 public static final int LEFT_OF_COMPONENT

Defines the "from left" scroll direction. One of four possible values for textLocation.

 myComponent

 protected Component myComponent

Reference to the component which will be added to the InfoTipPanel and whose mouse entered and mouse exited events will control the scrolling of the text.

See Also:

setComponent, getComponent

 myMouseListener

 protected InfoTipPanel$Mouse myMouseListener

Reference to the Mouse object which is listening to myComponent for mouse events.

 offScreenImage

 protected transient Image offScreenImage

Off screen buffer used for animation.

 RIGHT_OF_COMPONENT

 public static final int RIGHT_OF_COMPONENT

Defines the "from right" scroll direction. One of four possible values for textLocation.

 SCROLLING_IN

 protected static final int SCROLLING_IN

Defines the "scrolling in" scroll state. One of four possible values for scrollState.

 SCROLLING_OUT

 protected static final int SCROLLING_OUT

Defines the "scrolling out" scroll state. One of four possible values for scrollState.

 text

 protected String text

The text which will be scrolled on mouse entered and mouse exited events from myComponent.

See Also:

setText, getText

 textAnimationThread

 protected transient Thread textAnimationThread

The thread which will animate the scrolling text.

 textAscent

 protected transient int textAscent

Ascent of current message text.

 textColor

 protected Color textColor

The color used for text when this component is enabled.

See Also:

getTextColor, setTextColor

 textDelay

 protected int textDelay

int property which represents how long (in milliseconds) to pause before starting to scroll/pop-up text on a mouse entered event.

See Also:

setTextDelay, getTextDelay

 textDescent

 protected transient int textDescent

Descent of current message text.

 textHeight

 protected transient int textHeight

Height of current message text.

 textHighlightColor

 protected Color textHighlightColor

Color which will be used to highlight the text if highlightText flag is set.

See Also:

setTextHighlightColor, getTextHighlightColor

 textScrollsIn

 protected boolean textScrollsIn

boolean property representing whether the text will be scrolled in from the edge of the panel on a mouse over, or popped up beside the component.

See Also:

setTextScrollsIn, getTextScrollsIn

 textWidth

 protected transient int textWidth

Width of current message text.

 WAITING_TO_SCROLL_IN

 protected static final int WAITING_TO_SCROLL_IN

Defines the "waiting to scroll in" scroll state. One of four possible values for scrollState.

 InfoTipPanel

 public InfoTipPanel()

Constructs a default InfoTipPanel. The panel is initialized with a null component, RIGHT_OF_COMPONENT as the scrolldirection, and the Auto-Position property set to true.

 InfoTipPanel

 public InfoTipPanel(Component component,
                     String text,
                     int textLocation,
                     boolean textScrollsIn,
                     int textDelay,
                     boolean highlightText)

Constructs a new InfoTipPanel initialized with the specified component, text, minimum height and minimum width.

Parameters:

component - the component which will be added to the InfoTipPanel and whose mouse entered and mouse exited events will control the scrolling of the text.

text - the text which will be scrolled.

textLocation - the direction from which the text is scrolled. resize itself and position the component placed inside of it.

 addImpl

 protected void addImpl(Component comp,
                        Object constraints,
                        int index)

Adds the specified component to this container at the specified index. Also notifies the layout manager to add the component to the this container's layout using the specified constraints object.

This is the method to override if you want to track every add request to a container. An overriding method should usually include a call to super.addImpl(comp, constraints, index). It is overridden here to set the only component in this InfoTipPanel. This is the component that triggers text scrolling on a mouse entered event. The InfoTipPanel can only contain one component. Any previous component will be removed before the new one is added.

Parameters:

comp - the component to be added

constraints - an object expressing layout contraints for this component

index - the position in the container's list at which to insert the component. -1 means insert at the end.

Overrides:

addImpl in class Container

See Also:

remove

 addNotify

 public synchronized void addNotify()

Tells this component that it has been added to a container. This is a standard Java AWT method which gets called by the AWT when this component is added to a container. Typically, it is used to create this component's peer. It has been OVERRIDDEN here to calculate text sizes and to create any off screen buffers that will be needed for the animation.

Overrides:

addNotify in class Panel

See Also:

removeNotify

 addPropertyChangeListener

 public synchronized void addPropertyChangeListener(PropertyChangeListener listener)

Adds a listener for all event changes.

Parameters:

listener - the listener to add.

Overrides:

addPropertyChangeListener in class ImagePanel

See Also:

removePropertyChangeListener

 addTextLocationListener

 public synchronized void addTextLocationListener(PropertyChangeListener listener)

Adds a listener for the TextLocation property changes.

Parameters:

listener - the listener to add.

See Also:

removeTextLocationListener

 addTextLocationListener

 public synchronized void addTextLocationListener(VetoableChangeListener listener)

Adds a vetoable listener for the TextLocation property changes.

Parameters:

listener - the listener to add.

See Also:

removeTextLocationListener

 addVetoableChangeListener

 public synchronized void addVetoableChangeListener(VetoableChangeListener listener)

Adds a vetoable listener for all event changes.

Parameters:

listener - the listener to add.

Overrides:

addVetoableChangeListener in class ImagePanel

See Also:

removeVetoableChangeListener

 atOrBeyondPoint

 protected boolean atOrBeyondPoint(Point currentLocation,
                                   Point point,
                                   int allowance)

Utility method for updateDirection, calculateDX, and calculateDY. If paramter 'allowance' equals zero, this method determines whether or not the text has scrolled to a position which is at or beyond the point specified in the parameter 'point' (based on textLocation and scrollState). For a non-zero 'allowance', this method determines whether or not the text has scrolled to a position which is either beyond 'point' or within 'allowance' pixels of 'point' (based on the current textLocation and scrollState).

Returns:

whether or not 'currentLocation' is at or beyond 'point' (given 'allowance' pixels of leeway).

 calculateDX

 protected int calculateDX(Point startingPoint)

Utility method for drawNextFrame. Given the current location of the text, this method calculates how far in the x-direction the text should move when it advances to the next frame of the animation.

Parameters:

startingPoint - the current location of the text.

Returns:

the distance in the x-direction the text should move when it advances to the next frame of the animation.

See Also:

calculateDY

 calculateDY

 protected int calculateDY(Point startingPoint)

Utility method for drawNextFrame. Given the current location of the text, this method calculates how far in the y-direction the text should move when it advances to the next frame of the animation.

Parameters:

startingPoint - the current location of the text.

Returns:

the distance in the y-direction the text should move when it advances to the next frame of the animation.

See Also:

calculateDX

 calculateTextAttributes

 protected void calculateTextAttributes()

Utility method. This method calculates the ascent, descent, height, and width of the current text, based on the current graphics context.

 createOffScreenBuffers

 protected void createOffScreenBuffers()

This method re-creates the off screen images necessary for the text animation. This method must be called any time that the sizes of these images must be re-calculated -- it will flush() the old images (if any) and create new images of the correct size.

 drawNextFrame

 protected void drawNextFrame(Point startingPoint)

Does all necessary calculations and graphics work to advance the text one frame (starting from the point specified in the paramter startingPoint). statingPoint is modified by this method to be the NEW position of the text (scrolled one frame further than when the method was called)

Parameters:

startingPoint - the current position of the text (before this method advances it by one animation frame).

 drawText

 protected void drawText(Graphics g,
                         int x,
                         int y)

Draws the current text into the graphics context and location specified in the parameters. Highlights the text, if necessary.

Parameters:

g - the graphics context into which the text should be drawn

x - the x-coordinate at which the text should be drawn

y - the y-coordinate at which the text should be drawn

 getAreaAffectedByPopup

 protected Rectangle getAreaAffectedByPopup()

Utility method for getBufferedBackgroundBounds. Calculates the rectangle which bounds the portion of this component's background which the text will pop-up over.

Returns:

this bounding rectangle (or null if there is insufficient space to do the animation.

 getAreaAffectedByScroll

 protected Rectangle getAreaAffectedByScroll()

Utility method for getBufferedBackgroundBounds. Calculates the rectangle which bounds the portion of this component's background which the text will scroll over.

Returns:

this bounding rectangle (or null if there is insufficient space to do the animation.

 getBufferedBackgroundBottomMostY

 protected int getBufferedBackgroundBottomMostY()

Utility method for getBufferedBackgroundBounds. This method calculates the y-coordinate of the bottom edge of the rectangle which bounds the portion of this component's background which the text will animate over.

Returns:

this y-coordinate.

See Also:

getBufferedBackgroundBounds, getBufferedBackgroundTopMostY, getBufferedBackgroundLeftMostX, getBufferedBackgroundRightMostX

 getBufferedBackgroundBounds

 protected Rectangle getBufferedBackgroundBounds()

Calculates the rectangle which bounds the portion of this component's background which the text will animate over.

Returns:

this bounding rectangle.

 getBufferedBackgroundLeftMostX

 protected int getBufferedBackgroundLeftMostX()

Utility method for getBufferedBackgroundBounds. This method calculates the x-coordinate of the rectangle which bounds the portion of this component's background which the text will animate over.

Returns:

this x-coordinate.

See Also:

getBufferedBackgroundBounds, getBufferedBackgroundTopMostY, getBufferedBackgroundBottomMostY, getBufferedBackgroundRightMostX

 getBufferedBackgroundRightMostX

 protected int getBufferedBackgroundRightMostX()

Utility method for getBufferedBackgroundBounds. This method calculates the x-coordinate of the right edge of the rectangle which bounds the portion of this component's background which the text will animate over.

Returns:

this x-coordinate.

See Also:

getBufferedBackgroundBounds, getBufferedBackgroundTopMostY, getBufferedBackgroundBottomMostY, getBufferedBackgroundLeftMostX

 getBufferedBackgroundTopMostY

 protected int getBufferedBackgroundTopMostY()

Utility method for getBufferedBackgroundBounds. This method calculates the y-coordinate of the rectangle which bounds the portion of this component's background which the text will animate over.

Returns:

this y-coordinate.

See Also:

getBufferedBackgroundBounds, getBufferedBackgroundBottomMostY, getBufferedBackgroundLeftMostX, getBufferedBackgroundRightMostX

 getComponent

 public Component getComponent()

Gets the current component in the InfoTipPanel. This is the component that triggers text scrolling on a mouse entered event.

Returns:

the current component in the InfoTipPanel

See Also:

setComponent

 getHighlightBounds

 protected Rectangle getHighlightBounds(int textX,
                                        int textY)

Determines the rectangle which bounds the area that should be highlighted.

Returns:

this bounding Rectangle, or null if textWidth or textHeight is zero.

 getHighlightText

 public boolean getHighlightText()

Gets the current value of the "Highlight Text" property which determines whether the text will be highlighted with the current textHighlightColor or not.

Returns:

the current value of this property

See Also:

setHighlightText, getTextHighlightColor, setTextHighlightColor

 getMinimumSize

 public Dimension getMinimumSize()

Returns the minimum dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the minimum size of this component. It is OVERRIDDEN here to just return the preferred size as determined by a call to getPreferredSize()

Returns:

A Dimension representing the minimum size of this component

Overrides:

getMinimumSize in class Container

See Also:

getPreferredSize

 getPreferredSize

 public Dimension getPreferredSize()

Returns the recommended dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the recommended size of this component. It has been OVERRIDEEN here to, for each axis, return the larger of the current size and the size of myComponent.

Returns:

A Dimension representing the preferred size of this component

Overrides:

getPreferredSize in class Container

See Also:

getMinimumSize

 getText

 public String getText()

Gets the current text in this InfoTipPanel. This is the text which scrolls out on a mouse entered event.

Returns:

the text

See Also:

setText

 getTextColor

 public Color getTextColor()

Gets the current text color.

Returns:

the current color of the text

See Also:

setTextColor

 getTextConstantXPos

 protected int getTextConstantXPos()

Utility method for getTextStartingPoint and getTextFinishingPoint. This method calculates the x-position at which the text should be drawn if the textLocation is either ABOVE_COMPONENT or BELOW_COMPONENT. Requires a graphics context to be available.

Returns:

the x-position at which the text should be drawn if the textLocation is either ABOVE_COMPONENT or BELOW_COMPONENT.

See Also:

getTextStartingPoint, getTextFinishingPoint

 getTextConstantYPos

 protected int getTextConstantYPos()

Utility method for getTextStartingPoint and getTextFinishingPoint. This method calculates the y-position at which the text should be drawn if the textLocation is either LEFT_OF_COMPONENT or RIGHT_OF_COMPONENT. Requires a graphics context to be available.

Returns:

the y-position at which the text should be drawn if the textLocation is either LEFT_OF_COMPONENT or RIGHT_OF_COMPONENT.

See Also:

getTextStartingPoint, getTextFinishingPoint

 getTextDelay

 public int getTextDelay()

Get the amount of time (in milliseconds) to wait after a mouse entered event before the text is scrolled in or popped up.

Returns:

the amount of time (in milliseconds) that this InfoTipPanel will wait after a mouse entered event before the text is scrolled in or popped up.

See Also:

setTextDelay

 getTextFinishingPoint

 protected Point getTextFinishingPoint()

Calculates the point at which the text should be located when the scrolling animation has scrolled the text all the way in.

Returns:

this Point

See Also:

getTextStartingPoint

 getTextHighlightColor

 public Color getTextHighlightColor()

Gets the current highlight color which will be used if highlightText is true.

Returns:

the current highlight color

See Also:

setTextHighlightColor, getHighlightText, setHighlightText

 getTextLocation

 public int getTextLocation()

Gets the current value of the "Text Location" property for this InfoTipPanel. The text location controls where the text will appear on a mouse entered event.

Returns:

the text location: RIGHT_OF_COMPONENT, LEFT_OF_COMPONENT, ABOVE_COMPONENT, or BELOW_COMPONENT

See Also:

setTextLocation

 getTextScrollsIn

 public boolean getTextScrollsIn()

Gets the value of the "Text Scrolls In" property which tells the InfoTipPanel whether the text should be scrolled in on a mouse over rather than just appearing next to the component (without scrolling in).

Returns:

the current value of this property

See Also:

setTextScrollsIn

 getTextStartingPoint

 protected Point getTextStartingPoint()

Calculates the point at which the text should be located when the scrolling animation is initiated.

Returns:

this Point

See Also:

getTextFinishingPoint

 isValidTextLocation

 protected boolean isValidTextLocation(int i)

Is the given text location valid.

Parameters:

i - the given text location

Returns:

true if the given text location is acceptable, false if not.

 paint

 public void paint(Graphics g)

Paints this component using the given graphics context. This is a standard Java AWT method which typically gets called by the AWT to handle painting this component. It paints this component using the given graphics context. The graphics context clipping region is set to the bounding rectangle of this component and its [0,0] coordinate is this component's top-left corner. It has been OVERRIDDEN for this container to call super.paint(g), and then draw it's text, if necessary.

Parameters:

g - the graphics context used for painting

Overrides:

paint in class ImagePanel

See Also:

repaint

 popDownText

 protected void popDownText()

Basically just erases the text next to the component (in the location specified by textLocation).

See Also:

popUpText

 popUpText

 protected void popUpText()

Draws the text next to the component (in the location specified by textLocation).

See Also:

popDownText

 remove

 public synchronized void remove(Component comp)

Removes the specified component from this container. This is a standard Java AWT method which gets called to remove a component from a container. When this happens the component's removeNotify() will also get called to indicate component removal. It has been OVERRIDDEN here to add remove the listeners which we added to the component.

Parameters:

comp - the component to remove

Overrides:

remove in class Container

See Also:

removeAll, add

 removeAll

 public synchronized void removeAll()

Removes all the components from this container. This is a standard Java AWT method which gets called to remove all the components from a container. When this happens each component's removeNotify() will also get called to indicate component removal. It has been OVERRIDDEN here to remove the InfoTipPanel's reference to its component.

Overrides:

removeAll in class Container

See Also:

remove, add

 removeNotify

 public synchronized void removeNotify()

Tells this component that it is being removed from a container. This is a standard Java AWT method which gets called by the AWT when this component is removed from a container. Typically, it is used to destroy the peers of this component and all its subcomponents. It has been OVERRIDDEN here to dispose of any buffers or any animation thread in use by this InfoTipPanel, and then call super.removeNotify().

Overrides:

removeNotify in class Container

See Also:

addNotify

 removePropertyChangeListener

 public synchronized void removePropertyChangeListener(PropertyChangeListener listener)

Removes a listener for all event changes.

Parameters:

listener - the listener to remove.

Overrides:

removePropertyChangeListener in class ImagePanel

See Also:

addPropertyChangeListener

 removeTextLocationListener

 public synchronized void removeTextLocationListener(PropertyChangeListener listener)

Removes a listener for the TextLocation property changes.

Parameters:

listener - the listener to remove.

See Also:

addTextLocationListener

 removeTextLocationListener

 public synchronized void removeTextLocationListener(VetoableChangeListener listener)

Removes a vetoable listener for the TextLocation property changes.

Parameters:

listener - the listener to remove.

See Also:

addTextLocationListener

 removeVetoableChangeListener

 public synchronized void removeVetoableChangeListener(VetoableChangeListener listener)

Removes a vetoable listener for all event changes.

Parameters:

listener - the listener to remove.

Overrides:

removeVetoableChangeListener in class ImagePanel

See Also:

addVetoableChangeListener

 run

 public void run()

Standard method in the java.lang.Runnable interface. When an object implementing interface Runnable is used to create a thread, starting the thread causes the object's run method to be called in that separately executing thread. Here, run has been implemented to do animate the text scrolling in and out. The thread calling this method will continue to animate the text until it scrolls either completely out, or completely in.

See Also:

run

 scrollOneDirection

 protected Point scrollOneDirection(Point startingPoint)

Starts the text scrolling in the current direction, starting from the point specified by the parameter startingPoint. The text will continue to be scrolled until the current direction changes (due to a mouse event, or due to the text scrolling all the way in or out).

Parameters:

startingPoint - the point from which the text starts scrolling

Returns:

the point at which the text stopped scrolling

 scrollText

 protected void scrollText()

Start the text scrolling in or out from the appropriate location. The text will continue to be scrolled back and forth until the text scrolls all the way in, or all the way out.

 setBounds

 public void setBounds(int x,
                       int y,
                       int width,
                       int height)

Reshapes the Component to the specified bounding box. It has been OVERRIDDEN here to adjust all the animation buffers to the correct size (based on the new size of the InfoTipPanel)

Parameters:

x - the x coordinate

y - the y coordinate

width - the width of the component

height - the height of the component

Overrides:

setBounds in class Component

See Also:

getBounds, setLocation, setSize

 setComponent

 public void setComponent(Component comp)

Sets the component in this InfoTipPanel. This is the component that triggers text scrolling on a mouse entered event. The InfoTipPanel can only contain one component. Any previous component will be removed before the new one is added.

Parameters:

comp - the component to add

See Also:

getComponent

 setFont

 public synchronized void setFont(Font f)

Sets the font of the component. This is a standard method of java.awt.component. It has been OVERRIDDEN here to recalculate the sizes/locations of everything based on the new font.

Parameters:

f - the font

Overrides:

setFont in class Component

 setHighlightText

 public void setHighlightText(boolean newValue) throws PropertyVetoException

Sets the "Highlight Text" property which determines whether the text will be highlighted with the current textHighlightColor or not.

Parameters:

newValue - the new value of this property

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getHighlightText, getTextHighlightColor, setTextHighlightColor

 setImageURL

 public void setImageURL(URL url) throws PropertyVetoException

Sets the URL of the image to display in this panel. It has been OVERRIDDEN here to suspend the animation thread while the image is set, and to re-buffer the new background.

Parameters:

url - the URL of the image to display

Throws: PropertyVetoException

if the specified property value is unacceptable

Overrides:

setImageURL in class ImagePanel

See Also:

setImageURL, getImageURL

 setLayout

 public void setLayout(LayoutManager mgr)

Takes no action. This is a standard Java AWT method which gets called to specify which layout manager should be used to layout the components in standard containers. Since layout managers CANNOT BE USED with this container the standard setLayout has been OVERRIDDEN for this container and does nothing.

Parameters:

l - the layout manager to use to layout this container's components (IGNORED)

Overrides:

setLayout in class Container

See Also:

getLayout

 setStyle

 public void setStyle(int newStyle) throws PropertyVetoException

Sets the new panel image style. It has been OVERRIDDEN here to suspend the animation thread while the style is set, and to re-buffer the new background.

Parameters:

newStyle - the new panel image style, one of IMAGE_TILED, IMAGE_CENTERED, or IMAGE_SCALED_TO_FIT

Throws: PropertyVetoException

if the specified property value is unacceptable

Overrides:

setStyle in class ImagePanel

See Also:

setStyle, getStyle, IMAGE_TILED, IMAGE_CENTERED, IMAGE_SCALED_TO_FIT

 setText

 public void setText(String newText) throws PropertyVetoException

Sets the text in this InfoTipPanel. This is the text which scrolls out on a mouse entered event. Causes the component to redraw.

Parameters:

newText - the text

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getText

 setTextColor

 public void setTextColor(Color color) throws PropertyVetoException

Sets the text color. Causes the InfoTipPanel to redraw.

Parameters:

color - the new color for the text

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getTextColor

 setTextDelay

 public void setTextDelay(int newDelay) throws PropertyVetoException

Set the amount of time (in milliseconds) to wait after a mouse entered event before the text is scrolled in or popped up.

Parameters:

newDelay - the amount of time (in milliseconds) to wait after a mouse entered event before the text is scrolled in or popped up.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getTextDelay

 setTextHighlightColor

 public void setTextHighlightColor(Color color) throws PropertyVetoException

Sets the current highlight color which will be used if highlightText is true.

Parameters:

color - the new highlight color

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getTextHighlightColor, getHighlightText, setHighlightText

 setTextLocation

 public void setTextLocation(int newLocation) throws PropertyVetoException

Sets where the text will be located in this InfoTipPanel. This controls where the text will appear on a mouse entered event. Causes the component to redraw.

Parameters:

newLocation - the new text location: RIGHT_OF_COMPONENT, LEFT_OF_COMPONENT, ABOVE_COMPONENT, or BELOW_COMPONENT

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getTextLocation

 setTextScrollsIn

 public void setTextScrollsIn(boolean newScroll) throws PropertyVetoException

Sets the "Text Scrolls In" property which tells the InfoTipPanel whether the text should be scrolled in on a mouse over rather than just appearing next to the component (without scrolling in).

Parameters:

the - new value for this property

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getTextScrollsIn

 startScrolling

 protected void startScrolling(int newScrollState,
                               boolean ignoreDelay)

Starts the text scrolling in the direction indicated by the parameter newScrollState. The text will continue to be scrolled back and forth until the text scrolls all the way in, or all the way out. Causes a thread to be started to animate the text. This method is also responsible for starting the timer if the textDelay is set to some number of milliseconds. This method will be called a second time if and when that timer goes off.

Parameters:

newScrollState - the direction of the scroll: SCROLLING_IN, or SCROLLING_OUT

ignoreDelay - whether or not to ignore a delay even if it would normally be necessary (i.e. even though the text is starting to scroll in)

See Also:

stopScrolling

 stopScrolling

 protected void stopScrolling()

Stops the scrolling text animation (if any). Any subsequent mouse over events will cause the text to scroll again, as usual.

See Also:

startScrolling

 storeBackground

 protected void storeBackground()

Utility method for run. This method stores the background (in this case only the panel's image since this is a heavyweight component) into bufferedBgndImage. Only the portion of the background inside of the bounds specified by getBufferedBackgroundBounds() is saved.

See Also:

run

 updateDirection

 protected void updateDirection(Point currentPoint)

Utility method for drawNextFrame. Given the current location of the text, this method determines whether the scrollState should be set to SCROLLING_IN, SCROLLING_OUT, DONE_SCROLLING_IN, or DONE_SCROLLING_OUT. This method actually modifies the 'scrollState' member of this class.

See Also:

drawNextFrame

 validateOffScreenBuffers

 protected boolean validateOffScreenBuffers()

Utility method of run This method checks to see whether the off screen images necessary for the animation already exist, and if so that they are of the correct size. If the buffers do not exist this method tries to create them. Due to a bug in some VMs componentResize events may not get sent correctly so we must also check that the sizes of the buffers are correct.

Returns:

a boolean indicating whether or not buffers exist by the end of this method which are sufficient for the animation.

See Also:

run


 Class symantec.itools.awt.InfoTipPanelBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.InfoTipPanelBeanInfo

public class InfoTipPanelBeanInfo
   extends SimpleBeanInfo

BeanInfo for InfoTipPanel.

 InfoTipPanelBeanInfo()

Constructs a TextScrollingButtonBeanIn object.

 getAdditionalBeanInfo()

Gets an array of BeanInfo on the superclasses of this object.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Returns desecriptions of this bean's properties.

 InfoTipPanelBeanInfo

 public InfoTipPanelBeanInfo()

Constructs a TextScrollingButtonBeanIn object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets an array of BeanInfo on the superclasses of this object. The superclasses returned are all assignable from class Object (see isAssignableFrom).

Returns:

BeanInfo on this class's superclasses

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

See Also:

isAssignableFrom

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getDefaultPropertyIndex

 public int getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

Overrides:

getDefaultPropertyIndex in class SimpleBeanInfo

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns desecriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.InvisibleButton

java.lang.Object
   |
   +----java.awt.Component
           |
           +----symantec.itools.awt.InvisibleButton

public class InvisibleButton
   extends Component

Use this component to create an invisible area, usually within an image, that initiates an action when clicked. Specifically, use InvisibleButton to

· Create a "hot spot" on an image or on a component.

· Accept or yield focus.

· Respond to a user event.

· Send an action event to another component.

Button tips:

· Buttons accept and yield focus automatically by default.

· Buttons accept clicked events automatically by default.

· To send an action event to another component, use the Interaction Wizard. Optionally, you can override the InvisibleButton’s click event in project source code.

· Overlapping components - browsers handle components layered on each other differently. Some browsers display/layer the InvisibleButtons on top of a particular component, while others display them underneath. Therefore, it often requires two sets of InvisibleButtons to ensure that one is "on top"; one on top of the particular component and the other underneath.

 pressed

True if the button is currently pressed.

 InvisibleButton()

Constructs an InvisibleButton.

 addActionListener(ActionListener)

Adds the specified action listener to receive action events from this button.

 addNotify()

Tells this component that it has been added to a container.

 addPropertyChangeListener(PropertyChangeListener)

Adds a listener for all event changes.

 addVetoableChangeListener(VetoableChangeListener)

Adds a vetoable listener for all event changes.

 getActionCommand()

 removeActionListener(ActionListener)

Removes the specified action listener so it no longer receives action events from this button.

 removeNotify()

Tells this component that it is being removed from a container.

 removePropertyChangeListener(PropertyChangeListener)

Removes a listener for all event changes.

 removeVetoableChangeListener(VetoableChangeListener)

Removes a vetoable listener for all event changes.

 setActionCommand(String)

Sets the command name of the action event fired by this button.

 sourceActionEvent()

Fire an action event to the listeners

 pressed

 protected transient boolean pressed

True if the button is currently pressed.

 InvisibleButton

 public InvisibleButton()

Constructs an InvisibleButton.

 addActionListener

 public synchronized void addActionListener(ActionListener l)

Adds the specified action listener to receive action events from this button.

Parameters:

l - the action listener

 addNotify

 public synchronized void addNotify()

Tells this component that it has been added to a container. This is a standard Java AWT method which gets called by the AWT when this component is added to a container. Typically, it is used to create this component's peer. It has been overridden here to hook-up event listeners.

Overrides:

addNotify in class Component

See Also:

removeNotify

 addPropertyChangeListener

 public synchronized void addPropertyChangeListener(PropertyChangeListener listener)

Adds a listener for all event changes.

Parameters:

PropertyChangeListener - listener the listener to add.

See Also:

removePropertyChangeListener

 addVetoableChangeListener

 public synchronized void addVetoableChangeListener(VetoableChangeListener listener)

Adds a vetoable listener for all event changes.

Parameters:

VetoableChangeListener - listener the listener to add.

See Also:

removeVetoableChangeListener

 getActionCommand

 public String getActionCommand()

Returns:

s the command name of the action event fired by this button.

 removeActionListener

 public synchronized void removeActionListener(ActionListener l)

Removes the specified action listener so it no longer receives action events from this button.

Parameters:

l - the action listener

 removeNotify

 public synchronized void removeNotify()

Tells this component that it is being removed from a container. This is a standard Java AWT method which gets called by the AWT when this component is removed from a container. Typically, it is used to destroy the peers of this component and all its subcomponents. It has been overridden here to unhook event listeners.

Overrides:

removeNotify in class Component

See Also:

addNotify

 removePropertyChangeListener

 public synchronized void removePropertyChangeListener(PropertyChangeListener listener)

Removes a listener for all event changes.

Parameters:

PropertyChangeListener - listener the listener to remove.

See Also:

addPropertyChangeListener

 removeVetoableChangeListener

 public synchronized void removeVetoableChangeListener(VetoableChangeListener listener)

Removes a vetoable listener for all event changes.

Parameters:

VetoableChangeListener - listener the listener to remove.

See Also:

addVetoableChangeListener

 setActionCommand

 public void setActionCommand(String command) throws PropertyVetoException

Sets the command name of the action event fired by this button.

Parameters:

command - the name of the action event command fired by this button

Throws: PropertyVetoException

if the specified property value is unacceptable

 sourceActionEvent

 protected void sourceActionEvent()

Fire an action event to the listeners


 Class symantec.itools.awt.InvisibleButtonBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.InvisibleButtonBeanInfo

public class InvisibleButtonBeanInfo
   extends SimpleBeanInfo

BeanInfo for InvisibleButton.

 InvisibleButtonBeanInfo()

Constructs a InvisibleButtonBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Deny knowledge of methods.

 getPropertyDescriptors()

Deny knowledge of properties.

 InvisibleButtonBeanInfo

 public InvisibleButtonBeanInfo()

Constructs a InvisibleButtonBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Deny knowledge of methods.

Overrides:

getMethodDescriptors in class SimpleBeanInfo

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Deny knowledge of properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.InvisibleHTMLLink

java.lang.Object
   |
   +----java.awt.Component
           |
           +----symantec.itools.awt.InvisibleButton
                   |
                   +----symantec.itools.awt.InvisibleHTMLLink

public class InvisibleHTMLLink
   extends InvisibleButton

Use this component to create an invisible rectangular button, usually within an image, that displays the document at a given URL when clicked.

 context

Applet context that shows the document.

 frame

Frame specifier for showing a URL document in a browser or applet viewer.

 url

The URL of the document to show when the button is clicked.

 InvisibleHTMLLink()

Constructs a default InvisibleHTMLLink.

 addNotify()

Tells this component that it has been added to a container.

 addPropertyChangeListener(PropertyChangeListener)

Adds a listener for all event changes.

 addVetoableChangeListener(VetoableChangeListener)

Adds a vetoable listener for all event changes.

 getFrame()

Gets the frame specifier for showing a URL document in a browser or applet viewer.

 getURL()

Returns the URL of the document to show when the button is clicked.

 removeNotify()

Tells this component that it is being removed from a container.

 removePropertyChangeListener(PropertyChangeListener)

Removes a listener for all event changes.

 removeVetoableChangeListener(VetoableChangeListener)

Removes a vetoable listener for all event changes.

 setAppletContext(AppletContext)

Sets the applet context used to view documents.

 setFrame(String)

Sets the frame specifier for showing a URL document in a browser or applet viewer.

 setURL(URL)

Sets the URL of the document to show when the button is clicked.

 context

 protected transient AppletContext context

Applet context that shows the document.

 frame

 protected String frame

Frame specifier for showing a URL document in a browser or applet viewer. It is interpreted as follows:

"_self" show document in the current frame

"_parent" show document in the parent frame

"_top" show document in the topmost frame

"_blank" show document in a new unnamed toplevel window

all others show document in a new toplevel window with the given name

 url

 protected URL url

The URL of the document to show when the button is clicked.

 InvisibleHTMLLink

 public InvisibleHTMLLink()

Constructs a default InvisibleHTMLLink.

 addNotify

 public synchronized void addNotify()

Tells this component that it has been added to a container. This is a standard Java AWT method which gets called by the AWT when this component is added to a container. Typically, it is used to create this component's peer. It has been overridden here to hook-up event listeners.

Overrides:

addNotify in class InvisibleButton

See Also:

removeNotify

 addPropertyChangeListener

 public synchronized void addPropertyChangeListener(PropertyChangeListener listener)

Adds a listener for all event changes.

Parameters:

PropertyChangeListener - listener the listener to add.

Overrides:

addPropertyChangeListener in class InvisibleButton

See Also:

removePropertyChangeListener

 addVetoableChangeListener

 public synchronized void addVetoableChangeListener(VetoableChangeListener listener)

Adds a vetoable listener for all event changes.

Parameters:

VetoableChangeListener - listener the listener to add.

Overrides:

addVetoableChangeListener in class InvisibleButton

See Also:

removeVetoableChangeListener

 getFrame

 public String getFrame()

Gets the frame specifier for showing a URL document in a browser or applet viewer. It is interpreted as follows:

"_self" show document in the current frame

"_parent" show document in the parent frame

"_top" show document in the topmost frame

"_blank" show document in a new unnamed toplevel window

all others show document in a new toplevel window with the given name

Returns:

the frame specifier

See Also:

setFrame

 getURL

 public URL getURL()

Returns the URL of the document to show when the button is clicked.

See Also:

setURL

 removeNotify

 public synchronized void removeNotify()

Tells this component that it is being removed from a container. This is a standard Java AWT method which gets called by the AWT when this component is removed from a container. Typically, it is used to destroy the peers of this component and all its subcomponents. It has been overridden here to unhook event listeners.

Overrides:

removeNotify in class InvisibleButton

See Also:

addNotify

 removePropertyChangeListener

 public synchronized void removePropertyChangeListener(PropertyChangeListener listener)

Removes a listener for all event changes.

Parameters:

PropertyChangeListener - listener the listener to remove.

Overrides:

removePropertyChangeListener in class InvisibleButton

See Also:

addPropertyChangeListener

 removeVetoableChangeListener

 public synchronized void removeVetoableChangeListener(VetoableChangeListener listener)

Removes a vetoable listener for all event changes.

Parameters:

VetoableChangeListener - listener the listener to remove.

Overrides:

removeVetoableChangeListener in class InvisibleButton

See Also:

addVetoableChangeListener

 setAppletContext

 protected void setAppletContext(AppletContext c)

Sets the applet context used to view documents.

Parameters:

c - the new applet context

 setFrame

 public void setFrame(String f) throws PropertyVetoException

Sets the frame specifier for showing a URL document in a browser or applet viewer. It is interpreted as follows:

"_self" show document in the current frame

"_parent" show document in the parent frame

"_top" show document in the topmost frame

"_blank" show document in a new unnamed toplevel window

all others show document in a new toplevel window with the given name

Parameters:

f - the frame specifier

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getFrame, frameTarget_self, frameTarget_parent, frameTarget_top, frameTarget_blank

 setURL

 public void setURL(URL u) throws PropertyVetoException

Sets the URL of the document to show when the button is clicked.

Parameters:

u - the URL

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getURL


 Class symantec.itools.awt.InvisibleHTMLLinkBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.InvisibleHTMLLinkBeanInfo

public class InvisibleHTMLLinkBeanInfo
   extends SimpleBeanInfo

BeanInfo for InvisibleHTMLLink.

 InvisibleHTMLLinkBeanInfo()

Constructs a InvisibleHTMLLinkBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 InvisibleHTMLLinkBeanInfo

 public InvisibleHTMLLinkBeanInfo()

Constructs a InvisibleHTMLLinkBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getDefaultPropertyIndex

 public int getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

Overrides:

getDefaultPropertyIndex in class SimpleBeanInfo

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.KeyPressManagerPanel

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Container
                   |
                   +----java.awt.Panel
                           |
                           +----symantec.itools.awt.KeyPressManagerPanel

public class KeyPressManagerPanel
   extends Panel
   implements Serializable

A Panel extension which provides for tabbing between components and supporting certain key accelerations by posting events provided by the user. Can be used directly or extended. When extending be sure to super() during construction and to super.handleEvent(evt) from handleEvent if you override it.

The tab focus order is based on the order in which the components were added to the panel. Each component receives focus in turn, but the mouse cursor is not relocated. Look at the Project window to see the tab order of components within the KeyPressManagerPanel. You can change the tab order by moving the component names in the Project window list, or by adding them to the panel in a different order in your source code.

Components respond to default events when they receive focus. For example, the TextField component displays text input from the keyboard, and the Button component issues an action event when it is clicked.

Use KeyPressManagerPanel to create a panel whose elements can be tabbed through, and specifically to:

· Create a subcontainer that organizes container space within an Applet, Frame or Dialog container. This simplifies your component layout task.

· Hold other specialized Panel containers.

 action

Listens for an action and posts a default button action when triggered.

 cancelButton

The button to press when the Escape key is pressed.

 defaultButton

The button to press when the Enter/Return key is pressed.

 key

Listens for an key and if appropriate posts a default or cancel button action.

 KeyPressManagerPanel()

Constructs a Panel which handles key press events.

 addImpl(Component, Object, int)

Inserts a component into this container at the given position, and adds it to the layout manager using the specified constraints object.

 componentAdded(Component)

Sets the tab stop if necessary, hooks up any listeners we need.

 componentRemoved(Component)

Utility routined automatically called before a component is removed from this panel.

 consumeKeyTyped(KeyEvent)

Internally called utility routine that handles ENTER and ESCAPE key processing.

 handleTabEvent(KeyEvent)

Internally called utility routine that handles TAB key processing.

 remove(int)

Removes the component at the specified zero-relative index from this container.

 removeAll()

Removes all the components from this container.

 removeCancelButton()

Removes Escape key association with current Cancel button/event.

 removeDefaultButton()

Removes Enter/Return key association with current default button/event.

 resetKeyManager()

Resets all KeyPressManager associations (default button, cancel button, tab stop list).

 sendAction(Button)

This helper method sends an action event to the specified button.

 setCancelButton(Button)

Sets the button to press when the Escape key is pressed.

 setCancelButton(Button, Event, Container, boolean)

Deprecated.

 setDefaultButton(Button)

Sets the button to press when the Enter or Return key is pressed.

 setDefaultButton(Button, Event, Container, boolean)

Deprecated.

 action

 protected KeyPressManagerPanel$A action

Listens for an action and posts a default button action when triggered.

 cancelButton

 protected Button cancelButton

The button to press when the Escape key is pressed.

See Also:

setCancelButton

 defaultButton

 protected Button defaultButton

The button to press when the Enter/Return key is pressed.

See Also:

setDefaultButton

 key

 protected KeyPressManagerPanel$K key

Listens for an key and if appropriate posts a default or cancel button action.

 KeyPressManagerPanel

 public KeyPressManagerPanel()

Constructs a Panel which handles key press events. By default, components added to this panel can be tabbed to. To change this call method setAutoTabState() with false before adding components that can't be tabbed to.

 addImpl

 protected void addImpl(Component component,
                        Object constraints,
                        int index)

Inserts a component into this container at the given position, and adds it to the layout manager using the specified constraints object.

This is a standard Java AWT method which is overridden to track every add request to a container.

Parameters:

component - the component to add

constraints - the positioning constraints for the layout manager

index - the zero-relative index at which to add the component, or -1 to append to the end

Overrides:

addImpl in class Container

See Also:

remove

 componentAdded

 protected void componentAdded(Component component)

Sets the tab stop if necessary, hooks up any listeners we need. Called when any component is added to the panel

Parameters:

component - component being added to the panel.

See Also:

componentRemoved

 componentRemoved

 protected void componentRemoved(Component component)

Utility routined automatically called before a component is removed from this panel. It removes this panel's key event listeners and, for TextFields, action event listeners.

Parameters:

component - the component about to be removed from this panel

 consumeKeyTyped

 protected boolean consumeKeyTyped(KeyEvent evt)

Internally called utility routine that handles ENTER and ESCAPE key processing.

Parameters:

evt - the key event

Returns:

true if an action event was sent to the default button

 handleTabEvent

 protected boolean handleTabEvent(KeyEvent evt)

Internally called utility routine that handles TAB key processing.

Parameters:

evt - the key event

Returns:

true if an event was processed

 remove

 public void remove(int index)

Removes the component at the specified zero-relative index from this container.

This is a standard Java AWT method which gets called to remove a component from a container. When this happens the component's removeNotify() will also get called to indicate component removal.

Parameters:

index - the zero-relative index of the component to remove

Overrides:

remove in class Container

See Also:

removeAll, add

 removeAll

 public void removeAll()

Removes all the components from this container.

This is a standard Java AWT method which gets called to remove all the components from a container. When this happens each component's removeNotify() will also get called to indicate component removal.

Overrides:

removeAll in class Container

See Also:

remove, add

 removeCancelButton

 public void removeCancelButton()

Removes Escape key association with current Cancel button/event.

See Also:

setCancelButton

 removeDefaultButton

 public void removeDefaultButton()

Removes Enter/Return key association with current default button/event.

See Also:

setDefaultButton

 resetKeyManager

 public void resetKeyManager()

Resets all KeyPressManager associations (default button, cancel button, tab stop list).

 sendAction

 protected boolean sendAction(Button button)

This helper method sends an action event to the specified button.

 setCancelButton

 public void setCancelButton(Button button)

Sets the button to press when the Escape key is pressed.

Parameters:

button - the button to set as Cancel

See Also:

removeCancelButton

 setCancelButton

 public void setCancelButton(Button button,
                             Event evt,
                             Container deliverTo,
                             boolean bSetFocus)

Note: setCancelButton() is deprecated. CancelButton will be sent action and focus will be set.

See Also:

setCancelButton

 setDefaultButton

 public void setDefaultButton(Button button)

Sets the button to press when the Enter or Return key is pressed.

Parameters:

button - the button to set as default

See Also:

removeDefaultButton

 setDefaultButton

 public void setDefaultButton(Button button,
                              Event evt,
                              Container deliverTo,
                              boolean bSetFocus)

Note: setDefaultButton() is deprecated. defaultButton will be sent action and focus will be set

See Also:

setDefaultButton


 Class symantec.itools.awt.KeyPressManagerPanelBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.KeyPressManagerPanelBeanInfo

public class KeyPressManagerPanelBeanInfo
   extends SimpleBeanInfo

BeanInfo for KeyPressManagerPanel.

 KeyPressManagerPanelBeanInfo()

Constructs a KeyPressManagerPanelBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Deny knowledge of properties.

 KeyPressManagerPanelBeanInfo

 public KeyPressManagerPanelBeanInfo()

Constructs a KeyPressManagerPanelBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Deny knowledge of properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.Label3D

java.lang.Object
   |
   +----java.awt.Component
           |
           +----symantec.itools.awt.Label3D

public class Label3D
   extends Component
   implements AlignStyle, BevelStyle

Creates a text string in a rectangle that has a three-dimensional visual effect. It is usually attached to an option, box, or button.

An application or applet can change the label text string, but a user cannot edit it.

Note: For most components, labels are usually created by specifying text for the Label property of that component.

 alignStyle

The current text alignment style.

 bevelStyle

The current border bevel style.

 borderedColor

The border color.

 cachedBackground

Cached value of the background color.

 hilightColor

The color of border bevel hilights.

 indent

The amount to indent around the border: INDENT_ZERO, INDENT_ONE, or INDENT_TWO.

 INDENT_ONE

Constant indicating a drawing margin of 1 pixel around the outside of the border.

 INDENT_TWO

Constant indicating a drawing margin of 2 pixels around the outside of the border.

 INDENT_ZERO

Constant indicating a drawing margin of 0 pixels around the outside of the border.

 shadowColor

The color of border bevel shawdows.

 sLabel3D

The label text.

 textColor

The label text color.

 Label3D()

Constructs an empty Label3D with black text that is center aligned and a raised border with zero border indent.

 Label3D(String, int, int)

Constructs a Label3D with black text, zero border indent, and the specified text alignment and bevel styles.

 Label3D(String, int, int, Color)

Constructs a Label3D with a zero border indent and the specified attributes.

 Label3D(String, int, int, Color, int)

Constructs a Label3D with the specified attributes.

 Label3D(String, int, int, int)

Constructs a Label3D with black text and the specified attributes.

 addPropertyChangeListener(PropertyChangeListener)

Adds a listener for all event changes.

 addVetoableChangeListener(VetoableChangeListener)

Adds a vetoable listener for all event changes.

 calculateHilightColors(Color)

Used to calculate the hilight colors from the background color.

 getAlignStyle()

Gets the current alignment style.

 getBevelStyle()

Gets the current border style.

 getBorderedColor()

Gets the border color.

 getBorderIndent()

Gets the current border indent amount.

 getMinimumSize()

Returns the minimum dimensions to properly display this component.

 getPreferredSize()

Returns the recommended dimensions to properly display this component.

 getText()

Gets the current label text.

 getTextColor()

Gets the current label text color.

 minimumSize()

Deprecated.

 paint(Graphics)

Paints this component using the given graphics context.

 preferredSize()

Deprecated.

 removePropertyChangeListener(PropertyChangeListener)

Removes a listener for all event changes.

 removeVetoableChangeListener(VetoableChangeListener)

Removes a vetoable listener for all event changes.

 setAlignStyle(int)

Sets the text alignment style.

 setBevelStyle(int)

Sets the border style.

 setBorderedColor(Color)

Sets the border color.

 setBorderIndent(int)

Sets the border indent amount.

 setText(String)

Sets the label text.

 setTextColor(Color)

Sets the label text color.

 alignStyle

 protected int alignStyle

The current text alignment style. The value is one of: ALIGN_LEFT, ALIGN_CENTERED, or ALIGN_RIGHT.

See Also:

getAlignStyle, setAlignStyle, ALIGN_LEFT, ALIGN_CENTERED, ALIGN_RIGHT

 bevelStyle

 protected int bevelStyle

The current border bevel style. The value is one of: BEVEL_RAISED, BEVEL_LOWERED, BEVEL_LINE, or BEVEL_NONE.

See Also:

getBevelStyle, setBevelStyle, BEVEL_RAISED, BEVEL_LOWERED, BEVEL_LINE, BEVEL_NONE

 borderedColor

 protected Color borderedColor

The border color.

See Also:

getBorderedColor, setBorderedColor

 cachedBackground

 protected Color cachedBackground

Cached value of the background color. Used to determine if calculated colors need to be updated.

 hilightColor

 protected Color hilightColor

The color of border bevel hilights. This color is automatically determined.

 indent

 protected int indent

The amount to indent around the border: INDENT_ZERO, INDENT_ONE, or INDENT_TWO.

See Also:

getBorderIndent, setBorderIndent, INDENT_ZERO, INDENT_ONE, INDENT_TWO

 INDENT_ONE

 public static final int INDENT_ONE

Constant indicating a drawing margin of 1 pixel around the outside of the border.

 INDENT_TWO

 public static final int INDENT_TWO

Constant indicating a drawing margin of 2 pixels around the outside of the border.

 INDENT_ZERO

 public static final int INDENT_ZERO

Constant indicating a drawing margin of 0 pixels around the outside of the border.

 shadowColor

 protected Color shadowColor

The color of border bevel shawdows. This color is automatically determined.

 sLabel3D

 protected String sLabel3D

The label text.

 textColor

 protected Color textColor

The label text color.

See Also:

getTextColor, setTextColor

 Label3D

 public Label3D()

Constructs an empty Label3D with black text that is center aligned and a raised border with zero border indent.

 Label3D

 public Label3D(String sText,
                int alignStyle,
                int bevelStyle)

Constructs a Label3D with black text, zero border indent, and the specified text alignment and bevel styles.

Parameters:

sText - the label text

alignStyle - the text alignment style: ALIGN_LEFT, ALIGN_CENTERED, or ALIGN_RIGHT

bevelStyle - the bevel style: BEVEL_RAISED, BEVEL_LOWERED, BEVEL_LINE, or BEVEL_NONE

See Also:

ALIGN_LEFT, ALIGN_CENTERED, ALIGN_RIGHT, BEVEL_RAISED, BEVEL_LOWERED, BEVEL_LINE, BEVEL_NONE

 Label3D

 public Label3D(String sText,
                int alignStyle,
                int bevelStyle,
                Color color)

Constructs a Label3D with a zero border indent and the specified attributes.

Parameters:

sText - the label text

alignStyle - the text alignment style: ALIGN_LEFT, ALIGN_CENTERED, or ALIGN_RIGHT

bevelStyle - the bevel style: BEVEL_RAISED, BEVEL_LOWERED, BEVEL_LINE, or BEVEL_NONE

color - the text color

See Also:

ALIGN_LEFT, ALIGN_CENTERED, ALIGN_RIGHT, BEVEL_RAISED, BEVEL_LOWERED, BEVEL_LINE, BEVEL_NONE

 Label3D

 public Label3D(String sText,
                int alignStyle,
                int bevelStyle,
                Color color,
                int indent)

Constructs a Label3D with the specified attributes.

Parameters:

sText - the label text

alignStyle - the text alignment style: ALIGN_LEFT, ALIGN_CENTERED, or ALIGN_RIGHT

bevelStyle - the bevel style: BEVEL_RAISED, BEVEL_LOWERED, BEVEL_LINE, or BEVEL_NONE

color - the text color

indent - the amount to indent the border: INDENT_ZERO, INDENT_ONE, or INDENT_TWO

See Also:

ALIGN_LEFT, ALIGN_CENTERED, ALIGN_RIGHT, BEVEL_RAISED, BEVEL_LOWERED, BEVEL_LINE, BEVEL_NONE, INDENT_ZERO, INDENT_ONE, INDENT_TWO

 Label3D

 public Label3D(String sText,
                int alignStyle,
                int bevelStyle,
                int indent)

Constructs a Label3D with black text and the specified attributes.

Parameters:

sText - the label text

alignStyle - the text alignment style: ALIGN_LEFT, ALIGN_CENTERED, or ALIGN_RIGHT

bevelStyle - the bevel style: BEVEL_RAISED, BEVEL_LOWERED, BEVEL_LINE, or BEVEL_NONE

indent - the amount to indent the border: INDENT_ZERO, INDENT_ONE, or INDENT_TWO

See Also:

ALIGN_LEFT, ALIGN_CENTERED, ALIGN_RIGHT, BEVEL_RAISED, BEVEL_LOWERED, BEVEL_LINE, BEVEL_NONE, INDENT_ZERO, INDENT_ONE, INDENT_TWO

 addPropertyChangeListener

 public synchronized void addPropertyChangeListener(PropertyChangeListener listener)

Adds a listener for all event changes.

Parameters:

listener - the listener to add.

See Also:

removePropertyChangeListener

 addVetoableChangeListener

 public synchronized void addVetoableChangeListener(VetoableChangeListener listener)

Adds a vetoable listener for all event changes.

Parameters:

listener - the listener to add.

See Also:

removeVetoableChangeListener

 calculateHilightColors

 protected void calculateHilightColors(Color c)

Used to calculate the hilight colors from the background color.

See Also:

paint

 getAlignStyle

 public int getAlignStyle()

Gets the current alignment style.

Returns:

the text alignment style: ALIGN_LEFT, ALIGN_CENTERED, or ALIGN_RIGHT

See Also:

setAlignStyle, ALIGN_LEFT, ALIGN_CENTERED, ALIGN_RIGHT

 getBevelStyle

 public int getBevelStyle()

Gets the current border style.

Returns:

the border bevel style: BEVEL_RAISED, BEVEL_LOWERED, BEVEL_LINE, or BEVEL_NONE

See Also:

setBevelStyle, BEVEL_RAISED, BEVEL_LOWERED, BEVEL_LINE, BEVEL_NONE

 getBorderedColor

 public Color getBorderedColor()

Gets the border color.

Returns:

the border color

See Also:

setBorderedColor

 getBorderIndent

 public int getBorderIndent()

Gets the current border indent amount.

Returns:

the amount the border is currently indented: INDENT_ZERO, INDENT_ONE, or INDENT_TWO

See Also:

setBorderIndent, INDENT_ZERO, INDENT_ONE, INDENT_TWO

 getMinimumSize

 public Dimension getMinimumSize()

Returns the minimum dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the minimum size of this component. The minimum size is that size needed to display the entire label text.

Overrides:

getMinimumSize in class Component

See Also:

getPreferredSize

 getPreferredSize

 public Dimension getPreferredSize()

Returns the recommended dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the recommended size of this component. For each axis, the preferred size is the maximum of the current size and the minimum size needed to display the entire label text.

Overrides:

getPreferredSize in class Component

See Also:

getMinimumSize

 getText

 public String getText()

Gets the current label text.

Returns:

the current label text

See Also:

setText

 getTextColor

 public Color getTextColor()

Gets the current label text color.

Returns:

the current color of the label text

See Also:

setTextColor

 minimumSize

 public Dimension minimumSize()

Note: minimumSize() is deprecated.

Overrides:

minimumSize in class Component

See Also:

getMinimumSize

 paint

 public void paint(Graphics g)

Paints this component using the given graphics context. This is a standard Java AWT method which typically gets called by the AWT to handle painting this component. It paints this component using the given graphics context. The graphics context clipping region is set to the bounding rectangle of this component and its [0,0] coordinate is this component's top-left corner.

Parameters:

g - the graphics context used for painting

Overrides:

paint in class Component

See Also:

repaint, update

 preferredSize

 public Dimension preferredSize()

Note: preferredSize() is deprecated.

Overrides:

preferredSize in class Component

See Also:

getPreferredSize

 removePropertyChangeListener

 public synchronized void removePropertyChangeListener(PropertyChangeListener listener)

Removes a listener for all event changes.

Parameters:

listener - the listener to remove.

See Also:

addPropertyChangeListener

 removeVetoableChangeListener

 public synchronized void removeVetoableChangeListener(VetoableChangeListener listener)

Removes a vetoable listener for all event changes.

Parameters:

listener - the listener to remove.

See Also:

addVetoableChangeListener

 setAlignStyle

 public void setAlignStyle(int newAlignStyle) throws PropertyVetoException

Sets the text alignment style.

Parameters:

style - the text alignment style: ALIGN_LEFT, ALIGN_CENTERED, or ALIGN_RIGHT

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getAlignStyle, ALIGN_LEFT, ALIGN_CENTERED, ALIGN_RIGHT

 setBevelStyle

 public void setBevelStyle(int newBevelStyle) throws PropertyVetoException

Sets the border style.

Parameters:

style - the border bevel style: BEVEL_RAISED, BEVEL_LOWERED, BEVEL_LINE, or BEVEL_NONE

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getBevelStyle, BEVEL_RAISED, BEVEL_LOWERED, BEVEL_LINE, BEVEL_NONE

 setBorderedColor

 public void setBorderedColor(Color newBorderColor) throws PropertyVetoException

Sets the border color.

Parameters:

newBorderColor - the color to use for the border

Throws: PropertyVetoException

if the specified property value is unacceptable

 setBorderIndent

 public void setBorderIndent(int newBorderIndent) throws PropertyVetoException

Sets the border indent amount.

Parameters:

newBorderIndent - the amount to indent around the border: INDENT_ZERO, INDENT_ONE, or INDENT_TWO

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getBorderIndent, INDENT_ZERO, INDENT_ONE, INDENT_TWO

 setText

 public void setText(String newText) throws PropertyVetoException

Sets the label text.

Parameters:

newText - the new label text

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getText

 setTextColor

 public void setTextColor(Color newTextColor) throws PropertyVetoException

Sets the label text color.

Parameters:

newTextColor - the new color for the label text

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getTextColor


 Class symantec.itools.awt.Label3DBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.Label3DBeanInfo

public class Label3DBeanInfo
   extends SimpleBeanInfo

BeanInfo for Label3D.

 Label3DBeanInfo()

Constructs a Label3DBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 Label3DBeanInfo

 public Label3DBeanInfo()

Constructs a Label3DBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getDefaultPropertyIndex

 public int getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

Overrides:

getDefaultPropertyIndex in class SimpleBeanInfo

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.LabelButton

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Canvas
                   |
                   +----symantec.itools.awt.ButtonBase
                           |
                           +----symantec.itools.awt.LabelButton

public class LabelButton
   extends ButtonBase
   implements AlignStyle

LabelButton is a 3D looking button that displays a string on it's face. Use an LabelButton to:

· Display text in a 3D looking button.

· Generate a train of action events while the user presses the button.

 ALIGN_BOTTOM

Defines the "bottom" label text alignment style.

 ALIGN_TOP

Defines the "top" label text alignment style.

 disabledTextColor

The color used for text when this component is disabled.

 errors

Error strings.

 hAlignStyle

The text horizontal alignment style.

 pressedTextColor

The color used for text when this component is pressed.

 sLabelButton

The button label text.

 textColor

The color used for text when this component is enabled.

 vAlignStyle

The text vertical alignment style.

 LabelButton()

Constructs an empty LabelButton with center aligned black text.

 LabelButton(String)

Constructs a LabelButton with the specified centered, black text.

 LabelButton(String, Color)

Constructs a LabelButton with the specified centered text, with the specified color.

 LabelButton(String, int)

Constructs a LabelButton with the specified vertically centered black text, and the specified horizontal text alignment style.

 LabelButton(String, int, int, Color)

Constructs a LabelButton with the specified attributes.

 addAlignStyleListener(PropertyChangeListener)

Adds a listener for the AlignStyle property changes.

 addAlignStyleListener(VetoableChangeListener)

Adds a vetoable listener for the AlignStyle property changes.

 addNotify()

Tells this component that it has been added to a container.

 addPropertyChangeListener(PropertyChangeListener)

Adds a listener for all event changes.

 addVerticalAlignStyleListener(PropertyChangeListener)

Adds a listener for the VerticalAlignStyle property changes.

 addVerticalAlignStyleListener(VetoableChangeListener)

Adds a vetoable listener for the VerticalAlignStyle property changes.

 addVetoableChangeListener(VetoableChangeListener)

Adds a vetoable listener for all event changes.

 getAlignStyle()

Gets the current text alignment style.

 getPreferredSize()

Returns the recommended dimensions to properly display this component.

 getText()

Gets the current label text.

 getTextColor()

Gets the current label text color.

 getVerticalAlignStyle()

Gets the current text alignment style.

 isValidHorizontalAlignStyle(int)

Is the given Horizontal AlignStyle valid for this button.

 isValidVerticalAlignStyle(int)

Is the given Vertical AlignStyle valid for this button.

 removeAlignStyleListener(PropertyChangeListener)

Removes a listener for the AlignStyle property changes.

 removeAlignStyleListener(VetoableChangeListener)

Removes a vetoable listener for the AlignStyle property changes.

 removeNotify()

Tells this component that it is being removed from a container.

 removePropertyChangeListener(PropertyChangeListener)

Removes a listener for all event changes.

 removeVerticalAlignStyleListener(PropertyChangeListener)

Removes a listener for the VerticalAlignStyle property changes.

 removeVerticalAlignStyleListener(VetoableChangeListener)

Removes a vetoable listener for the VerticalAlignStyle property changes.

 removeVetoableChangeListener(VetoableChangeListener)

Removes a vetoable listener for all event changes.

 setAlignStyle(int)

Sets the text horizontal alignment style.

 setText(String)

Sets the label text.

 setTextColor(Color)

Sets the label text color.

 setVerticalAlignStyle(int)

Sets the text vertical alignment style.

 updateButtonImage()

Draws the button in the buttonImage offscreen image.

 ALIGN_BOTTOM

 public static final int ALIGN_BOTTOM

Defines the "bottom" label text alignment style.

 ALIGN_TOP

 public static final int ALIGN_TOP

Defines the "top" label text alignment style.

 disabledTextColor

 protected Color disabledTextColor

The color used for text when this component is disabled. This color is automatically determined.

 errors

 protected transient ResourceBundle errors

Error strings.

 hAlignStyle

 protected int hAlignStyle

The text horizontal alignment style. The value is one of: ALIGN_LEFT, ALIGN_CENTERED, or ALIGN_RIGHT

See Also:

getAlignStyle, setAlignStyle, ALIGN_LEFT, ALIGN_CENTERED, ALIGN_RIGHT

 pressedTextColor

 protected Color pressedTextColor

The color used for text when this component is pressed. This color is automatically determined.

 sLabelButton

 protected String sLabelButton

The button label text.

 textColor

 protected Color textColor

The color used for text when this component is enabled.

See Also:

getTextColor, setTextColor

 vAlignStyle

 protected int vAlignStyle

The text vertical alignment style. The value is one of: ALIGN_TOP, ALIGN_CENTERED, or ALIGN_BOTTOM

See Also:

getVerticalAlignStyle, setVerticalAlignStyle, ALIGN_TOP, ALIGN_CENTERED, ALIGN_BOTTOM

 LabelButton

 public LabelButton()

Constructs an empty LabelButton with center aligned black text.

 LabelButton

 public LabelButton(String sText)

Constructs a LabelButton with the specified centered, black text.

Parameters:

sText - the label text

 LabelButton

 public LabelButton(String sText,
                    Color color)

Constructs a LabelButton with the specified centered text, with the specified color.

Parameters:

sText - the label text

 LabelButton

 public LabelButton(String sText,
                    int alignStyle)

Constructs a LabelButton with the specified vertically centered black text, and the specified horizontal text alignment style.

Parameters:

sText - the label text

alignStyle - the text alignment style: ALIGN_LEFT, ALIGN_CENTERED, or ALIGN_RIGHT

See Also:

ALIGN_LEFT, ALIGN_CENTERED, ALIGN_RIGHT

 LabelButton

 public LabelButton(String sText,
                    int hAlignStyle,
                    int vAlignStyle,
                    Color color)

Constructs a LabelButton with the specified attributes.

Parameters:

sText - the label text

hAlignStyle - the text horizontal alignment style: ALIGN_LEFT, ALIGN_CENTERED, or ALIGN_RIGHT

vAlignStyle - the text vertical alignment style: ALIGN_TOP, ALIGN_CENTERED, or ALIGN_BOTTOM

color - the label text color

See Also:

ALIGN_LEFT, ALIGN_CENTERED, ALIGN_RIGHT, ALIGN_TOP, ALIGN_BOTTOM

 addAlignStyleListener

 public synchronized void addAlignStyleListener(PropertyChangeListener listener)

Adds a listener for the AlignStyle property changes.

Parameters:

listener - the listener to add.

See Also:

removeAlignStyleListener

 addAlignStyleListener

 public synchronized void addAlignStyleListener(VetoableChangeListener listener)

Adds a vetoable listener for the AlignStyle property changes.

Parameters:

listener - the listener to add.

See Also:

removeAlignStyleListener

 addNotify

 public synchronized void addNotify()

Tells this component that it has been added to a container. This is a standard Java AWT method which gets called by the AWT when this component is added to a container. Typically, it is used to create this component's peer. It has been overridden here to hook-up event listeners.

Overrides:

addNotify in class ButtonBase

See Also:

removeNotify

 addPropertyChangeListener

 public synchronized void addPropertyChangeListener(PropertyChangeListener listener)

Adds a listener for all event changes.

Parameters:

listener - the listener to add.

Overrides:

addPropertyChangeListener in class ButtonBase

See Also:

removePropertyChangeListener

 addVerticalAlignStyleListener

 public synchronized void addVerticalAlignStyleListener(PropertyChangeListener listener)

Adds a listener for the VerticalAlignStyle property changes.

Parameters:

listener - the listener to add.

See Also:

removeVerticalAlignStyleListener

 addVerticalAlignStyleListener

 public synchronized void addVerticalAlignStyleListener(VetoableChangeListener listener)

Adds a vetoable listener for the VerticalAlignStyle property changes.

Parameters:

listener - the listener to add.

See Also:

removeVerticalAlignStyleListener

 addVetoableChangeListener

 public synchronized void addVetoableChangeListener(VetoableChangeListener listener)

Adds a vetoable listener for all event changes.

Parameters:

listener - the listener to add.

Overrides:

addVetoableChangeListener in class ButtonBase

See Also:

removeVetoableChangeListener

 getAlignStyle

 public int getAlignStyle()

Gets the current text alignment style.

Returns:

the text alignment style: ALIGN_LEFT, ALIGN_CENTERED, or ALIGN_RIGHT

See Also:

setAlignStyle, ALIGN_LEFT, ALIGN_CENTERED, ALIGN_RIGHT

 getPreferredSize

 public Dimension getPreferredSize()

Returns the recommended dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the recommended size of this component. The Dimension returned is large enough for the label and a one pixel space between the label and the button's bevel.

Overrides:

getPreferredSize in class ButtonBase

 getText

 public String getText()

Gets the current label text.

Returns:

the current label text

See Also:

setText

 getTextColor

 public Color getTextColor()

Gets the current label text color.

Returns:

the current color of the label text

See Also:

setTextColor

 getVerticalAlignStyle

 public int getVerticalAlignStyle()

Gets the current text alignment style.

Returns:

the text alignment style: ALIGN_TOP, ALIGN_CENTERED, or ALIGN_BOTTOM

See Also:

setVerticalAlignStyle, ALIGN_TOP, ALIGN_CENTERED, ALIGN_BOTTOM

 isValidHorizontalAlignStyle

 protected boolean isValidHorizontalAlignStyle(int i)

Is the given Horizontal AlignStyle valid for this button.

Parameters:

i - the given Horizontal AlignStyle

Returns:

true if the given Horizontal AlignStyle is acceptable, false if not.

 isValidVerticalAlignStyle

 protected boolean isValidVerticalAlignStyle(int i)

Is the given Vertical AlignStyle valid for this button.

Parameters:

i - the given Vertical AlignStyle

Returns:

true if the given Vertical AlignStyle is acceptable, false if not.

 removeAlignStyleListener

 public synchronized void removeAlignStyleListener(PropertyChangeListener listener)

Removes a listener for the AlignStyle property changes.

Parameters:

listener - the listener to remove.

See Also:

addAlignStyleListener

 removeAlignStyleListener

 public synchronized void removeAlignStyleListener(VetoableChangeListener listener)

Removes a vetoable listener for the AlignStyle property changes.

Parameters:

listener - the listener to remove.

See Also:

addAlignStyleListener

 removeNotify

 public synchronized void removeNotify()

Tells this component that it is being removed from a container. This is a standard Java AWT method which gets called by the AWT when this component is removed from a container. Typically, it is used to destroy the peers of this component and all its subcomponents. It has been overridden here to unhook event listeners.

Overrides:

removeNotify in class ButtonBase

See Also:

addNotify

 removePropertyChangeListener

 public synchronized void removePropertyChangeListener(PropertyChangeListener listener)

Removes a listener for all event changes.

Parameters:

listener - the listener to remove.

Overrides:

removePropertyChangeListener in class ButtonBase

See Also:

addPropertyChangeListener

 removeVerticalAlignStyleListener

 public synchronized void removeVerticalAlignStyleListener(PropertyChangeListener listener)

Removes a listener for the VerticalAlignStyle property changes.

Parameters:

listener - the listener to remove.

See Also:

addVerticalAlignStyleListener

 removeVerticalAlignStyleListener

 public synchronized void removeVerticalAlignStyleListener(VetoableChangeListener listener)

Removes a vetoable listener for the VerticalAlignStyle property changes.

Parameters:

listener - the listener to remove.

See Also:

addVerticalAlignStyleListener

 removeVetoableChangeListener

 public synchronized void removeVetoableChangeListener(VetoableChangeListener listener)

Removes a vetoable listener for all event changes.

Parameters:

listener - the listener to remove.

Overrides:

removeVetoableChangeListener in class ButtonBase

See Also:

addVetoableChangeListener

 setAlignStyle

 public void setAlignStyle(int style) throws PropertyVetoException

Sets the text horizontal alignment style. Causes the component to redraw.

Parameters:

style - the text alignment style: ALIGN_LEFT, ALIGN_CENTERED, or ALIGN_RIGHT

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getAlignStyle, ALIGN_LEFT, ALIGN_CENTERED, ALIGN_RIGHT

 setText

 public void setText(String sText) throws PropertyVetoException

Sets the label text. Causes the component to redraw.

Parameters:

sText - the new label text

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getText

 setTextColor

 public void setTextColor(Color color) throws PropertyVetoException

Sets the label text color. Causes the component to redraw.

Parameters:

color - the new color for the label text

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getTextColor

 setVerticalAlignStyle

 public void setVerticalAlignStyle(int style) throws PropertyVetoException

Sets the text vertical alignment style. Causes the component to redraw.

Parameters:

style - the text alignment style: ALIGN_TOP, ALIGN_CENTERED, or ALIGN_BOTTOM

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getVerticalAlignStyle, ALIGN_TOP, ALIGN_CENTERED, ALIGN_BOTTOM

 updateButtonImage

 protected void updateButtonImage()

Draws the button in the buttonImage offscreen image. This should only be called after the component is added to a container, to avoid a NullPointerException when accessing FontMetrics.

Overrides:

updateButtonImage in class ButtonBase

See Also:

updateButtonImage


 Class symantec.itools.awt.LabelButtonBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.LabelButtonBeanInfo

public class LabelButtonBeanInfo
   extends SimpleBeanInfo

BeanInfo for LabelButton.

 LabelButtonBeanInfo()

Constructs a LabelButtonBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 LabelButtonBeanInfo

 public LabelButtonBeanInfo()

Constructs a LabelButtonBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getDefaultPropertyIndex

 public int getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

Overrides:

getDefaultPropertyIndex in class SimpleBeanInfo

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.LabelHTMLLink

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Canvas
                   |
                   +----symantec.itools.awt.ButtonBase
                           |
                           +----symantec.itools.awt.LabelButton
                                   |
                                   +----symantec.itools.awt.LabelHTMLLink

public class LabelHTMLLink
   extends LabelButton
 Note: LabelHTMLLink is deprecated.
All classes that extend ButtonBase, now contain HTML URL link capabilities. Use LabelButton instead.

 url

Deprecated.

 LabelHTMLLink()

Constructs a LabelHTMLLink object.

 getURL()

Deprecated.

 setURL(URL)

Deprecated.

 url

 protected URL url

Note: url is deprecated.

See Also:

linkURL

 LabelHTMLLink

 public LabelHTMLLink()

Constructs a LabelHTMLLink object.

 getURL

 public URL getURL()

Note: getURL() is deprecated.

See Also:

getLinkURL

 setURL

 public void setURL(URL u) throws PropertyVetoException

Note: setURL() is deprecated.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setLinkURL


 Class symantec.itools.awt.LabelHTMLLinkBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.LabelHTMLLinkBeanInfo

public class LabelHTMLLinkBeanInfo
   extends SimpleBeanInfo

BeanInfo for LabelHTMLLink.

 LabelHTMLLinkBeanInfo()

Constructs a LabelHTMLLinkBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Deny knowledge of methods.

 getPropertyDescriptors()

Deny knowledge of properties.

 LabelHTMLLinkBeanInfo

 public LabelHTMLLinkBeanInfo()

Constructs a LabelHTMLLinkBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Deny knowledge of methods.

Overrides:

getMethodDescriptors in class SimpleBeanInfo

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Deny knowledge of properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.Matrix

java.lang.Object
   |
   +----symantec.itools.awt.Matrix

public final class Matrix
   extends Object
   implements Serializable

This class implements a sparse matrix of objects.

 errors

Error strings.

 Matrix()

Constructs an empty matrix.

 addElement(int, int, Object)

Adds the given element to this matrix at the specified row and column.

 elementAt(int, int)

Returns the element at the specified row and column.

 elements()

Returns an enumeration of all the elements.

 insertRow(int)

Inserts a new row at the given location.

 printRow(int)

Prints the specified row to System.out.

 removeAllElements()

Removes all elements of the matrix.

 removeElementAt(int, int)

Deletes the element at the specified row and column.

 removeRow(int)

Deletes all elements on the specified row.

 rows()

Returns the number of rows in the matrix.

 sort(CompareFunc, int)

Sorts all rows into ascending order.

 toString()

Returns a string representation of this component.

 updateElement(int, int, Object)

Adds or updates the element at the specified row and column, as needed.

 errors

 protected transient ResourceBundle errors

Error strings.

 Matrix

 public Matrix()

Constructs an empty matrix.

 addElement

 public synchronized void addElement(int r,
                                     int c,
                                     Object o) throws IllegalArgumentException

Adds the given element to this matrix at the specified row and column.

Parameters:

r - the row of the element to be added

c - the column of the element to added

o - the element to be added

Throws: IllegalArgumentException

if an element is already allocated at [r,c]

See Also:

updateElement, removeElementAt

 elementAt

 public synchronized Object elementAt(int r,
                                      int c) throws ArrayIndexOutOfBoundsException

Returns the element at the specified row and column.

Parameters:

r - the row of the element to return

c - the column of the element to return

Returns:

the element at [r,c]

Throws: ArrayIndexOutOfBoundsException

if an invalid row and/or column was given

 elements

 public synchronized MatrixEnumeration elements()

Returns an enumeration of all the elements. Use the enumeration methods of the returned object to fetch the elements sequentially.

 insertRow

 public synchronized void insertRow(int r)

Inserts a new row at the given location. It does this by incrementing the row number of all elements with row indexes >= given row number.

Parameters:

r - the number of the row to insert

See Also:

removeRow

 printRow

 public synchronized void printRow(int r)

Prints the specified row to System.out. This can be handy for debugging purposes.

Parameters:

r - the row to print

 removeAllElements

 public synchronized void removeAllElements()

Removes all elements of the matrix. The matrix becomes empty.

See Also:

addElement, removeElementAt

 removeElementAt

 public synchronized void removeElementAt(int r,
                                          int c) throws ArrayIndexOutOfBoundsException

Deletes the element at the specified row and column.

Parameters:

r - the row of the element to remove

c - the column of the element to remove

Throws: ArrayIndexOutOfBoundsException

if an invalid row and/or column was given

 removeRow

 public synchronized void removeRow(int r)

Deletes all elements on the specified row.

Parameters:

r - the row of the elements to remove

See Also:

insertRow, removeElementAt

 rows

 public synchronized int rows()

Returns the number of rows in the matrix.

 sort

 public synchronized void sort(CompareFunc f,
                               int c)

Sorts all rows into ascending order. It does this by comparing elements at the given column number using the provided CompareFunc.

Parameters:

f - compares two objects and determines which one is less than the other

c - the column number of elements to compare

 toString

 public synchronized String toString()

Returns a string representation of this component. This is a standard Java AWT method which gets called to generate a string that represents this component.

Returns:

a meaningful string about this object

Overrides:

toString in class Object

 updateElement

 public synchronized void updateElement(int r,
                                        int c,
                                        Object obj)

Adds or updates the element at the specified row and column, as needed.

Parameters:

r - the row of the element to be updated

c - the column of the element to updated

o - the new element

See Also:

addElement, removeElementAt


 Class symantec.itools.awt.MatrixEnumeration

java.lang.Object
   |
   +----symantec.itools.awt.MatrixEnumeration

public final class MatrixEnumeration
   extends Object
   implements Enumeration

This class is used to enumerate Matrix elements. Enumeration is used to sequentially scan through all the elements in a Matrix one at a time.

     See Also:
     Matrix, Enumeration

 errors

Error strings.

 MatrixEnumeration(Matrix)

Constructs a matrix enumerator for the given Matrix.

 advanceTo(int)

Skips enumeration ahead to the start of the given row.

 currCol()

Returns the column number of the current element.

 currRow()

Returns the row number of the current element.

 hasMoreElements()

Returns true if more elements are available to enumerate.

 hasMoreRows()

Returns true if more rows are available to enumerate.

 nextElement()

Returns the next element.

 nextRow()

Skips enumeration ahead to the start of the next row.

 errors

 protected transient ResourceBundle errors

Error strings.

 MatrixEnumeration

 public MatrixEnumeration(Matrix matrix)

Constructs a matrix enumerator for the given Matrix.

 advanceTo

 public Object advanceTo(int r) throws IllegalArgumentException

Skips enumeration ahead to the start of the given row.

Parameters:

r - the row to skip ahead to. Must be greater than the current row

Returns:

the first element in the given row

Throws: IllegalArgumentException

if r is less than or equal to the current row

 currCol

 public int currCol()

Returns the column number of the current element.

 currRow

 public int currRow()

Returns the row number of the current element.

 hasMoreElements

 public boolean hasMoreElements()

Returns true if more elements are available to enumerate. This is a standard Java Enumeration interface method.

Returns:

true if more elements available, false if done enumerating

 hasMoreRows

 public boolean hasMoreRows()

Returns true if more rows are available to enumerate.

 nextElement

 public Object nextElement()

Returns the next element. This is a standard Java Enumeration interface method.

 nextRow

 public Object nextRow()

Skips enumeration ahead to the start of the next row.

Returns:

the first element in the next row.


 Class symantec.itools.awt.MultiList

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Container
                   |
                   +----java.awt.Panel
                           |
                           +----symantec.itools.awt.MultiList

public class MultiList
   extends Panel
   implements Serializable, ItemSelectable

This class implements a multi-column listbox component. Use to create a box that displays a matrix of items that the user can selectRow. The user cannot type or edit a selection in a list box.

The user can resize a column at run-time by dragging the column boundary to a new position.

 actionCommand

The first part of the action command.

 actionListener

The action listener to keep track of listeners for our action event.

 allowResizingOfColumns

Allow columns to be resized.

 allowSorting

Allow sorting.

 BORDER

Border amount.

 cachedHeight

The latest vertical size of this component.

 cachedLastSplitter

The latest overall row width.

 cachedWidth

The latest horizontal size of this component.

 cellAscent

The ascent metric of the cell font.

 cellDescent

The descent metric of the cell font.

 cellFont

The font used to display cell text.

 cellHeight

The height of cells, in pixels.

 cells

The cells.

 CENTER

Center-justify column alignment constant.

 clickedInHeadings

Mouse button has been pressed in a column heading.

 CLICKTHRESHOLD

Maximum time inverval to register a double click (in milliseconds).

 clickTime

The time of the previous click.

 colorBg

The background color of cell text.

 colorFg

The foreground color of cell text.

 colorHBg

The background color of hilighted cell text.

 colorHFg

The foreground color of hilighted cell text.

 columnAlignments

The column alignments.

 columnClicked

If sorting is allowed, the column clicked in.

 columnCompareCellsRoutines

The cell compare routines to use for each column.

 columnSizes

If non-null, the the width of each column in pixels.

 defaultColumnAlignment

The column alignment to use by default.

 defaultColumnSorter

The default cell comparer.

 dragColumn

The zero-relative index of the column being resized via the UI.

 errors

Error strings.

 focusIndicatedVisually

Indicate focus when drawing.

 focusListener

The action listener to keep track of listeners for our focus event.

 forceColumnSizeRecalc

Column sizes need to be recalculated.

 forceFullRedraw

Offscreen image needs to be flushed.

 forceRedraw

True if next paint will redraw the entire component even if its size has not changed.

 hasFocus

This component has the focus.

 headingBg

The background color of column heading text.

 headingFg

The foreground color of column heading text.

 headingFont

The font used to draw heading text.

 headingHeight

The heading height in pixels.

 headings

The heading titles.

 headingVisible

Is the heading visible.

 highlightedRows

Flags indicating which rows are currently selected.

 horizontalScrollbar

The horizontal scrollbar.

 hScrollbarLineIncrement

The unit increment of the horizontal scrollbar.

 isDragging

Column splitter is being dragged to resize a column.

 isSun1_1

True if running under Java 1.1.

 isSuppressRedraw

Redrawing of component is currently suppressed.

 itemListener

The action listener to keep track of listeners for our item event.

 lastColumnClicked

If sorting is allowed, the column previously clicked in.

 LEFT

Left-justify column alignment constant.

 memoryClick

Temp storage for columnClicked when repainting during a mouse drag.

 minColumnWidth

The minimum allowed column width, in pixels.

 multiSelect

Allow multiple selections.

 offscreenImage

The offscreen image.

 offscreenImageGraphics

The graphics context used to draw into the offscreen image.

 redrawWasSupressed

Redraw would have occurred if it hadn't been suppressed.

 RESIZE_FUDGE_FACTOR

Fudge factor for resizing of columns.

 RIGHT

Right-justify column alignment constant.

 sbHPosition

The horizontal scrollbar value.

 sbHShow

Horizontal scrollbar is visible.

 sbVPosition

The vertical scrollbar value.

 sbVShow

Vertical scrollbar is visible.

 scrollbarHeight

The height of the horizontal scrollbar.

 selectedRow

The most recently selected row.

 splitters

The location of the boundries between columns, in pixels.

 topRow

The zero-relative index of the first visible row in the list.

 verticalScrollbar

The vertical scrollbar.

 verticalScrollbarWidth

The width of the vertical scrollbar.

 xDragLast

The latest horizontal position the the splitter being dragged to resize a column.

 MultiList()

Constructs a default MultiList.

 MultiList(int)

Constructs a new MultiList with the specified number of columns.

 MultiList(int, boolean)

Constructs a new MultiList with the spcified number of columns and whether multiple row selection allowed.

 MultiList(int, boolean, Color)

Constructs a new MultiList with the specified number of columns, whether multiple row selection is allowed, and given background color.

 addActionListener(ActionListener)

Adds the specified action listener to receive action events from this object.

 addCell(int, int, Cell)

Sets the contents of a cell to the given cell.

 addCell(int, int, String, Image)

Sets the contents of a cell, both text and image.

 addCellImpl(int, int, Cell)

Adds a cell to the MultiList in the row and column specified.

 addImageCell(int, int, Image)

Sets the image of a cell at the given row and column position.

 addItemListener(ItemListener)

Adds the specified item listener to receive item events from this object.

 addNotify()

Tells this component that it has been added to a container.

 addPropertyChangeListener(PropertyChangeListener)

Adds a listener for all property change events.

 addTextCell(int, int, String)

Sets the text of a cell at the given row and column position.

 addVetoableChangeListener(VetoableChangeListener)

Adds a listener for all vetoable property change events.

 adjustHeadings()

Adjusts the columns to default width.

 calcHeadings(String[])

Initializes new headings with the given list of heading titles.

 calculateHeadingHeight()

Calculates the height of the column headings and stores that in headingHeight.

 calcVerticalScrollbarPosition(boolean)

Determines if the vertical scrollbar needs to be shown.

 changeSelection(int, int)

This routine changes the selected row, handling multiple selections as needed.

 clear()

Removes all rows from the MultiList.

 createColumns(int)

Initializes the MultiList with the specified total numer of columns.

 deselectAll()

Deselects all rows in a MultiList.

 deselectRow(int)

Deselects the row, if it is not already selected.

 draw3DBox(Rectangle, boolean)

Draws a rectangle with 3-dimensional effect into the offscreen image.

 drawColumnHeading(Rectangle, boolean)

Draws the specified column heading into an offscreen image.

 drawHeading(boolean)

Draws all column headings into an offscreen image.

 drawRows(int, int, boolean)

Draws the specifed rows into an offscreen image.

 getCellBg()

Gets the current background color of cell text.

 getCellFg()

Gets the current foreground color of cell text.

 getCellFont()

Returns the font currently used for text in all the cells.

 getCellImage(int, int)

Returns the image of the specified cell, if any.

 getCellText(int, int)

Returns the text of the specified cell.

 getColumnAlignment(int)

Gets the justification of the text for the specified column.

 getColumnAlignments()

Gets a string array containing the alignment of each column.

 getColumnSize(int)

Get the column size in pixels for the specified column.

 getColumnSizes()

Returns a string array containing the width of each column in pixels.

 getColumnSizesFromSplitters()

Returns an array of column sizes as determined from the current splitter information.

 getColumnSorter(int)

Gets the object used to compare cells for sorting the specified column.

 getDefaultColumnAlignment()

Gets the default column alignment.

 getDefaultColumnSorter()

Gets the default object used to compare column cells for sorting.

 getHeading(int)

Returns the heading text of the specified column.

 getHeadingBg()

Returns the color of the column heading text background.

 getHeadingFg()

Returns the color of the column heading text foreground.

 getHeadingFont()

Returns the font for column heading text.

 getHeadings()

Gets a String array of all of the column headings.

 getListItems()

Returns the text contents of all the cells as a string array.

 getMinColumnWidth()

Returns the minimum allowable column width in pixels.

 getNumberOfCols()

Returns the current number of columns.

 getNumberOfRows()

Gets the current number of rows.

 getNumVisibleRows()

Returns the number of visible rows that can fit in the MulitList.

 getSelectedObjects()

Returns an array of Objects (Integers), one for each selected row index.

 getSelectedRow()

Returns the zero-relative index of the currently selected row.

 getSelectedRows()

Returns an integer index for each selected row.

 intArrayToStringArray(int[])

Converts the given array of int into a corresponding array of String.

 internalCreateColumns(int)

Internal helper routine.

 isAllowResizingOfColumns()

Gets whether columns may currently be resized by the user via the user interface.

 isAllowSorting()

Gets the flag controlling sorting of columns when a heading is selected.

 isFocusIndicatedVisually()

Returns true if this MultiList indicates it has focus visually.

 isFocusTraversable()

Returns the value of a flag that indicates whether this component can be traversed using Tab or Shift-Tab keyboard focus traversal.

 isHeadingVisible()

Returns true if heading of the MultiList is visible.

 isMultipleMode()

Returns true if this MultiList allows multiple selections.

 minimumSize()

Returns the minimum dimensions to properly display this component.

 paint(Graphics)

Paints this component using the given graphics context.

 paintSelection(int[])

Paints the specified rows as selected.

 preferredSize()

Returns the recommended dimensions to properly display this component.

 rangeCheckAlignment(int)

Ensures the given column alignment value is valid.

 rangeCheckColumn(int)

Ensures the given column index is valid.

 redraw()

Paints this component into an offscreen image for cleaner screen repaints.

 removeActionListener(ActionListener)

Removes the specified action listener so it no longer receives action events from this object.

 removeItemListener(ItemListener)

Removes the specified item listener so it no longer receives item events from this object.

 removeNotify()

Tells this component that it is being removed from a container.

 removePropertyChangeListener(PropertyChangeListener)

Removes a listener for all property change events.

 removeRow(int)

Removes a single row from the MultiList.

 removeSelectionBorder()

If there is a selected row, it removes the selection border from it.

 removeVetoableChangeListener(VetoableChangeListener)

Removes a listener for all vetoable property change events.

 repaintFocus()

Internal helper routine.

 resizeHeadings(int)

Internal helper routine.

 selectAll()

Selects all rows in a MultiList.

 selectRow(int)

Selects the row, if it is not already selected.

 setAllowResizingOfColumns(boolean)

Sets the flag to allow resizing of columns via the user interface.

 setAllowSorting(boolean)

Sets the flag to allow sorting of columns when a heading is selected.

 setCellBg(Color)

Sets the background color of cell text.

 setCellColors(Color, Color)

Sets foreground and background colors of cell text.

 setCellFg(Color)

Sets the foreground color of cell text.

 setCellFont(Font)

Sets the font used for text in all the cells.

 setColumnAlignment(int, int)

Sets the alignment of the text in the specified column.

 setColumnAlignments(String[])

Sets the alignment of each column.

 setColumns(int)

Deprecated.

 setColumnSizes(String[])

Sets the the width of each column in pixels.

 setColumnSorter(int, CompareCells)

Sets the object used to compare cells for sorting the specified column.

 setDefaultColumnAlignment(int)

Sets the default column alignment.

 setDefaultColumnSorter(CompareCells)

Sets the default object used to compare column cells for sorting.

 setFocusIndicatedVisually(boolean)

Sets whether this MultiList should visually indicate focus.

 setHeading(String, int)

Sets a column's heading text.

 setHeading(String, int, int)

Sets a column's heading text and width.

 setHeadingBg(Color)

Sets the column heading text background color.

 setHeadingColors(Color, Color)

Sets the column heading foreground and background colors.

 setHeadingFg(Color)

Sets the column heading text foreground color.

 setHeadingFont(Font)

Sets the font for column heading text.

 setHeadings(String[])

Initializes all the column headings with the given list.

 setHeadingVisible(boolean)

Sets whether this MultiList should draw the column headings or not.

 setLayout(LayoutManager)

Takes no action.

 setListItems(String[])

Initializes all the MultiList cells with text.

 setMinColumnWidth(int)

Sets the minimum allowable column width.

 setMultipleMode(boolean)

Sets whether this MultiList should allow multiple selections or not.

 setNumberOfCols(int)

Sets the number of columns.

 setSelectedRow(int)

Sets the specified row as the selected row.

 setSupressRedraw(boolean)

Sets the internal flag to supress redraw.

 sourceActionEvent(int)

Fires an action event to the listeners.

 sourceItemEvent(int)

Fires an item event to the listeners.

 tokenizeStringArrayIfNeeded(String[])

Handles cases where the user might pass either an array of items, or a single string with itemds separated by the ';' character.

 triggerRedraw()

Triggers an entire redraw of this component, unless redrawing is currently suppressed.

 update(Graphics)

Handles redrawing of this component on the screen.

 actionCommand

 protected String actionCommand

The first part of the action command. It is sent when a row is double-clicked, or enter is pressed.

See Also:

sourceActionEvent

 actionListener

 protected ActionListener actionListener

The action listener to keep track of listeners for our action event.

 allowResizingOfColumns

 protected boolean allowResizingOfColumns

Allow columns to be resized. Default is true.

 allowSorting

 protected boolean allowSorting

Allow sorting. Default is true.

 BORDER

 protected static final int BORDER

Border amount. Only calc'd on the right and the bottom side.

 cachedHeight

 protected int cachedHeight

The latest vertical size of this component.

 cachedLastSplitter

 protected int cachedLastSplitter

The latest overall row width.

 cachedWidth

 protected int cachedWidth

The latest horizontal size of this component.

 cellAscent

 protected int cellAscent

The ascent metric of the cell font.

 cellDescent

 protected int cellDescent

The descent metric of the cell font.

 cellFont

 protected Font cellFont

The font used to display cell text.

See Also:

getCellFont, setCellFont

 cellHeight

 protected int cellHeight

The height of cells, in pixels.

 cells

 protected Matrix cells

The cells.

 CENTER

 public static final int CENTER

Center-justify column alignment constant.

 clickedInHeadings

 protected transient boolean clickedInHeadings

Mouse button has been pressed in a column heading.

 CLICKTHRESHOLD

 public static final long CLICKTHRESHOLD

Maximum time inverval to register a double click (in milliseconds).

 clickTime

 protected transient long clickTime

The time of the previous click. Used to detect when a row is double-clicked.

 colorBg

 protected Color colorBg

The background color of cell text.

See Also:

getCellBg, setCellBg

 colorFg

 protected Color colorFg

The foreground color of cell text.

See Also:

getCellFg, setCellFg

 colorHBg

 protected Color colorHBg

The background color of hilighted cell text. Automatically determined.

 colorHFg

 protected Color colorHFg

The foreground color of hilighted cell text. Automatically determined.

 columnAlignments

 protected int columnAlignments[]

The column alignments. Values are one of: LEFT, CENTER, or RIGHT.

See Also:

LEFT, CENTER, RIGHT, setColumnAlignments

 columnClicked

 protected int columnClicked

If sorting is allowed, the column clicked in.

See Also:

isAllowSorting, setAllowSorting

 columnCompareCellsRoutines

 protected Hashtable columnCompareCellsRoutines

The cell compare routines to use for each column. The routines are indexed using an Integer of the column index.

See Also:

getColumnSorter, setColumnSorter

 columnSizes

 protected int columnSizes[]

If non-null, the the width of each column in pixels. If null, the columns are automatically sized.

See Also:

getColumnSizes, setColumnSizes

 defaultColumnAlignment

 protected int defaultColumnAlignment

The column alignment to use by default. The initial value is LEFT.

See Also:

LEFT, CENTER, RIGHT, getDefaultColumnAlignment, setDefaultColumnAlignment

 defaultColumnSorter

 protected CompareCells defaultColumnSorter

The default cell comparer.

See Also:

getDefaultColumnSorter, setDefaultColumnSorter

 dragColumn

 protected int dragColumn

The zero-relative index of the column being resized via the UI.

 errors

 protected transient ResourceBundle errors

Error strings.

 focusIndicatedVisually

 protected boolean focusIndicatedVisually

Indicate focus when drawing. Default is true.

 focusListener

 protected FocusListener focusListener

The action listener to keep track of listeners for our focus event.

 forceColumnSizeRecalc

 protected transient boolean forceColumnSizeRecalc

Column sizes need to be recalculated.

 forceFullRedraw

 protected transient boolean forceFullRedraw

Offscreen image needs to be flushed.

 forceRedraw

 protected transient boolean forceRedraw

True if next paint will redraw the entire component even if its size has not changed.

 hasFocus

 protected transient boolean hasFocus

This component has the focus.

 headingBg

 protected Color headingBg

The background color of column heading text.

See Also:

getHeadingBg, setHeadingBg

 headingFg

 protected Color headingFg

The foreground color of column heading text.

See Also:

getHeadingFg, setHeadingFg

 headingFont

 protected Font headingFont

The font used to draw heading text.

See Also:

getHeadingFont, setHeadingFont

 headingHeight

 protected int headingHeight

The heading height in pixels. If the heading is showing, it includes one pixel for the border (they overlap).

 headings

 protected String headings[]

The heading titles.

See Also:

getHeadings, setHeadings, getHeading, setHeading

 headingVisible

 protected boolean headingVisible

Is the heading visible. Default is true.

 highlightedRows

 protected BitSet highlightedRows

Flags indicating which rows are currently selected.

 horizontalScrollbar

 protected Scrollbar horizontalScrollbar

The horizontal scrollbar. Always exists. Shown as needed.

 hScrollbarLineIncrement

 protected int hScrollbarLineIncrement

The unit increment of the horizontal scrollbar. The default value is 4.

 isDragging

 protected transient boolean isDragging

Column splitter is being dragged to resize a column.

 isSun1_1

 protected static boolean isSun1_1

True if running under Java 1.1.

 isSuppressRedraw

 protected transient boolean isSuppressRedraw

Redrawing of component is currently suppressed.

See Also:

setSupressRedraw

 itemListener

 protected ItemListener itemListener

The action listener to keep track of listeners for our item event.

 lastColumnClicked

 protected int lastColumnClicked

If sorting is allowed, the column previously clicked in.

See Also:

isAllowSorting, setAllowSorting

 LEFT

 public static final int LEFT

Left-justify column alignment constant.

 memoryClick

 protected int memoryClick

Temp storage for columnClicked when repainting during a mouse drag.

 minColumnWidth

 protected int minColumnWidth

The minimum allowed column width, in pixels.

 multiSelect

 protected boolean multiSelect

Allow multiple selections. Default is false.

 offscreenImage

 protected transient Image offscreenImage

The offscreen image. Used to draw the component before painting it to the screen.

 offscreenImageGraphics

 protected transient Graphics offscreenImageGraphics

The graphics context used to draw into the offscreen image.

 redrawWasSupressed

 protected transient boolean redrawWasSupressed

Redraw would have occurred if it hadn't been suppressed.

 RESIZE_FUDGE_FACTOR

 protected static final int RESIZE_FUDGE_FACTOR

Fudge factor for resizing of columns.

 RIGHT

 public static final int RIGHT

Right-justify column alignment constant.

 sbHPosition

 protected int sbHPosition

The horizontal scrollbar value.

 sbHShow

 protected transient boolean sbHShow

Horizontal scrollbar is visible.

 sbVPosition

 protected int sbVPosition

The vertical scrollbar value.

 sbVShow

 protected transient boolean sbVShow

Vertical scrollbar is visible.

 scrollbarHeight

 protected int scrollbarHeight

The height of the horizontal scrollbar. 0 if it is not displayed.

 selectedRow

 protected int selectedRow

The most recently selected row.

 splitters

 protected int splitters[]

The location of the boundries between columns, in pixels.

 topRow

 protected int topRow

The zero-relative index of the first visible row in the list.

 verticalScrollbar

 protected Scrollbar verticalScrollbar

The vertical scrollbar. Always exists. Shown as needed.

 verticalScrollbarWidth

 protected int verticalScrollbarWidth

The width of the vertical scrollbar. 0 if it is not displayed.

 xDragLast

 protected int xDragLast

The latest horizontal position the the splitter being dragged to resize a column.

 MultiList

 public MultiList()

Constructs a default MultiList.

 MultiList

 public MultiList(int cols)

Constructs a new MultiList with the specified number of columns.

Parameters:

cols - the number of columns

 MultiList

 public MultiList(int cols,
                  boolean multi)

Constructs a new MultiList with the spcified number of columns and whether multiple row selection allowed.

Parameters:

cols - the number of columns

multi - true for multiple row selection, false otherwise

 MultiList

 public MultiList(int cols,
                  boolean multi,
                  Color bg)

Constructs a new MultiList with the specified number of columns, whether multiple row selection is allowed, and given background color.

Parameters:

cols - the number of columns

multi - true for multiple row selection, false otherwise

bg - the background color

 addActionListener

 public synchronized void addActionListener(ActionListener l)

Adds the specified action listener to receive action events from this object.

Parameters:

l - the action listener

See Also:

removeActionListener

 addCell

 public void addCell(int row,
                     int column,
                     Cell cell)

Sets the contents of a cell to the given cell.

Parameters:

row - the zero-relative row index

column - the zero-relative column index

cell - the new cell

See Also:

addCell, addTextCell, addImageCell

 addCell

 public void addCell(int r,
                     int c,
                     String s,
                     Image i)

Sets the contents of a cell, both text and image.

Parameters:

r - the zero-relative row index

c - the zero-relative column index

s - the new cell text

i - the new cell image

See Also:

addTextCell, addImageCell

 addCellImpl

 protected void addCellImpl(int row,
                            int column,
                            Cell cell)

Adds a cell to the MultiList in the row and column specified. All addCell forms call this method.

Parameters:

row - the zero-relative row index

column - the zero-relative column index

cell - the cell that is being added to the MultiList

 addImageCell

 public void addImageCell(int r,
                          int c,
                          Image i)

Sets the image of a cell at the given row and column position.

Parameters:

r - the zero-relative row index

c - the zero-relative column index

i - the new cell image

See Also:

addTextCell, addCell

 addItemListener

 public synchronized void addItemListener(ItemListener l)

Adds the specified item listener to receive item events from this object.

Parameters:

l - the item listener

See Also:

removeItemListener, sourceItemEvent

 addNotify

 public synchronized void addNotify()

Tells this component that it has been added to a container. This is a standard Java AWT method which gets called by the AWT when this component is added to a container. Typically, it is used to create this component's peer. It has been overridden here to add local event listeners.

Overrides:

addNotify in class Panel

See Also:

removeNotify

 addPropertyChangeListener

 public synchronized void addPropertyChangeListener(PropertyChangeListener listener)

Adds a listener for all property change events.

Parameters:

listener - the listener to add

See Also:

removePropertyChangeListener

 addTextCell

 public void addTextCell(int r,
                         int c,
                         String s)

Sets the text of a cell at the given row and column position.

Parameters:

r - the zero-relative row index

c - the zero-relative column index

s - the new cell text

See Also:

addImageCell, addCell

 addVetoableChangeListener

 public synchronized void addVetoableChangeListener(VetoableChangeListener listener)

Adds a listener for all vetoable property change events.

Parameters:

listener - the listener to add

See Also:

removeVetoableChangeListener

 adjustHeadings

 public void adjustHeadings()

Adjusts the columns to default width. The width of the columns is adjusted so that all columns fit into the overall width of the MultiList.

 calcHeadings

 protected void calcHeadings(String list[])

Initializes new headings with the given list of heading titles.

Parameters:

list - array of heading title strings

 calculateHeadingHeight

 protected void calculateHeadingHeight()

Calculates the height of the column headings and stores that in headingHeight.

 calcVerticalScrollbarPosition

 protected void calcVerticalScrollbarPosition(boolean minusHorizontalScrollbar)

Determines if the vertical scrollbar needs to be shown. If column sizes are being automatically determined, forces a column size recalc as needed.

 changeSelection

 public void changeSelection(int newSelection,
                             int meta)

This routine changes the selected row, handling multiple selections as needed.

Parameters:

newSelection - the zero-relative index of the newly selected row

meta - the state of the modifier keys from Event.modifiers

See Also:

setSelectedRow, CTRL_MASK, SHIFT_MASK

 clear

 public void clear()

Removes all rows from the MultiList.

See Also:

removeRow

 createColumns

 public void createColumns(int i)

Initializes the MultiList with the specified total numer of columns. All old column data is lost. Row data is preserved. Note that this method is identical to the method setNumberOfCols(), but doesn't allow the change to be vetoed.

Parameters:

i - the new number of columns

See Also:

setNumberOfCols, getNumberOfCols

 deselectAll

 public void deselectAll()

Deselects all rows in a MultiList.

See Also:

selectAll

 deselectRow

 public void deselectRow(int row)

Deselects the row, if it is not already selected.

Parameters:

row - the zero-relative row index

See Also:

selectRow

 draw3DBox

 protected void draw3DBox(Rectangle r,
                          boolean up)

Draws a rectangle with 3-dimensional effect into the offscreen image.

Parameters:

r - the rectangle bounds

up - true to draw as if raised, false to draw as if lowered

 drawColumnHeading

 protected void drawColumnHeading(Rectangle columnHeadingRect,
                                  boolean isSelected)

Draws the specified column heading into an offscreen image.

Parameters:

columnHeadingRect - the heading bounds

isSelected - true if the column heading is selected

 drawHeading

 protected void drawHeading(boolean down)

Draws all column headings into an offscreen image.

Parameters:

down - true if mouse is down in heading

 drawRows

 protected void drawRows(int cellRow,
                         int numRowsToDraw,
                         boolean toRepaint)

Draws the specifed rows into an offscreen image.

Parameters:

cellRow - the zero-relative index of the first row to draw

the - number of rows to draw

toRepaint - if true, calls the repaint method to update the screen

 getCellBg

 public Color getCellBg()

Gets the current background color of cell text.

Returns:

the current cell background color

See Also:

setCellBg

 getCellFg

 public Color getCellFg()

Gets the current foreground color of cell text.

Returns:

the current cell foreground color

See Also:

setCellFg

 getCellFont

 public Font getCellFont()

Returns the font currently used for text in all the cells.

See Also:

setCellFont

 getCellImage

 public Image getCellImage(int r,
                           int c)

Returns the image of the specified cell, if any.

Parameters:

r - the zero-relative row index

c - the zero-relative column index

Returns:

the cell image, or null if the cell is not allocated

See Also:

getCellText, addCell, addImageCell

 getCellText

 public String getCellText(int r,
                           int c)

Returns the text of the specified cell.

Parameters:

r - the zero-relative row index

c - the zero-relative column index

Returns:

the cell text or the empty string ("") if the cell is not allocated

See Also:

getCellImage, addCell, addTextCell

 getColumnAlignment

 public int getColumnAlignment(int column)

Gets the justification of the text for the specified column. If the column is allocated, it returns the justification. Otherwise it returns the default justification.

Parameters:

column - the zero-relative column index

Returns:

the alignment of the column as one of the values LEFT, CENTER, or RIGHT

See Also:

setColumnAlignment

 getColumnAlignments

 public String[] getColumnAlignments()

Gets a string array containing the alignment of each column. The possible values for each element are "Left", "Center", or "Right".

Returns:

an array of strings containing the alignment for each column

See Also:

setColumnAlignments

 getColumnSize

 public int getColumnSize(int i)

Get the column size in pixels for the specified column.

Parameters:

i - the zero-relative column index

 getColumnSizes

 public String[] getColumnSizes()

Returns a string array containing the width of each column in pixels. If columns are being automatically sized, it will return null.

See Also:

setColumnSizes

 getColumnSizesFromSplitters

 protected int[] getColumnSizesFromSplitters()

Returns an array of column sizes as determined from the current splitter information.

 getColumnSorter

 public CompareCells getColumnSorter(int column)

Gets the object used to compare cells for sorting the specified column. If no sorter has been explicitly specified, the default column sorter will be returned.

Parameters:

column - the zero-relative column index

Returns:

the object used to compare column cells

See Also:

setColumnSorter

 getDefaultColumnAlignment

 public int getDefaultColumnAlignment()

Gets the default column alignment. This value is used when a column alignment is not specified.

Returns:

the default column alignment, one of: LEFT, CENTER, or RIGHT

See Also:

setDefaultColumnAlignment, LEFT, CENTER, RIGHT

 getDefaultColumnSorter

 public CompareCells getDefaultColumnSorter()

Gets the default object used to compare column cells for sorting.

Returns:

the object used to compare column cells by default

See Also:

setDefaultColumnSorter, getColumnSorter

 getHeading

 public String getHeading(int i)

Returns the heading text of the specified column.

Parameters:

i - the zero-relative index of the column

See Also:

setHeading

 getHeadingBg

 public Color getHeadingBg()

Returns the color of the column heading text background.

Returns:

the current column heading background color

See Also:

setHeadingBg

 getHeadingFg

 public Color getHeadingFg()

Returns the color of the column heading text foreground.

Returns:

the current column heading foreground color

See Also:

setHeadingFg

 getHeadingFont

 public Font getHeadingFont()

Returns the font for column heading text.

See Also:

setHeadingFont

 getHeadings

 public String[] getHeadings()

Gets a String array of all of the column headings.

Returns:

an array of all of the current headings

See Also:

setHeadings

 getListItems

 public String[] getListItems()

Returns the text contents of all the cells as a string array. A new string is used for each row. The contents of each row's column are separated by ";". For example, the string "col0;;col2" would result from a "col0" in column 0, an empty column 1, and "col2" in column 2.

Returns:

the string array containing the text of all the cells

See Also:

setListItems

 getMinColumnWidth

 public int getMinColumnWidth()

Returns the minimum allowable column width in pixels.

See Also:

setMinColumnWidth

 getNumberOfCols

 public int getNumberOfCols()

Returns the current number of columns.

Returns:

s the current number of columns.

See Also:

setNumberOfCols

 getNumberOfRows

 public int getNumberOfRows()

Gets the current number of rows.

Returns:

the current number of rows

 getNumVisibleRows

 protected int getNumVisibleRows()

Returns the number of visible rows that can fit in the MulitList. Note: This could be more than the number of rows in the MultiList.

 getSelectedObjects

 public Object[] getSelectedObjects()

Returns an array of Objects (Integers), one for each selected row index. This is a standard method of the java.awt.ItemSelectable interface.

Returns:

the zero-relative indexes of the selected rows May return null (no rows selected)

See Also:

getSelectedRows, setSelectedRow, ItemSelectable

 getSelectedRow

 public int getSelectedRow()

Returns the zero-relative index of the currently selected row. Returns -1 if nothing is selected, or if more than one item is selected (in multi-mode)

See Also:

setSelectedRow, isMultipleMode, setMultipleMode

 getSelectedRows

 public int[] getSelectedRows()

Returns an integer index for each selected row.

Returns:

the zero-relative indexes of the selected rows

See Also:

getSelectedRow, setSelectedRow

 intArrayToStringArray

 protected String[] intArrayToStringArray(int intArray[])

Converts the given array of int into a corresponding array of String.

Parameters:

intArray - the array of ints

Returns:

an array of String

 internalCreateColumns

 protected void internalCreateColumns(int i)

Internal helper routine. Allocates room for the specified number of columns.

Parameters:

i - the new number of columns

 isAllowResizingOfColumns

 public boolean isAllowResizingOfColumns()

Gets whether columns may currently be resized by the user via the user interface.

Returns:

true if resizing of columns via the UI is allowed; if false, columns cannot be resized via the UI

See Also:

setAllowResizingOfColumns

 isAllowSorting

 public boolean isAllowSorting()

Gets the flag controlling sorting of columns when a heading is selected.

Returns:

true if columns will be sorted when column heading is clicked; if false, no sorting will occur

See Also:

setAllowSorting

 isFocusIndicatedVisually

 public boolean isFocusIndicatedVisually()

Returns true if this MultiList indicates it has focus visually.

See Also:

setFocusIndicatedVisually

 isFocusTraversable

 public boolean isFocusTraversable()

Returns the value of a flag that indicates whether this component can be traversed using Tab or Shift-Tab keyboard focus traversal.

Overrides:

isFocusTraversable in class Component

 isHeadingVisible

 public boolean isHeadingVisible()

Returns true if heading of the MultiList is visible.

See Also:

setHeadingVisible

 isMultipleMode

 public boolean isMultipleMode()

Returns true if this MultiList allows multiple selections.

See Also:

setMultipleMode

 minimumSize

 public synchronized Dimension minimumSize()

Returns the minimum dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the minimum size of this component.

Overrides:

minimumSize in class Container

See Also:

preferredSize

 paint

 public void paint(Graphics g)

Paints this component using the given graphics context. This is a standard Java AWT method which typically gets called by the AWT to handle painting this component. It paints this component using the given graphics context. The graphics context clipping region is set to the bounding rectangle of this component and its [0,0] coordinate is this component's top-left corner.

Parameters:

g - the graphics context used for painting

Overrides:

paint in class Container

See Also:

repaint, update

 paintSelection

 protected void paintSelection(int selRows[])

Paints the specified rows as selected.

Parameters:

selRows - an array of the zero-relative indexes of selected rows

 preferredSize

 public synchronized Dimension preferredSize()

Returns the recommended dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the recommended size of this component.

Overrides:

preferredSize in class Container

See Also:

minimumSize

 rangeCheckAlignment

 protected void rangeCheckAlignment(int alignment)

Ensures the given column alignment value is valid. An IllegalArgumentException is thrown if the value is invalid.

Parameters:

alignment - the column alignment value to validate, should be one of: LEFT, CENTER, or RIGHT

See Also:

LEFT, CENTER, RIGHT

 rangeCheckColumn

 protected void rangeCheckColumn(int column)

Ensures the given column index is valid. An IllegalArgumentException is thrown if it is out of range.

Parameters:

column - the zero-relative column index to validate

 redraw

 public void redraw()

Paints this component into an offscreen image for cleaner screen repaints. It is not typically called directly.

 removeActionListener

 public synchronized void removeActionListener(ActionListener l)

Removes the specified action listener so it no longer receives action events from this object.

Parameters:

l - the action listener

See Also:

addActionListener

 removeItemListener

 public synchronized void removeItemListener(ItemListener l)

Removes the specified item listener so it no longer receives item events from this object.

Parameters:

l - the action listener

See Also:

addItemListener, sourceItemEvent

 removeNotify

 public synchronized void removeNotify()

Tells this component that it is being removed from a container. This is a standard Java AWT method which gets called by the AWT when this component is removed from a container. Typically, it is used to destroy the peers of this component and all its subcomponents. It has been overridden here to remove local event listeners.

Overrides:

removeNotify in class Container

See Also:

addNotify

 removePropertyChangeListener

 public synchronized void removePropertyChangeListener(PropertyChangeListener listener)

Removes a listener for all property change events.

Parameters:

listener - the listener to remove

See Also:

addPropertyChangeListener

 removeRow

 public void removeRow(int row)

Removes a single row from the MultiList.

Parameters:

row - the zero-relative index of the row to remove

See Also:

clear

 removeSelectionBorder

 protected void removeSelectionBorder()

If there is a selected row, it removes the selection border from it.

 removeVetoableChangeListener

 public synchronized void removeVetoableChangeListener(VetoableChangeListener listener)

Removes a listener for all vetoable property change events.

Parameters:

listener - the listener to remove

See Also:

addVetoableChangeListener

 repaintFocus

 protected void repaintFocus()

Internal helper routine. Repaints the user input focus, as needed.

 resizeHeadings

 protected void resizeHeadings(int column)

Internal helper routine. Resizes the heading to match the number of columns.

Parameters:

column - the number of columns

 selectAll

 public void selectAll()

Selects all rows in a MultiList. Does nothing if multiMode is off.

See Also:

deselectAll, isMultipleMode, setMultipleMode

 selectRow

 public void selectRow(int row)

Selects the row, if it is not already selected.

Parameters:

row - the zero-relative row index

See Also:

deselectRow

 setAllowResizingOfColumns

 public void setAllowResizingOfColumns(boolean allowResizing) throws PropertyVetoException

Sets the flag to allow resizing of columns via the user interface.

Parameters:

allowResizing - if true the user may resize columns via the UI; if false, columns cannot be resized via the UI

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

isAllowResizingOfColumns

 setAllowSorting

 public void setAllowSorting(boolean b) throws PropertyVetoException

Sets the flag to allow sorting of columns when a heading is selected.

Parameters:

b - if true allow columns to be sorted when column heading is clicked; if false, no sorting will occur

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

isAllowSorting

 setCellBg

 public void setCellBg(Color c) throws PropertyVetoException

Sets the background color of cell text.

Parameters:

c - the background color of cell text

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getCellBg, setCellFg, setCellColors

 setCellColors

 public void setCellColors(Color fg,
                           Color bg) throws PropertyVetoException

Sets foreground and background colors of cell text.

Parameters:

fg - the foreground color of cell text

bg - the background color of cell text

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setCellFg, setCellBg, getCellFg, getCellBg

 setCellFg

 public void setCellFg(Color c) throws PropertyVetoException

Sets the foreground color of cell text.

Parameters:

c - the foreground color of cell text

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getCellFg, setCellBg, setCellColors

 setCellFont

 public void setCellFont(Font f) throws PropertyVetoException

Sets the font used for text in all the cells.

Parameters:

f - the font for cell text

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getCellFont

 setColumnAlignment

 public void setColumnAlignment(int column,
                                int alignment) throws PropertyVetoException

Sets the alignment of the text in the specified column.

Parameters:

column - the zero-relative column index

alignment - one of the values: LEFT, CENTER, or RIGHT

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

LEFT, CENTER, RIGHT, getColumnAlignment

 setColumnAlignments

 public void setColumnAlignments(String list[]) throws PropertyVetoException

Sets the alignment of each column. If null is passed, then the default alignment for all columns is used.

Parameters:

list - an array of strings that determines column alignment. Each item should contain one of the following: "Left", "Center", or "Right"

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getColumnAlignments

 setColumns

 public void setColumns(int i) throws PropertyVetoException

Note: setColumns() is deprecated.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setNumberOfCols

 setColumnSizes

 public void setColumnSizes(String list[]) throws PropertyVetoException

Sets the the width of each column in pixels. Setting the column sizes to null will turn auto resizing on.

Parameters:

list - a string array containing column sizes in pixels

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getColumnSizes

 setColumnSorter

 public void setColumnSorter(int column,
                             CompareCells compare)

Sets the object used to compare cells for sorting the specified column.

Parameters:

column - the zero-relative column index

compare - the object used to compare column cells

See Also:

getColumnSorter

 setDefaultColumnAlignment

 public void setDefaultColumnAlignment(int newDefaultColumnAlignment) throws PropertyVetoException

Sets the default column alignment. This value is used when an alignment is not specified for a column.

Parameters:

newDefaultColumnAlignment - the new default column alignment, one of: LEFT, CENTER, or RIGHT

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getDefaultColumnAlignment, LEFT, CENTER, RIGHT

 setDefaultColumnSorter

 public void setDefaultColumnSorter(CompareCells newDefaultSorter)

Sets the default object used to compare column cells for sorting.

Parameters:

newDefaultSorter - the object used to compare column cells by default

See Also:

getDefaultColumnSorter, setColumnSorter

 setFocusIndicatedVisually

 public void setFocusIndicatedVisually(boolean b) throws PropertyVetoException

Sets whether this MultiList should visually indicate focus.

Parameters:

b - the boolean to visually indicate focus

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

isFocusIndicatedVisually

 setHeading

 public void setHeading(String h,
                        int i) throws PropertyVetoException

Sets a column's heading text.

Parameters:

h - the new column heading text

i - the zero-relative index of the column

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setHeading, getHeading

 setHeading

 public void setHeading(String h,
                        int i,
                        int pixels) throws PropertyVetoException

Sets a column's heading text and width.

Parameters:

h - the new column heading text

i - the zero-relative index of the column

pixels - the new width of the column, in pixels

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setHeading, getHeading

 setHeadingBg

 public void setHeadingBg(Color c) throws PropertyVetoException

Sets the column heading text background color.

Parameters:

c - background color for heading text

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getHeadingBg, setHeadingFg, setHeadingColors

 setHeadingColors

 public void setHeadingColors(Color fg,
                              Color bg) throws PropertyVetoException

Sets the column heading foreground and background colors.

Parameters:

fg - foreground Color for heading text

bg - background Color for heading text

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setHeadingFg, setHeadingBg, getHeadingFg, getHeadingBg

 setHeadingFg

 public void setHeadingFg(Color c) throws PropertyVetoException

Sets the column heading text foreground color.

Parameters:

c - foreground color for heading text

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getHeadingFg, setHeadingBg, setHeadingColors

 setHeadingFont

 public void setHeadingFont(Font newFont) throws PropertyVetoException

Sets the font for column heading text.

Parameters:

newFont - the font for heading text

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getHeadingFont

 setHeadings

 public void setHeadings(String list[]) throws PropertyVetoException

Initializes all the column headings with the given list. For each string in the given list, create a column, use the string as its heading, and give it a default width.

Parameters:

list - array of heading title strings

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getHeadings

 setHeadingVisible

 public void setHeadingVisible(boolean b) throws PropertyVetoException

Sets whether this MultiList should draw the column headings or not.

Parameters:

b - the boolean to draw column headings

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

isHeadingVisible

 setLayout

 public void setLayout(LayoutManager mgr)

Takes no action. This is a standard Java AWT method which gets called to specify which layout manager should be used to layout the components in standard containers. Since layout managers CANNOT BE USED with this container the standard setLayout has been OVERRIDDEN for this container and does nothing.

Parameters:

l - the layout manager to use to layout this container's components (IGNORED)

Overrides:

setLayout in class Container

See Also:

getLayout

 setListItems

 public void setListItems(String items[]) throws PropertyVetoException

Initializes all the MultiList cells with text. Each string in the provided array initializes one row. The contents of each column are separated by ";". For example, the string "col0;col1;col2" would result in "col0" being placed in column 0, "col1" in column 1, and "col2" in column 2. Any remaining columns will get cleared.

Parameters:

items - the string array used to initialize all cell contents

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getListItems

 setMinColumnWidth

 public void setMinColumnWidth(int size) throws PropertyVetoException

Sets the minimum allowable column width.

Parameters:

size - the minimum column width in pixels

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getMinColumnWidth

 setMultipleMode

 public void setMultipleMode(boolean b) throws PropertyVetoException

Sets whether this MultiList should allow multiple selections or not.

Parameters:

b - the boolean to allow multiple selections

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

isMultipleMode

 setNumberOfCols

 public void setNumberOfCols(int i) throws PropertyVetoException

Sets the number of columns.

Parameters:

i - the new number of columns

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getNumberOfCols

 setSelectedRow

 public void setSelectedRow(int row) throws IllegalArgumentException

Sets the specified row as the selected row.

Parameters:

row - the zero-relative index of the row to selectRow

Throws: IllegalArgumentException

if the row parameter is out of range

See Also:

getSelectedRow

 setSupressRedraw

 public boolean setSupressRedraw(boolean supressRedraw)

Sets the internal flag to supress redraw. Call this to supress redraw, saving the returned boolean. After you've done what you wanted to do restore the flag.

Parameters:

supressRedraw - the new value for the supressing of redraw flags

 sourceActionEvent

 protected void sourceActionEvent(int selectedRow)

Fires an action event to the listeners. The action command sent is the value specified in actionCommand concatenated with the selectedRow. By default the actionCommand is "RowSelected:", so a typical action command sent might be "RowSelected:0".

Parameters:

selectedRow - the zero-relative index of the row generating the event

See Also:

actionCommand

 sourceItemEvent

 protected void sourceItemEvent(int eventType)

Fires an item event to the listeners.

Parameters:

eventType - value indicating the kind of state change, one of: ItemEvent.SELECTED or ItemEvent.DESELECTED

See Also:

SELECTED, DESELECTED, addItemListener, removeItemListener

 tokenizeStringArrayIfNeeded

 protected String[] tokenizeStringArrayIfNeeded(String list[])

Handles cases where the user might pass either an array of items, or a single string with itemds separated by the ';' character. This may occur in the setHeadings, setColumnAlignments, or setColumnSizes methods.

Parameters:

list - the input list

an - array of items, one per String

See Also:

setHeadings, setColumnAlignments, setColumnSizes

 triggerRedraw

 protected void triggerRedraw()

Triggers an entire redraw of this component, unless redrawing is currently suppressed.

See Also:

setSupressRedraw

 update

 public void update(Graphics g)

Handles redrawing of this component on the screen. This is a standard Java AWT method which gets called by the Java AWT (repaint()) to handle repainting this component on the screen. The graphics context clipping region is set to the bounding rectangle of this component and its [0,0] coordinate is this component's top-left corner. Typically this method paints the background color to clear the component's drawing space, sets graphics context to be the foreground color, and then calls paint() to draw the component. It is overridden here to eliminate the unneeded repainting of the background.

Parameters:

g - the graphics context

Overrides:

update in class Container

See Also:

repaint, paint


 Class symantec.itools.awt.MultiListBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.MultiListBeanInfo

public class MultiListBeanInfo
   extends SimpleBeanInfo

BeanInfo for MultiList.

 MultiListBeanInfo()

Constructs a MultiListBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 MultiListBeanInfo

 public MultiListBeanInfo()

Constructs a MultiListBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.RadioButtonGroupPanel

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Container
                   |
                   +----java.awt.Panel
                           |
                           +----symantec.itools.awt.BorderPanel
                                   |
                                   +----symantec.itools.awt.RadioButtonGroupPanel

public class RadioButtonGroupPanel
   extends BorderPanel
   implements ItemSelectable

Creates an rectangular panel area that automatically groups the RadioButtons that it contains.

All the RadioButtons within the RadioButtonGroupPanel act together. Only one of the RadioButtons can be "on" at a time.

 errors

Error strings.

 group

The Checkbox group for the radio buttons.

 isAdded

is the component added to a container hierarchy?

 itemListener

Listener(s) that get notified when an ItemEvent is generated.

 rbList

Vector of Checkboxes added to the panel.

 tempSelectionIndex

Internal use.

 RadioButtonGroupPanel()

Constructs a RadioButtonGroupPanel.

 addImpl(Component, Object, int)

Adds the specified component to this container at the specified index.

 addItemListener(ItemListener)

Adds the specified item listener to receive item events from this component.

 addNotify()

Tells this component that it has been added to a container.

 addPropertyChangeListener(PropertyChangeListener)

Adds a listener for all event changes.

 addSelectedRadioButtonIndexListener(PropertyChangeListener)

Adds a listener for the SelectedRadioButtonIndex property changes.

 addSelectedRadioButtonIndexListener(VetoableChangeListener)

Adds a vetoable listener for the SelectedRadioButtonIndex property changes.

 addVetoableChangeListener(VetoableChangeListener)

Adds a vetoable listener for all event changes.

 getSelectedObjects()

Returns the selected items or null if no items are selected.

 getSelectedRadioButton()

Gets the current choice.

 getSelectedRadioButtonIndex()

Gets the index of the current choice.

 isValidSelectedRadioButtonIndex(int)

Is the given index value valid.

 moveIntoGroup(Component)

Internal helper method.

 remove(int)

Removes the component at the specified index from this container.

 removeAll()

Removes all the components from this container.

 removeItemListener(ItemListener)

Removes the specified Item listener so it no longer receives Item events from this component.

 removeNotify()

Tells this component that it is being removed from a container.

 removePropertyChangeListener(PropertyChangeListener)

Removes a listener for all event changes.

 removeSelectedRadioButtonIndexListener(PropertyChangeListener)

Removes a listener for the SelectedRadioButtonIndex property changes.

 removeSelectedRadioButtonIndexListener(VetoableChangeListener)

Removes a vetoable listener for the SelectedRadioButtonIndex property changes.

 removeVetoableChangeListener(VetoableChangeListener)

Removes a vetoable listener for all event changes.

 setSelectedRadioButton(Checkbox)

Sets the current choice to the specified RadioButton.

 setSelectedRadioButtonIndex(int)

Sets the current choice to the specified RadioButton.

 sourceItemEvent(Checkbox)

Fires an item event to the listeners.

 toString()

Returns the String representation of this RadioButtonGroup's values.

 errors

 protected transient ResourceBundle errors

Error strings.

 group

 protected CheckboxGroup group

The Checkbox group for the radio buttons.

 isAdded

 protected boolean isAdded

is the component added to a container hierarchy?

 itemListener

 protected ItemListener itemListener

Listener(s) that get notified when an ItemEvent is generated.

 rbList

 protected Vector rbList

Vector of Checkboxes added to the panel. Used to set selected RadioButton by index.

 tempSelectionIndex

 protected int tempSelectionIndex

Internal use. Remembers the requested selected index so that setSelectedIndex may be called before the appropriate radio button has been added.

 RadioButtonGroupPanel

 public RadioButtonGroupPanel()

Constructs a RadioButtonGroupPanel.

 addImpl

 protected void addImpl(Component component,
                        Object constraints,
                        int index)

Adds the specified component to this container at the specified index.

Overrides:

addImpl in class BorderPanel

 addItemListener

 public synchronized void addItemListener(ItemListener l)

Adds the specified item listener to receive item events from this component.

Parameters:

l - the item listener

See Also:

removeItemListener

 addNotify

 public synchronized void addNotify()

Tells this component that it has been added to a container. This is a standard Java AWT method which gets called by the AWT when this component is added to a container. Typically, it is used to create this component's peer. It has been overridden here to hook-up event listeners.

Overrides:

addNotify in class BorderPanel

See Also:

removeNotify

 addPropertyChangeListener

 public synchronized void addPropertyChangeListener(PropertyChangeListener listener)

Adds a listener for all event changes.

Parameters:

listener - the listener to add.

Overrides:

addPropertyChangeListener in class BorderPanel

See Also:

removePropertyChangeListener

 addSelectedRadioButtonIndexListener

 public synchronized void addSelectedRadioButtonIndexListener(PropertyChangeListener listener)

Adds a listener for the SelectedRadioButtonIndex property changes.

Parameters:

listener - the listener to add.

See Also:

removeSelectedRadioButtonIndexListener

 addSelectedRadioButtonIndexListener

 public synchronized void addSelectedRadioButtonIndexListener(VetoableChangeListener listener)

Adds a vetoable listener for the SelectedRadioButtonIndex property changes.

Parameters:

listener - the listener to add.

See Also:

removeSelectedRadioButtonIndexListener

 addVetoableChangeListener

 public synchronized void addVetoableChangeListener(VetoableChangeListener listener)

Adds a vetoable listener for all event changes.

Parameters:

listener - the listener to add.

Overrides:

addVetoableChangeListener in class BorderPanel

See Also:

removeVetoableChangeListener

 getSelectedObjects

 public Object[] getSelectedObjects()

Returns the selected items or null if no items are selected.

 getSelectedRadioButton

 public Checkbox getSelectedRadioButton()

Gets the current choice.

 getSelectedRadioButtonIndex

 public int getSelectedRadioButtonIndex()

Gets the index of the current choice.

Returns:

the index of the selected RadioButton. -1 if no selection.

See Also:

setSelectedRadioButtonIndex

 isValidSelectedRadioButtonIndex

 protected boolean isValidSelectedRadioButtonIndex(int index)

Is the given index value valid.

Parameters:

index - the given index to test

Returns:

true if the given index is acceptable, false if not. To be valid it has to be within the limits of the rbList:

 moveIntoGroup

 protected void moveIntoGroup(Component component)

Internal helper method. Adds the given Checkbox into this panel's CheckboxGroup without changing its "selected" state.

Parameters:

component - the Checkbox to add to this RadioButtonGroupPanel

 remove

 public void remove(int index)

Removes the component at the specified index from this container.

Parameters:

index - the index of the component to be removed

Overrides:

remove in class BorderPanel

See Also:

add

 removeAll

 public void removeAll()

Removes all the components from this container.

Overrides:

removeAll in class BorderPanel

See Also:

add, remove

 removeItemListener

 public synchronized void removeItemListener(ItemListener l)

Removes the specified Item listener so it no longer receives Item events from this component.

Parameters:

l - the action listener

See Also:

addItemListener

 removeNotify

 public synchronized void removeNotify()

Tells this component that it is being removed from a container. This is a standard Java AWT method which gets called by the AWT when this component is removed from a container. Typically, it is used to destroy the peers of this component and all its subcomponents. It has been overridden here to unhook event listeners.

Overrides:

removeNotify in class BorderPanel

See Also:

addNotify

 removePropertyChangeListener

 public synchronized void removePropertyChangeListener(PropertyChangeListener listener)

Removes a listener for all event changes.

Parameters:

listener - the listener to remove.

Overrides:

removePropertyChangeListener in class BorderPanel

See Also:

addPropertyChangeListener

 removeSelectedRadioButtonIndexListener

 public synchronized void removeSelectedRadioButtonIndexListener(PropertyChangeListener listener)

Removes a listener for the SelectedRadioButtonIndex property changes.

Parameters:

listener - the listener to remove.

See Also:

addSelectedRadioButtonIndexListener

 removeSelectedRadioButtonIndexListener

 public synchronized void removeSelectedRadioButtonIndexListener(VetoableChangeListener listener)

Removes a vetoable listener for the SelectedRadioButtonIndex property changes.

Parameters:

listener - the listener to remove.

See Also:

addSelectedRadioButtonIndexListener

 removeVetoableChangeListener

 public synchronized void removeVetoableChangeListener(VetoableChangeListener listener)

Removes a vetoable listener for all event changes.

Parameters:

listener - the listener to remove.

Overrides:

removeVetoableChangeListener in class BorderPanel

See Also:

addVetoableChangeListener

 setSelectedRadioButton

 public synchronized void setSelectedRadioButton(Checkbox rb) throws PropertyVetoException

Sets the current choice to the specified RadioButton.

Parameters:

rb - the current RadioButton (CheckBox) choice

Throws: PropertyVetoException

if the recipient wishes the property change to be rolled back.

 setSelectedRadioButtonIndex

 public synchronized void setSelectedRadioButtonIndex(int index) throws PropertyVetoException

Sets the current choice to the specified RadioButton.

Parameters:

index - the index of the RadioButton to be the selected.

Throws: PropertyVetoException

if the recipient wishes the property change to be rolled back.

See Also:

getSelectedRadioButtonIndex

 sourceItemEvent

 protected void sourceItemEvent(Checkbox item)

Fires an item event to the listeners.

Parameters:

item - the radio button that changed state

 toString

 public String toString()

Returns the String representation of this RadioButtonGroup's values. Convert to String.

Overrides:

toString in class Component


 Class symantec.itools.awt.RadioButtonGroupPanelBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.RadioButtonGroupPanelBeanInfo

public class RadioButtonGroupPanelBeanInfo
   extends SimpleBeanInfo

BeanInfo for RadioButtonGroupPanel.

 RadioButtonGroupPanelBeanInfo()

Constructs a RadioButtonGroupPanelBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 RadioButtonGroupPanelBeanInfo

 public RadioButtonGroupPanelBeanInfo()

Constructs a RadioButtonGroupPanelBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.RollOverButton

java.lang.Object
   |
   +----java.awt.Component
           |
           +----symantec.itools.awt.RollOverButton

public class RollOverButton
   extends Component

This is a button that allows three different states and displays the document with a given URL when clicked. Each button state has its own associated image. Each image is specified by providing the file name or the URL of the file containing the image. The document to show is specified by providing the "LinkURL" of that document.

The "standard" state is when the mouse is not over the button. If the standard image is null, the button will be transparent when in the standard state, otherwise the specified image will be displayed.

The "over" state is when the mouse cursor is over the button. This state also displays the LinkURL if it is not null.

The "down" state is when the mouse button is pressed inside the button. When there is a MOUSE_UP in the button, it will attempt to show the document at the LinkURL unless it is null. This state also displays the LinkURL if it is not null.

 context

The applet context that shows the document.

 downFileName

The file name of the image to display while the mouse is over the button and pressed.

 downImage

The image displayed while the mouse is pressed down inside the button.

 downURL

The URL of the image to use while the mouse is over the button and pressed.

 frame

The frame specifier for showing a URL document in a browser or applet viewer.

 isCenterMode

If true the image will be centered within the bounds of the button.

 isClearFrame

If true the frame is cleared in between drawing different button states.

 isMouseDrag

True if the mouse is being dragged in the button.

 isMouseOver

True if the mouse is over the button.

 isPressed

True if the mouse button is being pressed.

 linkURL

The URL of the document to show after the button has been pressed.

 overFileName

The file name of the image to display while the mouse is over the button.

 overImage

The image displayed while the mouse is over the button.

 overURL

The URL of the image to use while the mouse is over the button.

 standardFileName

The file name of the image to display while the mouse is not over the button.

 standardImage

The image displayed while the mouse is not over the button.

 standardURL

The URL of the image to use in while the mouse is not over the button.

 RollOverButton()

Constructs a default RollOverButton.

 RollOverButton(Image, Image, Image)

Constructs a RollOverButton with an image given for each button state.

 RollOverButton(String, String, String)

Constructs a RollOverButton with an image file name given for each button state.

 RollOverButton(URL, URL, URL)

Constructs a RollOverButton with an image file URL given for each button state.

 addActionListener(ActionListener)

Adds the specified action listener to receive action events from this button.

 addNotify()

Tells this component that it has been added to a container.

 addPropertyChangeListener(PropertyChangeListener)

Adds a listener for all event changes.

 addVetoableChangeListener(VetoableChangeListener)

Adds a vetoable listener for all event changes.

 getActionCommand()

 getCenterMode()

Deprecated.

 getClearFrame()

Deprecated.

 getDownFileName()

Gets the file name of the image to display while the button is being pressed.

 getDownImage()

Gets the image displayed while the button is being pressed.

 getDownURL()

Gets the URL of the image to display while the button is being pressed.

 getFrame()

Gets the frame specifier for showing a URL document in a browser or applet viewer.

 getMinimumSize()

Returns the minimum dimensions to properly display this component.

 getOverFileName()

Gets the file name of the image to display while the mouse is over the button.

 getOverImage()

Gets the image displayed while the mouse is over the button.

 getOverURL()

Gets the URL of the image to display while the mouse is over the button.

 getPreferredSize()

Returns the recommended dimensions to properly display this component.

 getStandardFileName()

Gets the file name of the image to display while the mouse is not over the button.

 getStandardImage()

Gets the image displayed while the mouse is not over the button.

 getStandardURL()

Gets the URL of the image to display while the mouse is not over the button.

 getURL()

Gets the URL of the document to display on mouse up.

 isCenterMode()

Gets the flag that determines whether to center the image within the bounds of the button.

 isClearFrame()

Gets the flag that determines if the background should be erased before the button is drawn.

 paint(Graphics)

Paints this component using the given graphics context.

 preferredSize()

Deprecated.

 removeActionListener(ActionListener)

Removes the specified action listener so it no longer receives action events from this button.

 removeNotify()

Tells this component that it is being removed from a container.

 removePropertyChangeListener(PropertyChangeListener)

Removes a listener for all event changes.

 removeVetoableChangeListener(VetoableChangeListener)

Removes a vetoable listener for all event changes.

 setActionCommand(String)

Sets the command name of the action event fired by this button.

 setAppletContext(AppletContext)

Sets the applet context used to view documents.

 setCenterMode(boolean)

Sets the flag to center the image within the bounds of the button.

 setClearFrame(boolean)

Sets the flag to erase the background before drawing the button.

 setDownFileName(String)

Sets the file name of the image to display while the button is being pressed.

 setDownImage(Image)

Sets the image to display while the button is being pressed.

 setDownURL(URL)

Sets the URL of the image to display while the button is being pressed.

 setFrame(String)

Sets the frame specifier for showing a URL document in a browser or applet viewer.

 setImageHelper(Image)

A function used to consolidate shared code between the three image setting functions.

 setOverFileName(String)

Sets the file name of the image to display while the mouse is over the button.

 setOverImage(Image)

Sets the image to display while the mouse is over the button.

 setOverURL(URL)

Sets the URL of the image to display while the mouse is over the button.

 setStandardFileName(String)

Sets the file name of the image to display while the mouse is not over the button.

 setStandardImage(Image)

Sets the image to display while the mouse is not over the button.

 setStandardURL(URL)

Sets the URL of the image to display while the mouse is not over the button.

 setURL(URL)

Sets the URL of the document to display on mouse up.

 sourceActionEvent()

Fire an action event to the listeners

 update(Graphics)

Handles redrawing of this component on the screen.

 validate()

Ensures that this component is laid out properly, as needed.

 context

 protected transient AppletContext context

The applet context that shows the document.

 downFileName

 protected String downFileName

The file name of the image to display while the mouse is over the button and pressed.

 downImage

 protected transient Image downImage

The image displayed while the mouse is pressed down inside the button. If this is null, no drawing takes place.

 downURL

 protected URL downURL

The URL of the image to use while the mouse is over the button and pressed.

 frame

 protected String frame

The frame specifier for showing a URL document in a browser or applet viewer. It is interpreted as follows:

"_self" show document in the current frame

"_parent" show document in the parent frame

"_top" show document in the topmost frame

"_blank" show document in a new unnamed toplevel window

all others show document in a new toplevel window with the given name

 isCenterMode

 protected boolean isCenterMode

If true the image will be centered within the bounds of the button. If false the image is drawn at 0,0 relative to the bounds of the button.

 isClearFrame

 protected boolean isClearFrame

If true the frame is cleared in between drawing different button states.

 isMouseDrag

 protected transient boolean isMouseDrag

True if the mouse is being dragged in the button.

 isMouseOver

 protected transient boolean isMouseOver

True if the mouse is over the button.

 isPressed

 protected transient boolean isPressed

True if the mouse button is being pressed.

 linkURL

 protected URL linkURL

The URL of the document to show after the button has been pressed.

 overFileName

 protected String overFileName

The file name of the image to display while the mouse is over the button.

 overImage

 protected transient Image overImage

The image displayed while the mouse is over the button. If this is null, the StandardImage will be used. If that is null, the button will be invisible in this state.

 overURL

 protected URL overURL

The URL of the image to use while the mouse is over the button.

 standardFileName

 protected String standardFileName

The file name of the image to display while the mouse is not over the button.

 standardImage

 protected transient Image standardImage

The image displayed while the mouse is not over the button. If this is null, the button will be invisible in this state.

 standardURL

 protected URL standardURL

The URL of the image to use in while the mouse is not over the button.

 RollOverButton

 public RollOverButton()

Constructs a default RollOverButton. It has no associated images nor a LinkURL.

 RollOverButton

 public RollOverButton(Image standard,
                       Image over,
                       Image down)

Constructs a RollOverButton with an image given for each button state.

Parameters:

Standard - the image to use while the mouse is not over the button

Over - the image to use while the mouse is over the button

Down - the image to use while the mouse is over the button and pressed

 RollOverButton

 public RollOverButton(String standard,
                       String over,
                       String down) throws MalformedURLException

Constructs a RollOverButton with an image file name given for each button state.

Parameters:

Standard - the file name of the image to use while the mouse is not over the button

Over - the file name of the image to use while the mouse is over the button

Down - the file name of the image to use while the mouse is over the button and pressed

Throws: MalformedURLException

if a URL cannot be created from any of file names

 RollOverButton

 public RollOverButton(URL standard,
                       URL over,
                       URL down)

Constructs a RollOverButton with an image file URL given for each button state.

Parameters:

Standard - the URL of the image to use while the mouse is not over the button

Over - the URL of the image to use while the mouse is over the button

Down - the URL of the image to use while the mouse is over the button and pressed

 addActionListener

 public synchronized void addActionListener(ActionListener l)

Adds the specified action listener to receive action events from this button.

Parameters:

l - the action listener

 addNotify

 public synchronized void addNotify()

Tells this component that it has been added to a container. This is a standard Java AWT method which gets called by the AWT when this component is added to a container. Typically, it is used to create this component's peer. It has been overridden here to hook-up event listeners.

Overrides:

addNotify in class Component

See Also:

removeNotify

 addPropertyChangeListener

 public synchronized void addPropertyChangeListener(PropertyChangeListener listener)

Adds a listener for all event changes.

Parameters:

listener - the listener to add.

See Also:

removePropertyChangeListener

 addVetoableChangeListener

 public synchronized void addVetoableChangeListener(VetoableChangeListener listener)

Adds a vetoable listener for all event changes.

Parameters:

listener - the listener to add.

See Also:

removeVetoableChangeListener

 getActionCommand

 public String getActionCommand()

Returns:

s the command name of the action event fired by this button.

 getCenterMode

 public boolean getCenterMode()

Note: getCenterMode() is deprecated.

See Also:

isCenterMode

 getClearFrame

 public boolean getClearFrame()

Note: getClearFrame() is deprecated.

See Also:

isClearFrame

 getDownFileName

 public String getDownFileName()

Gets the file name of the image to display while the button is being pressed.

Returns:

the image file name

See Also:

setDownFileName

 getDownImage

 public Image getDownImage()

Gets the image displayed while the button is being pressed.

Returns:

the image

See Also:

setDownImage

 getDownURL

 public URL getDownURL()

Gets the URL of the image to display while the button is being pressed.

Returns:

the image URL

See Also:

setDownURL

 getFrame

 public String getFrame()

Gets the frame specifier for showing a URL document in a browser or applet viewer. It is interpreted as follows:

"_self" show document in the current frame

"_parent" show document in the parent frame

"_top" show document in the topmost frame

"_blank" show document in a new unnamed toplevel window

all others show document in a new toplevel window with the given name

Returns:

the current frame specifier

See Also:

setFrame, frame

 getMinimumSize

 public Dimension getMinimumSize()

Returns the minimum dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the minimum size of this component. In this case the minimum size simply returns the results of a call to getPreferedSize().

Overrides:

getMinimumSize in class Component

See Also:

getPreferredSize

 getOverFileName

 public String getOverFileName()

Gets the file name of the image to display while the mouse is over the button.

Returns:

the image file name

See Also:

setOverFileName

 getOverImage

 public Image getOverImage()

Gets the image displayed while the mouse is over the button.

Returns:

the image

See Also:

setOverImage

 getOverURL

 public URL getOverURL()

Gets the URL of the image to display while the mouse is over the button.

Returns:

the image URL

See Also:

setOverURL

 getPreferredSize

 public Dimension getPreferredSize()

Returns the recommended dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the recommended size of this component. In this case the recommended size is the minimum dimension needed to encompass the three images that might be displayed.

Overrides:

getPreferredSize in class Component

See Also:

getMinimumSize

 getStandardFileName

 public String getStandardFileName()

Gets the file name of the image to display while the mouse is not over the button.

Returns:

the image file name

See Also:

setStandardFileName

 getStandardImage

 public Image getStandardImage()

Gets the image displayed while the mouse is not over the button.

Returns:

the image

See Also:

setStandardImage

 getStandardURL

 public URL getStandardURL()

Gets the URL of the image to display while the mouse is not over the button.

Returns:

the image URL

See Also:

setStandardURL

 getURL

 public URL getURL()

Gets the URL of the document to display on mouse up.

Returns:

the URL of the document to display

See Also:

setURL

 isCenterMode

 public boolean isCenterMode()

Gets the flag that determines whether to center the image within the bounds of the button.

Returns:

true if the image will be centered within the button, false if the image will be drawn at 0,0 relative to the button.

See Also:

setCenterMode

 isClearFrame

 public boolean isClearFrame()

Gets the flag that determines if the background should be erased before the button is drawn.

Returns:

true if the background will be cleared before painting the button, false if it will not be cleared

See Also:

setClearFrame

 paint

 public void paint(Graphics g)

Paints this component using the given graphics context. This is a standard Java AWT method which typically gets called by the AWT to handle painting this component. It paints this component using the given graphics context. The graphics context clipping region is set to the bounding rectangle of this component and its [0,0] coordinate is this component's top-left corner.

Parameters:

g - the graphics context used for painting

Overrides:

paint in class Component

See Also:

repaint, update

 preferredSize

 public Dimension preferredSize()

Note: preferredSize() is deprecated.

Overrides:

preferredSize in class Component

See Also:

getPreferredSize

 removeActionListener

 public synchronized void removeActionListener(ActionListener l)

Removes the specified action listener so it no longer receives action events from this button.

Parameters:

l - the action listener

 removeNotify

 public synchronized void removeNotify()

Tells this component that it is being removed from a container. This is a standard Java AWT method which gets called by the AWT when this component is removed from a container. Typically, it is used to destroy the peers of this component and all its subcomponents. It has been overridden here to unhook event listeners.

Overrides:

removeNotify in class Component

See Also:

addNotify

 removePropertyChangeListener

 public synchronized void removePropertyChangeListener(PropertyChangeListener listener)

Removes a listener for all event changes.

Parameters:

listener - the listener to remove.

See Also:

addPropertyChangeListener

 removeVetoableChangeListener

 public synchronized void removeVetoableChangeListener(VetoableChangeListener listener)

Removes a vetoable listener for all event changes.

Parameters:

listener - the listener to remove.

See Also:

addVetoableChangeListener

 setActionCommand

 public void setActionCommand(String command) throws PropertyVetoException

Sets the command name of the action event fired by this button.

Parameters:

command - The name of the action event command fired by this button

Throws: PropertyVetoException

if the specified property value is unacceptable

 setAppletContext

 protected void setAppletContext(AppletContext c)

Sets the applet context used to view documents.

Parameters:

c - the new applet context

 setCenterMode

 public void setCenterMode(boolean flag) throws PropertyVetoException

Sets the flag to center the image within the bounds of the button.

Parameters:

flag - true to center the image within the button, false to draw the image at 0,0 relative to the button

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

isCenterMode

 setClearFrame

 public void setClearFrame(boolean b) throws PropertyVetoException

Sets the flag to erase the background before drawing the button. Not erasing the background often results in a faster, more flicker-free update.

Parameters:

b - if true clear the background before painting, if false then don't

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

isClearFrame

 setDownFileName

 public void setDownFileName(String str) throws MalformedURLException, PropertyVetoException

Sets the file name of the image to display while the button is being pressed.

Parameters:

str - the image file name

Throws: MalformedURLException

if a URL cannot be created from the file name

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getDownFileName

 setDownImage

 public void setDownImage(Image img) throws PropertyVetoException

Sets the image to display while the button is being pressed.

Parameters:

img - the image

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getDownImage

 setDownURL

 public void setDownURL(URL aUrl) throws MalformedURLException, PropertyVetoException

Sets the URL of the image to display while the button is being pressed.

Parameters:

aURL - the image URL

Throws: PropertyVetoException

if the specified property value is unacceptable

Throws: MalformedURLException

if the given URL is bad

See Also:

getDownURL

 setFrame

 public void setFrame(String f) throws PropertyVetoException

Sets the frame specifier for showing a URL document in a browser or applet viewer. It is interpreted as follows:

"_self" show document in the current frame

"_parent" show document in the parent frame

"_top" show document in the topmost frame

"_blank" show document in a new unnamed toplevel window

all others show document in a new toplevel window with the given name

Parameters:

f - the new frame specifier

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getFrame, frame

 setImageHelper

 protected void setImageHelper(Image img)

A function used to consolidate shared code between the three image setting functions.

Parameters:

img - the image to set

 setOverFileName

 public void setOverFileName(String str) throws MalformedURLException, PropertyVetoException

Sets the file name of the image to display while the mouse is over the button.

Parameters:

str - the image file name

Throws: MalformedURLException

if a URL cannot be created from the file name

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getOverFileName

 setOverImage

 public void setOverImage(Image img) throws PropertyVetoException

Sets the image to display while the mouse is over the button.

Parameters:

img - the image

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getOverImage

 setOverURL

 public void setOverURL(URL aUrl) throws MalformedURLException, PropertyVetoException

Sets the URL of the image to display while the mouse is over the button.

Parameters:

aURL - the image URL

Throws: PropertyVetoException

if the specified property value is unacceptable

Throws: MalformedURLException

if the given URL is bad

See Also:

getOverURL

 setStandardFileName

 public void setStandardFileName(String str) throws MalformedURLException, PropertyVetoException

Sets the file name of the image to display while the mouse is not over the button.

Parameters:

str - the image file name

Throws: MalformedURLException

if a URL cannot be created from the file name

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getStandardFileName

 setStandardImage

 public void setStandardImage(Image img) throws PropertyVetoException

Sets the image to display while the mouse is not over the button.

Parameters:

img - the image

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getStandardImage

 setStandardURL

 public void setStandardURL(URL aUrl) throws MalformedURLException, PropertyVetoException

Sets the URL of the image to display while the mouse is not over the button.

Parameters:

aURL - the image URL

Throws: PropertyVetoException

if the specified property value is unacceptable

Throws: MalformedURLException

if the given URL is bad

See Also:

getStandardURL

 setURL

 public void setURL(URL aUrl) throws PropertyVetoException

Sets the URL of the document to display on mouse up.

Parameters:

u - the URL of the document to display

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getURL

 sourceActionEvent

 public void sourceActionEvent()

Fire an action event to the listeners

 update

 public void update(Graphics g)

Handles redrawing of this component on the screen. This is a standard Java AWT method which gets called by the Java AWT (repaint()) to handle repainting this component on the screen. The graphics context clipping region is set to the bounding rectangle of this component and its [0,0] coordinate is this component's top-left corner. Typically this method paints the background color to clear the component's drawing space, sets graphics context to be the foreground color, and then calls paint() to draw the component. It is overridden here to add the clear frame feature to this button.

Parameters:

g - the graphics context

Overrides:

update in class Component

See Also:

repaint, paint

 validate

 public void validate()

Ensures that this component is laid out properly, as needed. This is a standard Java AWT method which gets called by the AWT to make sure this component and its subcomponents have a valid layout. If this component was made invalid with a call to invalidate(), then it is laid out again. It is overridden here to locate the applet containing this component.

Overrides:

validate in class Component

See Also:

invalidate


 Class symantec.itools.awt.RollOverButtonBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.RollOverButtonBeanInfo

public class RollOverButtonBeanInfo
   extends SimpleBeanInfo

BeanInfo for RollOverButton.

 RollOverButtonBeanInfo()

Constructs a RollOverButtonBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 RollOverButtonBeanInfo

 public RollOverButtonBeanInfo()

Constructs a RollOverButtonBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.ScrollingPanel

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Container
                   |
                   +----java.awt.ScrollPane
                           |
                           +----symantec.itools.awt.ScrollingPanel

public class ScrollingPanel
   extends ScrollPane

Similar to java.awt.ScrollPane, but with better Interaction Wizard support.

The ScrollingPanel is a panel with automatic scroll bars. It may contain only one component/container/panel/etc. It automatically tracks the size of this (usually large) component and provides scroll bars so the entire component may be viewed within a panel of limited size. Typically, the added component would be a panel (or some other container) which would then contain a variety of other components.

     See Also:
     ScrollPane

 ScrollingPanel()

Constructs a default ScrollingPanel.

 ScrollingPanel(Component, int, int)

Constructs a new ScrollingPanel initialized with the specified component, minimum height and minimum width.

 ScrollingPanel(int)

Constructs a new ScrollingPanel initialized with the specified scrollbarDisplayPolicy.

 getComponent()

Gets the current component in the ScrollingPanel.

 getHorizontalGap()

Deprecated.

 getMinimumHeight()

Gets the value used for the minimumSize() height of the ScrollingPanel.

 getMinimumSize()

Returns the minimum size of this container.

 getMinimumWidth()

Gets the current value used for the minimumSize() width of the ScrollingPanel.

 getPreferredSize()

Returns the preferred size of this container.

 getScrollLineIncrement()

Deprecated.

 getShowHorizontalScroll()

Deprecated.

 getShowVerticalScroll()

Deprecated.

 getVerticalGap()

Deprecated.

 minimumSize()

Returns the minimum dimensions to properly display this component.

 preferredSize()

Returns the recommended dimensions to properly display this component.

 scrollDown()

Scrolls down by the number of pixels specified in the method setScrollLineIncrement().

 scrollHorizontalAbsolute(int)

Scrolls to an absolute horizontal position.

 scrollLeft()

Scrolls left by the number of pixels specified in the method setScrollLineIncrement().

 scrollPageDown()

Scrolls one "page" down.

 scrollPageLeft()

Scrolls one "page" left.

 scrollPageRight()

Scrolls one "page" right.

 scrollPageUp()

Scrolls one "page" up.

 scrollRight()

Scrolls right by the number of pixels specified in the method setScrollLineIncrement().

 scrollUp()

Scrolls up by the number of pixels specified in the method setScrollLineIncrement().

 scrollVerticalAbsolute(int)

Scrolls to an absolute vertical position.

 setComponent(Component)

Sets the component in this ScrollingPanel.

 setHorizontalGap(int)

Deprecated.

 setMinimumHeight(int)

Sets the value to be used for the minimumSize() height of the ScrollingPanel.

 setMinimumWidth(int)

Sets the value to be used for the minimumSize() width of the ScrollingPanel.

 setScrollLineIncrement(int)

Deprecated.

 setShowHorizontalScroll(boolean)

Deprecated.

 setShowVerticalScroll(boolean)

Deprecated.

 setVerticalGap(int)

Deprecated.

 ScrollingPanel

 public ScrollingPanel()

Constructs a default ScrollingPanel. The panel is initialized with a null component, zero minimum height and zero minimum width.

 ScrollingPanel

 public ScrollingPanel(Component component,
                       int minWidth,
                       int minHeight)

Constructs a new ScrollingPanel initialized with the specified component, minimum height and minimum width.

Parameters:

component - the component (usually a Panel) to be scrolled

minWidth - the value to be used for the minimumSize() width of the ScrollingPanel

minHeight - the value to be used for the minimumSize() height of the ScrollingPanel

 ScrollingPanel

 public ScrollingPanel(int scrollbarDisplayPolicy)

Constructs a new ScrollingPanel initialized with the specified scrollbarDisplayPolicy.

Parameters:

scrollbarDisplayPolicy - policy for when scrollbars should be shown

 getComponent

 public Component getComponent()

Gets the current component in the ScrollingPanel. This is the component that gets scrolled.

Returns:

the current component in the ScrollingPanel

See Also:

setComponent

 getHorizontalGap

 public int getHorizontalGap()

Note: getHorizontalGap() is deprecated. removed functionality

 getMinimumHeight

 public int getMinimumHeight()

Gets the value used for the minimumSize() height of the ScrollingPanel.

Returns:

current minimum height value

See Also:

setMinimumHeight

 getMinimumSize

 public Dimension getMinimumSize()

Returns the minimum size of this container.

Overrides:

getMinimumSize in class Container

 getMinimumWidth

 public int getMinimumWidth()

Gets the current value used for the minimumSize() width of the ScrollingPanel.

Returns:

the current minimum width value

 getPreferredSize

 public Dimension getPreferredSize()

Returns the preferred size of this container.

Overrides:

getPreferredSize in class Container

 getScrollLineIncrement

 public int getScrollLineIncrement()

Note: getScrollLineIncrement() is deprecated. replaced by Adjustable.getUnitIncrement

 getShowHorizontalScroll

 public boolean getShowHorizontalScroll()

Note: getShowHorizontalScroll() is deprecated. replaced by getScrollbarDisplayPolicy

 getShowVerticalScroll

 public boolean getShowVerticalScroll()

Note: getShowVerticalScroll() is deprecated. replaced by getScrollbarDisplayPolicy

 getVerticalGap

 public int getVerticalGap()

Note: getVerticalGap() is deprecated. removed functionality

 minimumSize

 public Dimension minimumSize()

Returns the minimum dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the minimum size of this component. The value returned is set using the setMinimumHeight() and setMinimumWidth() methods or when this ScrollingPanel is constructed.

Overrides:

minimumSize in class Container

See Also:

preferredSize, setMinimumHeight, setMinimumWidth

 preferredSize

 public Dimension preferredSize()

Returns the recommended dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the recommended size of this component. For each axis, it returns the larger of the current size or the minimum size.

Overrides:

preferredSize in class Container

See Also:

minimumSize

 scrollDown

 public void scrollDown()

Scrolls down by the number of pixels specified in the method setScrollLineIncrement(). The default is one pixel.

See Also:

scrollUp, scrollLeft, scrollRight, setScrollLineIncrement, getScrollLineIncrement

 scrollHorizontalAbsolute

 public void scrollHorizontalAbsolute(int position)

Scrolls to an absolute horizontal position. The contained component's given pixel position will be scrolled to the leftmost part of the scrolling panel. The provided position is constrained to the range [0, component's width - view port width].

Parameters:

position - the pixel position to scroll to

See Also:

scrollVerticalAbsolute

 scrollLeft

 public void scrollLeft()

Scrolls left by the number of pixels specified in the method setScrollLineIncrement(). The default is one pixel.

See Also:

scrollRight, scrollUp, scrollDown, setScrollLineIncrement, getScrollLineIncrement

 scrollPageDown

 public void scrollPageDown()

Scrolls one "page" down. The page size is the size of this ScrollingPanel not including the scroll bar, if present.

See Also:

scrollPageUp, scrollPageLeft, scrollPageRight

 scrollPageLeft

 public void scrollPageLeft()

Scrolls one "page" left. The page size is the size of this ScrollingPanel not including the scroll bar, if present.

See Also:

scrollPageRight, scrollPageUp, scrollPageDown

 scrollPageRight

 public void scrollPageRight()

Scrolls one "page" right. The page size is the size of this ScrollingPanel not including the scroll bar, if present.

See Also:

scrollPageLeft, scrollPageUp, scrollPageDown

 scrollPageUp

 public void scrollPageUp()

Scrolls one "page" up. The page size is the size of this ScrollingPanel not including the scroll bar, if present.

See Also:

scrollPageDown, scrollPageLeft, scrollPageRight

 scrollRight

 public void scrollRight()

Scrolls right by the number of pixels specified in the method setScrollLineIncrement(). The default is one pixel.

See Also:

scrollLeft, scrollUp, scrollDown, setScrollLineIncrement, getScrollLineIncrement

 scrollUp

 public void scrollUp()

Scrolls up by the number of pixels specified in the method setScrollLineIncrement(). The default is one pixel.

See Also:

scrollDown, scrollLeft, scrollRight, setScrollLineIncrement, getScrollLineIncrement

 scrollVerticalAbsolute

 public void scrollVerticalAbsolute(int position)

Scrolls to an absolute vertical position. The contained component's given pixel position will be scrolled to the top line of the scrolling panel. The provided position is constrained to the range [0, component's height - view port height].

Parameters:

position - the pixel position to scroll to

See Also:

scrollHorizontalAbsolute

 setComponent

 public void setComponent(Component comp)

Sets the component in this ScrollingPanel. This is the component that gets scrolled. The ScrollingPanel can only contain one component. Any previous component will be removed before the new one is added.

Parameters:

comp - the component to add

See Also:

getComponent

 setHorizontalGap

 public void setHorizontalGap(int gapPixels)

Note: setHorizontalGap() is deprecated. removed functionality

 setMinimumHeight

 public void setMinimumHeight(int minHeight)

Sets the value to be used for the minimumSize() height of the ScrollingPanel.

Parameters:

minHeight - the value to be used for the minimumSize() height of the ScrollingPanel

See Also:

getMinimumHeight

 setMinimumWidth

 public void setMinimumWidth(int minWidth)

Sets the value to be used for the minimumSize() width of the ScrollingPanel.

Parameters:

minWidth - the value to be used for the minimumSize() width of the ScrollingPanel

See Also:

getMinimumWidth

 setScrollLineIncrement

 public void setScrollLineIncrement(int scrollLineIncrement)

Note: setScrollLineIncrement() is deprecated. replaced by Adjustable.setUnitIncrement

 setShowHorizontalScroll

 public void setShowHorizontalScroll(boolean cond)

Note: setShowHorizontalScroll() is deprecated. replaced by constructor which takes a scrollbarDisplayPolicy

 setShowVerticalScroll

 public void setShowVerticalScroll(boolean cond)

Note: setShowVerticalScroll() is deprecated. replaced by constructor which takes a scrollbarDisplayPolicy

 setVerticalGap

 public void setVerticalGap(int gapPixels)

Note: setVerticalGap() is deprecated. removed functionality


 Class symantec.itools.awt.ScrollingPanelBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.ScrollingPanelBeanInfo

public class ScrollingPanelBeanInfo
   extends SimpleBeanInfo

BeanInfo for ScrollingPanel.

 ScrollingPanelBeanInfo()

Constructs a ScrollingPanelBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 ScrollingPanelBeanInfo

 public ScrollingPanelBeanInfo()

Constructs a ScrollingPanelBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.SimpleWizardController

java.lang.Object
   |
   +----symantec.itools.awt.SimpleWizardController

public class SimpleWizardController
   extends Object
   implements WizardController

SimpleWizardController implements the WizardController interface. It is the default WizardController used by Wizard and provides a simple behaviour that can be easily overriden. It manages a stack containing the history of pages shown, and provides consistent defaults for the navigation buttons.

 cancelEnabled

True if the Cancel button is enabled.

 finishEnabled

True if the Finish button is enabled.

 helpEnabled

True if the Help button is enabled.

 nextEnabled

True if the Next button is enabled.

 nextPage

The next page, or null if none.

 nextPageIndex

The index of the next page, or -1 if none.

 previousEnabled

True if the Previous button is enabled.

 previousPage

The previous ("back") page, or null if none.

 previousPageIndex

The index of the previous ("back") page, or -1 if none.

 stack

The stack containing the history of the pages shown.

 wizard

The WizardInterface.

 SimpleWizardController(WizardInterface)

Create a SimpleWizardController.

 doCancel()

Called when the CANCEL action has been validated.

 doFinish()

Called when the FINISH action has been validated.

 doHelp()

Called when the HELP action has been validated.

 doPrepare()

Called before the first page is shown.

 getNextPage()

Return the next page.

 getPreviousPage()

Return the previous page.

 isCancelEnabled()

Tells if the Cancel button must be enabled.

 isFinishEnabled()

Tells if the Finish button must be enabled.

 isHelpEnabled()

Tells if the Help button must be enabled.

 isNextEnabled()

Tells if the Next button must be enabled.

 isPreviousEnabled()

Tells if the Previous button must be enabled.

 pageHidden(Component)

Called before the page is hidden.

 pageShown(Component)

Called after a page is shown.

 preparePage(Component, int)

Called before a page is shown.

 resetChainInfo()

Reset the chain information set by setPreviousPageIndex, setNextPageIndex, setPreviousPage, setNextPage, and setXxxEnabled.

 setCancelEnabled(boolean)

Set the state of the Cancel button.

 setFinishEnabled(boolean)

Set the state of the Finish button.

 setHelpEnabled(boolean)

Set the state of the Help button.

 setNextEnabled(boolean)

Set the state of the Next button.

 setNextPage(Component)

Set a next page.

 setNextPageIndex(int)

Set an index for the next page.

 setPreviousEnabled(boolean)

Set the state of the Previous button.

 setPreviousPage(Component)

Set a previous page.

 setPreviousPageIndex(int)

Set an index for the previous page.

 validatePage(Component, Component, int)

Try to validate a page.

 cancelEnabled

 protected int cancelEnabled

True if the Cancel button is enabled.

 finishEnabled

 protected int finishEnabled

True if the Finish button is enabled.

 helpEnabled

 protected int helpEnabled

True if the Help button is enabled.

 nextEnabled

 protected int nextEnabled

True if the Next button is enabled.

 nextPage

 protected Component nextPage

The next page, or null if none.

See Also:

setNextPage

 nextPageIndex

 protected int nextPageIndex

The index of the next page, or -1 if none.

See Also:

setNextPageIndex

 previousEnabled

 protected int previousEnabled

True if the Previous button is enabled.

 previousPage

 protected Component previousPage

The previous ("back") page, or null if none.

See Also:

setPreviousPage

 previousPageIndex

 protected int previousPageIndex

The index of the previous ("back") page, or -1 if none.

See Also:

setPreviousPageIndex

 stack

 protected Vector stack

The stack containing the history of the pages shown.

See Also:

preparePage, getPreviousPage

 wizard

 protected WizardInterface wizard

The WizardInterface.

 SimpleWizardController

 public SimpleWizardController(WizardInterface wizard)

Create a SimpleWizardController.

Parameters:

wizard - A WizardInterface to talk to.

 doCancel

 public void doCancel()

Called when the CANCEL action has been validated. Default behavior: none.

 doFinish

 public void doFinish()

Called when the FINISH action has been validated. Default behavior: none.

 doHelp

 public void doHelp()

Called when the HELP action has been validated. Default behavior: none.

 doPrepare

 public void doPrepare()

Called before the first page is shown. Default behavior: none.

 getNextPage

 public Component getNextPage()

Return the next page. Default behavior: if a next page has been set with setNextPage, return this page. If a next page index has been set with setNextPageIndex, return the associated page. Else, return the next page in the Wizard components order, page 0 if no page has been shown. If there is none, return null. This method is called before and after a validatePage, and by the default implementation of isNextEnabled.

Returns:

The next page to show, null if there is none.

See Also:

setNextPage, setNextPageIndex

 getPreviousPage

 public Component getPreviousPage()

Return the previous page. Default behavior: if a previous page has been set with setPreviousPage, return this page. If a previous page index has been set with setPreviousPageIndex, return the associated page. Else, return the next to last element on the stack. If there is none, return null. This method is called before and after a validatePage, and by the default implementation of isPreviousEnabled.

Returns:

The previous page to show, null if there is none.

See Also:

setPreviousPage, setPreviousPageIndex, preparePage

 isCancelEnabled

 public boolean isCancelEnabled()

Tells if the Cancel button must be enabled. Default behavior: if setCancelEnabled has been called, return that value. Else return true.

Returns:

True if the Cancel button must be enabled, false otherwise.

 isFinishEnabled

 public boolean isFinishEnabled()

Tells if the Finish button must be enabled. Default behavior: if setFinishEnabled has been called, return that value. Else return true if the current page is the last page in the Wizard container.

Returns:

True if the Finish button must be enabled, false otherwise.

 isHelpEnabled

 public boolean isHelpEnabled()

Tells if the Help button must be enabled. Default behavior: if setHelpEnabled has been called, return that value. Else return true.

Returns:

True if the Help button must be enabled, false otherwise.

 isNextEnabled

 public boolean isNextEnabled()

Tells if the Next button must be enabled. Default behavior: if setNextEnabled has been called, return that value. Else return true if the getNextPage method returns a page, false otherwise.

Returns:

True if the Next button must be enabled, false otherwise.

 isPreviousEnabled

 public boolean isPreviousEnabled()

Tells if the Previous button must be enabled. Default behavior: if setPreviousEnabled has been called, return that value. Else return true if the getPreviousPage method returns a page, false otherwise.

Returns:

True if the Previous button must be enabled, false otherwise.

 pageHidden

 public void pageHidden(Component comp)

Called before the page is hidden. Default behavior: none.

Parameters:

comp - The page that has been shown.

 pageShown

 public void pageShown(Component comp)

Called after a page is shown. Default behavior: none.

Parameters:

comp - The page that has been shown.

 preparePage

 public void preparePage(Component comp,
                         int action)

Called before a page is shown. Default behavior: add the page to the history stack if the action is NEXT, remove the last page from the history stack if the action is PREVIOUS.

Parameters:

comp - The page that will be shown.

action - The action that has led to this page, either PREVIOUS or NEXT. If it is the first page of the wizard, the action is NEXT.

See Also:

getPreviousPage

 resetChainInfo

 public void resetChainInfo()

Reset the chain information set by setPreviousPageIndex, setNextPageIndex, setPreviousPage, setNextPage, and setXxxEnabled. This is called before a new page is preared.

See Also:

setPreviousPageIndex, setNextPageIndex, setPreviousPage, setNextPage

 setCancelEnabled

 public void setCancelEnabled(boolean status)

Set the state of the Cancel button. This state is used by the default implementation of isCancelEnabled. It is reset before a new page is prepared.

See Also:

isCancelEnabled, resetChainInfo

 setFinishEnabled

 public void setFinishEnabled(boolean status)

Set the state of the Finish button. This state is used by the default implementation of isFinishEnabled. It is reset before a new page is prepared.

See Also:

isFinishEnabled, resetChainInfo

 setHelpEnabled

 public void setHelpEnabled(boolean status)

Set the state of the Help button. This state is used by the default implementation of isHelpEnabled. It is reset before a new page is prepared.

See Also:

isHelpEnabled, resetChainInfo

 setNextEnabled

 public void setNextEnabled(boolean status)

Set the state of the Next button. This state is used by the default implementation of isNextEnabled. It is reset before a new page is prepared.

See Also:

isNextEnabled, resetChainInfo

 setNextPage

 public void setNextPage(Component comp)

Set a next page. This page is used by the default implementation of getNextPage. It is reset before a new page is prepared.

See Also:

getNextPage, resetChainInfo

 setNextPageIndex

 public void setNextPageIndex(int index)

Set an index for the next page. This index is used by the default implementation of getNextPage. It is reset before a new page is prepared.

See Also:

getNextPage, resetChainInfo

 setPreviousEnabled

 public void setPreviousEnabled(boolean status)

Set the state of the Previous button. This state is used by the default implementation of isPreviousEnabled. It is reset before a new page is prepared.

See Also:

isPreviousEnabled, resetChainInfo

 setPreviousPage

 public void setPreviousPage(Component comp)

Set a previous page. This page is used by the default implementation of getPreviousPage. It is reset before a new page is prepared.

See Also:

getPreviousPage, resetChainInfo

 setPreviousPageIndex

 public void setPreviousPageIndex(int index)

Set an index for the previous page. This index is used by the default implementation of getPreviousPage. It is reset before a new page is prepared.

See Also:

getPreviousPage, resetChainInfo

 validatePage

 public boolean validatePage(Component comp,
                             Component target,
                             int action)

Try to validate a page. Default behavior: return the state of the button associated with the action, using the isXxxEnabled methods. For example, if the controller has the Previous button enabled, this method will return true, meaning that it is valid to go back. If the result is true, then the Wizard will proceed with the action, else the state will not change.

Parameters:

comp - The page that must be validated.

target - The page that will be shown if the action is PREVIOUS or NEXT, null otherwise.

action - The action that must be validated, PREVIOUS, NEXT, FINISH, CANCEL or HELP.

Returns:

True if the action is validated, false otherwise.


 Class symantec.itools.awt.Slider

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Canvas
                   |
                   +----symantec.itools.awt.Slider

public abstract class Slider
   extends Canvas

Components based on this class are used to select one value from a continuous range of values. It has a movable thumb in front of a gauge with ticks marks on it.

     See Also:
     HorizontalSlider, VerticalSlider

 actionCommand

The command name of the action event fired by this component.

 actionListener

The action listener to keep track of listeners for our action event.

 BORDER_X

Drawing constant for the horizontal axis.

 BORDER_Y

Drawing constant for the vertical axis.

 cachedSize

The size of the component, the last time paint was called.

 curPos

The current position of the slider thumb.

 errors

Error strings.

 forceCallDoReshape

Set if paint override should call DoReshape, even if the size has not changed.

 freq

The current tick mark display frequency.

 height

The current component height.

 isAdded

is the component added to a container hierarchy?

 max

The maximum value of the slider range.

 min

The minimum value of the slider range.

 prevPos

The position of the slider thumb last time control painted.

 showBorder

Flag indicating if border should be drawn.

 style

The current slider tick mark style.

 tempMaxValue

Internal use.

 tempMinValue

Internal use.

 tempTickFreq

Internal use.

 tempValue

Internal use.

 tick

The tick marks for this slider.

 TICK_BOTH

Defines the slider tick style where the tick marks appear both to the left and right of the slider thumb.

 TICK_BOTTOM

Defines the slider tick style where the tick marks appear below the slider thumb.

 TICK_LEFT

Defines the slider tick style where the tick marks appear to the left of the slider thumb.

 TICK_NONE

Defines the slider tick style where no tick marks are drawn.

 TICK_RIGHT

Defines the slider tick style where the tick marks appear to the right of the slider thumb.

 TICK_TOP

Defines the slider tick style where the tick marks appear above the slider thumb.

 width

The current component width.

 Slider()

Constructs the Slider.

 addActionListener(ActionListener)

Adds the specified action listener to receive action events from this component.

 addMaxValueListener(PropertyChangeListener)

Adds a listener for the max property changes.

 addMaxValueListener(VetoableChangeListener)

Adds a vetoable listener for the max property changes.

 addMinValueListener(PropertyChangeListener)

Adds a listener for the min property changes.

 addMinValueListener(VetoableChangeListener)

Adds a vetoable listener for the min property changes.

 addNotify()

Tells this component that it has been added to a container.

 addPropertyChangeListener(PropertyChangeListener)

Adds a listener for all event changes.

 addVetoableChangeListener(VetoableChangeListener)

Adds a vetoable listener for all event changes.

 do_reshape(int, int)

This abstract function is called by reshape.

 doMove(int, boolean)

This routine updates the thumb position, paints the Slider, and posts a new action event as needed.

 getActionCommand()

 getMaxValue()

Returns the current maximum value of the slider.

 getMinValue()

Returns the current minimum value of the slider.

 getShowBorder()

Deprecated.

 getTickFreq()

Returns the current tick mark display frequency.

 getTickStyle()

Returns the current slider tick mark style.

 getValue()

Returns the current slider value.

 isShowBorder()

Returns the current border display flag.

 isValidMaxValue(int)

Is the given value valid for the Max property .

 isValidMinValue(int)

Is the given value valid for the Min property .

 moveThumb(int, boolean)

Handles the mouse pressing or dragging this component's thumb.

 paint(Graphics)

This method is called to repaint this canvas.

 removeActionListener(ActionListener)

Removes the specified action listener so it no longer receives action events from this component.

 removeMaxValueListener(PropertyChangeListener)

Removes a listener for the max property changes.

 removeMaxValueListener(VetoableChangeListener)

Removes a vetoable listener for the max property changes.

 removeMinValueListener(PropertyChangeListener)

Removes a listener for the min property changes.

 removeMinValueListener(VetoableChangeListener)

Removes a vetoable listener for the min property changes.

 removeNotify()

Tells this component that it is being removed from a container.

 removePropertyChangeListener(PropertyChangeListener)

Removes a listener for all event changes.

 removeVetoableChangeListener(VetoableChangeListener)

Removes a vetoable listener for all event changes.

 setActionCommand(String)

Sets the command name of the action event fired by this component.

 setMaxValue(int)

Sets the maximum value of the slider.

 setMinValue(int)

Sets the minimum value of the slider.

 setShowBorder(boolean)

Sets the border display flag.

 setTickFreq(int)

Sets the tick mark display frequency.

 setTickStyle(int)

Sets the current slider tick mark style.

 setValue(int)

Sets the slider value.

 sourceActionEvent()

Fire an action event to the listeners

 verifyContstrainedPropertyValues()

Called after addNotify to set the internally constrined properties to their temporary values to validate them now that the component has been added to the form.

 actionCommand

 protected String actionCommand

The command name of the action event fired by this component.

 actionListener

 protected ActionListener actionListener

The action listener to keep track of listeners for our action event.

 BORDER_X

 protected static final int BORDER_X

Drawing constant for the horizontal axis.

 BORDER_Y

 protected static final int BORDER_Y

Drawing constant for the vertical axis.

 cachedSize

 protected Dimension cachedSize

The size of the component, the last time paint was called.

 curPos

 protected int curPos

The current position of the slider thumb.

 errors

 protected transient ResourceBundle errors

Error strings.

 forceCallDoReshape

 protected boolean forceCallDoReshape

Set if paint override should call DoReshape, even if the size has not changed.

 freq

 protected int freq

The current tick mark display frequency.

 height

 protected int height

The current component height.

 isAdded

 protected boolean isAdded

is the component added to a container hierarchy?

 max

 protected int max

The maximum value of the slider range.

 min

 protected int min

The minimum value of the slider range.

 prevPos

 protected int prevPos

The position of the slider thumb last time control painted.

 showBorder

 protected boolean showBorder

Flag indicating if border should be drawn.

 style

 protected int style

The current slider tick mark style.

 tempMaxValue

 protected int tempMaxValue

Internal use. Max value stored until this component is added to a container. It is then used to set the real property value. This avoids code-gen order dependencies.

 tempMinValue

 protected int tempMinValue

Internal use. Min value stored until this component is added to a container. It is then used to set the real property value. This avoids code-gen order dependencies.

 tempTickFreq

 protected int tempTickFreq

Internal use. Tick frequency value stored until this component is added to a container. It is then used to set the real property value. This avoids code-gen order dependencies.

 tempValue

 protected int tempValue

Internal use. Slider value stored until this component is added to a container. It is then used to set the real property value. This avoids code-gen order dependencies.

 tick

 protected transient SliderTick tick[]

The tick marks for this slider.

 TICK_BOTH

 public static final int TICK_BOTH

Defines the slider tick style where the tick marks appear both to the left and right of the slider thumb.

 TICK_BOTTOM

 public static final int TICK_BOTTOM

Defines the slider tick style where the tick marks appear below the slider thumb.

 TICK_LEFT

 public static final int TICK_LEFT

Defines the slider tick style where the tick marks appear to the left of the slider thumb.

 TICK_NONE

 public static final int TICK_NONE

Defines the slider tick style where no tick marks are drawn.

 TICK_RIGHT

 public static final int TICK_RIGHT

Defines the slider tick style where the tick marks appear to the right of the slider thumb.

 TICK_TOP

 public static final int TICK_TOP

Defines the slider tick style where the tick marks appear above the slider thumb.

 width

 protected int width

The current component width.

 Slider

 protected Slider()

Constructs the Slider.

 addActionListener

 public synchronized void addActionListener(ActionListener l)

Adds the specified action listener to receive action events from this component.

Parameters:

l - the action listener

 addMaxValueListener

 public synchronized void addMaxValueListener(PropertyChangeListener listener)

Adds a listener for the max property changes.

Parameters:

listener - the listener to add.

See Also:

removeMaxValueListener

 addMaxValueListener

 public synchronized void addMaxValueListener(VetoableChangeListener listener)

Adds a vetoable listener for the max property changes.

Parameters:

listener - the listener to add.

See Also:

removeMaxValueListener

 addMinValueListener

 public synchronized void addMinValueListener(PropertyChangeListener listener)

Adds a listener for the min property changes.

Parameters:

listener - the listener to add.

See Also:

removeMinValueListener

 addMinValueListener

 public synchronized void addMinValueListener(VetoableChangeListener listener)

Adds a vetoable listener for the min property changes.

Parameters:

listener - the listener to add.

See Also:

removeMinValueListener

 addNotify

 public synchronized void addNotify()

Tells this component that it has been added to a container. This is a standard Java AWT method which gets called by the AWT when this component is added to a container. Typically, it is used to create this component's peer. It has been overridden here to hook-up event listeners. It is also used to setup the component, creating the TextField as needed.

Overrides:

addNotify in class Canvas

See Also:

removeNotify

 addPropertyChangeListener

 public synchronized void addPropertyChangeListener(PropertyChangeListener listener)

Adds a listener for all event changes.

Parameters:

listener - the listener to add.

See Also:

removePropertyChangeListener

 addVetoableChangeListener

 public synchronized void addVetoableChangeListener(VetoableChangeListener listener)

Adds a vetoable listener for all event changes.

Parameters:

listener - the listener to add.

See Also:

removeVetoableChangeListener

 do_reshape

 protected abstract void do_reshape(int w,
                                    int h)

This abstract function is called by reshape. Override it to change the way the Slider is reshaped.

 doMove

 protected void doMove(int pos,
                       boolean forcePost)

This routine updates the thumb position, paints the Slider, and posts a new action event as needed. If the thumb position has changed or the forcePost parameter is true the component will be painted and an action event posted.

Parameters:

pos - the new thumb position

forcePost - true forces painting the slider and posting of an action event even if the thumb position hasn't changed

 getActionCommand

 public String getActionCommand()

Returns:

s the command name of the action event fired by this component.

 getMaxValue

 public int getMaxValue()

Returns the current maximum value of the slider.

See Also:

setMaxValue, getMinValue

 getMinValue

 public int getMinValue()

Returns the current minimum value of the slider.

See Also:

setMinValue, getMaxValue

 getShowBorder

 public boolean getShowBorder()

Note: getShowBorder() is deprecated.

See Also:

isShowBorder

 getTickFreq

 public int getTickFreq()

Returns the current tick mark display frequency. This is the range in value between each tick mark.

Returns:

the range in value between tick marks

See Also:

setTickFreq

 getTickStyle

 public int getTickStyle()

Returns the current slider tick mark style.

Returns:

one of: TICK_LEFT, TICK_RIGHT, TICK_TOP, TICK_BOTTOM, TICK_BOTH, or TICK_NONE

See Also:

TICK_LEFT, TICK_RIGHT, TICK_TOP, TICK_BOTTOM, TICK_BOTH, TICK_NONE

 getValue

 public int getValue()

Returns the current slider value.

See Also:

setValue

 isShowBorder

 public boolean isShowBorder()

Returns the current border display flag.

Returns:

true if the border is visible

See Also:

setShowBorder, getShowBorder

 isValidMaxValue

 protected boolean isValidMaxValue(int i)

Is the given value valid for the Max property .

Parameters:

i - the given value

Returns:

true if the given value is acceptable, false if not.

 isValidMinValue

 protected boolean isValidMinValue(int i)

Is the given value valid for the Min property .

Parameters:

i - the given value

Returns:

true if the given value is acceptable, false if not.

 moveThumb

 protected void moveThumb(int i,
                          boolean forcePost)

Handles the mouse pressing or dragging this component's thumb. It is not typically called directly.

Parameters:

i - the mouse horizontal or vertical position coordinate

forcePost - true forces painting the slider and posting of an action event even if the thumb position hasn't changed

 paint

 public void paint(Graphics g)

This method is called to repaint this canvas.

Overrides:

paint in class Canvas

 removeActionListener

 public synchronized void removeActionListener(ActionListener l)

Removes the specified action listener so it no longer receives action events from this component.

Parameters:

l - the action listener

 removeMaxValueListener

 public synchronized void removeMaxValueListener(PropertyChangeListener listener)

Removes a listener for the max property changes.

Parameters:

listener - the listener to remove.

See Also:

addMaxValueListener

 removeMaxValueListener

 public synchronized void removeMaxValueListener(VetoableChangeListener listener)

Removes a vetoable listener for the max property changes.

Parameters:

listener - the listener to remove.

See Also:

addMaxValueListener

 removeMinValueListener

 public synchronized void removeMinValueListener(PropertyChangeListener listener)

Removes a listener for the min property changes.

Parameters:

listener - the listener to remove.

See Also:

addMinValueListener

 removeMinValueListener

 public synchronized void removeMinValueListener(VetoableChangeListener listener)

Removes a vetoable listener for the min property changes.

Parameters:

listener - the listener to remove.

See Also:

addMinValueListener

 removeNotify

 public synchronized void removeNotify()

Tells this component that it is being removed from a container. This is a standard Java AWT method which gets called by the AWT when this component is removed from a container. Typically, it is used to destroy the peers of this component and all its subcomponents. It has been overridden here to unhook event listeners.

Overrides:

removeNotify in class Component

See Also:

addNotify

 removePropertyChangeListener

 public synchronized void removePropertyChangeListener(PropertyChangeListener listener)

Removes a listener for all event changes.

Parameters:

listener - the listener to remove.

See Also:

addPropertyChangeListener

 removeVetoableChangeListener

 public synchronized void removeVetoableChangeListener(VetoableChangeListener listener)

Removes a vetoable listener for all event changes.

Parameters:

listener - the listener to remove.

See Also:

addVetoableChangeListener

 setActionCommand

 public void setActionCommand(String command) throws PropertyVetoException

Sets the command name of the action event fired by this component.

Parameters:

command - The name of the action event command fired by this component

Throws: PropertyVetoException

if the specified property value is unacceptable

 setMaxValue

 public void setMaxValue(int max) throws PropertyVetoException

Sets the maximum value of the slider.

Parameters:

max - the new maximum slider value

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getMaxValue, setMinValue

 setMinValue

 public void setMinValue(int min) throws PropertyVetoException

Sets the minimum value of the slider.

Parameters:

min - the new minimum slider value

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getMinValue, setMaxValue

 setShowBorder

 public void setShowBorder(boolean f) throws PropertyVetoException

Sets the border display flag.

Parameters:

f - true for the border to show

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getShowBorder

 setTickFreq

 public void setTickFreq(int freq) throws PropertyVetoException

Sets the tick mark display frequency. This is the range in value between each tick mark.

Parameters:

freq - the range in value between tick marks

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getTickFreq

 setTickStyle

 public void setTickStyle(int style) throws PropertyVetoException

Sets the current slider tick mark style.

Parameters:

style - the new tick mark style, one of TICK_LEFT, TICK_RIGHT, TICK_TOP, TICK_BOTTOM, TICK_BOTH, or TICK_NONE

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getTickStyle, TICK_LEFT, TICK_RIGHT, TICK_TOP, TICK_BOTTOM, TICK_BOTH, TICK_NONE

 setValue

 public void setValue(int pos) throws PropertyVetoException

Sets the slider value.

Parameters:

pos - the new slider value

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getValue

 sourceActionEvent

 protected void sourceActionEvent()

Fire an action event to the listeners

 verifyContstrainedPropertyValues

 protected void verifyContstrainedPropertyValues()

Called after addNotify to set the internally constrined properties to their temporary values to validate them now that the component has been added to the form. This is used to avoid code-gen order dependencies, since VC generates all property manipulating code before adding the component to its container. Subclasses should override this function for any internally constrained properties, and call the super version in the overridden version.


 Class symantec.itools.awt.SliderBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.SliderBeanInfo

public class SliderBeanInfo
   extends SimpleBeanInfo

BeanInfo for Slider.

 SliderBeanInfo()

Constructs a SliderBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 SliderBeanInfo

 public SliderBeanInfo()

Constructs a SliderBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.SplitterPanel

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Container
                   |
                   +----java.awt.Panel
                           |
                           +----symantec.itools.awt.SplitterPanel

public class SplitterPanel
   extends Panel

Use to create a container that can be divided into a number of subpanels which holds visual components and other panels, and specifically to:

· Create a subcontainer that organizes container space within an Applet, Frame or Dialog container. This simplifies your component layout task.

· Hold other specialized Panel containers.

The SplitterPanel component is the parent Panel containing a set of subpanels. You must write code to divide the parent panel into subpanels. You must set panel defaults in your project source code.

The SplitterPanel automatically recognizes the mouseDragged as the command to resize the appropriate subpanel boundary.

Subpanels can be resized at runtime by dragging panel borders with the mouse.

This code example splits a SplitterPanel into four subpanels and adds a button to two of the subpanels.

 splitterPanel1.split(splitterPanel1.SPLIT_HORIZONTAL);
 splitterPanel1.getTopPanel().split(splitterPanel1.SPLIT_VERTICAL);
 splitterPanel1.getBottomPanel().split(splitterPanel1.SPLIT_VERTICAL);
 // add a button to the top left panel
 splitterPanel1.getTopLeftPanel().add(new Button("Top Left"));
 // add a button to the lower right panel
 splitterPanel1.getBottomRightPanel().add(new Button("Bottom Right"));

Individual subpanels can be accessed in code using any of these methods: getBottomLeftPanel, getBottomPanel, getBottomRightPanel, getLeftPanel, getRightPanel, getSub2Panel, getSubPanel, getTopLeftPanel, getTopPanel, getTopRightPanel.

 allowDynamicMoving

This flag specifies if moving of a split in a splitter panel will be real time, or delayed until mouse released.

 bOsFlag

Internal use only.

 curDim

Current component dimensions.

 curLoc

The current location of this component.

 cursorCh

Internal use only.

 cursorChanged

Internal use only.

 doMoveSplit

Internal flag indicating split being moved.

 enforceMinDim

Enforce minimum dimension mode flag.

 errors

Error strings.

 gapColor

The color of the gap between panels and around the outside border.

 heightOnly

Internal flag indicating a reshape in height only.

 iBdrSize

The size of the border drawn between panels, in pixels.

 iGapHeight

The split height between panels, in pixels.

 iGapWidth

The split width between panels, in pixels.

 innerSP

Internal use only.

 isOuter

Internal use only.

 minDim

Dimension variables.

 moveFromX

Internal use only.

 moveFromY

Internal use only.

 moveSplitCursor

Determines the cursor to use when dragging the split between panels.

 oBdrSize

The size of the border drawn around the outside of the SplitterPanel, in pixels.

 oGapHeight

The gap height inside the border, in pixels.

 oGapWidth

The gap width inside the border, in pixels.

 outerSP

Internal use only.

 prefDim

Dimension variables.

 propResize

The "resize propagation" mode flag.

 spComponent

The component contained within this panel.

 SPLIT3_BOTTOM

Panel split constant for the SplitterPanel constructor.

 SPLIT3_LEFT

Panel split constant for the SplitterPanel constructor.

 SPLIT3_RIGHT

Panel split constant for the SplitterPanel constructor.

 SPLIT3_TOP

Panel split constant for the SplitterPanel constructor.

 SPLIT_BOTH

Panel split constant for the SplitterPanel constructor.

 SPLIT_BOTH_V

Panel split constant for the SplitterPanel constructor.

 SPLIT_HOR

Indicates a horizontal panel split.

 SPLIT_HORIZONTAL

Horizontal panel split constant for the SplitterPanel constructor.

 SPLIT_NONE

Panel contains no subpanels, initial state.

 SPLIT_VER

Indicates a vertical panel split.

 SPLIT_VERTICAL

Vertical panel split constant for the SplitterPanel constructor.

 splitType

The type of split for this SplitterPanel.

 sub1

Sub-panel 1 of 2.

 sub2

Sub-panel 2 of 2.

 use3dBdr

This flag specifies how to draw the border around panels.

 widthOnly

Internal flag indicating a reshape in width only.

 SplitterPanel()

Constructs a new default SplitterPanel.

 SplitterPanel(int)

Constructs a new SplitterPanel which is split into panels.

 SplitterPanel(int, Component, Component, Component, Component)

Constructs a new SplitterPanel which is split into panels to which components are added.

 SplitterPanel(int, int)

Constructs a new SplitterPanel of the specified size which is ready to be split into panels.

 SplitterPanel(int, int, int)

Constructs a new SplitterPanel of specified size which is split into panels.

 add(Component)

Adds a component to the end of this container.

 add(Component, int)

Adds a component to the end of this container.

 addNotify()

Tells this component that it has been added to a container.

 addPropertyChangeListener(PropertyChangeListener)

Adds a listener for all event changes.

 addSplitTypeListener(PropertyChangeListener)

Adds a property listener for SplitType changes.

 addSplitTypeListener(VetoableChangeListener)

Adds a vetoable listener for SplitType changes.

 addVetoableChangeListener(VetoableChangeListener)

Adds a vetoable listener for all event changes.

 adjustOGapBdr()

Utility method to constrain the gap width/height inside the border to good values.

 draw3DBdr(Graphics, int, int, int, int, int, Color, boolean)

Utility method to draw the border.

 gapColor()

Deprecated.

 getBottomLeftPanel()

Gets the bottom left panel.

 getBottomPanel()

Gets the bottom panel of a horizontally split SplitterPanel.

 getBottomRightPanel()

Gets the bottom right panel.

 getComponent()

Gets the component in this SplitterPanel.

 getComponentCount()

Returns number of components in this container.

 getComponents()

Returns all of the components in this container.

 getEnforceMinDim()

Deprecated.

 getGapColor()

Gets the color of the gap between panels and around the outside border.

 getLeftPanel()

Gets the left panel of a vertically split SplitterPanel.

 getMouseListener()

Returns the mouse event handling object.

 getMoveSplitCursor()

The cursor to use when dragging the split between panels.

 getPropResize()

Deprecated.

 getRightPanel()

Gets the right panel of a vertically split SplitterPanel.

 getSplitType()

Gets the type of split for this SplitterPanel.

 getSub2Panel(int, int, int, int)

Gets a panel within a doubly split SplitterPanel with specified split types.

 getSubPanel(int)

Gets a panel within a SplitterPanel.

 getSubPanel(int, int)

Gets a panel within a SplitterPanel of specified type.

 getTopLeftPanel()

Gets the top left panel.

 getTopPanel()

Gets the top panel of a horizontally split SplitterPanel.

 getTopRightPanel()

Gets the top right panel.

 iBdrSize()

Gets the size of the border drawn between panels.

 iGapHeight()

Gets the size of the split between panels.

 iGapWidth()

Gets the size of the split between panels.

 inComponent(Component, int, int)

Utility method to determine if the given location is within the given component.

 inGap(int, int)

Utility method to determine if the given location is in the gap between any nested sub-panels.

 inGap1(int, int)

Utility method to determine if the given location is in the gap between this panel's sub-panels.

 inOutBoarder(int, int)

Utility method to determine if the given location is in the border around this component.

 isAllowDynamicMoving()

This flag specifies if moving of a split in a splitter panel will be real time, or delayed until mouse released.

 isEnforceMinDim()

Gets the current "enforce minimum dimension" mode.

 isPropResize()

Gets the current "resize propagation" mode.

 isUse3DBorder()

This flag specifies how to draw the border around panels.

 isValidSplitType(int)

Checks to see if a given SplitType is a valid split type.

 layout()

Handles the laying out of components within this component.

 maxDimOf(Dimension, Dimension)

Utility method to create a new Dimension that encompasses the two input Dimensions.

 minimumSize()

Returns the minimum dimensions to properly display this component.

 moveSplit(int, int)

Moves the location of the gap between panels.

 oBdrSize()

Gets the size of the border drawn around the outside of the SplitterPanel.

 oGapHeight()

Gets the size of the split around the inside of the SplitterPanel border.

 oGapThis(Event)

Deprecated.

 oGapThis(int, int)

Override this method if you want a behavior when events occur in the outer gap.

 oGapWidth()

Gets the size of the split around the inside of the SplitterPanel border.

 optSize(int, int, int, int, int, int)

Utility method to calculate the optimum width or height of a sub-panel.

 paint(Graphics)

Paints this component using the given graphics context.

 placeComponents()

Utility method to lay out this component.

 preferredSize()

Returns the recommended dimensions to properly display this component.

 propagateChanges()

Utility method to update the gap/border/etc properties in sub-panels.

 propagateChangesSP(SplitterPanel)

Utility method to update the gap/border/etc properties in another panel.

 remove(Component)

Removes the specified component from this container.

 removeAll()

Removes all the components from this container.

 removeNotify()

Tells this component that it is being removed from a container.

 removePropertyChangeListener(PropertyChangeListener)

Removes a listener for all event changes.

 removeSplitTypeListener(PropertyChangeListener)

Removes a property listener for SplitType changes.

 removeSplitTypeListener(VetoableChangeListener)

Removes a vetoable listener for SplitType changes.

 removeVetoableChangeListener(VetoableChangeListener)

Removes a vetoable listener for all event changes.

 resetCursor()

Utility method to set the cursor to the default one.

 reshape(int, int, int, int)

Moves and/or resizes this component.

 reshapeHeight(int, int)

Reshapes the height and/or vertical position.

 reshapeWidth(int, int)

Reshapes the width and/or horizontal position.

 setAllowDynamicMoving(boolean)

This flag specifies if moving of a split in a splitter panel will be real time, or delayed until mouse released.

 setBdrSizes(int)

Sets the size of the border drawn between panels and around the outside of the SplitterPanel.

 setBdrSizes(int, int)

Sets the size of the border drawn between panels and around the outside of the SplitterPanel.

 setCursor(Cursor)

Sets the currently used cursor.

 setEnforceMinDim(boolean)

Sets the "enforce minimum dimension" mode.

 setGapColor(Color)

Sets the color of the gap between panels and around the outside border.

 setGapSizes(int)

Sets the size of the split between panels and around the inside of the SplitterPanel border.

 setGapSizes(int, int)

Sets the size of the split between panels and around the inside of the SplitterPanel border.

 setGapSizes(int, int, int, int)

Sets the size of the split between panels and around the inside of the SplitterPanel border.

 setLayout(LayoutManager)

Takes no action.

 setMinimumSize(Dimension)

Sets the minimum size of this SplitterPanel.

 setMoveSplitCursor(Cursor)

Determines the cursor to use when dragging the split between panels.

 setMoveSplitCursor(int)

Determines the cursor to use when dragging the split between panels.

 setPreferredSize(Dimension)

Sets the preferred size of this SplitterPanel.

 setPropResize(boolean)

Sets the "resize propagation" mode.

 setUse3DBorder(boolean)

This flag specifies how to draw the border around panels.

 split(int)

Splits a SplitterPanel into two panels.

 split(int, Component, Component)

Splits a SplitterPanel into two panels and adds two components.

 toString()

Returns a string representation of this component.

 update(Graphics)

Handles redrawing of this component on the screen.

 allowDynamicMoving

 protected boolean allowDynamicMoving

This flag specifies if moving of a split in a splitter panel will be real time, or delayed until mouse released.

See Also:

isAllowDynamicMoving, setAllowDynamicMoving

 bOsFlag

 protected transient boolean bOsFlag

Internal use only.

 curDim

 protected Dimension curDim

Current component dimensions.

 curLoc

 protected Point curLoc

The current location of this component.

 cursorCh

 protected static SplitterPanel cursorCh

Internal use only.

 cursorChanged

 protected transient boolean cursorChanged

Internal use only.

 doMoveSplit

 protected transient boolean doMoveSplit

Internal flag indicating split being moved.

 enforceMinDim

 protected boolean enforceMinDim

Enforce minimum dimension mode flag. This mode prevents the dragging of a split between panels from making a panel smaller than the minimum size of its component. If true, enforces minimum panel dimensions.

See Also:

isEnforceMinDim, setEnforceMinDim

 errors

 protected transient ResourceBundle errors

Error strings.

 gapColor

 protected Color gapColor

The color of the gap between panels and around the outside border.

See Also:

getGapColor, setGapColor

 heightOnly

 protected boolean heightOnly

Internal flag indicating a reshape in height only.

 iBdrSize

 protected int iBdrSize

The size of the border drawn between panels, in pixels.

 iGapHeight

 protected int iGapHeight

The split height between panels, in pixels.

 iGapWidth

 protected int iGapWidth

The split width between panels, in pixels.

 innerSP

 protected SplitterPanel innerSP

Internal use only.

 isOuter

 protected boolean isOuter

Internal use only.

 minDim

 protected Dimension minDim

Dimension variables. Note that these should be set explicitly if you wish to override the built in calculation of these dimensions. For instance, do not set (or set to zeros), the value for prefDim if you want the SplitterPanel to calculate this as the sum of the subcomponents prefDims. minDim is used when the user explicitly sets the minimum size; prefDim is used when the user explicitly sets the preferred size.

See Also:

prefDim

 moveFromX

 protected int moveFromX

Internal use only.

 moveFromY

 protected int moveFromY

Internal use only.

 moveSplitCursor

 protected Cursor moveSplitCursor

Determines the cursor to use when dragging the split between panels. Use Cursor.HAND_CURSOR, etc to choose a cursor.

See Also:

Cursor

 oBdrSize

 protected int oBdrSize

The size of the border drawn around the outside of the SplitterPanel, in pixels.

 oGapHeight

 protected int oGapHeight

The gap height inside the border, in pixels.

 oGapWidth

 protected int oGapWidth

The gap width inside the border, in pixels.

 outerSP

 protected SplitterPanel outerSP

Internal use only.

 prefDim

 protected Dimension prefDim

Dimension variables. Note that these should be set explicitly if you wish to override the built in calculation of these dimensions. For instance, do not set (or set to zeros), the value for prefDim if you want the SplitterPanel to calculate this as the sum of the subcomponents prefDims. minDim is used when the user explicitly sets the minimum size; prefDim is used when the user explicitly sets the preferred size.

See Also:

minDim

 propResize

 protected boolean propResize

The "resize propagation" mode flag. If this is false, resizing of SplitterPanel panels does not automatically call the contained component's resize() method. The default behavior propagates the resizing effect of dragging the split between panes by calling move and resize for the panels that have been added to those panes. Clearing this introduces a clipping effect, rather than a scaling effect.

See Also:

isPropResize, setPropResize

 spComponent

 protected Component spComponent

The component contained within this panel.

 SPLIT3_BOTTOM

 public static final int SPLIT3_BOTTOM

Panel split constant for the SplitterPanel constructor. This splits the panel into three panels, with a single larger panel on the top.

 SPLIT3_LEFT

 public static final int SPLIT3_LEFT

Panel split constant for the SplitterPanel constructor. This splits the panel into three panels, with a single larger panel on the right.

 SPLIT3_RIGHT

 public static final int SPLIT3_RIGHT

Panel split constant for the SplitterPanel constructor. This splits the panel into three panels, with a single larger panel on the left.

 SPLIT3_TOP

 public static final int SPLIT3_TOP

Panel split constant for the SplitterPanel constructor. This splits the panel into three panels, with a single larger panel on the bottom.

 SPLIT_BOTH

 public static final int SPLIT_BOTH

Panel split constant for the SplitterPanel constructor. This splits the panel into four panels by first splitting horizontally then splitting vertically.

 SPLIT_BOTH_V

 public static final int SPLIT_BOTH_V

Panel split constant for the SplitterPanel constructor. This splits the panel into four panels by first splitting vertically then splitting horizontally.

 SPLIT_HOR

 public static final int SPLIT_HOR

Indicates a horizontal panel split. The panel contains/will contain two subpanels, top and bottom.

See Also:

split

 SPLIT_HORIZONTAL

 public static final int SPLIT_HORIZONTAL

Horizontal panel split constant for the SplitterPanel constructor. This splits the panel into two horizontal panels.

 SPLIT_NONE

 protected static final int SPLIT_NONE

Panel contains no subpanels, initial state.

 SPLIT_VER

 public static final int SPLIT_VER

Indicates a vertical panel split. The panel contains/will contain two subpanels, left and right.

See Also:

split

 SPLIT_VERTICAL

 public static final int SPLIT_VERTICAL

Vertical panel split constant for the SplitterPanel constructor. This splits the panel into two vertical panels.

 splitType

 protected int splitType

The type of split for this SplitterPanel. Value is one of: SPLIT_VERTICAL or SPLIT_HORIZONTAL.

See Also:

SPLIT_VERTICAL, SPLIT_HORIZONTAL, SPLIT_NONE

 sub1

 protected SplitterPanel sub1

Sub-panel 1 of 2.

 sub2

 protected SplitterPanel sub2

Sub-panel 2 of 2.

 use3dBdr

 protected boolean use3dBdr

This flag specifies how to draw the border around panels. If true, the border around the panel is drawn with a three-dimensional effect.

 widthOnly

 protected boolean widthOnly

Internal flag indicating a reshape in width only.

 SplitterPanel

 public SplitterPanel()

Constructs a new default SplitterPanel. By default, all the gap sizes are 3 and all the border sizes 2.

See Also:

setGapSizes, setBdrSizes

 SplitterPanel

 public SplitterPanel(int splitSpec)

Constructs a new SplitterPanel which is split into panels. By default, all the gap sizes are 3 and all the border sizes 2.

Parameters:

splitSpec - specifies how to split up the panel

See Also:

SPLIT_VERTICAL, SPLIT_HORIZONTAL, SPLIT_BOTH, SPLIT_BOTH_V, SPLIT3_LEFT, SPLIT3_RIGHT, SPLIT3_TOP, SPLIT3_BOTTOM, setGapSizes, setBdrSizes

 SplitterPanel

 public SplitterPanel(int splitSpec,
                      Component compR1C1,
                      Component compR1C2,
                      Component compR2C1,
                      Component compR2C2)

Constructs a new SplitterPanel which is split into panels to which components are added. By default, all the gap sizes are 3 and all the border sizes 2.

Parameters:

splitSpec - specifies how to split up the panel

compR1C1 - specifies the component in row 1, column 1 (top, left)

compR1C2 - specifies the component in row 1, column 2 (top, right)

compR2C1 - specifies the component in row 2, column 1 (bottom, left)

compR2C2 - specifies the component in row 2, column 2 (bottom, right)

See Also:

SPLIT_VERTICAL, SPLIT_HORIZONTAL, SPLIT_BOTH, SPLIT_BOTH_V, SPLIT3_LEFT, SPLIT3_RIGHT, SPLIT3_TOP, SPLIT3_BOTTOM, setGapSizes, setBdrSizes

 SplitterPanel

 public SplitterPanel(int spWidth,
                      int spHeight)

Constructs a new SplitterPanel of the specified size which is ready to be split into panels. By default, all the gap sizes are 3 and all the border sizes 2.

Parameters:

spWidth - the initial width of the SplitterPanel, in pixels

spHeight - the initial height of the SplitterPanel, in pixels

See Also:

setGapSizes, setBdrSizes

 SplitterPanel

 public SplitterPanel(int spWidth,
                      int spHeight,
                      int splitSpec)

Constructs a new SplitterPanel of specified size which is split into panels. By default, all the gap sizes are 3 and all the border sizes 2.

Parameters:

spWidth - the initial width of the SplitterPanel, in pixels

spHeight - the initial height of the SplitterPanel, in pixels

splitSpec - specifies how to split up the panel

See Also:

SPLIT_VERTICAL, SPLIT_HORIZONTAL, SPLIT_BOTH, SPLIT_BOTH_V, SPLIT3_LEFT, SPLIT3_RIGHT, SPLIT3_TOP, SPLIT3_BOTTOM, setGapSizes, setBdrSizes

 add

 public Component add(Component comp)

Adds a component to the end of this container. This is a standard Java AWT method which gets called to add a component to a container. Typically, the specified component is added to the end of this container. It is overridden here to set the only component in this SplitterPanel. This is the component that is displayed in a panel. The SplitterPanel can only contain one component. Any previous component will be removed before the new one is added.

Parameters:

comp - the component to add

Returns:

the added component

Overrides:

add in class Container

See Also:

remove

 add

 public synchronized Component add(Component comp,
                                   int pos)

Adds a component to the end of this container. This is a standard Java AWT method which gets called to add a component to a container. Typically, the specified component is added to this container at the given zero-relative position index. A position index of -1 would append the component to the end. It is overridden here to set the only component in this SplitterPanel. This is the component that is displayed in a panel. The SplitterPanel can only contain one component. Any previous component will be removed before the new one is added.

Parameters:

comp - the component to add

pos - the zero-relative index at which to add the component or -1 for end (IGNORED)

Returns:

the added component

Overrides:

add in class Container

See Also:

remove

 addNotify

 public synchronized void addNotify()

Tells this component that it has been added to a container. This is a standard Java AWT method which gets called by the AWT when this component is added to a container. Typically, it is used to create this component's peer. It has been overridden here to hook-up event listeners.

Overrides:

addNotify in class Panel

See Also:

removeNotify

 addPropertyChangeListener

 public synchronized void addPropertyChangeListener(PropertyChangeListener listener)

Adds a listener for all event changes.

Parameters:

listener - the listener to add.

See Also:

removePropertyChangeListener

 addSplitTypeListener

 public synchronized void addSplitTypeListener(PropertyChangeListener listener)

Adds a property listener for SplitType changes.

Parameters:

listener - the listener to add.

See Also:

removeSplitTypeListener

 addSplitTypeListener

 public synchronized void addSplitTypeListener(VetoableChangeListener listener)

Adds a vetoable listener for SplitType changes.

Parameters:

listener - the listener to add.

See Also:

removeSplitTypeListener

 addVetoableChangeListener

 public synchronized void addVetoableChangeListener(VetoableChangeListener listener)

Adds a vetoable listener for all event changes.

Parameters:

listener - the listener to add.

See Also:

removeVetoableChangeListener

 adjustOGapBdr

 protected void adjustOGapBdr()

Utility method to constrain the gap width/height inside the border to good values.

 draw3DBdr

 protected void draw3DBdr(Graphics g,
                          int x,
                          int y,
                          int width,
                          int height,
                          int bdrSize,
                          Color c,
                          boolean raised)

Utility method to draw the border.

 gapColor

 public Color gapColor()

Note: gapColor() is deprecated.

See Also:

getGapColor

 getBottomLeftPanel

 public SplitterPanel getBottomLeftPanel()

Gets the bottom left panel. It doesn't matter if this SplitterPanel is initially split horizontally or vertically.

Returns:

the panel, or null if it doesn't exist

See Also:

getTopPanel, getBottomPanel, getLeftPanel, getRightPanel, getTopLeftPanel, getTopRightPanel, getBottomRightPanel

 getBottomPanel

 public SplitterPanel getBottomPanel()

Gets the bottom panel of a horizontally split SplitterPanel.

Returns:

the panel, or null if this panel is not split or is split vertically

See Also:

getTopPanel, getLeftPanel, getRightPanel, getTopLeftPanel, getTopRightPanel, getBottomLeftPanel, getBottomRightPanel

 getBottomRightPanel

 public SplitterPanel getBottomRightPanel()

Gets the bottom right panel. It doesn't matter if this SplitterPanel is initially split horizontally or vertically.

Returns:

the panel, or null if it doesn't exist

See Also:

getTopPanel, getBottomPanel, getLeftPanel, getRightPanel, getTopLeftPanel, getTopRightPanel, getBottomLeftPanel

 getComponent

 public Component getComponent()

Gets the component in this SplitterPanel.

Returns:

the component in this SplitterPanel

 getComponentCount

 public int getComponentCount()

Returns number of components in this container.

Returns:

the number of components in this container

Overrides:

getComponentCount in class Container

 getComponents

 public Component[] getComponents()

Returns all of the components in this container. This is a standard Java AWT method which gets called to return an array of all of the components in this container.

Returns:

an array of components in this container

Overrides:

getComponents in class Container

 getEnforceMinDim

 public boolean getEnforceMinDim()

Note: getEnforceMinDim() is deprecated.

See Also:

isEnforceMinDim

 getGapColor

 public Color getGapColor()

Gets the color of the gap between panels and around the outside border.

Returns:

the current gap color

See Also:

setGapColor

 getLeftPanel

 public SplitterPanel getLeftPanel()

Gets the left panel of a vertically split SplitterPanel.

Returns:

the panel, or null if this panel is not split or is split horizontally

See Also:

getTopPanel, getBottomPanel, getRightPanel, getTopLeftPanel, getTopRightPanel, getBottomLeftPanel, getBottomRightPanel

 getMouseListener

 protected MouseListener getMouseListener()

Returns the mouse event handling object.

 getMoveSplitCursor

 public Cursor getMoveSplitCursor()

The cursor to use when dragging the split between panels.

Returns:

the Cursor to be used when dragginf the split between panels.

See Also:

setMoveSplitCursor, setMoveSplitCursor

 getPropResize

 public boolean getPropResize()

Note: getPropResize() is deprecated.

See Also:

isPropResize

 getRightPanel

 public SplitterPanel getRightPanel()

Gets the right panel of a vertically split SplitterPanel.

Returns:

the panel, or null if this panel is not split or is split horizontally

See Also:

getTopPanel, getBottomPanel, getLeftPanel, getTopLeftPanel, getTopRightPanel, getBottomLeftPanel, getBottomRightPanel

 getSplitType

 public int getSplitType()

Gets the type of split for this SplitterPanel.

Returns:

the splitType: SPLIT_VERTICAL or SPLIT_HORIZONTAL

See Also:

SPLIT_VERTICAL, SPLIT_HORIZONTAL

 getSub2Panel

 public SplitterPanel getSub2Panel(int n1,
                                   int theSplitType1,
                                   int n2,
                                   int theSplitType2)

Gets a panel within a doubly split SplitterPanel with specified split types. This method is equivalent to calling getSubPanel() twice, the second time with the results from the first.

Parameters:

n1 - panel number (1 for first panel, or 2 for second panel)

theSplitType1 - the type of split this panel has (SPLIT_VER or SPLIT_HOR)

n2 - panel number (1 for first panel, or 2 for second panel)

theSplitType2 - the type of split the subpanel has (SPLIT_VER or SPLIT_HOR)

Returns:

the panel, or null if none of the specified type

See Also:

SPLIT_VER, SPLIT_HOR, getSubPanel

 getSubPanel

 public SplitterPanel getSubPanel(int n)

Gets a panel within a SplitterPanel.

Parameters:

n - panel number (1 for first panel, or 2 for second panel)

Returns:

the panel, or null if none

See Also:

getSub2Panel

 getSubPanel

 public SplitterPanel getSubPanel(int n,
                                  int theSplitType)

Gets a panel within a SplitterPanel of specified type. For example, if "aPanel" was a horizontally split SplitterPanel, the call aPanel.getSubPanel(1,SPLIT_HOR) would retrieve the first (topmost) panel, and the call aPanel.getSubPanel(1,SPLIT_VER) would return null since aPanel is not split vertically.

Parameters:

n - panel number (1 for first panel, or 2 for second panel)

theSplitType - the type of split this panel has (SPLIT_VER or SPLIT_HOR)

Returns:

the panel, or null if none of the specified type

See Also:

SPLIT_VER, SPLIT_HOR, getSub2Panel

 getTopLeftPanel

 public SplitterPanel getTopLeftPanel()

Gets the top left panel. It doesn't matter if this SplitterPanel is initially split horizontally or vertically.

Returns:

the panel, or null if it doesn't exist

See Also:

getTopPanel, getBottomPanel, getLeftPanel, getRightPanel, getTopRightPanel, getBottomLeftPanel, getBottomRightPanel

 getTopPanel

 public SplitterPanel getTopPanel()

Gets the top panel of a horizontally split SplitterPanel.

Returns:

the panel, or null if this panel is not split or is split vertically

See Also:

getBottomPanel, getLeftPanel, getRightPanel, getTopLeftPanel, getTopRightPanel, getBottomLeftPanel, getBottomRightPanel

 getTopRightPanel

 public SplitterPanel getTopRightPanel()

Gets the top right panel. It doesn't matter if this SplitterPanel is initially split horizontally or vertically.

Returns:

the panel, or null if it doesn't exist

See Also:

getTopPanel, getBottomPanel, getLeftPanel, getRightPanel, getTopLeftPanel, getBottomLeftPanel, getBottomRightPanel

 iBdrSize

 public int iBdrSize()

Gets the size of the border drawn between panels.

Returns:

the border size between panels, in pixels

See Also:

oBdrSize

 iGapHeight

 public int iGapHeight()

Gets the size of the split between panels.

Returns:

the split height between panels, in pixels

See Also:

iGapWidth, oGapWidth, oGapHeight

 iGapWidth

 public int iGapWidth()

Gets the size of the split between panels.

Returns:

the split width between panels, in pixels

See Also:

iGapHeight, oGapWidth, oGapHeight

 inComponent

 protected boolean inComponent(Component comp,
                               int x,
                               int y)

Utility method to determine if the given location is within the given component.

Parameters:

comp - the component

x - the horizontal location

y - the vertical location

Returns:

true if the location is within the component

 inGap

 protected boolean inGap(int evtX,
                         int evtY)

Utility method to determine if the given location is in the gap between any nested sub-panels.

Parameters:

evtX - the horizontal location

evtY - the vertical location

Returns:

true if the location is within the gap

 inGap1

 protected boolean inGap1(int evtX,
                          int evtY)

Utility method to determine if the given location is in the gap between this panel's sub-panels.

Parameters:

evtX - the horizontal location

evtY - the vertical location

Returns:

true if the location is within the gap

 inOutBoarder

 protected boolean inOutBoarder(int evtX,
                                int evtY)

Utility method to determine if the given location is in the border around this component.

Parameters:

evtX - the horizontal location

evtY - the vertical location

Returns:

true if the location is within the border

 isAllowDynamicMoving

 public boolean isAllowDynamicMoving()

This flag specifies if moving of a split in a splitter panel will be real time, or delayed until mouse released.

Returns:

true if when a split is moved, it will dynamically resize the panels the split affects. If false, the resizing will happen when the mouse is released.

See Also:

setAllowDynamicMoving

 isEnforceMinDim

 public boolean isEnforceMinDim()

Gets the current "enforce minimum dimension" mode. This mode prevents the dragging of a split between panels from making a panel smaller than the minimum size of its component.

Returns:

true if minimum panel dimensions are enforced

See Also:

setEnforceMinDim

 isPropResize

 public boolean isPropResize()

Gets the current "resize propagation" mode. When this mode is enabled, the resizing effect of dragging the split between panes is propagated by reshaping the panels that have been added to those panes. This results in a scaling effect. When this mode is disabled this doesn't happen, resulting in a clipping effect. This mode is enabled by default.

Returns:

the current "resize propagation" mode

See Also:

setPropResize

 isUse3DBorder

 public boolean isUse3DBorder()

This flag specifies how to draw the border around panels.

Returns:

flag if true, the border around the panel is drawn in a three dimensional way.

See Also:

setUse3DBorder

 isValidSplitType

 public boolean isValidSplitType(int testSplitType)

Checks to see if a given SplitType is a valid split type.

Parameters:

testSplitType - the split type to test

Returns:

true if testSplitType is acceptable, false if not.

 layout

 public synchronized void layout()

Handles the laying out of components within this component. This is a standard Java AWT method which gets called by the AWT when this component is validated with the validate() method.

Overrides:

layout in class Container

See Also:

validate

 maxDimOf

 protected Dimension maxDimOf(Dimension dim1,
                              Dimension dim2)

Utility method to create a new Dimension that encompasses the two input Dimensions.

Parameters:

dim1 - a dimension

dim2 - another dimension

Returns:

a Dimension that has the larger of each input dimensions axis

 minimumSize

 public Dimension minimumSize()

Returns the minimum dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the minimum size of this component.

For each axis, returns the larger of the actual size needed to show all the components at their minimum size, and the minimum size set by the setMinimumSize() method.

Overrides:

minimumSize in class Container

See Also:

preferredSize

 moveSplit

 public void moveSplit(int spX,
                       int spY)

Moves the location of the gap between panels.

Parameters:

spX - specifies relative movement in pixels along horizontal axis

spY - specifies relative movement in pixels along vertical axis

 oBdrSize

 public int oBdrSize()

Gets the size of the border drawn around the outside of the SplitterPanel.

Returns:

the border size around the outside of the SplitterPanel, in pixels

See Also:

iBdrSize

 oGapHeight

 public int oGapHeight()

Gets the size of the split around the inside of the SplitterPanel border.

Returns:

the gap height inside the border, in pixels

See Also:

iGapWidth, iGapHeight, oGapWidth

 oGapThis

 public boolean oGapThis(Event evt)

Note: oGapThis() is deprecated.

See Also:

oGapThis

 oGapThis

 public void oGapThis(int x,
                      int y)

Override this method if you want a behavior when events occur in the outer gap. Be sure to call super.oGapThis if you do override this method. Note that it is recommended that you place a SplitterPanel inside of a frame and set outer border and gap sizes to zero if you want the end user to be able to resize.

Parameters:

x - the x coordinate of where the event occured.

y - the y coordinate of where the event occured.

 oGapWidth

 public int oGapWidth()

Gets the size of the split around the inside of the SplitterPanel border.

Returns:

the gap width inside the border, in pixels

See Also:

iGapWidth, iGapHeight, oGapHeight

 optSize

 protected int optSize(int total,
                       int _gap,
                       int _min1,
                       int _min2,
                       int _pref1,
                       int _pref2)

Utility method to calculate the optimum width or height of a sub-panel.

 paint

 public synchronized void paint(Graphics g)

Paints this component using the given graphics context. This is a standard Java AWT method which typically gets called by the AWT to handle painting this component. It paints this component using the given graphics context. The graphics context clipping region is set to the bounding rectangle of this component and its [0,0] coordinate is this component's top-left corner. Overriding this method is not advised.

Parameters:

g - the graphics context used for painting

Overrides:

paint in class Container

See Also:

repaint, update

 placeComponents

 protected void placeComponents()

Utility method to lay out this component.

 preferredSize

 public Dimension preferredSize()

Returns the recommended dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the recommended size of this component.

For each axis, returns the larger of the actual size needed to show all the components at their preferred size, and the preferred size set by the setPreferredSize() method.

Overrides:

preferredSize in class Container

See Also:

minimumSize, setPreferredSize

 propagateChanges

 protected void propagateChanges()

Utility method to update the gap/border/etc properties in sub-panels.

 propagateChangesSP

 protected void propagateChangesSP(SplitterPanel spTarget)

Utility method to update the gap/border/etc properties in another panel. The current property values of this object are copied into the target object's properties.

Parameters:

the - panel to update the properties of

 remove

 public synchronized void remove(Component comp)

Removes the specified component from this container. This is a standard Java AWT method which gets called to remove a component from a container. When this happens the component's removeNotify() will also get called to indicate component removal.

Parameters:

comp - the component to remove

Overrides:

remove in class Container

See Also:

removeAll, add

 removeAll

 public synchronized void removeAll()

Removes all the components from this container. This is a standard Java AWT method which gets called to remove all the components from a container. When this happens each component's removeNotify() will also get called to indicate component removal.

Split panels are preserved.

Overrides:

removeAll in class Container

See Also:

remove, add

 removeNotify

 public synchronized void removeNotify()

Tells this component that it is being removed from a container. This is a standard Java AWT method which gets called by the AWT when this component is removed from a container. Typically, it is used to destroy the peers of this component and all its subcomponents. It has been overridden here to unhook event listeners.

Overrides:

removeNotify in class Container

See Also:

addNotify

 removePropertyChangeListener

 public synchronized void removePropertyChangeListener(PropertyChangeListener listener)

Removes a listener for all event changes.

Parameters:

listener - the listener to remove.

See Also:

addPropertyChangeListener

 removeSplitTypeListener

 public synchronized void removeSplitTypeListener(PropertyChangeListener listener)

Removes a property listener for SplitType changes.

Parameters:

listener - the listener to remove.

See Also:

addSplitTypeListener

 removeSplitTypeListener

 public synchronized void removeSplitTypeListener(VetoableChangeListener listener)

Removes a vetoable listener for SplitType changes.

Parameters:

listener - the listener to remove.

See Also:

addSplitTypeListener

 removeVetoableChangeListener

 public synchronized void removeVetoableChangeListener(VetoableChangeListener listener)

Removes a vetoable listener for all event changes.

Parameters:

listener - the listener to remove.

See Also:

addVetoableChangeListener

 resetCursor

 protected void resetCursor()

Utility method to set the cursor to the default one.

 reshape

 public synchronized void reshape(int x,
                                  int y,
                                  int width,
                                  int height)

Moves and/or resizes this component. This is a standard Java AWT method which gets called to move and/or resize this component. Components that are in containers with layout managers should not call this method, but rely on the layout manager instead.

Parameters:

x - horizontal position in the parent's coordinate space

y - vertical position in the parent's coordinate space

width - the new width

height - the new height

Overrides:

reshape in class Component

See Also:

reshapeHeight, reshapeWidth

 reshapeHeight

 public synchronized void reshapeHeight(int y,
                                        int height)

Reshapes the height and/or vertical position. This prevents horizontal adjustments when the layout is computed.

Parameters:

y - vertical position in the parent's coordinate space

height - the new height, in pixels

See Also:

reshapeWidth, reshape

 reshapeWidth

 public synchronized void reshapeWidth(int x,
                                       int width)

Reshapes the width and/or horizontal position. This prevents vertical adjustments when the layout is computed.

Parameters:

x - horizontal position in the parent's coordinate space

width - the new width, in pixels

See Also:

reshapeHeight, reshape

 setAllowDynamicMoving

 public void setAllowDynamicMoving(boolean flag) throws PropertyVetoException

This flag specifies if moving of a split in a splitter panel will be real time, or delayed until mouse released.

Parameters:

flag - if true, when a split is moved, it will dynamically resize the panels the split affects. If false, the resizing will happen when the mouse is released.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

isAllowDynamicMoving

 setBdrSizes

 public void setBdrSizes(int bdrSize)

Sets the size of the border drawn between panels and around the outside of the SplitterPanel.

Parameters:

bdrSize - the size in pixels

 setBdrSizes

 public void setBdrSizes(int iBdrSize,
                         int oBdrSize)

Sets the size of the border drawn between panels and around the outside of the SplitterPanel. The default for all border sizes is 2.

Parameters:

iBdrSize - the border size between panels, in pixels

oBdrSize - the border size around the outside of the SplitterPanel, in pixels

 setCursor

 public synchronized void setCursor(Cursor cursor)

Sets the currently used cursor.

Parameters:

cursor - the new cursor to use

Overrides:

setCursor in class Component

 setEnforceMinDim

 public void setEnforceMinDim(boolean theFlag) throws PropertyVetoException

Sets the "enforce minimum dimension" mode. This mode prevents the dragging of a split between panels from making a panel smaller than the minimum size of its component.

Parameters:

theFlag - if true enforces minimum panel dimensions

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

isEnforceMinDim

 setGapColor

 public void setGapColor(Color c) throws PropertyVetoException

Sets the color of the gap between panels and around the outside border.

Parameters:

c - the color to use

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getGapColor

 setGapSizes

 public void setGapSizes(int gapSize)

Sets the size of the split between panels and around the inside of the SplitterPanel border. The default for all gap sizes is 3.

Parameters:

gapSize - the split size in pixels

 setGapSizes

 public void setGapSizes(int gapWidth,
                         int gapHeight)

Sets the size of the split between panels and around the inside of the SplitterPanel border. The default for all gap sizes is 3.

Parameters:

gapWidth - the split width in pixels

gapHeight - the split height in pixels

 setGapSizes

 public void setGapSizes(int iGapWidth,
                         int iGapHeight,
                         int oGapWidth,
                         int oGapHeight)

Sets the size of the split between panels and around the inside of the SplitterPanel border. The default for all gap sizes is 3.

Parameters:

iGapWidth - the split width between panels, in pixels

iGapHeight - the split height between panels, in pixels

oGapWidth - the gap width inside the border, in pixels

oGapHeight - the gap height inside the border, in pixels

 setLayout

 public void setLayout(LayoutManager mgr)

Takes no action. This is a standard Java AWT method which gets called to specify which layout manager should be used to layout the components in standard containers. Since layout managers CANNOT BE USED with this container the standard setLayout has been OVERRIDDEN for this container and does nothing.

Parameters:

l - the layout manager to use to layout this container's components (IGNORED)

Overrides:

setLayout in class Container

See Also:

getLayout

 setMinimumSize

 public void setMinimumSize(Dimension theDim)

Sets the minimum size of this SplitterPanel. This will override the calculated minimum size when the calculated size is smaller.

Parameters:

theDim - the minimum dimensions

 setMoveSplitCursor

 public void setMoveSplitCursor(Cursor newCursor) throws PropertyVetoException

Determines the cursor to use when dragging the split between panels. Use Cursor.HAND_CURSOR, etc to choose a cursor

Parameters:

newCursor - the new Cursor to use.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getMoveSplitCursor, setMoveSplitCursor

 setMoveSplitCursor

 public void setMoveSplitCursor(int newCursor) throws PropertyVetoException, IllegalArgumentException

Determines the cursor to use when dragging the split between panels. Use Cursor.HAND_CURSOR, etc to choose a cursor

Parameters:

newCursor - the integer value of a Cursor to use.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getMoveSplitCursor, setMoveSplitCursor, DEFAULT_CURSOR, CROSSHAIR_CURSOR, TEXT_CURSOR, WAIT_CURSOR, SW_RESIZE_CURSOR, SE_RESIZE_CURSOR, NW_RESIZE_CURSOR, NE_RESIZE_CURSOR, N_RESIZE_CURSOR, S_RESIZE_CURSOR, W_RESIZE_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, MOVE_CURSOR

 setPreferredSize

 public void setPreferredSize(Dimension theDim)

Sets the preferred size of this SplitterPanel. This will override the calculated preferred size when the calculated size is smaller.

Parameters:

theDim - the preferred dimensions

 setPropResize

 public void setPropResize(boolean theFlag) throws PropertyVetoException

Sets the "resize propagation" mode. Set this to false to prevent the automatic resizing of SplitterPanel panels from also calling resize() for the component that you add. The default behavior propagates the resizing effect of dragging the split between panes by calling move and resize for the panels that have been added to those panes. Clearing this introduces a clipping effect, rather than a scaling effect.

Parameters:

theFlag - if true, resize propagation is enabled; if false, resize propagation is disabled

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

isPropResize

 setUse3DBorder

 public void setUse3DBorder(boolean flag) throws PropertyVetoException

This flag specifies how to draw the border around panels.

Parameters:

flag - if true, the border around the panel is drawn in a three dimensional way.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

isUse3DBorder

 split

 public SplitterPanel split(int splitType)

Splits a SplitterPanel into two panels. This creates two new SplitterPanels which are nested within the original SplitterPanel. If the split type is SPLIT_VER the new panels are arranged side-by-side with a splitter bar vertically between them. If the split type is SPLIT_HOR the new panels are arranged one above the other with a splitter bar horizontally between them.

Parameters:

splitType - SPLIT_VER or SPLIT_HOR to request a vertical or horizontal split

Returns:

the first new SplitterPanel if successful (left or top)

See Also:

SPLIT_VER, SPLIT_HOR

 split

 public synchronized SplitterPanel split(int splitType,
                                         Component theComp1,
                                         Component theComp2)

Splits a SplitterPanel into two panels and adds two components. This creates two new SplitterPanels which are nested within the original SplitterPanel.

If the split type is SPLIT_VER the new panels are arranged side-by-side with a splitter bar vertically between them. Component theComp1 would be placed in the left panel, theComp2 in the right.

If the split type is SPLIT_HOR the new panels are arranged one above the other with a splitter bar horizontally between them. Component theComp1 would be placed in the top panel, theComp2 in the bottom.

Parameters:

splitType - SPLIT_VER or SPLIT_HOR to request vertical or horizontal splits

theComp1 - the first component (left or top)

theComp2 - the second component (right or bottom)

Returns:

the first new SplitterPanel if successful (left or top)

See Also:

SPLIT_VER, SPLIT_HOR

 toString

 public String toString()

Returns a string representation of this component. This is a standard Java AWT method which gets called to generate a string that represents this component.

Returns:

a meaningful string about this object

Overrides:

toString in class Component

 update

 public void update(Graphics g)

Handles redrawing of this component on the screen. This is a standard Java AWT method which gets called by the Java AWT (repaint()) to handle repainting this component on the screen. The graphics context clipping region is set to the bounding rectangle of this component and its [0,0] coordinate is this component's top-left corner. Typically this method paints the background color to clear the component's drawing space, sets graphics context to be the foreground color, and then calls paint() to draw the component. It is overridden here to reduce flicker by eliminating the unnecessary clearing of the background.

Parameters:

g - the graphics context

Overrides:

update in class Container

See Also:

repaint, paint


 Class symantec.itools.awt.SplitterPanelBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.SplitterPanelBeanInfo

public class SplitterPanelBeanInfo
   extends SimpleBeanInfo

BeanInfo for SplitterPanel.

 SplitterPanelBeanInfo()

Constructs a SplitterPanelBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 SplitterPanelBeanInfo

 public SplitterPanelBeanInfo()

Constructs a SplitterPanelBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.StateCheckBox

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Canvas
                   |
                   +----symantec.itools.awt.StateCheckBox

public class StateCheckBox
   extends Canvas

A two- or three-state checkbox that doesn't have an associated text label. A two-state checkbox behaves just like the standard checkbox. In three-state mode clicking the checkbox can switch the checkbox to a third state that appears both gray and checked.

The third state is often used to indicate that an attribute of the current selection varies across the selected items. For example, a checkbox used to indicate "bold text" might use the third state if the currently selected text included both bold and plain characters.

It is also used to indicate a default action or state.

 actionListener

The action listener to keep track of listeners for our action event.

 changes

Handles tracking non-vetoable change listeners and notifying them of each change to this component's properties.

 mouse

The this component's mouse event listener.

 STATE_CHECKED

A state constant indicating that the current state is "checked".

 STATE_DEFAULT

A state constant indicating that the current state is "default".

 STATE_UNCHECKED

A state constant indicating that the current state is "unchecked".

 THREE_STATE

A style constant indicating that this is a three-state checkbox.

 TWO_STATE

A style constant indicating that this is a two-state checkbox.

 vetos

Handles tracking vetoable change listeners and notifying them of each change to this component's properties.

 StateCheckBox()

Constructs a two-state StateCheckBox that is currently unchecked.

 addActionListener(ActionListener)

Adds the specified action listener to receive action events from this button.

 addNotify()

Tells this component that it has been added to a container.

 addPropertyChangeListener(PropertyChangeListener)

Adds a listener for all event changes.

 addVetoableChangeListener(VetoableChangeListener)

Adds a vetoable listener for all event changes.

 getState()

Gets the current checkbox state: unchecked, checked, or default.

 getStyle()

Gets the current style: two-state or three-state.

 paint(Graphics)

Paints this component using the given graphics context.

 preferredSize()

Returns the recommended dimensions to properly display this component.

 removeActionListener(ActionListener)

Removes the specified action listener so it no longer receives action events from this button.

 removeNotify()

Tells this component that it is being removed from a container.

 removePropertyChangeListener(PropertyChangeListener)

Removes a listener for all event changes.

 removeVetoableChangeListener(VetoableChangeListener)

Removes a vetoable listener for all event changes.

 reshape(int, int, int, int)

Moves and/or resizes this component.

 sendActionEvent()

Sends an action performed event to any action listeners, as needed.

 setState(int)

Sets the current checkbox state to unchecked, checked, or default.

 setStyle(int)

Sets the current style to two-state or three-state.

 actionListener

 protected ActionListener actionListener

The action listener to keep track of listeners for our action event.

 changes

 protected PropertyChangeSupport changes

Handles tracking non-vetoable change listeners and notifying them of each change to this component's properties.

 mouse

 protected StateCheckBox$Mouse mouse

The this component's mouse event listener.

 STATE_CHECKED

 public static final int STATE_CHECKED

A state constant indicating that the current state is "checked".

 STATE_DEFAULT

 public static final int STATE_DEFAULT

A state constant indicating that the current state is "default". Default is the third state of a three-state checkbox.

 STATE_UNCHECKED

 public static final int STATE_UNCHECKED

A state constant indicating that the current state is "unchecked".

 THREE_STATE

 public static final int THREE_STATE

A style constant indicating that this is a three-state checkbox.

 TWO_STATE

 public static final int TWO_STATE

A style constant indicating that this is a two-state checkbox.

 vetos

 protected VetoableChangeSupport vetos

Handles tracking vetoable change listeners and notifying them of each change to this component's properties.

 StateCheckBox

 public StateCheckBox()

Constructs a two-state StateCheckBox that is currently unchecked.

 addActionListener

 public synchronized void addActionListener(ActionListener l)

Adds the specified action listener to receive action events from this button.

Parameters:

l - the action listener

 addNotify

 public synchronized void addNotify()

Tells this component that it has been added to a container. This is a standard Java AWT method which gets called by the AWT when this component is added to a container. Typically, it is used to create this component's peer.

Overrides:

addNotify in class Canvas

See Also:

removeNotify

 addPropertyChangeListener

 public synchronized void addPropertyChangeListener(PropertyChangeListener listener)

Adds a listener for all event changes.

Parameters:

listener - the listener to add.

See Also:

removePropertyChangeListener

 addVetoableChangeListener

 public synchronized void addVetoableChangeListener(VetoableChangeListener listener)

Adds a vetoable listener for all event changes.

Parameters:

listener - the listener to add.

See Also:

removeVetoableChangeListener

 getState

 public int getState()

Gets the current checkbox state: unchecked, checked, or default.

Returns:

the current state: STATE_UNCHECKED, STATE_CHECKED, or STATE_DEFAULT

See Also:

getState, STATE_UNCHECKED, STATE_CHECKED, STATE_DEFAULT

 getStyle

 public int getStyle()

Gets the current style: two-state or three-state.

Returns:

the current StateCheckBox style; either TWO_STATE or THREE_STATE

See Also:

setStyle, TWO_STATE, THREE_STATE

 paint

 public void paint(Graphics g)

Paints this component using the given graphics context. This is a standard Java AWT method which typically gets called by the AWT to handle painting this component. It paints this component using the given graphics context. The graphics context clipping region is set to the bounding rectangle of this component and its [0,0] coordinate is this component's top-left corner.

Parameters:

g - the graphics context used for painting

Overrides:

paint in class Canvas

See Also:

repaint, update

 preferredSize

 public Dimension preferredSize()

Returns the recommended dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the recommended size of this component. If this component has been reshaped, then the width and height of that request are returned.

Overrides:

preferredSize in class Component

See Also:

minimumSize

 removeActionListener

 public synchronized void removeActionListener(ActionListener l)

Removes the specified action listener so it no longer receives action events from this button.

Parameters:

l - the action listener

 removeNotify

 public synchronized void removeNotify()

Tells this component that it is being removed from a container. This is a standard Java AWT method which gets called by the AWT when this component is removed from a container. Typically, it is used to destroy the peers of this component and all its subcomponents.

Overrides:

removeNotify in class Component

See Also:

addNotify

 removePropertyChangeListener

 public synchronized void removePropertyChangeListener(PropertyChangeListener listener)

Removes a listener for all event changes.

Parameters:

listener - the listener to remove.

See Also:

addPropertyChangeListener

 removeVetoableChangeListener

 public synchronized void removeVetoableChangeListener(VetoableChangeListener listener)

Removes a vetoable listener for all event changes.

Parameters:

listener - the listener to remove.

See Also:

addVetoableChangeListener

 reshape

 public void reshape(int x,
                     int y,
                     int width,
                     int height)

Moves and/or resizes this component. This is a standard Java AWT method which gets called to move and/or resize this component. Components that are in containers with layout managers should not call this method, but rely on the layout manager instead. It is overriden here to note the requested width and height.

Parameters:

x - horizontal position in the parent's coordinate space

y - vertical position in the parent's coordinate space

width - the new width

height - the new height

Overrides:

reshape in class Component

 sendActionEvent

 protected void sendActionEvent()

Sends an action performed event to any action listeners, as needed.

 setState

 public void setState(int newState) throws PropertyVetoException

Sets the current checkbox state to unchecked, checked, or default.

Parameters:

newState - the new state: STATE_UNCHECKED, STATE_CHECKED, or STATE_DEFAULT

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getState, STATE_UNCHECKED, STATE_CHECKED, STATE_DEFAULT

 setStyle

 public void setStyle(int newStyle) throws PropertyVetoException

Sets the current style to two-state or three-state.

Parameters:

newStyle - new StateCheckBox state; either TWO_STATE or THREE_STATE

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getStyle, TWO_STATE, THREE_STATE


 Class symantec.itools.awt.StateCheckBoxBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.StateCheckBoxBeanInfo

public class StateCheckBoxBeanInfo
   extends SimpleBeanInfo

BeanInfo for StateCheckBox

 StateCheckBoxBeanInfo()

Constructs a StateCheckBoxBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 StateCheckBoxBeanInfo

 public StateCheckBoxBeanInfo()

Constructs a StateCheckBoxBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.StatusBar

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Container
                   |
                   +----java.awt.Panel
                           |
                           +----symantec.itools.awt.BorderPanel
                                   |
                                   +----symantec.itools.awt.StatusBar

public class StatusBar
   extends BorderPanel

Use a StatusBar to show document status and other information, like the meaning of a button or other user interface element in a window. Typically, a status bar appears at the bottom of a window.

 text

The text to display.

 textColor

The color of the displayed text.

 StatusBar()

Constructs a default StatusBar.

 addPropertyChangeListener(PropertyChangeListener)

Adds a listener for all event changes.

 addVetoableChangeListener(VetoableChangeListener)

Adds a vetoable listener for all event changes.

 clear()

Clears the text that gets displayed.

 getStatusText()

Gets the text currently displayed.

 getStatusTextColor()

Gets the text color currently displayed.

 removePropertyChangeListener(PropertyChangeListener)

Removes a listener for all event changes.

 removeVetoableChangeListener(VetoableChangeListener)

Removes a vetoable listener for all event changes.

 setLayout(LayoutManager)

Takes no action.

 setStatusText(String)

Sets the text that is displayed.

 setStatusTextColor(Color)

Sets the color of the text that is displayed.

 text

 protected Label text

The text to display.

 textColor

 protected Color textColor

The color of the displayed text.

 StatusBar

 public StatusBar()

Constructs a default StatusBar. It is constructed with the BEVEL_LINE style.

 addPropertyChangeListener

 public synchronized void addPropertyChangeListener(PropertyChangeListener listener)

Adds a listener for all event changes.

Parameters:

listener - the listener to add.

Overrides:

addPropertyChangeListener in class BorderPanel

See Also:

removePropertyChangeListener

 addVetoableChangeListener

 public synchronized void addVetoableChangeListener(VetoableChangeListener listener)

Adds a vetoable listener for all event changes.

Parameters:

listener - the listener to add.

Overrides:

addVetoableChangeListener in class BorderPanel

See Also:

removeVetoableChangeListener

 clear

 public void clear()

Clears the text that gets displayed.

See Also:

setStatusText

 getStatusText

 public String getStatusText()

Gets the text currently displayed.

Returns:

the text currently displayed

See Also:

setStatusText

 getStatusTextColor

 public Color getStatusTextColor()

Gets the text color currently displayed.

Returns:

the current color of displayed text

See Also:

setStatusTextColor

 removePropertyChangeListener

 public synchronized void removePropertyChangeListener(PropertyChangeListener listener)

Removes a listener for all event changes.

Parameters:

listener - the listener to remove.

Overrides:

removePropertyChangeListener in class BorderPanel

See Also:

addPropertyChangeListener

 removeVetoableChangeListener

 public synchronized void removeVetoableChangeListener(VetoableChangeListener listener)

Removes a vetoable listener for all event changes.

Parameters:

listener - the listener to remove.

Overrides:

removeVetoableChangeListener in class BorderPanel

See Also:

addVetoableChangeListener

 setLayout

 public void setLayout(LayoutManager l)

Takes no action. This is a standard Java AWT method which gets called to specify which layout manager should be used to layout the components in standard containers. Since layout managers CANNOT BE USED with this container the standard setLayout has been OVERRIDDEN for this container and does nothing.

Parameters:

l - the layout manager to use to layout this container's components (IGNORED)

Overrides:

setLayout in class BorderPanel

See Also:

getLayout

 setStatusText

 public void setStatusText(String s) throws PropertyVetoException

Sets the text that is displayed.

Parameters:

s - the new text to display

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getStatusText

 setStatusTextColor

 public void setStatusTextColor(Color c) throws PropertyVetoException

Sets the color of the text that is displayed.

Parameters:

s - the new text color

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getStatusTextColor


 Class symantec.itools.awt.StatusBarBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.StatusBarBeanInfo

public class StatusBarBeanInfo
   extends SimpleBeanInfo

BeanInfo for StatusBar.

 StatusBarBeanInfo()

Constructs a StatusBarBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 StatusBarBeanInfo

 public StatusBarBeanInfo()

Constructs a StatusBarBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getDefaultPropertyIndex

 public int getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

Overrides:

getDefaultPropertyIndex in class SimpleBeanInfo

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.TabPanel

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Container
                   |
                   +----java.awt.Panel
                           |
                           +----symantec.itools.awt.BaseTabbedPanel
                                   |
                                   +----symantec.itools.awt.TabPanel

public class TabPanel
   extends BaseTabbedPanel
   implements Serializable

TabPanel is a Panel extension which provides for a tabbed dialog effect. Along the top (by default) of the panel is a series of file folder-like tabs, each with a text label. Each tab is associated with a panel or component that gets shown when the user clicks on the tab. The TabPanel automatically manages swapping panels when a tab selected. It can be used directly or extended. When extending from TabPanel be sure to super() during construction and to super.handleEvent(evt) from handleEvent if you override it.

 TabPanel()

Constructs a TabPanel with tabs on top, rounded

 TabPanel(boolean)

Obsolete.

 TabPanel(int, int)

Constructs a TabPanel with the tabs in the given position and having the specified look.

 add(Component)

Adds a component to the end of this container.

 add(Component, int)

Adds a component to the end of this container.

 add(String, Component)

Takes no action.

 addPropertyChangeListener(PropertyChangeListener)

Adds a listener for all event changes.

 addTabPanel(String, boolean, Component)

Appends a new tab and associated panel, which will be shown when the tab is selected.

 addTabPanel(String, boolean, Component, int)

Adds a new tab and associated panel.

 addVetoableChangeListener(VetoableChangeListener)

Adds a vetoable listener for all event changes.

 countTabs()

Gets the number of tab panels in the TabPanel.

 enableTabPanel(boolean, int)

Conditionally enables a tab and its associated panel at the given index.

 getCurrentPanelNdx()

Returns the zero-relative index of the currently selected panel.

 getMinimumSize()

Returns the minimum dimensions to properly display this component.

 getPanelLabel(int)

Gets the current tab label associated with the current panels at the given index.

 getPanelLabels()

Gets the current tab labels associated with the panel positions.

 getPanelTabIndex(Component)

Gets the index for a specific panel.

 getPreferredSize()

Returns the recommended dimensions to properly display this component.

 getTabPanel(int)

Gets the panel for the tab at the given index.

 getTabsOnBottom()

Deprecated.

 insertTabPanel(String, boolean, Component, int)

Inserts a tab panel based on index.

 isTabsOnBottom()

Gets whether the tabs are at the bottom of the dialog.

 remove(Component)

Removes the specified component from this container.

 removeAllTabPanels()

Removes all tabs and their associated panels, clearing the TabPanel entirely.

 removePropertyChangeListener(PropertyChangeListener)

Removes a listener for all event changes.

 removeTabPanel(int)

Removes a tab and its associated panel at the given index.

 removeVetoableChangeListener(VetoableChangeListener)

Removes a vetoable listener for all event changes.

 setCurrentPanelNdx(int)

Selects the specified tab and shows its associated panel.

 setPanelLabel(String, int)

Sets the tab label associated with the current panels at the given index.

 setPanelLabels(String[])

Sets the tab labels associated with the panel positions.

 setTabPanel(String, boolean, Component, int)

Replaces a tab and its associated panel at the index specified.

 setTabsOnBottom(boolean)

Puts the tabs on the top or bottom of the dialog.

 showTabPanel(int)

Selects the tab at the given index, showing it and its associated panel.

 updatePanelLabels()

This routine re-sets all the tab labels using the latest string array provided in setPanelLabels().

 TabPanel

 public TabPanel()

Constructs a TabPanel with tabs on top, rounded

 TabPanel

 public TabPanel(boolean bTabsOnTop)

Obsolete. Use TabPanel(int tabsPostion, int tabsStyle).

 TabPanel

 public TabPanel(int tabsPostion,
                 int tabsStyle)

Constructs a TabPanel with the tabs in the given position and having the specified look. Note that if the tabs are on top, then they always are rounded.

Parameters:

tabsPosition - a constant indicating TOP or BOTTOM

tabsStyle - a constant indicating ROUNDED or SQUARE

See Also:

TOP, BOTTOM, ROUNDED, SQUARE

 add

 public Component add(Component comp)

Adds a component to the end of this container. This is a standard Java AWT method which gets called to add a component to a container. The specified component is added to the end of this container.

If the tab label for this position has not been set it is given the name "tab - #", where # is the zero-relative index of its position.

Parameters:

comp - the component to add

Returns:

the added component

Overrides:

add in class BaseTabbedPanel

See Also:

remove

 add

 public synchronized Component add(Component comp,
                                   int pos)

Adds a component to the end of this container. This is a standard Java AWT method which gets called to add a component to a container. Typically, the specified component is added to this container at the given zero-relative position index. A position index of -1 would append the component to the end.

It is overridden so that it only appends to the TabPanel.

If the tab label for this position has not been set it is given the name "tab - #", where # is the zero-relative index of its position.

Parameters:

comp - the component to add

pos - the zero-relative index at which to add the component or -1 for end (IGNORED)

Returns:

the added component

Overrides:

add in class BaseTabbedPanel

See Also:

remove

 add

 public synchronized Component add(String name,
                                   Component comp)

Takes no action. This is a standard Java AWT method which gets called to add a component to a container. It is overridden here to do nothing, so the user cannot change the way this container works.

Parameters:

name - the positioning directive for the layout manager (IGNORED)

comp - the component to add (IGNORED)

Returns:

the component parameter

Overrides:

add in class BaseTabbedPanel

 addPropertyChangeListener

 public synchronized void addPropertyChangeListener(PropertyChangeListener listener)

Adds a listener for all event changes.

Parameters:

listener - the listener to add.

Overrides:

addPropertyChangeListener in class BaseTabbedPanel

See Also:

removePropertyChangeListener

 addTabPanel

 public int addTabPanel(String sLabel,
                        boolean bEnabled,
                        Component panel)

Appends a new tab and associated panel, which will be shown when the tab is selected. The tab/panel is added after the last existing panel.

Parameters:

sLabel - the tab label

bEnabled - enable the tab or not

panel - the panel to associate with the tab

Returns:

the zero-relative index of the newly added tab panel

 addTabPanel

 public int addTabPanel(String sLabel,
                        boolean bEnabled,
                        Component panel,
                        int pos)

Adds a new tab and associated panel. The tab/panel is added at the specified index.

Parameters:

sLabel - the tab label

bEnabled - enable the tab or not

panel - the panel to associate with the tab

pos - the zero-relative index of the new tab panel

Returns:

the zero-relative index of the newly added tab panel

 addVetoableChangeListener

 public synchronized void addVetoableChangeListener(VetoableChangeListener listener)

Adds a vetoable listener for all event changes.

Parameters:

listener - the listener to add.

Overrides:

addVetoableChangeListener in class BaseTabbedPanel

See Also:

removeVetoableChangeListener

 countTabs

 public int countTabs()

Gets the number of tab panels in the TabPanel.

Returns:

the number of tab panels currently in the TabPanel

 enableTabPanel

 public synchronized void enableTabPanel(boolean bEnable,
                                         int index) throws PropertyVetoException

Conditionally enables a tab and its associated panel at the given index. The currently active tab cannot be disabled.

Parameters:

bEnable - true to enable, false to disable

index - the zero-relative index of the tab

Throws: PropertyVetoException

if the specified property value is unacceptable

 getCurrentPanelNdx

 public int getCurrentPanelNdx()

Returns the zero-relative index of the currently selected panel.

Returns:

the currently selected panel or -1 if none are shown

See Also:

setCurrentPanelNdx

 getMinimumSize

 public Dimension getMinimumSize()

Returns the minimum dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the minimum size of this component.

Overrides:

getMinimumSize in class BaseTabbedPanel

See Also:

getPreferredSize

 getPanelLabel

 public String getPanelLabel(int labelIndex)

Gets the current tab label associated with the current panels at the given index.

Parameters:

int - labelIndex an index in the array of tab labels for the current panels.

Returns:

String the label of the panel at the given index. Null if the index is out of range.

See Also:

setPanelLabel

 getPanelLabels

 public String[] getPanelLabels()

Gets the current tab labels associated with the panel positions.

Returns:

an array of tab labels for the panel positions

See Also:

setPanelLabels

 getPanelTabIndex

 public synchronized int getPanelTabIndex(Component panel)

Gets the index for a specific panel.

Parameters:

panel - the panel to get the index of

Returns:

the zero-relative index of the panel or -1 if it is not found

 getPreferredSize

 public Dimension getPreferredSize()

Returns the recommended dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the recommended size of this component.

The returned size is large enough to display the biggest tab panel at its preferred size.

Overrides:

getPreferredSize in class BaseTabbedPanel

See Also:

getMinimumSize

 getTabPanel

 public synchronized Component getTabPanel(int index)

Gets the panel for the tab at the given index.

Parameters:

index - zero-relative index of the tab

Returns:

returns the Panel associated with the tab

See Also:

setTabPanel

 getTabsOnBottom

 public boolean getTabsOnBottom()

Note: getTabsOnBottom() is deprecated.

See Also:

isTabsOnBottom

 insertTabPanel

 public synchronized void insertTabPanel(String sLabel,
                                         boolean bEnabled,
                                         Component panel,
                                         int index)

Inserts a tab panel based on index.

Parameters:

sLabel - Label of the new tab to insert

bEnabled - If the new tab is enabled or not

panel - The panel to insert

index - zero-relative index at which the tab panel will be inserted.

 isTabsOnBottom

 public boolean isTabsOnBottom()

Gets whether the tabs are at the bottom of the dialog.

Returns:

true if the tabs are at the bottom of the dialog, false if they are at the top

See Also:

setTabsOnBottom

 remove

 public synchronized void remove(Component comp)

Removes the specified component from this container. This is a standard Java AWT method which gets called to remove a component from a container. When this happens the component's removeNotify() will also get called to indicate component removal.

Parameters:

comp - the component to remove

Overrides:

remove in class BaseTabbedPanel

See Also:

removeAll, add

 removeAllTabPanels

 public synchronized void removeAllTabPanels()

Removes all tabs and their associated panels, clearing the TabPanel entirely.

 removePropertyChangeListener

 public synchronized void removePropertyChangeListener(PropertyChangeListener listener)

Removes a listener for all event changes.

Parameters:

listener - the listener to remove.

Overrides:

removePropertyChangeListener in class BaseTabbedPanel

See Also:

addPropertyChangeListener

 removeTabPanel

 public synchronized void removeTabPanel(int index)

Removes a tab and its associated panel at the given index. The currently active tab cannot be removed.

Parameters:

index - zero-relative index of the tab

 removeVetoableChangeListener

 public synchronized void removeVetoableChangeListener(VetoableChangeListener listener)

Removes a vetoable listener for all event changes.

Parameters:

listener - the listener to remove.

Overrides:

removeVetoableChangeListener in class BaseTabbedPanel

See Also:

addVetoableChangeListener

 setCurrentPanelNdx

 public void setCurrentPanelNdx(int index) throws PropertyVetoException

Selects the specified tab and shows its associated panel.

Parameters:

index - the zero-relative index of the tab to select

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getCurrentPanelNdx

 setPanelLabel

 public void setPanelLabel(String newLabel,
                           int labelIndex) throws PropertyVetoException

Sets the tab label associated with the current panels at the given index.

Parameters:

String - newLabel the label to use for the tab at the given index.

int - labelIndex an index in the array of tab labels for the current panels.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getPanelLabel

 setPanelLabels

 public void setPanelLabels(String sLabels[]) throws PropertyVetoException

Sets the tab labels associated with the panel positions. Note that the panels do not need to have been added yet for this method to work.

Parameters:

sLabels - an array of tab labels for the panel positions

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getPanelLabels

 setTabPanel

 public synchronized void setTabPanel(String sLabel,
                                      boolean bEnabled,
                                      Component panel,
                                      int index) throws PropertyVetoException

Replaces a tab and its associated panel at the index specified. If it is desired to only change the label, use the base class BaseTabbedPanel's method setTab(String sLabel, boolean bEnabled, int index).

Parameters:

sLabel - the new tab label

bEnabled - enable the tab or not

panel - the new panel

index - the zero-relative index of the tab to change

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setTab, getTabPanel

 setTabsOnBottom

 public void setTabsOnBottom(boolean bTabsOnBottom) throws PropertyVetoException

Puts the tabs on the top or bottom of the dialog.

Parameters:

bTabsOnBottom - if true the tabs are placed at the bottom of the dialog, if false on top

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getTabsOnBottom

 showTabPanel

 public synchronized void showTabPanel(int index)

Selects the tab at the given index, showing it and its associated panel. The panel is activated, ready for user input. The tab position must be enabled.

Parameters:

index - zero-relative index of the tab to select

See Also:

enableTabPanel

 updatePanelLabels

 public void updatePanelLabels()

This routine re-sets all the tab labels using the latest string array provided in setPanelLabels(). It is not typically called directly.

See Also:

setPanelLabels


 Class symantec.itools.awt.TabPanelBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.TabPanelBeanInfo

public class TabPanelBeanInfo
   extends SimpleBeanInfo

BeanInfo for TabPanel.

 TabPanelBeanInfo()

Constructs a TabPanelBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 TabPanelBeanInfo

 public TabPanelBeanInfo()

Constructs a TabPanelBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getDefaultPropertyIndex

 public int getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

Overrides:

getDefaultPropertyIndex in class SimpleBeanInfo

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.TransparencyTrickUtils

java.lang.Object
   |
   +----symantec.itools.awt.TransparencyTrickUtils

public class TransparencyTrickUtils
   extends Object
 Note: TransparencyTrickUtils is deprecated.
This is no longer used or supported as of JDK 1.1 since the new JDK allows "Lightweight" components which are "Transparent" in nature by default. This class implements a painting method that is used to simulate transparent Components. If you use this class you also need to implement TransparencyTrick. Otherwise visually intersecting your Component with another Component that uses these routines will result in a lock up.

 paintComponent(Component, Component, Rectangle, Graphics)

Deprecated.

 paintComponentsBehind(Component, Graphics)

Deprecated.

 paintComponent

 public static void paintComponent(Component drawingComponent,
                                   Component intersectingComponent,
                                   Rectangle myBounds,
                                   Graphics g)

Note: paintComponent() is deprecated. This is no longer used or supported as of JDK 1.1 since the new JDK allows "Lightweight" components which are "Transparent" in nature by default. This method paints one component that intersects with the invisible component. It is a utility routine called by paintComponentsBehind().

Parameters:

drawingComponent - the invisible component "being drawn"

intersectingComponent - the component that intersects the drawingComponent

myBounds - the bounds of the invisible component

g - the graphics context to use for drawing

See Also:

paintComponentsBehind

 paintComponentsBehind

 public static void paintComponentsBehind(Component drawingComponent,
                                          Graphics g)

Note: paintComponentsBehind() is deprecated. This is no longer used or supported as of JDK 1.1 since the new JDK allows "Lightweight" components which are "Transparent" in nature by default. This method implements the painting of transparent components. It does this by painting the component's parent and all the other components that intersect with the invisible component.

Parameters:

drawingComponent - the invisible component "being drawn"

g - the graphics context to use for drawing


 Class symantec.itools.awt.TreeNode

java.lang.Object
   |
   +----symantec.itools.awt.TreeNode

public class TreeNode
   extends Object
   implements Serializable

This is a single node in the TreeView panel. It displays text and optionally one of two images depending on its state, collapsed or expanded. It also may have an object associated with it that doesn't get displayed.

     See Also:
     TreeView

 TreeNode()

Constructs a default TreeNode.

 TreeNode(String)

Deprecated.

 TreeNode(String, Image, Image)

Deprecated.

 TreeNode(String, Image, Image, TreeView)

Constructs a TreeNode with the given text label, and collapsed and expanded images.

 TreeNode(String, TreeView)

Constructs a TreeNode with the given text label.

 collapse()

Sets a flag indicating that this node is not expanded.

 expand()

Sets a flag indicating that this node is expanded, if it is expandable.

 getChild()

Gets the child of this node.

 getDataObject()

Gets the object associated with this node.

 getDepth()

Gets the depth of this node as previously noted.

 getImage()

Gets the proper image for this node in its current state, expanded or collapsed.

 getParent()

Gets the parent of this node.

 getSibling()

Gets the next sibling of this node.

 getText()

Gets the current text label for this node.

 isAChildVisible()

Determines whether any child nodes are visible.

 isASiblingVisible()

Determines whether any sibling nodes are visible.

 isExpandable()

Determines whether this node is expandable.

 isExpanded()

Determines whether this node is expanded.

 isHidden()

Gets whether this node is hidden.

 setCollapsedImage(Image)

Sets the image to use for this node when it is not expanded.

 setDataObject(Object)

Sets an object to associate with this node.

 setExpandedImage(Image)

Sets the image to use for this node when it is expanded.

 setHidden(boolean)

Sets whether this node is hidden.

 setText(String)

Sets a new text label for this node.

 toggle()

Toggles the node state between collapsed and expanded, if the node is expandable.

 TreeNode

 public TreeNode()

Constructs a default TreeNode.

 TreeNode

 public TreeNode(String text)

Note: TreeNode() is deprecated.

See Also:

TreeNode

 TreeNode

 public TreeNode(String text,
                 Image collapsedImage,
                 Image expandedImage)

Note: TreeNode() is deprecated.

See Also:

TreeNode

 TreeNode

 public TreeNode(String text,
                 Image collapsedImage,
                 Image expandedImage,
                 TreeView treeView)

Constructs a TreeNode with the given text label, and collapsed and expanded images.

Parameters:

text - the text to display for this node

collapsedImage - the image to use when this node is collapsed, hiding all of its child nodes

expandedImage - the image to use when this node is expanded, showing all of its child nodes

treeView - the instance of TreeView whose node this is. Typically "this"

 TreeNode

 public TreeNode(String text,
                 TreeView treeView)

Constructs a TreeNode with the given text label.

Parameters:

text - the text to display for this node

treeView - the instance of TreeView whose node this is. Typically "this"

 collapse

 public void collapse()

Sets a flag indicating that this node is not expanded.

 expand

 public void expand()

Sets a flag indicating that this node is expanded, if it is expandable.

 getChild

 public TreeNode getChild()

Gets the child of this node.

Returns:

this node's child node

See Also:

getParent, getSibling

 getDataObject

 public Object getDataObject()

Gets the object associated with this node. This object does not get displayed.

Returns:

the object associated with this node

See Also:

setDataObject

 getDepth

 public int getDepth()

Gets the depth of this node as previously noted.

Returns:

the depth of this node

 getImage

 public Image getImage()

Gets the proper image for this node in its current state, expanded or collapsed.

Returns:

the current image for this node in its current state

 getParent

 public TreeNode getParent()

Gets the parent of this node.

Returns:

this node's parent node

See Also:

getChild, getSibling

 getSibling

 public TreeNode getSibling()

Gets the next sibling of this node.

Returns:

this node's next sibling node

See Also:

getChild, getParent

 getText

 public String getText()

Gets the current text label for this node.

Returns:

the current text label for this node

See Also:

setText

 isAChildVisible

 public boolean isAChildVisible()

Determines whether any child nodes are visible.

Returns:

true if a child node is visible

See Also:

isASiblingVisible

 isASiblingVisible

 public boolean isASiblingVisible()

Determines whether any sibling nodes are visible.

Returns:

true if a sibling node is visible

See Also:

isAChildVisible

 isExpandable

 public boolean isExpandable()

Determines whether this node is expandable. A node is expandable if it has one or more child nodes.

Returns:

true if the node is expandable, false if not

 isExpanded

 public boolean isExpanded()

Determines whether this node is expanded. A node is expanded if its child nodes are visible.

Returns:

true if the node is expanded, false if it is collapsed

 isHidden

 public boolean isHidden()

Gets whether this node is hidden.

Returns:

true if this node is hidden

See Also:

setHidden

 setCollapsedImage

 public void setCollapsedImage(Image image)

Sets the image to use for this node when it is not expanded.

Parameters:

image - the image to use when this node is collapsed

See Also:

setExpandedImage, getImage

 setDataObject

 public void setDataObject(Object theObject)

Sets an object to associate with this node. This object does not get displayed.

Parameters:

theObject - an object to associate with this node

See Also:

getDataObject

 setExpandedImage

 public void setExpandedImage(Image image)

Sets the image to use for this node when it is expanded.

Parameters:

image - the image to use when this node is expanded

See Also:

setCollapsedImage, getImage

 setHidden

 public void setHidden(boolean f)

Sets whether this node is hidden.

Parameters:

f - true to make this node is hidden

See Also:

isHidden

 setText

 public void setText(String s)

Sets a new text label for this node.

Parameters:

s - the new text label for this node

See Also:

getText

 toggle

 public void toggle()

Toggles the node state between collapsed and expanded, if the node is expandable.


 Class symantec.itools.awt.TreeView

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Container
                   |
                   +----java.awt.Panel
                           |
                           +----symantec.itools.awt.TreeView

public class TreeView
   extends Panel
   implements ItemSelectable

Creates an "outline view" of text headings and, optionally, images. The headings are arranged in a hierarchical fashion, and can be expanded to show their sub-headings or collapsed, hiding their sub-headings.

A TreeView is typically used to display information that is organized in a hierarchical fashion like an index or table of contents.

A TreeNode object is used for each heading.

     See Also:
     TreeNode

 actionListener

The action listener to keep track of listeners for our action event.

 adjustment

The this component's adjustment event listener.

 CHILD

Constant indicating that the new node is to be a child of the existing node.

 count

Number of nodes in the tree.

 e

e is vector of existing nodes

 errors

Error strings.

 fm

current font metrics

 focus

The this component's focus event listener.

 g1

Offscreen graphics context used for buffering the painting process.

 horizontalScrollBar

The horizontal scrollbar

 im1

Offscreen Image used for buffering the painting process.

 isSun1_1

Checks for scrollbars that have different max value.

 itemListener

The action listener to keep track of listeners for our item event.

 key

The this component's key event listener.

 LAST

Constant indicating that the new node is to be the last sibling of the existing node.

 mouse

The this component's mouse event listener.

 needResetVector

Keeps track of if drawTree needs to call resetVector or not.

 newWidth

for horizontal scrollbar

 NEXT

Constant indicating that the new node is to be the next sibling of the existing node.

 NODE_COLLAPSED

Constand used to detail that the node referenced in a NODE_TOGGLED ItemEvent has been collapsed.

 NODE_EXPANDED

Constand used to detail that the node referenced in a NODE_TOGGLED ItemEvent has been expanded.

 NODE_TOGGLED

Constand used to describe ItemEvents sent when a node is toggled.

 redrawTriggered

Flag indicating repaint() shoud redraw the entire image even if the component size has not changed.

 rootNode

root node of tree

 sbHLineIncrement

Horizontal scroll bar unit increment.

 sbHShow

show or hide horizontal scrollbar

 sbHSize

size of horizontal scrollbar

 sbVShow

show or hide vertical scrollbar

 SEL_CHANGED

Deprecated.

 selectedNode

highlighted node

 topVisibleNode

first node in window

 v

v is vector of viewable nodes

 verticalScrollBar

The vertical scrollbar.

 viewCount

Number of viewable nodes in the tree.

 viewHeight

pixel size of tree display

 viewWidest

widest item displayable (for horz scroll)

 viewWidth

pixel size of tree display

 TreeView()

Constructs an empty TreeView.

 TreeView(TreeNode)

Constructs a TreeView with the given node.

 addActionListener(ActionListener)

Adds the specified action listener to receive action events from this button.

 addChild(TreeNode, TreeNode)

Adds the specified child node to the specified parent node Does not redraw the component.

 addItemListener(ItemListener)

Add a listener to recieve item events when the state of an item changes.

 addNotify()

Tells this component that it has been added to a container.

 addSibling(TreeNode, TreeNode)

Adds the specified node as a sibling to the specified node Does not redraw the component.

 addSibling(TreeNode, TreeNode, boolean)

Adds the specified node as a sibling to the specified node Does not redraw the component.

 append(TreeNode)

Adds a new node at root level.

 changeSelection(TreeNode)

Handles selecting the given node.

 clear()

Clears the tree structure and redraws.

 compWidth(Graphics)

Calculates the maximum width of the tree.

 debugVector()

Internal use only.

 drawDotLine(int, int, int, int)

Internal helper method.

 drawNodeText(TreeNode, int, boolean, boolean)

Internal helper method.

 drawNodeToggle(TreeNode, int, int)

Used to draw the toggle box of an expandable node.

 drawTree()

Draws the TreeView into an offscreen image.

 exists(String)

Determines if the node with the given text is in the TreeView.

 exists(TreeNode)

Determines if the given node is in the TreeView.

 findLastPreSpace(String)

Internal helper method.

 getBgHilite()

Deprecated.

 getCount()

Returns the total number of nodes in the tree.

 getFgHilite()

Deprecated.

 getMinimumSize()

Returns the minimum dimensions to properly display this component.

 getPreferredSize()

Returns the recommended dimensions to properly display this component.

 getRootNode()

Returns the "root" node.

 getSelectedNode()

Gets the currently selected node.

 getSelectedObjects()

Returns the selected items or null if no items are selected.

 getSelectedText()

Gets the text of the currently selected node.

 getTreeStructure()

Gets a string array that reflects the current TreeView's contents.

 getViewCount()

Returns the total number of viewable nodes in the tree.

 handleAdjustmentEvent(AdjustmentEvent)

Handles adjustment events.

 handleFocusGained(FocusEvent)

Handles focus gained events.

 handleFocusLost(FocusEvent)

Handles focus lost events.

 handleKeyPressed(KeyEvent)

Handles key pressed events.

 handleMousePressed(MouseEvent)

Handles mouse pressed events.

 handleMouseReleased(MouseEvent)

Handles mouse released events.

 insert(TreeNode, TreeNode, int)

Inserts a new node relative to an existing node in the tree.

 isFocusTraversable()

Returns the value of a flag that indicates whether this component can be traversed using Tab or Shift-Tab keyboard focus traversal.

 minimumSize()

Deprecated.

 newTreeNode(String, TreeView)

Generates a new tree node.

 paint(Graphics)

Paints this component using the given graphics context.

 parseTreeStructure(String[])

Internal helper method.

 preferredSize()

Deprecated.

 printTree(TreeNode)

Print out the text of each node in the TreeView beginning with the given node.

 printTree(TreeNode, boolean)

Print out the text of each node in the TreeView beginning with the given node.

 recount()

Internal helper method.

 redraw()

Lays out the vertical scrollbar as needed, then draws the TreeView into an offscreen image.

 redraw(Graphics)

Lays out the vertical scrollbar as needed, then draws the TreeView into an offscreen image.

 remove(String)

Removes the node with the given text from the TreeView.

 remove(TreeNode)

Removes the given node from the TreeView.

 removeActionListener(ActionListener)

Removes the specified action listener so it no longer receives action events from this button.

 removeItemListener(ItemListener)

Removes an item listener.

 removeNotify()

Tells this component that it is being removed from a container.

 removeSelected()

Removes the currently selected node from the TreeView.

 repaint(boolean)

Repaints this component.

 resetVector()

Internal helper method.

 sendActionEvent()

Sends an action performed event to any action listeners, as needed.

 setLayout(LayoutManager)

Takes no action.

 setSelectedNode(TreeNode)

Handles selecting the given node.

 setTreeStructure(String[])

Initializes the TreeView from a string array.

 traverse(TreeNode)

Internal helper method.

 triggerRedraw()

Triggers redrawing the entire image, even if the size of the component has not changed.

 update(Graphics)

Handles redrawing of this component on the screen.

 vectorize(TreeNode, boolean, boolean, Vector)

Internal helper method.

 actionListener

 protected ActionListener actionListener

The action listener to keep track of listeners for our action event.

 adjustment

 protected TreeView$Adjustment adjustment

The this component's adjustment event listener.

 CHILD

 public static final int CHILD

Constant indicating that the new node is to be a child of the existing node.

See Also:

insert

 count

 protected int count

Number of nodes in the tree.

 e

 protected Vector e

e is vector of existing nodes

 errors

 protected transient ResourceBundle errors

Error strings.

 fm

 protected transient FontMetrics fm

current font metrics

 focus

 protected TreeView$Focus focus

The this component's focus event listener.

 g1

 protected transient Graphics g1

Offscreen graphics context used for buffering the painting process.

 horizontalScrollBar

 protected Scrollbar horizontalScrollBar

The horizontal scrollbar

 im1

 protected transient Image im1

Offscreen Image used for buffering the painting process.

 isSun1_1

 protected static boolean isSun1_1

Checks for scrollbars that have different max value.

 itemListener

 protected ItemListener itemListener

The action listener to keep track of listeners for our item event.

 key

 protected TreeView$Key key

The this component's key event listener.

 LAST

 public static final int LAST

Constant indicating that the new node is to be the last sibling of the existing node.

See Also:

insert

 mouse

 protected TreeView$Mouse mouse

The this component's mouse event listener.

 needResetVector

 protected boolean needResetVector

Keeps track of if drawTree needs to call resetVector or not.

 newWidth

 protected int newWidth

for horizontal scrollbar

 NEXT

 public static final int NEXT

Constant indicating that the new node is to be the next sibling of the existing node.

See Also:

insert

 NODE_COLLAPSED

 public static final int NODE_COLLAPSED

Constand used to detail that the node referenced in a NODE_TOGGLED ItemEvent has been collapsed.

See Also:

NODE_TOGGLED, NODE_EXPANDED

 NODE_EXPANDED

 public static final int NODE_EXPANDED

Constand used to detail that the node referenced in a NODE_TOGGLED ItemEvent has been expanded.

See Also:

NODE_TOGGLED, NODE_COLLAPSED

 NODE_TOGGLED

 public static final int NODE_TOGGLED

Constand used to describe ItemEvents sent when a node is toggled.

See Also:

NODE_EXPANDED, NODE_COLLAPSED

 redrawTriggered

 protected transient boolean redrawTriggered

Flag indicating repaint() shoud redraw the entire image even if the component size has not changed.

 rootNode

 protected TreeNode rootNode

root node of tree

 sbHLineIncrement

 protected int sbHLineIncrement

Horizontal scroll bar unit increment.

 sbHShow

 protected boolean sbHShow

show or hide horizontal scrollbar

 sbHSize

 protected int sbHSize

size of horizontal scrollbar

 sbVShow

 protected boolean sbVShow

show or hide vertical scrollbar

 SEL_CHANGED

 public static final int SEL_CHANGED

Note: SEL_CHANGED is deprecated. As of JDK version 1.1, replaced by ItemSelectable interface.

See Also:

ItemSelectable

 selectedNode

 protected TreeNode selectedNode

highlighted node

 topVisibleNode

 protected TreeNode topVisibleNode

first node in window

 v

 protected Vector v

v is vector of viewable nodes

 verticalScrollBar

 protected Scrollbar verticalScrollBar

The vertical scrollbar.

 viewCount

 protected int viewCount

Number of viewable nodes in the tree. A node is viewable if all of its parents are expanded.

 viewHeight

 protected int viewHeight

pixel size of tree display

 viewWidest

 protected int viewWidest

widest item displayable (for horz scroll)

 viewWidth

 protected int viewWidth

pixel size of tree display

 TreeView

 public TreeView()

Constructs an empty TreeView.

 TreeView

 public TreeView(TreeNode head)

Constructs a TreeView with the given node.

Parameters:

head - the root node of the constructed tree

 addActionListener

 public synchronized void addActionListener(ActionListener l)

Adds the specified action listener to receive action events from this button.

Parameters:

l - the action listener

 addChild

 public void addChild(TreeNode newNode,
                      TreeNode relativeNode)

Adds the specified child node to the specified parent node Does not redraw the component. This allows you to call repeatedly without causing the component to flicker while nodes are manipulated. After all manipulation is done, repaint the tree.

Parameters:

newNode - the node to add as a child

relativeNode - the node to add the child to.

 addItemListener

 public synchronized void addItemListener(ItemListener l)

Add a listener to recieve item events when the state of an item changes.

This is a standard method of the ItemSelectable interface.

Parameters:

l - the listener to recieve events

See Also:

ItemEvent

 addNotify

 public synchronized void addNotify()

Tells this component that it has been added to a container. This is a standard Java AWT method which gets called by the AWT when this component is added to a container. Typically, it is used to create this component's peer. It has been overridden here to hook-up event listeners.

Overrides:

addNotify in class Panel

See Also:

removeNotify

 addSibling

 public void addSibling(TreeNode newNode,
                        TreeNode siblingNode)

Adds the specified node as a sibling to the specified node Does not redraw the component. This allows you to call repeatedly without causing the component to flicker while nodes are manipulated. After all manipulation is done, repaint the tree.

Parameters:

newNode - the node to add as a sibling

siblingNode - a sibling node to the new node.

See Also:

addSibling

 addSibling

 public void addSibling(TreeNode newNode,
                        TreeNode siblingNode,
                        boolean asLastSibling)

Adds the specified node as a sibling to the specified node Does not redraw the component. This allows you to call repeatedly without causing the component to flicker while nodes are manipulated. After all manipulation is done, repaint the tree.

Parameters:

newNode - the node to add as a sibling

siblingNode - a sibling node to the new node.

asLastSibling - if true, then add the new node as the last (bottommost) sibling node to the specified sibling node.

See Also:

addSibling

 append

 public void append(TreeNode newNode)

Adds a new node at root level. If there is no root node, the given node is made the root node. If there is a root node, the given node is made a sibling of the root node. Does not redraw the component. This allows you to call repeatedly without causing the component to flicker while nodes are manipulated. After all manipulation is done, repaint the tree.

Parameters:

newNode - the new node to add

See Also:

insert

 changeSelection

 protected void changeSelection(TreeNode node)

Handles selecting the given node.

Parameters:

node - the node to select

 clear

 public void clear()

Clears the tree structure and redraws.

 compWidth

 protected int compWidth(Graphics gg)

Calculates the maximum width of the tree.

Parameters:

gg - the Graphics context to use for the calculation

Returns:

the maximum tree width, in pixels

 debugVector

 protected void debugVector()

Internal use only.

 drawDotLine

 protected void drawDotLine(int x0,
                            int y0,
                            int x1,
                            int y1)

Internal helper method. Draws a dotted line.

Parameters:

x0 - starting x position

y0 - starting y position

x1 - ending x position

y1 - ending y position

 drawNodeText

 protected void drawNodeText(TreeNode node,
                             int yPosition,
                             boolean eraseBackground,
                             boolean eraseLines)

Internal helper method. Draws the text of the given tree node.

Parameters:

node - the tree node whose text is drawn

yPosition - the vertical drawing position for the node

eraseBackground - true to erase the background behind the text

eraseLines - true to erase the node's text lines before redrawing

 drawNodeToggle

 protected void drawNodeToggle(TreeNode node,
                               int x,
                               int y)

Used to draw the toggle box of an expandable node. Override to change the look of the toggle box.

 drawTree

 public void drawTree()

Draws the TreeView into an offscreen image. This is used for cleaner refresh.

 exists

 public boolean exists(String s)

Determines if the node with the given text is in the TreeView.

Parameters:

s - the node text to find

Returns:

true if the node is in the TreeView, false if it is not

See Also:

exists

 exists

 public boolean exists(TreeNode node)

Determines if the given node is in the TreeView.

Parameters:

node - the node to check

Returns:

true if the node is in the TreeView, false if it is not

See Also:

exists

 findLastPreSpace

 protected int findLastPreSpace(String s)

Internal helper method. Counts the number of spaces before the node text starts.

Parameters:

s - the node text

Returns:

the number of spaces before the texxt starts

 getBgHilite

 public Color getBgHilite()

Note: getBgHilite() is deprecated. As of JDK version 1.1, replaced by use of SystemColors.textHighlight.

 getCount

 public int getCount()

Returns the total number of nodes in the tree.

 getFgHilite

 public Color getFgHilite()

Note: getFgHilite() is deprecated. As of JDK version 1.1, replaced by use of SystemColors.textHighlightText.

 getMinimumSize

 public synchronized Dimension getMinimumSize()

Returns the minimum dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the minimum size of this component.

Overrides:

getMinimumSize in class Container

See Also:

getPreferredSize

 getPreferredSize

 public synchronized Dimension getPreferredSize()

Returns the recommended dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the recommended size of this component.

Overrides:

getPreferredSize in class Container

See Also:

getMinimumSize

 getRootNode

 public TreeNode getRootNode()

Returns the "root" node. The root node is the first top-level node in the tree hierarchy. All other nodes are either children or siblings of that one.

Returns:

the root tree node

 getSelectedNode

 public TreeNode getSelectedNode()

Gets the currently selected node.

Returns:

the currently selected node, or null if none selected

 getSelectedObjects

 public Object[] getSelectedObjects()

Returns the selected items or null if no items are selected.

This is a standard method of the ItemSelectable interface.

 getSelectedText

 public String getSelectedText()

Gets the text of the currently selected node.

Returns:

the text of the currently selected node or null if no node is selected

 getTreeStructure

 public String[] getTreeStructure()

Gets a string array that reflects the current TreeView's contents. There is one string for each node in the array. That string contains the text of the node indented with same number of leading spaces as the depth of that node in the tree.

Returns:

the string array that reflects the TreeView's contents

See Also:

setTreeStructure

 getViewCount

 public int getViewCount()

Returns the total number of viewable nodes in the tree. A node is viewable if all of its parents are expanded.

 handleAdjustmentEvent

 protected void handleAdjustmentEvent(AdjustmentEvent event)

Handles adjustment events. This function will get called when the component recives a adjustment event. Override to change the way adjustment is handled.

Parameters:

event - the AdjustmentEvent

 handleFocusGained

 protected void handleFocusGained(FocusEvent event)

Handles focus gained events. This function will get called when the component recives a focus gained event. Override to change the way focus gained is handled.

Parameters:

event - the FocusEvent

See Also:

handleFocusLost

 handleFocusLost

 protected void handleFocusLost(FocusEvent event)

Handles focus lost events. This function will get called when the component recives a focus lost event. Override to change the way focus lost is handled.

Parameters:

event - the FocusEvent

See Also:

handleFocusGained

 handleKeyPressed

 protected void handleKeyPressed(KeyEvent event)

Handles key pressed events. This function will get called when the component recives a key pressed event. Override to change the way key pressed is handled.

Parameters:

event - the KeyEvent

 handleMousePressed

 protected void handleMousePressed(MouseEvent event)

Handles mouse pressed events. This function will get called when the component recives a mouse pressed event. Override to change the way mouse pressed is handled.

Parameters:

event - the MouseEvent

See Also:

handleMouseReleased

 handleMouseReleased

 protected void handleMouseReleased(MouseEvent event)

Handles mouse released events. This function will get called when the component recives a mouse released event. Override to change the way mouse released is handled.

Parameters:

event - the MouseEvent

See Also:

handleMousePressed

 insert

 public void insert(TreeNode newNode,
                    TreeNode relativeNode,
                    int position)

Inserts a new node relative to an existing node in the tree.

Parameters:

newNode - the new node to insert into the tree

relativeNode - the existing node used for a position reference

position - where to insert the new node relative to relativeNode. Legal values are CHILD, NEXT and LAST.

See Also:

CHILD, NEXT, LAST, append

 isFocusTraversable

 public boolean isFocusTraversable()

Returns the value of a flag that indicates whether this component can be traversed using Tab or Shift-Tab keyboard focus traversal.

Overrides:

isFocusTraversable in class Component

 minimumSize

 public synchronized Dimension minimumSize()

Note: minimumSize() is deprecated.

Overrides:

minimumSize in class Container

See Also:

getMinimumSize

 newTreeNode

 protected TreeNode newTreeNode(String text,
                                TreeView treeView)

Generates a new tree node. Override if you want to return your own instantiation of a TreeNode subclas.

Parameters:

text - the node text

treeView - a reference to the parent TreeView (usually "this").

Returns:

a new TreeNode

 paint

 public void paint(Graphics g)

Paints this component using the given graphics context. This is a standard Java AWT method which typically gets called by the AWT to handle painting this component. It paints this component using the given graphics context. The graphics context clipping region is set to the bounding rectangle of this component and its [0,0] coordinate is this component's top-left corner.

Parameters:

g - the graphics context used for painting

Overrides:

paint in class Container

See Also:

repaint, update

 parseTreeStructure

 protected void parseTreeStructure(String tempStructure[]) throws InvalidTreeNodeException

Internal helper method. Process the given array of Strings, creating TreeNodes and appending them to this component. Existing TreeNodes are kept.

Parameters:

tempStructure - the String array to parse

Throws: InvalidTreeNodeException

if there is a problem with the String array values

 preferredSize

 public synchronized Dimension preferredSize()

Note: preferredSize() is deprecated.

Overrides:

preferredSize in class Container

See Also:

getPreferredSize

 printTree

 public void printTree(TreeNode node)

Print out the text of each node in the TreeView beginning with the given node. The nodes are printed out one per line with no indenting.

Parameters:

node - the first node to print

 printTree

 public void printTree(TreeNode node,
                       boolean isIndented)

Print out the text of each node in the TreeView beginning with the given node.

Parameters:

node - the first node to print

isIndented, - if true, nodes will have hierarchical indenting, if false, all nodes will pe printed at the same level

 recount

 protected void recount()

Internal helper method. Rebuilds the Vector e of nodes, adjusting node depth and maintaining an overall count as it goes along. Calls the recursive method traverse to do the meat of the job.

 redraw

 public void redraw()

Lays out the vertical scrollbar as needed, then draws the TreeView into an offscreen image. This is used for cleaner refresh.

 redraw

 public void redraw(Graphics g)

Lays out the vertical scrollbar as needed, then draws the TreeView into an offscreen image. This is used for cleaner refresh.

Parameters:

g - the graphics object use for drawing

 remove

 public TreeNode remove(String s)

Removes the node with the given text from the TreeView. Does not redraw the component. This allows you to call repeatedly without causing the component to flicker while nodes are manipulated. After all manipulation is done, repaint the tree.

Parameters:

s - the node text to find

Returns:

the TreeNode removed from this TreeView or null if not found

See Also:

remove, removeSelected

 remove

 public void remove(TreeNode node)

Removes the given node from the TreeView. Does not redraw the component. This allows you to call repeatedly without causing the component to flicker while nodes are manipulated. After all manipulation is done, repaint the tree.

Parameters:

node - the node to remove

Returns:

the TreeNode removed from this TreeView or null if not found

See Also:

remove, removeSelected

 removeActionListener

 public synchronized void removeActionListener(ActionListener l)

Removes the specified action listener so it no longer receives action events from this button.

Parameters:

l - the action listener

 removeItemListener

 public synchronized void removeItemListener(ItemListener l)

Removes an item listener.

This is a standard method of the ItemSelectable interface.

Parameters:

l - the listener being removed

See Also:

ItemEvent

 removeNotify

 public synchronized void removeNotify()

Tells this component that it is being removed from a container. This is a standard Java AWT method which gets called by the AWT when this component is removed from a container. Typically, it is used to destroy the peers of this component and all its subcomponents. It has been overridden here to unhook event listeners.

Overrides:

removeNotify in class Container

See Also:

addNotify

 removeSelected

 public void removeSelected()

Removes the currently selected node from the TreeView. Does not redraw the component. This allows you to call repeatedly without causing the component to flicker while nodes are manipulated. After all manipulation is done, repaint the tree.

See Also:

remove, remove

 repaint

 public void repaint(boolean f)

Repaints this component.

Parameters:

f - trueto re-vectorize if the node arrangement has changed

 resetVector

 protected void resetVector()

Internal helper method. Traverses tree to put nodes into vector v for internal processing. Depths of nodes are set, and viewCount and viewWidest is set. Calls the recursive method vectorize to do the meat of the job.

 sendActionEvent

 protected void sendActionEvent()

Sends an action performed event to any action listeners, as needed.

 setLayout

 public void setLayout(LayoutManager lm)

Takes no action. This is a standard Java AWT method which gets called to specify which layout manager should be used to layout the components in standard containers. Since layout managers CANNOT BE USED with this container the standard setLayout has been OVERRIDDEN for this container and does nothing.

Parameters:

lm - the layout manager to use to layout this container's components (IGNORED)

Overrides:

setLayout in class Container

See Also:

getLayout

 setSelectedNode

 public void setSelectedNode(TreeNode node)

Handles selecting the given node.

Parameters:

node - the node to select

 setTreeStructure

 public void setTreeStructure(String s[])

Initializes the TreeView from a string array. There is one string for each node in the array. That string contains the text of the node indented with same number of leading spaces as the depth of that node in the tree.

Parameters:

s - the string array used for initialization. If null, the tree will be cleared.

See Also:

getTreeStructure

 traverse

 protected void traverse(TreeNode node)

Internal helper method. Recursive method that rebuilds the Vector e of nodes, adjusting node depth and maintaining an overall count as it goes along.

 triggerRedraw

 public void triggerRedraw()

Triggers redrawing the entire image, even if the size of the component has not changed.

 update

 public void update(Graphics g)

Handles redrawing of this component on the screen. This is a standard Java AWT method which gets called by the Java AWT (repaint()) to handle repainting this component on the screen. The graphics context clipping region is set to the bounding rectangle of this component and its [0,0] coordinate is this component's top-left corner. Typically this method paints the background color to clear the component's drawing space, sets graphics context to be the foreground color, and then calls paint() to draw the component. It is overridden here to reduce flicker by eliminating the uneeded clearing of the background.

Parameters:

g - the graphics context

Overrides:

update in class Container

See Also:

repaint, paint

 vectorize

 protected void vectorize(TreeNode node,
                          boolean respectExpanded,
                          boolean repectHidden,
                          Vector nodeVector)

Internal helper method. Traverses tree to put nodes into the given vector for for processing. Depths of nodes are set.

Parameters:

node - the current node

respectExpanded - true to only follow expanded child links

repectHidden - true to not follow hidden child links

nodeVector - Vector to add the processed nodes to


 Class symantec.itools.awt.TreeViewBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.TreeViewBeanInfo

public class TreeViewBeanInfo
   extends SimpleBeanInfo

BeanInfo for TreeView.

 TreeViewBeanInfo()

Constructs a TreeViewBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 TreeViewBeanInfo

 public TreeViewBeanInfo()

Constructs a TreeViewBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.VerticalSlider

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Canvas
                   |
                   +----symantec.itools.awt.Slider
                           |
                           +----symantec.itools.awt.VerticalSlider

public class VerticalSlider
   extends Slider

This component is used to select one value from a continuous range of values. It has a movable thumb in front of a gauge with ticks marks on it.

     See Also:
     HorizontalSlider

 actionCommand

The command name of the action event fired by this component.

 TICK_WIDTH

Length of the gauge ticks in pixels.

 VerticalSlider()

Constructs a default VerticalSlider.

 addNotify()

Tells this component that it has been added to a container.

 do_reshape(int, int)

This abstract function is called by reshape.

 paint(Graphics)

Paints this component using the given graphics context.

 removeNotify()

Tells this component that it is being removed from a container.

 setTickStyle(int)

Sets the current slider tick mark style.

 actionCommand

 protected String actionCommand

The command name of the action event fired by this component.

 TICK_WIDTH

 protected static final int TICK_WIDTH

Length of the gauge ticks in pixels.

 VerticalSlider

 public VerticalSlider()

Constructs a default VerticalSlider. The ticks are drawn on both sides of the gauge with a frequency of 1. The minimum value is 1. The maximum value is 10. The border is shown.

 addNotify

 public synchronized void addNotify()

Tells this component that it has been added to a container. This is a standard Java AWT method which gets called by the AWT when this component is added to a container. Typically, it is used to create this component's peer. It has been overridden here to handle registering event listeners.

Overrides:

addNotify in class Slider

See Also:

removeNotify

 do_reshape

 protected void do_reshape(int w,
                           int h)

This abstract function is called by reshape.

Overrides:

do_reshape in class Slider

 paint

 public void paint(Graphics g)

Paints this component using the given graphics context. This is a standard Java AWT method which typically gets called by the AWT to handle painting this component. It paints this component using the given graphics context. The graphics context clipping region is set to the bounding rectangle of this component and its [0,0] coordinate is this component's top-left corner.

Parameters:

g - the graphics context used for painting

Overrides:

paint in class Slider

See Also:

repaint, update

 removeNotify

 public synchronized void removeNotify()

Tells this component that it is being removed from a container. This is a standard Java AWT method which gets called by the AWT when this component is removed from a container. Typically, it is used to destroy the peers of this component and all its subcomponents. It has been overridden here to handle registering event listeners.

Overrides:

removeNotify in class Slider

See Also:

addNotify

 setTickStyle

 public void setTickStyle(int style) throws PropertyVetoException

Sets the current slider tick mark style.

Parameters:

style - the new tick mark style, one of TICK_LEFT, TICK_RIGHT, or TICK_BOTH

Throws: PropertyVetoException

if the specified property value is unacceptable

Overrides:

setTickStyle in class Slider

See Also:

getTickStyle, TICK_LEFT, TICK_RIGHT, TICK_BOTH


 Class symantec.itools.awt.VerticalSliderBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.VerticalSliderBeanInfo

public class VerticalSliderBeanInfo
   extends SimpleBeanInfo

BeanInfo for VerticalSlider.

 VerticalSliderBeanInfo()

Constructs a VerticalSliderBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 VerticalSliderBeanInfo

 public VerticalSliderBeanInfo()

Constructs a VerticalSliderBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.Wizard

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Container
                   |
                   +----java.awt.Panel
                           |
                           +----symantec.itools.awt.Wizard

public class Wizard
   extends Panel
   implements WizardInterface, Serializable

The Wizard component provides services to create wizards. It maintains a list of pages and uses the services of a WizardController to define its behavior.

     See Also:
     WizardController, SimpleWizardController

 CANCEL_LABEL

The text used for the Cancel button.

 cancelButton

The Cancel button.

 CENTER

Constant value indicating a layout centered.

 FINISH_LABEL

The text used for the Finish button.

 finishButton

The Finish button.

 HELP_LABEL

The text used for the Help button.

 helpButton

The Help button.

 horizontalLine1

The horizontal line separating the pages from the navigation buttons.

 LEFT

Constant value indicating a layout aligned to the left.

 NEXT_LABEL

The text used for the Next button.

 nextButton

The Next button.

 panel1

The panel that contains the pages.

 panel2

The top-level panel below the horizontal line.

 panel3

The panel that contains the navigation (Back,Next,Finish) buttons.

 panel4

The panel that contains the Cancel and Help buttons.

 PREVIOUS_LABEL

The text used for the Back button.

 previousButton

The Back button.

 RIGHT

Constant value indicating a layout aligned to the right.

 Wizard()

Constructs a Wizard.

 add(Component)

Adds a component to the end of this container.

 add(Component, int)

Adds a component to the end of this container.

 add(String, Component)

Takes no action.

 addActionListener(ActionListener)

Adds the specified action listener to receive action events from the Finish button.

 addNotify()

Tells this component that it has been added to a container.

 addPropertyChangeListener(PropertyChangeListener)

Adds a listener for all event changes.

 addVetoableChangeListener(VetoableChangeListener)

Adds a vetoable listener for all event changes.

 doCancel()

Performs the actions needed when the Cancel button is pressed.

 doFinish()

Performs the actions needed when the Finish button is pressed.

 doHelp()

Performs the actions needed when the Help button is pressed.

 getButtonsAlignment()

Gets the buttons alignment of the navigation buttons.

 getComponentAt(int)

Gets the component for the page at the given index.

 getLayout()

Gets the layout manager for this container.

 getMinimumSize()

Returns the minimum dimensions to properly display this component.

 getPageCount()

Gets the number of pages in the Wizard.

 getPageIndex(Component)

Gets the index for a specific page.

 getPreferredSize()

Returns the recommended dimensions to properly display this component.

 getSelectedIndex()

Returns the zero-relative index of the currently selected page.

 getWizardController()

Get the current WizardController.

 goNext()

Go to the next page.

 goPrevious()

Go to the previous page.

 isCombinedButton()

Determines whether there is a combined Next/Finish button.

 isHelpButtonVisible()

Determines whether the Help button is visible.

 layout()

Handles the laying out of components within this component.

 remove(Component)

Removes the specified component from this container.

 removeActionListener(ActionListener)

Removes the specified action listener so that it no longer receives action events from the Finish button.

 removeAllPages()

Removes all pages and their associated components, clearing the Wizard entirely.

 removeNotify()

Tells this component that it is being removed from a container.

 removePageAt(int)

Removes a page and its associated component at the given index.

 removePropertyChangeListener(PropertyChangeListener)

Removes a listener for all event changes.

 removeVetoableChangeListener(VetoableChangeListener)

Removes a vetoable listener for all event changes.

 restart()

Restarts the wizard after usage.

 setButtonsAlignment(int)

Sets the buttons alignment of the navigation buttons.

 setCancelEnabled(boolean)

Enables or disables the Cancel button.

 setCombinedButton(boolean)

Sets a combined Next/Finish button or two buttons depending on the value of the parameter.

 setComponentAt(int, Component)

Replaces a page at the index specified.

 setFinishEnabled(boolean)

Enables or disables the Finish button.

 setHelpButtonVisible(boolean)

Shows or hides the Help button depending on the value of the parameter.

 setHelpEnabled(boolean)

Enables or disables the Help button.

 setLayout(LayoutManager)

Takes no action.

 setNextEnabled(boolean)

Enables or disables the Next button.

 setNextPage(Component)

Sets the page to show when goNext is called.

 setNextPageIndex(int)

Sets the index of the page to show when goNext is called.

 setPreviousEnabled(boolean)

Enables or disables the Previous button.

 setPreviousPage(Component)

Sets the page to show when goPrevious is called.

 setPreviousPageIndex(int)

Sets the index of the page to show when goPrevious is called.

 setWizardController(WizardController)

Sets a customized WizardController.

 updateButtonsState()

Sets a default status for the Previous, Next and Finish buttons.

 CANCEL_LABEL

 protected static final String CANCEL_LABEL

The text used for the Cancel button.

 cancelButton

 protected Button cancelButton

The Cancel button.

 CENTER

 public static final int CENTER

Constant value indicating a layout centered.

 FINISH_LABEL

 protected static final String FINISH_LABEL

The text used for the Finish button.

 finishButton

 protected Button finishButton

The Finish button.

 HELP_LABEL

 protected static final String HELP_LABEL

The text used for the Help button.

 helpButton

 protected Button helpButton

The Help button.

 horizontalLine1

 protected HorizontalLine horizontalLine1

The horizontal line separating the pages from the navigation buttons.

 LEFT

 public static final int LEFT

Constant value indicating a layout aligned to the left.

 NEXT_LABEL

 protected static final String NEXT_LABEL

The text used for the Next button.

 nextButton

 protected Button nextButton

The Next button.

 panel1

 protected Panel panel1

The panel that contains the pages.

 panel2

 protected Panel panel2

The top-level panel below the horizontal line.

 panel3

 protected Panel panel3

The panel that contains the navigation (Back,Next,Finish) buttons.

 panel4

 protected Panel panel4

The panel that contains the Cancel and Help buttons.

 PREVIOUS_LABEL

 protected static final String PREVIOUS_LABEL

The text used for the Back button.

 previousButton

 protected Button previousButton

The Back button.

 RIGHT

 public static final int RIGHT

Constant value indicating a layout aligned to the right.

 Wizard

 public Wizard()

Constructs a Wizard.

 add

 public Component add(Component comp)

Adds a component to the end of this container. This is a standard Java AWT method which gets called to add a component to a container. The specified component is added to the end of this container.

Parameters:

comp - the component to add

Returns:

the added component

Overrides:

add in class Container

See Also:

remove

 add

 public synchronized Component add(Component comp,
                                   int pos)

Adds a component to the end of this container. This is a standard Java AWT method which gets called to add a component to a container. Typically, the specified component is added to this container at the given zero-relative position index. A position index of -1 would append the component to the end.

It is overridden so that it only appends to the internal panel.

Parameters:

comp - the component to add

pos - the zero-relative index at which to add the component or -1 for end

Returns:

the added component

Throws: IllegalArgumentException

if the component is null

Overrides:

add in class Container

See Also:

remove

 add

 public Component add(String name,
                      Component comp)

Takes no action. This is a standard Java AWT method which gets called to add a component to a container. It is overridden here to do nothing, so the user cannot change the way this container works.

Parameters:

name - the positioning directive for the layout manager (IGNORED)

comp - the component to add (IGNORED)

Returns:

the component parameter

Overrides:

add in class Container

 addActionListener

 public void addActionListener(ActionListener l)

Adds the specified action listener to receive action events from the Finish button.

See Also:

removeActionListener

 addNotify

 public synchronized void addNotify()

Tells this component that it has been added to a container. This is a standard Java AWT method which gets called by the AWT when this component is added to a container. Typically, it is used to create this component's peer. It has been overridden here to hook-up event listeners.

Overrides:

addNotify in class Panel

See Also:

removeNotify

 addPropertyChangeListener

 public void addPropertyChangeListener(PropertyChangeListener listener)

Adds a listener for all event changes.

Parameters:

listener - the listener to add.

See Also:

removePropertyChangeListener

 addVetoableChangeListener

 public void addVetoableChangeListener(VetoableChangeListener listener)

Adds a vetoable listener for all event changes.

Parameters:

listener - the listener to add.

See Also:

removeVetoableChangeListener

 doCancel

 public void doCancel()

Performs the actions needed when the Cancel button is pressed.

See Also:

doFinish, doHelp

 doFinish

 public void doFinish()

Performs the actions needed when the Finish button is pressed.

See Also:

doCancel, doHelp

 doHelp

 public void doHelp()

Performs the actions needed when the Help button is pressed.

See Also:

doFinish, doCancel

 getButtonsAlignment

 public int getButtonsAlignment()

Gets the buttons alignment of the navigation buttons.

See Also:

setButtonsAlignment

 getComponentAt

 public synchronized Component getComponentAt(int index)

Gets the component for the page at the given index.

Parameters:

index - zero-relative index of the page

Returns:

returns the component associated with the page

Throws: ArrayIndexOutOfBoundsException

if the index is invalid

See Also:

setComponentAt

 getLayout

 public LayoutManager getLayout()

Gets the layout manager for this container.

Overrides:

getLayout in class Container

 getMinimumSize

 public Dimension getMinimumSize()

Returns the minimum dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the minimum size of this component.

Overrides:

getMinimumSize in class Container

See Also:

getPreferredSize

 getPageCount

 public int getPageCount()

Gets the number of pages in the Wizard.

Returns:

the number of pages currently in the Wizard

 getPageIndex

 public synchronized int getPageIndex(Component comp)

Gets the index for a specific page.

Parameters:

comp - the page to get the index of

Returns:

the zero-relative index of the page or -1 if it is not found

Throws: IllegalArgumentException

if the component is null

 getPreferredSize

 public Dimension getPreferredSize()

Returns the recommended dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the recommended size of this component.

The returned size is large enough to display the biggest page component at its preferred size.

Overrides:

getPreferredSize in class Container

See Also:

getMinimumSize

 getSelectedIndex

 public int getSelectedIndex()

Returns the zero-relative index of the currently selected page.

Returns:

the currently selected page or -1 if none are shown

 getWizardController

 public WizardController getWizardController()

Get the current WizardController.

See Also:

setWizardController

 goNext

 public synchronized void goNext()

Go to the next page. If a page has been selected with setNextPage it will be used. If a page index has been selected with setNextPageIndex it will be used unless a page has been specified. The chain information will be reset.

See Also:

goPrevious, setNextPage, setNextPageIndex

 goPrevious

 public synchronized void goPrevious()

Go to the previous page. If a page has been selected with setPreviousPage it will be used. If a page index has been selected with setPreviousPageIndex it will be used unless a page has been specified. The chain information will be reset.

See Also:

goNext, setPreviousPage, setPreviousPageIndex

 isCombinedButton

 public boolean isCombinedButton()

Determines whether there is a combined Next/Finish button.

See Also:

setCombinedButton

 isHelpButtonVisible

 public boolean isHelpButtonVisible()

Determines whether the Help button is visible.

See Also:

setHelpButtonVisible

 layout

 public void layout()

Handles the laying out of components within this component. This is a standard Java AWT method which gets called by the AWT when this component is validated with the validate() method.

Overrides:

layout in class Container

See Also:

validate

 remove

 public synchronized void remove(Component comp)

Removes the specified component from this container. This is a standard Java AWT method which gets called to remove a component from a container. When this happens the component's removeNotify() will also get called to indicate component removal.

Parameters:

comp - the component to remove

Overrides:

remove in class Container

See Also:

add

 removeActionListener

 public void removeActionListener(ActionListener l)

Removes the specified action listener so that it no longer receives action events from the Finish button.

See Also:

addActionListener

 removeAllPages

 public synchronized void removeAllPages()

Removes all pages and their associated components, clearing the Wizard entirely.

 removeNotify

 public synchronized void removeNotify()

Tells this component that it is being removed from a container. This is a standard Java AWT method which gets called by the AWT when this component is removed from a container. Typically, it is used to destroy the peers of this component and all its subcomponents. It has been overridden here to unhook event listeners.

Overrides:

removeNotify in class Container

See Also:

addNotify

 removePageAt

 public synchronized void removePageAt(int index)

Removes a page and its associated component at the given index. The currently active page cannot be removed.

Parameters:

index - zero-relative index of the page

Throws: ArrayIndexOutOfBoundsException

if the index is invalid

 removePropertyChangeListener

 public void removePropertyChangeListener(PropertyChangeListener listener)

Removes a listener for all event changes.

Parameters:

listener - the listener to remove.

See Also:

addPropertyChangeListener

 removeVetoableChangeListener

 public void removeVetoableChangeListener(VetoableChangeListener listener)

Removes a vetoable listener for all event changes.

Parameters:

listener - the listener to remove.

See Also:

addVetoableChangeListener

 restart

 public void restart()

Restarts the wizard after usage. The WizardController life cycle will be reset and the first page will be shown again.

 setButtonsAlignment

 public synchronized void setButtonsAlignment(int align) throws PropertyVetoException

Sets the buttons alignment of the navigation buttons.

Parameters:

align - Wizard.LEFT, Wizard.CENTER or Wizard.RIGHT

Throws: PropertyVetoException

if the specified property value is unacceptable

Throws: IllegalArgumentException

if the parameter is invalid

See Also:

getButtonsAlignment

 setCancelEnabled

 public void setCancelEnabled(boolean status)

Enables or disables the Cancel button.

Parameters:

status - true to enable the button

See Also:

setPreviousEnabled, setNextEnabled, setFinishEnabled, setHelpEnabled

 setCombinedButton

 public synchronized void setCombinedButton(boolean combined) throws PropertyVetoException

Sets a combined Next/Finish button or two buttons depending on the value of the parameter.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

isCombinedButton

 setComponentAt

 public synchronized void setComponentAt(int index,
                                         Component comp) throws PropertyVetoException

Replaces a page at the index specified.

Parameters:

index - the zero-relative index of the page to change

comp - the new component

Throws: PropertyVetoException

if the specified property value is unacceptable

Throws: ArrayIndexOutOfBoundsException

if the index is invalid

Throws: IllegalArgumentException

if the component is null

See Also:

getComponentAt

 setFinishEnabled

 public void setFinishEnabled(boolean status)

Enables or disables the Finish button.

Parameters:

status - true to enable the button

See Also:

setPreviousEnabled, setNextEnabled, setCancelEnabled, setHelpEnabled

 setHelpButtonVisible

 public synchronized void setHelpButtonVisible(boolean visible) throws PropertyVetoException

Shows or hides the Help button depending on the value of the parameter.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

isHelpButtonVisible

 setHelpEnabled

 public void setHelpEnabled(boolean status)

Enables or disables the Help button.

Parameters:

status - true to enable the button

See Also:

setPreviousEnabled, setNextEnabled, setFinishEnabled, setCancelEnabled

 setLayout

 public void setLayout(LayoutManager mgr)

Takes no action. This is a standard Java AWT method which gets called to specify which layout manager should be used to layout the components in standard containers. Since layout managers CANNOT BE USED with this container the standard setLayout has been OVERRIDDEN for this container and does nothing.

Parameters:

mgr - the layout manager to use to layout this container's components (IGNORED)

Overrides:

setLayout in class Container

See Also:

getLayout

 setNextEnabled

 public void setNextEnabled(boolean status)

Enables or disables the Next button.

Parameters:

status - true to enable the button

See Also:

setPreviousEnabled, setFinishEnabled, setCancelEnabled, setHelpEnabled

 setNextPage

 public void setNextPage(Component comp)

Sets the page to show when goNext is called.

See Also:

setPreviousPageIndex, goNext, WizardController, SimpleWizardController

 setNextPageIndex

 public void setNextPageIndex(int index)

Sets the index of the page to show when goNext is called.

See Also:

setPreviousPageIndex, goNext, WizardController, SimpleWizardController

 setPreviousEnabled

 public void setPreviousEnabled(boolean status)

Enables or disables the Previous button.

Parameters:

status - true to enable the button

See Also:

setNextEnabled, setFinishEnabled, setCancelEnabled, setHelpEnabled

 setPreviousPage

 public void setPreviousPage(Component comp)

Sets the page to show when goPrevious is called.

See Also:

setNextPageIndex, goPrevious, WizardController, SimpleWizardController

 setPreviousPageIndex

 public void setPreviousPageIndex(int index)

Sets the index of the page to show when goPrevious is called.

See Also:

setNextPageIndex, goPrevious, WizardController, SimpleWizardController

 setWizardController

 public void setWizardController(WizardController controller)

Sets a customized WizardController. This should be done once before actually using the Wizard and after all pages have been added. If no customized WizardController is set, a default SimpleWizardController is used.

See Also:

getWizardController

 updateButtonsState

 public synchronized void updateButtonsState()

Sets a default status for the Previous, Next and Finish buttons.

See Also:

setPreviousEnabled, setNextEnabled, setFinishEnabled, setCancelEnabled, setHelpEnabled


 Class symantec.itools.awt.WizardBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.WizardBeanInfo

public class WizardBeanInfo
   extends SimpleBeanInfo

BeanInfo for Wizard.

 WizardBeanInfo()

Constructs a WizardBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 WizardBeanInfo

 public WizardBeanInfo()

Constructs a WizardBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getDefaultPropertyIndex

 public int getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

Overrides:

getDefaultPropertyIndex in class SimpleBeanInfo

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.WrappingLabel

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Canvas
                   |
                   +----symantec.itools.awt.WrappingLabel

public class WrappingLabel
   extends Canvas
   implements AlignStyle

This class implements a multiple-line text label. It displays text on one or more lines, wrapping text as needed to fit in the available horizontal space.

 align

The current text alignment.

 baseline

The maximum ascent of the font used to display text.

 fm

The metrics of the font used to display text.

 text

The text string being displayed.

 WrappingLabel()

Constructs a default wrapping label.

 WrappingLabel(String)

Constructs a wrapping label that displays the specified string.

 WrappingLabel(String, int)

Constructs wrapping label with the specified text and alignment.

 addPropertyChangeListener(PropertyChangeListener)

Adds a listener for all event changes.

 addVetoableChangeListener(VetoableChangeListener)

Adds a vetoable listener for all event changes.

 drawAlignedString(Graphics, String, int, int, int)

This helper method draws a string aligned the requested way.

 getAlignStyle()

Gets the current text alignment setting.

 getText()

Gets the current label text.

 paint(Graphics)

Paints this component using the given graphics context.

 paramString()

Returns an empty string.

 removePropertyChangeListener(PropertyChangeListener)

Removes a listener for all event changes.

 removeVetoableChangeListener(VetoableChangeListener)

Removes a vetoable listener for all event changes.

 reshape(int, int, int, int)

Moves and/or resizes this component.

 resize(int, int)

Resizes this component.

 setAlignStyle(int)

Sets the text alignment.

 setText(String)

Sets the label text.

 align

 protected int align

The current text alignment. One of ALIGN_LEFT, ALIGN_CENTERED, or ALIGN_RIGHT.

See Also:

AlignStyle, ALIGN_LEFT, ALIGN_CENTERED, ALIGN_RIGHT

 baseline

 protected int baseline

The maximum ascent of the font used to display text.

 fm

 protected transient FontMetrics fm

The metrics of the font used to display text.

 text

 protected String text

The text string being displayed.

 WrappingLabel

 public WrappingLabel()

Constructs a default wrapping label. Default values are an empty text string and left alignment.

 WrappingLabel

 public WrappingLabel(String s)

Constructs a wrapping label that displays the specified string. The label will default to left alignment.

Parameters:

s - string to be displayed in label

 WrappingLabel

 public WrappingLabel(String s,
                      int a)

Constructs wrapping label with the specified text and alignment.

Parameters:

s - the string to be displayed in label

a - the alignment, one of ALIGN_LEFT, ALIGN_CENTERED, or ALIGN_RIGHT

See Also:

AlignStyle, ALIGN_LEFT, ALIGN_CENTERED, ALIGN_RIGHT

 addPropertyChangeListener

 public synchronized void addPropertyChangeListener(PropertyChangeListener listener)

Adds a listener for all event changes.

Parameters:

PropertyChangeListener - listener the listener to add.

See Also:

removePropertyChangeListener

 addVetoableChangeListener

 public synchronized void addVetoableChangeListener(VetoableChangeListener listener)

Adds a vetoable listener for all event changes.

Parameters:

VetoableChangeListener - listener the listener to add.

See Also:

removeVetoableChangeListener

 drawAlignedString

 protected void drawAlignedString(Graphics g,
                                  String s,
                                  int x,
                                  int y,
                                  int width)

This helper method draws a string aligned the requested way.

Parameters:

g - the graphics context used for painting

s - the string to draw

x - the point to start drawing from, x coordinate

y - the point to start drawing from, y coordinate

width - the width of the area to draw in, in pixels

 getAlignStyle

 public int getAlignStyle()

Gets the current text alignment setting.

Returns:

the current alignment, one of ALIGN_LEFT, ALIGN_CENTERED, or ALIGN_RIGHT

See Also:

setAlignStyle, AlignStyle, ALIGN_LEFT, ALIGN_CENTERED, ALIGN_RIGHT

 getText

 public String getText()

Gets the current label text.

Returns:

the label's text string

See Also:

setText

 paint

 public void paint(Graphics g)

Paints this component using the given graphics context. This is a standard Java AWT method which typically gets called by the AWT to handle painting this component. It paints this component using the given graphics context. The graphics context clipping region is set to the bounding rectangle of this component and its [0,0] coordinate is this component's top-left corner.

Parameters:

g - the graphics context used for painting

Overrides:

paint in class Canvas

See Also:

repaint, update

 paramString

 public String paramString()

Returns an empty string. This is a standard Java AWT method which typically returns a string representing the state of this object.

Returns:

the empty string

Overrides:

paramString in class Component

 removePropertyChangeListener

 public synchronized void removePropertyChangeListener(PropertyChangeListener listener)

Removes a listener for all event changes.

Parameters:

PropertyChangeListener - listener the listener to remove.

See Also:

addPropertyChangeListener

 removeVetoableChangeListener

 public synchronized void removeVetoableChangeListener(VetoableChangeListener listener)

Removes a vetoable listener for all event changes.

Parameters:

VetoableChangeListener - listener the listener to remove.

See Also:

addVetoableChangeListener

 reshape

 public synchronized void reshape(int x,
                                  int y,
                                  int width,
                                  int height)

Moves and/or resizes this component. This is a standard Java AWT method which gets called to move and/or resize this component. Components that are in containers with layout managers should not call this method, but rely on the layout manager instead. It is overridden here to re-wrap the text as necessary.

Parameters:

x - horizontal position in the parent's coordinate space

y - vertical position in the parent's coordinate space

width - the new width

height - the new height

Overrides:

reshape in class Component

 resize

 public synchronized void resize(int width,
                                 int height)

Resizes this component. This is a standard Java AWT method which gets called to resize this component. Components that are in containers with layout managers should not call this method, but rely on the layout manager instead. It is overridden here to re-wrap the text as necessary.

Parameters:

width - the new width, in pixels

height - the new height, in pixels

Overrides:

resize in class Component

 setAlignStyle

 public void setAlignStyle(int newAlignStyle) throws PropertyVetoException

Sets the text alignment.

Parameters:

newAlignStyle - the new alignment style, one of ALIGN_LEFT, ALIGN_CENTERED, or ALIGN_RIGHT

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getAlignStyle, AlignStyle, ALIGN_LEFT, ALIGN_CENTERED, ALIGN_RIGHT

 setText

 public void setText(String newText) throws PropertyVetoException

Sets the label text.

Parameters:

s - the new label text

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getText


 Class symantec.itools.awt.WrappingLabelBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.WrappingLabelBeanInfo

public class WrappingLabelBeanInfo
   extends SimpleBeanInfo

BeanInfo for WrappingLabel.

 WrappingLabelBeanInfo()

Constructs a WrappingLabelBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 WrappingLabelBeanInfo

 public WrappingLabelBeanInfo()

Constructs a WrappingLabelBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getDefaultPropertyIndex

 public int getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

Overrides:

getDefaultPropertyIndex in class SimpleBeanInfo

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 package symantec.itools.awt.image

   DarkenFilter
   FadeFilter
   LightenFilter


 Class symantec.itools.awt.image.DarkenFilter

java.lang.Object
   |
   +----java.awt.image.ImageFilter
           |
           +----java.awt.image.RGBImageFilter
                   |
                   +----symantec.itools.awt.image.DarkenFilter

public class DarkenFilter
   extends RGBImageFilter

An Image filter to use for darkening an Image a specified percentage.

 errors

Error strings.

 percent

The percentage to fade when filtering.

 DarkenFilter()

Constructs a default DarkenFilter.

 DarkenFilter(double)

Constructs a DarkenFilter.

 filterRGB(int, int, int)

Filters an RGB value by the current fade percentage.

 getPercent()

Gets the percentage to fade when filtering.

 setPercent(double)

Sets the percentage to fade when filtering.

 errors

 protected transient ResourceBundle errors

Error strings.

 percent

 protected double percent

The percentage to fade when filtering.

See Also:

getPercent, setPercent

 DarkenFilter

 public DarkenFilter()

Constructs a default DarkenFilter. By default the Image is darkened 50%.

See Also:

DarkenFilter, setPercent

 DarkenFilter

 public DarkenFilter(double percent)

Constructs a DarkenFilter.

Parameters:

percent - the percent to darken the image when filtering.

See Also:

DarkenFilter, setPercent

 filterRGB

 public int filterRGB(int x,
                      int y,
                      int rgb)

Filters an RGB value by the current fade percentage.

Parameters:

x - unused

y - unused

rgb - the rgb value to fade

Returns:

the faded rgb value

Overrides:

filterRGB in class RGBImageFilter

 getPercent

 public double getPercent()

Gets the percentage to fade when filtering.

Returns:

the percentage to fade.

See Also:

setPercent

 setPercent

 public void setPercent(double percent) throws IllegalArgumentException

Sets the percentage to fade when filtering.

Parameters:

percent - the percentage to fade.

Throws: IllegalArgumentException

if the specified percentage value is unacceptable

See Also:

getPercent


 Class symantec.itools.awt.image.FadeFilter

java.lang.Object
   |
   +----java.awt.image.ImageFilter
           |
           +----java.awt.image.RGBImageFilter
                   |
                   +----symantec.itools.awt.image.FadeFilter

public class FadeFilter
   extends RGBImageFilter

An Image filter to use for fading an Image towards a specified Color by a specified percent.

 errors

Error strings.

 percent

The percentage to fade when filtering.

 to_b

The blue value of the color to fade to when filtering.

 to_g

The green value of the color to fade to when filtering.

 to_r

The red value of the color to fade to when filtering.

 FadeFilter()

Constructs a default FadeFilter.

 FadeFilter(Color)

Constructs a FadeFilter.

 FadeFilter(double)

Constructs a FadeFilter.

 FadeFilter(double, Color)

Constructs a FadeFilter.

 filterRGB(int, int, int)

Filters an RGB value using the current fade settings.

 getFadeToColor()

Gets the color used to fade to when filtering.

 getPercent()

Gets the percentage to fade when filtering.

 setFadeToColor(Color)

Sets the color to fade to when filtering.

 setPercent(double)

Sets the percentage to fade when filtering.

 errors

 protected transient ResourceBundle errors

Error strings.

 percent

 protected double percent

The percentage to fade when filtering.

See Also:

getPercent, setPercent

 to_b

 protected int to_b

The blue value of the color to fade to when filtering.

See Also:

getFadeToColor, setFadeToColor

 to_g

 protected int to_g

The green value of the color to fade to when filtering.

See Also:

getFadeToColor, setFadeToColor

 to_r

 protected int to_r

The red value of the color to fade to when filtering.

See Also:

getFadeToColor, setFadeToColor

 FadeFilter

 public FadeFilter()

Constructs a default FadeFilter. By default the Image is faded 50% towards Color.lightGray.

See Also:

FadeFilter, FadeFilter, FadeFilter, setPercent, setFadeToColor

 FadeFilter

 public FadeFilter(Color fadeToColor)

Constructs a FadeFilter. By default the Image is faded 50%.

Parameters:

fadeToColor - the color to fade to

See Also:

FadeFilter, FadeFilter, FadeFilter, setPercent

 FadeFilter

 public FadeFilter(double percent)

Constructs a FadeFilter. By default the Image is faded towards Color.lightGray.

Parameters:

percent - the percent to fade towards the specified color

See Also:

FadeFilter, FadeFilter, FadeFilter, setFadeToColor

 FadeFilter

 public FadeFilter(double percent,
                   Color fadeToColor)

Constructs a FadeFilter.

Parameters:

percent - the percent to fade towards the specified color

fadeToColor - the color to fade to

See Also:

FadeFilter, FadeFilter, FadeFilter

 filterRGB

 public int filterRGB(int x,
                      int y,
                      int rgb)

Filters an RGB value using the current fade settings.

Parameters:

x - unused

y - unused

rgb - the rgb value to fade

Returns:

the faded rgb value

Overrides:

filterRGB in class RGBImageFilter

 getFadeToColor

 public Color getFadeToColor()

Gets the color used to fade to when filtering.

Returns:

the color used to fade to

See Also:

setFadeToColor

 getPercent

 public double getPercent()

Gets the percentage to fade when filtering.

Returns:

the percentage to fade

See Also:

setPercent

 setFadeToColor

 public void setFadeToColor(Color fadeTo)

Sets the color to fade to when filtering.

Parameters:

fadeTo - the color to fade to

See Also:

getFadeToColor

 setPercent

 public void setPercent(double percent) throws IllegalArgumentException

Sets the percentage to fade when filtering.

Parameters:

percent - the percentage to fade

Throws: IllegalArgumentException

if the specified percentage value is unacceptable

See Also:

getPercent


 Class symantec.itools.awt.image.LightenFilter

java.lang.Object
   |
   +----java.awt.image.ImageFilter
           |
           +----java.awt.image.RGBImageFilter
                   |
                   +----symantec.itools.awt.image.LightenFilter

public class LightenFilter
   extends RGBImageFilter

An Image filter to use for lightening an Image a specified percentage.

 errors

Error strings.

 percent

The percentage to lighen when filtering.

 LightenFilter()

Constructs a default LightenFilter.

 LightenFilter(double)

Constructs a LightenFilter.

 filterRGB(int, int, int)

Filters an RGB value by the current lighten percentage.

 getPercent()

Gets the percentage to fade when filtering.

 setPercent(double)

Sets the percentage to fade when filtering.

 errors

 protected transient ResourceBundle errors

Error strings.

 percent

 protected double percent

The percentage to lighen when filtering.

See Also:

getPercent, setPercent

 LightenFilter

 public LightenFilter()

Constructs a default LightenFilter. By default the Image is lightened 50%.

See Also:

LightenFilter, setPercent

 LightenFilter

 public LightenFilter(double percent)

Constructs a LightenFilter.

Parameters:

percent - the percent to lighten the image when filtering.

See Also:

LightenFilter, setPercent

 filterRGB

 public int filterRGB(int x,
                      int y,
                      int rgb)

Filters an RGB value by the current lighten percentage.

Parameters:

x - unused

y - unused

rgb - the rgb value to lighten

Returns:

the lightened rgb value

Overrides:

filterRGB in class RGBImageFilter

 getPercent

 public double getPercent()

Gets the percentage to fade when filtering.

Returns:

the percentage to fade

See Also:

setPercent

 setPercent

 public void setPercent(double percent) throws IllegalArgumentException

Sets the percentage to fade when filtering.

Parameters:

percent - the percentage to fade

Throws: IllegalArgumentException

if the specified percentage value is unacceptable

See Also:

getPercent


 package symantec.itools.awt.multiList

   Cell
   CompareTextAndImageCells
   TextAndImageCell


 Class symantec.itools.awt.multiList.Cell

java.lang.Object
   |
   +----symantec.itools.awt.multiList.Cell

public abstract class Cell
   extends Object

This is a helper class to the MultiList class. All MultiList cells are based on this class.

 Cell()

Constructs a Cell object.

 drawCell(Graphics, int, int, int, int, int, int)

Draws the cell using the given graphics context.

 Cell

 public Cell()

Constructs a Cell object.

 drawCell

 public abstract void drawCell(Graphics g,
                               int align,
                               int x,
                               int y,
                               int w,
                               int h,
                               int asc)

Draws the cell using the given graphics context.

Parameters:

g - the graphics context used for drawing

align - the column alignment, one of LEFT, CENTER, or RIGHT

x - the horizontal cell position, in pixels

y - the vertical cell position, in pixels

w - the width of the cell, in pixels

h - the height of the cell, in pixels

asc - the ascent metric of the cell's font

See Also:

LEFT, CENTER, RIGHT


 Class symantec.itools.awt.multiList.CompareTextAndImageCells

java.lang.Object
   |
   +----symantec.itools.awt.CompareCells
           |
           +----symantec.itools.awt.multiList.CompareTextAndImageCells

public class CompareTextAndImageCells
   extends CompareCells

This is a helper class to the MultiList class. It is used to compare Cells of the MultiList.

 errors

Error strings.

 CompareTextAndImageCells()

Constructs a CompareTextAndImageCells object.

 compareObjects(Object, Object)

Compares the value of two objects.

 errors

 protected transient ResourceBundle errors

Error strings.

 CompareTextAndImageCells

 public CompareTextAndImageCells()

Constructs a CompareTextAndImageCells object.

 compareObjects

 public int compareObjects(Object o1,
                           Object o2)

Compares the value of two objects.

Parameters:

o1 - the first object

o2 - the second object

o1 - the first object

o2 - the second object

Returns:

0 if the object's values are equal, less than 0 if the first object's value is less than the second object's value, and greater than 0 if the first object's value is greater than the second object's value

Overrides:

compareObjects in class CompareCells


 Class symantec.itools.awt.multiList.TextAndImageCell

java.lang.Object
   |
   +----symantec.itools.awt.multiList.Cell
           |
           +----symantec.itools.awt.multiList.TextAndImageCell

public class TextAndImageCell
   extends Cell
   implements ImageObserver, Serializable

This is a helper class to the MultiList class. It contains and draws the image and text of a cell.

 im

This cell's image value.

 list

The MultiList this cell belongs to.

 text

This cell's text value.

 TextAndImageCell(MultiList)

Constructs a default TextAndImageCell.

 TextAndImageCell(MultiList, Image)

Constructs a TextAndImageCell with the given image value.

 TextAndImageCell(MultiList, String)

Constructs a TextAndImageCell with the given text value.

 TextAndImageCell(MultiList, String, Image)

Constructs a TextAndImageCell with the given text and image values.

 drawCell(Graphics, int, int, int, int, int, int)

Draws the cell using the given graphics context.

 getImage()

Returns this cell's image.

 getText()

Returns this cell's text.

 imageUpdate(Image, int, int, int, int, int)

Incrementally updates an image as image data becomes available.

 toString()

Returns a string representation of this component.

 im

 protected transient Image im

This cell's image value.

 list

 protected MultiList list

The MultiList this cell belongs to.

 text

 protected String text

This cell's text value.

 TextAndImageCell

 public TextAndImageCell(MultiList l)

Constructs a default TextAndImageCell.

Parameters:

l - the MultiList this cell is in

 TextAndImageCell

 public TextAndImageCell(MultiList l,
                         Image i)

Constructs a TextAndImageCell with the given image value.

Parameters:

l - the MultiList this cell is in

i - the cell's image value

 TextAndImageCell

 public TextAndImageCell(MultiList l,
                         String s)

Constructs a TextAndImageCell with the given text value.

Parameters:

l - the MultiList this cell is in

s - the cell's text value

 TextAndImageCell

 public TextAndImageCell(MultiList l,
                         String s,
                         Image i)

Constructs a TextAndImageCell with the given text and image values.

Parameters:

l - the MultiList this cell is in

s - the cell's text value

i - the cell's image value

 drawCell

 public void drawCell(Graphics g,
                      int align,
                      int x,
                      int y,
                      int w,
                      int h,
                      int asc)

Draws the cell using the given graphics context.

Parameters:

g - the graphics context used for drawing

align - the column alignment, one of LEFT, CENTER, or RIGHT

x - the horizontal cell position, in pixels

y - the vertical cell position, in pixels

w - the width of the cell, in pixels

h - the height of the cell, in pixels

asc - the ascent metric of the cell's font

Overrides:

drawCell in class Cell

See Also:

LEFT, CENTER, RIGHT

 getImage

 public Image getImage()

Returns this cell's image.

 getText

 public String getText()

Returns this cell's text.

 imageUpdate

 public boolean imageUpdate(Image img,
                            int flags,
                            int x,
                            int y,
                            int w,
                            int h)

Incrementally updates an image as image data becomes available. This is a standard Java AWT method which gets called by the AWT to incrementally draw an image as more image data becomes available.

Parameters:

img - the image being drawn

flags - image update flags (see class ImageObserver)

x - horizontal position, in pixels

y - vertical position, in pixels

w - width, in pixels

h - height, in pixels

Returns:

true if image has been completely loaded

See Also:

ImageObserver, imageUpdate

 toString

 public String toString()

Returns a string representation of this component. This is a standard Java AWT method which gets called to generate a string that represents this component.

Returns:

a meaningful string about this object

Overrides:

toString in class Object


 package symantec.itools.awt.shape

   Circle
   CircleBeanInfo
   Ellipse
   EllipseBeanInfo
   HorizontalLine
   HorizontalLineBeanInfo
   Line
   LineBeanInfo
   Rect
   RectBeanInfo
   Shape
   ShapeBeanInfo
   Square
   SquareBeanInfo
   VerticalLine
   VerticalLineBeanInfo


 Class symantec.itools.awt.shape.Circle

java.lang.Object
   |
   +----java.awt.Component
           |
           +----symantec.itools.awt.shape.Shape
                   |
                   +----symantec.itools.awt.shape.Ellipse
                           |
                           +----symantec.itools.awt.shape.Circle

public class Circle
   extends Ellipse

This is a circle shape component.

 Circle()

Constructs a default Circle.

 reshape(int, int, int, int)

Moves and/or resizes this component.

 Circle

 public Circle()

Constructs a default Circle.

 reshape

 public void reshape(int x,
                     int y,
                     int width,
                     int height)

Moves and/or resizes this component. This is a standard Java AWT method which gets called to move and/or resize this component. Components that are in containers with layout managers should not call this method, but rely on the layout manager instead.

Parameters:

x - horizontal position in the parent's coordinate space

y - vertical position in the parent's coordinate space

width - the new width

height - the new height

Overrides:

reshape in class Shape


 Class symantec.itools.awt.shape.CircleBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.shape.CircleBeanInfo

public class CircleBeanInfo
   extends SimpleBeanInfo

BeanInfo for Circle

 CircleBeanInfo()

Constructs a CircleBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 CircleBeanInfo

 public CircleBeanInfo()

Constructs a CircleBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32


 Class symantec.itools.awt.shape.Ellipse

java.lang.Object
   |
   +----java.awt.Component
           |
           +----symantec.itools.awt.shape.Shape
                   |
                   +----symantec.itools.awt.shape.Ellipse

public class Ellipse
   extends Shape

This class forms the Ellipse shape component.

     See Also:
     Circle

 Ellipse()

Constructs a default Ellipse.

 contains(int, int)

Checks whether this component "contains" the specified (x, y) location, where x and y are defined to be relative to the coordinate system of this component.

 paint(Graphics)

Paints the ellipse using the given graphics context.

 Ellipse

 public Ellipse()

Constructs a default Ellipse.

 contains

 public boolean contains(int x,
                         int y)

Checks whether this component "contains" the specified (x, y) location, where x and y are defined to be relative to the coordinate system of this component.

Parameters:

x - the x coordinate

y - the y coordinate

Overrides:

contains in class Component

See Also:

getComponentAt

 paint

 public void paint(Graphics g)

Paints the ellipse using the given graphics context. This is a standard Java AWT method which typically gets called by the AWT to handle painting this component. It paints this component using the given graphics context. The graphics context clipping region is set to the bounding rectangle of this component and its <0,0> coordinate is this component's top-left corner.

Parameters:

g - the graphics context used for painting

Overrides:

paint in class Shape

See Also:

repaint, update


 Class symantec.itools.awt.shape.EllipseBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.shape.EllipseBeanInfo

public class EllipseBeanInfo
   extends SimpleBeanInfo

BeanInfo for Ellipse.

 EllipseBeanInfo()

Constructs a EllipseBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 EllipseBeanInfo

 public EllipseBeanInfo()

Constructs a EllipseBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32


 Class symantec.itools.awt.shape.HorizontalLine

java.lang.Object
   |
   +----java.awt.Component
           |
           +----symantec.itools.awt.shape.Shape
                   |
                   +----symantec.itools.awt.shape.Rect
                           |
                           +----symantec.itools.awt.shape.HorizontalLine

public class HorizontalLine
   extends Rect

This is a horizontal line component.

 HorizontalLine()

Constructs a default HorizontalLine.

 reshape(int, int, int, int)

Moves and/or resizes this component.

 setBevelStyle(int)

Sets the border style of the shape.

 HorizontalLine

 public HorizontalLine()

Constructs a default HorizontalLine. The line height is 2.

 reshape

 public void reshape(int x,
                     int y,
                     int width,
                     int height)

Moves and/or resizes this component. This is a standard Java AWT method which gets called to move and/or resize this component. Components that are in containers with layout managers should not call this method, but rely on the layout manager instead.

Parameters:

x - horizontal position in the parent's coordinate space

y - vertical position in the parent's coordinate space

width - the new width

height - the new height

Overrides:

reshape in class Shape

 setBevelStyle

 public void setBevelStyle(int s) throws PropertyVetoException

Sets the border style of the shape.

Throws: PropertyVetoException

if the specified property value is unacceptable

Overrides:

setBevelStyle in class Shape

See Also:

getBevelStyle


 Class symantec.itools.awt.shape.HorizontalLineBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.shape.HorizontalLineBeanInfo

public class HorizontalLineBeanInfo
   extends SimpleBeanInfo

BeanInfo for HorizontalLine.

 HorizontalLineBeanInfo()

Constructs a HorizontalLineBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 HorizontalLineBeanInfo

 public HorizontalLineBeanInfo()

Constructs a HorizontalLineBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.shape.Line

java.lang.Object
   |
   +----java.awt.Component
           |
           +----symantec.itools.awt.shape.Line

public class Line
   extends Component

Implements a line than can have a thickness.

 lineThickness

The thickness of the line to draw.

 poly

The polygon that defines the line when lineThickness is larger than 1.

 slopeType

The slope type of the line to be drawn (either positive (true) or negative (false)).

 Line()

Constructs a default Line with positive slope and thickness of 1 pixel.

 addPropertyChangeListener(PropertyChangeListener)

Adds a listener for all property change events.

 addVetoableChangeListener(VetoableChangeListener)

Adds a listener for all vetoable property change events.

 contains(int, int)

Checks whether this component "contains" the specified (x, y) location, where x and y are defined to be relative to the coordinate system of this component.

 getLineThickness()

Gets the thickness of the line to draw.

 getMinimumSize()

Returns the minimum dimensions to properly display this component.

 getPreferredSize()

Returns the recommended dimensions to properly display this component.

 isPositiveSlope()

Gets the slope type of the line to draw.

 paint(Graphics)

Paints the line using the given graphics context.

 removePropertyChangeListener(PropertyChangeListener)

Removes a listener for all property change events.

 removeVetoableChangeListener(VetoableChangeListener)

Removes a listener for all vetoable property change events.

 setLineThickness(int)

Sets the thikcness of the line to draw.

 setPositiveSlope(boolean)

Sets the slope type of the line to draw.

 lineThickness

 protected int lineThickness

The thickness of the line to draw.

 poly

 protected Polygon poly

The polygon that defines the line when lineThickness is larger than 1.

 slopeType

 protected boolean slopeType

The slope type of the line to be drawn (either positive (true) or negative (false)).

 Line

 public Line()

Constructs a default Line with positive slope and thickness of 1 pixel.

 addPropertyChangeListener

 public synchronized void addPropertyChangeListener(PropertyChangeListener listener)

Adds a listener for all property change events.

Parameters:

listener - the listener to add

See Also:

removePropertyChangeListener

 addVetoableChangeListener

 public synchronized void addVetoableChangeListener(VetoableChangeListener listener)

Adds a listener for all vetoable property change events.

Parameters:

listener - the listener to add

See Also:

removeVetoableChangeListener

 contains

 public boolean contains(int x,
                         int y)

Checks whether this component "contains" the specified (x, y) location, where x and y are defined to be relative to the coordinate system of this component.

Parameters:

x - the x coordinate

y - the y coordinate

Overrides:

contains in class Component

See Also:

getComponentAt

 getLineThickness

 public int getLineThickness()

Gets the thickness of the line to draw.

Returns:

the thickness of the line in pixels

See Also:

setLineThickness

 getMinimumSize

 public Dimension getMinimumSize()

Returns the minimum dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the minimum size of this component. Returns the results of a call to getPreferredSize.

Overrides:

getMinimumSize in class Component

See Also:

getPreferredSize

 getPreferredSize

 public Dimension getPreferredSize()

Returns the recommended dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the recommended size of this component.

Returns:

horiziontal and vertical dimensions of 50, 50

Overrides:

getPreferredSize in class Component

See Also:

minimumSize

 isPositiveSlope

 public boolean isPositiveSlope()

Gets the slope type of the line to draw.

Returns:

true if the line will be drawn from the lowwer left corner to the upper right corner. false if the line will be drawn from the upper left corner to the bottom right corner.

See Also:

setPositiveSlope

 paint

 public void paint(Graphics g)

Paints the line using the given graphics context. This is a standard Java AWT method which typically gets called by the AWT to handle painting this component. It paints this component using the given graphics context. The graphics context clipping region is set to the bounding rectangle of this component and its <0,0> coordinate is this component's top-left corner.

Parameters:

g - the graphics context used for painting

Overrides:

paint in class Component

See Also:

repaint, update

 removePropertyChangeListener

 public synchronized void removePropertyChangeListener(PropertyChangeListener listener)

Removes a listener for all property change events.

Parameters:

listener - the listener to remove

See Also:

addPropertyChangeListener

 removeVetoableChangeListener

 public synchronized void removeVetoableChangeListener(VetoableChangeListener listener)

Removes a listener for all vetoable property change events.

Parameters:

listener - the listener to remove

See Also:

addVetoableChangeListener

 setLineThickness

 public void setLineThickness(int thickness) throws PropertyVetoException

Sets the thikcness of the line to draw.

Parameters:

thickness - the thickness of the line in pixels

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getLineThickness

 setPositiveSlope

 public void setPositiveSlope(boolean type) throws PropertyVetoException

Sets the slope type of the line to draw.

Parameters:

type - if the type is true the line will be drawn from the lowwer left corner to the upper right corner. If the type is false, the line will be drawn from the upper left corner to the bottom right corner.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

isPositiveSlope


 Class symantec.itools.awt.shape.LineBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.shape.LineBeanInfo

public class LineBeanInfo
   extends SimpleBeanInfo

BeanInfo for Line.

 LineBeanInfo()

Constructs a LineBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 LineBeanInfo

 public LineBeanInfo()

Constructs a LineBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.shape.Rect

java.lang.Object
   |
   +----java.awt.Component
           |
           +----symantec.itools.awt.shape.Shape
                   |
                   +----symantec.itools.awt.shape.Rect

public class Rect
   extends Shape

This class forms the Rectangle shape component.

     See Also:
     HorizontalLine, Square, VerticalLine

 Rect()

Constructs a default Rectangle.

 contains(int, int)

Checks whether this component "contains" the specified (x, y) location, where x and y are defined to be relative to the coordinate system of this component.

 paint(Graphics)

Paints the rectangle using the given graphics context.

 Rect

 public Rect()

Constructs a default Rectangle.

 contains

 public boolean contains(int x,
                         int y)

Checks whether this component "contains" the specified (x, y) location, where x and y are defined to be relative to the coordinate system of this component.

Parameters:

x - the x coordinate

y - the y coordinate

Overrides:

contains in class Component

See Also:

getComponentAt

 paint

 public void paint(Graphics g)

Paints the rectangle using the given graphics context. This is a standard Java AWT method which typically gets called by the AWT to handle painting this component. It paints this component using the given graphics context. The graphics context clipping region is set to the bounding rectangle of this component and its <0,0> coordinate is this component's top-left corner.

Parameters:

g - the graphics context used for painting

Overrides:

paint in class Shape

See Also:

repaint, update


 Class symantec.itools.awt.shape.RectBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.shape.RectBeanInfo

public class RectBeanInfo
   extends SimpleBeanInfo

BeanInfo for Rect.

 RectBeanInfo()

Constructs a RectBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 RectBeanInfo

 public RectBeanInfo()

Constructs a RectBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32


 Class symantec.itools.awt.shape.Shape

java.lang.Object
   |
   +----java.awt.Component
           |
           +----symantec.itools.awt.shape.Shape

public abstract class Shape
   extends Component
   implements BevelStyle

Abstract class for shape components. This is the parent Shape class for the various shape components.

     See Also:
     Ellipse, Circle, Rectangle, Square, VericalLine, HorizontalLine

 bevelDarkerColor

The color to use as a hilight when BevelStyle is BEVEL_RAISED or BEVEL_LOWERED.

 bevelLighterColor

The color to use as a hilight when BevelStyle is BEVEL_RAISED or BEVEL_LOWERED.

 cachedBackground

Cached value of the background color.

 changes

Handles tracking non-vetoable change listeners and notifying them of each change to this component's properties.

 fill

Shape is filled if true.

 fillColor

Color to fill shape with if fill is true.

 height

Height of this shape.

 style

Border style of this shape.

 vetos

Handles tracking vetoable change listeners and notifying them of each change to this component's properties.

 width

Width of this shape.

 Shape()

Construct default Shape with BEVEL_LINE style.

 addPropertyChangeListener(PropertyChangeListener)

Adds a listener for all property change events.

 addVetoableChangeListener(VetoableChangeListener)

Adds a listener for all vetoable property change events.

 getBevelStyle()

Returns the current style of the shape.

 getFillColor()

Returns the current fill color of the shape.

 getFillMode()

Deprecated.

 getMinimumSize()

Returns the minimum dimensions to properly display this component.

 getPreferredSize()

Returns the recommended dimensions to properly display this component.

 isFillMode()

Returns the current fill mode of the shape.

 paint(Graphics)

Paints this component using the given graphics context.

 preferredSize()

Deprecated.

 removePropertyChangeListener(PropertyChangeListener)

Removes a listener for all property change events.

 removeVetoableChangeListener(VetoableChangeListener)

Removes a listener for all vetoable property change events.

 reshape(int, int, int, int)

Moves and/or resizes this component.

 setBevelStyle(int)

Sets the border style of the shape.

 setFillColor(Color)

Sets the fill color of the shape.

 setFillMode(boolean)

Sets the fill mode of the shape.

 updateBevelColors(Color)

Used to calculate the colors for the different bevel styles.

 bevelDarkerColor

 protected Color bevelDarkerColor

The color to use as a hilight when BevelStyle is BEVEL_RAISED or BEVEL_LOWERED.

 bevelLighterColor

 protected Color bevelLighterColor

The color to use as a hilight when BevelStyle is BEVEL_RAISED or BEVEL_LOWERED.

 cachedBackground

 protected Color cachedBackground

Cached value of the background color. Used to determine if calculated colors need to be updated.

 changes

 protected PropertyChangeSupport changes

Handles tracking non-vetoable change listeners and notifying them of each change to this component's properties.

 fill

 protected boolean fill

Shape is filled if true.

 fillColor

 protected Color fillColor

Color to fill shape with if fill is true.

 height

 protected int height

Height of this shape.

 style

 protected int style

Border style of this shape.

 vetos

 protected VetoableChangeSupport vetos

Handles tracking vetoable change listeners and notifying them of each change to this component's properties.

 width

 protected int width

Width of this shape.

 Shape

 protected Shape()

Construct default Shape with BEVEL_LINE style.

 addPropertyChangeListener

 public synchronized void addPropertyChangeListener(PropertyChangeListener listener)

Adds a listener for all property change events.

Parameters:

listener - the listener to add

See Also:

removePropertyChangeListener

 addVetoableChangeListener

 public synchronized void addVetoableChangeListener(VetoableChangeListener listener)

Adds a listener for all vetoable property change events.

Parameters:

listener - the listener to add

See Also:

removeVetoableChangeListener

 getBevelStyle

 public int getBevelStyle()

Returns the current style of the shape.

See Also:

setBevelStyle

 getFillColor

 public Color getFillColor()

Returns the current fill color of the shape.

See Also:

setFillColor

 getFillMode

 public boolean getFillMode()

Note: getFillMode() is deprecated.

See Also:

isFillMode

 getMinimumSize

 public Dimension getMinimumSize()

Returns the minimum dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the minimum size of this component. Returns the results of a call to getPreferredSize.

Overrides:

getMinimumSize in class Component

See Also:

getPreferredSize

 getPreferredSize

 public Dimension getPreferredSize()

Returns the recommended dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the recommended size of this component.

Returns:

horiziontal and vertical dimensions of 50, 50

Overrides:

getPreferredSize in class Component

See Also:

minimumSize

 isFillMode

 public boolean isFillMode()

Returns the current fill mode of the shape.

See Also:

setFillMode

 paint

 public synchronized void paint(Graphics g)

Paints this component using the given graphics context. This is a standard Java AWT method which typically gets called by the AWT to handle painting this component. It paints this component using the given graphics context. The graphics context clipping region is set to the bounding rectangle of this component and its [0,0] coordinate is this component's top-left corner.

Parameters:

g - the graphics context used for painting

Overrides:

paint in class Component

See Also:

repaint, update

 preferredSize

 public Dimension preferredSize()

Note: preferredSize() is deprecated.

Overrides:

preferredSize in class Component

See Also:

getPreferredSize

 removePropertyChangeListener

 public synchronized void removePropertyChangeListener(PropertyChangeListener listener)

Removes a listener for all property change events.

Parameters:

listener - the listener to remove

See Also:

addPropertyChangeListener

 removeVetoableChangeListener

 public synchronized void removeVetoableChangeListener(VetoableChangeListener listener)

Removes a listener for all vetoable property change events.

Parameters:

listener - the listener to remove

See Also:

addVetoableChangeListener

 reshape

 public void reshape(int x,
                     int y,
                     int width,
                     int height)

Moves and/or resizes this component. This is a standard Java AWT method which gets called to move and/or resize this component. Components that are in containers with layout managers should not call this method, but rely on the layout manager instead.

Parameters:

x - horizontal position in the parent's coordinate space

y - vertical position in the parent's coordinate space

width - the new width

height - the new height

Overrides:

reshape in class Component

 setBevelStyle

 public void setBevelStyle(int s) throws PropertyVetoException

Sets the border style of the shape.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getBevelStyle

 setFillColor

 public void setFillColor(Color color) throws PropertyVetoException

Sets the fill color of the shape.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getFillColor

 setFillMode

 public void setFillMode(boolean f) throws PropertyVetoException

Sets the fill mode of the shape.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

isFillMode

 updateBevelColors

 protected void updateBevelColors(Color c)

Used to calculate the colors for the different bevel styles.

Parameters:

c - The color of the background to make bevel colors from.

See Also:

addNotify, setBackground


 Class symantec.itools.awt.shape.ShapeBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.shape.ShapeBeanInfo

public class ShapeBeanInfo
   extends SimpleBeanInfo

BeanInfo for Shape.

 ShapeBeanInfo()

Constructs a ShapeBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 ShapeBeanInfo

 public ShapeBeanInfo()

Constructs a ShapeBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.shape.Square

java.lang.Object
   |
   +----java.awt.Component
           |
           +----symantec.itools.awt.shape.Shape
                   |
                   +----symantec.itools.awt.shape.Rect
                           |
                           +----symantec.itools.awt.shape.Square

public class Square
   extends Rect

This is a square shape component.

 Square()

Constructs a default Square.

 reshape(int, int, int, int)

Moves and/or resizes this component.

 Square

 public Square()

Constructs a default Square.

 reshape

 public void reshape(int x,
                     int y,
                     int width,
                     int height)

Moves and/or resizes this component. This is a standard Java AWT method which gets called to move and/or resize this component. Components that are in containers with layout managers should not call this method, but rely on the layout manager instead.

Parameters:

x - horizontal position in the parent's coordinate space

y - vertical position in the parent's coordinate space

width - the new width

height - the new height

Overrides:

reshape in class Shape


 Class symantec.itools.awt.shape.SquareBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.shape.SquareBeanInfo

public class SquareBeanInfo
   extends SimpleBeanInfo

BeanInfo for Square.

 SquareBeanInfo()

Constructs a SquareBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 SquareBeanInfo

 public SquareBeanInfo()

Constructs a SquareBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32


 Class symantec.itools.awt.shape.VerticalLine

java.lang.Object
   |
   +----java.awt.Component
           |
           +----symantec.itools.awt.shape.Shape
                   |
                   +----symantec.itools.awt.shape.Rect
                           |
                           +----symantec.itools.awt.shape.VerticalLine

public class VerticalLine
   extends Rect

This is a vertical line component.

 VerticalLine()

Constructs a default VerticalLine.

 reshape(int, int, int, int)

Moves and/or resizes this component.

 setBevelStyle(int)

Sets the border style of the shape.

 VerticalLine

 public VerticalLine()

Constructs a default VerticalLine. The line width is 2.

 reshape

 public void reshape(int x,
                     int y,
                     int width,
                     int height)

Moves and/or resizes this component. This is a standard Java AWT method which gets called to move and/or resize this component. Components that are in containers with layout managers should not call this method, but rely on the layout manager instead.

Parameters:

x - horizontal position in the parent's coordinate space

y - vertical position in the parent's coordinate space

width - the new width

height - the new height

Overrides:

reshape in class Shape

 setBevelStyle

 public void setBevelStyle(int s) throws PropertyVetoException

Sets the border style of the shape.

Throws: PropertyVetoException

if the specified property value is unacceptable

Overrides:

setBevelStyle in class Shape

See Also:

getBevelStyle


 Class symantec.itools.awt.shape.VerticalLineBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.shape.VerticalLineBeanInfo

public class VerticalLineBeanInfo
   extends SimpleBeanInfo

BeanInfo for VerticalLine.

 VerticalLineBeanInfo()

Constructs a VerticalLineBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 VerticalLineBeanInfo

 public VerticalLineBeanInfo()

Constructs a VerticalLineBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 package symantec.itools.awt.util

   Calendar
   CalendarBeanInfo
   ColorUtils
   ProgressBar
   ProgressBarBeanInfo
   StatusScroller
   StatusScrollerBeanInfo
   ToolBarPanel
   ToolBarPanelBeanInfo
   ToolBarSpacer
   ToolBarSpacerBeanInfo
   Util


 Class symantec.itools.awt.util.Calendar

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Container
                   |
                   +----java.awt.Panel
                           |
                           +----symantec.itools.awt.util.Calendar

public class Calendar
   extends Panel

Calendar component. Creates a graphic calendar displaying a month of dates. A combo box controls the month displayed, a numeric spin control changes the year displayed.

 bNeedsPlatformHelp

True if the ComboBox needs help changing state.

 cal

Not used.

 centerNumber

Internal drawing calibration value.

 combo

The ComboBox that displays/controls the month.

 dateSelectedx

The column index of the currently selected day.

 dateSelectedy

The row index of the currently selected day.

 dCurrent

The date that the calendar is set to.

 dLast

The current date when the Calendar was last painted.

 edgePad

The number of pixels to offset the internal components from the edges.

 firstDay

The day of the week the month starts on.

 heightAdjust

Internal drawing calibration value.

 lastSelectedDate

The day selected when the Caledar was last painted.

 maxMonthx

The column index of the last day in the month.

 maxMonthy

The row index of the last day in the month.

 numberAdjust

Internal drawing calibration value.

 sc

The spinner that displays/controls the year.

 selectedColor

The color used to highlight the selected date on the calendar.

 selectHeight

Internal drawing calibration value.

 topRow

Internal drawing calibration value.

 Calendar()

Creates a default calendar with today's date initialized.

 Calendar(Date)

Creates a calendar with the specified date initialized.

 addActionListener(ActionListener)

Adds the specified action listener to receive action events from this button.

 addNotify()

Tells this component that it has been added to a container.

 addPropertyChangeListener(PropertyChangeListener)

Adds a listener for all property change events.

 addVetoableChangeListener(VetoableChangeListener)

Adds a listener for all vetoable property change events.

 getActionCommand()

 getDate()

Returns the date that the calendar is set to.

 getSelectedColor()

Returns the color that highlights the selected date on the calendar.

 minimumSize()

Returns the minimum dimensions to properly display this component.

 paint(Graphics)

Paints this component using the given graphics context.

 preferredSize()

Returns the recommended dimensions to properly display this component.

 removeActionListener(ActionListener)

Removes the specified action listener so it no longer receives action events from this button.

 removeNotify()

Tells this component that it is being removed from a container.

 removePropertyChangeListener(PropertyChangeListener)

Removes a listener for all property change events.

 removeVetoableChangeListener(VetoableChangeListener)

Removes a listener for all vetoable property change events.

 setActionCommand(String)

Sets the command name of the action event fired by this button.

 setDate(String)

Sets the date selected on the calendar.

 setLayout(LayoutManager)

Takes no action.

 setSelectedColor(Color)

Sets the color used to highlight the selected date on the calendar.

 sourceActionEvent()

Fire an action event to the listeners

 update(Graphics)

Handles redrawing of this component on the screen.

 bNeedsPlatformHelp

 protected boolean bNeedsPlatformHelp

True if the ComboBox needs help changing state.

See Also:

combo, needsPlatformHelp

 cal

 protected String cal[][]

Not used.

 centerNumber

 protected int centerNumber

Internal drawing calibration value.

 combo

 protected ComboBox combo

The ComboBox that displays/controls the month.

 dateSelectedx

 protected int dateSelectedx

The column index of the currently selected day.

 dateSelectedy

 protected int dateSelectedy

The row index of the currently selected day.

 dCurrent

 protected Date dCurrent

The date that the calendar is set to.

See Also:

setDate, getDate

 dLast

 protected Date dLast

The current date when the Calendar was last painted.

 edgePad

 protected int edgePad

The number of pixels to offset the internal components from the edges.

 firstDay

 protected int firstDay

The day of the week the month starts on.

 heightAdjust

 protected int heightAdjust

Internal drawing calibration value.

 lastSelectedDate

 protected int lastSelectedDate

The day selected when the Caledar was last painted.

 maxMonthx

 protected int maxMonthx

The column index of the last day in the month.

 maxMonthy

 protected int maxMonthy

The row index of the last day in the month.

 numberAdjust

 protected int numberAdjust

Internal drawing calibration value.

 sc

 protected NumericSpinner sc

The spinner that displays/controls the year.

 selectedColor

 protected Color selectedColor

The color used to highlight the selected date on the calendar.

See Also:

setSelectedColor, getSelectedColor

 selectHeight

 protected int selectHeight

Internal drawing calibration value. The height of a selected area in the Calendar, in pixels.

 topRow

 protected int topRow

Internal drawing calibration value. The height of the topmost row of the Calendar, in pixels.

 Calendar

 public Calendar()

Creates a default calendar with today's date initialized.

 Calendar

 public Calendar(Date defaultdate)

Creates a calendar with the specified date initialized.

Parameters:

defaultdate - the date to be shown initially

 addActionListener

 public synchronized void addActionListener(ActionListener l)

Adds the specified action listener to receive action events from this button.

Parameters:

l - the action listener

 addNotify

 public synchronized void addNotify()

Tells this component that it has been added to a container. This is a standard Java AWT method which gets called by the AWT when this component is added to a container. Typically, it is used to create this component's peer. It has been overridden here to hook-up event listeners.

Overrides:

addNotify in class Panel

See Also:

removeNotify

 addPropertyChangeListener

 public synchronized void addPropertyChangeListener(PropertyChangeListener listener)

Adds a listener for all property change events.

Parameters:

listener - the listener to add

See Also:

removePropertyChangeListener

 addVetoableChangeListener

 public synchronized void addVetoableChangeListener(VetoableChangeListener listener)

Adds a listener for all vetoable property change events.

Parameters:

listener - the listener to add

See Also:

removeVetoableChangeListener

 getActionCommand

 public String getActionCommand()

Returns:

s the command name of the action event fired by this button.

 getDate

 public String getDate()

Returns the date that the calendar is set to.

Returns:

the current value of the calendar.

 getSelectedColor

 public Color getSelectedColor()

Returns the color that highlights the selected date on the calendar.

Returns:

the current selected color.

 minimumSize

 public Dimension minimumSize()

Returns the minimum dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the minimum size of this component.

Returns:

the minimum dimensions needed for the calender (250 x 200 pixels).

Overrides:

minimumSize in class Container

See Also:

preferredSize

 paint

 public void paint(Graphics g)

Paints this component using the given graphics context. This is a standard Java AWT method which typically gets called by the AWT to handle painting this component. It paints this component using the given graphics context. The graphics context clipping region is set to the bounding rectangle of this component and its <0,0> coordinate is this component's top-left corner.

Parameters:

g - the graphics context used for painting

Overrides:

paint in class Container

See Also:

repaint, update

 preferredSize

 public Dimension preferredSize()

Returns the recommended dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the recommended size of this component.

Returns:

the preferred dimensions for the calender (250 x 200 pixels).

Overrides:

preferredSize in class Container

See Also:

minimumSize

 removeActionListener

 public synchronized void removeActionListener(ActionListener l)

Removes the specified action listener so it no longer receives action events from this button.

Parameters:

l - the action listener

 removeNotify

 public synchronized void removeNotify()

Tells this component that it is being removed from a container. This is a standard Java AWT method which gets called by the AWT when this component is removed from a container. Typically, it is used to destroy the peers of this component and all its subcomponents. It has been overridden here to unhook event listeners.

Overrides:

removeNotify in class Container

See Also:

addNotify

 removePropertyChangeListener

 public synchronized void removePropertyChangeListener(PropertyChangeListener listener)

Removes a listener for all property change events.

Parameters:

listener - the listener to remove

See Also:

addPropertyChangeListener

 removeVetoableChangeListener

 public synchronized void removeVetoableChangeListener(VetoableChangeListener listener)

Removes a listener for all vetoable property change events.

Parameters:

listener - the listener to remove

See Also:

addVetoableChangeListener

 setActionCommand

 public void setActionCommand(String command) throws PropertyVetoException

Sets the command name of the action event fired by this button.

Parameters:

command - The name of the action event command fired by this button

Throws: PropertyVetoException

if the specified property value is unacceptable

 setDate

 public void setDate(String date) throws PropertyVetoException

Sets the date selected on the calendar.

Parameters:

date - the date that the calendar is to be set to

Throws: PropertyVetoException

if the specified property value is unacceptable

 setLayout

 public void setLayout(LayoutManager lm)

Takes no action. This is a standard Java AWT method which gets called to specify which layout manager should be used to layout the components in standard containers. Since layout managers CANNOT BE USED with this container the standard setLayout has been OVERRIDDEN for this container and does nothing.

Parameters:

lm - the layout manager to use to layout this container's components (IGNORED)

Overrides:

setLayout in class Container

See Also:

getLayout

 setSelectedColor

 public void setSelectedColor(Color c) throws PropertyVetoException

Sets the color used to highlight the selected date on the calendar.

Parameters:

c - the color that the selected color is to be set to

Throws: PropertyVetoException

if the specified property value is unacceptable

 sourceActionEvent

 public void sourceActionEvent()

Fire an action event to the listeners

 update

 public void update(Graphics g)

Handles redrawing of this component on the screen. This is a standard Java AWT method which gets called by the Java AWT (repaint()) to handle repainting this component on the screen. The graphics context clipping region is set to the bounding rectangle of this component and its <0,0> coordinate is this component's top-left corner. Typically this method paints the background color to clear the component's drawing space, sets graphics context to be the foreground color, and then calls paint() to draw the component. It is overridden here to reduce flicker by eliminating the uneeded clearing of the background.

Parameters:

g - the graphics context

Overrides:

update in class Container

See Also:

repaint, paint


 Class symantec.itools.awt.util.CalendarBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.util.CalendarBeanInfo

public class CalendarBeanInfo
   extends SimpleBeanInfo

BeanInfo for Calendar.

 CalendarBeanInfo()

Constructs a CalendarBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 CalendarBeanInfo

 public CalendarBeanInfo()

Constructs a CalendarBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getDefaultPropertyIndex

 public int getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

Overrides:

getDefaultPropertyIndex in class SimpleBeanInfo

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.util.ColorUtils

java.lang.Object
   |
   +----symantec.itools.awt.util.ColorUtils

public class ColorUtils
   extends Object

Many useful color related utility functions for color manipulation.

 ColorUtils()

Do not use, this is an all-static class.

 calculateHilightColor(Color)

Used to calculate a hilight color from a given color.

 calculateShadowColor(Color)

Used to calculate a shadow color from a given color.

 darken(Color, double)

Darkens a given color by the specified percentage.

 darken(int, int, int, double)

Darkens a given color by the specified percentage.

 fade(Color, Color, double)

Fades from one color to another by the given percentage.

 lighten(Color, double)

Lightens a given color by the specified percentage.

 lighten(int, int, int, double)

Lightens a given color by the specified percentage.

 lightness(Color)

Given a Color this function determines the lightness percent.

 ColorUtils

 public ColorUtils()

Do not use, this is an all-static class.

 calculateHilightColor

 public static Color calculateHilightColor(Color c)

Used to calculate a hilight color from a given color.

Parameters:

c - The color to use in the calculation. If null, then it will return null.

Returns:

the newly calculated hilight color.

 calculateShadowColor

 public static Color calculateShadowColor(Color c)

Used to calculate a shadow color from a given color.

Parameters:

c - The color to use in the calculation If null, then it will return null.

Returns:

the newly calculated shadow color.

 darken

 public static Color darken(Color c,
                            double percent) throws IllegalArgumentException

Darkens a given color by the specified percentage.

Parameters:

to - the Color to darken.

percent - percentage to darken. Needs to be <= 1 && >= 0.

Returns:

a new Color with the desired characteristics.

Throws: IllegalArgumentException

if the specified percentage value is unacceptable

 darken

 public static Color darken(int r,
                            int g,
                            int b,
                            double percent) throws IllegalArgumentException

Darkens a given color by the specified percentage.

Parameters:

r - The red component of the color to darken.

g - The green component of the color to darken.

b - The blue component of the color to darken.

percent - percentage to darken. Needs to be <= 1 && >= 0.

Returns:

a new Color with the desired characteristics.

Throws: IllegalArgumentException

if the specified percentage value is unacceptable

 fade

 public static Color fade(Color from,
                          Color to,
                          double percent) throws IllegalArgumentException

Fades from one color to another by the given percentage.

Parameters:

from - the Color to fade from.

to - the Color to fade to.

percent - percentage to fade. Needs to be <= 1 && >= 0.

Returns:

a new Color with the desired characteristics.

Throws: IllegalArgumentException

if the specified percentage value is unacceptable

 lighten

 public static Color lighten(Color c,
                             double percent) throws IllegalArgumentException

Lightens a given color by the specified percentage.

Parameters:

to - the Color to lighten.

percent - percentage to lighten. Needs to be <= 1 && >= 0.

Returns:

a new Color with the desired characteristics.

Throws: IllegalArgumentException

if the specified percentage value is unacceptable

 lighten

 public static Color lighten(int r,
                             int g,
                             int b,
                             double percent) throws IllegalArgumentException

Lightens a given color by the specified percentage.

Parameters:

r - The red component of the color to lighten.

g - The green component of the color to lighten.

b - The blue component of the color to lighten.

percent - percentage to lighten. Needs to be <= 1 && >= 0.

Returns:

a new Color with the desired characteristics.

Throws: IllegalArgumentException

if the specified percentage value is unacceptable

 lightness

 public static double lightness(Color c)

Given a Color this function determines the lightness percent.

Parameters:

c - The Color to calculate from. If null, it will return 0.

Returns:

the percent light of the specified color. This value will be >= 0 && <= 1.


 Class symantec.itools.awt.util.ProgressBar

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Canvas
                   |
                   +----symantec.itools.awt.util.ProgressBar

public class ProgressBar
   extends Canvas
   implements BevelStyle, AlignStyle

ProgressBar component. Creates a bar that displays a percentage. Commonly used to indicate the percentage completed of a lengthy task.

 align

The value of the Alignment Style property.

 bDrawBoxes

The value of the Draw Boxes property.

 bevelDarkerColor

The color to use as a hilight when BevelStyle is BEVEL_RAISED or BEVEL_LOWERED.

 bevelLighterColor

The color to use as a hilight when BevelStyle is BEVEL_RAISED or BEVEL_LOWERED.

 borderColor

The value of the Border Color property.

 boxWidth

The value of the Box Width property.

 bShowProgress

The value of the Show Progress property.

 bufferImage

The offscreen buffer to draw the button in.

 cachedBackground

Cached value of the background color.

 gapWidth

The value of the Gap Width property.

 indent

The value of the Border Indent property.

 INDENT_ONE

Border Indent constant INDENT_ONE.

 INDENT_TWO

Border Indent constant INDENT_TWO.

 INDENT_ZERO

Border Indent constant INDENT_ZERO.

 progress

The value of the Progress Percent property.

 progressColor

The value of the Progress Bar Color property.

 type

The value of the Bevel Style property.

 ProgressBar()

Constructs a progress bar with a centered progress %, line border and zero indentation.

 ProgressBar(int, int, int)

Constructs a progress bar with the style and indentation variables specified.

 addBoxWidthListener(PropertyChangeListener)

Adds a listener for the BoxWidth property changes.

 addBoxWidthListener(VetoableChangeListener)

Adds a vetoable listener for the BoxWidth property changes.

 addGapWidthListener(PropertyChangeListener)

Adds a listener for the GapWidth property changes.

 addGapWidthListener(VetoableChangeListener)

Adds a vetoable listener for the GapWidth property changes.

 addNotify()

Tells this component that it has been added to a container.

 addPropertyChangeListener(PropertyChangeListener)

Adds a listener for all event changes.

 addVetoableChangeListener(VetoableChangeListener)

Adds a vetoable listener for all event changes.

 calculateHilightColors(Color)

Used to calculate the hilight colors from the background color.

 getAlignStyle()

Get the current style of the progress bar's alignment

 getBevelStyle()

Get the current style of the progress bar's border

 getBorderColor()

Get the color for the border of BEVEL_LINE style ProgressBar.

 getBorderedColor()

Deprecated.

 getBorderIndent()

Get the border indent amount.

 getBoxWidth()

Get the width of the boxes drawn for the progress bar.

 getDrawBoxes()

 getGapWidth()

Get the gap width of the boxes drawn for the progress bar.

 getMinimumSize()

Returns the minimum dimensions to properly display this component.

 getPreferredSize()

Returns the recommended dimensions to properly display this component.

 getProgressBarColor()

Get the color that the progress bar will be drawing in.

 getProgressBarTextColor()

Deprecated.

 getProgressPercent()

Get the current percentage complete.

 getShowProgress()

 getValue()

Get the current percentage complete.

 isBufferImageInvalid()

Returns true if a buffer image has been set, but it is not the size of this component.

 isDrawBoxes()

Get the boolean that controls the drawing of the progress bar as a series of boxes.

 isShowProgress()

Get the boolean that controls the display of the progress number as a percentage.

 isValidBoxWidth(int)

Is the given box width valid for this component.

 isValidGapWidth(int)

Is the given gap width valid for this component.

 minimumSize()

Deprecated.

 paint(Graphics)

Paints this component using the given graphics context.

 preferredSize()

Deprecated.

 removeBoxWidthListener(PropertyChangeListener)

Removes a listener for the BoxWidth property changes.

 removeBoxWidthListener(VetoableChangeListener)

Removes a vetoable listener for the BoxWidth property changes.

 removeGapWidthListener(PropertyChangeListener)

Removes a listener for the GapWidth property changes.

 removeGapWidthListener(VetoableChangeListener)

Removes a vetoable listener for the GapWidth property changes.

 removeNotify()

Tells this component that it is being removed from a container.

 removePropertyChangeListener(PropertyChangeListener)

Removes a listener for all event changes.

 removeVetoableChangeListener(VetoableChangeListener)

Removes a vetoable listener for all event changes.

 setAlignStyle(int)

Set the style of the progress bar's alignment.

 setBevelStyle(int)

Set the style of the progress bar's border.

 setBorderColor(Color)

Set the color for the border of BEVEL_LINE style ProgressBar.

 setBorderedColor(Color)

Deprecated.

 setBorderIndent(int)

Set the border indent amount.

 setBorderIndent(int, boolean)

Set the border indent amount and optionally repaint.

 setBoxWidth(int)

Set the width of the boxes drawn for the progress bar.

 setDrawBoxes(boolean)

Set the boolean that controls the drawing of the progress bar as a series of boxes.

 setGapWidth(int)

Set the gap width between boxes drawn for the progress bar.

 setProgressBarColor(Color)

Set the color that the progress bar will be drawn in.

 setProgressBarTextColor(Color)

Deprecated.

 setProgressPercent(int)

Set the percentage complete for the process being tracked.

 setShowProgress(boolean)

Set the boolean that controls the display of the progress number as an percentage.

 setValue(int)

Set the current percentage complete.

 update(Graphics)

Handles redrawing of this component on the screen.

 updateBufferImage()

Maintains the bufferImage size and draws the button in the bufferImage offscreen image.

 updateProgress(int)

Deprecated.

 align

 protected int align

The value of the Alignment Style property.

 bDrawBoxes

 protected boolean bDrawBoxes

The value of the Draw Boxes property.

 bevelDarkerColor

 protected Color bevelDarkerColor

The color to use as a hilight when BevelStyle is BEVEL_RAISED or BEVEL_LOWERED.

 bevelLighterColor

 protected Color bevelLighterColor

The color to use as a hilight when BevelStyle is BEVEL_RAISED or BEVEL_LOWERED.

 borderColor

 protected Color borderColor

The value of the Border Color property.

 boxWidth

 protected int boxWidth

The value of the Box Width property.

 bShowProgress

 protected boolean bShowProgress

The value of the Show Progress property.

 bufferImage

 protected transient Image bufferImage

The offscreen buffer to draw the button in.

 cachedBackground

 protected Color cachedBackground

Cached value of the background color. Used to determine if calculated colors need to be updated.

 gapWidth

 protected int gapWidth

The value of the Gap Width property.

 indent

 protected int indent

The value of the Border Indent property.

 INDENT_ONE

 public static final int INDENT_ONE

Border Indent constant INDENT_ONE.

 INDENT_TWO

 public static final int INDENT_TWO

Border Indent constant INDENT_TWO.

 INDENT_ZERO

 public static final int INDENT_ZERO

Border Indent constant INDENT_ZERO.

 progress

 protected int progress

The value of the Progress Percent property.

 progressColor

 protected Color progressColor

The value of the Progress Bar Color property.

 type

 protected int type

The value of the Bevel Style property.

 ProgressBar

 public ProgressBar()

Constructs a progress bar with a centered progress %, line border and zero indentation.

 ProgressBar

 public ProgressBar(int align,
                    int bevel,
                    int indent)

Constructs a progress bar with the style and indentation variables specified. The default parameters are the border color and progress % color as black, the progress bar color as blue.

Parameters:

align - progress bar alignment style

bevel - progress bar bevel style

indent - border indent INDENT_ZERO, INDENT_ONE, or INDENT_TWO

 addBoxWidthListener

 public synchronized void addBoxWidthListener(PropertyChangeListener listener)

Adds a listener for the BoxWidth property changes.

Parameters:

listener - the listener to add.

See Also:

removeBoxWidthListener

 addBoxWidthListener

 public synchronized void addBoxWidthListener(VetoableChangeListener listener)

Adds a vetoable listener for the BoxWidth property changes.

Parameters:

listener - the listener to add.

See Also:

removeBoxWidthListener

 addGapWidthListener

 public synchronized void addGapWidthListener(PropertyChangeListener listener)

Adds a listener for the GapWidth property changes.

Parameters:

listener - the listener to add.

See Also:

removeGapWidthListener

 addGapWidthListener

 public synchronized void addGapWidthListener(VetoableChangeListener listener)

Adds a vetoable listener for the GapWidth property changes.

Parameters:

listener - the listener to add.

See Also:

removeGapWidthListener

 addNotify

 public synchronized void addNotify()

Tells this component that it has been added to a container. This is a standard Java AWT method which gets called by the AWT when this component is added to a container. Typically, it is used to create this component's peer. It has been overridden here to hook-up event listeners.

Overrides:

addNotify in class Canvas

See Also:

removeNotify

 addPropertyChangeListener

 public synchronized void addPropertyChangeListener(PropertyChangeListener listener)

Adds a listener for all event changes.

Parameters:

PropertyChangeListener - listener the listener to add.

See Also:

removePropertyChangeListener

 addVetoableChangeListener

 public synchronized void addVetoableChangeListener(VetoableChangeListener listener)

Adds a vetoable listener for all event changes.

Parameters:

VetoableChangeListener - listener the listener to add.

See Also:

removeVetoableChangeListener

 calculateHilightColors

 protected void calculateHilightColors(Color c)

Used to calculate the hilight colors from the background color.

See Also:

paint

 getAlignStyle

 public int getAlignStyle()

Get the current style of the progress bar's alignment

Returns:

int the style numeric value indicating progress bar's alignment

See Also:

setAlignStyle

 getBevelStyle

 public int getBevelStyle()

Get the current style of the progress bar's border

Returns:

int the style numeric value indicating progress bar's border, such as BEVEL_LOWERED

See Also:

setBevelStyle

 getBorderColor

 public Color getBorderColor()

Get the color for the border of BEVEL_LINE style ProgressBar. This will not be used for other styles.

Returns:

Color that the border will be drawn in.

See Also:

setBorderColor

 getBorderedColor

 public Color getBorderedColor()

Note: getBorderedColor() is deprecated.

See Also:

getBorderColor

 getBorderIndent

 public int getBorderIndent()

Get the border indent amount. The default value is INDENT_ZERO.

Returns:

int INDENT_ZERO, INDENT_ONE or INDENT_TWO

See Also:

setBorderIndent

 getBoxWidth

 public int getBoxWidth()

Get the width of the boxes drawn for the progress bar. The default value is 8 pixels.

Returns:

int the pixel width of the boxes in the progress bar.

See Also:

setBoxWidth

 getDrawBoxes

 public boolean getDrawBoxes()

See Also:

isDrawBoxes

 getGapWidth

 public int getGapWidth()

Get the gap width of the boxes drawn for the progress bar. The default value is 2 pixels.

Returns:

i the pixel width of the gap between boxes in the progress bar.

See Also:

setBoxWidth, setGapWidth

 getMinimumSize

 public Dimension getMinimumSize()

Returns the minimum dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the minimum size of this component.

Overrides:

getMinimumSize in class Component

See Also:

getPreferredSize

 getPreferredSize

 public Dimension getPreferredSize()

Returns the recommended dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the recommended size of this component.

Overrides:

getPreferredSize in class Component

See Also:

getMinimumSize

 getProgressBarColor

 public Color getProgressBarColor()

Get the color that the progress bar will be drawing in. The default color is blue.

Returns:

Color that the Progress Bar will be drawn in.

See Also:

setProgressBarColor

 getProgressBarTextColor

 public Color getProgressBarTextColor()

Note: getProgressBarTextColor() is deprecated.

See Also:

getForeground

 getProgressPercent

 public int getProgressPercent()

Get the current percentage complete.

Returns:

int - current percentage complete

See Also:

setProgressPercent

 getShowProgress

 public boolean getShowProgress()

See Also:

isShowProgress

 getValue

 public int getValue()

Get the current percentage complete.

Returns:

int - current percentage complete

See Also:

setValue

 isBufferImageInvalid

 protected boolean isBufferImageInvalid()

Returns true if a buffer image has been set, but it is not the size of this component.

 isDrawBoxes

 public boolean isDrawBoxes()

Get the boolean that controls the drawing of the progress bar as a series of boxes. The default value is false.

Returns:

boolean indicating if the bar should be composed of multiple boxes.

See Also:

setDrawBoxes

 isShowProgress

 public boolean isShowProgress()

Get the boolean that controls the display of the progress number as a percentage. The default value is true

Returns:

boolean indicating if the number should be displayed.

See Also:

setShowProgress

 isValidBoxWidth

 protected boolean isValidBoxWidth(int i)

Is the given box width valid for this component.

Parameters:

i - the given box width

Returns:

true if the given box width is acceptable, false if not.

 isValidGapWidth

 protected boolean isValidGapWidth(int i)

Is the given gap width valid for this component.

Parameters:

i - the given gap width

Returns:

true if the given gap width is acceptable, false if not.

 minimumSize

 public Dimension minimumSize()

Note: minimumSize() is deprecated.

Overrides:

minimumSize in class Component

See Also:

getMinimumSize

 paint

 public void paint(Graphics g)

Paints this component using the given graphics context. This is a standard Java AWT method which typically gets called by the AWT to handle painting this component. It paints this component using the given graphics context. The graphics context clipping region is set to the bounding rectangle of this component and its <0,0> coordinate is this component's top-left corner.

Parameters:

g - the graphics context used for painting

Overrides:

paint in class Canvas

See Also:

repaint, update

 preferredSize

 public Dimension preferredSize()

Note: preferredSize() is deprecated.

Overrides:

preferredSize in class Component

See Also:

getPreferredSize

 removeBoxWidthListener

 public synchronized void removeBoxWidthListener(PropertyChangeListener listener)

Removes a listener for the BoxWidth property changes.

Parameters:

listener - the listener to remove.

See Also:

addBoxWidthListener

 removeBoxWidthListener

 public synchronized void removeBoxWidthListener(VetoableChangeListener listener)

Removes a vetoable listener for the BoxWidth property changes.

Parameters:

listener - the listener to remove.

See Also:

addBoxWidthListener

 removeGapWidthListener

 public synchronized void removeGapWidthListener(PropertyChangeListener listener)

Removes a listener for the GapWidth property changes.

Parameters:

listener - the listener to remove.

See Also:

addGapWidthListener

 removeGapWidthListener

 public synchronized void removeGapWidthListener(VetoableChangeListener listener)

Removes a vetoable listener for the GapWidth property changes.

Parameters:

listener - the listener to remove.

See Also:

addGapWidthListener

 removeNotify

 public synchronized void removeNotify()

Tells this component that it is being removed from a container. This is a standard Java AWT method which gets called by the AWT when this component is removed from a container. Typically, it is used to destroy the peers of this component and all its subcomponents. It has been overridden here to unhook event listeners.

Overrides:

removeNotify in class Component

See Also:

addNotify

 removePropertyChangeListener

 public synchronized void removePropertyChangeListener(PropertyChangeListener listener)

Removes a listener for all event changes.

Parameters:

PropertyChangeListener - listener the listener to remove.

See Also:

addPropertyChangeListener

 removeVetoableChangeListener

 public synchronized void removeVetoableChangeListener(VetoableChangeListener listener)

Removes a vetoable listener for all event changes.

Parameters:

VetoableChangeListener - listener the listener to remove.

See Also:

addVetoableChangeListener

 setAlignStyle

 public void setAlignStyle(int style) throws PropertyVetoException

Set the style of the progress bar's alignment.

Parameters:

style - numeric value indicating the progress bar's alignment

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getAlignStyle

 setBevelStyle

 public void setBevelStyle(int style) throws PropertyVetoException

Set the style of the progress bar's border.

Parameters:

style - numeric value indicating the progress bar's style

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getBevelStyle

 setBorderColor

 public void setBorderColor(Color color) throws PropertyVetoException

Set the color for the border of BEVEL_LINE style ProgressBar. This will not be used for other styles.

Parameters:

color - color that the border will be drawn in.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getBorderColor

 setBorderedColor

 public void setBorderedColor(Color color) throws PropertyVetoException

Note: setBorderedColor() is deprecated.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setBorderColor

 setBorderIndent

 public void setBorderIndent(int indent) throws PropertyVetoException

Set the border indent amount.

Parameters:

indent - INDENT_ZERO, INDENT_ONE or INDENT_TWO

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getBorderIndent, setBorderIndent

 setBorderIndent

 protected void setBorderIndent(int indent,
                                boolean bRepaint) throws PropertyVetoException

Set the border indent amount and optionally repaint.

Parameters:

indent - INDENT_ZERO, INDENT_ONE or INDENT_TWO

bRepaint - if true, causes a repaint to occur.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getBorderIndent, setBorderIndent

 setBoxWidth

 public void setBoxWidth(int i) throws PropertyVetoException

Set the width of the boxes drawn for the progress bar.

Parameters:

i - the pixel width of the boxes in the progress bar.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getBoxWidth

 setDrawBoxes

 public void setDrawBoxes(boolean b) throws PropertyVetoException

Set the boolean that controls the drawing of the progress bar as a series of boxes.

Parameters:

b - indicating if the bar should be composed of multiple boxes.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getDrawBoxes

 setGapWidth

 public void setGapWidth(int i) throws PropertyVetoException

Set the gap width between boxes drawn for the progress bar.

Parameters:

i - the pixel width of the boxes in the progress bar.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getBoxWidth, getGapWidth

 setProgressBarColor

 public void setProgressBarColor(Color c) throws PropertyVetoException

Set the color that the progress bar will be drawn in.

Parameters:

color - the color that the progress bar will be drawn in.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getProgressBarColor

 setProgressBarTextColor

 public void setProgressBarTextColor(Color c) throws PropertyVetoException

Note: setProgressBarTextColor() is deprecated.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setForeground

 setProgressPercent

 public void setProgressPercent(int p) throws PropertyVetoException

Set the percentage complete for the process being tracked.

Parameters:

p - percentage complete as an integer

Throws: PropertyVetoException

if the specified property value is unacceptable

 setShowProgress

 public void setShowProgress(boolean b) throws PropertyVetoException

Set the boolean that controls the display of the progress number as an percentage.

Parameters:

b - indicating if the progress percentage should be displayed.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getShowProgress

 setValue

 public void setValue(int p) throws PropertyVetoException

Set the current percentage complete.

Parameters:

p - percentage complete

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getValue

 update

 public void update(Graphics g)

Handles redrawing of this component on the screen. This is a standard Java AWT method which gets called by the Java AWT (repaint()) to handle repainting this component on the screen. The graphics context clipping region is set to the bounding rectangle of this component and its <0,0> coordinate is this component's top-left corner. Typically this method paints the background color to clear the component's drawing space, sets graphics context to be the foreground color, and then calls paint() to draw the component. It is overridden here to reduce flicker by eliminating the uneeded clearing of the background.

Parameters:

g - the graphics context

Overrides:

update in class Component

See Also:

repaint, paint

 updateBufferImage

 protected void updateBufferImage()

Maintains the bufferImage size and draws the button in the bufferImage offscreen image.

See Also:

paint

 updateProgress

 public void updateProgress(int p) throws PropertyVetoException

Note: updateProgress() is deprecated.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setProgressPercent


 Class symantec.itools.awt.util.ProgressBarBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.util.ProgressBarBeanInfo

public class ProgressBarBeanInfo
   extends SimpleBeanInfo

BeanInfo for ProgressBar.

 ProgressBarBeanInfo()

Constructs a ProgressBarBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 ProgressBarBeanInfo

 public ProgressBarBeanInfo()

Constructs a ProgressBarBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.util.StatusScroller

java.lang.Object
   |
   +----symantec.itools.awt.util.StatusScroller

public class StatusScroller
   extends Object
   implements Runnable

Displays a scrolling message in the status window of a browser or applet viewer.

 context

The applet context that shows the status text.

 delay

The time between the display of each character in milliseconds.

 index

The zero-relative index of the original first character.

 isRepeat

If true, the text will continue scrolling over and over.

 isRightToLeft

If true, the text will scroll from the right to the left.

 isScrollClean

If true, the text will scroll completely off before scrolling on again.

 sslength

Status string length, in characters.

 statusString

The string to scroll.

 thread

The thread that handles scrolling the text.

 wblength

Working buffer length, in characters.

 workingBuffer

The string that gets scrolled.

 StatusScroller()

Constructs a StatusScroller.

 addPropertyChangeListener(PropertyChangeListener)

Adds a listener for all property change events.

 addVetoableChangeListener(VetoableChangeListener)

Adds a listener for all vetoable property change events.

 clear()

Clears the status area.

 getAutoStart()

 getDelay()

Gets the time between the display of each character in milliseconds.

 getRepeat()

Deprecated.

 getRightToLeft()

Deprecated.

 getScrollClean()

Deprecated.

 getString()

Gets the string being scrolled.

 isAutoStart()

Gets whether scrolling will automatically start when the applet is loaded.

 isRepeat()

Gets whether text will repeatedly scroll or just scroll once.

 isRightToLeft()

Gets the direction the text will scroll.

 isScrollClean()

Gets whether text will scroll completely off before scrolling on again.

 makePadding(int)

Returns a String with howBig number of spaces as the content

 removePropertyChangeListener(PropertyChangeListener)

Removes a listener for all property change events.

 removeVetoableChangeListener(VetoableChangeListener)

Removes a listener for all vetoable property change events.

 run()

The body of the StatusScroller Thread.

 scrollString()

Handles the manipulation of the string buffer to give the desired scrolling effect.

 setAppletContext(Applet)

Sets the AppletContext that has the status area for scrolling text.

 setAppletContext(AppletContext)

Sets the AppletContext that has the status area for scrolling text.

 setAutoStart(boolean)

Controls whether scrolling will automatically start when the applet is loaded.

 setDelay(int)

Sets the time between the display of each character in milliseconds.

 setRepeat(boolean)

Controls whether text will repeatedly scroll or just scroll once.

 setRightToLeft(boolean)

Controls the direction the text will scroll.

 setScrollClean(boolean)

Controls whether text will scroll completely off before scrolling on again.

 setString(String)

Sets the string to be scrolled in the browser or applet viewer.

 start()

Starts the status text scrolling.

 stop()

Stops the status text scrolling.

 updateWorkingBuffer()

Updates the string buffer depending on the current settings.

 context

 protected AppletContext context

The applet context that shows the status text.

 delay

 protected int delay

The time between the display of each character in milliseconds.

See Also:

setDelay, getDelay

 index

 protected int index

The zero-relative index of the original first character.

 isRepeat

 protected boolean isRepeat

If true, the text will continue scrolling over and over.

See Also:

setRepeat, isRepeat

 isRightToLeft

 protected boolean isRightToLeft

If true, the text will scroll from the right to the left.

See Also:

setRightToLeft, isRightToLeft

 isScrollClean

 protected boolean isScrollClean

If true, the text will scroll completely off before scrolling on again.

See Also:

setScrollClean, isScrollClean

 sslength

 protected int sslength

Status string length, in characters.

 statusString

 protected String statusString

The string to scroll.

 thread

 protected Thread thread

The thread that handles scrolling the text.

See Also:

start, stop

 wblength

 protected int wblength

Working buffer length, in characters.

 workingBuffer

 protected StringBuffer workingBuffer

The string that gets scrolled.

 StatusScroller

 public StatusScroller()

Constructs a StatusScroller. By default, the message (set by the setString() method) will scroll right-to-left, repeat, and will completely scroll off before scrolling on again.

See Also:

setString

 addPropertyChangeListener

 public synchronized void addPropertyChangeListener(PropertyChangeListener listener)

Adds a listener for all property change events.

Parameters:

listener - the listener to add

See Also:

removePropertyChangeListener

 addVetoableChangeListener

 public synchronized void addVetoableChangeListener(VetoableChangeListener listener)

Adds a listener for all vetoable property change events.

Parameters:

listener - the listener to add

See Also:

removeVetoableChangeListener

 clear

 public void clear()

Clears the status area. Note: this does not clear the string to scroll, it just clears the status area in the current AppletContext.

 getAutoStart

 public boolean getAutoStart()

See Also:

isAutoStart

 getDelay

 public int getDelay()

Gets the time between the display of each character in milliseconds.

Returns:

the delay, in milliseconds

See Also:

setDelay

 getRepeat

 public boolean getRepeat()

Note: getRepeat() is deprecated.

See Also:

isRepeat

 getRightToLeft

 public boolean getRightToLeft()

Note: getRightToLeft() is deprecated.

See Also:

isRightToLeft

 getScrollClean

 public boolean getScrollClean()

Note: getScrollClean() is deprecated.

See Also:

isScrollClean

 getString

 public String getString()

Gets the string being scrolled.

Returns:

the current scroll string

See Also:

setString

 isAutoStart

 public boolean isAutoStart()

Gets whether scrolling will automatically start when the applet is loaded.

Returns:

true if the text will start scrolling as soon as the applet is loaded, false if the text will not scroll until start() is called

See Also:

setAutoStart, start, stop

 isRepeat

 public boolean isRepeat()

Gets whether text will repeatedly scroll or just scroll once.

Returns:

true if the text will scroll over and over, false if the text will scroll off and back on, then stop

See Also:

setRepeat

 isRightToLeft

 public boolean isRightToLeft()

Gets the direction the text will scroll.

Returns:

true if the text will scroll right-to-left, false if the text will scroll left-to-right

See Also:

setRightToLeft

 isScrollClean

 public boolean isScrollClean()

Gets whether text will scroll completely off before scrolling on again.

Returns:

true if the text will scroll completely off before scrolling on again, false if the text will scroll without any gap

See Also:

setScrollClean

 makePadding

 protected String makePadding(int howBig)

Returns a String with howBig number of spaces as the content

Parameters:

howBig - the requested number of spaces

Returns:

s a String with the requested number of spaces

 removePropertyChangeListener

 public synchronized void removePropertyChangeListener(PropertyChangeListener listener)

Removes a listener for all property change events.

Parameters:

listener - the listener to remove

See Also:

addPropertyChangeListener

 removeVetoableChangeListener

 public synchronized void removeVetoableChangeListener(VetoableChangeListener listener)

Removes a listener for all vetoable property change events.

Parameters:

listener - the listener to remove

See Also:

addVetoableChangeListener

 run

 public void run()

The body of the StatusScroller Thread. This method is called by the Java Virtual Machine in response to a call to the start method of this object.

 scrollString

 protected String scrollString()

Handles the manipulation of the string buffer to give the desired scrolling effect.

Returns:

the string to be displayed

See Also:

run, setRightToLeft, getRightToLeft

 setAppletContext

 public void setAppletContext(Applet a) throws PropertyVetoException

Sets the AppletContext that has the status area for scrolling text. This version takes an Applet object and gets the needed AppletContext from that. Note: this overrides the automatically set AppletContext.

Parameters:

a - the Applet with the AppletContext to use

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setAppletContext

 setAppletContext

 public void setAppletContext(AppletContext c) throws PropertyVetoException

Sets the AppletContext that has the status area for scrolling text. Note: this overrides the automatically set AppletContext.

Parameters:

c - the new AppletContext

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setAppletContext

 setAutoStart

 public void setAutoStart(boolean f) throws PropertyVetoException

Controls whether scrolling will automatically start when the applet is loaded.

Parameters:

f - if true the text will start scrolling as soon as the applet is loaded, if false the text will not scroll until start() is called

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

isAutoStart, start, stop

 setDelay

 public void setDelay(int d) throws PropertyVetoException

Sets the time between the display of each character in milliseconds. The minimum delay is 30 milliseconds.

Parameters:

d - the delay, in milliseconds

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getDelay

 setRepeat

 public void setRepeat(boolean f) throws PropertyVetoException

Controls whether text will repeatedly scroll or just scroll once.

Parameters:

f - if true the text will scroll over and over, if false the text will scroll off and back on, then stop

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

isRepeat

 setRightToLeft

 public void setRightToLeft(boolean b) throws PropertyVetoException

Controls the direction the text will scroll.

Parameters:

b - the direction to scroll the text; true for right-to-left, false for left-to-right

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getRightToLeft

 setScrollClean

 public void setScrollClean(boolean b) throws PropertyVetoException

Controls whether text will scroll completely off before scrolling on again.

Parameters:

b - if true the text will scroll completely off before scrolling on again, if false the text will scroll without any gap

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

isScrollClean

 setString

 public void setString(String s) throws PropertyVetoException

Sets the string to be scrolled in the browser or applet viewer.

Parameters:

s - the message to scroll

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getString

 start

 public void start()

Starts the status text scrolling.

See Also:

stop, run

 stop

 public void stop()

Stops the status text scrolling.

See Also:

start

 updateWorkingBuffer

 protected void updateWorkingBuffer()

Updates the string buffer depending on the current settings.

See Also:

setScrollClean


 Class symantec.itools.awt.util.StatusScrollerBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.util.StatusScrollerBeanInfo

public class StatusScrollerBeanInfo
   extends SimpleBeanInfo

BeanInfo for StatusScroller.

 StatusScrollerBeanInfo()

Constructs a StatusScrollerBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 StatusScrollerBeanInfo

 public StatusScrollerBeanInfo()

Constructs a StatusScrollerBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getDefaultPropertyIndex

 public int getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

Overrides:

getDefaultPropertyIndex in class SimpleBeanInfo

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.util.ToolBarPanel

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Container
                   |
                   +----java.awt.Panel
                           |
                           +----symantec.itools.awt.BorderPanel
                                   |
                                   +----symantec.itools.awt.util.ToolBarPanel

public class ToolBarPanel
   extends BorderPanel

ToolBarPanel component. This component creates a panel to which you can add buttons to create a toolbar in a window. Toolbars commonly contain buttons, but a ToolBarPanel can hold other types of components like static text, check boxes, even images. Tool bar components are separated with a ToolBarSpacer component.

     See Also:
     ToolBarSpacer

 errors

Error strings.

 HORIZONTAL

The constant to use to have a horizontally oriented toolbar.

 orientation

The orientation for the toolbar.

 VERTICAL

The constant to use to have a vertically oriented toolbar.

 ToolBarPanel()

Create ToolBarPanel.

 ToolBarPanel(int, int)

Create ToolBarPanel.

 addNotify()

Tells this component that it has been added to a container.

 addOrientationListener(PropertyChangeListener)

Adds a listener for Orienation changes.

 addOrientationListener(VetoableChangeListener)

Adds a vetoable listener for Orienation changes.

 addPropertyChangeListener(PropertyChangeListener)

Adds a listener for all event changes.

 addVetoableChangeListener(VetoableChangeListener)

Adds a vetoable listener for all event changes.

 getOrientation()

Gets the orientation of the toolbar.

 getPreferredSize()

Returns the recommended dimensions to properly display this component.

 isValidOrientation(int)

Is the specified orientation type valid?

 removeNotify()

Tells this component that it is being removed from a container.

 removeOrientationListener(PropertyChangeListener)

Removes a listener for Orienation changes.

 removeOrientationListener(VetoableChangeListener)

Removes a vetoable listener for Orienation changes.

 removePropertyChangeListener(PropertyChangeListener)

Removes a listener for all event changes.

 removeVetoableChangeListener(VetoableChangeListener)

Removes a vetoable listener for all event changes.

 setLayout(LayoutManager)

Takes no action.

 setOrientation(int)

Sets the orientation of the toolbar.

 errors

 protected transient ResourceBundle errors

Error strings.

 HORIZONTAL

 public static final int HORIZONTAL

The constant to use to have a horizontally oriented toolbar.

See Also:

setOrientation, getOrientation

 orientation

 protected int orientation

The orientation for the toolbar. Either HORIZONTAL or VERTICAL.

See Also:

HORIZONTAL, VERTICAL

 VERTICAL

 public static final int VERTICAL

The constant to use to have a vertically oriented toolbar.

See Also:

setOrientation, getOrientation

 ToolBarPanel

 public ToolBarPanel()

Create ToolBarPanel. Default ToolBarPanel uses a BEVEL_RAISED style and is HORIZONTAL.

 ToolBarPanel

 public ToolBarPanel(int bevelStyle,
                     int orientationType)

Create ToolBarPanel.

Parameters:

bevelStyle - either BEVEL_RAISED, BEVEL_LOWERED, BEVEL_LINE, or BEVEL_NONE. If the value passed is not valid, it will default to BEVEL_RAISED.

orientationType - either HORIZONTAL or VERTICAL. If the value passed is not valid, it will default to HORIZONTAL.

See Also:

BEVEL_RAISED, BEVEL_LOWERED, BEVEL_LINE, BEVEL_NONE, HORIZONTAL, VERTICAL

 addNotify

 public synchronized void addNotify()

Tells this component that it has been added to a container. This is a standard Java AWT method which gets called by the AWT when this component is added to a container. Typically, it is used to create this component's peer. It has been overridden here to hook-up event listeners.

Overrides:

addNotify in class BorderPanel

See Also:

removeNotify

 addOrientationListener

 public synchronized void addOrientationListener(PropertyChangeListener listener)

Adds a listener for Orienation changes.

Parameters:

listener - the listener to add

See Also:

removeOrientationListener

 addOrientationListener

 public synchronized void addOrientationListener(VetoableChangeListener listener)

Adds a vetoable listener for Orienation changes.

Parameters:

listener - the listener to add

See Also:

removeOrientationListener

 addPropertyChangeListener

 public synchronized void addPropertyChangeListener(PropertyChangeListener listener)

Adds a listener for all event changes.

Parameters:

listener - the listener to add.

Overrides:

addPropertyChangeListener in class BorderPanel

See Also:

removePropertyChangeListener

 addVetoableChangeListener

 public synchronized void addVetoableChangeListener(VetoableChangeListener listener)

Adds a vetoable listener for all event changes.

Parameters:

listener - the listener to add

Overrides:

addVetoableChangeListener in class BorderPanel

See Also:

removeVetoableChangeListener

 getOrientation

 public int getOrientation()

Gets the orientation of the toolbar.

Returns:

VERTICAL: getPreferredSize will return the Dimension best suited for this toolbar layed out vertically. HORIZONTAL: getPreferredSize will return the Dimension best suited for this toolbar layed out horizontally.

See Also:

setOrientation

 getPreferredSize

 public synchronized Dimension getPreferredSize()

Returns the recommended dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the recommended size of this component.

Overrides:

getPreferredSize in class BorderPanel

See Also:

getMinimumSize

 isValidOrientation

 public boolean isValidOrientation(int orientationType)

Is the specified orientation type valid?

Parameters:

orientationType - the type to test

Returns:

if true then the parameter was equal to either HORIZONTAL or VERTICAL.

See Also:

setOrientation, getOrientation, HORIZONTAL, VERTICAL

 removeNotify

 public synchronized void removeNotify()

Tells this component that it is being removed from a container. This is a standard Java AWT method which gets called by the AWT when this component is removed from a container. Typically, it is used to destroy the peers of this component and all its subcomponents. It has been overridden here to unhook event listeners.

Overrides:

removeNotify in class BorderPanel

See Also:

addNotify

 removeOrientationListener

 public synchronized void removeOrientationListener(PropertyChangeListener listener)

Removes a listener for Orienation changes.

Parameters:

listener - the listener to remove

See Also:

addOrientationListener

 removeOrientationListener

 public synchronized void removeOrientationListener(VetoableChangeListener listener)

Removes a vetoable listener for Orienation changes.

Parameters:

listener - the listener to remove

See Also:

addOrientationListener

 removePropertyChangeListener

 public synchronized void removePropertyChangeListener(PropertyChangeListener listener)

Removes a listener for all event changes.

Parameters:

listener - the listener to remove

Overrides:

removePropertyChangeListener in class BorderPanel

See Also:

addPropertyChangeListener

 removeVetoableChangeListener

 public synchronized void removeVetoableChangeListener(VetoableChangeListener listener)

Removes a vetoable listener for all event changes.

Parameters:

listener - the listener to remove

Overrides:

removeVetoableChangeListener in class BorderPanel

See Also:

addVetoableChangeListener

 setLayout

 public void setLayout(LayoutManager lm)

Takes no action. This is a standard Java AWT method which gets called to specify which layout manager should be used to layout the components in standard containers. Since layout managers CANNOT BE USED with this container the standard setLayout has been OVERRIDDEN for this container and does nothing.

Parameters:

lm - the layout manager to use to layout this container's components (IGNORED)

Overrides:

setLayout in class BorderPanel

See Also:

getLayout

 setOrientation

 public void setOrientation(int orientationType) throws PropertyVetoException

Sets the orientation of the toolbar. Modifies the results from getPreferredSize. If the orientation is VERTICAL, getPreferredSize will return the Dimension best suited for this toolbar layed out vertically. If the orientaion is HORIZONTAL getPreferredSize will return the Dimension best suited for this toolbar layed out horizontally.

Parameters:

orientationType - the orientation to adhere to. Either HORIZONTAL or VERTICAL

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getOrientation, HORIZONTAL, VERTICAL


 Class symantec.itools.awt.util.ToolBarPanelBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.util.ToolBarPanelBeanInfo

public class ToolBarPanelBeanInfo
   extends SimpleBeanInfo

BeanInfo for ToolBarPanel.

 ToolBarPanelBeanInfo()

Constructs a ToolBarPanelBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Claim there are no icons available.

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 ToolBarPanelBeanInfo

 public ToolBarPanelBeanInfo()

Constructs a ToolBarPanelBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Claim there are no icons available.

Overrides:

getIcon in class SimpleBeanInfo

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.util.ToolBarSpacer

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Canvas
                   |
                   +----symantec.itools.awt.util.ToolBarSpacer

public class ToolBarSpacer
   extends Canvas

ToolBarPanelSpacer component. This component is used to space items in a ToolBarPanel.

     See Also:
     ToolBarPanel

 errors

Error strings.

 space

The size of the space the spacer will occupy in pixels..

 ToolBarSpacer()

Create a ToolBarSpacer.

 addNotify()

Tells this component that it has been added to a container.

 addPropertyChangeListener(PropertyChangeListener)

Adds a listener for all event changes.

 addSpaceListener(PropertyChangeListener)

Adds a listener for Space changes.

 addSpaceListener(VetoableChangeListener)

Adds a vetoable listener for Space changes.

 addVetoableChangeListener(VetoableChangeListener)

Adds a vetoable listener for all event changes.

 getMinimumSize()

Returns the minimum dimensions to properly display this component.

 getPreferredSize()

Returns the recommended dimensions to properly display this component.

 getSpace()

Gets the size of the space the spacer will occupy in pixels.

 isValidSpace(int)

Is the specified space size valid?

 minimumSize()

Deprecated.

 preferredSize()

Deprecated.

 removeNotify()

Tells this component that it is being removed from a container.

 removePropertyChangeListener(PropertyChangeListener)

Removes a listener for all event changes.

 removeSpaceListener(PropertyChangeListener)

Removes a listener for Space changes.

 removeSpaceListener(VetoableChangeListener)

Removes a vetoable listener for Space changes.

 removeVetoableChangeListener(VetoableChangeListener)

Removes a vetoable listener for all event changes.

 setSpace(int)

Sets the size of the space the spacer will occupy in pixels.

 errors

 protected transient ResourceBundle errors

Error strings.

 space

 protected int space

The size of the space the spacer will occupy in pixels..

 ToolBarSpacer

 public ToolBarSpacer()

Create a ToolBarSpacer. It's default space value is 10 pixels.

 addNotify

 public synchronized void addNotify()

Tells this component that it has been added to a container. This is a standard Java AWT method which gets called by the AWT when this component is added to a container. Typically, it is used to create this component's peer. It has been overridden here to hook-up event listeners.

Overrides:

addNotify in class Canvas

See Also:

removeNotify

 addPropertyChangeListener

 public synchronized void addPropertyChangeListener(PropertyChangeListener listener)

Adds a listener for all event changes.

Parameters:

listener - the listener to add.

See Also:

removePropertyChangeListener

 addSpaceListener

 public synchronized void addSpaceListener(PropertyChangeListener listener)

Adds a listener for Space changes.

Parameters:

listener - the listener to add.

See Also:

removeSpaceListener

 addSpaceListener

 public synchronized void addSpaceListener(VetoableChangeListener listener)

Adds a vetoable listener for Space changes.

Parameters:

listener - the listener to add.

See Also:

removeSpaceListener

 addVetoableChangeListener

 public synchronized void addVetoableChangeListener(VetoableChangeListener listener)

Adds a vetoable listener for all event changes.

Parameters:

listener - the listener to add.

See Also:

removeVetoableChangeListener

 getMinimumSize

 public synchronized Dimension getMinimumSize()

Returns the minimum dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the minimum size of this component. In this case the minimum size is the same as the preferred size.

Overrides:

getMinimumSize in class Component

See Also:

getPreferredSize

 getPreferredSize

 public synchronized Dimension getPreferredSize()

Returns the recommended dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the recommended size of this component.

Returns:

The width is the Space value and the height is the tallest component the ToolBarPanel, if the parent ToolBarPanel's Orientation is HORIZONTAL. The height is the Space value and the width is the widest component the ToolBarPanel, if the parent ToolBarPanel's Orientation is VERTICAL. NOTE: If the parent of this class is not an instance of ToolBarPanel, this will return 10,10.

Overrides:

getPreferredSize in class Component

See Also:

setSpace, getSpace, getMinimumSize

 getSpace

 public int getSpace()

Gets the size of the space the spacer will occupy in pixels.

Returns:

the size of the space in pixels

See Also:

setSpace

 isValidSpace

 public boolean isValidSpace(int spaceSize)

Is the specified space size valid?

Parameters:

spaceSize - the value to test

Returns:

true if the parameter is greater or equal to zero.

See Also:

setSpace, getSpace

 minimumSize

 public synchronized Dimension minimumSize()

Note: minimumSize() is deprecated.

Overrides:

minimumSize in class Component

See Also:

getMinimumSize

 preferredSize

 public synchronized Dimension preferredSize()

Note: preferredSize() is deprecated.

Overrides:

preferredSize in class Component

See Also:

getPreferredSize

 removeNotify

 public synchronized void removeNotify()

Tells this component that it is being removed from a container. This is a standard Java AWT method which gets called by the AWT when this component is removed from a container. Typically, it is used to destroy the peers of this component and all its subcomponents. It has been overridden here to unhook event listeners.

Overrides:

removeNotify in class Component

See Also:

addNotify

 removePropertyChangeListener

 public synchronized void removePropertyChangeListener(PropertyChangeListener listener)

Removes a listener for all event changes.

Parameters:

listener - the listener to remove.

See Also:

addPropertyChangeListener

 removeSpaceListener

 public synchronized void removeSpaceListener(PropertyChangeListener listener)

Removes a listener for Space changes.

Parameters:

listener - the listener to remove.

See Also:

addSpaceListener

 removeSpaceListener

 public synchronized void removeSpaceListener(VetoableChangeListener listener)

Removes a vetoable listener for Space changes.

Parameters:

listener - the listener to remove.

See Also:

addSpaceListener

 removeVetoableChangeListener

 public synchronized void removeVetoableChangeListener(VetoableChangeListener listener)

Removes a vetoable listener for all event changes.

Parameters:

listener - the listener to remove.

See Also:

addVetoableChangeListener

 setSpace

 public void setSpace(int value) throws PropertyVetoException

Sets the size of the space the spacer will occupy in pixels.

Parameters:

value - the size of the space in pixels

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getSpace


 Class symantec.itools.awt.util.ToolBarSpacerBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.util.ToolBarSpacerBeanInfo

public class ToolBarSpacerBeanInfo
   extends SimpleBeanInfo

BeanInfo for ToolBarSpacer.

 ToolBarSpacerBeanInfo()

Constructs a ToolBarSpacerBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 ToolBarSpacerBeanInfo

 public ToolBarSpacerBeanInfo()

Constructs a ToolBarSpacerBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.util.Util

java.lang.Object
   |
   +----symantec.itools.awt.util.Util

public class Util
   extends Object

An all-static utility class with handy helper methods to retrieve font information.

 Util()

Do not use, all-static class.

 findComponent(Container, Component)

Finds the index of a component in a container.

 getDefaultFont()

Retrieves a default dialog font.

 getFontHeight(Font)

Determines the height of the font specified.

 getFontHeight(FontMetrics)

Determines the height of the font given the metrics of that font.

 getFontHeight(Graphics)

Determines the height of the font being used by the given graphics context.

 getGraphics(Image, Component)

Preserves the font information of a graphics object retrieved from an image.

 getStringWidth(Font, String)

Determines the width of the given string if it were drawn using the specified font.

 getStringWidth(FontMetrics, String)

Determines the width of the given string if it were drawn in a font with the specified metrics.

 getStringWidth(Graphics, String)

Determines the width of the given string if it were drawn using the specified graphics context.

 Util

 public Util()

Do not use, all-static class.

 findComponent

 public static int findComponent(Container container,
                                 Component component)

Finds the index of a component in a container.

Parameters:

container - the container to search

component - the component to find

Returns:

the zero-relative component index, or -1 if the component is not found in the container

 getDefaultFont

 public static Font getDefaultFont()

Retrieves a default dialog font. In this case the typeface is a plain 12-point “Dialog”.

Returns:

the default dialog font

 getFontHeight

 public static int getFontHeight(Font f)

Determines the height of the font specified. This is the standard height of a line of text in the font.

Parameters:

f - the font

Returns:

the font height, in pixels

 getFontHeight

 public static int getFontHeight(FontMetrics m)

Determines the height of the font given the metrics of that font. This is the standard height of a line of text in the font.

Parameters:

m - the metrics of the font

Returns:

the font height, in pixels

 getFontHeight

 public static int getFontHeight(Graphics g)

Determines the height of the font being used by the given graphics context. This is the standard height of a line of text in the font.

Parameters:

g - a graphics context

Returns:

the font height, in pixels

 getGraphics

 public static Graphics getGraphics(Image image,
                                    Component component)

Preserves the font information of a graphics object retrieved from an image. This ensures that susequent calls to getFontMetrics through the graphics object will not result in a NullPointerException. It does this by setting the font in the image’s graphics context to the font in the component, as needed.

Parameters:

image - the image with the desired graphics context

component - the component

Returns:

a graphics context with a currently set font

 getStringWidth

 public static int getStringWidth(Font f,
                                  String s)

Determines the width of the given string if it were drawn using the specified font.

Parameters:

g - the font

s - the string to determine the width of

Returns:

the width of the string, in pixels

 getStringWidth

 public static int getStringWidth(FontMetrics m,
                                  String s)

Determines the width of the given string if it were drawn in a font with the specified metrics.

Parameters:

m - the font metrics

s - the string to determine the width of

Returns:

the width of the string, in pixels

 getStringWidth

 public static int getStringWidth(Graphics g,
                                  String s)

Determines the width of the given string if it were drawn using the specified graphics context.

Parameters:

g - the graphics context

s - the string to determine the width of

Returns:

the width of the string, in pixels


 package symantec.itools.awt.util.dialog

   DialogBox
   ModalDialog


 Class symantec.itools.awt.util.dialog.DialogBox

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Container
                   |
                   +----java.awt.Window
                           |
                           +----java.awt.Dialog
                                   |
                                   +----symantec.itools.awt.util.dialog.DialogBox

public class DialogBox
   extends Dialog

This implements a non-resizable dialog box. It has an available button and closes itself as needed.

 okButton

An available button.

 DialogBox(Frame)

Constructs a DialogBox with the given parent.

 DialogBox(Frame, boolean)

Constructs a DialogBox with the given parent and modality.

 DialogBox(Frame, String, boolean)

Constructs a DialogBox with the given parent, title, and modality.

 closeDialog()

Hides and disposes of the dialog.

 handleEvent(Event)

Processes events for this component.

 show()

Makes this component visible.

 okButton

 protected Button okButton

An available button.

 DialogBox

 public DialogBox(Frame f)

Constructs a DialogBox with the given parent.

Parameters:

f - the frame of this dialog’s parent

 DialogBox

 public DialogBox(Frame f,
                  boolean modal)

Constructs a DialogBox with the given parent and modality.

Parameters:

f - the frame of this dialog’s parent

modal - true to construct a modal dialog, false to construct a non-modal dialog

 DialogBox

 public DialogBox(Frame f,
                  String s,
                  boolean modal)

Constructs a DialogBox with the given parent, title, and modality.

Parameters:

f - the frame of this dialog’s parent

s - the title for this dialog

modal - true to construct a modal dialog, false to construct a non-modal dialog

 closeDialog

 protected void closeDialog()

Hides and disposes of the dialog.

 handleEvent

 public boolean handleEvent(Event event)

Processes events for this component.

This is a standard Java AWT method which gets called by the AWT to handle this component's events. The default handler for components dispatches to one of the following methods as needed: action(), gotFocus(), lostFocus(), keyDown(), keyUp(), mouseEnter(), mouseExit(), mouseMove(), mouseDrag(), mouseDown(), or mouseUp().

Parameters:

event - the event to handle

Returns:

true if the event was handled and no further action is needed, false to pass the event to this component's parent

Overrides:

handleEvent in class Component

 show

 public synchronized void show()

Makes this component visible.

This is a standard Java AWT method which gets called to show this component. If this component was invisible due to a previous hide() call it makes this component visible again.

Overrides:

show in class Dialog


 Class symantec.itools.awt.util.dialog.ModalDialog

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Container
                   |
                   +----java.awt.Window
                           |
                           +----java.awt.Dialog
                                   |
                                   +----symantec.itools.awt.util.dialog.DialogBox
                                           |
                                           +----symantec.itools.awt.util.dialog.ModalDialog

public class ModalDialog
   extends DialogBox

Specifies a modal dialog. This dialog is not resizable and will close itself as needed.

 ModalDialog(Frame)

Constructs a ModalDialog with the given parent.

 ModalDialog(Frame, String)

Constructs a ModalDialog with the given parent and title.

 ModalDialog

 public ModalDialog(Frame f)

Constructs a ModalDialog with the given parent.

Parameters:

f - the frame of this dialog’s parent

 ModalDialog

 public ModalDialog(Frame f,
                    String s)

Constructs a ModalDialog with the given parent and title.

Parameters:

f - the frame of this dialog’s parent

s - the title for this dialog


 package symantec.itools.awt.util.edit

   AddressCode
   AddressCodeBeanInfo
   IntlLongDistPhoneNumber
   IntlLongDistPhoneNumberBeanInfo
   LocalPhoneNumber
   LocalPhoneNumberBeanInfo
   LongDistPhoneNumber
   LongDistPhoneNumberBeanInfo
   LongZipCode
   LongZipCodeBeanInfo
   PhoneNumber
   PhoneNumberBeanInfo
   PostalCode
   PostalCodeBeanInfo
   SocialIDNumber
   SocialIDNumberBeanInfo
   SocialInsuranceNumber
   SocialInsuranceNumberBeanInfo
   SocialSecurityNumber
   SocialSecurityNumberBeanInfo
   USLongDistPhoneNumber
   USLongDistPhoneNumberBeanInfo
   ZipCode
   ZipCodeBeanInfo


 Class symantec.itools.awt.util.edit.AddressCode

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.TextComponent
                   |
                   +----java.awt.TextField
                           |
                           +----symantec.itools.awt.FormattedTextField
                                   |
                                   +----symantec.itools.awt.util.edit.AddressCode

public abstract class AddressCode
   extends FormattedTextField

An abstract subclass of FormattedTextField for use as various post office codes.

     See Also:
     ZipCode, PostalCode, LongZipCode

 AddressCode(int)

Create new formatted field.

 AddressCode

 protected AddressCode(int i)

Create new formatted field.

Parameters:

i - number of columns in the field


 Class symantec.itools.awt.util.edit.AddressCodeBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.util.edit.AddressCodeBeanInfo

public class AddressCodeBeanInfo
   extends SimpleBeanInfo

BeanInfo for AddressCode.

 AddressCodeBeanInfo()

Constructs a AddressCodeBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getMethodDescriptors()

Deny knowledge of methods.

 AddressCodeBeanInfo

 public AddressCodeBeanInfo()

Constructs a AddressCodeBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Deny knowledge of methods.

Overrides:

getMethodDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.util.edit.IntlLongDistPhoneNumber

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.TextComponent
                   |
                   +----java.awt.TextField
                           |
                           +----symantec.itools.awt.FormattedTextField
                                   |
                                   +----symantec.itools.awt.util.edit.PhoneNumber
                                           |
                                           +----symantec.itools.awt.util.edit.LongDistPhoneNumber
                                                   |
                                                   +----symantec.itools.awt.util.edit.IntlLongDistPhoneNumber

public class IntlLongDistPhoneNumber
   extends LongDistPhoneNumber

Creates a formatted text field for an international phone number. IntlLongDistPhoneNumber limits the type of text that can be entered in the text box to an international long distance phone number (thirteen-digit number). Text formatting logic is applied to the user input. If the text field already contains text, the user can select the default text and delete or edit it.

     See Also:
     FormattedTextField

 IntlLongDistPhoneNumber()

Create international long distance phone number text field.

 setMask(String)

Takes no action.

 IntlLongDistPhoneNumber

 public IntlLongDistPhoneNumber()

Create international long distance phone number text field. This is a formatted text field with the following format: /0/1/1/ 99/ 999/ 999/-9999

 setMask

 public void setMask(String s)

Takes no action. Overrides setMask in FormattedTextField to prevent alteration of the phone number mask.

Overrides:

setMask in class FormattedTextField


 Class symantec.itools.awt.util.edit.IntlLongDistPhoneNumberBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.util.edit.IntlLongDistPhoneNumberBeanInfo

public class IntlLongDistPhoneNumberBeanInfo
   extends SimpleBeanInfo

BeanInfo for IntlLongDistPhoneNumber.

 IntlLongDistPhoneNumberBeanInfo()

Constructs a IntlLongDistPhoneNumberBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Deny knowledge of methods.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 IntlLongDistPhoneNumberBeanInfo

 public IntlLongDistPhoneNumberBeanInfo()

Constructs a IntlLongDistPhoneNumberBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Deny knowledge of methods.

Overrides:

getMethodDescriptors in class SimpleBeanInfo

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.util.edit.LocalPhoneNumber

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.TextComponent
                   |
                   +----java.awt.TextField
                           |
                           +----symantec.itools.awt.FormattedTextField
                                   |
                                   +----symantec.itools.awt.util.edit.PhoneNumber
                                           |
                                           +----symantec.itools.awt.util.edit.LocalPhoneNumber

public class LocalPhoneNumber
   extends PhoneNumber

Creates a formatted text field in which your user can type in a phone number. LocalPhoneNumber limits the type of text that can be entered in the text box to a local U.S. phone number (seven-digit number). Text formatting logic is applied to the user input. If the text field already contains text, the user can select the default text and delete or edit it.

     See Also:
     FormattedTextField

 LocalPhoneNumber()

Create local phone number text field.

 setMask(String)

Takes no action.

 LocalPhoneNumber

 public LocalPhoneNumber()

Create local phone number text field. This is a formatted text field with the following format: 999/-9999

 setMask

 public void setMask(String s)

Takes no action. Overrides setMask in FormattedTextField to prevent alteration of the local phone number mask.

Overrides:

setMask in class FormattedTextField


 Class symantec.itools.awt.util.edit.LocalPhoneNumberBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.util.edit.LocalPhoneNumberBeanInfo

public class LocalPhoneNumberBeanInfo
   extends SimpleBeanInfo

BeanInfo for LocalPhoneNumber.

 LocalPhoneNumberBeanInfo()

Constructs a LocalPhoneNumberBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Deny knowledge of methods.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 LocalPhoneNumberBeanInfo

 public LocalPhoneNumberBeanInfo()

Constructs a LocalPhoneNumberBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Deny knowledge of methods.

Overrides:

getMethodDescriptors in class SimpleBeanInfo

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.util.edit.LongDistPhoneNumber

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.TextComponent
                   |
                   +----java.awt.TextField
                           |
                           +----symantec.itools.awt.FormattedTextField
                                   |
                                   +----symantec.itools.awt.util.edit.PhoneNumber
                                           |
                                           +----symantec.itools.awt.util.edit.LongDistPhoneNumber

public abstract class LongDistPhoneNumber
   extends PhoneNumber

An abstract subclass of PhoneNumber for use as various long distance phone numbers.

     See Also:
     USLongDistPhoneNumber, IntlLongDistPhoneNumber

 LongDistPhoneNumber(int)

Create new formatted field.

 LongDistPhoneNumber

 protected LongDistPhoneNumber(int i)

Create new formatted field.

Parameters:

i - number of columns in the field


 Class symantec.itools.awt.util.edit.LongDistPhoneNumberBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.util.edit.LongDistPhoneNumberBeanInfo

public class LongDistPhoneNumberBeanInfo
   extends SimpleBeanInfo

BeanInfo for LongDistPhoneNumber.

 LongDistPhoneNumberBeanInfo()

Constructs a LongDistPhoneNumberBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getMethodDescriptors()

Deny knowledge of methods.

 getPropertyDescriptors()

Deny knowledge of properties.

 LongDistPhoneNumberBeanInfo

 public LongDistPhoneNumberBeanInfo()

Constructs a LongDistPhoneNumberBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Deny knowledge of methods.

Overrides:

getMethodDescriptors in class SimpleBeanInfo

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Deny knowledge of properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.util.edit.LongZipCode

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.TextComponent
                   |
                   +----java.awt.TextField
                           |
                           +----symantec.itools.awt.FormattedTextField
                                   |
                                   +----symantec.itools.awt.util.edit.AddressCode
                                           |
                                           +----symantec.itools.awt.util.edit.LongZipCode

public class LongZipCode
   extends AddressCode

Creates a formatted text field for a Zip plus 4 code. LongZipCode limits the type of text that can be entered in the text box to a U.S. nine digit Zip Code (nine-digit number). Text formatting logic is applied to the user input. If the text field already contains text, the user can select the default text and delete or edit it.

     See Also:
     FormattedTextField

 LongZipCode()

Create nine digit Zip code text field.

 setMask(String)

Takes no action.

 LongZipCode

 public LongZipCode()

Create nine digit Zip code text field. This is a formatted text field with the following format: 99999/-9999

 setMask

 public void setMask(String s)

Takes no action. Overrides setMask in FormattedTextField to prevent alteration of the long zip code mask.

Overrides:

setMask in class FormattedTextField


 Class symantec.itools.awt.util.edit.LongZipCodeBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.util.edit.LongZipCodeBeanInfo

public class LongZipCodeBeanInfo
   extends SimpleBeanInfo

BeanInfo for LongZipCode.

 LongZipCodeBeanInfo()

Constructs a LongZipCodeBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Deny knowledge of methods.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 LongZipCodeBeanInfo

 public LongZipCodeBeanInfo()

Constructs a LongZipCodeBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Deny knowledge of methods.

Overrides:

getMethodDescriptors in class SimpleBeanInfo

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.util.edit.PhoneNumber

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.TextComponent
                   |
                   +----java.awt.TextField
                           |
                           +----symantec.itools.awt.FormattedTextField
                                   |
                                   +----symantec.itools.awt.util.edit.PhoneNumber

public abstract class PhoneNumber
   extends FormattedTextField

An abstract subclass of FormattedTextField for use as various phone numbers.

     See Also:
     LongDistPhoneNumber, LocalPhoneNumber

 PhoneNumber(int)

Create new formatted field.

 PhoneNumber

 protected PhoneNumber(int i)

Create new formatted field.

Parameters:

i - number of columns in the field


 Class symantec.itools.awt.util.edit.PhoneNumberBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.util.edit.PhoneNumberBeanInfo

public class PhoneNumberBeanInfo
   extends SimpleBeanInfo

BeanInfo for PhoneNumber.

 PhoneNumberBeanInfo()

Constructs a PhoneNumberBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getMethodDescriptors()

Deny knowledge of methods.

 getPropertyDescriptors()

Deny knowledge of properties.

 PhoneNumberBeanInfo

 public PhoneNumberBeanInfo()

Constructs a PhoneNumberBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Deny knowledge of methods.

Overrides:

getMethodDescriptors in class SimpleBeanInfo

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Deny knowledge of properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.util.edit.PostalCode

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.TextComponent
                   |
                   +----java.awt.TextField
                           |
                           +----symantec.itools.awt.FormattedTextField
                                   |
                                   +----symantec.itools.awt.util.edit.AddressCode
                                           |
                                           +----symantec.itools.awt.util.edit.PostalCode

public class PostalCode
   extends AddressCode

Creates a formatted text field for a postal code. PostalCode limits the type of text that can be entered in the text box to a postal code (a mix of 6 letters and numbers). Text formatting logic is applied to the user input. If the text field already contains text, the user can select the default text and delete or edit it.

     See Also:
     FormattedTextField

 PostalCode()

Create postal code text field.

 setMask(String)

Takes no action.

 PostalCode

 public PostalCode()

Create postal code text field. This is a formatted text field with the following format: U9U/-9U9

 setMask

 public void setMask(String s)

Takes no action. Overrides setMask in FormattedTextField to prevent alteration of the postal code mask.

Overrides:

setMask in class FormattedTextField


 Class symantec.itools.awt.util.edit.PostalCodeBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.util.edit.PostalCodeBeanInfo

public class PostalCodeBeanInfo
   extends SimpleBeanInfo

BeanInfo for PostalCode.

 PostalCodeBeanInfo()

Constructs a PostalCodeBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Deny knowledge of methods.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 PostalCodeBeanInfo

 public PostalCodeBeanInfo()

Constructs a PostalCodeBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Deny knowledge of methods.

Overrides:

getMethodDescriptors in class SimpleBeanInfo

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.util.edit.SocialIDNumber

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.TextComponent
                   |
                   +----java.awt.TextField
                           |
                           +----symantec.itools.awt.FormattedTextField
                                   |
                                   +----symantec.itools.awt.util.edit.SocialIDNumber

public abstract class SocialIDNumber
   extends FormattedTextField

An abstract subclass of FormattedTextField for use as government insurance numbers.

     See Also:
     SocialSecurityNumber, SociaInsuranceNumber

 SocialIDNumber(int)

Create new formatted field.

 SocialIDNumber

 protected SocialIDNumber(int i)

Create new formatted field.

Parameters:

i - number of columns in the field


 Class symantec.itools.awt.util.edit.SocialIDNumberBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.util.edit.SocialIDNumberBeanInfo

public class SocialIDNumberBeanInfo
   extends SimpleBeanInfo

BeanInfo for SocialIDNumber.

 SocialIDNumberBeanInfo()

Constructs a SocialIDNumberBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getMethodDescriptors()

Deny knowledge of methods.

 getPropertyDescriptors()

Deny knowledge of properties.

 SocialIDNumberBeanInfo

 public SocialIDNumberBeanInfo()

Constructs a SocialIDNumberBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Deny knowledge of methods.

Overrides:

getMethodDescriptors in class SimpleBeanInfo

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Deny knowledge of properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.util.edit.SocialInsuranceNumber

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.TextComponent
                   |
                   +----java.awt.TextField
                           |
                           +----symantec.itools.awt.FormattedTextField
                                   |
                                   +----symantec.itools.awt.util.edit.SocialIDNumber
                                           |
                                           +----symantec.itools.awt.util.edit.SocialInsuranceNumber

public class SocialInsuranceNumber
   extends SocialIDNumber

Creates a formatted text field for a social insurance number. SocialInsuranceNumber limits the type of text that can be entered in the text box to a social insurance number (nine-digit number). Text formatting logic is applied to the user input. If the text field already contains text, the user can select the default text and delete or edit it.

     See Also:
     FormattedTextField

 SocialInsuranceNumber()

Create social insurance number text field.

 setMask(String)

Takes no action.

 SocialInsuranceNumber

 public SocialInsuranceNumber()

Create social insurance number text field. This is a formatted text field with the following format: 999/-999/-999

 setMask

 public void setMask(String s)

Takes no action. Overrides setMask in FormattedTextField to prevent alteration of the social insurance number mask.

Overrides:

setMask in class FormattedTextField


 Class symantec.itools.awt.util.edit.SocialInsuranceNumberBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.util.edit.SocialInsuranceNumberBeanInfo

public class SocialInsuranceNumberBeanInfo
   extends SimpleBeanInfo

BeanInfo for SocialInsuranceNumber.

 SocialInsuranceNumberBeanInfo()

Constructs a SocialInsuranceNumberBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Deny knowledge of methods.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 SocialInsuranceNumberBeanInfo

 public SocialInsuranceNumberBeanInfo()

Constructs a SocialInsuranceNumberBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Deny knowledge of methods.

Overrides:

getMethodDescriptors in class SimpleBeanInfo

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.util.edit.SocialSecurityNumber

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.TextComponent
                   |
                   +----java.awt.TextField
                           |
                           +----symantec.itools.awt.FormattedTextField
                                   |
                                   +----symantec.itools.awt.util.edit.SocialIDNumber
                                           |
                                           +----symantec.itools.awt.util.edit.SocialSecurityNumber

public class SocialSecurityNumber
   extends SocialIDNumber

Creates a formatted text field for a social security number. SocialSecurityNumber limits the type of text that can be entered in the text box to a U.S. Social Security number (nine-digit number). Text formatting logic is applied to the user input. If the text field already contains text, the user can select the default text and delete or edit it.

     See Also:
     FormattedTextField

 SocialSecurityNumber()

Create social security number text field.

 setMask(String)

Takes no action.

 SocialSecurityNumber

 public SocialSecurityNumber()

Create social security number text field. This is a formatted text field with the following format: 999/-99/-9999

 setMask

 public void setMask(String s)

Takes no action. Overrides setMask in FormattedTextField to prevent alteration of the social security number mask.

Overrides:

setMask in class FormattedTextField


 Class symantec.itools.awt.util.edit.SocialSecurityNumberBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.util.edit.SocialSecurityNumberBeanInfo

public class SocialSecurityNumberBeanInfo
   extends SimpleBeanInfo

BeanInfo for SocialSecurityNumber.

 SocialSecurityNumberBeanInfo()

Constructs a SocialSecurityNumberBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Deny knowledge of methods.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 SocialSecurityNumberBeanInfo

 public SocialSecurityNumberBeanInfo()

Constructs a SocialSecurityNumberBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Deny knowledge of methods.

Overrides:

getMethodDescriptors in class SimpleBeanInfo

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.util.edit.USLongDistPhoneNumber

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.TextComponent
                   |
                   +----java.awt.TextField
                           |
                           +----symantec.itools.awt.FormattedTextField
                                   |
                                   +----symantec.itools.awt.util.edit.PhoneNumber
                                           |
                                           +----symantec.itools.awt.util.edit.LongDistPhoneNumber
                                                   |
                                                   +----symantec.itools.awt.util.edit.USLongDistPhoneNumber

public class USLongDistPhoneNumber
   extends LongDistPhoneNumber

Creates a formatted text field for a US Long Distance phone number. USLongDistPhoneNumber limits the type of text that can be entered in the text box to a US long distance phone number (ten-digit number). Text formatting logic is applied to the user input. If the text field already contains text, the user can select the default text and delete or edit it.

     See Also:
     FormattedTextField

 USLongDistPhoneNumber()

Create US long distance phone number text field.

 setMask(String)

Takes no action.

 USLongDistPhoneNumber

 public USLongDistPhoneNumber()

Create US long distance phone number text field. This is a formatted text field with the following format: /(999/)/ 999/-9999

 setMask

 public void setMask(String s)

Takes no action. Overrides setMask in FormattedTextField to prevent alteration of the phone number mask.

Overrides:

setMask in class FormattedTextField


 Class symantec.itools.awt.util.edit.USLongDistPhoneNumberBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.util.edit.USLongDistPhoneNumberBeanInfo

public class USLongDistPhoneNumberBeanInfo
   extends SimpleBeanInfo

BeanInfo for USLongDistPhoneNumber.

 USLongDistPhoneNumberBeanInfo()

Constructs a USLongDistPhoneNumberBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Deny knowledge of methods.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 USLongDistPhoneNumberBeanInfo

 public USLongDistPhoneNumberBeanInfo()

Constructs a USLongDistPhoneNumberBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Deny knowledge of methods.

Overrides:

getMethodDescriptors in class SimpleBeanInfo

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.util.edit.ZipCode

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.TextComponent
                   |
                   +----java.awt.TextField
                           |
                           +----symantec.itools.awt.FormattedTextField
                                   |
                                   +----symantec.itools.awt.util.edit.AddressCode
                                           |
                                           +----symantec.itools.awt.util.edit.ZipCode

public class ZipCode
   extends AddressCode

Creates a formatted text field for a Zip code. ZipCode limits the type of text that can be entered in the text box to a U.S. five digit Zip Code (five-digit number). Text formatting logic is applied to the user input. If the text field already contains text, the user can select the default text and delete or edit it.

     See Also:
     FormattedTextField

 ZipCode()

Create Zip code text field.

 setMask(String)

Takes no action.

 ZipCode

 public ZipCode()

Create Zip code text field. This is a formatted text field with the following format: 99999

 setMask

 public void setMask(String s)

Takes no action. Overrides setMask in FormattedTextField to prevent alteration of the zip code mask.

Overrides:

setMask in class FormattedTextField


 Class symantec.itools.awt.util.edit.ZipCodeBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.util.edit.ZipCodeBeanInfo

public class ZipCodeBeanInfo
   extends SimpleBeanInfo

BeanInfo for ZipCode.

 ZipCodeBeanInfo()

Constructs a ZipCodeBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Deny knowledge of methods.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 ZipCodeBeanInfo

 public ZipCodeBeanInfo()

Constructs a ZipCodeBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Deny knowledge of methods.

Overrides:

getMethodDescriptors in class SimpleBeanInfo

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 package symantec.itools.awt.util.spinner

   DaySpinner
   DaySpinnerBeanInfo
   HorizontalSpinButtonPanel
   ListSpinner
   ListSpinnerBeanInfo
   MonthSpinner
   MonthSpinnerBeanInfo
   NumericSpinner
   NumericSpinnerBeanInfo
   SpinButtonPanel
   Spinner
   SpinnerBeanInfo
   VerticalSpinButtonPanel


 Class symantec.itools.awt.util.spinner.DaySpinner

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Container
                   |
                   +----java.awt.Panel
                           |
                           +----symantec.itools.awt.util.spinner.Spinner
                                   |
                                   +----symantec.itools.awt.util.spinner.ListSpinner
                                           |
                                           +----symantec.itools.awt.util.spinner.DaySpinner

public class DaySpinner
   extends ListSpinner

Day of the week spin control.

Creates a text box, containing a list of the days of the week, with up and down arrows. Allows your user to move through a set of fixed values or type a valid value in the box.

     See Also:
     ListSpinner

 DaySpinner()

Construct DaySpinner component.

 DaySpinner

 public DaySpinner()

Construct DaySpinner component. This component includes the weekdays in the order Sunday through Saturday. By default, the inial display of this component is the item "Sunday".


 Class symantec.itools.awt.util.spinner.DaySpinnerBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.util.spinner.DaySpinnerBeanInfo

public class DaySpinnerBeanInfo
   extends SimpleBeanInfo

BeanInfo for DaySpinner.

 DaySpinnerBeanInfo()

Constructs a DaySpinnerBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 DaySpinnerBeanInfo

 public DaySpinnerBeanInfo()

Constructs a DaySpinnerBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32


 Class symantec.itools.awt.util.spinner.HorizontalSpinButtonPanel

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Container
                   |
                   +----java.awt.Panel
                           |
                           +----symantec.itools.awt.util.spinner.SpinButtonPanel
                                   |
                                   +----symantec.itools.awt.util.spinner.HorizontalSpinButtonPanel

public class HorizontalSpinButtonPanel
   extends SpinButtonPanel

This component groups two spin buttons horizontally. It is used for spinners with the ORIENTATION_HORIZONTAL attribute set.

     See Also:
     Spinner, Orientation, ORIENTATION_HORIZONTAL

 heightWidthRatio

The ratio of height to width of the spinner buttons.

 HorizontalSpinButtonPanel()

Constructs the default HorizontalSpinButtonPanel.

 getMinimumSize()

Returns the minimum dimensions to properly display this component.

 getPreferredSize()

Returns the recommended dimensions to properly display this component.

 minimumSize()

Deprecated.

 preferredSize()

Deprecated.

 reshape(int, int, int, int)

Moves and/or resizes this component.

 heightWidthRatio

 protected double heightWidthRatio

The ratio of height to width of the spinner buttons. i.e. height is <ratio> * width.

 HorizontalSpinButtonPanel

 public HorizontalSpinButtonPanel()

Constructs the default HorizontalSpinButtonPanel.

 getMinimumSize

 public Dimension getMinimumSize()

Returns the minimum dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the minimum size of this component. It simply returns the results of a call to preferedSize().

Overrides:

getMinimumSize in class Container

 getPreferredSize

 public Dimension getPreferredSize()

Returns the recommended dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the recommended size of this component.

Overrides:

getPreferredSize in class SpinButtonPanel

 minimumSize

 public Dimension minimumSize()

Note: minimumSize() is deprecated.

Overrides:

minimumSize in class Container

See Also:

getMinimumSize

 preferredSize

 public Dimension preferredSize()

Note: preferredSize() is deprecated.

Overrides:

preferredSize in class Container

See Also:

getPreferredSize

 reshape

 public void reshape(int x,
                     int y,
                     int width,
                     int height)

Moves and/or resizes this component. This is a standard Java AWT method which gets called to move and/or resize this component. Components that are in containers with layout managers should not call this method, but rely on the layout manager instead. This method is overridden to reshape the two direction buttons.

Parameters:

x - horizontal position in the parent's coordinate space

y - vertical position in the parent's coordinate space

width - the new width

height - the new height

Overrides:

reshape in class Component


 Class symantec.itools.awt.util.spinner.ListSpinner

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Container
                   |
                   +----java.awt.Panel
                           |
                           +----symantec.itools.awt.util.spinner.Spinner
                                   |
                                   +----symantec.itools.awt.util.spinner.ListSpinner

public class ListSpinner
   extends Spinner

Creates a text box, containing a list of items, with up and down arrows. Use this component to allow your users to move through a set of fixed values or type a valid value in the box.

At run time only the selected value is displayed in the text box.

     See Also:
     Spinner

 dynamicResizing

Flag to keep track of allowance of dynamic resizing of the edit box as new values are entered.

 internalMax

The maximum value the list is allowed to go to.

 isPossibleEdit

Is possible to edit the component.

 list

The list of strings that get displayed in the spinner.

 oldText

Text value at the time focus was gained.

 ListSpinner()

Constructs an empty ListSpinner.

 addItem(String)

Adds a string to the end of the list.

 addMaxListener(PropertyChangeListener)

Adds a listener for the max property changes.

 addMaxListener(VetoableChangeListener)

Adds a vetoable listener for the max property changes.

 addNotify()

Tells this component that it has been added to a container.

 addPropertyChangeListener(PropertyChangeListener)

Adds a listener for all property change events.

 addVetoableChangeListener(VetoableChangeListener)

Adds a listener for all vetoable property change events.

 getCurrentText()

Gets the currently selected string from the list.

 getListItems()

Returns the current list as an array of Strings.

 isAllowDynamicResizing()

Gets whether the current value can wrap around from maximum to minimum and from minimum to maximum.

 isValidCurrentValue(int)

Is the given value valid for the Current property .

 isValidMaxValue(int)

Is the given value valid for the Max property .

 isValidMinValue(int)

Is the given value valid for the Min property .

 removeMaxListener(PropertyChangeListener)

Removes a listener for the max property changes.

 removeMaxListener(VetoableChangeListener)

Removes a vetoable listener for the max property changes.

 removeNotify()

Tells this component that it is being removed from a container.

 removePropertyChangeListener(PropertyChangeListener)

Removes a listener for all property change events.

 removeVetoableChangeListener(VetoableChangeListener)

Removes a listener for all vetoable property change events.

 scrollDown()

Decrements the spinner's value and handles wrapping as needed.

 scrollUp()

Increments the spinner's value and handles wrapping as needed.

 setAllowDynamicResizing(boolean)

Conditionally allows resizing of the edit box if needed when new values are entered.

 setListItems(String[])

Adds the given string array to the end of the list.

 setMax(int)

Sets the maximum value the spinner may have.

 truncateContents(String)

Gets the current contets and truncates the string appropriately.

 updateButtonStatus()

Handles enabling or disabling the spinner buttons as needed.

 updateInternalMax()

Keeps track of the maximum value the list is allowed to go to.

 updateText(boolean)

Updates the text field with the current text, as needed or depending on the force flag.

 dynamicResizing

 protected boolean dynamicResizing

Flag to keep track of allowance of dynamic resizing of the edit box as new values are entered.

 internalMax

 protected int internalMax

The maximum value the list is allowed to go to.

 isPossibleEdit

 protected boolean isPossibleEdit

Is possible to edit the component. True when it has the focus.

 list

 protected Vector list

The list of strings that get displayed in the spinner.

 oldText

 protected String oldText

Text value at the time focus was gained.

 ListSpinner

 public ListSpinner()

Constructs an empty ListSpinner.

 addItem

 public void addItem(String s)

Adds a string to the end of the list.

Parameters:

s - the string to be appended to the list

See Also:

setListItems

 addMaxListener

 public synchronized void addMaxListener(PropertyChangeListener listener)

Adds a listener for the max property changes.

Parameters:

listener - the listener to add.

Overrides:

addMaxListener in class Spinner

See Also:

removeMaxListener

 addMaxListener

 public synchronized void addMaxListener(VetoableChangeListener listener)

Adds a vetoable listener for the max property changes.

Parameters:

listener - the listener to add.

Overrides:

addMaxListener in class Spinner

See Also:

removeMaxListener

 addNotify

 public void addNotify()

Tells this component that it has been added to a container. This is a standard Java AWT method which gets called by the AWT when this component is added to a container. Typically, it is used to create this component's peer. Here it's used to get the length of the largest string in the list.

Overrides:

addNotify in class Spinner

See Also:

removeNotify

 addPropertyChangeListener

 public synchronized void addPropertyChangeListener(PropertyChangeListener listener)

Adds a listener for all property change events.

Parameters:

listener - the listener to add

Overrides:

addPropertyChangeListener in class Spinner

See Also:

removePropertyChangeListener

 addVetoableChangeListener

 public synchronized void addVetoableChangeListener(VetoableChangeListener listener)

Adds a listener for all vetoable property change events.

Parameters:

listener - the listener to add

Overrides:

addVetoableChangeListener in class Spinner

See Also:

removeVetoableChangeListener

 getCurrentText

 public String getCurrentText()

Gets the currently selected string from the list.

Returns:

the string currently visible in the Spinner

Overrides:

getCurrentText in class Spinner

 getListItems

 public String[] getListItems()

Returns the current list as an array of Strings.

Returns:

the current list

See Also:

setListItems

 isAllowDynamicResizing

 public boolean isAllowDynamicResizing()

Gets whether the current value can wrap around from maximum to minimum and from minimum to maximum.

Returns:

true if the edit box will resize if needed when new values are entered.

See Also:

setAllowDynamicResizing

 isValidCurrentValue

 protected boolean isValidCurrentValue(int i)

Is the given value valid for the Current property .

Parameters:

i - the given value

Returns:

true if the given value is acceptable, false if not.

Overrides:

isValidCurrentValue in class Spinner

 isValidMaxValue

 protected boolean isValidMaxValue(int i)

Is the given value valid for the Max property .

Parameters:

i - the given value

Returns:

true if the given value is acceptable, false if not.

Overrides:

isValidMaxValue in class Spinner

 isValidMinValue

 protected boolean isValidMinValue(int i)

Is the given value valid for the Min property .

Parameters:

i - the given value

Returns:

true if the given value is acceptable, false if not.

Overrides:

isValidMinValue in class Spinner

 removeMaxListener

 public synchronized void removeMaxListener(PropertyChangeListener listener)

Removes a listener for the max property changes.

Parameters:

listener - the listener to remove.

Overrides:

removeMaxListener in class Spinner

See Also:

addMaxListener

 removeMaxListener

 public synchronized void removeMaxListener(VetoableChangeListener listener)

Removes a vetoable listener for the max property changes.

Parameters:

listener - the listener to remove.

Overrides:

removeMaxListener in class Spinner

See Also:

addMaxListener

 removeNotify

 public synchronized void removeNotify()

Tells this component that it is being removed from a container. This is a standard Java AWT method which gets called by the AWT when this component is removed from a container. Typically, it is used to destroy the peers of this component and all its subcomponents. It has been overridden here to unhook event listeners.

Overrides:

removeNotify in class Spinner

See Also:

addNotify

 removePropertyChangeListener

 public synchronized void removePropertyChangeListener(PropertyChangeListener listener)

Removes a listener for all property change events.

Parameters:

listener - the listener to remove

Overrides:

removePropertyChangeListener in class Spinner

See Also:

addPropertyChangeListener

 removeVetoableChangeListener

 public synchronized void removeVetoableChangeListener(VetoableChangeListener listener)

Removes a listener for all vetoable property change events.

Parameters:

listener - the listener to remove

Overrides:

removeVetoableChangeListener in class Spinner

See Also:

addVetoableChangeListener

 scrollDown

 protected void scrollDown()

Decrements the spinner's value and handles wrapping as needed.

Overrides:

scrollDown in class Spinner

See Also:

scrollUp, increment

 scrollUp

 protected void scrollUp()

Increments the spinner's value and handles wrapping as needed.

Overrides:

scrollUp in class Spinner

See Also:

scrollDown, increment

 setAllowDynamicResizing

 public void setAllowDynamicResizing(boolean f) throws PropertyVetoException

Conditionally allows resizing of the edit box if needed when new values are entered.

Parameters:

f - if true the edit box will resize if needed when new values are entered.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

isAllowDynamicResizing

 setListItems

 public void setListItems(String items[]) throws PropertyVetoException

Adds the given string array to the end of the list.

Parameters:

items - the items to add to the list

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getListItems

 setMax

 public void setMax(int i) throws PropertyVetoException

Sets the maximum value the spinner may have.

Parameters:

i - the new maximum value

Throws: PropertyVetoException

if the specified property value is unacceptable

Overrides:

setMax in class Spinner

See Also:

getMax

 truncateContents

 protected String truncateContents(String contents)

Gets the current contets and truncates the string appropriately. This assumes it is geting called from updateText

Parameters:

contents - the string to truncate as if it were to be placed in the textField

Returns:

The truncated string. This may not be truncated if it was not needed.

 updateButtonStatus

 protected void updateButtonStatus()

Handles enabling or disabling the spinner buttons as needed.

Overrides:

updateButtonStatus in class Spinner

 updateInternalMax

 protected void updateInternalMax()

Keeps track of the maximum value the list is allowed to go to.

 updateText

 protected void updateText(boolean force)

Updates the text field with the current text, as needed or depending on the force flag.

Overrides:

updateText in class Spinner


 Class symantec.itools.awt.util.spinner.ListSpinnerBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.util.spinner.ListSpinnerBeanInfo

public class ListSpinnerBeanInfo
   extends SimpleBeanInfo

BeanInfo for ListSpinner.

 ListSpinnerBeanInfo()

Constructs a ListSpinnerBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 ListSpinnerBeanInfo

 public ListSpinnerBeanInfo()

Constructs a ListSpinnerBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.util.spinner.MonthSpinner

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Container
                   |
                   +----java.awt.Panel
                           |
                           +----symantec.itools.awt.util.spinner.Spinner
                                   |
                                   +----symantec.itools.awt.util.spinner.ListSpinner
                                           |
                                           +----symantec.itools.awt.util.spinner.MonthSpinner

public class MonthSpinner
   extends ListSpinner

Month spin control.

Creates a text box, containing a list Months, with up and down arrows. Allows your user to move through a set of fixed values or type a valid value in the box.

     See Also:
     ListSpinner

 MonthSpinner()

Construct MonthSpinner component.

 MonthSpinner

 public MonthSpinner()

Construct MonthSpinner component. This component includes the months in the order Janruary through December. By default, the inial display of this component is the item "Janruary".


 Class symantec.itools.awt.util.spinner.MonthSpinnerBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.util.spinner.MonthSpinnerBeanInfo

public class MonthSpinnerBeanInfo
   extends SimpleBeanInfo

BeanInfo for MonthSpinner.

 MonthSpinnerBeanInfo()

Constructs a MonthSpinnerBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 MonthSpinnerBeanInfo

 public MonthSpinnerBeanInfo()

Constructs a MonthSpinnerBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32


 Class symantec.itools.awt.util.spinner.NumericSpinner

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Container
                   |
                   +----java.awt.Panel
                           |
                           +----symantec.itools.awt.util.spinner.Spinner
                                   |
                                   +----symantec.itools.awt.util.spinner.NumericSpinner

public class NumericSpinner
   extends Spinner
   implements Serializable

Creates a text box, containing a list of numbers, with up and down arrows. Use this component to allow your users to move through a set of fixed values or type a valid value in the box.

At run time only the selected value is displayed in the text box.

     See Also:
     Spinner

 NumericSpinner()

Constructs an empty NumericSpinner.

 addNotify()

Tells this component that it has been added to a container.

 addPropertyChangeListener(PropertyChangeListener)

Adds a listener for all property change events.

 addVetoableChangeListener(VetoableChangeListener)

Adds a listener for all vetoable property change events.

 getCurrentText()

Gets the current text from the Spinner.

 getIncrement()

Gets the increment/decrement value.

 removePropertyChangeListener(PropertyChangeListener)

Removes a listener for all property change events.

 removeVetoableChangeListener(VetoableChangeListener)

Removes a listener for all vetoable property change events.

 setIncrement(int)

Sets the value to increment/decrement the Spinner by.

 setMax(int)

Sets the maximum value the spinner may have.

 setMin(int)

Sets the minimum value the spinner may have.

 NumericSpinner

 public NumericSpinner()

Constructs an empty NumericSpinner.

 addNotify

 public void addNotify()

Tells this component that it has been added to a container. This is a standard Java AWT method which gets called by the AWT when this component is added to a container. Typically, it is used to create this component's peer. Here it's used to set maximum text width and note the text of the current selection.

Overrides:

addNotify in class Spinner

See Also:

removeNotify

 addPropertyChangeListener

 public synchronized void addPropertyChangeListener(PropertyChangeListener listener)

Adds a listener for all property change events.

Parameters:

listener - the listener to add

Overrides:

addPropertyChangeListener in class Spinner

See Also:

removePropertyChangeListener

 addVetoableChangeListener

 public synchronized void addVetoableChangeListener(VetoableChangeListener listener)

Adds a listener for all vetoable property change events.

Parameters:

listener - the listener to add

Overrides:

addVetoableChangeListener in class Spinner

See Also:

removeVetoableChangeListener

 getCurrentText

 public String getCurrentText()

Gets the current text from the Spinner.

Returns:

the text of the currently selected Spinner value

Overrides:

getCurrentText in class Spinner

 getIncrement

 public int getIncrement()

Gets the increment/decrement value.

Returns:

the increment/decrement value

See Also:

setIncrement

 removePropertyChangeListener

 public synchronized void removePropertyChangeListener(PropertyChangeListener listener)

Removes a listener for all property change events.

Parameters:

listener - the listener to remove

Overrides:

removePropertyChangeListener in class Spinner

See Also:

addPropertyChangeListener

 removeVetoableChangeListener

 public synchronized void removeVetoableChangeListener(VetoableChangeListener listener)

Removes a listener for all vetoable property change events.

Parameters:

listener - the listener to remove

Overrides:

removeVetoableChangeListener in class Spinner

See Also:

addVetoableChangeListener

 setIncrement

 public void setIncrement(int i) throws PropertyVetoException

Sets the value to increment/decrement the Spinner by.

Parameters:

int - i the increment/decrement value

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getIncrement

 setMax

 public void setMax(int i) throws PropertyVetoException

Sets the maximum value the spinner may have. Overridden here to set the size of the text area.

Parameters:

i - the new maximum value

Throws: PropertyVetoException

if the specified property value is unacceptable

Overrides:

setMax in class Spinner

See Also:

getMax, setMin

 setMin

 public void setMin(int i) throws PropertyVetoException

Sets the minimum value the spinner may have. Overriden here to set the size of the text area.

Parameters:

i - the new minimum value

Throws: PropertyVetoException

if the specified property value is unacceptable

Overrides:

setMin in class Spinner

See Also:

getMin, setMax


 Class symantec.itools.awt.util.spinner.NumericSpinnerBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.util.spinner.NumericSpinnerBeanInfo

public class NumericSpinnerBeanInfo
   extends SimpleBeanInfo

BeanInfo for NumericSpinner.

 NumericSpinnerBeanInfo()

Constructs a NumericSpinnerBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 NumericSpinnerBeanInfo

 public NumericSpinnerBeanInfo()

Constructs a NumericSpinnerBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.util.spinner.SpinButtonPanel

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Container
                   |
                   +----java.awt.Panel
                           |
                           +----symantec.itools.awt.util.spinner.SpinButtonPanel

public class SpinButtonPanel
   extends Panel
   implements Orientation

This component provides the up/down or right/left buttons used in spinners. It is used by abstract class Spinner and in the HorizontalSpinButtonPanel and VerticalSpinButtonPanel components.

     See Also:
     Spinner, HorizontalSpinButton, VerticalSpinButton

 actionListener

The action listener to keep track of listeners for our action event.

 delay

Reserved.

 notifyWhilePressed

Whether the spinner buttons will continually post notify events while pressed.

 orientation

Current spinner button layout.

 SpinButtonPanel()

Constructs a SpinButtonPanel.

 addActionListener(ActionListener)

Adds the specified action listener to receive action events.

 addNotify()

Tells this component that it has been added to a container.

 addPropertyChangeListener(PropertyChangeListener)

Adds a listener for all property change events.

 addVetoableChangeListener(VetoableChangeListener)

Adds a listener for all vetoable property change events.

 disable()

Deprecated.

 disableDownButton()

Deprecated.

 disableUpButton()

Deprecated.

 enable()

Deprecated.

 enableDownButton()

Deprecated.

 enableUpButton()

Deprecated.

 getDelay()

Returns the current delay between notification events of the spinner buttons in milliseconds.

 getNotifyWhilePressed()

Deprecated.

 getOrientation()

Gets whether the spinner buttons are laid out one above the other or one beside the other.

 getPreferredSize()

Returns the preferred size of this container.

 isDownButtonEnabled()

The enabled state of the decrementing button.

 isNotifyWhilePressed()

Gets whether the spinner buttons will continually post notify events while pressed.

 isUpButtonEnabled()

The enabled state of the incrementing button.

 removeActionListener(ActionListener)

Removes the specified action listener so it no longer receives action events from this component.

 removeNotify()

Tells this component that it is being removed from a container.

 removePropertyChangeListener(PropertyChangeListener)

Removes a listener for all property change events.

 removeVetoableChangeListener(VetoableChangeListener)

Removes a listener for all vetoable property change events.

 setDelay(int)

Sets the notification event delay of the spinner buttons in milliseconds.

 setDownButtonEnabled(boolean)

This enables or disables the decrementing button only.

 setEnabled(boolean)

Enables or disables this component so that it will respond to user input or not.

 setLayout(LayoutManager)

Takes no action.

 setNotifyWhilePressed(boolean)

Sets whether the spinner buttons will continually post notify events while pressed.

 setOrientation(int)

Sets whether the spinner buttons are laid out one above the other or one beside the other.

 setUpButtonEnabled(boolean)

This enables or disables the incrementing button only.

 sourceActionEvent(String)

Fire an action event to the listeners

 actionListener

 protected ActionListener actionListener

The action listener to keep track of listeners for our action event.

 delay

 protected int delay

Reserved.

 notifyWhilePressed

 protected boolean notifyWhilePressed

Whether the spinner buttons will continually post notify events while pressed.

See Also:

getNotifyWhilePressed, setNotifyWhilePressed

 orientation

 protected int orientation

Current spinner button layout.

See Also:

getOrientation, setOrientation

 SpinButtonPanel

 public SpinButtonPanel()

Constructs a SpinButtonPanel.

 addActionListener

 public synchronized void addActionListener(ActionListener l)

Adds the specified action listener to receive action events. The ActionCommand will be either "Increment" or "Decrement" depending on which spinner button was pressed.

Parameters:

l - the action listener

 addNotify

 public synchronized void addNotify()

Tells this component that it has been added to a container. This is a standard Java AWT method which gets called by the AWT when this component is added to a container. Typically, it is used to create this component's peer. It has been overridden here to hook-up event listeners.

Overrides:

addNotify in class Panel

See Also:

removeNotify

 addPropertyChangeListener

 public synchronized void addPropertyChangeListener(PropertyChangeListener listener)

Adds a listener for all property change events.

Parameters:

listener - the listener to add

See Also:

removePropertyChangeListener

 addVetoableChangeListener

 public synchronized void addVetoableChangeListener(VetoableChangeListener listener)

Adds a listener for all vetoable property change events.

Parameters:

listener - the listener to add

See Also:

removeVetoableChangeListener

 disable

 public synchronized void disable()

Note: disable() is deprecated.

Overrides:

disable in class Component

See Also:

setEnabled

 disableDownButton

 public synchronized void disableDownButton()

Note: disableDownButton() is deprecated.

See Also:

setDownButtonEnabled

 disableUpButton

 public synchronized void disableUpButton()

Note: disableUpButton() is deprecated.

See Also:

setUpButtonEnabled

 enable

 public synchronized void enable()

Note: enable() is deprecated.

Overrides:

enable in class Component

See Also:

setEnabled

 enableDownButton

 public synchronized void enableDownButton()

Note: enableDownButton() is deprecated.

See Also:

setDownButtonEnabled

 enableUpButton

 public synchronized void enableUpButton()

Note: enableUpButton() is deprecated.

See Also:

setUpButtonEnabled

 getDelay

 public int getDelay()

Returns the current delay between notification events of the spinner buttons in milliseconds.

See Also:

setNotifyWhilePressed, setDelay

 getNotifyWhilePressed

 public boolean getNotifyWhilePressed()

Note: getNotifyWhilePressed() is deprecated.

See Also:

isNotifyWhilePressed

 getOrientation

 public int getOrientation()

Gets whether the spinner buttons are laid out one above the other or one beside the other.

Returns:

the orientation, one of: ORIENTATION_VERTICAL, or ORIENTATION_HORIZONTAL

See Also:

setOrientation, ORIENTATION_VERTICAL, ORIENTATION_HORIZONTAL

 getPreferredSize

 public Dimension getPreferredSize()

Returns the preferred size of this container.

Overrides:

getPreferredSize in class Container

 isDownButtonEnabled

 public boolean isDownButtonEnabled()

The enabled state of the decrementing button.

Returns:

true if the decrementing button is enabled, false if it is disabled.

See Also:

setDownButtonEnabled

 isNotifyWhilePressed

 public boolean isNotifyWhilePressed()

Gets whether the spinner buttons will continually post notify events while pressed.

Returns:

true if notify events posted while pressed, false otherwise

See Also:

setNotifyWhilePressed, setDelay, getDelay

 isUpButtonEnabled

 public boolean isUpButtonEnabled()

The enabled state of the incrementing button.

Returns:

true if the incrementing button is enabled, false if it is disabled.

See Also:

setUpButtonEnabled

 removeActionListener

 public synchronized void removeActionListener(ActionListener l)

Removes the specified action listener so it no longer receives action events from this component.

Parameters:

l - the action listener

 removeNotify

 public synchronized void removeNotify()

Tells this component that it is being removed from a container. This is a standard Java AWT method which gets called by the AWT when this component is removed from a container. Typically, it is used to destroy the peers of this component and all its subcomponents. It has been overridden here to unhook event listeners.

Overrides:

removeNotify in class Container

See Also:

addNotify

 removePropertyChangeListener

 public synchronized void removePropertyChangeListener(PropertyChangeListener listener)

Removes a listener for all property change events.

Parameters:

listener - the listener to remove

See Also:

addPropertyChangeListener

 removeVetoableChangeListener

 public synchronized void removeVetoableChangeListener(VetoableChangeListener listener)

Removes a listener for all vetoable property change events.

Parameters:

listener - the listener to remove

See Also:

addVetoableChangeListener

 setDelay

 public void setDelay(int d) throws PropertyVetoException

Sets the notification event delay of the spinner buttons in milliseconds.

Parameters:

d - the delay between notification events in milliseconds

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setNotifyWhilePressed, getDelay

 setDownButtonEnabled

 public synchronized void setDownButtonEnabled(boolean flag)

This enables or disables the decrementing button only.

Parameters:

flag - true if the decrementing button is to be enabled, false if it is to be disabled.

See Also:

isDownButtonEnabled

 setEnabled

 public synchronized void setEnabled(boolean flag)

Enables or disables this component so that it will respond to user input or not. This is a standard Java AWT method which gets called to enable or disable this component. Once enabled this component will respond to user input.

Parameters:

flag - true if the component is to be enabled, false if it is to be disabled.

Overrides:

setEnabled in class Component

See Also:

isEnabled

 setLayout

 public void setLayout(LayoutManager l)

Takes no action. This is a standard Java AWT method which gets called to specify which layout manager should be used to layout the components in standard containers. Since layout managers CANNOT BE USED with this container the standard setLayout has been OVERRIDDEN for this container and does nothing.

Parameters:

l - the layout manager to use to layout this container's components (IGNORED)

Overrides:

setLayout in class Container

See Also:

getLayout

 setNotifyWhilePressed

 public void setNotifyWhilePressed(boolean f) throws PropertyVetoException

Sets whether the spinner buttons will continually post notify events while pressed.

Parameters:

f - true = send messages; false = do not send messages

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

isNotifyWhilePressed, setDelay, getDelay

 setOrientation

 public void setOrientation(int o)

Sets whether the spinner buttons are laid out one above the other or one beside the other.

Parameters:

o - the new orientation, one of: ORIENTATION_VERTICAL, or ORIENTATION_HORIZONTAL

See Also:

getOrientation, ORIENTATION_VERTICAL, ORIENTATION_HORIZONTAL

 setUpButtonEnabled

 public synchronized void setUpButtonEnabled(boolean flag)

This enables or disables the incrementing button only.

Parameters:

flag - true if the incrementing button is to be enabled, false if it is to be disabled.

See Also:

isUpButtonEnabled

 sourceActionEvent

 protected void sourceActionEvent(String actionCommand)

Fire an action event to the listeners


 Class symantec.itools.awt.util.spinner.Spinner

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Container
                   |
                   +----java.awt.Panel
                           |
                           +----symantec.itools.awt.util.spinner.Spinner

public abstract class Spinner
   extends Panel
   implements Orientation, Serializable

This abstract class is used to create spinners. A spinner is a component with two small direction buttons that lets the user scroll a list of predetermined values to select one, or possibly enter a new legal value.

     See Also:
     ListSpinner, NumericSpinner

 action

An ActionEvent listener that handles typical spinner actions.

 actionListener

The action listener which will receive action events from this component.

 added

Tracks whether this component has been added to a container.

 changes

Tracks listeners for all property change events.

 current

The current spinner value.

 currentVeto

A PropertyChangeEvent listener that constrains the "current" property as needed.

 editable

Whether the Spinner's TextField is editable.

 errors

Error reporting strings.

 increment

The amount the spinner's value is changed when scrolling step is taken.

 max

The maximum value the spinner may have.

 maxVeto

A PropertyChangeEvent listener that constrains the "max" property as needed.

 min

The minimum value the spinner may have.

 minVeto

A PropertyChangeEvent listener that constrains the "min" property as needed.

 orientation

Reserved.

 ORIENTATION_DEFAULT

The default spinner orientation.

 text

Reserved.

 textWidth

Reserved.

 vetos

Tracks listeners for all vetoable property change events.

 wrappable

Whether the value can wrap from max to min, and from min to max.

 Spinner()

Constructs a default spinner.

 addActionListener(ActionListener)

Adds the specified action listener to receive action events from this component.

 addCurrentListener(PropertyChangeListener)

Adds a listener for the current property changes.

 addCurrentListener(VetoableChangeListener)

Adds a vetoable listener for the current property changes.

 addMaxListener(PropertyChangeListener)

Adds a listener for the max property changes.

 addMaxListener(VetoableChangeListener)

Adds a vetoable listener for the max property changes.

 addMinListener(PropertyChangeListener)

Adds a listener for the min property changes.

 addMinListener(VetoableChangeListener)

Adds a vetoable listener for the min property changes.

 addNotify()

Tells this component that it has been added to a container.

 addPropertyChangeListener(PropertyChangeListener)

Adds a listener for all property change events.

 addVetoableChangeListener(VetoableChangeListener)

Adds a listener for all vetoable property change events.

 getCurrent()

Gets the current value of the spinner.

 getCurrentText()

Gets the currently selected string from the list.

 getDelay()

Returns the current delay between notification events of the spinner buttons in milliseconds.

 getEditable()

Deprecated.

 getEntryFieldText()

Returns the text that is in the entry TextField.

 getMax()

Gets the current maximum value the spinner may have.

 getMin()

Gets the current minimum value the spinner may have.

 getMinimumSize()

Returns the minimum size of this container.

 getNotifyWhilePressed()

Deprecated.

 getOrientation()

Gets whether the spinner buttons are laid out one above the other or one beside the other.

 getPreferredSize()

Returns the preferred size of this container.

 getWrappable()

Deprecated.

 isEditable()

Returns whether the Spinner's TextField is editable.

 isNotifyWhilePressed()

Gets the current notifyWhilePressed status.

 isValidCurrentValue(int)

Is the given value valid for the Current property .

 isValidMaxValue(int)

Is the given value valid for the Max property .

 isValidMinValue(int)

Is the given value valid for the Min property .

 isWrappable()

Gets whether the value can wrap from max to min, and from min to max.

 removeActionListener(ActionListener)

Removes the specified action listener so it no longer receives action events from this component.

 removeCurrentListener(PropertyChangeListener)

Removes a listener for the current property changes.

 removeCurrentListener(VetoableChangeListener)

Removes a vetoable listener for the current property changes.

 removeMaxListener(PropertyChangeListener)

Removes a listener for the max property changes.

 removeMaxListener(VetoableChangeListener)

Removes a vetoable listener for the max property changes.

 removeMinListener(PropertyChangeListener)

Removes a listener for the min property changes.

 removeMinListener(VetoableChangeListener)

Removes a vetoable listener for the min property changes.

 removeNotify()

Tells this component that it is being removed from a container.

 removePropertyChangeListener(PropertyChangeListener)

Removes a listener for all property change events.

 removeVetoableChangeListener(VetoableChangeListener)

Removes a listener for all vetoable property change events.

 scrollDown()

Decrements the spinner's value and handles wrapping as needed.

 scrollUp()

Increments the spinner's value and handles wrapping as needed.

 setCurrent(int)

Sets the value of the spinner.

 setDelay(int)

Sets the notification event delay of the spinner buttons in milliseconds.

 setEditable(boolean)

Conditionally enables editing of the Spinner's TextField.

 setLayout(LayoutManager)

Takes no action.

 setMax(int)

Sets the maximum value the spinner may have.

 setMin(int)

Sets the minimum value the spinner may have.

 setNotifyWhilePressed(boolean)

Sets whether the spinner buttons will continually post notify events while pressed.

 setOrientation(int)

Sets whether the spinner buttons are laid out one above the other or one beside the other.

 setWrappable(boolean)

Sets whether the value can wrap from max to min, and from min to max.

 sourceActionEvent(String)

Fire an action event to the listeners

 updateButtonStatus()

Handles enabling or disabling the spinner buttons as needed.

 updateText(boolean)

Updates the text field with the current text, as needed or depending on the force flag.

 action

 protected Spinner$Action action

An ActionEvent listener that handles typical spinner actions.

 actionListener

 protected ActionListener actionListener

The action listener which will receive action events from this component.

See Also:

addActionListener, removeActionListener

 added

 protected boolean added

Tracks whether this component has been added to a container.

 changes

 protected PropertyChangeSupport changes

Tracks listeners for all property change events.

See Also:

addPropertyChangeListener, removePropertyChangeListener

 current

 protected int current

The current spinner value.

See Also:

getCurrent, setCurrent

 currentVeto

 protected Spinner$CurrentVeto currentVeto

A PropertyChangeEvent listener that constrains the "current" property as needed.

See Also:

current, maxVeto, minVeto

 editable

 protected boolean editable

Whether the Spinner's TextField is editable.

See Also:

isEditable, setEditable

 errors

 protected ResourceBundle errors

Error reporting strings.

 increment

 protected int increment

The amount the spinner's value is changed when scrolling step is taken.

See Also:

scrollUp, scrollDown

 max

 protected int max

The maximum value the spinner may have.

See Also:

getMax, setMax

 maxVeto

 protected Spinner$MaxVeto maxVeto

A PropertyChangeEvent listener that constrains the "max" property as needed.

See Also:

max, currentVeto, minVeto

 min

 protected int min

The minimum value the spinner may have.

See Also:

getMin, setMin

 minVeto

 protected Spinner$MinVeto minVeto

A PropertyChangeEvent listener that constrains the "min" property as needed.

See Also:

min, currentVeto, maxVeto

 orientation

 protected int orientation

Reserved.

See Also:

getOrientation, setOrientation

 ORIENTATION_DEFAULT

 protected static int ORIENTATION_DEFAULT

The default spinner orientation.

 text

 protected String text

Reserved.

 textWidth

 protected int textWidth

Reserved.

 vetos

 protected VetoableChangeSupport vetos

Tracks listeners for all vetoable property change events.

See Also:

addVetoableChangeListener, removeVetoableChangeListener

 wrappable

 protected boolean wrappable

Whether the value can wrap from max to min, and from min to max.

See Also:

isWrappable, setWrappable

 Spinner

 public Spinner()

Constructs a default spinner. The current value is 0, the minimum value is 0, the maximum value is 1, the increment is 1, it is not wrappable, and has a vertical orientation.

 addActionListener

 public synchronized void addActionListener(ActionListener l)

Adds the specified action listener to receive action events from this component.

Parameters:

l - the action listener

See Also:

removeActionListener

 addCurrentListener

 public synchronized void addCurrentListener(PropertyChangeListener listener)

Adds a listener for the current property changes.

Parameters:

listener - the listener to add.

See Also:

removeCurrentListener

 addCurrentListener

 public synchronized void addCurrentListener(VetoableChangeListener listener)

Adds a vetoable listener for the current property changes.

Parameters:

listener - the listener to add.

See Also:

removeCurrentListener

 addMaxListener

 public synchronized void addMaxListener(PropertyChangeListener listener)

Adds a listener for the max property changes.

Parameters:

listener - the listener to add.

See Also:

removeMaxListener

 addMaxListener

 public synchronized void addMaxListener(VetoableChangeListener listener)

Adds a vetoable listener for the max property changes.

Parameters:

listener - the listener to add.

See Also:

removeMaxListener

 addMinListener

 public synchronized void addMinListener(PropertyChangeListener listener)

Adds a listener for the min property changes.

Parameters:

listener - the listener to add.

See Also:

removeMinListener

 addMinListener

 public synchronized void addMinListener(VetoableChangeListener listener)

Adds a vetoable listener for the min property changes.

Parameters:

listener - the listener to add.

See Also:

removeMinListener

 addNotify

 public synchronized void addNotify()

Tells this component that it has been added to a container. This is a standard Java AWT method which gets called by the AWT when this component is added to a container. Typically, it is used to create this component's peer. It has been overridden here to hook-up event listeners. It is also used to setup the component, creating the TextField as needed.

Overrides:

addNotify in class Panel

See Also:

removeNotify

 addPropertyChangeListener

 public synchronized void addPropertyChangeListener(PropertyChangeListener listener)

Adds a listener for all property change events.

Parameters:

listener - the listener to add

See Also:

removePropertyChangeListener

 addVetoableChangeListener

 public synchronized void addVetoableChangeListener(VetoableChangeListener listener)

Adds a listener for all vetoable property change events.

Parameters:

listener - the listener to add

See Also:

removeVetoableChangeListener

 getCurrent

 public int getCurrent()

Gets the current value of the spinner.

Returns:

the current spinner value

See Also:

setCurrent

 getCurrentText

 protected abstract String getCurrentText()

Gets the currently selected string from the list.

Returns:

the string currently visible in the Spinner

See Also:

updateText

 getDelay

 public int getDelay()

Returns the current delay between notification events of the spinner buttons in milliseconds.

See Also:

setNotifyWhilePressed, setDelay

 getEditable

 public boolean getEditable()

Note: getEditable() is deprecated.

See Also:

isEditable

 getEntryFieldText

 public String getEntryFieldText()

Returns the text that is in the entry TextField.

 getMax

 public int getMax()

Gets the current maximum value the spinner may have.

Returns:

the current maximum value

See Also:

setMax

 getMin

 public int getMin()

Gets the current minimum value the spinner may have.

Returns:

the current minimum value

See Also:

setMin

 getMinimumSize

 public Dimension getMinimumSize()

Returns the minimum size of this container.

Overrides:

getMinimumSize in class Container

 getNotifyWhilePressed

 public boolean getNotifyWhilePressed()

Note: getNotifyWhilePressed() is deprecated.

See Also:

isNotifyWhilePressed

 getOrientation

 public int getOrientation()

Gets whether the spinner buttons are laid out one above the other or one beside the other.

Returns:

the orientation, one of: ORIENTATION_VERTICAL, or ORIENTATION_HORIZONTAL

See Also:

setOrientation, ORIENTATION_VERTICAL, ORIENTATION_HORIZONTAL

 getPreferredSize

 public Dimension getPreferredSize()

Returns the preferred size of this container.

Overrides:

getPreferredSize in class Container

 getWrappable

 public boolean getWrappable()

Note: getWrappable() is deprecated.

See Also:

isWrappable

 isEditable

 public boolean isEditable()

Returns whether the Spinner's TextField is editable.

Returns:

true if the TextField can be edited, false otherwise

See Also:

setEditable

 isNotifyWhilePressed

 public boolean isNotifyWhilePressed()

Gets the current notifyWhilePressed status.

Returns:

true if notify events posted while pressed, false otherwise

See Also:

setNotifyWhilePressed, setDelay, getDelay

 isValidCurrentValue

 protected boolean isValidCurrentValue(int i)

Is the given value valid for the Current property .

Parameters:

i - the given value

Returns:

true if the given value is acceptable, false if not.

 isValidMaxValue

 protected boolean isValidMaxValue(int i)

Is the given value valid for the Max property .

Parameters:

i - the given value

Returns:

true if the given value is acceptable, false if not.

 isValidMinValue

 protected boolean isValidMinValue(int i)

Is the given value valid for the Min property .

Parameters:

i - the given value

Returns:

true if the given value is acceptable, false if not.

 isWrappable

 public boolean isWrappable()

Gets whether the value can wrap from max to min, and from min to max.

Returns:

true if the value is allowed to wrap

See Also:

setWrappable

 removeActionListener

 public synchronized void removeActionListener(ActionListener l)

Removes the specified action listener so it no longer receives action events from this component.

Parameters:

l - the action listener

See Also:

addActionListener

 removeCurrentListener

 public synchronized void removeCurrentListener(PropertyChangeListener listener)

Removes a listener for the current property changes.

Parameters:

listener - the listener to remove.

See Also:

addCurrentListener

 removeCurrentListener

 public synchronized void removeCurrentListener(VetoableChangeListener listener)

Removes a vetoable listener for the current property changes.

Parameters:

listener - the listener to remove.

See Also:

addCurrentListener

 removeMaxListener

 public synchronized void removeMaxListener(PropertyChangeListener listener)

Removes a listener for the max property changes.

Parameters:

listener - the listener to remove.

See Also:

addMaxListener

 removeMaxListener

 public synchronized void removeMaxListener(VetoableChangeListener listener)

Removes a vetoable listener for the max property changes.

Parameters:

listener - the listener to remove.

See Also:

addMaxListener

 removeMinListener

 public synchronized void removeMinListener(PropertyChangeListener listener)

Removes a listener for the min property changes.

Parameters:

listener - the listener to remove.

See Also:

addMinListener

 removeMinListener

 public synchronized void removeMinListener(VetoableChangeListener listener)

Removes a vetoable listener for the min property changes.

Parameters:

listener - the listener to remove.

See Also:

addMinListener

 removeNotify

 public synchronized void removeNotify()

Tells this component that it is being removed from a container. This is a standard Java AWT method which gets called by the AWT when this component is removed from a container. Typically, it is used to destroy the peers of this component and all its subcomponents. It has been overridden here to unhook event listeners.

Overrides:

removeNotify in class Container

See Also:

addNotify

 removePropertyChangeListener

 public synchronized void removePropertyChangeListener(PropertyChangeListener listener)

Removes a listener for all property change events.

Parameters:

listener - the listener to remove

See Also:

addPropertyChangeListener

 removeVetoableChangeListener

 public synchronized void removeVetoableChangeListener(VetoableChangeListener listener)

Removes a listener for all vetoable property change events.

Parameters:

listener - the listener to remove

See Also:

addVetoableChangeListener

 scrollDown

 protected void scrollDown()

Decrements the spinner's value and handles wrapping as needed.

See Also:

scrollUp, increment

 scrollUp

 protected void scrollUp()

Increments the spinner's value and handles wrapping as needed.

See Also:

scrollDown, increment

 setCurrent

 public void setCurrent(int i) throws PropertyVetoException

Sets the value of the spinner.

Parameters:

i - the new value

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getCurrent

 setDelay

 public void setDelay(int d) throws PropertyVetoException

Sets the notification event delay of the spinner buttons in milliseconds.

Parameters:

d - the delay between notification events in milliseconds

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setNotifyWhilePressed, getDelay

 setEditable

 public void setEditable(boolean f) throws PropertyVetoException

Conditionally enables editing of the Spinner's TextField.

Parameters:

f - true = allow editing; false = disallow editing

Throws: PropertyVetoException

if the specified property value is unacceptable

 setLayout

 public void setLayout(LayoutManager lm)

Takes no action. This is a standard Java AWT method which gets called to specify which layout manager should be used to layout the components in standard containers. Since layout managers CANNOT BE USED with this container the standard setLayout has been OVERRIDDEN for this container and does nothing.

Parameters:

lm - the layout manager to use to layout this container's components (IGNORED)

Overrides:

setLayout in class Container

See Also:

getLayout

 setMax

 public void setMax(int i) throws PropertyVetoException

Sets the maximum value the spinner may have.

Parameters:

i - the new maximum value

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getMax

 setMin

 public void setMin(int i) throws PropertyVetoException

Sets the minimum value the spinner may have.

Parameters:

i - the new minimum value

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getMin

 setNotifyWhilePressed

 public void setNotifyWhilePressed(boolean f) throws PropertyVetoException

Sets whether the spinner buttons will continually post notify events while pressed.

Parameters:

f - true = send messages; false = do not send messages

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

isNotifyWhilePressed, setDelay, getDelay

 setOrientation

 public void setOrientation(int o) throws PropertyVetoException

Sets whether the spinner buttons are laid out one above the other or one beside the other.

Parameters:

o - the new orientation, one of: ORIENTATION_VERTICAL, or ORIENTATION_HORIZONTAL

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getOrientation, ORIENTATION_VERTICAL, ORIENTATION_HORIZONTAL

 setWrappable

 public void setWrappable(boolean f) throws PropertyVetoException

Sets whether the value can wrap from max to min, and from min to max.

Parameters:

f - true to allow the value to wrap

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

isWrappable

 sourceActionEvent

 protected void sourceActionEvent(String s)

Fire an action event to the listeners

 updateButtonStatus

 protected void updateButtonStatus()

Handles enabling or disabling the spinner buttons as needed.

 updateText

 protected void updateText(boolean force)

Updates the text field with the current text, as needed or depending on the force flag.

Parameters:

force - If true, causes the text field to update even if the value has not changed.

See Also:

getCurrentText


 Class symantec.itools.awt.util.spinner.SpinnerBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.awt.util.spinner.SpinnerBeanInfo

public class SpinnerBeanInfo
   extends SimpleBeanInfo

BeanInfo for Spinner.

 SpinnerBeanInfo()

Constructs a SpinnerBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 SpinnerBeanInfo

 public SpinnerBeanInfo()

Constructs a SpinnerBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.awt.util.spinner.VerticalSpinButtonPanel

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Container
                   |
                   +----java.awt.Panel
                           |
                           +----symantec.itools.awt.util.spinner.SpinButtonPanel
                                   |
                                   +----symantec.itools.awt.util.spinner.VerticalSpinButtonPanel

public class VerticalSpinButtonPanel
   extends SpinButtonPanel

This component groups two spin buttons vertically. It is used for spinners with the ORIENTATION_VERTICAL attribute set.

     See Also:
     Spinner, Orientation, ORIENTATION_VERTICAL

 widthHeightRatio

The ratio of width to height of the spinner buttons.

 VerticalSpinButtonPanel()

Constructs the default VerticalSpinButtonPanel.

 getMinimumSize()

Returns the minimum dimensions to properly display this component.

 getPreferredSize()

Returns the recommended dimensions to properly display this component.

 minimumSize()

Deprecated.

 preferredSize()

Deprecated.

 reshape(int, int, int, int)

Moves and/or resizes this component.

 widthHeightRatio

 protected double widthHeightRatio

The ratio of width to height of the spinner buttons. i.e. width is <ratio> * height.

 VerticalSpinButtonPanel

 public VerticalSpinButtonPanel()

Constructs the default VerticalSpinButtonPanel.

 getMinimumSize

 public Dimension getMinimumSize()

Returns the minimum dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the minimum size of this component. It simply returns the results of a call to preferedSize().

Overrides:

getMinimumSize in class Container

 getPreferredSize

 public Dimension getPreferredSize()

Returns the recommended dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the recommended size of this component.

Overrides:

getPreferredSize in class SpinButtonPanel

 minimumSize

 public Dimension minimumSize()

Note: minimumSize() is deprecated.

Overrides:

minimumSize in class Container

See Also:

getMinimumSize

 preferredSize

 public Dimension preferredSize()

Note: preferredSize() is deprecated.

Overrides:

preferredSize in class Container

See Also:

getPreferredSize

 reshape

 public void reshape(int x,
                     int y,
                     int width,
                     int height)

Moves and/or resizes this component. This is a standard Java AWT method which gets called to move and/or resize this component. Components that are in containers with layout managers should not call this method, but rely on the layout manager instead. This method is overridden to reshape the two direction buttons.

Parameters:

x - horizontal position in the parent's coordinate space

y - vertical position in the parent's coordinate space

width - the new width

height - the new height

Overrides:

reshape in class Component


 package symantec.itools.beans

   ConnectionDescriptor
   PropertyChangeSupport
   SymantecBeanDescriptor
   VetoableChangeSupport


 Class symantec.itools.beans.ConnectionDescriptor

java.lang.Object
   |
   +----java.beans.FeatureDescriptor
           |
           +----symantec.itools.beans.ConnectionDescriptor

public class ConnectionDescriptor
   extends FeatureDescriptor

A simple class that encapsulates a bean's Visual Café "connection" information as used by the Interaction Wizard. A Visual Café connection implies a relationship between objects (or between an object and itself) involving either event notification or data transmission. The Interaction Wizard allows users to graphically build these relationships between objects and then Visual Café is able to generate the code for the specified relationship based on the underlying connection information encapsulated in the ConnectionDescriptor.

 CONNECTIONS

A constant used by SymantecBeanDescriptor when specifying connection information.

 INPUT

A constant indicating an input connection.

 OUTPUT

A constant indicating an output connection.

 ConnectionDescriptor()

Constructs a default ConnectionDescriptor.

 ConnectionDescriptor(String)

Constructs a ConnectionDescriptor with the given form.

 ConnectionDescriptor(String, String, String, String, String)

Constructs a ConnectionDescriptor with the given form, type, init, and expr String values.

 getExpr()

Gets the current expression string.

 getForm()

Gets the current form string.

 getInit()

Gets the current init string.

 getType()

Gets the current type string.

 setExpr(String)

Specifies the code fragment that is used to create this connection.

 setForm(String)

Sets the form string.

 setInit(String)

Specifies any initialization code that needs to be present prior to the code generated from the connection expression.

 setType(String)

Specifies the Java type of the parameter or return value of this connection.

 CONNECTIONS

 public static final String CONNECTIONS

A constant used by SymantecBeanDescriptor when specifying connection information.

See Also:

SymantecBeanDescriptor

 INPUT

 public static final String INPUT

A constant indicating an input connection.

See Also:

setForm

 OUTPUT

 public static final String OUTPUT

A constant indicating an output connection.

See Also:

setForm

 ConnectionDescriptor

 public ConnectionDescriptor()

Constructs a default ConnectionDescriptor. Form, type, init, and expr are all empty strings.

See Also:

setForm, setType, setInit, setExpr

 ConnectionDescriptor

 public ConnectionDescriptor(String f)

Constructs a ConnectionDescriptor with the given form. Type, init, and expr are all empty strings.

Parameters:

f - the form string

See Also:

setType, setInit, setExpr

 ConnectionDescriptor

 public ConnectionDescriptor(String f,
                             String t,
                             String i,
                             String e,
                             String d)

Constructs a ConnectionDescriptor with the given form, type, init, and expr String values.

Parameters:

f - the form string

t - the type string

i - the init string

e - the expression string

d - a short description

 getExpr

 public String getExpr()

Gets the current expression string.

Returns:

the current expression

See Also:

setExpr

 getForm

 public String getForm()

Gets the current form string.

Returns:

the current form

See Also:

setForm

 getInit

 public String getInit()

Gets the current init string.

Returns:

the current init

See Also:

setInit

 getType

 public String getType()

Gets the current type string.

Returns:

the current type

See Also:

setType

 setExpr

 public void setExpr(String e)

Specifies the code fragment that is used to create this connection. The following replacement variables are allowed in the code fragment: %name% the name of the class/bean %class% full classname of the class/bean %arg% method argument used for input connection data

Returns:

the new expression

See Also:

getExpr

 setForm

 public void setForm(String f)

Sets the form string. The form of a connection is either INPUT or OUTPUT. An output connection defines an interaction that returns data; an input connection defines an interaction that sets data, or initiates execution of a method that doesn't take data.

Returns:

the new form

See Also:

getForm

 setInit

 public void setInit(String i)

Specifies any initialization code that needs to be present prior to the code generated from the connection expression. This string is usually blank.

Returns:

the new init

See Also:

getInit, setExpr

 setType

 public void setType(String t)

Specifies the Java type of the parameter or return value of this connection. The most common types are int, boolean, String, and void.

Returns:

the new type

See Also:

getType


 Class symantec.itools.beans.PropertyChangeSupport

java.lang.Object
   |
   +----java.beans.PropertyChangeSupport
           |
           +----symantec.itools.beans.PropertyChangeSupport

public class PropertyChangeSupport
   extends PropertyChangeSupport
   implements Serializable

This is a utility class that can be used by beans that support bound properties. You can either inherit from this class or you can use an instance of this class as a member field of your bean and delegate various work to it.

This extension of the java.beans.PropertyChangeSupport class adds functionality to handle individual property changes.

 listenerTable

The listener list.

 PropertyChangeSupport(Object)

Constructs a PropertyChangeSupport object.

 addPropertyChangeListener(String, PropertyChangeListener)

Adds a PropertyChangeListener to the listener list.

 firePropertyChange(String, Object, Object)

Report a bound property update to any registered listeners.

 removePropertyChangeListener(String, PropertyChangeListener)

Removes a PropertyChangeListener from the listener list.

 listenerTable

 protected Hashtable listenerTable

The listener list.

See Also:

addPropertyChangeListener, removePropertyChangeListener

 PropertyChangeSupport

 public PropertyChangeSupport(Object sourceBean)

Constructs a PropertyChangeSupport object.

Parameters:

sourceBean - the bean to be given as the source for any events

 addPropertyChangeListener

 public synchronized void addPropertyChangeListener(String propertyName,
                                                    PropertyChangeListener listener)

Adds a PropertyChangeListener to the listener list.

Parameters:

propertyName - the name of the property to add a listener for

listener - the PropertyChangeListener to be added

See Also:

removePropertyChangeListener

 firePropertyChange

 public void firePropertyChange(String propertyName,
                                Object oldValue,
                                Object newValue)

Report a bound property update to any registered listeners.

No event is fired if old and new are equal and non-null.

Parameters:

propertyName - the programmatic name of the property that was changed

oldValue - the old value of the property

newValue - the new value of the property

Overrides:

firePropertyChange in class PropertyChangeSupport

 removePropertyChangeListener

 public synchronized void removePropertyChangeListener(String propertyName,
                                                       PropertyChangeListener listener)

Removes a PropertyChangeListener from the listener list.

Parameters:

propertyName - the name of the property to remove a listener for

listener - the PropertyChangeListener to be removed

See Also:

addPropertyChangeListener


 Class symantec.itools.beans.SymantecBeanDescriptor

java.lang.Object
   |
   +----java.beans.FeatureDescriptor
           |
           +----java.beans.BeanDescriptor
                   |
                   +----symantec.itools.beans.SymantecBeanDescriptor

public class SymantecBeanDescriptor
   extends BeanDescriptor

Extension to java.beans.BeanDescriptor that implements methods for specifying Visual Café integration information for a bean. Such as the Visual Café toolbar tab name for this bean, Visual Café Interaction Wizard information, etc.

 CAN_ADD_CHILD

A constant that specifies the "can add a child" key.

 FLAGS

A constant that specifies the "flags" key.

 FOLDER

A constant that specifies the "folder" key.

 ROOTTEMPLATE

A constant that specifies root template

 TOOLBAR

A constant that specifies the "toolbar" key.

 WINHELP

A constant that specifies the "winhelp" key.

 SymantecBeanDescriptor(Class)

Constructs a SymantecBeanDescriptor for a bean class.

 SymantecBeanDescriptor(Class, Class)

Create a SymantecBeanDescriptor for a bean that has a customizer.

 addAdditionalConnections(BeanInfo[])

Adds any ConnectionDescriptors to this BeanDescriptor which are associated with the BeanDescriptors of the BeanInfos in the array argument.

 addConnectionDescriptor(ConnectionDescriptor)

Adds a ConnectionDescriptor to this bean class.

 getConnectionDescriptors()

Gets the ConnectionDescriptors for this bean class.

 setCanAddChild(boolean)

Sets the "can add a child" attribute.

 setFlags(String)

Sets the "flags" attribute.

 setFolder(String)

Sets the "folder" attribute.

 setRootTemplate(String)

Sets the "ROOTTEMPLATE" attribute.

 setToolbar(String)

Sets the "toolbar" attribute.

 setWinHelp(String)

Sets the "winhelp" attribute.

 CAN_ADD_CHILD

 public static final String CAN_ADD_CHILD

A constant that specifies the "can add a child" key.

 FLAGS

 public static final String FLAGS

A constant that specifies the "flags" key.

 FOLDER

 public static final String FOLDER

A constant that specifies the "folder" key.

 ROOTTEMPLATE

 public static final String ROOTTEMPLATE

A constant that specifies root template

 TOOLBAR

 public static final String TOOLBAR

A constant that specifies the "toolbar" key.

 WINHELP

 public static final String WINHELP

A constant that specifies the "winhelp" key.

 SymantecBeanDescriptor

 public SymantecBeanDescriptor(Class beanClass)

Constructs a SymantecBeanDescriptor for a bean class.

Parameters:

beanClass - the class of the bean

 SymantecBeanDescriptor

 public SymantecBeanDescriptor(Class beanClass,
                               Class customizerClass)

Create a SymantecBeanDescriptor for a bean that has a customizer.

Parameters:

beanClass - the class of the bean

customizerClass - The class of the customizer

 addAdditionalConnections

 public void addAdditionalConnections(BeanInfo bi[])

Adds any ConnectionDescriptors to this BeanDescriptor which are associated with the BeanDescriptors of the BeanInfos in the array argument.

Parameters:

bi - a BeanInfo array typically returned from a call to BeanInfo.getAdditionalBeanInfo

 addConnectionDescriptor

 public void addConnectionDescriptor(ConnectionDescriptor c)

Adds a ConnectionDescriptor to this bean class. A ConnectionDescriptor defines an "Interaction Wizard" interaction for this bean.

Parameters:

c - the new ConnectionDescriptor

See Also:

ConnectionDescriptor

 getConnectionDescriptors

 public ConnectionDescriptor[] getConnectionDescriptors()

Gets the ConnectionDescriptors for this bean class.

Returns:

an array of ConnectionDescriptors

 setCanAddChild

 public void setCanAddChild(boolean b)

Sets the "can add a child" attribute. Set to false if you have a bean that derives from java.awt.Panel, but you don't want to allow users to drop other components into this bean.

Parameters:

b - the new value of this attribute

 setFlags

 public void setFlags(String f)

Sets the "flags" attribute. Set to "INVISIBLE" for beans that do not have a visual representation at run time.

Parameters:

f - the new value of this attribute

 setFolder

 public void setFolder(String f)

Sets the "folder" attribute. This is the name of the component library that will contain this bean.

Parameters:

f - the new value of this attribute

 setRootTemplate

 public void setRootTemplate(String h)

Sets the "ROOTTEMPLATE" attribute.

Parameters:

h - the new value of this attribute

 setToolbar

 public void setToolbar(String t)

Sets the "toolbar" attribute. This is the name of the toolbar tab that will contain this bean.

Parameters:

t - the new value of this attribute

 setWinHelp

 public void setWinHelp(String h)

Sets the "winhelp" attribute. A Windows help file may be specified for a bean. However, the help file may not be jarred up with the bean. The string for this attribute should specify a Windows help system ID number along with the name of the file where the help resides. The ID and file name are seperated by a comma.

Parameters:

h - the new value of this attribute


 Class symantec.itools.beans.VetoableChangeSupport

java.lang.Object
   |
   +----java.beans.VetoableChangeSupport
           |
           +----symantec.itools.beans.VetoableChangeSupport

public class VetoableChangeSupport
   extends VetoableChangeSupport
   implements Serializable

This is a utility class that can be used by beans that support constrained properties. Your can either inherit from this class or you can use an instance of this class as a member field of your bean and delegate various work to it.

This extension of the java.beans.VetoableChangeSupport class adds functionality to handle individual property changes.

 listenerTable

The listener table.

 VetoableChangeSupport(Object)

Constructs a VetoableChangeSupport object.

 addVetoableChangeListener(String, VetoableChangeListener)

Adds a VetoableListener to the listener list.

 fireVetoableChange(String, Object, Object)

Reports a vetoable property update to any registered listeners.

 removeVetoableChangeListener(String, VetoableChangeListener)

Removes a VetoableChangeListener from the listener list.

 listenerTable

 protected Hashtable listenerTable

The listener table.

See Also:

addVetoableChangeListener, removeVetoableChangeListener

 VetoableChangeSupport

 public VetoableChangeSupport(Object sourceBean)

Constructs a VetoableChangeSupport object.

Parameters:

sourceBean - the bean to be given as the source for any events

 addVetoableChangeListener

 public synchronized void addVetoableChangeListener(String propertyName,
                                                    VetoableChangeListener listener)

Adds a VetoableListener to the listener list.

Parameters:

propertyName - the name of the property to add a listener for

listener - the VetoableChangeListener to be added

See Also:

removeVetoableChangeListener

 fireVetoableChange

 public void fireVetoableChange(String propertyName,
                                Object oldValue,
                                Object newValue) throws PropertyVetoException

Reports a vetoable property update to any registered listeners. If anyone vetos the change, then a new event is fired reverting everyone to the old value, and then the PropertyVetoException is rethrown.

No event is fired if old and new are equal and non-null.

Parameters:

propertyName - the programmatic name of the property that was changed

oldValue - the old value of the property

newValue - the new value of the property

Throws: PropertyVetoException

if the specified property value is unacceptable

Overrides:

fireVetoableChange in class VetoableChangeSupport

 removeVetoableChangeListener

 public synchronized void removeVetoableChangeListener(String propertyName,
                                                       VetoableChangeListener listener)

Removes a VetoableChangeListener from the listener list.

Parameters:

propertyName - the name of the property to remove a listener for.

listener - the VetoableChangeListener to be removed

See Also:

addVetoableChangeListener


 package symantec.itools.db.awt

   Data
   DataSource
   DbDataStore
   DbDataUpdater
   MetaTable
   ProjectionBean
   TableCell
   TvEventHandler

   AgeField
   BasicCell
   ButtonCell
   CellHints
   Checkbox
   CheckboxBeanInfo
   ComboBox
   ComboBoxBeanInfo
   ConnectionInfoEditor
   Coordinate
   DBTstamp
   DBTstampBeanInfo
   DateMask
   DbDataSource
   DbaDataStore
   DefaultData
   DefaultDataSource
   DefaultTvEventHandler
   FormattedTextField
   FormattedTextFieldBeanInfo
   FtpClient
   Grid
   GridBeanInfo
   ImageStringData
   ImageViewer
   ImageViewerBeanInfo
   Label
   LabelBeanInfo
   List
   ListBeanInfo
   ListPlus
   ListPlusBeanInfo
   LogonDialog
   LogonFrame
   LongZipCodeMask
   NervousText
   NervousTextBeanInfo
   ProjectionBeanHelper
   RadioBox
   RadioBoxBeanInfo
   RadioButton
   RecordNumberLabel
   RecordNumberLabelBeanInfo
   RecordStateLabel
   RecordStateLabelBeanInfo
   RelationViewEditor
   SSNMask
   SessionEditor
   StateCheckBox
   StateCheckBoxBeanInfo
   StreamImageSource
   TextArea
   TextAreaBeanInfo
   TextField
   TextFieldBeanInfo
   TimeMask
   TimestampMask
   Tstamp
   USPhoneMask
   ZipCodeMask

   DataNotAvailable
   FtpLoginException
   TypeNotSupported


 Interface symantec.itools.db.awt.Data

public interface Data
   extends Serializable

This interface serves as the basis for transferring information from a DataSource to a TableCell. Methods are defined for a cell to use obtain and set string and image data.

 IMAGE

Type flag to indicate the data is image information.

 IMAGE_STRING

Type flag to indicate the data is string and image information.

 STRING

Type flag to indicate the data is string information.

 USER_TYPE

Based type value for subclasses to define their own types of data.

 appendChar(char)

Appends a character to the end of the string data.

 changed()

Gets whether the data has been changed since last committed.

 clearText()

Sets the string value to the empty string.

 commit()

Commits the current data as the current value.

 deleteChar(int)

Removes a character from the string data for the field.

 getChoices()

Gets an array of Data objects that define the predefined values associated with a field.

 insertChar(int, char)

Inserts a character into the string data.

 isEditable(int, int)

Gets whether the data can be modified.

 rollback()

Requests the value of the data be returned to the last save point.

 setImage(Image)

Sets a new image for the field.

 setText(char)

Sets the string value for the field using a character.

 setText(String)

Sets the string value for the data.

 subString(int, int)

Gets a substring from the string data for the field.

 supportsChoice()

Gets whether the data supports multiple predefined choice data.

 toImage()

Gets teh current image value for the field.

 toString()

Gets the current string value for the field.

 type()

Gets the value of the type flag to indicate the type of information held by the data object.

 IMAGE

 public static final int IMAGE

Type flag to indicate the data is image information.

 IMAGE_STRING

 public static final int IMAGE_STRING

Type flag to indicate the data is string and image information.

 STRING

 public static final int STRING

Type flag to indicate the data is string information.

 USER_TYPE

 public static final int USER_TYPE

Based type value for subclasses to define their own types of data.

 appendChar

 public abstract void appendChar(char c)

Appends a character to the end of the string data.

 changed

 public abstract boolean changed()

Gets whether the data has been changed since last committed.

 clearText

 public abstract void clearText()

Sets the string value to the empty string.

 commit

 public abstract void commit() throws TypeNotSupported

Commits the current data as the current value. This method is normally called by the data source when a commit request was issued.

Throws: TypeNotSupported

if the data source does not support the type of action requested or is not successful

 deleteChar

 public abstract void deleteChar(int pos)

Removes a character from the string data for the field.

 getChoices

 public abstract Data[] getChoices() throws TypeNotSupported

Gets an array of Data objects that define the predefined values associated with a field.

Throws: TypeNotSupported

if the data source does not support the type of action requested or is not successful

 insertChar

 public abstract void insertChar(int pos,
                                 char c)

Inserts a character into the string data.

Parameters:

pos - The position in the string to insert the character. Follows the same rules as the StringBuffer class.

c - The character to insert.

 isEditable

 public abstract boolean isEditable(int row,
                                    int col)

Gets whether the data can be modified.

 rollback

 public abstract void rollback()

Requests the value of the data be returned to the last save point.

 setImage

 public abstract void setImage(Image i)

Sets a new image for the field.

 setText

 public abstract void setText(char c)

Sets the string value for the field using a character.

 setText

 public abstract void setText(String t)

Sets the string value for the data.

 subString

 public abstract String subString(int spos,
                                  int epos)

Gets a substring from the string data for the field.

 supportsChoice

 public abstract boolean supportsChoice()

Gets whether the data supports multiple predefined choice data.

 toImage

 public abstract Image toImage()

Gets teh current image value for the field.

 toString

 public abstract String toString()

Gets the current string value for the field.

Overrides:

toString in class Object

 type

 public abstract int type()

Gets the value of the type flag to indicate the type of information held by the data object.


 Interface symantec.itools.db.awt.DataSource

public interface DataSource
   extends Serializable

Interface defines the API required to support storing data for the TableView.

All row and column values are 0 relative.

 CLEAN_ROW

A constant indicating the state of the row is clean (it has not been been changed since loaded from its source).

 DELETED_ROW

A constant indicating the row has been marked for deletion.

 MODIFIED_ROW

A constant indicating the row has been modified since creation.

 NEW_ROW

A constant indicating the row is new.

 NONEXISTS_ROW

A constant indicating the row does not exist.

 ROW_CHANGE_EVENT

TableView level event that signifies that the current row has changed.

 appendChar(int, int, char)

Method used to support Defaultdata class.

 appendRow()

Appends a new row at the end of the data source's data.

 clear()

Requests the data source remove all data.

 clearText(int, int)

Method used to support Defaultdata class.

 commit(int, int)

Method used to support Defaultdata class.

 commitData()

Commits the current data.

 deleteChar(int, int, int)

Method used to support Defaultdata class.

 deleteRow(int)

Deletes or marks a row for deletion from the data source

 fetchAllRows()

Requests the data source get all of the rows from its source of data.

 fetchMode(boolean)

Informs the data source whether the TableView will be requesting successive data for read only purposes.

 getChoices(int, int)

Method used to support Defaultdata class.

 getData(Coordinate)

Gets the data for a cell.

 getData(int, int)

Gets the data for a cell.

 getImage(Coordinate)

Gets an image representation of a cell's data

 getText(Coordinate)

Gets the textual representation of a cell's data

 getView()

Gets the TableView displaying the data for the DataSource

 handleCellEvent(CellEvent)

Called in response to circulating an event caused by an invocation of TableView.routeEvent().

 handleException(int, int, Exception)

Routes any exceptions generated to the TableView for proper handling which may include putting a message on status bar or logging to a file.

 handleTableEvent(TableEvent)

Gives a data source a chance to perform any actions in response to a table level event.

 insertChar(int, int, int, char)

Method used to support Defaultdata class.

 insertRow(int)

Inserts a new row in the data source above the specified row

 isDataEditable(int, int)

Gets whether a cells data is editable or non-editable

 readData(int, int)

Gets the data for a cell that should only be used for reading.

 refresh()

Requests the data source reread it data.

 rollbackCurrentData()

Requests the current data element be reset to the previously committed state

 rows()

Gets the number of rows of data stored in the data source

 rowState(int)

Gets the state of the row.

 save()

Requests the data source save the current state as appopriate.

 setCurrentRow(int)

Informs the data source of the current row of the TableView.

 setData(Coordinate, Data)

Sets the data value for a cell.

 setData(int, int, Data)

Sets the data value for a cell.

 setDefaultData()

Requests the DataSource set an appropriate default data type .

 setDefaultData(Data)

Sets the Data type for cell data when no data value has been set.

 setImage(int, int, Image)

Method used to support Defaultdata class.

 setTableView(TableView)

Sets the TableView displaying the data.

 setText(int, int, char)

Method used to support Defaultdata class.

 setText(int, int, String)

Method used to support Defaultdata class.

 setupTableView(TableView)

Called by the TableView to configure the interface if the DataSource supports meta information

 subString(int, int, int, int)

Method used to support Defaultdata class.

 supports(Coordinate, int)

Gets whether the data source supports a specified type of data.

 supportsChoice(int, int)

Method used to support Defaultdata class.

 supportsMeta()

Gets whether the DataSource has the ability to configure a TableView

 toImage(int, int)

Method used to support Defaultdata class.

 toString(int, int)

Method used to support Defaultdata class.

 type(int, int)

Method used to support Defaultdata class.

 undeleteRow(int)

Undeletes a row in the data source

 undoRow(int)

Requests that any actions performed on a row be undone.

 validDataRowRange(int, int)

Gets the last row valid in requested range

 CLEAN_ROW

 public static final int CLEAN_ROW

A constant indicating the state of the row is clean (it has not been been changed since loaded from its source).

See Also:

rowState, NEW_ROW, DELETED_ROW, MODIFIED_ROW, NONEXISTS_ROW

 DELETED_ROW

 public static final int DELETED_ROW

A constant indicating the row has been marked for deletion.

See Also:

rowState, NEW_ROW, CLEAN_ROW, MODIFIED_ROW, NONEXISTS_ROW

 MODIFIED_ROW

 public static final int MODIFIED_ROW

A constant indicating the row has been modified since creation.

See Also:

rowState, NEW_ROW, CLEAN_ROW, DELETED_ROW, NONEXISTS_ROW

 NEW_ROW

 public static final int NEW_ROW

A constant indicating the row is new.

See Also:

rowState, CLEAN_ROW, DELETED_ROW, MODIFIED_ROW, NONEXISTS_ROW

 NONEXISTS_ROW

 public static final int NONEXISTS_ROW

A constant indicating the row does not exist.

See Also:

rowState, NEW_ROW, CLEAN_ROW, DELETED_ROW, MODIFIED_ROW

 ROW_CHANGE_EVENT

 public static final String ROW_CHANGE_EVENT

TableView level event that signifies that the current row has changed.

 appendChar

 public abstract void appendChar(int row,
                                 int col,
                                 char c)

Method used to support Defaultdata class. Appends a character to the end of the textual representation of the cell's data.

 appendRow

 public abstract int appendRow() throws TypeNotSupported

Appends a new row at the end of the data source's data.

Throws: TypeNotSupported

if the data source does not support the type of action requested or is not successful

 clear

 public abstract void clear()

Requests the data source remove all data.

 clearText

 public abstract void clearText(int row,
                                int col)

Method used to support Defaultdata class. Clears the textual value of a cell.

 commit

 public abstract void commit(int row,
                             int col) throws TypeNotSupported

Method used to support Defaultdata class. Commits the data for the specified cell

Throws: TypeNotSupported

if the data source does not support the type of action requested or is not successful

 commitData

 public abstract void commitData() throws TypeNotSupported

Commits the current data.

Throws: TypeNotSupported

If the data source does not support the type of action requested or is not successful

 deleteChar

 public abstract void deleteChar(int row,
                                 int col,
                                 int pos)

Method used to support Defaultdata class. Deletes a character from a cell's data.

Parameters:

row - The cell's row

col - The cell's column

pos - The position to delete character

 deleteRow

 public abstract void deleteRow(int row) throws TypeNotSupported

Deletes or marks a row for deletion from the data source

Throws: TypeNotSupported

If the data source does not support the type of action requested or is not successful

 fetchAllRows

 public abstract int fetchAllRows()

Requests the data source get all of the rows from its source of data.

 fetchMode

 public abstract void fetchMode(boolean manual)

Informs the data source whether the TableView will be requesting successive data for read only purposes.

Parameters:

manual - true if the data source should expect read only data requests

 getChoices

 public abstract Data[] getChoices(int row,
                                   int col) throws TypeNotSupported

Method used to support Defaultdata class. Gets the choices for the cell to display.

Throws: TypeNotSupported

if the data source does not support the type of action requested or is not successful

 getData

 public abstract Data getData(Coordinate coords) throws DataNotAvailable

Gets the data for a cell. If the requested data is not the data being currently edited, the current data should be set to the data requested

Throws: DataNotAvailable

if the requested data is not set in the data source

 getData

 public abstract Data getData(int r,
                              int c) throws DataNotAvailable

Gets the data for a cell. If the requested data is not the data being currently edited, the current data should be set to the data requested

Throws: DataNotAvailable

if the requested data is not set in the data source

 getImage

 public abstract Image getImage(Coordinate coords) throws DataNotAvailable

Gets an image representation of a cell's data

Throws: DataNotAvailable

if the requested data is not set in the data source

 getText

 public abstract String getText(Coordinate coords) throws DataNotAvailable

Gets the textual representation of a cell's data

Throws: DataNotAvailable

if the requested data is not set in the data source

 getView

 public abstract TableView getView()

Gets the TableView displaying the data for the DataSource

 handleCellEvent

 public abstract void handleCellEvent(CellEvent e)

Called in response to circulating an event caused by an invocation of TableView.routeEvent(). The event IDs are specified in the CellEvent class

 handleException

 public abstract void handleException(int row,
                                      int col,
                                      Exception ex)

Routes any exceptions generated to the TableView for proper handling which may include putting a message on status bar or logging to a file.

 handleTableEvent

 public abstract void handleTableEvent(TableEvent e)

Gives a data source a chance to perform any actions in response to a table level event.

 insertChar

 public abstract void insertChar(int row,
                                 int col,
                                 int pos,
                                 char c)

Method used to support Defaultdata class. Inserts a character at the specified location in the data value for a cell.

Parameters:

row - The cell's row

col - The cell's column

pos - The position to insert character

c - The character

 insertRow

 public abstract void insertRow(int row) throws TypeNotSupported

Inserts a new row in the data source above the specified row

Throws: TypeNotSupported

If the data source does not support the type of action requested or is not successful

 isDataEditable

 public abstract boolean isDataEditable(int row,
                                        int col)

Gets whether a cells data is editable or non-editable

Returns:

true if the data may be altered by the user.

 readData

 public abstract Data readData(int row,
                               int col) throws DataNotAvailable

Gets the data for a cell that should only be used for reading. It does not change the cell data being currently edited.

Parameters:

row - the cells row

Throws: DataNotAvailable

if the requested data is not set in the data source

 refresh

 public abstract void refresh()

Requests the data source reread it data.

 rollbackCurrentData

 public abstract void rollbackCurrentData()

Requests the current data element be reset to the previously committed state

 rows

 public abstract int rows()

Gets the number of rows of data stored in the data source

 rowState

 public abstract int rowState(int row)

Gets the state of the row.

Returns:

the state of the row's data. One of NEW_ROW, CLEAN_ROW, DELETED_ROW, or MODIFIED_ROW

 save

 public abstract void save() throws TypeNotSupported

Requests the data source save the current state as appopriate.

Throws: TypeNotSupported

if the data source does not support the type of action requested or is not successful

 setCurrentRow

 public abstract void setCurrentRow(int row) throws TypeNotSupported

Informs the data source of the current row of the TableView.

Throws: TypeNotSupported

if the data source does not support the type of action requested or is not successful

 setData

 public abstract void setData(Coordinate coord,
                              Data data) throws TypeNotSupported

Sets the data value for a cell.

Parameters:

coord - the cooridates of the cell

data - the data value for the cell

Throws: TypeNotSupported

If the data source does not support the type of action requested or is not successful

 setData

 public abstract void setData(int r,
                              int c,
                              Data data) throws TypeNotSupported

Sets the data value for a cell.

Parameters:

r - the row of the cell

c - the column of the cell

data - the data value for the cell

Throws: TypeNotSupported

If the data source does not support the type of action requested or is not successful

 setDefaultData

 public abstract void setDefaultData()

Requests the DataSource set an appropriate default data type .

 setDefaultData

 public abstract void setDefaultData(Data defaultValue)

Sets the Data type for cell data when no data value has been set.

 setImage

 public abstract void setImage(int row,
                               int col,
                               Image i)

Method used to support Defaultdata class. Sets the image data for a cell

 setTableView

 public abstract void setTableView(TableView v)

Sets the TableView displaying the data.

 setText

 public abstract void setText(int row,
                              int col,
                              char c)

Method used to support Defaultdata class. Sets the text for a cell to a character

 setText

 public abstract void setText(int row,
                              int col,
                              String t)

Method used to support Defaultdata class. Sets the textual value for a cell.

 setupTableView

 public abstract void setupTableView(TableView v) throws TypeNotSupported

Called by the TableView to configure the interface if the DataSource supports meta information

Parameters:

v - The TableView to configure

Throws: TypeNotSupported

If the data source does not support the type of action requested

 subString

 public abstract String subString(int row,
                                  int col,
                                  int spos,
                                  int epos)

Method used to support Defaultdata class. Gets a substring from a cell's data.

Parameters:

row - The cell's row

col - The cell's column

spos - The starting position of the substring, inclusive

epos - The last position of the substring, exclusive

 supports

 public abstract boolean supports(Coordinate coords,
                                  int type)

Gets whether the data source supports a specified type of data.

 supportsChoice

 public abstract boolean supportsChoice(int row,
                                        int col)

Method used to support Defaultdata class. Gets whether the data for the specified cell supports choice selection lists.

 supportsMeta

 public abstract boolean supportsMeta()

Gets whether the DataSource has the ability to configure a TableView

 toImage

 public abstract Image toImage(int row,
                               int col)

Method used to support Defaultdata class. Gets an image representationof a cell's data.

 toString

 public abstract String toString(int row,
                                 int col)

Method used to support Defaultdata class. Gets a string representation of a cell's data.

 type

 public abstract int type(int row,
                          int col)

Method used to support Defaultdata class. Gets the type of data supported by the cell.

 undeleteRow

 public abstract void undeleteRow(int row) throws TypeNotSupported

Undeletes a row in the data source

Throws: TypeNotSupported

If the data source does not support the type of action requested or is not successful

 undoRow

 public abstract void undoRow(int row) throws TypeNotSupported

Requests that any actions performed on a row be undone. The meaning is left open and is to interpreted as appropriate for the type of data source

Throws: TypeNotSupported

if the data source does not support the type of action requested or is not successful

 validDataRowRange

 public abstract int validDataRowRange(int top,
                                       int bottom) throws DataNotAvailable

Gets the last row valid in requested range

Throws: DataNotAvailable

if the requested data is not set in the data source


 Interface symantec.itools.db.awt.DbDataStore

public interface DbDataStore
   extends Serializable

Interface defines the APIs required by classes that act a source of data for a DbDataSource. Norally, implementors of this interface read data from a SQL query. When a DbDataStore is set in a DbDataSource, the source will query whether the store caches data. If not, the data source will perform data caching. Data source caching would be required for JDBC type stores since JDBC does not support scrollable cursors. This interface is designed to work in conjunction with the DbUpdater and MetaTable interfaces.

All rows coming from DbDataSource are 0 relative

All cols coming from DbDataSource are 1 relative

 clear()

Requests the data store clear all cached data.

 fetchAllRows()

Requests the store to get all of the elements in the result set.

 fetchMode(boolean)

Sets the fetch mode for getting data.

 getData(int, int)

Gets the data element for the specified result set position

 refresh()

Requests the data store get the values from the database again.

 rowsRetrieved()

Gets the number of rows actually retrieved from the database.

 rowState(int)

Gets the state of the specified row number as defined in the RowState class

 setCurrentRow(int)

Sets the current row in the data store.

 setDbDataSource(DbDataSource)

Sets the database data source that requests data and possibly caches the SQL data.

 supportsCaching()

Called by a DbDataSource to determine if the store provides its own caching services.

 undoRow(int)

Requests that any actions performed on a row be undone.

 update(int, int, Data)

Sets a new value in a result set position.

 validDataRowRange(int, int)

Gets the last row that exists within the specified range.

 clear

 public abstract void clear()

Requests the data store clear all cached data.

 fetchAllRows

 public abstract int fetchAllRows()

Requests the store to get all of the elements in the result set.

 fetchMode

 public abstract void fetchMode(boolean mode)

Sets the fetch mode for getting data. When fetch mode is enabled, a TableView expects to rapidly read lots of data for read only purposes. Knowing this can allow some data stores to more efficiently get the data. The TableView provides a guarentee that the current data row will not be changed

Parameters:

mode - true if fetch mode is to be entered

 getData

 public abstract Data getData(int row,
                              int col) throws DataNotAvailable

Gets the data element for the specified result set position

Throws: DataNotAvailable

The requested data is not present

 refresh

 public abstract void refresh()

Requests the data store get the values from the database again.

 rowsRetrieved

 public abstract int rowsRetrieved()

Gets the number of rows actually retrieved from the database.

 rowState

 public abstract int rowState(int row)

Gets the state of the specified row number as defined in the RowState class

 setCurrentRow

 public abstract void setCurrentRow(int row) throws TypeNotSupported

Sets the current row in the data store.

Throws: TypeNotSupported

If the data source does not support the type of action requested or is not successful

 setDbDataSource

 public abstract void setDbDataSource(DbDataSource ds)

Sets the database data source that requests data and possibly caches the SQL data.

 supportsCaching

 public abstract boolean supportsCaching()

Called by a DbDataSource to determine if the store provides its own caching services.

Returns:

true if the cache provides scrollable caching.

 undoRow

 public abstract void undoRow(int row) throws TypeNotSupported

Requests that any actions performed on a row be undone. The meaning is left open and is interpreted as appropriate for the type of data store.

Parameters:

row - the zero-relative row index

Throws: TypeNotSupported

if the data store does not support the type of action requested or is not successful

 update

 public abstract void update(int row,
                             int col,
                             Data data) throws TypeNotSupported

Sets a new value in a result set position. The method is only called when the store supports caching.

Parameters:

row - The row to update

col - The column to update

data - The data element that holds the new value

Throws: TypeNotSupported

if the data store does not support the type of action requested or is not successful

 validDataRowRange

 public abstract int validDataRowRange(int top,
                                       int bottom) throws DataNotAvailable

Gets the last row that exists within the specified range.

Parameters:

top - The first row in the range

bottom - The last row in the range

Throws: DataNotAvailable

The requested data is not present


 Interface symantec.itools.db.awt.DbDataUpdater

public interface DbDataUpdater
   extends Serializable

Class responsible to DbDataSource to make the necessary calls to update the database to the state of the data stored in the data source.

 appendRow()

Called by the data source when the user requests to append a row of data.

 deleteRow(int)

Called by the data source when a row is marked for deletion.

 insertRow(int)

Called by the data source when the user requests to insert a row of data.

 save()

Called by the data source when the user requests the data be saved back to the database.

 setDbDataSource(DbDataSource)

Called by DbDataSource to allow the updater to store a reference to the data source.

 undeleteRow(int)

Called by the data source when a row is marked for undeletion.

 appendRow

 public abstract int appendRow() throws TypeNotSupported

Called by the data source when the user requests to append a row of data.

Throws: TypeNotSupported

if the data source does not support the type of action requested or is not successful

 deleteRow

 public abstract void deleteRow(int row) throws TypeNotSupported

Called by the data source when a row is marked for deletion.

Throws: TypeNotSupported

if the data source does not support the type of action requested or is not successful

 insertRow

 public abstract void insertRow(int row) throws TypeNotSupported

Called by the data source when the user requests to insert a row of data.

Throws: TypeNotSupported

if the data source does not support the type of action requested or is not successful

 save

 public abstract void save() throws TypeNotSupported

Called by the data source when the user requests the data be saved back to the database.

Throws: TypeNotSupported

if the data source does not support the type of action requested or is not successful

 setDbDataSource

 public abstract void setDbDataSource(DbDataSource ds)

Called by DbDataSource to allow the updater to store a reference to the data source.

 undeleteRow

 public abstract void undeleteRow(int row) throws TypeNotSupported

Called by the data source when a row is marked for undeletion.

Throws: TypeNotSupported

if the data source does not support the type of action requested or is not successful


 Interface symantec.itools.db.awt.MetaTable

public interface MetaTable
   extends Serializable

Implementations of the interface are responsible for configuring a TableView for a DbDataSource.

 arrangeForViewing(Data[])

Provides an opportunity for the columns of a query to be rearranged or removed before viewing.

 isDataEditable(int, int)

Gets whether the specified element is editable.

 setDbDataSource(DbDataSource)

Allows implementations to set a reference to the data source for use in later calls.

 setupTableView(TableView)

Requests the TableView be configured for viewing.

 arrangeForViewing

 public abstract Data[] arrangeForViewing(Data data[])

Provides an opportunity for the columns of a query to be rearranged or removed before viewing.

 isDataEditable

 public abstract boolean isDataEditable(int row,
                                        int col) throws DataNotAvailable

Gets whether the specified element is editable. Implementations usually ignore the row element and check the column.

Throws: DataNotAvailable

if the data cannot be accessed

 setDbDataSource

 public abstract void setDbDataSource(DbDataSource ds)

Allows implementations to set a reference to the data source for use in later calls.

 setupTableView

 public abstract void setupTableView(TableView v)

Requests the TableView be configured for viewing.


 Interface symantec.itools.db.awt.ProjectionBean

public interface ProjectionBean

An interface to get/set the database value in a component. dbAWARE components implement this interface.

 getData()

Gets the value of this component.

 getScale()

Gets the number of digits to the right of the decimal point for this component's value.

 isTextBased()

Gets whether this component saves its value as a text String.

 registerListeners()

Registers the standard event listener(s) for this component.

 setData(Object)

Sets the value of this component to the given value.

 setReadOnly(boolean)

Sets whether the data value of this component may be modified.

 getData

 public abstract Object getData()

Gets the value of this component.

Returns:

the current component value

See Also:

setData

 getScale

 public abstract int getScale()

Gets the number of digits to the right of the decimal point for this component's value.

Returns:

the number of digits to the right of the decimal point

 isTextBased

 public abstract boolean isTextBased()

Gets whether this component saves its value as a text String.

Returns:

true if the value is saved as text, false otherwise

 registerListeners

 public abstract void registerListeners()

Registers the standard event listener(s) for this component.

 setData

 public abstract void setData(Object value)

Sets the value of this component to the given value.

Parameters:

value - the new component value

See Also:

getData

 setReadOnly

 public abstract void setReadOnly(boolean value)

Sets whether the data value of this component may be modified.

Parameters:

value - true if the value may not be modified, falseif the value may be modified


 Interface symantec.itools.db.awt.TableCell

public interface TableCell
   extends Serializable

The interface that must be implemented for a class to act as a cell in a TableView.

Note: All coordinates are 0 relative.

 CELL

Cell type is a regular cell.

 COL_HEADING

Cell type is a column heading.

 CORNER_CELL

Cell type for the corner cell.

 ROW_HEADING

Cell type for a row heading cell.

 activateCursor()

Informs the cell to draw a cursor if appropriate.

 auxControl()

Gets the auxillary control for the cell.

 canLoseFocus()

Called by the TableView when the cell possess the keyboard focus to query whether the cell's contents are in a valid state so another control may receive the keyboard focus.

 cloneCell()

Gets a copy of the cell suitable for taking the place of the current cell.

 col()

Gets the column number for the cell.

 deactivateCursor()

Informs the cell not to draw a cursor.

 drawCell(Graphics, CellHints)

Called by the TableView when the cell is to be drawn on the screen.

 focusEvent(CellEvent)

Called by the TableView when the cell either gains or loses the keyboard focus.

 getCoordinates()

Gets the cell coordinates for the cell.

 getData()

Gets the data object for the cell (Normally retrieved via the data source.

 isCellTypeEditable()

Queries whether the cell type supports user editing (normally from the keyboard.

 keyEvent(CellEvent)

Called by the TableView when the user triggers a key event while the cell possesses the keyboard focus.

 loseFocusOnArrow()

Called by the TableView when the cell possesses the keyboard focus to query whether an arrow key can move the focus.

 lostAuxControl()

Called by the TableView when it hides the auxillary control of the cell.

 mouseEvent(CellEvent)

Called when the user triggers a mouse event on the cell.

 reset()

Resets the values of the cell to their default values.

 row()

Gets the row number for the cell.

 setCol(int)

Sets the column number for the cell.

 setCoordinates(Coordinate)

Sets the cell coordinates for the cell.

 setDefaultFlag()

Sets the cell as a default cell used by the TableView and data sources to conserve resources.

 setRow(int)

Sets the row number for the cell.

 setTableView(TableView, DataSource)

Allows the cell to set instance variables for view and data source.

 stats()

Gets the key statistics of the cell in a String format.

 type()

Gets the type of cell.

 type(int)

Sets the type of cell.

 CELL

 public static final int CELL

Cell type is a regular cell.

 COL_HEADING

 public static final int COL_HEADING

Cell type is a column heading.

 CORNER_CELL

 public static final int CORNER_CELL

Cell type for the corner cell.

 ROW_HEADING

 public static final int ROW_HEADING

Cell type for a row heading cell.

 activateCursor

 public abstract void activateCursor()

Informs the cell to draw a cursor if appropriate. The TableView deactivates the cursor when it loses the keyboard focus.

 auxControl

 public abstract Component auxControl()

Gets the auxillary control for the cell.

Returns:

The widget if the cell supports auxillary controls or null otherwise.

 canLoseFocus

 public abstract boolean canLoseFocus()

Called by the TableView when the cell possess the keyboard focus to query whether the cell's contents are in a valid state so another control may receive the keyboard focus.

 cloneCell

 public abstract TableCell cloneCell()

Gets a copy of the cell suitable for taking the place of the current cell.

 col

 public abstract int col()

Gets the column number for the cell.

 deactivateCursor

 public abstract void deactivateCursor()

Informs the cell not to draw a cursor. The TableView deactivates the cursor when it loses the keyboard focus.

 drawCell

 public abstract void drawCell(Graphics g,
                               CellHints hints)

Called by the TableView when the cell is to be drawn on the screen.

Parameters:

g - The graphics context to perform drawing functions.

hints - Contains the information required for the cell to draw in the proper place and colors.

 focusEvent

 public abstract void focusEvent(CellEvent e)

Called by the TableView when the cell either gains or loses the keyboard focus.

 getCoordinates

 public abstract Coordinate getCoordinates()

Gets the cell coordinates for the cell.

 getData

 public abstract Data getData() throws DataNotAvailable

Gets the data object for the cell (Normally retrieved via the data source.

Throws: DataNotAvailable

if the data cannot be accessed

 isCellTypeEditable

 public abstract boolean isCellTypeEditable()

Queries whether the cell type supports user editing (normally from the keyboard. If it cannot, the cell will not receive the keyboard focus.

 keyEvent

 public abstract void keyEvent(CellEvent e)

Called by the TableView when the user triggers a key event while the cell possesses the keyboard focus.

 loseFocusOnArrow

 public abstract boolean loseFocusOnArrow()

Called by the TableView when the cell possesses the keyboard focus to query whether an arrow key can move the focus.

 lostAuxControl

 public abstract void lostAuxControl()

Called by the TableView when it hides the auxillary control of the cell.

 mouseEvent

 public abstract void mouseEvent(CellEvent e)

Called when the user triggers a mouse event on the cell.

 reset

 public abstract void reset()

Resets the values of the cell to their default values. The TableView uses common cells to perform the drawing and event functions. This allows it to use memory efficiently by not being forced to create a cell for every piece of data stored in a data source. This function is called when a cell is changed to represent another coordinate position. Afterwards, the cell's methods are called to set the internal state properly before being asked to process cell events are perform drawing.

 row

 public abstract int row()

Gets the row number for the cell.

 setCol

 public abstract void setCol(int c)

Sets the column number for the cell.

 setCoordinates

 public abstract void setCoordinates(Coordinate c)

Sets the cell coordinates for the cell. The coordinate parameter is a shared value, so its values should be copied to another variable of type Coordinate.

 setDefaultFlag

 public abstract void setDefaultFlag()

Sets the cell as a default cell used by the TableView and data sources to conserve resources.

 setRow

 public abstract void setRow(int r)

Sets the row number for the cell.

 setTableView

 public abstract void setTableView(TableView v,
                                   DataSource ds)

Allows the cell to set instance variables for view and data source.

Parameters:

v - The TableView the cell is contained within.

ds - The datasource the cell obtains its data.

 stats

 public abstract String stats()

Gets the key statistics of the cell in a String format. Helps with debugging.

 type

 public abstract int type()

Gets the type of cell.

Returns:

One of CELL, COL_HEADING, ROW_HEADING, CORNER_CELL.

 type

 public abstract int type(int t)

Sets the type of cell.

Parameters:

t - One of CELL, COL_HEADING, ROW_HEADING, CORNER_CELL.

Returns:

One of CELL, COL_HEADING, ROW_HEADING, CORNER_CELL.


 Interface symantec.itools.db.awt.TvEventHandler

public interface TvEventHandler
   extends Serializable

This interface is implemented by all classes that will serve as event handlers for a TableView. An event handler is an object that receives notification of all events and any exceptions that occur during user interaction with the table view. Events are divided into categories based on what generated the event: cell, row heading, column heading, or toolbar control. Exceptions prevent a unique design challenge for controls. The table view is designed to run without forcing the developer to register and intercept events; instead,

 handleCellEvent(CellEvent, TableCell)

Called by the TableView when the user triggers an event that occurs within the context of a normal cell, i.e.

 handleColHeadingEvent(CellEvent, TableCell)

Called by the TableView when the user triggers an event that occurs within the context of a column heading.

 handleCornerCellEvent(CellEvent, TableCell)

Called by the TableView when the user triggers an event that occurs within the context of the corner cell.

 handleException(Coordinate, Exception)

Called by the TableView when an exception is generated within the TableView framework.

 handleRowHeadingEvent(CellEvent, TableCell)

Called by the TableView when the user triggers an event that occurs within the context of a row heading heading.

 handleTableEvent(TableEvent)

Called by the TableView when the users triggers an event outside the scope of any cell, usually a component located on the toolbar.

 setupView(TableView)

Called by the TableView when an event handler is installed.

 handleCellEvent

 public abstract void handleCellEvent(CellEvent e,
                                      TableCell cell)

Called by the TableView when the user triggers an event that occurs within the context of a normal cell, i.e. not a heading cell.

Parameters:

e - The event object. The source is set to the TableView.

cell - The cell that generated the event.

 handleColHeadingEvent

 public abstract void handleColHeadingEvent(CellEvent e,
                                            TableCell cell)

Called by the TableView when the user triggers an event that occurs within the context of a column heading.

Parameters:

e - The event object. The source is set to the TableView.

cell - The cell that generated the event.

 handleCornerCellEvent

 public abstract void handleCornerCellEvent(CellEvent e,
                                            TableCell cell)

Called by the TableView when the user triggers an event that occurs within the context of the corner cell.

Parameters:

e - The event object. The source is set to the TableView.

cell - The cell that generated the event.

 handleException

 public abstract void handleException(Coordinate pos,
                                      Exception exc)

Called by the TableView when an exception is generated within the TableView framework. If the exception occured due to some function or event related to a cell, the coordinates of the cell are passed into the method. This method provides a convinient place to display messages to the user.

 handleRowHeadingEvent

 public abstract void handleRowHeadingEvent(CellEvent e,
                                            TableCell cell)

Called by the TableView when the user triggers an event that occurs within the context of a row heading heading.

Parameters:

e - The event object. The source is set to the TableView.

cell - The cell that generated the event.

 handleTableEvent

 public abstract void handleTableEvent(TableEvent e)

Called by the TableView when the users triggers an event outside the scope of any cell, usually a component located on the toolbar.

Parameters:

e - The unchanged event that was generated.

 setupView

 public abstract void setupView(TableView v)

Called by the TableView when an event handler is installed. This method provides the event handler a chance to perform any view initialization and set an instance variable for later use.


 Class symantec.itools.db.awt.AgeField

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.TextComponent
                   |
                   +----java.awt.TextField
                           |
                           +----symantec.itools.db.awt.TextField
                                   |
                                   +----symantec.itools.db.awt.AgeField

public class AgeField
   extends TextField

dbAware AgeField component.

This component is a single-line area that displays elapsed time as a number of days, months, or years relative to the current date.

It can be bound to a projection in a database.

 AgeField()

Constructs a default AgeField.

 setDisplayAs(String)

Sets the unit of time displayed.

 setText(String)

Sets the text that is presented by this text component to be the specified text.

 AgeField

 public AgeField()

Constructs a default AgeField. It displays the elapsed time in days and is not editable by default.

 setDisplayAs

 public void setDisplayAs(String value)

Sets the unit of time displayed.

Parameters:

value - the unit of time to display, one of: DAYS, WEEKS, MONTHS, or YEARS

 setText

 public void setText(String text)

Sets the text that is presented by this text component to be the specified text.

Overrides:

setText in class TextComponent


 Class symantec.itools.db.awt.BasicCell

java.lang.Object
   |
   +----symantec.itools.db.awt.BasicCell

public class BasicCell
   extends Object
   implements TableCell, ImageObserver

Cell type that is used to hold string and image data. Images are not scaled, this cell expects them to be small icons to the left of the text.

 BasicCell(TableView, DataSource)

Constructs a BasicCell.

 activateCursor()

Informs the cell to draw a cursor if appropriate.

 auxControl()

Gets the auxillary control for the cell.

 canLoseFocus()

Called by the TableView when the cell possess the keyboard focus to query whether the cell's contents are in a valid state so another control may receive the keyboard focus.

 chopString(Data, Rectangle, FontMetrics)

Gets a string from the data source that is truncated as needed to fit within the given rectangle.

 cloneCell()

Gets a copy of the cell suitable for taking the place of the current cell.

 col()

Gets the column number for the cell.

 deactivateCursor()

Informs the cell not to draw a cursor.

 drawCell(Graphics, CellHints)

Called by the TableView when the cell is to be drawn on the screen.

 drawText(Data, Graphics, Rectangle, FontMetrics, CellHints)

Draws the given cell data on the screen.

 focusEvent(CellEvent)

Called by the TableView when the cell either gains or loses the keyboard focus.

 getCoordinates()

Gets the cell coordinates for the cell.

 getData()

Gets the data object for the cell (Normally retrieved via the data source.

 getDataString()

Gets the cell data as a String.

 getDataString(Data)

Gets the specified Data as a String.

 imageUpdate(Image, int, int, int, int, int)

Repaints the list when the cell's image has changed.

 isCellTypeEditable()

Gets whether this cell type provides support for editing.

 keyEvent(CellEvent)

Called by the TableView when the user triggers a key event while the cell possesses the keyboard focus.

 loseFocusOnArrow()

Called by the TableView when the cell possesses the keyboard focus to query whether an arrow key can move the focus.

 lostAuxControl()

Called by the TableView when it hides the auxillary control of the cell.

 mouseEvent(CellEvent)

Called when the user triggers a mouse event on the cell.

 readData()

Reads this cell's data from the data source.

 reset()

Resets the values of the cell to their default values.

 row()

Gets the row number for the cell.

 setCol(int)

Sets the column number for the cell.

 setCoordinates(Coordinate)

Sets the cell coordinates for the cell.

 setDefaultFlag()

Sets whether this cell is the defualt maintained by the TableView.

 setRow(int)

Sets the row number for the cell.

 setTableView(TableView, DataSource)

Allows the cell to set instance variables for view and data source.

 stats()

Gets a string with the coordinates and the string data for cell.

 toString()

Inherited from java.lang.Object.

 type()

Gets the type of cell.

 type(int)

Sets the type of cell.

 BasicCell

 public BasicCell(TableView tv,
                  DataSource ds)

Constructs a BasicCell.

Parameters:

v - The TableView the cell is contained within.

ds - The datasource the cell obtains its data.

 activateCursor

 public void activateCursor()

Informs the cell to draw a cursor if appropriate. The TableView deactivates the cursor when it loses the keyboard focus.

 auxControl

 public Component auxControl()

Gets the auxillary control for the cell.

Returns:

The widget if the cell supports auxillary controls or null otherwise.

 canLoseFocus

 public boolean canLoseFocus()

Called by the TableView when the cell possess the keyboard focus to query whether the cell's contents are in a valid state so another control may receive the keyboard focus.

 chopString

 protected String chopString(Data data,
                             Rectangle r,
                             FontMetrics fm)

Gets a string from the data source that is truncated as needed to fit within the given rectangle.

Parameters:

data - the data source

r - the clipping rectangle

fm - the text font metrics

Returns:

the string, truncated as needed

 cloneCell

 public TableCell cloneCell()

Gets a copy of the cell suitable for taking the place of the current cell.

 col

 public int col()

Gets the column number for the cell.

 deactivateCursor

 public void deactivateCursor()

Informs the cell not to draw a cursor. The TableView deactivates the cursor when it loses the keyboard focus.

 drawCell

 public void drawCell(Graphics g,
                      CellHints hints)

Called by the TableView when the cell is to be drawn on the screen.

Parameters:

g - The graphics context to perform drawing functions.

hints - Contains the information required for the cell to draw in the proper place and colors.

 drawText

 protected void drawText(Data data,
                         Graphics g,
                         Rectangle r,
                         FontMetrics fm,
                         CellHints hints)

Draws the given cell data on the screen.

Parameters:

data - the cell data

g - the graphics context to perform drawing functions

r - the cell's clipping rectangle

fm - the metrics of the drawing font

hints - information required for the cell to draw in the proper place and colors.

 focusEvent

 public void focusEvent(CellEvent e)

Called by the TableView when the cell either gains or loses the keyboard focus.

 getCoordinates

 public Coordinate getCoordinates()

Gets the cell coordinates for the cell.

 getData

 public Data getData() throws DataNotAvailable

Gets the data object for the cell (Normally retrieved via the data source.

Returns:

the cell data

Throws: DataNotAvailable

if the data cannot be accessed

 getDataString

 protected String getDataString() throws DataNotAvailable

Gets the cell data as a String.

Returns:

the cell data as a String

Throws: DataNotAvailable

if the data cannot be accessed

 getDataString

 protected String getDataString(Data data) throws DataNotAvailable

Gets the specified Data as a String.

Parameters:

the - data

the - data as a String

Throws: DataNotAvailable

if the data cannot be accessed

 imageUpdate

 public boolean imageUpdate(Image img,
                            int flags,
                            int x,
                            int y,
                            int w,
                            int h)

Repaints the list when the cell's image has changed.

Returns:

true if image has changed; false otherwise.

 isCellTypeEditable

 public boolean isCellTypeEditable()

Gets whether this cell type provides support for editing.

 keyEvent

 public void keyEvent(CellEvent e)

Called by the TableView when the user triggers a key event while the cell possesses the keyboard focus.

 loseFocusOnArrow

 public boolean loseFocusOnArrow()

Called by the TableView when the cell possesses the keyboard focus to query whether an arrow key can move the focus.

 lostAuxControl

 public void lostAuxControl()

Called by the TableView when it hides the auxillary control of the cell.

 mouseEvent

 public void mouseEvent(CellEvent e)

Called when the user triggers a mouse event on the cell.

 readData

 public Data readData() throws DataNotAvailable

Reads this cell's data from the data source.

Returns:

this cell's data

Throws: DataNotAvailable

if the data cannot be accessed

 reset

 public void reset()

Resets the values of the cell to their default values. The TableView uses common cells to perform the drawing and event functions. This allows it to use memory efficiently by not being forced to create a cell for every piece of data stored in a data source. This function is called when a cell is changed to represent another coordinate position. Afterwards, the cell's methods are called to set the internal state properly before being asked to process cell events are perform drawing.

 row

 public int row()

Gets the row number for the cell.

 setCol

 public void setCol(int c)

Sets the column number for the cell.

 setCoordinates

 public void setCoordinates(Coordinate c)

Sets the cell coordinates for the cell. The coordinate parameter is a shared value, so its values should be copied to another variable of type Coordinate.

 setDefaultFlag

 public void setDefaultFlag()

Sets whether this cell is the defualt maintained by the TableView. This is really an internal method that must be exposed beause of the rules of defining a public interface.

 setRow

 public void setRow(int r)

Sets the row number for the cell.

 setTableView

 public void setTableView(TableView v,
                          DataSource ds)

Allows the cell to set instance variables for view and data source.

Parameters:

v - The TableView the cell is contained within.

ds - The datasource the cell obtains its data.

 stats

 public String stats()

Gets a string with the coordinates and the string data for cell.

 toString

 public String toString()

Inherited from java.lang.Object.

Returns:

The string data for the cell.

Overrides:

toString in class Object

 type

 public int type()

Gets the type of cell.

Returns:

One of CELL, COL_HEADING, ROW_HEADING, CORNER_CELL.

 type

 public int type(int t)

Sets the type of cell.

Parameters:

t - One of CELL, COL_HEADING, ROW_HEADING, CORNER_CELL.

Returns:

One of CELL, COL_HEADING, ROW_HEADING, CORNER_CELL.


 Class symantec.itools.db.awt.ButtonCell

java.lang.Object
   |
   +----symantec.itools.db.awt.ButtonCell

public class ButtonCell
   extends Object
   implements TableCell, ImageObserver

A Grid cell containing a button.

     See Also:
     Grid

 ButtonCell(int, int)

Constructs a ButtonCell located at the given coordinates.

 ButtonCell(TableView, DataSource)

Constructs a ButtonCell.

 actionEvent(Event)

Takes no action.

 activateCursor()

Informs the cell to draw a cursor if appropriate.

 auxControl()

Gets the auxillary control for the cell.

 auxControlEvent(Event)

Takes no action.

 canLoseFocus()

Called by the TableView when the cell possess the keyboard focus to query whether the cell's contents are in a valid state so another control may receive the keyboard focus.

 cloneCell()

Gets a copy of the cell suitable for taking the place of the current cell.

 col()

Gets the column number for the cell.

 deactivateCursor()

Informs the cell not to draw a cursor.

 drawCell(Graphics, CellHints)

Called by the TableView when the cell is to be drawn on the screen.

 focusEvent(CellEvent)

Called by the TableView when the cell either gains or loses the keyboard focus.

 getCoordinates()

Gets the cell coordinates for the cell.

 getData()

Gets the data object for the cell (Normally retrieved via the data source.

 imageUpdate(Image, int, int, int, int, int)

Repaints the list when the cell's image has changed.

 isCellTypeEditable()

Queries whether the cell type supports user editing (normally from the keyboard.

 keyEvent(CellEvent)

Called by the TableView when the user triggers a key event while the cell possesses the keyboard focus.

 loseFocusOnArrow()

Called by the TableView when the cell possesses the keyboard focus to query whether an arrow key can move the focus.

 lostAuxControl()

Called by the TableView when it hides the auxillary control of the cell.

 mouseEvent(CellEvent)

Called when the user triggers a mouse event on the cell.

 reset()

Resets the values of the cell to their default values.

 row()

Gets the row number for the cell.

 setCol(int)

Sets the column number for the cell.

 setCoordinates(Coordinate)

Sets the cell coordinates for the cell.

 setDefaultFlag()

Sets the cell as a default cell used by the TableView and data sources to conserve resources.

 setRow(int)

Sets the row number for the cell.

 setTableView(TableView, DataSource)

Allows the cell to set instance variables for view and data source.

 stats()

Gets the key statistics of the cell in a String format.

 type()

Gets the type of cell.

 type(int)

Sets the type of cell.

 ButtonCell

 public ButtonCell(int r,
                   int c)

Constructs a ButtonCell located at the given coordinates.

Parameters:

r - the one-relative row index

c - the one-relative column index

 ButtonCell

 public ButtonCell(TableView v,
                   DataSource ds)

Constructs a ButtonCell.

Parameters:

v - The TableView the cell is contained within.

ds - The datasource the cell obtains its data.

 actionEvent

 public boolean actionEvent(Event e)

Takes no action.

Returns:

true

 activateCursor

 public void activateCursor()

Informs the cell to draw a cursor if appropriate. The TableView deactivates the cursor when it loses the keyboard focus.

 auxControl

 public Component auxControl()

Gets the auxillary control for the cell.

Returns:

The widget if the cell supports auxillary controls or null otherwise.

 auxControlEvent

 public boolean auxControlEvent(Event e)

Takes no action.

Returns:

true

 canLoseFocus

 public boolean canLoseFocus()

Called by the TableView when the cell possess the keyboard focus to query whether the cell's contents are in a valid state so another control may receive the keyboard focus.

 cloneCell

 public TableCell cloneCell()

Gets a copy of the cell suitable for taking the place of the current cell.

 col

 public int col()

Gets the column number for the cell.

 deactivateCursor

 public void deactivateCursor()

Informs the cell not to draw a cursor. The TableView deactivates the cursor when it loses the keyboard focus.

 drawCell

 public void drawCell(Graphics g,
                      CellHints hints)

Called by the TableView when the cell is to be drawn on the screen.

Parameters:

g - The graphics context to perform drawing functions.

hints - Contains the information required for the cell to draw in the proper place and colors.

 focusEvent

 public void focusEvent(CellEvent e)

Called by the TableView when the cell either gains or loses the keyboard focus.

 getCoordinates

 public Coordinate getCoordinates()

Gets the cell coordinates for the cell.

 getData

 public Data getData() throws DataNotAvailable

Gets the data object for the cell (Normally retrieved via the data source.

Throws: DataNotAvailable

if the data cannot be accessed

 imageUpdate

 public boolean imageUpdate(Image img,
                            int flags,
                            int x,
                            int y,
                            int w,
                            int h)

Repaints the list when the cell's image has changed.

Returns:

true if image has changed; false otherwise.

 isCellTypeEditable

 public boolean isCellTypeEditable()

Queries whether the cell type supports user editing (normally from the keyboard. If it cannot, the cell will not receive the keyboard focus.

 keyEvent

 public void keyEvent(CellEvent e)

Called by the TableView when the user triggers a key event while the cell possesses the keyboard focus.

 loseFocusOnArrow

 public boolean loseFocusOnArrow()

Called by the TableView when the cell possesses the keyboard focus to query whether an arrow key can move the focus.

 lostAuxControl

 public void lostAuxControl()

Called by the TableView when it hides the auxillary control of the cell.

 mouseEvent

 public void mouseEvent(CellEvent e)

Called when the user triggers a mouse event on the cell.

 reset

 public void reset()

Resets the values of the cell to their default values. The TableView uses common cells to perform the drawing and event functions. This allows it to use memory efficiently by not being forced to create a cell for every piece of data stored in a data source. This function is called when a cell is changed to represent another coordinate position. Afterwards, the cell's methods are called to set the internal state properly before being asked to process cell events are perform drawing.

 row

 public int row()

Gets the row number for the cell.

 setCol

 public void setCol(int c)

Sets the column number for the cell.

 setCoordinates

 public void setCoordinates(Coordinate p)

Sets the cell coordinates for the cell. The coordinate parameter is a shared value, so its values should be copied to another variable of type Coordinate.

 setDefaultFlag

 public void setDefaultFlag()

Sets the cell as a default cell used by the TableView and data sources to conserve resources.

 setRow

 public void setRow(int r)

Sets the row number for the cell.

 setTableView

 public void setTableView(TableView v,
                          DataSource ds)

Allows the cell to set instance variables for view and data source.

Parameters:

v - The TableView the cell is contained within.

ds - The datasource the cell obtains its data.

 stats

 public String stats()

Gets the key statistics of the cell in a String format. Helps with debugging.

 type

 public int type()

Gets the type of cell.

Returns:

One of CELL, COL_HEADING, ROW_HEADING, CORNER_CELL.

 type

 public int type(int t)

Sets the type of cell.

Parameters:

t - One of CELL, COL_HEADING, ROW_HEADING, CORNER_CELL.

Returns:

One of CELL, COL_HEADING, ROW_HEADING, CORNER_CELL.


 Class symantec.itools.db.awt.CellHints

java.lang.Object
   |
   +----symantec.itools.db.awt.CellHints

public class CellHints
   extends Object
   implements Serializable

CellHints specify the way a grid cell will be drawn, including things like data alignment within cell, font, colors, line styles, etc. It may apply to one or more grid cells.

 ALIGN_BIT

Bit position constant for valid "alignment" value flag.

 BG_BIT

Bit position constant for valid "background color" value flag.

 CONTROL_BIT

Bit position constant for valid "component" value flag.

 DEFAULT_BIT

Bit position constant for valid "default table cell" value flag.

 EDITABLE_BIT

Bit position constant for valid "editable" value flag.

 FG_BIT

Bit position constant for valid "foreground color" value flag.

 FONT_BIT

Bit position constant for valid "font" value flag.

 HBG_BIT

Bit position constant for valid "highlighted background color" value flag.

 HFG_BIT

Bit position constant for valid "highlighted foreground color" value flag.

 LINE_BOTTOM_COLOR_BIT

Bit position constant for valid "bottom boundry line color" value flag.

 LINE_BOTTOM_STYLE_BIT

Bit position constant for valid "bottom boundry line style" value flag.

 LINE_LEFT_COLOR_BIT

Bit position constant for valid "left boundry line color" value flag.

 LINE_LEFT_STYLE_BIT

Bit position constant for valid "left boundry line style" value flag.

 LINE_RIGHT_COLOR_BIT

Bit position constant for valid "right boundry line color" value flag.

 LINE_RIGHT_STYLE_BIT

Bit position constant for valid "right boundry line style" value flag.

 LINE_TOP_COLOR_BIT

Bit position constant for valid "top boundry line color" value flag.

 LINE_TOP_STYLE_BIT

Bit position constant for valid "top boundry line style" value flag.

 OBJECT_BIT

Bit position constant for valid "storage object" value flag.

 stdFont

The standard cell font.

 VALIGN_BIT

Bit position constant for valid "vertical alignment" value flag.

 CellHints(TableView)

Constructs a new CellHints object for cells in the given TableView.

 alignment()

Gets this CellHint's "horizontal alignment" value.

 background()

Gets this CellHint's "background color" value.

 bounds()

Gets the cell bounds indicated by this CellHint.

 cascadeAlignment(CellHints, CellHints)

Gets a valid horizontal alignment value.

 cascadeBackground(CellHints, CellHints)

Gets a valid "background color" value.

 cascadeControl(CellHints, CellHints)

Gets a valid cell component.

 cascadeDefaultCell(CellHints, CellHints)

Gets a valid CellHint default table cell.

 cascadeEditable(CellHints, CellHints)

Gets a valid "editable" value.

 cascadeFont(CellHints, CellHints)

Gets a valid "font" value.

 cascadeForeground(CellHints, CellHints)

Gets a valid "foreground color" value.

 cascadeHlBackground(CellHints, CellHints)

Gets a valid "hilighted background color" value.

 cascadeHlForeground(CellHints, CellHints)

Gets a valid "hilighted foreground color" value.

 cascadeStorage(CellHints, CellHints)

Gets a valid CellHint stored object.

 cascadeVAlignment(CellHints, CellHints)

Gets a valid vertical alignment value.

 cellStorage()

Gets the object stored in this CellHint.

 clear(int)

Clears the sepecified flag bit.

 clip(Graphics)

Sets the given Graphics object's clipping rectangle to the value indicated by this CellHint.

 control()

Gets the component in this cell.

 defaultCell()

Gets the default table cell for this CellHint.

 drawBoundary(Graphics)

Draws the cell boundy indicated by this CellHint.

 editable()

Gets this CellHint's "editable" value.

 font()

Gets this CellHint's "font" value.

 foreground()

Gets this CellHint's "foreground color" value.

 get(int)

Gets the sepecified flag bit.

 highlighted()

Gets this CellHint's "highlighted" value.

 hlBackground()

Gets this CellHint's "hilighted background color" value.

 hlForeground()

Gets this CellHint's "hilighted foreground color" value.

 lineBottomColor()

Gets this CellHint's "bottom line of boundy" color value.

 lineBottomStyle()

Gets this CellHint's "bottom line style of boundy" color value.

 lineLeftColor()

Gets this CellHint's "left line of boundy" color value.

 lineLeftStyle()

Gets this CellHint's "left line style of boundy" color value.

 lineRightColor()

Gets this CellHint's "right line of boundy" color value.

 lineRightStyle()

Gets this CellHint's "right line style of boundy" color value.

 lineTopColor()

Gets this CellHint's "top line of boundy" color value.

 lineTopStyle()

Gets this CellHint's "top line style of boundy" color value.

 set(int)

Sets the sepecified flag bit.

 setBackground(Graphics)

Sets the given Graphics object's background color to the value indicated by this CellHint.

 setCellStorage(Object)

Sets the object stored in this CellHint.

 setControl(Component)

Sets the component in this cell.

 setDefaultCell(TableCell)

Sets the default table cell for this CellHint.

 setForeground(Graphics)

Sets the given Graphics object's foreground color to the value indicated by this CellHint.

 setHints(TableCell)

Initializes this CellHint for the given TableCell.

 vAlignment()

Gets this CellHint's "vertical alignment" value.

 ALIGN_BIT

 public static final int ALIGN_BIT

Bit position constant for valid "alignment" value flag.

 BG_BIT

 public static final int BG_BIT

Bit position constant for valid "background color" value flag.

 CONTROL_BIT

 public static final int CONTROL_BIT

Bit position constant for valid "component" value flag.

 DEFAULT_BIT

 public static final int DEFAULT_BIT

Bit position constant for valid "default table cell" value flag.

 EDITABLE_BIT

 public static final int EDITABLE_BIT

Bit position constant for valid "editable" value flag.

 FG_BIT

 public static final int FG_BIT

Bit position constant for valid "foreground color" value flag.

 FONT_BIT

 public static final int FONT_BIT

Bit position constant for valid "font" value flag.

 HBG_BIT

 public static final int HBG_BIT

Bit position constant for valid "highlighted background color" value flag.

 HFG_BIT

 public static final int HFG_BIT

Bit position constant for valid "highlighted foreground color" value flag.

 LINE_BOTTOM_COLOR_BIT

 public static final int LINE_BOTTOM_COLOR_BIT

Bit position constant for valid "bottom boundry line color" value flag.

 LINE_BOTTOM_STYLE_BIT

 public static final int LINE_BOTTOM_STYLE_BIT

Bit position constant for valid "bottom boundry line style" value flag.

 LINE_LEFT_COLOR_BIT

 public static final int LINE_LEFT_COLOR_BIT

Bit position constant for valid "left boundry line color" value flag.

 LINE_LEFT_STYLE_BIT

 public static final int LINE_LEFT_STYLE_BIT

Bit position constant for valid "left boundry line style" value flag.

 LINE_RIGHT_COLOR_BIT

 public static final int LINE_RIGHT_COLOR_BIT

Bit position constant for valid "right boundry line color" value flag.

 LINE_RIGHT_STYLE_BIT

 public static final int LINE_RIGHT_STYLE_BIT

Bit position constant for valid "right boundry line style" value flag.

 LINE_TOP_COLOR_BIT

 public static final int LINE_TOP_COLOR_BIT

Bit position constant for valid "top boundry line color" value flag.

 LINE_TOP_STYLE_BIT

 public static final int LINE_TOP_STYLE_BIT

Bit position constant for valid "top boundry line style" value flag.

 OBJECT_BIT

 public static final int OBJECT_BIT

Bit position constant for valid "storage object" value flag.

 stdFont

 public static Font stdFont

The standard cell font.

 VALIGN_BIT

 public static final int VALIGN_BIT

Bit position constant for valid "vertical alignment" value flag.

 CellHints

 public CellHints(TableView v)

Constructs a new CellHints object for cells in the given TableView.

Parameters:

v - the TableView

 alignment

 public final int alignment()

Gets this CellHint's "horizontal alignment" value.

Returns:

the cell's alignment, one of TableView.LEFT, TableView.CENTER, or TableView.RIGHT

 background

 public final Color background()

Gets this CellHint's "background color" value.

Returns:

the value

 bounds

 public final Rectangle bounds()

Gets the cell bounds indicated by this CellHint.

Returns:

the cell's bounding rectangle

 cascadeAlignment

 public final int cascadeAlignment(CellHints c1,
                                   CellHints c2)

Gets a valid horizontal alignment value. This method first checks c2, then c1, and then this CellHint.

Returns:

the cell's alignment, one of TableView.LEFT, TableView.CENTER, or TableView.RIGHT

 cascadeBackground

 public final Color cascadeBackground(CellHints c1,
                                      CellHints c2)

Gets a valid "background color" value. This method first checks c2, then c1, and then this CellHint.

Returns:

the value

 cascadeControl

 public Component cascadeControl(CellHints c1,
                                 CellHints c2)

Gets a valid cell component. This method first checks c2, then c1, and then this CellHint.

Returns:

the component

 cascadeDefaultCell

 public final TableCell cascadeDefaultCell(CellHints c1,
                                           CellHints c2)

Gets a valid CellHint default table cell. This method first checks c2, then c1, and then this CellHint.

Returns:

the default table cell

 cascadeEditable

 public final boolean cascadeEditable(CellHints c1,
                                      CellHints c2)

Gets a valid "editable" value. This method first checks c2, then c1, and then this CellHint.

Returns:

the value

 cascadeFont

 public final Font cascadeFont(CellHints c1,
                               CellHints c2)

Gets a valid "font" value. This method first checks c2, then c1, and then this CellHint.

Returns:

the value

 cascadeForeground

 public final Color cascadeForeground(CellHints c1,
                                      CellHints c2)

Gets a valid "foreground color" value. This method first checks c2, then c1, and then this CellHint.

Returns:

the value

 cascadeHlBackground

 public final Color cascadeHlBackground(CellHints c1,
                                        CellHints c2)

Gets a valid "hilighted background color" value. This method first checks c2, then c1, and then this CellHint.

Returns:

the value

 cascadeHlForeground

 public final Color cascadeHlForeground(CellHints c1,
                                        CellHints c2)

Gets a valid "hilighted foreground color" value. This method first checks c2, then c1, and then this CellHint.

Returns:

the value

 cascadeStorage

 public Object cascadeStorage(CellHints c1,
                              CellHints c2)

Gets a valid CellHint stored object. This method first checks c2, then c1, and then this CellHint.

Returns:

the stored object

 cascadeVAlignment

 public final int cascadeVAlignment(CellHints c1,
                                    CellHints c2)

Gets a valid vertical alignment value. This method first checks c2, then c1, and then this CellHint.

Returns:

the cell's alignment, one of TableView.TOP, TableView.CENTER, or TableView.BOTTOM

 cellStorage

 public Object cellStorage()

Gets the object stored in this CellHint.

Returns:

the object

See Also:

setCellStorage

 clear

 public void clear(int bit)

Clears the sepecified flag bit.

Parameters:

bit - the zero-relative bit index

 clip

 public void clip(Graphics g)

Sets the given Graphics object's clipping rectangle to the value indicated by this CellHint.

Parameters:

g - the Graphics context

 control

 public Object control()

Gets the component in this cell.

Returns:

the component

See Also:

setControl

 defaultCell

 public final TableCell defaultCell()

Gets the default table cell for this CellHint.

Returns:

the table cell

See Also:

setDefaultCell

 drawBoundary

 public final void drawBoundary(Graphics g)

Draws the cell boundy indicated by this CellHint.

Parameters:

g - the Graphics context used for drawing

 editable

 public final boolean editable()

Gets this CellHint's "editable" value.

Returns:

the value

 font

 public final Font font()

Gets this CellHint's "font" value.

Returns:

the value

 foreground

 public final Color foreground()

Gets this CellHint's "foreground color" value.

Returns:

the value

 get

 public boolean get(int bit)

Gets the sepecified flag bit.

Parameters:

bit - the zero-relative bit index

Returns:

the value of the bit

 highlighted

 public final boolean highlighted()

Gets this CellHint's "highlighted" value.

Returns:

true if highlited, falseotherwise

 hlBackground

 public final Color hlBackground()

Gets this CellHint's "hilighted background color" value.

Returns:

the value

 hlForeground

 public final Color hlForeground()

Gets this CellHint's "hilighted foreground color" value.

Returns:

the value

 lineBottomColor

 public final Color lineBottomColor()

Gets this CellHint's "bottom line of boundy" color value.

Returns:

the value

 lineBottomStyle

 public final int lineBottomStyle()

Gets this CellHint's "bottom line style of boundy" color value.

Returns:

the value, one of TableView.NO_LINE, TableView.THIN_LINE, or TableView.THICK_LINE

 lineLeftColor

 public final Color lineLeftColor()

Gets this CellHint's "left line of boundy" color value.

Returns:

the value

 lineLeftStyle

 public final int lineLeftStyle()

Gets this CellHint's "left line style of boundy" color value.

Returns:

the value, one of TableView.NO_LINE, TableView.THIN_LINE, or TableView.THICK_LINE

 lineRightColor

 public final Color lineRightColor()

Gets this CellHint's "right line of boundy" color value.

Returns:

the value

 lineRightStyle

 public final int lineRightStyle()

Gets this CellHint's "right line style of boundy" color value.

Returns:

the value, one of TableView.NO_LINE, TableView.THIN_LINE, or TableView.THICK_LINE

 lineTopColor

 public final Color lineTopColor()

Gets this CellHint's "top line of boundy" color value.

Returns:

the value

 lineTopStyle

 public final int lineTopStyle()

Gets this CellHint's "top line style of boundy" color value.

Returns:

the value, one of TableView.NO_LINE, TableView.THIN_LINE, or TableView.THICK_LINE

 set

 public void set(int bit)

Sets the sepecified flag bit.

Parameters:

bit - the zero-relative bit index

 setBackground

 public void setBackground(Graphics g)

Sets the given Graphics object's background color to the value indicated by this CellHint.

Parameters:

g - the Graphics context

 setCellStorage

 protected void setCellStorage(Object o)

Sets the object stored in this CellHint.

Parameters:

o - the object

See Also:

cellStorage

 setControl

 protected final void setControl(Component c)

Sets the component in this cell.

Parameters:

c - the component

See Also:

control

 setDefaultCell

 protected void setDefaultCell(TableCell cell)

Sets the default table cell for this CellHint.

Parameters:

cell - the default cell

See Also:

defaultCell

 setForeground

 public void setForeground(Graphics g)

Sets the given Graphics object's foreground color to the value indicated by this CellHint.

Parameters:

g - the Graphics context

 setHints

 public final void setHints(TableCell c)

Initializes this CellHint for the given TableCell.

Parameters:

c - the TableCell this CellHint is for

 vAlignment

 public final int vAlignment()

Gets this CellHint's "vertical alignment" value.

Returns:

the cell's alignment, one of TableView.TOP, TableView.CENTER, or TableView.BOTTOM


 Class symantec.itools.db.awt.Checkbox

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Checkbox
                   |
                   +----symantec.itools.db.awt.Checkbox

public class Checkbox
   extends Checkbox
   implements ProjectionBean

A dbAWARE Checkbox.

This component can be "bound" to a projection within a relation view so that it automatically gets and sets the values in that relation.

 Blank

A constant value indicating how an empty string will be saved in the database.

 Default

A constant value indicating how an empty string will be saved in the database.

 Focus_Event

Constant value for the Triggering Event property.

 foreg

The value of the Foreground color property.

 hasReceivedABoolean

Indicates whether the value of this component is of type Boolean.

 isNotDefined

True if the Checkbox value is neither true nor false.

 Item_Event

Constant value for the Triggering Event property.

 Key_Event

Constant value for the Triggering Event property.

 m_DynamicUpdate

Controls when the component commits its changes.

 m_TriggeringEvent

The value of the Triggering Event property.

 Null

A constant value indicating how an empty string will be saved in the database.

 Text

The current value of this component as a String.

 Checkbox()

Constructs a default Checkbox.

 Checkbox(String)

Constructs a Checkbox with the specified label.

 getData()

Gets the value of this component.

 getDataBinding()

Gets the name of the data item this component is bound to.

 getDynamicUpdate()

Indicates when the component commits its changes.

 getEmptyMeansNull()

Gets the value of the Empty Means Null property.

 getFalseValue()

Gets the string sent to the database server to indicate that this checkbox is unchecked.

 getProjection()

Returns the projection in the RelationView that this component is bound with.

 getRelationView()

Gets the RelationView that this component is bound with.

 getScale()

Gets the number of digits to the right of the decimal point for this component's value.

 getTriggeringEvent()

Gets the current value of the Triggering Event property.

 getTrueValue()

Gets the string sent to the database server to indicate that this checkbox is checked.

 isTextBased()

Gets whether this component saves its value as a text String.

 registerListeners()

Registers the standard event listener(s) for this component.

 setBinding(RelationView, String)

Binds this component to a given projection within the specified RelationView.

 setData(Object)

Sets the value of this component to the given value.

 setDataBinding(String)

Sets the name of the data item to bind this component to.

 setDynamicUpdate(boolean)

Sets when the component commits its changes.

 setEmptyMeansNull(boolean)

Sets the value of the Empty Means Null property.

 setFalseValue(String)

Sets the string sent to the database server to indicate that this checkbox is unchecked.

 setForeground(Color)

Sets the value of the Foreground color property.

 setProjection(String)

Binds this component to the given projection within the RelationView the component is currently bound with.

 setReadOnly(boolean)

Sets whether the data value of this component may be modified.

 setRelationView(RelationView)

Sets the RelationView that this component is bound with.

 setState(boolean)

Sets the value of this component to the given state.

 setTreatBlankAs(String)

Specifies how an empty string will be set when updating data on the database server.

 setTriggeringEvent(int)

Sets the value of the Triggering Event property.

 setTrueValue(String)

Sets the string sent to the database server to indicate that this checkbox is checked.

 Blank

 public static final String Blank

A constant value indicating how an empty string will be saved in the database.

 Default

 public static final String Default

A constant value indicating how an empty string will be saved in the database.

 Focus_Event

 public static final int Focus_Event

Constant value for the Triggering Event property. Indicates the triggering event is FOCUS_LOST.

 foreg

 public Color foreg

The value of the Foreground color property.

See Also:

getForeground, setForeground

 hasReceivedABoolean

 public boolean hasReceivedABoolean

Indicates whether the value of this component is of type Boolean.

See Also:

getData, setData

 isNotDefined

 protected boolean isNotDefined

True if the Checkbox value is neither true nor false. This happens when setData is called with a value other than those chosen to represent true or false.

See Also:

setData, getData, getTrueValue, setTrueValue, getFalseValue, setFalseValue

 Item_Event

 public static final int Item_Event

Constant value for the Triggering Event property. Indicates the triggering event is ITEM_STATE_CHANGED.

 Key_Event

 public static final int Key_Event

Constant value for the Triggering Event property. Indicates the triggering event is KEY_PRESSED.

 m_DynamicUpdate

 protected boolean m_DynamicUpdate

Controls when the component commits its changes. If true, this component sets the triggering event to Item_Event, otherwise the triggering event is set to Focus_Event.

See Also:

getDynamicUpdate, setDynamicUpdate, Focus_Event, Item_Event

 m_TriggeringEvent

 protected int m_TriggeringEvent

The value of the Triggering Event property. The type of event that triggers this component to commit its changes.

See Also:

getTriggeringEvent, setTriggeringEvent, Focus_Event, Key_Event, Item_Event

 Null

 public static final String Null

A constant value indicating how an empty string will be saved in the database.

 Text

 public Object Text

The current value of this component as a String.

See Also:

getData, setData

 Checkbox

 public Checkbox()

Constructs a default Checkbox. It will have no label, no Checkbox group, and be initialized to a false state.

 Checkbox

 public Checkbox(String label)

Constructs a Checkbox with the specified label. It will have no Checkbox group, and be initialized to a false state.

Parameters:

label - the label on the Checkbox

 getData

 public Object getData()

Gets the value of this component. If this component's value was set with a Boolean, this method returns a Boolean. Otherwise it returns the current value as a String.

Returns:

the current component value

See Also:

setData, getTrueValue, getFalseValue

 getDataBinding

 public String getDataBinding()

Gets the name of the data item this component is bound to.

Returns:

s the data item name, like "MyTable@MyColumn"

See Also:

setDataBinding

 getDynamicUpdate

 public boolean getDynamicUpdate()

Indicates when the component commits its changes. If true, this component has set the triggering event to Item_Event, otherwise the triggering event is set to Focus_Event.

See Also:

setDynamicUpdate, Focus_Event, Item_Event

 getEmptyMeansNull

 public boolean getEmptyMeansNull()

Gets the value of the Empty Means Null property. This determines how an empty string will be saved when updating data on the database server. A value of trueindicates an empty string will be saved as a SQL NULL value. Otherwise it will be saved as a blank value.

Returns:

true for NULL, false for BLANK

See Also:

setEmptyMeansNull

 getFalseValue

 public String getFalseValue()

Gets the string sent to the database server to indicate that this checkbox is unchecked.

Returns:

the string used to indicate unchecked

See Also:

setFalseValue

 getProjection

 public String getProjection()

Returns the projection in the RelationView that this component is bound with.

See Also:

setBinding, setProjection

 getRelationView

 public RelationView getRelationView()

Gets the RelationView that this component is bound with.

Returns:

the RelationView currently bound with

See Also:

setRelationView, setBinding, getProjection

 getScale

 public int getScale()

Gets the number of digits to the right of the decimal point for this component's value.

Returns:

the number of digits to the right of the decimal point

 getTriggeringEvent

 public int getTriggeringEvent()

Gets the current value of the Triggering Event property. This determines the type of event that triggers the component to commit its changes to the database.

Returns:

one of Focus_Event, Key_Event, or Item_Event

See Also:

setTriggeringEvent, Focus_Event, Key_Event, Item_Event

 getTrueValue

 public String getTrueValue()

Gets the string sent to the database server to indicate that this checkbox is checked.

Returns:

the string used to indicate checked

See Also:

setTrueValue

 isTextBased

 public boolean isTextBased()

Gets whether this component saves its value as a text String.

Returns:

true if the value is saved as text, false otherwise

 registerListeners

 public void registerListeners()

Registers the standard event listener(s) for this component.

 setBinding

 public void setBinding(RelationView relView,
                        String projection)

Binds this component to a given projection within the specified RelationView.

Parameters:

relView - the relation view to bind with

projection - the projection in relView to bind with

 setData

 public void setData(Object value)

Sets the value of this component to the given value. If the value parameter is of class Boolean, its value is used to set this component's value directly. Otherwise the parameter's toString method is called and this component's value is set according to whether the string matches that of the True Value, or False Value property.

Parameters:

value - the new component value

See Also:

getData, setState, setTrueValue, setFalseValue

 setDataBinding

 public void setDataBinding(String name)

Sets the name of the data item to bind this component to.

Parameters:

name - the data item name, like "MyTable@MyColumn"

See Also:

getDataBinding

 setDynamicUpdate

 public void setDynamicUpdate(boolean value)

Sets when the component commits its changes. If true, this component sets the triggering event to Item_Event, otherwise the triggering event is set to Focus_Event.

Parameters:

value - the new dynamic update mode value

See Also:

getDynamicUpdate, Focus_Event, Item_Event

 setEmptyMeansNull

 public void setEmptyMeansNull(boolean propertyValue)

Sets the value of the Empty Means Null property. This determines how an empty string will be saved when updating data on the database server. A value of trueindicates an empty string will be saved as a SQL NULL value. Otherwise it will be saved as a blank value.

Parameters:

propertyValue - true for NULL, false for BLANK

See Also:

getEmptyMeansNull

 setFalseValue

 public void setFalseValue(String falseValue)

Sets the string sent to the database server to indicate that this checkbox is unchecked.

Parameters:

falseValue - the string used to indicate unchecked

See Also:

getFalseValue

 setForeground

 public void setForeground(Color c)

Sets the value of the Foreground color property.

Overrides:

setForeground in class Component

See Also:

getForeground

 setProjection

 public void setProjection(String projection)

Binds this component to the given projection within the RelationView the component is currently bound with.

See Also:

setBinding, getProjection, getRelationView

 setReadOnly

 public void setReadOnly(boolean value)

Sets whether the data value of this component may be modified.

Parameters:

value - true if the value may not be modified, falseif the value may be modified

 setRelationView

 public void setRelationView(RelationView value)

Sets the RelationView that this component is bound with.

Parameters:

value - the RelationView to bind with

See Also:

getRelationView, setBinding, setProjection

 setState

 public void setState(boolean b)

Sets the value of this component to the given state.

Parameters:

b - true if the Checkbox is checked

Overrides:

setState in class Checkbox

See Also:

setData

 setTreatBlankAs

 public void setTreatBlankAs(String value)

Specifies how an empty string will be set when updating data on the database server.

Parameters:

value - one of "DEFAULT", "NULL", or "BLANK"

See Also:

setValueFromString

 setTriggeringEvent

 public void setTriggeringEvent(int event)

Sets the value of the Triggering Event property. This determines the type of event that triggers the component to commit its changes to the database.

Parameters:

event - one of Focus_Event, Key_Event, or Item_Event

See Also:

getTriggeringEvent, Focus_Event, Key_Event, Item_Event

 setTrueValue

 public void setTrueValue(String trueValue)

Sets the string sent to the database server to indicate that this checkbox is checked.

Parameters:

trueValue - the string used to indicate checked

See Also:

getTrueValue


 Class symantec.itools.db.awt.CheckboxBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.db.awt.CheckboxBeanInfo

public class CheckboxBeanInfo
   extends SimpleBeanInfo

BeanInfo for the Checkbox component.

 CheckboxBeanInfo()

Constructs a CheckboxBeanInfo object.

 getAdditionalBeanInfo()

Gets BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an empty MethodDescriptor array.

 getPropertyDescriptors()

Gets an array of descriptions of this bean's properties.

 CheckboxBeanInfo

 public CheckboxBeanInfo()

Constructs a CheckboxBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getDefaultPropertyIndex

 public int getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

Overrides:

getDefaultPropertyIndex in class SimpleBeanInfo

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an empty MethodDescriptor array.

Returns:

an empty array

Overrides:

getMethodDescriptors in class SimpleBeanInfo

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Gets an array of descriptions of this bean's properties.

Returns:

property descriptions for this bean

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.db.awt.ComboBox

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Container
                   |
                   +----java.awt.Panel
                           |
                           +----symantec.itools.awt.ComboBox
                                   |
                                   +----symantec.itools.db.awt.ComboBox

public class ComboBox
   extends ComboBox
   implements ListLink, ProjectionBean

A dbAWARE ComboBox.

This component can be "bound" to a projection within a relation view so that it automatically gets and sets the values in that relation.

 Action_Event

Constant value for the Triggering Event property.

 Blank

A constant value indicating how an empty string will be saved in the database.

 Default

A constant value indicating how an empty string will be saved in the database.

 Focus_Event

Constant value for the Triggering Event property.

 Key_Event

Constant value for the Triggering Event property.

 m_DynamicUpdate

Controls when the component commits its changes.

 Null

A constant value indicating how an empty string will be saved in the database.

 TriggeringEvent

The value of the Triggering Event property.

 ComboBox()

Constructs a new default ComboBox.

 ComboBox(boolean, boolean)

Constructs a new editable and/or searchable ComboBox.

 ComboBox(RelationView, ConnectionInfo)

Constructs a new ComboBox linked to a database.

 addItem(String)

Adds the specified item to the end of drop-down list and enable the item.

 bindList()

Binds this component to a list of columns within a RelationView.

 getAutoExpand()

Gets whether to automatically add items onto the end of this list when they are added to the database.

 getData()

Gets the value of this component.

 getDataAt(int)

Gets the value stored at a particular row.

 getDataBinding()

Gets the name of the data item this component is bound to.

 getDynamicUpdate()

Indicates when the component commits its changes.

 getEmptyMeansNull()

Gets the value of the Empty Means Null property.

 getLookupName()

Gets the value of the Lookup Name property.

 getProjection()

Returns the projection in the RelationView that this component is bound with.

 getRelationView()

Gets the RelationView that this component is bound with.

 getScale()

Gets the number of digits to the right of the decimal point for this component's value.

 getTriggeringEvent()

Gets the current value of the Triggering Event property.

 init(ListBinder)

Called when this component has been bound to a RelationView.

 isTextBased()

Gets whether this component saves its value as a text String.

 join(String)

Adds a column to the list of columns that this component will be bound to.

 notifyListChange(ListBinder)

This method is called to update the value of this dbAWARE component.

 registerListeners()

Registers the standard event listener(s) for this component.

 setAutoExpand(boolean)

Sets whether to automatically add items onto the end of this list when they are added to the database.

 setBinding(RelationView, String)

Binds this component to a given projection within the specified relation view.

 setData(Object)

Sets the value of this component to the given value.

 setDataAt(int, Object)

Sets the value stored at a particular row.

 setDataAtIf(int, Object)

Sets the value stored at a particular row if it is not equal to the current value.

 setDataBinding(String)

Sets the name of the data item to bind this component to.

 setDynamicUpdate(boolean)

Sets when the component commits its changes.

 setEmptyMeansNull(boolean)

Sets the value of the Empty Means Null property.

 setListItems(String[])

Adds the string array to the list.

 setLookupName(String)

Sets the value of the Lookup Name property.

 setProjection(String)

Sets the projection in the RelationView that this component is bound with.

 setReadOnly(boolean)

Sets whether the data value of this component may be modified.

 setRelationView(RelationView)

Sets the RelationView that this component is bound with.

 setSQL(String)

Sets the sql string to use while generating the list for this component to bind to.

 setTreatBlankAs(int)

Specifies how an empty string will be set when updating data on the dbANYWHERE server.

 setTriggeringEvent(int)

Sets the value of the Triggering Event property.

 sourceActionEvent(String)

Fire an action event to the listeners

 Action_Event

 public static final int Action_Event

Constant value for the Triggering Event property. Indicates the triggering event is ACTION_PERFORMED.

 Blank

 public static final int Blank

A constant value indicating how an empty string will be saved in the database.

 Default

 public static final int Default

A constant value indicating how an empty string will be saved in the database.

 Focus_Event

 public static final int Focus_Event

Constant value for the Triggering Event property. Indicates the triggering event is FOCUS_LOST.

 Key_Event

 public static final int Key_Event

Constant value for the Triggering Event property. Indicates the triggering event is KEY_PRESSED.

 m_DynamicUpdate

 protected boolean m_DynamicUpdate

Controls when the component commits its changes. If true, this component sets the triggering event to Key_Event, otherwise the triggering event is set to Focus_Event.

See Also:

getDynamicUpdate, setDynamicUpdate, Focus_Event, Key_Event

 Null

 public static final int Null

A constant value indicating how an empty string will be saved in the database.

 TriggeringEvent

 protected int TriggeringEvent

The value of the Triggering Event property. The type of event that triggers this component to commit its changes.

See Also:

getTriggeringEvent, setTriggeringEvent, Focus_Event, Key_Event, Action_Event

 ComboBox

 public ComboBox()

Constructs a new default ComboBox. The ComboBox is not editable and not searchable by default.

 ComboBox

 public ComboBox(boolean editable,
                 boolean searchable)

Constructs a new editable and/or searchable ComboBox.

Parameters:

editable - true = editable, false = non-editable

searchable - true = searchable, false = non-searchable

 ComboBox

 public ComboBox(RelationView lookupRV,
                 ConnectionInfo conn)

Constructs a new ComboBox linked to a database. The ComboBox is not editable and not searchable by default.

Parameters:

relView - the relation view to bind with

conn - the information needed to connect to the database

 addItem

 public synchronized void addItem(String item)

Adds the specified item to the end of drop-down list and enable the item.

Parameters:

item - the item to be added

Overrides:

addItem in class ComboBox

See Also:

setListItems

 bindList

 public void bindList() throws SQLException

Binds this component to a list of columns within a RelationView. The RelationView and connection information to use is specified at construction time. The columns to use are specified using the join() method.

Throws: SQLException

if a SQL database access error occurred

See Also:

join

 getAutoExpand

 public boolean getAutoExpand()

Gets whether to automatically add items onto the end of this list when they are added to the database.

Returns:

true if auto-expands, false otherwise

See Also:

setAutoExpand

 getData

 public Object getData()

Gets the value of this component.

Returns:

the current component value

See Also:

setData

 getDataAt

 public Object getDataAt(int row)

Gets the value stored at a particular row.

Parameters:

row - the zero-relative row index

Returns:

the value

See Also:

setDataAt

 getDataBinding

 public String getDataBinding()

Gets the name of the data item this component is bound to.

Returns:

s the data item name, like "MyTable@MyColumn"

See Also:

setDataBinding

 getDynamicUpdate

 public boolean getDynamicUpdate()

Indicates when the component commits its changes. If true, this component has set the triggering event to Key_Event, otherwise the triggering event is set to Focus_Event.

See Also:

setDynamicUpdate, Focus_Event, Key_Event

 getEmptyMeansNull

 public boolean getEmptyMeansNull()

Gets the value of the Empty Means Null property. This determines how an empty string will be saved when updating data on the database server. A value of trueindicates an empty string will be saved as a SQL NULL value. Otherwise it will be saved as a blank value.

Returns:

true for NULL, false for BLANK

See Also:

setEmptyMeansNull

 getLookupName

 public String getLookupName()

Gets the value of the Lookup Name property. This property is the name of a data source table and column. It is used to fill this component with data.

Returns:

the property value

See Also:

setLookupName

 getProjection

 public String getProjection()

Returns the projection in the RelationView that this component is bound with.

See Also:

setProjection, setBinding

 getRelationView

 public RelationView getRelationView()

Gets the RelationView that this component is bound with.

Returns:

the RelationView

See Also:

setRelationView, setBinding

 getScale

 public int getScale()

Gets the number of digits to the right of the decimal point for this component's value.

Returns:

the number of digits to the right of the decimal point

 getTriggeringEvent

 public int getTriggeringEvent()

Gets the current value of the Triggering Event property. This determines the type of event that triggers the component to commit its changes to the database.

Returns:

one of Focus_Event, Action_Event, or Key_Event

See Also:

setTriggeringEvent, Focus_Event, Action_Event, Key_Event

 init

 public void init(ListBinder lBinder)

Called when this component has been bound to a RelationView. This component notes the ListBinder object so that it may notify the dbANYWHERE server of data changes made.

This is a method in the ListLink interface.

Parameters:

lBinder - used to notify the dbANYWHERE server of any data changes that are to be persistant.

See Also:

init

 isTextBased

 public boolean isTextBased()

Gets whether this component saves its value as a text String.

Returns:

true if the value is saved as text, false otherwise

 join

 public void join(String columnName) throws SQLException

Adds a column to the list of columns that this component will be bound to. Use this method before calling bindList().

Parameters:

columnName - the name of the column to join

Throws: SQLException

if a SQL database access error occurred

See Also:

bindList

 notifyListChange

 public void notifyListChange(ListBinder lBinder)

This method is called to update the value of this dbAWARE component. It is called when the dbANYWHERE server has detected a data change made within the RelationView bound to this component. The ListBinder object passed into the notification is used to get the new data value.

This is a method in the ListLink interface.

Parameters:

binder - used to get the current value from the dbANYWHERE server.

See Also:

notifyListChange

 registerListeners

 public void registerListeners()

Registers the standard event listener(s) for this component.

 setAutoExpand

 public void setAutoExpand(boolean ae)

Sets whether to automatically add items onto the end of this list when they are added to the database.

Parameters:

ae - true to auto-expand, false otherwise

See Also:

getAutoExpand

 setBinding

 public void setBinding(RelationView relView,
                        String projection)

Binds this component to a given projection within the specified relation view.

Parameters:

relView - the relation view to bind with

projection - the projection in relView to bind with

 setData

 public void setData(Object value)

Sets the value of this component to the given value.

Parameters:

value - the new component value

See Also:

getData

 setDataAt

 public void setDataAt(int row,
                       Object value)

Sets the value stored at a particular row.

Parameters:

row - the zero-relative row index

value - the new value

See Also:

getDataAt

 setDataAtIf

 public void setDataAtIf(int row,
                         Object value)

Sets the value stored at a particular row if it is not equal to the current value.

Parameters:

row - the zero-relative row index

value - the new value

See Also:

getDataAt

 setDataBinding

 public void setDataBinding(String name)

Sets the name of the data item to bind this component to.

Parameters:

name - the data item name, like "MyTable@MyColumn"

See Also:

getDataBinding

 setDynamicUpdate

 public void setDynamicUpdate(boolean value)

Sets when the component commits its changes. If true, this component sets the triggering event to Key_Event, otherwise the triggering event is set to Focus_Event.

Parameters:

value - the new dynamic update mode value

See Also:

getDynamicUpdate, Focus_Event, Key_Event

 setEmptyMeansNull

 public void setEmptyMeansNull(boolean propertyValue)

Sets the value of the Empty Means Null property. This determines how an empty string will be saved when updating data on the database server. A value of trueindicates an empty string will be saved as a SQL NULL value. Otherwise it will be saved as a blank value.

Parameters:

propertyValue - true for NULL, false for BLANK

See Also:

getEmptyMeansNull

 setListItems

 public void setListItems(String listItems[]) throws PropertyVetoException

Adds the string array to the list.

Parameters:

items - items to add to the list

Throws: PropertyVetoException

if the specified property value is unacceptable

Overrides:

setListItems in class ComboBox

See Also:

addItem

 setLookupName

 public void setLookupName(String lame)

Sets the value of the Lookup Name property. This property is the name of a data source table and column. It is used to fill this component with data.

Parameters:

lame - the new lookup name

See Also:

getLookupName

 setProjection

 public void setProjection(String projection)

Sets the projection in the RelationView that this component is bound with.

Parameters:

projection - the name of the projection

See Also:

getProjection, setBinding

 setReadOnly

 public void setReadOnly(boolean value)

Sets whether the data value of this component may be modified.

Parameters:

value - true if the value may not be modified, falseif the value may be modified

 setRelationView

 public void setRelationView(RelationView rv)

Sets the RelationView that this component is bound with.

Parameters:

rv - the new RelationView to bind with

See Also:

getRelationView, setBinding

 setSQL

 public void setSQL(String sql) throws SQLException

Sets the sql string to use while generating the list for this component to bind to. Use this method before calling bindList().

Parameters:

sql - the sql string

Throws: SQLException

if a SQL database access error occurred

See Also:

bindList

 setTreatBlankAs

 public void setTreatBlankAs(int value)

Specifies how an empty string will be set when updating data on the dbANYWHERE server.

Parameters:

blank - one of "DEFAULT", "NULL", or "BLANK"

See Also:

setValueFromString

 setTriggeringEvent

 public void setTriggeringEvent(int Event)

Sets the value of the Triggering Event property. This determines the type of event that triggers the component to commit its changes to the database.

Parameters:

event - one of Focus_Event, Action_Event, or Key_Event

See Also:

getTriggeringEvent, Focus_Event, Action_Event, Key_Event

 sourceActionEvent

 protected void sourceActionEvent(String command)

Fire an action event to the listeners

Overrides:

sourceActionEvent in class ComboBox


 Class symantec.itools.db.awt.ComboBoxBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.db.awt.ComboBoxBeanInfo

public class ComboBoxBeanInfo
   extends SimpleBeanInfo

BeanInfo for the ComboBox component.

 ComboBoxBeanInfo()

Constructs a ComboBoxBeanInfo object.

 getAdditionalBeanInfo()

Gets BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an empty MethodDescriptor array.

 getPropertyDescriptors()

Gets an array of descriptions of this bean's properties.

 ComboBoxBeanInfo

 public ComboBoxBeanInfo()

Constructs a ComboBoxBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getDefaultPropertyIndex

 public int getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

Overrides:

getDefaultPropertyIndex in class SimpleBeanInfo

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an empty MethodDescriptor array.

Returns:

an empty array

Overrides:

getMethodDescriptors in class SimpleBeanInfo

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Gets an array of descriptions of this bean's properties.

Returns:

property descriptions for this bean

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.db.awt.ConnectionInfoEditor

java.lang.Object
   |
   +----java.beans.PropertyEditorSupport
           |
           +----symantec.itools.db.awt.ConnectionInfoEditor

public class ConnectionInfoEditor
   extends PropertyEditorSupport

Supports editing the ConnectionInfo property.

 ConnectionInfoEditor()

Constructs a ConnectionInfoEditor object.

 getAsText()

 getJavaInitializationString()

This method is intended for use when generating Java code to set the value of the property.

 getValue()

 setAsText(String)

Set the property value by parsing a given String.

 setValue(Object)

Set (or change) the object that is to be edited.

 ConnectionInfoEditor

 public ConnectionInfoEditor()

Constructs a ConnectionInfoEditor object.

 getAsText

 public String getAsText()

Returns:

The property value as a string suitable for presentation to a human to edit.

Returns "null" is the value can't be expressed as a string.

If a non-null value is returned, then the PropertyEditor should be prepared to parse that string back in setAsText().

Overrides:

getAsText in class PropertyEditorSupport

 getJavaInitializationString

 public String getJavaInitializationString()

This method is intended for use when generating Java code to set the value of the property. It should return a fragment of Java code that can be used to initialize a variable with the current property value.

Example results are "2", "new Color(127,127,34)", "Color.orange", etc.

Returns:

A fragment of Java code representing an initializer for the current value.

Overrides:

getJavaInitializationString in class PropertyEditorSupport

 getValue

 public Object getValue()

Returns:

The value of the property.

Overrides:

getValue in class PropertyEditorSupport

 setAsText

 public void setAsText(String text) throws IllegalArgumentException

Set the property value by parsing a given String. May raise java.lang.IllegalArgumentException if either the String is badly formatted or if this kind of property can't be expressed as text.

Parameters:

text - The string to be parsed.

Overrides:

setAsText in class PropertyEditorSupport

 setValue

 public void setValue(Object value)

Set (or change) the object that is to be edited.

Parameters:

value - The new target object to be edited. Note that this object should not be modified by the PropertyEditor, rather the PropertyEditor should create a new object to hold any modified value.

Overrides:

setValue in class PropertyEditorSupport


 Class symantec.itools.db.awt.Coordinate

java.lang.Object
   |
   +----symantec.itools.db.awt.Coordinate

public class Coordinate
   extends Object
   implements Serializable

This class represents a coordinate in a grid system or rows and columns.

 col

The column of the coordinate.

 row

The row of the coordinate.

 Coordinate()

Default constructor that creates a coordinate at row=0 and column=0.

 Coordinate(Coordinate)

Copy constructor.

 Coordinate(int, int)

Creates a coordinate that is placed at the specified row and column position.

 col()

Get the column of the coordinate.

 equals(Object)

Compares this coordinate with another object and returns true if it is a coordinate with the same points.

 row()

Get the row of the coordinate.

 setCol(int)

Changes the column to a new value.

 setRow(int)

Changes the row to a new value.

 toString()

Gets a string representation of the coordinate.

 col

 public int col

The column of the coordinate.

 row

 public int row

The row of the coordinate.

 Coordinate

 public Coordinate()

Default constructor that creates a coordinate at row=0 and column=0.

 Coordinate

 public Coordinate(Coordinate c)

Copy constructor.

 Coordinate

 public Coordinate(int r,
                   int c)

Creates a coordinate that is placed at the specified row and column position.

Parameters:

r - The coordinate row.

c - The coordinate column.

 col

 public int col()

Get the column of the coordinate.

 equals

 public boolean equals(Object o)

Compares this coordinate with another object and returns true if it is a coordinate with the same points.

Overrides:

equals in class Object

 row

 public int row()

Get the row of the coordinate.

 setCol

 public void setCol(int c)

Changes the column to a new value.

 setRow

 public void setRow(int r)

Changes the row to a new value.

 toString

 public String toString()

Gets a string representation of the coordinate.

Overrides:

toString in class Object


 Class symantec.itools.db.awt.DBTstamp

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.TextComponent
                   |
                   +----java.awt.TextField
                           |
                           +----symantec.itools.db.awt.Tstamp
                                   |
                                   +----symantec.itools.db.awt.DBTstamp

public class DBTstamp
   extends Tstamp
   implements ProjLink, FocusListener, ActionListener

A box in which a date or timestamp can be read or entered using any common date or time format. This component is available in Visual Café Database Developer Edition only. Use DBTstamp to:

•	Edit a date or a timestamp.

•	Display a date or timestamp in a pre-defined display format.

This component can be "bound" to a projection within a relation view so that it automatically gets and sets the values in that relation.

 Blank

A constant indicating how an empty string will be set when updating data on the dbANYWHERE server.

 Date

A constant indicating that the value should be displayed/entered as a date.

 Default

A constant indicating how an empty string will be set when updating data on the dbANYWHERE server.

 font

The font used for editable text.

 m_Mediator

The mediator that binds this component to a data source.

 Null

A constant indicating how an empty string will be set when updating data on the dbANYWHERE server.

 Time

A constant indicating that the value should be displayed/entered as a time.

 Timestamp

A constant indicating that the value should be displayed/entered as a timestamp.

 DBTstamp()

Constructs a default DBTstamp.

 actionPerformed(ActionEvent)

Processes events for this component.

 focusGained(FocusEvent)

Takes no action.

 focusLost(FocusEvent)

This method commits the component's data to its data source.

 getData()

Gets the value of this component.

 getDataBaseDisplayFormat()

Gets the current format for displaying database timestamp values.

 getDataBaseEntryFormat()

Gets the current format for entering database timestamp values.

 getDataBinding()

Gets the name of the data item this component is bound to.

 getDynamicUpdate()

Indicates when the component commits its changes.

 getEditFont()

Gets the font used for editable text.

 getEmptyMeansNull()

Gets the value of the Empty Means Null property.

 getProjection()

Returns the projection in the RelationView that this component is bound with.

 getRelationView()

Gets the RelationView that this component is bound with.

 getType()

Gets the current datatype being displayed and/or entered.

 init(ProjBinder)

Called when this component has been bound to a projection within an RelationView.

 notifyDataChange(ProjBinder)

This method is called to update the value of this dbAWARE component.

 notifySetData(ProjBinder)

This method is called to ensure the value of this dbAWARE component is not lost.

 setData(Object)

Sets the value of this component to the given value.

 setDataBaseDisplayFormat(String)

Sets the format for displaying database timestamp values.

 setDataBaseEntryFormat(String)

Sets the format for entering database timestamp values.

 setDataBinding(String)

Sets the name of the data item to bind this component to.

 setDisplayFormat(String)

Sets the display and input format.

 setDynamicUpdate(boolean)

Sets when the component commits its changes.

 setEditable(boolean)

Conditionally sets the contents of this component to user-editable.

 setEditFont(Font)

Sets the font used for editable text.

 setEmptyMeansNull(boolean)

Sets the value of the Empty Means Null property.

 setProjection(String)

Binds this component to the given projection within the RelationView the component is currently bound with.

 setRelationView(RelationView)

Sets the RelationView that this component is bound with.

 setTreatBlankAs(int)

Specifies how an empty string will be set when updating data on the dbANYWHERE server.

 setType(String)

Sets the datatype being displayed and/or entered.

 Blank

 public static final int Blank

A constant indicating how an empty string will be set when updating data on the dbANYWHERE server.

 Date

 public static String Date

A constant indicating that the value should be displayed/entered as a date.

 Default

 public static final int Default

A constant indicating how an empty string will be set when updating data on the dbANYWHERE server.

 font

 public Font font

The font used for editable text.

 m_Mediator

 public Mediator m_Mediator

The mediator that binds this component to a data source.

 Null

 public static final int Null

A constant indicating how an empty string will be set when updating data on the dbANYWHERE server.

 Time

 public static String Time

A constant indicating that the value should be displayed/entered as a time.

 Timestamp

 public static String Timestamp

A constant indicating that the value should be displayed/entered as a timestamp.

 DBTstamp

 public DBTstamp()

Constructs a default DBTstamp.

 actionPerformed

 public void actionPerformed(ActionEvent e)

Processes events for this component. This is a standard Java AWT method which gets called by the AWT to handle this component's events. The default handler for components dispatches to one of the following methods as needed: action(), gotFocus(), lostFocus(), keyDown(), keyUp(), mouseEnter(), mouseExit(), mouseMove(), mouseDrag(), mouseDown(), or mouseUp().

Parameters:

event - the event to handle

Returns:

true if the event was handled and no further action is needed, false to pass the event to this component's parent

See Also:

action, gotFocus, lostFocus, keyDown, keyUp, mouseEnter, mouseExit, mouseMove, mouseDrag, mouseDown, mouseUp

 focusGained

 public void focusGained(FocusEvent e)

Takes no action.

A method of the FocusListener interface.

Parameters:

e - the event

 focusLost

 public void focusLost(FocusEvent e)

This method commits the component's data to its data source.

A method of the FocusListener interface.

Parameters:

e - the event

 getData

 public Object getData()

Gets the value of this component.

Returns:

the current component value

See Also:

setData

 getDataBaseDisplayFormat

 public String getDataBaseDisplayFormat()

Gets the current format for displaying database timestamp values.

Returns:

the display format

See Also:

setDataBaseDisplayFormat, getDisplayFormat

 getDataBaseEntryFormat

 public String getDataBaseEntryFormat()

Gets the current format for entering database timestamp values.

Returns:

the entry format

See Also:

setDataBaseEntryFormat, getEntryFormat

 getDataBinding

 public String getDataBinding()

Gets the name of the data item this component is bound to.

Returns:

s the data item name, like "MyTable@MyColumn"

See Also:

setDataBinding

 getDynamicUpdate

 public boolean getDynamicUpdate()

Indicates when the component commits its changes.

See Also:

setDynamicUpdate

 getEditFont

 public Font getEditFont()

Gets the font used for editable text.

Returns:

the font

See Also:

setEditFont

 getEmptyMeansNull

 public boolean getEmptyMeansNull()

Gets the value of the Empty Means Null property. This determines how an empty string will be saved when updating data on the database server. A value of trueindicates an empty string will be saved as a SQL NULL value. Otherwise it will be saved as a blank value.

Returns:

true for NULL, false for BLANK

See Also:

setEmptyMeansNull

 getProjection

 public String getProjection()

Returns the projection in the RelationView that this component is bound with.

See Also:

setProjection

 getRelationView

 public RelationView getRelationView()

Gets the RelationView that this component is bound with.

Returns:

the RelationView currently bound with

See Also:

setRelationView, getProjection

 getType

 public String getType()

Gets the current datatype being displayed and/or entered.

Returns:

the datatype. One of: Time, Timestamp, or Date

See Also:

Time, Timestamp, Date

 init

 public void init(ProjBinder binder)

Called when this component has been bound to a projection within an RelationView. This component notes the ProjBinder object so that it may notify the dbANYWHERE server of data changes made.

This is a method in the ProjLink interface.

Parameters:

binder - used to notify the dbANYWHERE server of any data changes that are to be persistant. This object is a window into the particular column data to which this component has been bound

See Also:

init

 notifyDataChange

 public void notifyDataChange(ProjBinder binder)

This method is called to update the value of this dbAWARE component. It is called when the dbANYWHERE server has detected a data change made within the scope of the current row of the RelationView bound to this component. The ProjBinder object passed into the notification is used to get the new data value.

This is a method in the ProjLink interface.

Parameters:

binder - used to get the current value from the dbANYWHERE server. This object is a window into the particular column data to which this component has been bound

See Also:

notifyDataChange

 notifySetData

 public boolean notifySetData(ProjBinder binder) throws SQLException

This method is called to ensure the value of this dbAWARE component is not lost. It is called when the dbANYWHERE server has detected a data change made within the current row of the RelationView bound to this component. The ProjBinder object passed into the notification is used to set the new data value.

This is a method in the ProjLink interface.

Parameters:

binder - used to notify the dbANYWHERE server of any data changes that are to be persistant. This object is a window into the particular column data to which this component has been bound

Returns:

true if success or false if failure.

Throws: SQLException

if a SQL database access error occurred

See Also:

notifySetData

 setData

 public void setData(Object value)

Sets the value of this component to the given value.

Parameters:

value - the new component value

See Also:

getData

 setDataBaseDisplayFormat

 public void setDataBaseDisplayFormat(String format)

Sets the format for displaying database timestamp values.

Parameters:

form - the display format

See Also:

getDataBaseDisplayFormat, getDisplayFormat

 setDataBaseEntryFormat

 public void setDataBaseEntryFormat(String format)

Sets the format for entering database timestamp values.

Parameters:

form - the entry format

See Also:

getDataBaseEntryFormat, getEntryFormat

 setDataBinding

 public void setDataBinding(String name)

Sets the name of the data item to bind this component to.

Parameters:

name - the data item name, like "MyTable@MyColumn"

See Also:

getDataBinding

 setDisplayFormat

 public void setDisplayFormat(String dispFmt)

Sets the display and input format.

Parameters:

dispfmt - the new display and entry format

Overrides:

setDisplayFormat in class Tstamp

See Also:

getDisplayFormat

 setDynamicUpdate

 public void setDynamicUpdate(boolean b)

Sets when the component commits its changes.

Parameters:

value - the new dynamic update mode value

See Also:

getDynamicUpdate

 setEditable

 public void setEditable(boolean value)

Conditionally sets the contents of this component to user-editable.

Overrides:

setEditable in class TextComponent

 setEditFont

 public void setEditFont(Font f)

Sets the font used for editable text.

Parameters:

f - the font

See Also:

getEditFont

 setEmptyMeansNull

 public void setEmptyMeansNull(boolean propertyValue)

Sets the value of the Empty Means Null property. This determines how an empty string will be saved when updating data on the database server. A value of trueindicates an empty string will be saved as a SQL NULL value. Otherwise it will be saved as a blank value.

Parameters:

propertyValue - true for NULL, false for BLANK

See Also:

getEmptyMeansNull

 setProjection

 public void setProjection(String projection)

Binds this component to the given projection within the RelationView the component is currently bound with.

See Also:

getProjection, getRelationView

 setRelationView

 public void setRelationView(RelationView rv)

Sets the RelationView that this component is bound with.

Parameters:

value - the RelationView to bind with

See Also:

getRelationView, setProjection

 setTreatBlankAs

 public void setTreatBlankAs(int treatAs)

Specifies how an empty string will be set when updating data on the dbANYWHERE server.

Parameters:

blank - one of Default, Null, or Blank

See Also:

Default, Null, Blank, setValueFromString

 setType

 public void setType(String type)

Sets the datatype being displayed and/or entered. This changes the entry and display formats appropriately.

Parameters:

type - the datatype. One of: Time, Timestamp, or Date

See Also:

Time, Timestamp, Date


 Class symantec.itools.db.awt.DBTstampBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.db.awt.DBTstampBeanInfo

public class DBTstampBeanInfo
   extends SimpleBeanInfo

BeanInfo for the DBTstamp component.

 DBTstampBeanInfo()

Constructs a DBTstampBeanInfo object.

 getAdditionalBeanInfo()

Gets BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Gets an array of descriptions of this bean's properties.

 DBTstampBeanInfo

 public DBTstampBeanInfo()

Constructs a DBTstampBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Gets an array of descriptions of this bean's properties.

Returns:

property descriptions for this bean

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.db.awt.DateMask

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.TextComponent
                   |
                   +----java.awt.TextField
                           |
                           +----symantec.itools.awt.FormattedTextField
                                   |
                                   +----symantec.itools.db.awt.FormattedTextField
                                           |
                                           +----symantec.itools.db.awt.DateMask

public class DateMask
   extends FormattedTextField

Creates a formatted text field in which your user can type in a date. DateMask limits the type of text that can be entered in the text box to a year-mo-day format number. Text formatting logic is applied to the user input. If the text field already contains text, the user can select the default text and delete or edit it.

 DateMask()

Create date text field.

 setMask(String)

Takes no action.

 DateMask

 public DateMask()

Create date text field. This is a formatted text field with the following format: 9999/-99/-99

 setMask

 public void setMask(String s)

Takes no action. Overrides setMask in FormattedTextField to prevent alteration of the date mask.

Overrides:

setMask in class FormattedTextField


 Class symantec.itools.db.awt.DbDataSource

java.lang.Object
   |
   +----symantec.itools.db.awt.DbDataSource

public class DbDataSource
   extends Object
   implements DataSource

A data source designed to support running on top of database APIs like JDBC or dbAnywhere. For APIs that do not provide scrollable cursors, the data source provides the ability to cache result set rows. If caching is provided, the state of each row is maintained by a DataState object. The state of a row can be inspected using the return value of rowState() in conjunction with the DataState class.

 DbDataSource(DbDataStore, DbDataUpdater, MetaTable)

Creates a data source for the specified view and database information.

 DbDataSource(TableView, DbDataStore, DbDataUpdater, MetaTable)

Creates a data source for the specified view and database information.

 addResultSetRow(int, Data[])

Called by DbDataStore or DbUpdater to add a new row to the result set.

 appendChar(int, int, char)

Method used to support Defaultdata class.

 appendResultSetRow(Data[])

Called by DbDataStore or DbUpdater to append a new row to the end of the result set.

 appendRow()

Appends a new row at the end of the data source's data.

 clear()

Requests the data source remove all data.

 clearText(int, int)

Method used to support Defaultdata class.

 commit(int, int)

Method used to support Defaultdata class.

 commitData()

Commits the current data.

 deleteChar(int, int, int)

Method used to support Defaultdata class.

 deleteRow(int)

Deletes or marks a row for deletion from the data source

 fetchAllRows()

Requests the data source get all of the rows from its source of data.

 fetchMode(boolean)

Informs the data source whether the TableView will be requesting successive data for read only purposes.

 getCache()

Gets the cache used to store data retrieved from database and added rows.

 getChoices(int, int)

Method used to support Defaultdata class.

 getData(Coordinate)

Gets the data for a cell.

 getData(int, int)

Gets the data for a cell.

 getImage(Coordinate)

Gets an image representation of a cell's data

 getMask(int, int)

Stubbed out function for future expansion.

 getMetaTable()

Gets the object that provides meta information.

 getRowDataState(int)

Called by DbDataStore and DbUpdater to add a new row of data to the result set.

 getText(Coordinate)

Gets the textual representation of a cell's data

 getView()

Gets teh TableView dsplaying the data for the data source.

 handleCellEvent(CellEvent)

Called in response to circulating an event caused by an invocation of TableView.routeEvent().

 handleException(int, int, Exception)

Routes any exceptions generated to the TableView for proper handling which may include putting a message on status bar or logging to a file.

 handleTableEvent(TableEvent)

Gives a data source a chance to perform any actions in response to a table level event.

 insertChar(int, int, int, char)

Method used to support Defaultdata class.

 insertResultSetRow(int, Data[])

Called by DbDataStore or DbUpdater to insert a new row to the result set.

 insertRow(int)

Inserts a new row in the data source above the specified row

 isDataEditable(int, int)

Gets whether a cells data is editable or non-editable

 isMasked(int, int)

Is never masked.

 lastCachedRow()

Gets the number of rows currently stored in the cache.

 markClean(int)

Marks the row as clean.

 markDeleted(int)

Marks the row as deleted.

 markModified(int)

Marks the row as modified.

 markNew(int)

Marks the row as new.

 readData(int, int)

Gets the data for a cell that should only be used for reading.

 refresh()

Requests the data source reread it data.

 rollback()

Rolls the current cell to its original value.

 rollback(int, int)

Rolls the current cell to its original value.

 rollbackCurrentData()

Rolls the current cell to its original value.

 rows()

Gets the number of rows of data stored in the data source

 rowState(int)

Gets the state of the row.

 save()

Requests the data source save the current state as appopriate.

 setCurrentRow(int)

Informs the data source of the current row of the TableView.

 setData(Coordinate, Data)

Sets the data value for a cell.

 setData(int, int, Data)

Sets the data value for a cell.

 setDefaultData()

Requests the DataSource set an appropriate default data type

 setDefaultData(Data)

Sets the Data type for cell data when no data value has been set.

 setImage(int, int, Image)

Method used to support Defaultdata class.

 setTableView(TableView)

Sets the TableView displaying the data.

 setText(int, int, char)

Method used to support Defaultdata class.

 setText(int, int, String)

Method used to support Defaultdata class.

 setupSource(DbDataStore, DbDataUpdater, MetaTable)

Sets the data store, updater and meta information classes for the data source.

 setupTableView(TableView)

Sets the TableView displaying the data.

 subString(int, int, int, int)

Method used to support Defaultdata class.

 supports(Coordinate, int)

Gets whether the data source supports a specified type of data

 supportsChoice(int, int)

Method used to support Defaultdata class.

 supportsMeta()

Gets whether the DataSource has the ability to configure a TableView.

 toImage(int, int)

Method used to support Defaultdata class.

 toString(int, int)

Method used to support Defaultdata class.

 type(int, int)

Method used to support Defaultdata class.

 undeleteRow(int)

Undeletes a row in the data source

 undoRow(int)

Requests that any actions performed on a row be undone.

 validDataRowRange(int, int)

Gets the last row valid in requested range

 DbDataSource

 public DbDataSource(DbDataStore s,
                     DbDataUpdater u,
                     MetaTable m)

Creates a data source for the specified view and database information.

Parameters:

v - THe view that will display the data.

s - The data store responsible for retrieving the information from the database.

u - The udpater responsible for updating the database information upon

 DbDataSource

 public DbDataSource(TableView v,
                     DbDataStore s,
                     DbDataUpdater u,
                     MetaTable m)

Creates a data source for the specified view and database information.

Parameters:

v - THe view that will display the data.

s - The data store responsible for retrieving the information from the database.

u - The udpater responsible for updating the database information upon

 addResultSetRow

 public void addResultSetRow(int row,
                             Data data[])

Called by DbDataStore or DbUpdater to add a new row to the result set. This method will mark the row as clean.

 appendChar

 public void appendChar(int row,
                        int col,
                        char c)

Method used to support Defaultdata class. Appends a character to the end of the textual representation of the cell's data.

 appendResultSetRow

 public int appendResultSetRow(Data data[])

Called by DbDataStore or DbUpdater to append a new row to the end of the result set. This method will mark the row as new.

 appendRow

 public int appendRow() throws TypeNotSupported

Appends a new row at the end of the data source's data.

Throws: TypeNotSupported

if the data source does not support the type of action requested or is not successful

 clear

 public void clear()

Requests the data source remove all data.

 clearText

 public void clearText(int row,
                       int col)

Method used to support Defaultdata class. Clears the textual value of a cell.

 commit

 public void commit(int row,
                    int col)

Method used to support Defaultdata class. Commits the data for the specified cell

 commitData

 public void commitData() throws TypeNotSupported

Commits the current data.

Throws: TypeNotSupported

If the data source does not support the type of action requested or is not successful

 deleteChar

 public void deleteChar(int row,
                        int col,
                        int pos)

Method used to support Defaultdata class. Deletes a character from a cell's data.

Parameters:

row - The cell's row

col - The cell's column

pos - The position to delete character

 deleteRow

 public void deleteRow(int row) throws TypeNotSupported

Deletes or marks a row for deletion from the data source

Throws: TypeNotSupported

If the data source does not support the type of action requested or is not successful

 fetchAllRows

 public int fetchAllRows()

Requests the data source get all of the rows from its source of data.

 fetchMode

 public void fetchMode(boolean manual)

Informs the data source whether the TableView will be requesting successive data for read only purposes.

Parameters:

manual - true if the data source should expect read only data requests

 getCache

 public Matrix getCache()

Gets the cache used to store data retrieved from database and added rows.

 getChoices

 public Data[] getChoices(int row,
                          int col) throws TypeNotSupported

Method used to support Defaultdata class. Gets the choices for the cell to display.

Throws: TypeNotSupported

if the data source does not support the type of action requested or is not successful

 getData

 public Data getData(Coordinate coords) throws DataNotAvailable

Gets the data for a cell.

Call this method when going to be doing edits.

Call commitData() when done with it (usually when lose focus).

Throws: DataNotAvailable

if the requested data is not set in the data source

 getData

 public Data getData(int row,
                     int col) throws DataNotAvailable

Gets the data for a cell.

Call this method when going to be doing edits.

Call commitData() when done with it (usually when lose focus).

Throws: DataNotAvailable

if the requested data is not set in the data source

 getImage

 public Image getImage(Coordinate coords) throws DataNotAvailable

Gets an image representation of a cell's data

Throws: DataNotAvailable

if the requested data is not set in the data source

 getMask

 public String getMask(int row,
                       int col) throws TypeNotSupported

Stubbed out function for future expansion.

Throws: TypeNotSupported

if the data source does not support the type of action requested or is not successful

 getMetaTable

 public MetaTable getMetaTable()

Gets the object that provides meta information.

 getRowDataState

 public DataState getRowDataState(int row)

Called by DbDataStore and DbUpdater to add a new row of data to the result set.

 getText

 public String getText(Coordinate coords) throws DataNotAvailable

Gets the textual representation of a cell's data

Throws: DataNotAvailable

if the requested data is not set in the data source

 getView

 public TableView getView()

Gets teh TableView dsplaying the data for the data source.

 handleCellEvent

 public void handleCellEvent(CellEvent e)

Called in response to circulating an event caused by an invocation of TableView.routeEvent(). The event IDs are specified in the CellEvent class

 handleException

 public void handleException(int row,
                             int col,
                             Exception ex)

Routes any exceptions generated to the TableView for proper handling which may include putting a message on status bar or logging to a file.

 handleTableEvent

 public void handleTableEvent(TableEvent e)

Gives a data source a chance to perform any actions in response to a table level event.

 insertChar

 public void insertChar(int row,
                        int col,
                        int pos,
                        char c)

Method used to support Defaultdata class. Inserts a character at the specified location in the data value for a cell.

Parameters:

row - The cell's row

col - The cell's column

pos - The position to insert character

c - The character

 insertResultSetRow

 public void insertResultSetRow(int row,
                                Data data[])

Called by DbDataStore or DbUpdater to insert a new row to the result set. This method will mark the row as new.

 insertRow

 public void insertRow(int row) throws TypeNotSupported

Inserts a new row in the data source above the specified row

Throws: TypeNotSupported

if the data source does not support the type of action requested or is not successful

 isDataEditable

 public boolean isDataEditable(int row,
                               int col)

Gets whether a cells data is editable or non-editable

Returns:

true if the data may be altered by the user.

 isMasked

 public boolean isMasked(int row,
                         int col)

Is never masked.

Returns:

false

 lastCachedRow

 public int lastCachedRow()

Gets the number of rows currently stored in the cache.

 markClean

 public void markClean(int row)

Marks the row as clean.

 markDeleted

 public void markDeleted(int row)

Marks the row as deleted.

 markModified

 public void markModified(int row)

Marks the row as modified.

 markNew

 public void markNew(int row)

Marks the row as new.

 readData

 public Data readData(int row,
                      int col) throws DataNotAvailable

Gets the data for a cell that should only be used for reading. It does not change the cell data being currently edited.

Parameters:

row - the cells row

Throws: DataNotAvailable

if the requested data is not set in the data source

 refresh

 public void refresh()

Requests the data source reread it data.

 rollback

 public void rollback()

Rolls the current cell to its original value.

 rollback

 public void rollback(int row,
                      int col)

Rolls the current cell to its original value.

 rollbackCurrentData

 public void rollbackCurrentData()

Rolls the current cell to its original value.

 rows

 public int rows()

Gets the number of rows of data stored in the data source

 rowState

 public int rowState(int row)

Gets the state of the row.

Returns:

the state of the row's data as defined by DataState.

 save

 public void save() throws TypeNotSupported

Requests the data source save the current state as appopriate.

Throws: TypeNotSupported

if the data source does not support the type of action requested or is not successful

 setCurrentRow

 public void setCurrentRow(int row) throws TypeNotSupported

Informs the data source of the current row of the TableView.

Throws: TypeNotSupported

if the data source does not support the type of action requested or is not successful

 setData

 public void setData(Coordinate coord,
                     Data data) throws TypeNotSupported

Sets the data value for a cell.

Parameters:

coord - the cooridates of the cell

data - the data value for the cell

Throws: TypeNotSupported

If the data source does not support the type of action requested or is not successful

 setData

 public void setData(int row,
                     int col,
                     Data data) throws TypeNotSupported

Sets the data value for a cell.

Parameters:

r - the row of the cell

c - the column of the cell

data - the data value for the cell

Throws: TypeNotSupported

If the data source does not support the type of action requested or is not successful

 setDefaultData

 public void setDefaultData()

Requests the DataSource set an appropriate default data type

 setDefaultData

 public void setDefaultData(Data defaultValue)

Sets the Data type for cell data when no data value has been set.

 setImage

 public void setImage(int row,
                      int col,
                      Image i)

Method used to support Defaultdata class. Sets the image data for a cell

 setTableView

 public void setTableView(TableView v)

Sets the TableView displaying the data.

 setText

 public void setText(int row,
                     int col,
                     char c)

Method used to support Defaultdata class. Sets the text for a cell to a character

 setText

 public void setText(int row,
                     int col,
                     String t)

Method used to support Defaultdata class. Sets the textual value for a cell.

 setupSource

 public void setupSource(DbDataStore s,
                         DbDataUpdater u,
                         MetaTable m)

Sets the data store, updater and meta information classes for the data source.

 setupTableView

 public void setupTableView(TableView v) throws TypeNotSupported

Sets the TableView displaying the data.

Throws: TypeNotSupported

if the data source does not support the type of action requested or is not successful

 subString

 public String subString(int row,
                         int col,
                         int spos,
                         int epos)

Method used to support Defaultdata class. Gets a substring from a cell's data.

Parameters:

row - The cell's row

col - The cell's column

spos - The starting position of the substring, inclusive

epos - The last position of the substring, exclusive

 supports

 public boolean supports(Coordinate coords,
                         int type)

Gets whether the data source supports a specified type of data

 supportsChoice

 public boolean supportsChoice(int row,
                               int col)

Method used to support Defaultdata class. Gets whether the data for the specified cell supports choice selection lists.

 supportsMeta

 public boolean supportsMeta()

Gets whether the DataSource has the ability to configure a TableView.

Returns:

True if MetaTable class is set, false otherwise.

 toImage

 public Image toImage(int row,
                      int col)

Method used to support Defaultdata class. Gets an image representationof a cell's data.

 toString

 public String toString(int row,
                        int col)

Method used to support Defaultdata class. Gets a string representation of a cell's data.

 type

 public int type(int row,
                 int col)

Method used to support Defaultdata class. Gets the type of data supported by the cell.

 undeleteRow

 public void undeleteRow(int row) throws TypeNotSupported

Undeletes a row in the data source

Throws: TypeNotSupported

If the data source does not support the type of action requested or is not successful

 undoRow

 public void undoRow(int row) throws TypeNotSupported

Requests that any actions performed on a row be undone. The meaning is left open and is to interpreted as appropriate for the type of data source

Throws: TypeNotSupported

if the data source does not support the type of action requested or is not successful

 validDataRowRange

 public int validDataRowRange(int top,
                              int bottom) throws DataNotAvailable

Gets the last row valid in requested range

Throws: DataNotAvailable

if the requested data is not set in the data source


 Class symantec.itools.db.awt.DbaDataStore

java.lang.Object
   |
   +----symantec.itools.db.awt.DbaDataStore

public class DbaDataStore
   extends Object
   implements DbDataStore, MetaTable, DbDataUpdater

This implements data store for the TableView component that uses a dbANYWHERE server for its data.

All rows coming from DbaDataSource are zero-relative.

All columns coming from DbaDataSource are one-relative.

     See Also:
     DbDataSource, DbDataUpdater, MetaTable

 MAX_DISPLAY_SIZE

Obsolete.

 DbaDataStore(RelationView, RelationView)

Constructs a DbaDataStore that uses the given RelationView for data.

 appendRow()

Appends a new row.

 arrangeForViewing(Data[])

Adjusts the given data as needed before it is viewed in the TableView.

 clear()

Requests the data store clear all cached data.

 columnNumberfromName(String)

Gets the index of the column with the specified name.

 deleteRow(int)

Deletes a row or marks a row for deletion.

 fetchAllRows()

Requests the store to get all of the elements in the result set.

 fetchMode(boolean)

Sets the fetch mode for getting data.

 getData(int, int)

Gets the data element for the specified position.

 getNewRecord()

Gets the next new Record within the RelationView's Record buffers.

 getSynchronizationObject()

Obsolete.

 insertRow(int)

Appends a new row.

 isCurrentRow(int)

Determines if the given row is the current row in the data store.

 isDataEditable(int, int)

Determines if the data of the cell at the given location is user-editable.

 manualRowChangeFlag()

Returns the current send notification flag.

 refresh()

Requests the data store get the values from the database again.

 rowsRetrieved()

Returns the number of rows actually retrieved from the database.

 rowState(int)

Gets the current state of the specified row.

 save()

Saves the current state as appopriate.

 setColtoShow(int)

Sets the number of columns to show.

 setColumnsNamesToShow(String)

Specifies the names of the columns to show.

 setColumnsToShow()

Hides or shows columns depending of the Data Binding that was given to the Grid.

 setCurrentRow(int)

Sets the current row in the data store.

 setDataSource(DataSource)

Obsolete.

 setDbDataSource(DbDataSource)

Sets the database data source that requests data and possibly caches the SQL data.

 setupColumn(TableView, int)

Sets up the specified column in the given view as needed.

 setupTableView(TableView)

Configures the given TableView the desired way.

 supportsCaching()

Called by a DbDataSource to determine if the store provides its own caching services.

 undeleteRow(int)

Undeletes a row.

 undoRow(int)

Requests that any actions performed on a row be undone.

 update(int, int, Data)

Sets a new value in the specified position.

 validDataRowRange(int, int)

Gets the last row that exists within the specified range.

 MAX_DISPLAY_SIZE

 public static final int MAX_DISPLAY_SIZE

Obsolete.

 DbaDataStore

 public DbaDataStore(RelationView rv,
                     RelationView masterView) throws SQLException

Constructs a DbaDataStore that uses the given RelationView for data.

Parameters:

rv - the RelatioView to used for data access

masterView - obsolete

Throws: SQLException

if a SQL database access error occurred

 appendRow

 public int appendRow() throws TypeNotSupported

Appends a new row.

This is a standard DbDataUpdater interface method.

Returns:

the zero-relative index of the new row

Throws: TypeNotSupported

if the data source does not support the type of action requested or is not successful

 arrangeForViewing

 public Data[] arrangeForViewing(Data data[])

Adjusts the given data as needed before it is viewed in the TableView.

This is a standard MetaTable interface method.

Parameters:

the - data

Returns:

the arranged data

 clear

 public void clear()

Requests the data store clear all cached data.

This is a standard DbDataStore interface method.

 columnNumberfromName

 public int columnNumberfromName(String n) throws SQLException

Gets the index of the column with the specified name.

Parameters:

n - the column name

Returns:

the column index

Throws: SQLException

if the column cannot be found

 deleteRow

 public void deleteRow(int row) throws TypeNotSupported

Deletes a row or marks a row for deletion.

This is a standard DbDataUpdater interface method.

Parameters:

row - the zero-relative row index

Throws: TypeNotSupported

if the data source does not support the type of action requested or is not successful

 fetchAllRows

 public int fetchAllRows()

Requests the store to get all of the elements in the result set.

This is a standard DbDataStore interface method.

Returns:

the number of rows gotten

 fetchMode

 public void fetchMode(boolean manual)

Sets the fetch mode for getting data. When fetch mode is enabled, a grid expects to rapidly read lots of data for read only purposes. Knowing this can allow some data stores to more efficiently get the data. The TableView provides a guarantee that the current data row will not be changed

Parameters:

manual - true if fetch mode is to be entered

 getData

 public Data getData(int row,
                     int col) throws DataNotAvailable

Gets the data element for the specified position.

This is a standard DbDataStore interface method.

Parameters:

row - the zero-relative index of the element's row

col - the one-relative index of the element's column

Returns:

the element's data

Throws: DataNotAvailable

if the requested data cannot be accessed in the data store

 getNewRecord

 public void getNewRecord() throws TypeNotSupported

Gets the next new Record within the RelationView's Record buffers. After calling this method, the current Record of the RelationView will be positioned at the new Record.

Throws: TypeNotSupported

if the data source does not support the type of action requested or is not successful

 getSynchronizationObject

 public Object getSynchronizationObject()

Obsolete.

 insertRow

 public void insertRow(int row) throws TypeNotSupported

Appends a new row.

Parameters:

row - ignored

Throws: TypeNotSupported

if the data source does not support the type of action requested or is not successful

 isCurrentRow

 public boolean isCurrentRow(int row)

Determines if the given row is the current row in the data store.

Parameters:

row - the zero-relative index of the row to check

Returns:

true if it is the current row, false otherwise

See Also:

setCurrentRow

 isDataEditable

 public boolean isDataEditable(int row,
                               int col) throws DataNotAvailable

Determines if the data of the cell at the given location is user-editable.

This is a standard MetaTable interface method.

Parameters:

row - the zero-relative row index

col - the one-relative column index

Returns:

true if it is user-editable, false otherwise

Throws: DataNotAvailable

if the requested data cannot be accessed in the data store

 manualRowChangeFlag

 public boolean manualRowChangeFlag()

Returns the current send notification flag. This is used to determine if the RelationView sends notifications when it's modified. When fetch mode is enabled this returns a value of true.

Returns:

the current send notification flag

See Also:

fetchMode

 refresh

 public void refresh()

Requests the data store get the values from the database again.

This is a standard DbDataStore interface method.

 rowsRetrieved

 public int rowsRetrieved()

Returns the number of rows actually retrieved from the database.

This is a standard DbDataStore interface method.

 rowState

 public int rowState(int row)

Gets the current state of the specified row.

Parameters:

row - the zero-relative row index

Returns:

the state of the row's data. One of NEW_ROW, CLEAN_ROW, DELETED_ROW, or MODIFIED_ROW or NONEXISTS_ROW

See Also:

NEW_ROW, CLEAN_ROW, DELETED_ROW, MODIFIED_ROW, NONEXISTS_ROW

 save

 public void save() throws TypeNotSupported

Saves the current state as appopriate. If this object caches, it iterates through the cache and updates all non-clean rows.

This is a standard DbDataUpdater interface method.

Throws: TypeNotSupported

if the data source does not support the type of action requested or is not successful

 setColtoShow

 public void setColtoShow(int val)

Sets the number of columns to show.

Parameters:

the - number of columns

 setColumnsNamesToShow

 public void setColumnsNamesToShow(String name)

Specifies the names of the columns to show.

Parameters:

name - column names

 setColumnsToShow

 public void setColumnsToShow()

Hides or shows columns depending of the Data Binding that was given to the Grid.

 setCurrentRow

 public void setCurrentRow(int row) throws TypeNotSupported

Sets the current row in the data store.

This is a standard DbDataStore interface method.

Parameters:

row - the zero-relative row index

Throws: TypeNotSupported

if the data store does not support the type of action requested or is not successful

 setDataSource

 public void setDataSource(DataSource ds)

Obsolete.

 setDbDataSource

 public void setDbDataSource(DbDataSource ds)

Sets the database data source that requests data and possibly caches the SQL data.

This is a standard DbDataStore interface method.

Parameters:

ds - the data source

 setupColumn

 public void setupColumn(TableView view,
                         int col)

Sets up the specified column in the given view as needed. Column setup often varies depending on the type of data that will be shown in the column.

This is a standard MetaTable interface method.

Parameters:

view - the TableView that is being set up

col - the one-relative position of the column to set up

 setupTableView

 public void setupTableView(TableView v)

Configures the given TableView the desired way. TableView setup often depends on the number and type of data fields that will be displayed.

This is a standard MetaTable interface method.

Parameters:

view - the grid to configure

 supportsCaching

 public boolean supportsCaching()

Called by a DbDataSource to determine if the store provides its own caching services.

This is a standard DbDataStore interface method.

Returns:

true if the store provides scrollable caching

 undeleteRow

 public void undeleteRow(int row) throws TypeNotSupported

Undeletes a row.

This is a standard DbDataUpdater interface method.

Parameters:

row - the zero-relative row index

Throws: TypeNotSupported

if the data source does not support the type of action requested or is not successful

 undoRow

 public void undoRow(int row) throws TypeNotSupported

Requests that any actions performed on a row be undone. The meaning is left open and is interpreted as appropriate for the type of data store.

This is a standard DbDataStore interface method.

Parameters:

row - the zero-relative row index

Throws: TypeNotSupported

if the data store does not support the type of action requested or is not successful

 update

 public void update(int row,
                    int col,
                    Data data) throws TypeNotSupported

Sets a new value in the specified position. The method is only called when the store supports caching.

This is a standard DbDataStore interface method.

Parameters:

row - the zero-relative index of the row to update

col - the one-relative index of the column to update

data - the data element that holds the new value

Throws: TypeNotSupported

if the data store does not support the type of action requested or is not successful

 validDataRowRange

 public int validDataRowRange(int top,
                              int bottom) throws DataNotAvailable

Gets the last row that exists within the specified range.

This is a standard DbDataStore interface method.

Parameters:

top - the zero-relative index of the first row in the range

bottom - the zero-relative index of the last row in the range

Returns:

the last row that exists in the given range

Throws: DataNotAvailable

if the requested data cannot be accessed in the data store


 Class symantec.itools.db.awt.DefaultData

java.lang.Object
   |
   +----symantec.itools.db.awt.DefaultData

public class DefaultData
   extends Object
   implements Data

This class is designed to work with the DefaultDataSource, but with care should be usable by other DataSource classes.

CAUTION - CAUTION - CAUTION A TableCell should never hold onto this object (or any other Data object) for more than one invocation because a DataSource will usually reuse this object.

 DefaultData(DataSource)

Constructs a DefaultData object that uses the specified data source.

 appendChar(char)

Appends a character to the end of the string data.

 changed()

Gets whether the data has been changed since last committed.

 clearText()

Sets the string value to the empty string.

 commit()

Commits the current data as the current value.

 deleteChar(int)

Removes a character from the string data for the field.

 getChoices()

Gets an array of Data objects that define the predefined values associated with a field.

 insertChar(int, char)

Inserts a character into the string data.

 isEditable(int, int)

Gets whether the data can be modified.

 rollback()

Requests the value of the data be returned to the last save point.

 setImage(Image)

Sets a new image for the field.

 setRowAndCol(int, int)

Sets the coordinates of this datum.

 setText(char)

Sets the string value for the field using a character.

 setText(String)

Sets the string value for the data.

 subString(int, int)

Gets a substring from the string data for the field.

 supportsChoice()

Gets whether the data supports multiple predefined choice data.

 toImage()

Gets teh current image value for the field.

 toString()

Gets the current string value for the field.

 type()

Gets the value of the type flag to indicate the type of information held by the data object.

 DefaultData

 public DefaultData(DataSource ds)

Constructs a DefaultData object that uses the specified data source.

Parameters:

ds - the data source to use

 appendChar

 public void appendChar(char c)

Appends a character to the end of the string data.

 changed

 public boolean changed()

Gets whether the data has been changed since last committed.

In this implementation, false is always returned.

 clearText

 public void clearText()

Sets the string value to the empty string.

 commit

 public void commit()

Commits the current data as the current value. This method is normally called by the data source when a commit request was issued.

In this implementation, no action is taken.

 deleteChar

 public void deleteChar(int pos)

Removes a character from the string data for the field.

 getChoices

 public Data[] getChoices() throws TypeNotSupported

Gets an array of Data objects that define the predefined values associated with a field.

Throws: TypeNotSupported

if the data source does not support the type of action requested or is not successful

 insertChar

 public void insertChar(int pos,
                        char c)

Inserts a character into the string data.

Parameters:

pos - the position in the string to insert the character. Follows the same rules as the StringBuffer class.

c - The character to insert.

 isEditable

 public boolean isEditable(int row,
                           int col)

Gets whether the data can be modified.

 rollback

 public void rollback()

Requests the value of the data be returned to the last save point.

In this implementation, no action is taken.

 setImage

 public void setImage(Image i)

Sets a new image for the field.

 setRowAndCol

 public void setRowAndCol(int r,
                          int c)

Sets the coordinates of this datum.

Parameters:

the - row index

the - column index

 setText

 public void setText(char c)

Sets the string value for the field using a character.

 setText

 public void setText(String t)

Sets the string value for the data.

 subString

 public String subString(int spos,
                         int epos)

Gets a substring from the string data for the field.

 supportsChoice

 public boolean supportsChoice()

Gets whether the data supports multiple predefined choice data.

 toImage

 public Image toImage()

Gets teh current image value for the field.

 toString

 public String toString()

Gets the current string value for the field.

Overrides:

toString in class Object

 type

 public int type()

Gets the value of the type flag to indicate the type of information held by the data object.


 Class symantec.itools.db.awt.DefaultDataSource

java.lang.Object
   |
   +----symantec.itools.db.awt.DefaultDataSource

public class DefaultDataSource
   extends Object
   implements DataSource

DataSource that provides a buffer from which to store and retrieve data.

 DefaultDataSource(TableView)

Creates a data source for a TableView that does not use default data for values where no value is set.

 DefaultDataSource(TableView, boolean)

Create a data source for a TableView that sets the internal flag for whether to use default Data object for when data is not set in a cell.

 DefaultDataSource(TableView, boolean, Data)

Create a data source for a TableView that sets the internal flag for whether to use default Data object for when data is not set in a cell.

 appendChar(int, int, char)

Method used to support Defaultdata class.

 appendRow()

Appends a new row at the end of the data source's data.

 clear()

Requests the data source remove all data.

 clearText(int, int)

Method used to support Defaultdata class.

 commit(int, int)

Method used to support Defaultdata class.

 commitData()

Commits the current data.

 deleteChar(int, int, int)

Method used to support Defaultdata class.

 deleteRow(int)

Deletes or marks a row for deletion from the data source

 doAutoNumbering(boolean)

Specifies whether data should be based on the row number if requested data is not present in the source.

 doAutoNumbering(boolean, int)

Specifies whether data should be based on the row number if requested data is not present in the source.

 fetchAllRows()

Requests the data source get all of the rows from its source of data.

 fetchMode(boolean)

Informs the data source whether the TableView will be requesting successive data for read only purposes.

 getChoices(int, int)

Method used to support Defaultdata class.

 getData(Coordinate)

Gets the data for a cell.

 getData(int, int)

Gets the data for a cell.

 getDefaultData()

Gets the default data for the data source.

 getImage(Coordinate)

Gets an image representation of a cell's data

 getText(Coordinate)

Gets the textual representation of a cell's data

 getView()

Gets the TableView displaying the data for the DataSource

 handleCellEvent(CellEvent)

Called in response to circulating an event caused by an invocation of TableView.routeEvent().

 handleException(int, int, Exception)

Routes any exceptions generated to the TableView for proper handling which may include putting a message on status bar or logging to a file.

 handleTableEvent(TableEvent)

Gives a data source a chance to perform any actions in response to a table level event.

 insertChar(int, int, int, char)

Method used to support Defaultdata class.

 insertRow(int)

Inserts a new row in the data source above the specified row

 isDataEditable(int, int)

Gets whether a cells data is editable or non-editable

 readData(int, int)

Gets the data for a cell that should only be used for reading.

 redoAutoNumbering()

Redoes the numbering if the autoNumber property is true

 refresh()

Requests the data source reread it data.

 rollbackCurrentData()

Requests the current data element be reset to the previously committed state

 rows()

Gets the number of rows of data stored in the data source

 rowState(int)

Gets the state of the row.

 save()

Requests the data source save the current state as appopriate.

 setCurrentRow(int)

Informs the data source of the current row of the TableView.

 setData(Coordinate, Data)

Sets the data value for a cell.

 setData(int, int, Data)

Sets the data value for a cell.

 setDefaultData()

Requests the DataSource set an appropriate default data type

 setDefaultData(Data)

Sets the Data type for cell data when no data value has been set.

 setImage(int, int, Image)

Method used to support Defaultdata class.

 setTableView(TableView)

Sets the TableView displaying the data.

 setText(int, int, char)

Method used to support Defaultdata class.

 setText(int, int, String)

Method used to support Defaultdata class.

 setupTableView(TableView)

Called by the TableView to configure the interface if the DataSource supports meta information

 subString(int, int, int, int)

Method used to support Defaultdata class.

 supports(Coordinate, int)

Gets whether the data source supports a specified type of data

 supportsChoice(int, int)

Method used to support Defaultdata class.

 supportsMeta()

Gets whether the DataSource has the ability to configure a TableView.

 toImage(int, int)

Method used to support Defaultdata class.

 toString(int, int)

Method used to support Defaultdata class.

 type(int, int)

Method used to support Defaultdata class.

 undeleteRow(int)

Undeletes a row in the data source

 undoRow(int)

Requests that any actions performed on a row be undone.

 validDataRowRange(int, int)

Gets the last row valid in requested range

 DefaultDataSource

 public DefaultDataSource(TableView v)

Creates a data source for a TableView that does not use default data for values where no value is set.

 DefaultDataSource

 public DefaultDataSource(TableView v,
                          boolean useDefaults)

Create a data source for a TableView that sets the internal flag for whether to use default Data object for when data is not set in a cell. The default data must be specified in a separate call.

 DefaultDataSource

 public DefaultDataSource(TableView v,
                          boolean useDefaults,
                          Data defaultData)

Create a data source for a TableView that sets the internal flag for whether to use default Data object for when data is not set in a cell.

 appendChar

 public void appendChar(int row,
                        int col,
                        char c)

Method used to support Defaultdata class. Appends a character to the end of the textual representation of the cell's data.

 appendRow

 public int appendRow() throws TypeNotSupported

Appends a new row at the end of the data source's data.

Throws: TypeNotSupported

if the data source does not support the type of action requested or is not successful

 clear

 public void clear()

Requests the data source remove all data.

 clearText

 public void clearText(int row,
                       int col)

Method used to support Defaultdata class. Clears the textual value of a cell.

 commit

 public void commit(int row,
                    int col)

Method used to support Defaultdata class. Commits the data for the specified cell

 commitData

 public void commitData() throws TypeNotSupported

Commits the current data.

Throws: TypeNotSupported

If the data source does not support the type of action requested or is not successful

 deleteChar

 public void deleteChar(int row,
                        int col,
                        int pos)

Method used to support Defaultdata class. Deletes a character from a cell's data.

Parameters:

row - The cell's row

col - The cell's column

pos - The position to delete character

 deleteRow

 public void deleteRow(int row) throws TypeNotSupported

Deletes or marks a row for deletion from the data source

Throws: TypeNotSupported

If the data source does not support the type of action requested or is not successful

 doAutoNumbering

 public void doAutoNumbering(boolean an)

Specifies whether data should be based on the row number if requested data is not present in the source.

 doAutoNumbering

 public void doAutoNumbering(boolean an,
                             int n)

Specifies whether data should be based on the row number if requested data is not present in the source.

Parameters:

Whether - to enable autonumbering.

n - The value of the first row.

 fetchAllRows

 public int fetchAllRows()

Requests the data source get all of the rows from its source of data.

 fetchMode

 public void fetchMode(boolean b)

Informs the data source whether the TableView will be requesting successive data for read only purposes.

Parameters:

manual - true if the data source should expect read only data requests

 getChoices

 public Data[] getChoices(int row,
                          int col) throws TypeNotSupported

Method used to support Defaultdata class. Gets the choices for the cell to display.

Throws: TypeNotSupported

if the data source does not support the type of action requested or is not successful

 getData

 public Data getData(Coordinate coords) throws DataNotAvailable

Gets the data for a cell.

Call this method when going to be doing edits.

Call commitData() when done with it (usually when lose focus).

Throws: DataNotAvailable

if the requested data is not set in the data source

 getData

 public Data getData(int r,
                     int c) throws DataNotAvailable

Gets the data for a cell.

Call this method when going to be doing edits.

Call commitData() when done with it (usually when lose focus).

Throws: DataNotAvailable

if the requested data is not set in the data source

 getDefaultData

 public Data getDefaultData()

Gets the default data for the data source.

 getImage

 public Image getImage(Coordinate coords) throws DataNotAvailable

Gets an image representation of a cell's data

Throws: DataNotAvailable

if the requested data is not set in the data source

 getText

 public String getText(Coordinate coords) throws DataNotAvailable

Gets the textual representation of a cell's data

Throws: DataNotAvailable

if the requested data is not set in the data source

 getView

 public TableView getView()

Gets the TableView displaying the data for the DataSource

 handleCellEvent

 public void handleCellEvent(CellEvent e)

Called in response to circulating an event caused by an invocation of TableView.routeEvent(). The event IDs are specified in the CellEvent class

 handleException

 public void handleException(int row,
                             int col,
                             Exception ex)

Routes any exceptions generated to the TableView for proper handling which may include putting a message on status bar or logging to a file.

 handleTableEvent

 public void handleTableEvent(TableEvent e)

Gives a data source a chance to perform any actions in response to a table level event.

 insertChar

 public void insertChar(int row,
                        int col,
                        int pos,
                        char c)

Method used to support Defaultdata class. Inserts a character at the specified location in the data value for a cell.

Parameters:

row - The cell's row

col - The cell's column

pos - The position to insert character

c - The character

 insertRow

 public void insertRow(int row) throws TypeNotSupported

Inserts a new row in the data source above the specified row

Throws: TypeNotSupported

If the data source does not support the type of action requested or is not successful

 isDataEditable

 public boolean isDataEditable(int row,
                               int col)

Gets whether a cells data is editable or non-editable

Returns:

true if the data may be altered by the user.

 readData

 public Data readData(int row,
                      int col) throws DataNotAvailable

Gets the data for a cell that should only be used for reading. It does not change the cell data being currently edited.

Parameters:

row - the cells row

Throws: DataNotAvailable

if the requested data is not set in the data source

 redoAutoNumbering

 public void redoAutoNumbering()

Redoes the numbering if the autoNumber property is true

 refresh

 public void refresh()

Requests the data source reread it data.

 rollbackCurrentData

 public void rollbackCurrentData()

Requests the current data element be reset to the previously committed state

 rows

 public int rows()

Gets the number of rows of data stored in the data source

 rowState

 public int rowState(int row)

Gets the state of the row.

Returns:

the state of the row's data as defined by DataState.

 save

 public void save()

Requests the data source save the current state as appopriate.

 setCurrentRow

 public void setCurrentRow(int row)

Informs the data source of the current row of the TableView.

 setData

 public void setData(Coordinate coords,
                     Data d) throws TypeNotSupported

Sets the data value for a cell.

Parameters:

coord - the cooridates of the cell

data - the data value for the cell

Throws: TypeNotSupported

If the data source does not support the type of action requested or is not successful

 setData

 public void setData(int r,
                     int c,
                     Data d) throws TypeNotSupported

Sets the data value for a cell.

Parameters:

r - the row of the cell

c - the column of the cell

data - the data value for the cell

Throws: TypeNotSupported

If the data source does not support the type of action requested or is not successful

 setDefaultData

 public void setDefaultData()

Requests the DataSource set an appropriate default data type

 setDefaultData

 public void setDefaultData(Data d)

Sets the Data type for cell data when no data value has been set.

 setImage

 public void setImage(int row,
                      int col,
                      Image i)

Method used to support Defaultdata class. Sets the image data for a cell

 setTableView

 public void setTableView(TableView v)

Sets the TableView displaying the data.

 setText

 public void setText(int row,
                     int col,
                     char c)

Method used to support Defaultdata class. Sets the text for a cell to a character

 setText

 public void setText(int row,
                     int col,
                     String t)

Method used to support Defaultdata class. Sets the textual value for a cell.

 setupTableView

 public void setupTableView(TableView v) throws TypeNotSupported

Called by the TableView to configure the interface if the DataSource supports meta information

Parameters:

v - The TableView to configure

Throws: TypeNotSupported

If the data source does not support the type of action requested

 subString

 public String subString(int row,
                         int col,
                         int spos,
                         int epos)

Method used to support Defaultdata class. Gets a substring from a cell's data.

Parameters:

row - The cell's row

col - The cell's column

spos - The starting position of the substring, inclusive

epos - The last position of the substring, exclusive

 supports

 public boolean supports(Coordinate coords,
                         int type)

Gets whether the data source supports a specified type of data

 supportsChoice

 public boolean supportsChoice(int row,
                               int col)

Method used to support Defaultdata class. Gets whether the data for the specified cell supports choice selection lists.

 supportsMeta

 public boolean supportsMeta()

Gets whether the DataSource has the ability to configure a TableView.

Returns:

Always returns false.

 toImage

 public Image toImage(int row,
                      int col)

Method used to support Defaultdata class. Gets an image representationof a cell's data.

 toString

 public String toString(int row,
                        int col)

Method used to support Defaultdata class. Gets a string representation of a cell's data.

 type

 public int type(int row,
                 int col)

Method used to support Defaultdata class. Gets the type of data supported by the cell.

 undeleteRow

 public void undeleteRow(int row) throws TypeNotSupported

Undeletes a row in the data source

Throws: TypeNotSupported

If the data source does not support the type of action requested or is not successful

 undoRow

 public void undoRow(int row) throws TypeNotSupported

Requests that any actions performed on a row be undone. The meaning is left open and is to interpreted as appropriate for the type of data source.

DefaultDataSource does not support this action.

Throws: TypeNotSupported

since the data source does not support the type of action requested

 validDataRowRange

 public int validDataRowRange(int top,
                              int bottom) throws DataNotAvailable

Gets the last row valid in requested range

Throws: DataNotAvailable

if the requested data is not set in the data source


 Class symantec.itools.db.awt.DefaultTvEventHandler

java.lang.Object
   |
   +----symantec.itools.db.awt.DefaultTvEventHandler

public class DefaultTvEventHandler
   extends Object
   implements TvEventHandler

The default event handler for the TableView class. This class provides a normal set of TableView functionality. It can be subclassed and extended and only the functions needed to provide the required functionality have to be overriden. This saves some code from having to implement the TvEventHandler interface from scratch. It provides the following behavior:

1) Pushing on a row heading highlights the row.

2) Causing a cell event of any type will cause all hightlighting to be cleared.

3) Default behavior is provided for the preconfigured toolbar buttons. The buttons call protected helper functions within the class. Instead of having to override this class for a preconfigured button and determine when the one button you are interested in, the helper function can be overriden instead.

4) Exceptions are simply printed to standard output.

 view

The TableView this DefaultTvEventHandler handles events for.

 DefaultTvEventHandler()

Constructs a default DefaultTvEventHandler object.

 appendRow(TableView)

Helper function called if append toolbar button is pressed.

 deleteRow(int, TableView)

Helper function called for each selected row if delete toolbar button is pressed.

 handleCellEvent(CellEvent, TableCell)

Called by the TableView when the user triggers an event that occurs within the context of a normal cell, i.e.

 handleColHeadingEvent(CellEvent, TableCell)

Called by the TableView when the user triggers an event that occurs within the context of a column heading.

 handleCornerCellEvent(CellEvent, TableCell)

Called by the TableView when the user triggers an event that occurs within the context of the corner cell.

 handleException(Coordinate, Exception)

Method called by TableView whenever an exception occurs within the framework of the grid.

 handleRowHeadingEvent(CellEvent, TableCell)

Called by the TableView when the user triggers an event that occurs within the context of a row heading heading.

 handleTableEvent(TableEvent)

Called by the TableView when the users triggers an event outside the scope of any cell, usually a component located on the toolbar.

 insertRow(int, TableView)

Helper function called if insert toolbar button is pressed.

 saveRow(int, TableView)

Helper function called for each selected row if save toolbar button is pressed.

 saveView(TableView)

Helper function called if save toolbar button is pressed and no rows are selected.

 setupView(TableView)

Called by the TableView when an event handler is installed.

 undeleteRow(int, TableView)

Helper function called for each selected row if undelete toolbar button is pressed.

 view

 protected TableView view

The TableView this DefaultTvEventHandler handles events for.

 DefaultTvEventHandler

 public DefaultTvEventHandler()

Constructs a default DefaultTvEventHandler object.

 appendRow

 protected void appendRow(TableView view) throws TypeNotSupported

Helper function called if append toolbar button is pressed.

Throws: TypeNotSupported

if the data source does not support the type of action requested or is not successful

 deleteRow

 protected void deleteRow(int row,
                          TableView view) throws TypeNotSupported

Helper function called for each selected row if delete toolbar button is pressed.

Throws: TypeNotSupported

if the data source does not support the type of action requested or is not successful

 handleCellEvent

 public void handleCellEvent(CellEvent e,
                             TableCell cell)

Called by the TableView when the user triggers an event that occurs within the context of a normal cell, i.e. not a heading cell.

Parameters:

e - The event object. The source is set to the TableView.

cell - The cell that generated the event.

 handleColHeadingEvent

 public void handleColHeadingEvent(CellEvent e,
                                   TableCell cell)

Called by the TableView when the user triggers an event that occurs within the context of a column heading. This method does not currently perform any actions or add any behavior to the view.

Parameters:

e - The event object. The source is set to the TableView.

cell - The cell that generated the event.

 handleCornerCellEvent

 public void handleCornerCellEvent(CellEvent e,
                                   TableCell cell)

Called by the TableView when the user triggers an event that occurs within the context of the corner cell. This method does not presently add any behavior to the view.

Parameters:

e - The event object. The source is set to the TableView.

cell - The cell that generated the event.

 handleException

 public void handleException(Coordinate pos,
                             Exception exc)

Method called by TableView whenever an exception occurs within the framework of the grid. This method provides a convenient location to place code to advise the user in some consistent manner when error conditions occur.

 handleRowHeadingEvent

 public void handleRowHeadingEvent(CellEvent e,
                                   TableCell cell)

Called by the TableView when the user triggers an event that occurs within the context of a row heading heading. This method currently provides for row highlighting with a single mouse press, range selection if the shift key is pressed when the mouse is pressed, or multiple selection if the control button is depressed when the mouse is clicked.

Parameters:

e - The event object. The source is set to the TableView.

cell - The cell that generated the event.

 handleTableEvent

 public void handleTableEvent(TableEvent e)

Called by the TableView when the users triggers an event outside the scope of any cell, usually a component located on the toolbar. This method calls a series of helper methods depending on which predefined toolbar component with which the user interacted.

Parameters:

e - The unchanged event that was generated.

 insertRow

 protected void insertRow(int row,
                          TableView view) throws TypeNotSupported

Helper function called if insert toolbar button is pressed. The row will be the first row selected.

Throws: TypeNotSupported

if the data source does not support the type of action requested or is not successful

 saveRow

 protected void saveRow(int row,
                        TableView view) throws TypeNotSupported

Helper function called for each selected row if save toolbar button is pressed.

Throws: TypeNotSupported

if the data source does not support the type of action requested or is not successful

 saveView

 protected void saveView(TableView view) throws TypeNotSupported

Helper function called if save toolbar button is pressed and no rows are selected.

Throws: TypeNotSupported

if the data source does not support the type of action requested or is not successful

 setupView

 public void setupView(TableView v)

Called by the TableView when an event handler is installed. This method provides the event handler a chance to perform any view initialization and set an instance variable for later use.

 undeleteRow

 protected void undeleteRow(int row,
                            TableView view) throws TypeNotSupported

Helper function called for each selected row if undelete toolbar button is pressed.

Throws: TypeNotSupported

if the data source does not support the type of action requested or is not successful


 Class symantec.itools.db.awt.FormattedTextField

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.TextComponent
                   |
                   +----java.awt.TextField
                           |
                           +----symantec.itools.awt.FormattedTextField
                                   |
                                   +----symantec.itools.db.awt.FormattedTextField

public class FormattedTextField
   extends FormattedTextField
   implements ProjectionBean

a dbAware FormattedTextField component.

Creates a box in which the user can type text. Text formatting logic is applied to the user input. If the text box already contains text, the user can select the default text and delete or edit it.

It may be bound to a projection in a database. This allows it to automatically get and set the related database information.

 Blank

A constant value indicating how an empty string will be saved in the database.

 Default

A constant value indicating how an empty string will be saved in the database.

 Focus_Event

Constant value for the Triggering Event property.

 Key_Event

Constant value for the Triggering Event property.

 m_DynamicUpdate

Controls when the component commits its changes.

 Null

A constant value indicating how an empty string will be saved in the database.

 Text_Event

Constant value for the Triggering Event property.

 TriggeringEvent

The value of the Triggering Event property.

 FormattedTextField()

Constructs a new FormattedTextField.

 FormattedTextField(int)

Constructs a new FormattedTextField with the specified number of columns.

 FormattedTextField(String)

Constructs a new FormattedTextField containing the specified text.

 FormattedTextField(String, int)

Constructs a new FormattedTextField containing the specified text and able to have the specified number of columns.

 getData()

Gets the value of this component.

 getDataBinding()

Gets the name of the data item this component is bound to.

 getDynamicUpdate()

Indicates when the component commits its changes.

 getEmptyMeansNull()

Gets the value of the Empty Means Null property.

 getProjection()

Returns the projection in the RelationView that this component is bound with.

 getRelationView()

Gets the RelationView that this component is bound with.

 getScale()

Gets the number of digits to the right of the decimal point for this component's value.

 getTriggeringEvent()

Gets the current value of the Triggering Event property.

 isTextBased()

Gets whether this component saves its value as a text String.

 registerListeners()

Registers the standard event listener(s) for this component.

 setBinding(RelationView, String)

Binds this component to a given projection within the specified relation view.

 setData(Object)

Sets the value of this component to the given value.

 setDataBinding(String)

Sets the name of the data item to bind this component to.

 setDynamicUpdate(boolean)

Sets when the component commits its changes.

 setEditable(boolean)

Contitionally sets this field to be user-editable.

 setEmptyMeansNull(boolean)

Sets the value of the Empty Means Null property.

 setMask(String)

Sets the valid string format mask for this field.

 setProjection(String)

Binds this component to the given projection within the RelationView the component is currently bound with.

 setReadOnly(boolean)

Sets whether the data value of this component may be modified.

 setRelationView(RelationView)

Sets the RelationView that this component is bound with.

 setTreatBlankAs(int)

Specifies how an empty string will be set when updating data on the dbANYWHERE server.

 setTriggeringEvent(int)

Sets the value of the Triggering Event property.

 Blank

 public static final int Blank

A constant value indicating how an empty string will be saved in the database.

 Default

 public static final int Default

A constant value indicating how an empty string will be saved in the database.

 Focus_Event

 public static final int Focus_Event

Constant value for the Triggering Event property. Indicates the triggering event is FOCUS_LOST.

 Key_Event

 public static final int Key_Event

Constant value for the Triggering Event property. Indicates the triggering event is KEY_PRESSED.

 m_DynamicUpdate

 protected boolean m_DynamicUpdate

Controls when the component commits its changes. If true, this component sets the triggering event to Key_Event, otherwise the triggering event is set to Focus_Event.

See Also:

getDynamicUpdate, setDynamicUpdate, Focus_Event, Key_Event

 Null

 public static final int Null

A constant value indicating how an empty string will be saved in the database.

 Text_Event

 public static final int Text_Event

Constant value for the Triggering Event property. Indicates the triggering event is TEXT_VALUE_CHANGED.

 TriggeringEvent

 protected int TriggeringEvent

The value of the Triggering Event property. The type of event that triggers this component to commit its changes.

See Also:

getTriggeringEvent, setTriggeringEvent, Focus_Event, Key_Event, Text_Event

 FormattedTextField

 public FormattedTextField()

Constructs a new FormattedTextField. It can have 256 columns.

 FormattedTextField

 public FormattedTextField(int cols)

Constructs a new FormattedTextField with the specified number of columns.

Parameters:

cols - the number of character columns

 FormattedTextField

 public FormattedTextField(String text)

Constructs a new FormattedTextField containing the specified text. It can have 256 columns.

Parameters:

text - the field text

 FormattedTextField

 public FormattedTextField(String text,
                           int cols)

Constructs a new FormattedTextField containing the specified text and able to have the specified number of columns.

Parameters:

text - the field text

cols - the number of character columns

 getData

 public Object getData()

Gets the value of this component.

Returns:

the current component value

See Also:

setData

 getDataBinding

 public String getDataBinding()

Gets the name of the data item this component is bound to.

Returns:

s the data item name, like "MyTable@MyColumn"

See Also:

setDataBinding

 getDynamicUpdate

 public boolean getDynamicUpdate()

Indicates when the component commits its changes. If true, this component has set the triggering event to Key_Event, otherwise the triggering event is set to Focus_Event.

See Also:

setDynamicUpdate, Focus_Event, Key_Event

 getEmptyMeansNull

 public boolean getEmptyMeansNull()

Gets the value of the Empty Means Null property. This determines how an empty string will be saved when updating data on the database server. A value of trueindicates an empty string will be saved as a SQL NULL value. Otherwise it will be saved as a blank value.

Returns:

true for NULL, false for BLANK

See Also:

setEmptyMeansNull

 getProjection

 public String getProjection()

Returns the projection in the RelationView that this component is bound with.

See Also:

setBinding, setProjection

 getRelationView

 public RelationView getRelationView()

Gets the RelationView that this component is bound with.

Returns:

the RelationView currently bound with

See Also:

setRelationView, setBinding, getProjection

 getScale

 public int getScale()

Gets the number of digits to the right of the decimal point for this component's value.

Returns:

the number of digits to the right of the decimal point

 getTriggeringEvent

 public int getTriggeringEvent()

Gets the current value of the Triggering Event property. This determines the type of event that triggers the component to commit its changes to the database.

Returns:

one of Focus_Event, Key_Event, or Text_Event

See Also:

setTriggeringEvent, Focus_Event, Key_Event, Text_Event

 isTextBased

 public boolean isTextBased()

Gets whether this component saves its value as a text String.

Returns:

true if the value is saved as text, false otherwise

 registerListeners

 public void registerListeners()

Registers the standard event listener(s) for this component.

 setBinding

 public void setBinding(RelationView relView,
                        String projection)

Binds this component to a given projection within the specified relation view.

Parameters:

relView - the relation view to bind with

projection - the projection in relView to bind with

 setData

 public void setData(Object value)

Sets the value of this component to the given value.

Parameters:

value - the new component value

See Also:

getData

 setDataBinding

 public void setDataBinding(String name)

Sets the name of the data item to bind this component to.

Parameters:

name - the data item name, like "MyTable@MyColumn"

See Also:

getDataBinding

 setDynamicUpdate

 public void setDynamicUpdate(boolean value)

Sets when the component commits its changes. If true, this component sets the triggering event to Key_Event, otherwise the triggering event is set to Focus_Event.

Parameters:

value - the new dynamic update mode value

See Also:

getDynamicUpdate, Focus_Event, Key_Event

 setEditable

 public void setEditable(boolean value)

Contitionally sets this field to be user-editable.

Parameters:

value - true to make this field editable, false otherwise

Overrides:

setEditable in class FormattedTextField

 setEmptyMeansNull

 public void setEmptyMeansNull(boolean propertyValue)

Sets the value of the Empty Means Null property. This determines how an empty string will be saved when updating data on the database server. A value of trueindicates an empty string will be saved as a SQL NULL value. Otherwise it will be saved as a blank value.

Parameters:

propertyValue - true for NULL, false for BLANK

See Also:

getEmptyMeansNull

 setMask

 public void setMask(String mask)

Sets the valid string format mask for this field.

Overrides:

setMask in class FormattedTextField

See Also:

getMask

 setProjection

 public void setProjection(String projection)

Binds this component to the given projection within the RelationView the component is currently bound with.

See Also:

setBinding, getProjection, getRelationView

 setReadOnly

 public void setReadOnly(boolean value)

Sets whether the data value of this component may be modified.

Parameters:

value - true if the value may not be modified, falseif the value may be modified

 setRelationView

 public void setRelationView(RelationView rv)

Sets the RelationView that this component is bound with.

Parameters:

rv - the RelationView to bind with

See Also:

getRelationView, setBinding, setProjection

 setTreatBlankAs

 public void setTreatBlankAs(int value)

Specifies how an empty string will be set when updating data on the dbANYWHERE server.

Parameters:

blank - one of "DEFAULT", "NULL", or "BLANK"

See Also:

setValueFromString

 setTriggeringEvent

 public void setTriggeringEvent(int Event)

Sets the value of the Triggering Event property. This determines the type of event that triggers the component to commit its changes to the database.

Parameters:

event - one of Focus_Event, Key_Event, or Text_Event

See Also:

getTriggeringEvent, Focus_Event, Key_Event, Text_Event


 Class symantec.itools.db.awt.FormattedTextFieldBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.db.awt.FormattedTextFieldBeanInfo

public class FormattedTextFieldBeanInfo
   extends SimpleBeanInfo

BeanInfo for the FormattedTextField component.

 FormattedTextFieldBeanInfo()

Constructs a FormattedTextFieldBeanInfo object.

 getAdditionalBeanInfo()

Gets an array of BeanInfo on the superclasses of this object.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Gets an array of descriptions of this bean's properties.

 FormattedTextFieldBeanInfo

 public FormattedTextFieldBeanInfo()

Constructs a FormattedTextFieldBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets an array of BeanInfo on the superclasses of this object. The superclasses returned are all assignable from class Object (see isAssignableFrom).

Returns:

BeanInfo on this class's superclasses

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

See Also:

isAssignableFrom

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Gets an array of descriptions of this bean's properties.

Returns:

property descriptions for this bean

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.db.awt.FtpClient

java.lang.Object
   |
   +----symantec.itools.db.awt.FtpClient

public class FtpClient
   extends Object

This class implements a subset of the FTP client-side protocol. It allows you to connect, login and retrieve files from a host system.

 ASCII

ASCII FTP transfer mode constant.

 BINARY

Binary FTP transfer mode constant.

 FtpClient(String)

Constructs a FtpClient connected to the host with the given name.

 chdir(String)

Changes to a different directory on the host.

 closeHard()

Closes the host connection.

 getDirList()

Retrieves a list of directories in the host's current directory.

 getDirName(String)

Returns just the directory name of a host file list entry.

 getError(int)

Gets the error message corresponding to the given FTP error number.

 getFile(String)

Implements the RETR (get file) command, returning a DataInputStream for the specified host file.

 getFileList()

Retrieves a list of files in the host's current directory.

 getFileName(String)

Returns just the file name of a host file list entry.

 getXferMode()

Gets the current file transfer mode.

 loggedIn()

Returns true if currently logged in, false otherwise.

 login(String, String)

Logs in to host with the given user name and password.

 quit()

Performs an FTP QUIT command and then closes the host connection.

 setXferMode(int)

Sets FTP file transfer mode to either ASCII or binary.

 ASCII

 public static final int ASCII

ASCII FTP transfer mode constant.

 BINARY

 public static final int BINARY

Binary FTP transfer mode constant.

 FtpClient

 public FtpClient(String hostname) throws IOException

Constructs a FtpClient connected to the host with the given name. The default transfer mode is binary.

Parameters:

hostname - the name of the host to connect to

Throws: IOException

if failed to connect with the specified host

 chdir

 public void chdir(String dir) throws IOException

Changes to a different directory on the host.

Parameters:

dir - the new directory to change to

Throws: IOException

if there is a problem accessing the host

 closeHard

 public void closeHard()

Closes the host connection.

 getDirList

 public Vector getDirList() throws IOException

Retrieves a list of directories in the host's current directory.

Returns:

a Vector of directory names

Throws: IOException

if there is a problem accessing the host

 getDirName

 public String getDirName(String s)

Returns just the directory name of a host file list entry. The returned directory name has the trailing "/" stripped from it.

Parameters:

s - a host file list entry

Returns:

the directory name

 getError

 public String getError(int err)

Gets the error message corresponding to the given FTP error number.

Parameters:

an - FTP error number

Returns:

a description of that error

 getFile

 public DataInputStream getFile(String name) throws IOException

Implements the RETR (get file) command, returning a DataInputStream for the specified host file. The DataInputStream is used to transfer the file data from the host.

Parameters:

name - the name of the file to get

Returns:

the DataInputStream used to access that file

Throws: IOException

if there is a problem accessing the file

 getFileList

 public Vector getFileList() throws IOException

Retrieves a list of files in the host's current directory.

Returns:

a Vector of filenames

Throws: IOException

if there is a problem accessing the host

 getFileName

 public String getFileName(String s)

Returns just the file name of a host file list entry.

Parameters:

s - a host file list entry

 getXferMode

 public int getXferMode()

Gets the current file transfer mode.

Returns:

the current transfer mode, either ASCII or BINARY

See Also:

ASCII, BINARY

 loggedIn

 public boolean loggedIn()

Returns true if currently logged in, false otherwise.

 login

 public void login(String user,
                   String passwd) throws FtpLoginException

Logs in to host with the given user name and password.

Parameters:

user - the user name

passwd - the user password

Throws: FtpLoginException

if cannot log in

 quit

 public void quit() throws IOException

Performs an FTP QUIT command and then closes the host connection.

Throws: IOException

if there is a problem accessing the host

 setXferMode

 public void setXferMode(int mode)

Sets FTP file transfer mode to either ASCII or binary.

Parameters:

mode - the new transfer mode, one of ASCII or BINARY

See Also:

ASCII, BINARY


 Class symantec.itools.db.awt.Grid

symantec.itools.db.awt.Grid

public class Grid

A component for displaying multiple data records. Provides an array, or spreadsheet-like display, of specified data.

You can also specify predefined buttons that will appear at the bottom of the grid. You can adjust column widths at runtime. You can customize column heading text in code.

 m_Mediator

The mediator used to bind this component with the data source.

 Grid()

Constructs a default Grid.

 Grid(int)

Constructs a Grid with the specified number of columns.

 Grid(int, Color)

Constructs a Grid with the specified number of columns and background color.

 Grid(long)

Constructs a Grid with the preferred height based on specified number of rows.

 Grid(long, int)

Constructs a Grid with the specified number of columns and showing the specified number of rows.

 Grid(RelationView)

Constructs a new Grid using the specified RelationView.

 Grid(RelationView, int)

Constructs a new Grid using the specified RelationView.

 Grid(RelationView, RelationView, int)

Only here to support old projects.

 getAppendButton()

Gets whether the Grid has this button.

 getColumnsNumber()

Gets the number of columns this grid has.

 getDataBinding()

Gets the name of the data item this component is bound to.

 getDeleteButton()

Gets whether the Grid has this button.

 getGotoButton()

Gets whether the Grid has this button.

 getInsertButton()

Gets whether the Grid has this button.

 getjdbcDataSource()

Gets the QueryNavigator this component is using as a JDBC data source.

 getLockedColumn()

Gets the column which does not scroll.

 getNumberOfCols()

Returns the current number of columns.

 getNumberOfRows()

Returns the current number of rows.

 getPreferredSize()

Returns the preferred size of this component.

 getRelationView()

Gets the RelationView that this component is bound with.

 getRestartButton()

Gets whether the Grid has this button.

 getRowsNumber()

Gets the number of rows this Grid has.

 getSaveButton()

Gets whether the Grid has this button.

 getToolbarBackground()

Gets the background color of this Grid's toolbar.

 getUndeleteButton()

Gets whether the Grid has this button.

 getUndoButton()

Gets whether the Grid has this button.

 paint(Graphics)

Paints this component using the given graphics context.

 resizeColumn(int, int)

Sets the width of a column.

 setAppendButton(boolean)

Sets whether the Grid has this button.

 setColumnsNumber(int)

Initializes this Grid to have the specified number of columns.

 setDataBinding(String)

Sets the name of the data item to bind this component to.

 setDeleteButton(boolean)

Sets whether the Grid has this button.

 setGotoButton(boolean)

Sets whether the Grid has this button.

 setInsertButton(boolean)

Sets whether the Grid has this button.

 setjdbcDataSource(Object)

Sets the data source that this component should use.

 setLockedColumn(int)

Sets the column which does not scroll.

 setRelationView(RelationView)

Sets the RelationView that this component is bound with.

 setRestartButton(boolean)

Sets whether the Grid has this button.

 setRowsNumber(int)

Initializes this Grid to have the specified number of rows.

 setSaveButton(boolean)

Sets whether the Grid has this button.

 setStaticSize(int, int)

Initializes this Grid to the specified size.

 setToolbarBackground(Color)

Sets the background color of this Grid's toolbar.

 setUndeleteButton(boolean)

Sets whether the Grid has this button.

 setUndoButton(boolean)

Sets whether the Grid has this button.

 update(Graphics)

Handles redrawing of this component on the screen.

 m_Mediator

 public Mediator m_Mediator

The mediator used to bind this component with the data source.

 Grid

 public Grid()

Constructs a default Grid.

 Grid

 public Grid(int cols)

Constructs a Grid with the specified number of columns.

Parameters:

cols - the requested number of columns

 Grid

 public Grid(int cols,
             Color bg)

Constructs a Grid with the specified number of columns and background color.

Parameters:

cols - the requested number of columns

bg - the requested background color

 Grid

 public Grid(long rows)

Constructs a Grid with the preferred height based on specified number of rows.

Parameters:

rows - the number of rows to show

 Grid

 public Grid(long rows,
             int cols)

Constructs a Grid with the specified number of columns and showing the specified number of rows.

Parameters:

cols - the requested number of columns

rows - the number of rows to show

 Grid

 public Grid(RelationView relView) throws SQLException

Constructs a new Grid using the specified RelationView. The Grid will automatically setup the columns using meta data from the RelationView.

Parameters:

relView - the RelationView on which to drive the Grid

Throws: SQLException

when the Grid cannot be successfully setup due to a database problem

 Grid

 public Grid(RelationView relView,
             int coltoshow) throws SQLException

Constructs a new Grid using the specified RelationView. The Grid will automatically setup the columns using meta data from the RelationView. The Grid will have a preferred width wide enough to show the requested number of columns.

Parameters:

relView - the RelationView on which to drive the Grid

coltoshow - the number of columns to show in the grid

Throws: SQLException

when the Grid cannot be successfully setup due to a database problem

 Grid

 public Grid(RelationView relView,
             RelationView masterView,
             int coltoshow) throws SQLException

Only here to support old projects. The Grid will have a preferred width wide enough to show the requested number of columns.

Parameters:

relView - the detail view to attach to the Grid

masterView - the master view

coltoshow - the number of columns to show in the grid

Throws: SQLException

when the Grid cannot be successfully setup due to a database problem

 getAppendButton

 public boolean getAppendButton()

Gets whether the Grid has this button.

Returns:

true if the Grid has the button, false otherwise

See Also:

setAppendButton

 getColumnsNumber

 public int getColumnsNumber()

Gets the number of columns this grid has.

Returns:

the number of columns

See Also:

setColumnsNumber

 getDataBinding

 public String getDataBinding()

Gets the name of the data item this component is bound to.

Returns:

s the data item name, like "MyTable@MyColumn"

See Also:

setDataBinding

 getDeleteButton

 public boolean getDeleteButton()

Gets whether the Grid has this button.

Returns:

true if the Grid has the button, false otherwise

See Also:

setDeleteButton

 getGotoButton

 public boolean getGotoButton()

Gets whether the Grid has this button.

Returns:

true if the Grid has the button, false otherwise

See Also:

setGotoButton

 getInsertButton

 public boolean getInsertButton()

Gets whether the Grid has this button.

Returns:

true if the Grid has the button, false otherwise

See Also:

setInsertButton

 getjdbcDataSource

 public QueryNavigator getjdbcDataSource()

Gets the QueryNavigator this component is using as a JDBC data source.

Returns:

the data source

See Also:

setjdbcDataSource

 getLockedColumn

 public int getLockedColumn()

Gets the column which does not scroll. All columns to the left of the locked column do not scroll, all of the columns to the right are scrollable.

Returns:

the locked column, 0 if all columns are scrollable

See Also:

setLockedColumn

 getNumberOfCols

 public int getNumberOfCols()

Returns the current number of columns.

See Also:

getNumberOfRows

 getNumberOfRows

 public int getNumberOfRows()

Returns the current number of rows.

See Also:

getNumberOfCols

 getPreferredSize

 public Dimension getPreferredSize()

Returns the preferred size of this component.

 getRelationView

 public RelationView getRelationView()

Gets the RelationView that this component is bound with.

Returns:

the RelationView currently bound with

See Also:

setRelationView

 getRestartButton

 public boolean getRestartButton()

Gets whether the Grid has this button.

Returns:

true if the Grid has the button, false otherwise

See Also:

setRestartButton

 getRowsNumber

 public int getRowsNumber()

Gets the number of rows this Grid has.

Returns:

the number of rows

See Also:

setRowsNumber

 getSaveButton

 public boolean getSaveButton()

Gets whether the Grid has this button.

Returns:

true if the Grid has the button, false otherwise

See Also:

setSaveButton

 getToolbarBackground

 public Color getToolbarBackground()

Gets the background color of this Grid's toolbar.

Returns:

the background color

See Also:

setToolbarBackground

 getUndeleteButton

 public boolean getUndeleteButton()

Gets whether the Grid has this button.

Returns:

true if the Grid has the button, false otherwise

See Also:

setUndeleteButton

 getUndoButton

 public boolean getUndoButton()

Gets whether the Grid has this button.

Returns:

true if the Grid has the button, false otherwise

See Also:

setUndoButton

 paint

 public void paint(Graphics g)

Paints this component using the given graphics context.

This is a standard Java AWT method which typically gets called by the AWT to handle painting this component. It paints this component using the given graphics context. The graphics context clipping region is set to the bounding rectangle of this component and its [0,0] coordinate is this component's top-left corner.

 resizeColumn

 public void resizeColumn(int col,
                          int rightSide)

Sets the width of a column.

Parameters:

col - the one-relative column index

rightSide - the new width of the column, in pixels

 setAppendButton

 public void setAppendButton(boolean on)

Sets whether the Grid has this button.

Parameters:

on - true if the Grid has the button, false otherwise

See Also:

getAppendButton

 setColumnsNumber

 public void setColumnsNumber(int cols)

Initializes this Grid to have the specified number of columns.

Parameters:

cols - the number of columns

See Also:

getColumnsNumber

 setDataBinding

 public void setDataBinding(String name)

Sets the name of the data item to bind this component to.

Parameters:

name - the data item name, like "MyTable@MyColumn"

See Also:

getDataBinding

 setDeleteButton

 public void setDeleteButton(boolean on)

Sets whether the Grid has this button.

Parameters:

on - true if the Grid has the button, false otherwise

See Also:

getDeleteButton

 setGotoButton

 public void setGotoButton(boolean on)

Sets whether the Grid has this button.

Parameters:

on - true if the Grid has the button, false otherwise

See Also:

getGotoButton

 setInsertButton

 public void setInsertButton(boolean on)

Sets whether the Grid has this button.

Parameters:

on - true if the Grid has the button, false otherwise

See Also:

getInsertButton

 setjdbcDataSource

 public void setjdbcDataSource(Object Value) throws SQLException

Sets the data source that this component should use.

Parameters:

Value - a QueryNavigator or RelationView data source

Throws: SQLException

when a database error occurs

See Also:

getjdbcDataSource

 setLockedColumn

 public void setLockedColumn(int col)

Sets the column which does not scroll. All columns to the left of the locked column do not scroll, all of the columns to the right are scrollable.

Parameters:

col - the column to be locked, 0 if all columns should be scrollable

See Also:

getLockedColumn

 setRelationView

 public void setRelationView(RelationView relView) throws SQLException

Sets the RelationView that this component is bound with.

Parameters:

relView - the RelationView to bind with

Throws: SQLException

when a database error occurs

See Also:

getRelationView

 setRestartButton

 public void setRestartButton(boolean on)

Sets whether the Grid has this button.

Parameters:

on - true if the Grid has the button, false otherwise

See Also:

getRestartButton

 setRowsNumber

 public void setRowsNumber(int rows)

Initializes this Grid to have the specified number of rows.

Parameters:

rows - the number of rows

See Also:

getRowsNumber

 setSaveButton

 public void setSaveButton(boolean on)

Sets whether the Grid has this button.

Parameters:

on - true if the Grid has the button, false otherwise

See Also:

getSaveButton

 setStaticSize

 public void setStaticSize(int rows,
                           int cols) throws SQLException

Initializes this Grid to the specified size.

Parameters:

rows - the number of rows

cols - the number of columns

Throws: SQLException

when a database error occurs

 setToolbarBackground

 public void setToolbarBackground(Color c)

Sets the background color of this Grid's toolbar.

Parameters:

c - the background color

See Also:

getToolbarBackground

 setUndeleteButton

 public void setUndeleteButton(boolean on)

Sets whether the Grid has this button.

Parameters:

on - true if the Grid has the button, false otherwise

See Also:

getUndeleteButton

 setUndoButton

 public void setUndoButton(boolean on)

Sets whether the Grid has this button.

Parameters:

on - true if the Grid has the button, false otherwise

See Also:

getUndoButton

 update

 public void update(Graphics g)

Handles redrawing of this component on the screen.

This is a standard Java AWT method which gets called by the Java AWT (repaint()) to handle repainting this component on the screen. The graphics context clipping region is set to the bounding rectangle of this component and its [0,0] coordinate is this component's top-left corner.

Typically this method paints the background color to clear the component's drawing space, sets graphics context to be the foreground color, and then calls paint() to draw the component.

It is overridden here to prevent the flicker associated with the standard update() method's repainting of the background before painting the component itself.


 Class symantec.itools.db.awt.GridBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.db.awt.GridBeanInfo

public class GridBeanInfo
   extends SimpleBeanInfo

BeanInfo for the Grid component.

 GridBeanInfo()

Constructs a GridBeanInfo object.

 getAdditionalBeanInfo()

Gets BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an empty MethodDescriptor array.

 getPropertyDescriptors()

Gets an array of descriptions of this bean's properties.

 GridBeanInfo

 public GridBeanInfo()

Constructs a GridBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getDefaultPropertyIndex

 public int getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

Overrides:

getDefaultPropertyIndex in class SimpleBeanInfo

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an empty MethodDescriptor array.

Returns:

an empty array

Overrides:

getMethodDescriptors in class SimpleBeanInfo

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Gets an array of descriptions of this bean's properties.

Returns:

property descriptions for this bean

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.db.awt.ImageStringData

java.lang.Object
   |
   +----symantec.itools.db.awt.ImageStringData

public class ImageStringData
   extends Object
   implements Data

This class serves as the workhorse for transferring data from a DataSource to a TableCell. It provides support for transferring String and image information.

 ImageStringData(DataSource)

Creates a Data element using the specified data source.

 ImageStringData(DataSource, Image)

Creates a Data element using the specified data source.

 ImageStringData(DataSource, String)

Creates a Data element using the specified data source.

 ImageStringData(DataSource, String, Image)

Creates a Data element using the specified data source.

 appendChar(char)

Appends a character to the end of the string data.

 changed()

Gets whether the data has been changed since last committed.

 clearText()

Sets the string value to the empty string.

 commit()

Commits the current data as the current value.

 deleteChar(int)

Removes a character from the string data for the field.

 getChoices()

Gets an array of Data objects that define the predefined values associated with a field.

 insertChar(int, char)

Inserts a character into the string data.

 isEditable(int, int)

Gets whether the data can be modified.

 rollback()

Requests the value of the data be returned to the last save point.

 setImage(Image)

Sets a new image for the field.

 setText(char)

Sets the string value for the field using a character.

 setText(String)

Sets the string value for the data.

 subString(int, int)

Gets a substring from the string data for the field.

 supportsChoice()

Gets whether the data supports multiple predefined choice data.

 toImage()

Gets teh current image value for the field.

 toString()

Gets the current string value for the field.

 type()

Gets the value of the type flag to indicate the type of information held by the data object.

 ImageStringData

 public ImageStringData(DataSource ds)

Creates a Data element using the specified data source. The string data is set to the emtpy string and the image is set to null.

 ImageStringData

 public ImageStringData(DataSource ds,
                        Image i)

Creates a Data element using the specified data source. The string data is set to the null and the image is set to specifeid paramter value.

 ImageStringData

 public ImageStringData(DataSource ds,
                        String t)

Creates a Data element using the specified data source. The string data is set to the value passed as the parameter string and the image is set to null.

 ImageStringData

 public ImageStringData(DataSource ds,
                        String t,
                        Image i)

Creates a Data element using the specified data source. The string data and image data are set to the specified values.

 appendChar

 public void appendChar(char c)

Appends a character to the end of the string data.

 changed

 public boolean changed()

Gets whether the data has been changed since last committed.

 clearText

 public void clearText()

Sets the string value to the empty string.

 commit

 public void commit() throws TypeNotSupported

Commits the current data as the current value. This method is normally called by the data source when a commit request was issued.

Throws: TypeNotSupported

if the data source does not support the type of action requested or is not successful

 deleteChar

 public void deleteChar(int pos)

Removes a character from the string data for the field.

 getChoices

 public Data[] getChoices() throws TypeNotSupported

Gets an array of Data objects that define the predefined values associated with a field. This method always throws a TypeNotSupported exception.

Throws: TypeNotSupported

since choices are not supported

 insertChar

 public void insertChar(int pos,
                        char c)

Inserts a character into the string data.

Parameters:

pos - The position in the string to insert the character. Follows the same rules as the StringBuffer class.

c - The character to insert.

 isEditable

 public boolean isEditable(int row,
                           int col)

Gets whether the data can be modified.

 rollback

 public void rollback()

Requests the value of the data be returned to the last save point.

 setImage

 public void setImage(Image i)

Sets a new image for the field.

 setText

 public void setText(char c)

Sets the string value for the field using a character.

 setText

 public void setText(String t)

Sets the string value for the data.

 subString

 public String subString(int spos,
                         int epos)

Gets a substring from the string data for the field.

 supportsChoice

 public boolean supportsChoice()

Gets whether the data supports multiple predefined choice data.

Returns:

Always return false.

 toImage

 public Image toImage()

Gets teh current image value for the field.

 toString

 public String toString()

Gets the current string value for the field.

Overrides:

toString in class Object

 type

 public int type()

Gets the value of the type flag to indicate the type of information held by the data object.

Returns:

One of STRING, IMAGE, STRING_IMAGE as defined in the Data class.


 Class symantec.itools.db.awt.ImageViewer

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Canvas
                   |
                   +----symantec.itools.db.awt.ImageViewer

public class ImageViewer
   extends Canvas
   implements ProjectionBean

A dbAWARE component that displays an image.

This component can be "bound" to a projection within a relation view so that it automatically gets the image to display from the database.

 ImageViewer()

Constructs a default ImageViewer.

 ImageViewer(URL)

Constructs an ImageViewer and specifies the default URL that security checks are performed against.

 addNotify()

Tells this component that it has been added to a container.

 clearImage()

Eliminates any current image.

 convertInputStreamToOutputStream(InputStream)

Converts the given input stream to an output stream.

 fetchHTTP(URL)

Helper function for fetchImage() which retrieves the data for an image whose URL is in http format.

 fetchImage(String)

Loads and builds the image at the specified URL then returns an input stream of its image data.

 fetchImage(URL)

Loads and builds the image at the specified URL then returns an input stream of its image data.

 getData()

Gets the value of this component.

 getDataBinding()

Gets the name of the data item this component is bound to.

 getDynamicUpdate()

Indicates when the component commits its changes.

 getImage()

Gets this component's Image.

 getImageType()

Gets the type of image loaded.

 getInputStream()

Gets the image input stream.

 getOutputStream()

Gets the image output stream.

 getProjection()

Returns the projection in the RelationView that this component is bound with.

 getRelationView()

Gets the RelationView that this component is bound with.

 getScale()

Gets the number of digits to the right of the decimal point for this component's value.

 isLoaded()

Determines whether the image is completely loaded or not.

 isTextBased()

Gets whether this component saves its value as a text String.

 paint(Graphics)

Paints this component using the given graphics context.

 registerListeners()

Registers the standard event listener(s) for this component.

 setBaseUrl(URL)

Sets the default URL that security checks are performed against.

 setBinding(RelationView, String)

Binds this component to a given projection within the specified relation view.

 setData(Object)

Sets the value of this component to the given value.

 setDataBinding(String)

Sets the name of the data item to bind this component to.

 setDisplayOption(boolean)

Sets whether the image will be displayed while it is loading.

 setDynamicUpdate(boolean)

Sets when the component commits its changes.

 setImage(Image)

Sets this component's Image.

 setImageType(byte[])

Sets the type of image loaded.

 setImageType(int)

Sets the type of image loaded.

 setInputStream(ByteArrayInputStream)

Sets the image input stream.

 setIsLoaded(boolean)

Sets the "is loaded" flag.

 setProjection(String)

Binds this component to the given projection within the RelationView the component is currently bound with.

 setReadOnly(boolean)

Sets whether the data value of this component may be modified.

 setRelationView(RelationView)

Sets the RelationView that this component is bound with.

 setTreatBlankAs(String)

Specifies how an empty string will be set when updating data on the dbANYWHERE server.

 ImageViewer

 public ImageViewer()

Constructs a default ImageViewer. By default this viewer will not display images while they are loading.

 ImageViewer

 public ImageViewer(URL base)

Constructs an ImageViewer and specifies the default URL that security checks are performed against. By default this viewer will not display images while they are loading.

Parameters:

base - the default URL that security checks are performed against

See Also:

StreamImageSource

 addNotify

 public void addNotify()

Tells this component that it has been added to a container.

This is a standard Java AWT method which gets called by the AWT when this component is added to a container. Typically, it is used to create this component's peer.

It is overridden here to set the StreamImage base URL if within an applet.

Overrides:

addNotify in class Canvas

See Also:

removeNotify

 clearImage

 public void clearImage()

Eliminates any current image.

 convertInputStreamToOutputStream

 protected ByteArrayOutputStream convertInputStreamToOutputStream(InputStream input) throws MalformedURLException

Converts the given input stream to an output stream.

Parameters:

input - the input stream

Returns:

the input stream converted to an output sream

Throws: MalformedURLException

if an exception occurs while converting

 fetchHTTP

 public ByteArrayInputStream fetchHTTP(URL url) throws MalformedURLException

Helper function for fetchImage() which retrieves the data for an image whose URL is in http format.

Parameters:

url - the URL

Returns:

the loaded image data

Throws: MalformedURLException

if the URL is invalid

See Also:

fetchImage

 fetchImage

 public ByteArrayInputStream fetchImage(String s) throws MalformedURLException

Loads and builds the image at the specified URL then returns an input stream of its image data.

Parameters:

s - the URL string

Returns:

the image data stream

Throws: MalformedURLException

if the URL string is invalid

 fetchImage

 public ByteArrayInputStream fetchImage(URL url) throws MalformedURLException

Loads and builds the image at the specified URL then returns an input stream of its image data. Double checks to see if it begins with ftp:// even though Java doesn't support that right now.

Parameters:

s - the URL

Returns:

the image data stream

Throws: MalformedURLException

if the URL is invalid

 getData

 public Object getData()

Gets the value of this component.

Returns:

the current component value

See Also:

setData

 getDataBinding

 public String getDataBinding()

Gets the name of the data item this component is bound to.

Returns:

s the data item name, like "MyTable@MyColumn"

See Also:

setDataBinding

 getDynamicUpdate

 public boolean getDynamicUpdate()

Indicates when the component commits its changes.

See Also:

setDynamicUpdate

 getImage

 protected Image getImage()

Gets this component's Image.

Returns:

the image

See Also:

setImage

 getImageType

 public int getImageType()

Gets the type of image loaded. Currently only GIF and JPEG are supported.

Returns:

one of StreamImageSource.JPEG, or StreamImageSource.GIF

See Also:

setImageType, JPEG, GIF

 getInputStream

 protected ByteArrayInputStream getInputStream()

Gets the image input stream.

Returns:

the input stream

See Also:

setInputStream

 getOutputStream

 protected ByteArrayOutputStream getOutputStream()

Gets the image output stream.

Returns:

the output stream

 getProjection

 public String getProjection()

Returns the projection in the RelationView that this component is bound with.

See Also:

setBinding, setProjection

 getRelationView

 public RelationView getRelationView()

Gets the RelationView that this component is bound with.

Returns:

the RelationView currently bound with

See Also:

setRelationView, setBinding, getProjection

 getScale

 public int getScale()

Gets the number of digits to the right of the decimal point for this component's value.

Returns:

the number of digits to the right of the decimal point

 isLoaded

 public boolean isLoaded()

Determines whether the image is completely loaded or not.

Returns:

true if the image is completely loaded

 isTextBased

 public boolean isTextBased()

Gets whether this component saves its value as a text String.

Returns:

true if the value is saved as text, false otherwise

 paint

 public void paint(Graphics g)

Paints this component using the given graphics context.

This is a standard Java AWT method which typically gets called by the AWT to handle painting this component. It paints this component using the given graphics context. The graphics context clipping region is set to the bounding rectangle of this component and its [0,0] coordinate is this component's top-left corner.

Parameters:

g - the graphics context used for painting

Overrides:

paint in class Canvas

See Also:

repaint, update

 registerListeners

 public void registerListeners()

Registers the standard event listener(s) for this component.

 setBaseUrl

 public static void setBaseUrl(URL base)

Sets the default URL that security checks are performed against.

Parameters:

base - the default URL that security checks are performed against

See Also:

StreamImageSource

 setBinding

 public void setBinding(RelationView relView,
                        String projection)

Binds this component to a given projection within the specified relation view.

Parameters:

relView - the relation view to bind with

projection - the projection in relView to bind with

 setData

 public void setData(Object value)

Sets the value of this component to the given value.

Parameters:

value - the new component value

See Also:

getData

 setDataBinding

 public void setDataBinding(String name)

Sets the name of the data item to bind this component to.

Parameters:

name - the data item name, like "MyTable@MyColumn"

See Also:

getDataBinding

 setDisplayOption

 public void setDisplayOption(boolean dOption)

Sets whether the image will be displayed while it is loading. Otherwise the image will not be displayed until it finishes loading.

 setDynamicUpdate

 public void setDynamicUpdate(boolean value)

Sets when the component commits its changes.

Parameters:

value - the new dynamic update mode value

See Also:

getDynamicUpdate

 setImage

 protected void setImage(Image image)

Sets this component's Image.

Parameters:

image - the new image

See Also:

getImage

 setImageType

 protected void setImageType(byte data[])

Sets the type of image loaded. Currently only GIF and JPEG are supported.

Parameters:

data - one of "JPG" or "GIF"

See Also:

setImageType, getImageType

 setImageType

 public void setImageType(int type)

Sets the type of image loaded. Currently only GIF and JPEG are supported.

Parameters:

type - one of StreamImageSource.JPEG, or StreamImageSource.GIF

See Also:

setImageType, getImageType, JPEG, GIF

 setInputStream

 protected void setInputStream(ByteArrayInputStream stream)

Sets the image input stream.

Parameters:

stream - the new input stream

See Also:

getInputStream

 setIsLoaded

 protected void setIsLoaded(boolean isLoaded)

Sets the "is loaded" flag.

Parameters:

isLoaded - the new flag value

See Also:

isLoaded

 setProjection

 public void setProjection(String projection)

Binds this component to the given projection within the RelationView the component is currently bound with.

See Also:

setBinding, getProjection, getRelationView

 setReadOnly

 public void setReadOnly(boolean value)

Sets whether the data value of this component may be modified.

Parameters:

value - true if the value may not be modified, falseif the value may be modified

 setRelationView

 public void setRelationView(RelationView value)

Sets the RelationView that this component is bound with.

Parameters:

value - the RelationView to bind with

See Also:

getRelationView, setBinding, setProjection

 setTreatBlankAs

 public void setTreatBlankAs(String value)

Specifies how an empty string will be set when updating data on the dbANYWHERE server.

Parameters:

blank - one of "DEFAULT", "NULL", or "BLANK"

See Also:

setValueFromString


 Class symantec.itools.db.awt.ImageViewerBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.db.awt.ImageViewerBeanInfo

public class ImageViewerBeanInfo
   extends SimpleBeanInfo

BeanInfo for the ImageViewer component.

 ImageViewerBeanInfo()

Constructs a ImageViewerBeanInfo object.

 getAdditionalBeanInfo()

Gets BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Gets an array of descriptions of this bean's properties.

 ImageViewerBeanInfo

 public ImageViewerBeanInfo()

Constructs a ImageViewerBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getDefaultPropertyIndex

 public int getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

Overrides:

getDefaultPropertyIndex in class SimpleBeanInfo

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Gets an array of descriptions of this bean's properties.

Returns:

property descriptions for this bean

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.db.awt.Label

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Label
                   |
                   +----symantec.itools.db.awt.Label

public class Label
   extends Label
   implements ProjectionBean

A dbAWARE Label.

This component can be "bound" to a projection within a relation view so that it automatically gets the values in that relation.

 Label()

Constructs a default Label.

 Label(String)

Constructs a Label with the text.

 getData()

Gets the value of this component.

 getDataBinding()

Gets the name of the data item this component is bound to.

 getDynamicUpdate()

Indicates when the component commits its changes.

 getProjection()

Returns the projection in the RelationView that this component is bound with.

 getRelationView()

Gets the RelationView that this component is bound with.

 getScale()

Gets the number of digits to the right of the decimal point for this component's value.

 isTextBased()

Gets whether this component saves its value as a text String.

 registerListeners()

Registers the standard event listener(s) for this component.

 setBinding(RelationView, String)

Binds this component to a given projection within the specified relation view.

 setData(Object)

Sets the value of this component to the given value.

 setDataBinding(String)

Sets the name of the data item to bind this component to.

 setDynamicUpdate(boolean)

Sets when the component commits its changes.

 setProjection(String)

Binds this component to the given projection within the RelationView the component is currently bound with.

 setReadOnly(boolean)

Sets whether the data value of this component may be modified.

 setRelationView(RelationView)

Sets the RelationView that this component is bound with.

 setTreatBlankAs(String)

Specifies how an empty string will be set when updating data on the dbANYWHERE server.

 Label

 public Label()

Constructs a default Label. By default the label will read: "<dbAWARE Label>".

Call setBinding() to bind this component to a projection in a RelationView and auto-set the label text.

See Also:

setBinding

 Label

 public Label(String s)

Constructs a Label with the text.

Parameters:

s - the text for the label

 getData

 public Object getData()

Gets the value of this component.

Returns:

the current component value

See Also:

setData

 getDataBinding

 public String getDataBinding()

Gets the name of the data item this component is bound to.

Returns:

s the data item name, like "MyTable@MyColumn"

See Also:

setDataBinding

 getDynamicUpdate

 public boolean getDynamicUpdate()

Indicates when the component commits its changes.

See Also:

setDynamicUpdate

 getProjection

 public String getProjection()

Returns the projection in the RelationView that this component is bound with.

See Also:

setBinding, setProjection

 getRelationView

 public RelationView getRelationView()

Gets the RelationView that this component is bound with.

Returns:

the RelationView currently bound with

See Also:

setRelationView, setBinding, getProjection

 getScale

 public int getScale()

Gets the number of digits to the right of the decimal point for this component's value.

Returns:

the number of digits to the right of the decimal point

 isTextBased

 public boolean isTextBased()

Gets whether this component saves its value as a text String.

Returns:

true if the value is saved as text, false otherwise

 registerListeners

 public void registerListeners()

Registers the standard event listener(s) for this component.

 setBinding

 public void setBinding(RelationView relView,
                        String projection)

Binds this component to a given projection within the specified relation view.

Parameters:

relView - the relation view to bind with

projection - the projection in relView to bind with

 setData

 public void setData(Object value)

Sets the value of this component to the given value.

Parameters:

value - the new component value

See Also:

getData

 setDataBinding

 public void setDataBinding(String name)

Sets the name of the data item to bind this component to.

Parameters:

name - the data item name, like "MyTable@MyColumn"

See Also:

getDataBinding

 setDynamicUpdate

 public void setDynamicUpdate(boolean value)

Sets when the component commits its changes.

Parameters:

value - the new dynamic update mode value

See Also:

getDynamicUpdate

 setProjection

 public void setProjection(String projection)

Binds this component to the given projection within the RelationView the component is currently bound with.

See Also:

setBinding, getProjection, getRelationView

 setReadOnly

 public void setReadOnly(boolean value)

Sets whether the data value of this component may be modified.

Parameters:

value - true if the value may not be modified, falseif the value may be modified

 setRelationView

 public void setRelationView(RelationView value)

Sets the RelationView that this component is bound with.

Parameters:

value - the RelationView to bind with

See Also:

getRelationView, setBinding, setProjection

 setTreatBlankAs

 public void setTreatBlankAs(String value)

Specifies how an empty string will be set when updating data on the dbANYWHERE server.

Parameters:

blank - one of "DEFAULT", "NULL", or "BLANK"

See Also:

setValueFromString


 Class symantec.itools.db.awt.LabelBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.db.awt.LabelBeanInfo

public class LabelBeanInfo
   extends SimpleBeanInfo

BeanInfo for the Label component.

 LabelBeanInfo()

Constructs a LabelBeanInfo object.

 getAdditionalBeanInfo()

Gets BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Gets an array of descriptions of this bean's properties.

 LabelBeanInfo

 public LabelBeanInfo()

Constructs a LabelBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getDefaultPropertyIndex

 public int getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

Overrides:

getDefaultPropertyIndex in class SimpleBeanInfo

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Gets an array of descriptions of this bean's properties.

Returns:

property descriptions for this bean

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.db.awt.List

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.List
                   |
                   +----symantec.itools.db.awt.List

public class List
   extends List
   implements ListLink, ProjectionBean

A dbAWARE List component.

This component can be "bound" to a projection within a relation view so that it automatically gets and sets the values in that relation.

 Blank

A constant value indicating how an empty string will be saved in the database.

 Default

A constant value indicating how an empty string will be saved in the database.

 Null

A constant value indicating how an empty string will be saved in the database.

 List()

Constructs a default List with no data connectivity, initially.

 List(int)

Constructs a new List with no data connectivity, initially.

 List(RelationView, ConnectionInfo)

Constructs a new List linked to a database.

 addItem(String)

Adds the specified item to the end of the list.

 bindList()

Binds this component to a list of columns within a RelationView.

 getConnectionInfo()

Gets the ConnectionInfo this component uses to connect with the database.

 getData()

Gets the value of this component.

 getDynamicUpdate()

Indicates when the component commits its changes.

 getEmptyMeansNull()

Gets the value of the Empty Means Null property.

 getJoinColumns()

Gets the list of columns that this component will be bound to.

 getLookUpRelationView()

Gets the RelationView this component is bound with.

 getProjection()

Returns the projection in the RelationView that this component is bound with.

 getRelationView()

Gets the RelationView that this component is bound with.

 getScale()

Gets the number of digits to the right of the decimal point for this component's value.

 getSelectClause()

Gets the sql string to use while generating the list for this component to bind to.

 init(ListBinder)

Called when this component has been bound to a RelationView.

 isTextBased()

Gets whether this component saves its value as a text String.

 join(String)

Adds a column to the list of columns that this component will be bound to.

 notifyListChange(ListBinder)

This method is called to update the value of this dbAWARE component.

 registerListeners()

Registers the standard event listener(s) for this component.

 setBinding(RelationView, String)

Binds this component to a given projection within the specified relation view.

 setConnectionInfo(ConnectionInfo)

Sets the ConnectionInfo this component uses to connect with the database.

 setData(Object)

Sets the value of this component to the given value.

 setDynamicUpdate(boolean)

Sets when the component commits its changes.

 setEmptyMeansNull(boolean)

Sets the value of the Empty Means Null property.

 setJoinColumns(String[])

Sets the list of columns that this component will be bound to.

 setLookUpRelationView(RelationView)

Sets the RelationView this component is bound with.

 setProjection(String)

Binds this component to the given projection within the RelationView the component is currently bound with.

 setReadOnly(boolean)

Sets whether the data value of this component may be modified.

 setRelationView(RelationView)

Sets the RelationView that this component is bound with.

 setSQL(String)

Sets the sql string to use while generating the list for this component to bind to.

 setTreatBlankAs(String)

Specifies how an empty string will be set when updating data on the dbANYWHERE server.

 Blank

 public static final String Blank

A constant value indicating how an empty string will be saved in the database.

 Default

 public static final String Default

A constant value indicating how an empty string will be saved in the database.

 Null

 public static final String Null

A constant value indicating how an empty string will be saved in the database.

 List

 public List()

Constructs a default List with no data connectivity, initially.

 List

 public List(int rows)

Constructs a new List with no data connectivity, initially.

Parameters:

rows - defines the number of rows of items to display.

 List

 public List(RelationView lookupRV,
             ConnectionInfo conn)

Constructs a new List linked to a database.

Parameters:

lookupRV - the relation view to bind with

conn - the information needed to connect to the database

 addItem

 public synchronized void addItem(String item)

Adds the specified item to the end of the list.

Parameters:

item - the item to be added

Overrides:

addItem in class List

 bindList

 public void bindList() throws SQLException

Binds this component to a list of columns within a RelationView. The RelationView and connection information to use is specified at construction time. The columns to use are specified using the join() method.

Throws: SQLException

if a SQL database access error occurred

See Also:

join

 getConnectionInfo

 public ConnectionInfo getConnectionInfo()

Gets the ConnectionInfo this component uses to connect with the database.

Returns:

the information needed to connect to the database

See Also:

setConnectionInfo

 getData

 public Object getData()

Gets the value of this component.

Returns:

the current component value

See Also:

setData

 getDynamicUpdate

 public boolean getDynamicUpdate()

Indicates when the component commits its changes.

See Also:

setDynamicUpdate

 getEmptyMeansNull

 public boolean getEmptyMeansNull()

Gets the value of the Empty Means Null property. This determines how an empty string will be saved when updating data on the database server. A value of trueindicates an empty string will be saved as a SQL NULL value. Otherwise it will be saved as a blank value.

Returns:

true for NULL, false for BLANK

See Also:

setEmptyMeansNull

 getJoinColumns

 public String[] getJoinColumns()

Gets the list of columns that this component will be bound to.

Returns:

the list of columns

See Also:

join

 getLookUpRelationView

 public RelationView getLookUpRelationView()

Gets the RelationView this component is bound with.

Returns:

the RelationView

 getProjection

 public String getProjection()

Returns the projection in the RelationView that this component is bound with.

See Also:

setBinding, setProjection

 getRelationView

 public RelationView getRelationView()

Gets the RelationView that this component is bound with.

Returns:

the RelationView currently bound with

See Also:

setRelationView, setBinding, getProjection

 getScale

 public int getScale()

Gets the number of digits to the right of the decimal point for this component's value.

Returns:

the number of digits to the right of the decimal point

 getSelectClause

 public String getSelectClause()

Gets the sql string to use while generating the list for this component to bind to.

Returns:

the sql statment

See Also:

setSQL

 init

 public void init(ListBinder lBinder)

Called when this component has been bound to a RelationView. This component notes the ListBinder object so that it may notify the dbANYWHERE server of data changes made.

This is a method in the ListLink interface.

Parameters:

lBinder - used to notify the dbANYWHERE server of any data changes that are to be persistant.

See Also:

init

 isTextBased

 public boolean isTextBased()

Gets whether this component saves its value as a text String.

Returns:

true if the value is saved as text, false otherwise

 join

 public void join(String columnName) throws SQLException

Adds a column to the list of columns that this component will be bound to. Use this method before calling bindList().

Parameters:

columnName - the name of the column to join

Throws: SQLException

if a SQL database access error occurred

See Also:

bindList

 notifyListChange

 public void notifyListChange(ListBinder lBinder)

This method is called to update the value of this dbAWARE component. It is called when the dbANYWHERE server has detected a data change made within the RelationView bound to this component. The ListBinder object passed into the notification is used to get the new data value.

This is a method in the ListLink interface.

Parameters:

binder - used to get the current value from the dbANYWHERE server.

See Also:

notifyListChange

 registerListeners

 public void registerListeners()

Registers the standard event listener(s) for this component.

 setBinding

 public void setBinding(RelationView relView,
                        String projection)

Binds this component to a given projection within the specified relation view.

Parameters:

relView - the relation view to bind with

projection - the projection in relView to bind with

 setConnectionInfo

 public void setConnectionInfo(ConnectionInfo conn)

Sets the ConnectionInfo this component uses to connect with the database.

Parameters:

conn - the information needed to connect to the database

See Also:

getConnectionInfo

 setData

 public void setData(Object value)

Sets the value of this component to the given value.

Parameters:

value - the new component value

See Also:

getData

 setDynamicUpdate

 public void setDynamicUpdate(boolean value)

Sets when the component commits its changes.

Parameters:

value - the new dynamic update mode value

See Also:

getDynamicUpdate

 setEmptyMeansNull

 public void setEmptyMeansNull(boolean propertyValue)

Sets the value of the Empty Means Null property. This determines how an empty string will be saved when updating data on the database server. A value of trueindicates an empty string will be saved as a SQL NULL value. Otherwise it will be saved as a blank value.

Parameters:

propertyValue - true for NULL, false for BLANK

See Also:

getEmptyMeansNull

 setJoinColumns

 public void setJoinColumns(String value[])

Sets the list of columns that this component will be bound to. Use this method before calling bindList().

Parameters:

value - the names of the columns to join

See Also:

join, getJoinColumns, bindList

 setLookUpRelationView

 public void setLookUpRelationView(RelationView value)

Sets the RelationView this component is bound with.

Parameters:

value - the RelationView

 setProjection

 public void setProjection(String projection)

Binds this component to the given projection within the RelationView the component is currently bound with.

See Also:

setBinding, getProjection, getRelationView

 setReadOnly

 public void setReadOnly(boolean value)

Sets whether the data value of this component may be modified.

Parameters:

value - true if the value may not be modified, falseif the value may be modified

 setRelationView

 public void setRelationView(RelationView value)

Sets the RelationView that this component is bound with.

Parameters:

value - the RelationView to bind with

See Also:

getRelationView, setBinding, setProjection

 setSQL

 public void setSQL(String sql) throws SQLException

Sets the sql string to use while generating the list for this component to bind to. Use this method before calling bindList().

Parameters:

sql - the sql string

Throws: SQLException

if a SQL database access error occurred

See Also:

bindList, getSelectClause

 setTreatBlankAs

 public void setTreatBlankAs(String value)

Specifies how an empty string will be set when updating data on the dbANYWHERE server.

Parameters:

blank - one of "DEFAULT", "NULL", or "BLANK"

See Also:

setValueFromString


 Class symantec.itools.db.awt.ListBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.db.awt.ListBeanInfo

public class ListBeanInfo
   extends SimpleBeanInfo

BeanInfo for the List component.

 ListBeanInfo()

Constructs a ListBeanInfo object.

 getAdditionalBeanInfo()

Gets BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an empty MethodDescriptor array.

 getPropertyDescriptors()

Gets an array of descriptions of this bean's properties.

 ListBeanInfo

 public ListBeanInfo()

Constructs a ListBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getDefaultPropertyIndex

 public int getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

Overrides:

getDefaultPropertyIndex in class SimpleBeanInfo

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an empty MethodDescriptor array.

Returns:

an empty array

Overrides:

getMethodDescriptors in class SimpleBeanInfo

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Gets an array of descriptions of this bean's properties.

Returns:

property descriptions for this bean

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.db.awt.ListPlus

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.List
                   |
                   +----symantec.itools.db.awt.ListPlus

public class ListPlus
   extends List
   implements ProjectionBean

A dbAWARE ListPlus component.

This component can be "bound" to a projection within a relation view so that it automatically gets and sets the values in that relation.

 Action_Event

Constant value for the Triggering Event property.

 Focus_Event

Constant value for the Triggering Event property.

 Item_Event

Constant value for the Triggering Event property.

 Key_Event

Constant value for the Triggering Event property.

 TriggeringEvent

The value of the Triggering Event property.

 ListPlus()

Constructs a default ListPlus with no data connectivity, initially.

 ListPlus(int)

Constructs a new ListPlus with no data connectivity, initially.

 addItem(String)

Adds the specified item to the end of the list.

 getData()

Gets the value of this component.

 getDataAt(int)

Gets the value stored at a particular row.

 getDataBinding()

Gets the name of the data item this component is bound to.

 getIndexFromOne()

Gets the one-relative index of the currently selected list item.

 getIndexFromOne()

 getLookupName()

Gets the value of the Lookup Name property.

 getScale()

Gets the number of digits to the right of the decimal point for this component's value.

 getTriggeringEvent()

Gets the current value of the Triggering Event property.

 isTextBased()

Gets whether this component saves its value as a text String.

 registerListeners()

Registers the standard event listener(s) for this component.

 setData(Object)

Sets the value of this component to the given value.

 setDataAt(int, Object)

Sets the value stored at a particular row.

 setDataBinding(String)

Sets the name of the data item to bind this component to.

 setIndexFromOne(int)

 setIndexFromOne(int)

Selects a list item using its one-relative index.

 setLookupName(String)

Sets the value of the Lookup Name property.

 setReadOnly(boolean)

Sets whether the data value of this component may be modified.

 setTriggeringEvent(int)

Sets the value of the Triggering Event property.

 Action_Event

 public static final int Action_Event

Constant value for the Triggering Event property. Indicates the triggering event is ACTION_PERFORMED.

 Focus_Event

 public static final int Focus_Event

Constant value for the Triggering Event property. Indicates the triggering event is FOCUS_LOST.

 Item_Event

 public static final int Item_Event

Constant value for the Triggering Event property. Indicates the triggering event is ITEM_STATE_CHANGED.

 Key_Event

 public static final int Key_Event

Constant value for the Triggering Event property. Indicates the triggering event is KEY_PRESSED.

 TriggeringEvent

 protected int TriggeringEvent

The value of the Triggering Event property. The type of event that triggers this component to commit its changes.

See Also:

getTriggeringEvent, setTriggeringEvent, Focus_Event, Key_Event, Item_Event, ACTION_EVENT

 ListPlus

 public ListPlus()

Constructs a default ListPlus with no data connectivity, initially.

 ListPlus

 public ListPlus(int rows)

Constructs a new ListPlus with no data connectivity, initially.

Parameters:

rows - defines the number of rows of items to display.

 addItem

 public synchronized void addItem(String item)

Adds the specified item to the end of the list.

Parameters:

item - the item to be added

Overrides:

addItem in class List

 getData

 public Object getData()

Gets the value of this component.

Returns:

the current component value

See Also:

setData

 getDataAt

 public Object getDataAt(int row)

Gets the value stored at a particular row.

Parameters:

row - the zero-relative row index

Returns:

the value

See Also:

setDataAt

 getDataBinding

 public String getDataBinding()

Gets the name of the data item this component is bound to.

Returns:

s the data item name, like "MyTable@MyColumn"

See Also:

setDataBinding

 getIndexFromOne

 public int getIndexFromOne()

Gets the one-relative index of the currently selected list item.

Returns:

the one-relative item index, or 0 if no item is selected

See Also:

setIndexFromOne

 getIndexFromOne

 public int getIndexFromOne()

 getLookupName

 public String getLookupName()

Gets the value of the Lookup Name property. This property is the name of a data source table and column. It is used to fill this component with data.

Returns:

the property value

See Also:

setLookupName

 getScale

 public int getScale()

Gets the number of digits to the right of the decimal point for this component's value.

Returns:

the number of digits to the right of the decimal point

 getTriggeringEvent

 public int getTriggeringEvent()

Gets the current value of the Triggering Event property. This determines the type of event that triggers the component to commit its changes to the database.

Returns:

one of Focus_Event, Action_Event, Key_Event, or Item_Event

See Also:

setTriggeringEvent, Focus_Event, ACTION_EVENT, Key_Event, Item_Event

 isTextBased

 public boolean isTextBased()

Gets whether this component saves its value as a text String.

Returns:

true if the value is saved as text, false otherwise

 registerListeners

 public void registerListeners()

Registers the standard event listener(s) for this component.

 setData

 public void setData(Object value)

Sets the value of this component to the given value.

Parameters:

value - the new component value

See Also:

getData

 setDataAt

 public void setDataAt(int row,
                       Object value)

Sets the value stored at a particular row.

Parameters:

row - the zero-relative row index

value - the new value

See Also:

getDataAt

 setDataBinding

 public void setDataBinding(String name)

Sets the name of the data item to bind this component to.

Parameters:

name - the data item name, like "MyTable@MyColumn"

See Also:

getDataBinding

 setIndexFromOne

 public void setIndexFromOne(int i)

 setIndexFromOne

 public void setIndexFromOne(int i)

Selects a list item using its one-relative index.

Parameters:

i - the one-relative item index

See Also:

getIndexFromOne

 setLookupName

 public void setLookupName(String lame)

Sets the value of the Lookup Name property. This property is the name of a data source table and column. It is used to fill this component with data.

Parameters:

lame - the new lookup name

See Also:

getLookupName

 setReadOnly

 public void setReadOnly(boolean value)

Sets whether the data value of this component may be modified.

Parameters:

value - true if the value may not be modified, falseif the value may be modified

 setTriggeringEvent

 public void setTriggeringEvent(int Event)

Sets the value of the Triggering Event property. This determines the type of event that triggers the component to commit its changes to the database.

Parameters:

event - one of Focus_Event, Action_Event, Key_Event, or Item_Event

See Also:

getTriggeringEvent, Focus_Event, ACTION_EVENT, Key_Event, Item_Event


 Class symantec.itools.db.awt.ListPlusBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.db.awt.ListPlusBeanInfo

public class ListPlusBeanInfo
   extends SimpleBeanInfo

BeanInfo for the ListPlus component.

 ListPlusBeanInfo()

Constructs a ListPlusBeanInfo object.

 getAdditionalBeanInfo()

Gets BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an empty MethodDescriptor array.

 getPropertyDescriptors()

Gets an array of descriptions of this bean's properties.

 ListPlusBeanInfo

 public ListPlusBeanInfo()

Constructs a ListPlusBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getDefaultPropertyIndex

 public int getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

Overrides:

getDefaultPropertyIndex in class SimpleBeanInfo

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an empty MethodDescriptor array.

Returns:

an empty array

Overrides:

getMethodDescriptors in class SimpleBeanInfo

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Gets an array of descriptions of this bean's properties.

Returns:

property descriptions for this bean

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.db.awt.LogonDialog

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Container
                   |
                   +----java.awt.Window
                           |
                           +----java.awt.Dialog
                                   |
                                   +----symantec.itools.awt.util.dialog.DialogBox
                                           |
                                           +----symantec.itools.awt.util.dialog.ModalDialog
                                                   |
                                                   +----symantec.itools.db.awt.LogonDialog

public class LogonDialog
   extends ModalDialog

This dialog gathers the user's name and password for a database.

 LogonDialog(Frame, String, ConnectionInfo)

Constructs a logon dialog.

 addNotify()

Tells this component that it has been added to a container.

 clickedCancel()

Does the standard processing for when the Cancel button is clicked.

 clickedOK()

Does the standard processing for when the OK button is clicked.

 LogonDialog

 public LogonDialog(Frame frame,
                    String title,
                    ConnectionInfo conn)

Constructs a logon dialog. The given connection information is displayed then may be updated by the user.

Parameters:

frame - the parent frame

title - the title for this dialog

conn - the connection info to display/edit with this dialog

 addNotify

 public void addNotify()

Tells this component that it has been added to a container.

This is a standard Java AWT method which gets called by the AWT when this component is added to a container. Typically, it is used to create this component's peer.

Here, it is overridden to create and initialize this dialog's components.

Overrides:

addNotify in class Dialog

See Also:

removeNotify

 clickedCancel

 public void clickedCancel()

Does the standard processing for when the Cancel button is clicked. It sets the "ok clicked" flag to false and hides the dialog.

 clickedOK

 public void clickedOK()

Does the standard processing for when the OK button is clicked. It notes the contents of the user and password fields, sets the "ok clicked" flag to true, and hides the dialog.


 Class symantec.itools.db.awt.LogonFrame

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Container
                   |
                   +----java.awt.Window
                           |
                           +----java.awt.Frame
                                   |
                                   +----symantec.itools.db.awt.LogonFrame

public class LogonFrame
   extends Frame
   implements Logon

This window gathers the user's name and password for a database.

It implements the Logon interface to provide a common logon dialog as needed.

     See Also:
     Logon

 LogonFrame()

Constructs a LogonFrame.

 logonFailed(ConnectionInfo, int)

Allows the user to try to logon to the database.

 LogonFrame

 public LogonFrame()

Constructs a LogonFrame. It is hidden by default.

 logonFailed

 public boolean logonFailed(ConnectionInfo conn,
                            int retries)

Allows the user to try to logon to the database.

If this object was registered with the a Session object's LogonHandler, this method will be called when a logon failure has occurred. It creates and displays a LogonDialog for the user.

Parameters:

conn - the current connection info used for logon attempts

retries - the number of logon attempts

Returns:

true if should attempt to logon again, false otherwise

See Also:

LogonDialog


 Class symantec.itools.db.awt.LongZipCodeMask

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.TextComponent
                   |
                   +----java.awt.TextField
                           |
                           +----symantec.itools.awt.FormattedTextField
                                   |
                                   +----symantec.itools.db.awt.FormattedTextField
                                           |
                                           +----symantec.itools.db.awt.LongZipCodeMask

public class LongZipCodeMask
   extends FormattedTextField

Creates a formatted text field in which your user can type in a 9-digit zip code. LongZipCodeMask limits the type of text that can be entered in the text box to a #####-#### format number. Text formatting logic is applied to the user input. If the text field already contains text, the user can select the default text and delete or edit it.

 LongZipCodeMask()

Constructs a long zip code field.

 setMask(String)

Takes no action.

 LongZipCodeMask

 public LongZipCodeMask()

Constructs a long zip code field. This is a formatted text field with the following format: 99999/-9999

 setMask

 public void setMask(String s)

Takes no action. Overrides setMask in FormattedTextField to prevent alteration of the long zip code mask.

Overrides:

setMask in class FormattedTextField


 Class symantec.itools.db.awt.NervousText

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Canvas
                   |
                   +----symantec.itools.multimedia.NervousText
                           |
                           +----symantec.itools.db.awt.NervousText

public class NervousText
   extends NervousText
   implements ProjectionBean

A dbAWARE NervousText component.

This component is similar to the basic NervousText component, but can also be "bound" to a projection within a relation view so that it automatically gets the values in that relation.

     See Also:
     NervousText

 Blank

A constant value indicating how an empty string will be saved in the database.

 Default

A constant value indicating how an empty string will be saved in the database.

 m_DynamicUpdate

Controls when the component commits its changes.

 Null

A constant value indicating how an empty string will be saved in the database.

 NervousText()

Constructs a new NervousText component.

 getData()

Gets the value of this component.

 getDataBinding()

Gets the name of the data item this component is bound to.

 getDynamicUpdate()

Indicates when the component commits its changes.

 getProjection()

Returns the projection in the RelationView that this component is bound with.

 getRelationView()

Gets the RelationView that this component is bound with.

 getScale()

Gets the number of digits to the right of the decimal point for this component's value.

 isTextBased()

Gets whether this component saves its value as a text String.

 registerListeners()

Registers the standard event listener(s) for this component.

 setBinding(RelationView, String)

Binds this component to a given projection within the specified relation view.

 setData(Object)

Sets the value of this component to the given value.

 setDataBinding(String)

Sets the name of the data item to bind this component to.

 setDynamicUpdate(boolean)

Sets when the component commits its changes.

 setProjection(String)

Binds this component to the given projection within the RelationView the component is currently bound with.

 setReadOnly(boolean)

Sets whether the data value of this component may be modified.

 setRelationView(RelationView)

Sets the RelationView that this component is bound with.

 setTreatBlankAs(int)

Specifies how an empty string will be set when updating data on the dbANYWHERE server.

 Blank

 public static final int Blank

A constant value indicating how an empty string will be saved in the database.

 Default

 public static final int Default

A constant value indicating how an empty string will be saved in the database.

 m_DynamicUpdate

 protected boolean m_DynamicUpdate

Controls when the component commits its changes. Takes no action, as this is a read-only component.

See Also:

getDynamicUpdate, setDynamicUpdate

 Null

 public static final int Null

A constant value indicating how an empty string will be saved in the database.

 NervousText

 public NervousText()

Constructs a new NervousText component.

 getData

 public Object getData()

Gets the value of this component.

Returns:

the current component value

See Also:

setData

 getDataBinding

 public String getDataBinding()

Gets the name of the data item this component is bound to.

Returns:

s the data item name, like "MyTable@MyColumn"

See Also:

setDataBinding

 getDynamicUpdate

 public boolean getDynamicUpdate()

Indicates when the component commits its changes.

See Also:

setDynamicUpdate

 getProjection

 public String getProjection()

Returns the projection in the RelationView that this component is bound with.

See Also:

setBinding, setProjection

 getRelationView

 public RelationView getRelationView()

Gets the RelationView that this component is bound with.

Returns:

the RelationView currently bound with

See Also:

setRelationView, setBinding, getProjection

 getScale

 public int getScale()

Gets the number of digits to the right of the decimal point for this component's value.

Returns:

the number of digits to the right of the decimal point

 isTextBased

 public boolean isTextBased()

Gets whether this component saves its value as a text String.

Returns:

true if the value is saved as text, false otherwise

 registerListeners

 public void registerListeners()

Registers the standard event listener(s) for this component.

 setBinding

 public void setBinding(RelationView relView,
                        String projection)

Binds this component to a given projection within the specified relation view.

Parameters:

relView - the relation view to bind with

projection - the projection in relView to bind with

 setData

 public void setData(Object value)

Sets the value of this component to the given value.

Parameters:

value - the new component value

See Also:

getData

 setDataBinding

 public void setDataBinding(String name)

Sets the name of the data item to bind this component to.

Parameters:

name - the data item name, like "MyTable@MyColumn"

See Also:

getDataBinding

 setDynamicUpdate

 public void setDynamicUpdate(boolean value)

Sets when the component commits its changes.

Parameters:

value - the new dynamic update mode value

See Also:

getDynamicUpdate

 setProjection

 public void setProjection(String projection)

Binds this component to the given projection within the RelationView the component is currently bound with.

See Also:

setBinding, getProjection, getRelationView

 setReadOnly

 public void setReadOnly(boolean value)

Sets whether the data value of this component may be modified.

Parameters:

value - true if the value may not be modified, falseif the value may be modified

 setRelationView

 public void setRelationView(RelationView rv)

Sets the RelationView that this component is bound with.

Parameters:

rv - the RelationView to bind with

See Also:

getRelationView, setBinding, setProjection

 setTreatBlankAs

 public void setTreatBlankAs(int value)

Specifies how an empty string will be set when updating data on the dbANYWHERE server.

Parameters:

blank - one of "DEFAULT", "NULL", or "BLANK"

See Also:

setValueFromString


 Class symantec.itools.db.awt.NervousTextBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.db.awt.NervousTextBeanInfo

public class NervousTextBeanInfo
   extends SimpleBeanInfo

BeanInfo for the NervousText component.

 NervousTextBeanInfo()

Constructs a NervousTextBeanInfo object.

 getAdditionalBeanInfo()

Gets BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an empty MethodDescriptor array.

 getPropertyDescriptors()

Gets an array of descriptions of this bean's properties.

 NervousTextBeanInfo

 public NervousTextBeanInfo()

Constructs a NervousTextBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getDefaultPropertyIndex

 public int getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

Overrides:

getDefaultPropertyIndex in class SimpleBeanInfo

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an empty MethodDescriptor array.

Returns:

an empty array

Overrides:

getMethodDescriptors in class SimpleBeanInfo

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Gets an array of descriptions of this bean's properties.

Returns:

property descriptions for this bean

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.db.awt.ProjectionBeanHelper

java.lang.Object
   |
   +----java.awt.event.KeyAdapter
           |
           +----symantec.itools.db.awt.ProjectionBeanHelper

public class ProjectionBeanHelper
   extends KeyAdapter
   implements ProjLink, ActionListener, FocusListener, ItemListener, TextListener

Common code required to implement dbAWARE components.

 Action_Event

Constant value for the Triggering Event property.

 BLANK

A constant value indicating how an empty string will be saved in the database.

 DEFAULT

A constant value indicating how an empty string will be saved in the database.

 Focus_Event

Constant value for the Triggering Event property.

 Item_Event

Constant value for the Triggering Event property.

 Key_Event

Constant value for the Triggering Event property.

 m_Mediator

The mediator used to bind this component with the data source.

 NULL

A constant value indicating how an empty string will be saved in the database.

 Text_Event

Constant value for the Triggering Event property.

 actionPerformed(ActionEvent)

Invoked when an action occurs.

 focusGained(FocusEvent)

Handles Focus Gained events.

 focusLost(FocusEvent)

Handles Focus Lost events.

 getEmptyMeansNull()

Gets the value of the Empty Means Null property.

 getMediator()

Gets the mediator used to bind the component to a data source.

 init(ProjBinder)

Called when this component has been bound to a projection within an RelationView.

 itemStateChanged(ItemEvent)

Invoked when an item's state has been changed.

 keyReleased(KeyEvent)

Invoked when a key has been released.

 notifyDataChange()

This method is called by the component when it may need to be re-bound to the data source.

 notifyDataChange(ProjBinder)

This method is called to update the value of this dbAWARE component.

 notifySetData(ProjBinder)

This method is called to ensure the value of this dbAWARE component is not lost.

 setEmptyMeansNull(boolean)

Sets the value of the Empty Means Null property.

 textValueChanged(TextEvent)

Invoked when the value of the text has changed.

 Action_Event

 public static final int Action_Event

Constant value for the Triggering Event property. Indicates the triggering event is ACTION_PERFORMED.

 BLANK

 public static final String BLANK

A constant value indicating how an empty string will be saved in the database.

 DEFAULT

 public static final String DEFAULT

A constant value indicating how an empty string will be saved in the database.

 Focus_Event

 public static final int Focus_Event

Constant value for the Triggering Event property. Indicates the triggering event is FOCUS_LOST.

 Item_Event

 public static final int Item_Event

Constant value for the Triggering Event property. Indicates the triggering event is ITEM_STATE_CHANGED.

 Key_Event

 public static final int Key_Event

Constant value for the Triggering Event property. Indicates the triggering event is KEY_PRESSED.

 m_Mediator

 public Mediator m_Mediator

The mediator used to bind this component with the data source.

 NULL

 public static final String NULL

A constant value indicating how an empty string will be saved in the database.

 Text_Event

 public static final int Text_Event

Constant value for the Triggering Event property. Indicates the triggering event is TEXT_VALUE_CHANGED.

 actionPerformed

 public void actionPerformed(ActionEvent e)

Invoked when an action occurs. Used to commit data to the data source.

Parameters:

e - the event

 focusGained

 public void focusGained(FocusEvent e)

Handles Focus Gained events.

Parameters:

e - the FocusEvent

 focusLost

 public void focusLost(FocusEvent e)

Handles Focus Lost events. Used to commit data to the data source.

Parameters:

e - the FocusEvent

 getEmptyMeansNull

 public boolean getEmptyMeansNull()

Gets the value of the Empty Means Null property. This determines how an empty string will be saved when updating data on the database server. A value of trueindicates an empty string will be saved as a SQL NULL value. Otherwise it will be saved as a blank value.

Returns:

true for NULL, false for BLANK

See Also:

setEmptyMeansNull

 getMediator

 public Mediator getMediator()

Gets the mediator used to bind the component to a data source.

Returns:

the mediator

 init

 public void init(ProjBinder binder)

Called when this component has been bound to a projection within an RelationView. This component notes the ProjBinder object so that it may notify the dbANYWHERE server of data changes made.

This is a method in the ProjLink interface.

Parameters:

binder - used to notify the dbANYWHERE server of any data changes that are to be persistant. This object is a window into the particular column data to which this component has been bound

See Also:

init

 itemStateChanged

 public void itemStateChanged(ItemEvent e)

Invoked when an item's state has been changed. Used to commit data to the data source.

Parameters:

e - the event

 keyReleased

 public void keyReleased(KeyEvent e)

Invoked when a key has been released. Used to commit data to the data source.

Parameters:

e - the event

Overrides:

keyReleased in class KeyAdapter

 notifyDataChange

 public void notifyDataChange()

This method is called by the component when it may need to be re-bound to the data source.

 notifyDataChange

 public void notifyDataChange(ProjBinder binder)

This method is called to update the value of this dbAWARE component. It is called when the dbANYWHERE server has detected a data change made within the scope of the current row of the RelationView bound to this component. The ProjBinder object passed into the notification is used to get the new data value.

This is a method in the ProjLink interface.

Parameters:

binder - used to get the current value from the dbANYWHERE server. This object is a window into the particular column data to which this component has been bound

See Also:

notifyDataChange

 notifySetData

 public boolean notifySetData(ProjBinder binder) throws SQLException

This method is called to ensure the value of this dbAWARE component is not lost. It is called when the dbANYWHERE server has detected a data change made within the current row of the RelationView bound to this component. The ProjBinder object passed into the notification is used to set the new data value.

This is a method in the ProjLink interface.

Parameters:

binder - used to notify the dbANYWHERE server of any data changes that are to be persistant. This object is a window into the particular column data to which this component has been bound

Returns:

true if success or false if failure.

Throws: SQLException

if a SQL database access error occurred

See Also:

notifySetData

 setEmptyMeansNull

 public void setEmptyMeansNull(boolean propertyValue)

Sets the value of the Empty Means Null property. This determines how an empty string will be saved when updating data on the database server. A value of trueindicates an empty string will be saved as a SQL NULL value. Otherwise it will be saved as a blank value.

Parameters:

propertyValue - true for NULL, false for BLANK

See Also:

getEmptyMeansNull

 textValueChanged

 public void textValueChanged(TextEvent e)

Invoked when the value of the text has changed. Used to commit data to the data source.

Parameters:

e - the event


 Class symantec.itools.db.awt.RadioBox

java.lang.Object
   |
   +----java.awt.CheckboxGroup
           |
           +----symantec.itools.db.awt.RadioBox

public class RadioBox
   extends CheckboxGroup
   implements ProjectionBean

A dbAWARE CheckboxGroup component.

This component is similar to the basic CheckboxGroup component, but can be "bound" to a projection within a relation view so that it automatically gets and sets the values in that relation.

     See Also:
     CheckboxGroup

 Blank

A constant value indicating how an empty string will be saved in the database.

 Default

A constant value indicating how an empty string will be saved in the database.

 Null

A constant value indicating how an empty string will be saved in the database.

 RadioBox()

Constructs a new RadioBox.

 RadioBox(Container)

For backward compatbilty only

 getData()

Gets the value of this component.

 getDataBinding()

Gets the name of the data item this component is bound to.

 getDynamicUpdate()

Indicates when the component commits its changes.

 getEmptyMeansNull()

Gets the value of the Empty Means Null property.

 getProjection()

Returns the projection in the RelationView that this component is bound with.

 getRelationView()

Gets the RelationView that this component is bound with.

 getScale()

Gets the number of digits to the right of the decimal point for this component's value.

 isTextBased()

Gets whether this component saves its value as a text String.

 registerListeners()

Registers the standard event listener(s) for this component.

 setBinding(RelationView, String)

Binds this component to a given projection within the specified relation view.

 setData(Object)

Sets the value of this component to the given value.

 setDataBinding(String)

Sets the name of the data item to bind this component to.

 setDynamicUpdate(boolean)

Sets when the component commits its changes.

 setEmptyMeansNull(boolean)

Sets the value of the Empty Means Null property.

 setProjection(String)

Binds this component to the given projection within the RelationView the component is currently bound with.

 setReadOnly(boolean)

Sets whether the data value of this component may be modified.

 setRelationView(RelationView)

Sets the RelationView that this component is bound with.

 setTreatBlankAs(String)

Specifies how an empty string will be set when updating data on the dbANYWHERE server.

 Blank

 public static final String Blank

A constant value indicating how an empty string will be saved in the database.

 Default

 public static final String Default

A constant value indicating how an empty string will be saved in the database.

 Null

 public static final String Null

A constant value indicating how an empty string will be saved in the database.

 RadioBox

 public RadioBox()

Constructs a new RadioBox.

Parameters:

the - container with the Checkboxes to be managed by this RadioBox

 RadioBox

 public RadioBox(Container c)

For backward compatbilty only

Parameters:

the - container with the Checkboxes to be managed by this RadioBox

 getData

 public Object getData()

Gets the value of this component.

Returns:

the current component value

See Also:

setData

 getDataBinding

 public String getDataBinding()

Gets the name of the data item this component is bound to.

Returns:

s the data item name, like "MyTable@MyColumn"

See Also:

setDataBinding

 getDynamicUpdate

 public boolean getDynamicUpdate()

Indicates when the component commits its changes.

See Also:

setDynamicUpdate

 getEmptyMeansNull

 public boolean getEmptyMeansNull()

Gets the value of the Empty Means Null property. This determines how an empty string will be saved when updating data on the database server. A value of trueindicates an empty string will be saved as a SQL NULL value. Otherwise it will be saved as a blank value.

Returns:

true for NULL, false for BLANK

See Also:

setEmptyMeansNull

 getProjection

 public String getProjection()

Returns the projection in the RelationView that this component is bound with.

See Also:

setBinding, setProjection

 getRelationView

 public RelationView getRelationView()

Gets the RelationView that this component is bound with.

Returns:

the RelationView currently bound with

See Also:

setRelationView, setBinding, getProjection

 getScale

 public int getScale()

Gets the number of digits to the right of the decimal point for this component's value.

Returns:

the number of digits to the right of the decimal point

 isTextBased

 public boolean isTextBased()

Gets whether this component saves its value as a text String.

Returns:

true if the value is saved as text, false otherwise

 registerListeners

 public void registerListeners()

Registers the standard event listener(s) for this component.

 setBinding

 public void setBinding(RelationView relView,
                        String projection)

Binds this component to a given projection within the specified relation view.

Parameters:

relView - the relation view to bind with

projection - the projection in relView to bind with

 setData

 public void setData(Object value)

Sets the value of this component to the given value.

Parameters:

value - the new component value

See Also:

getData

 setDataBinding

 public void setDataBinding(String name)

Sets the name of the data item to bind this component to.

Parameters:

name - the data item name, like "MyTable@MyColumn"

See Also:

getDataBinding

 setDynamicUpdate

 public void setDynamicUpdate(boolean value)

Sets when the component commits its changes.

Parameters:

value - the new dynamic update mode value

See Also:

getDynamicUpdate

 setEmptyMeansNull

 public void setEmptyMeansNull(boolean propertyValue)

Sets the value of the Empty Means Null property. This determines how an empty string will be saved when updating data on the database server. A value of trueindicates an empty string will be saved as a SQL NULL value. Otherwise it will be saved as a blank value.

Parameters:

propertyValue - true for NULL, false for BLANK

See Also:

getEmptyMeansNull

 setProjection

 public void setProjection(String projection)

Binds this component to the given projection within the RelationView the component is currently bound with.

See Also:

setBinding, getProjection, getRelationView

 setReadOnly

 public void setReadOnly(boolean value)

Sets whether the data value of this component may be modified.

Parameters:

value - true if the value may not be modified, falseif the value may be modified

 setRelationView

 public void setRelationView(RelationView value)

Sets the RelationView that this component is bound with.

Parameters:

value - the RelationView to bind with

See Also:

getRelationView, setBinding, setProjection

 setTreatBlankAs

 public void setTreatBlankAs(String value)

Specifies how an empty string will be set when updating data on the dbANYWHERE server.

Parameters:

blank - one of "DEFAULT", "NULL", or "BLANK"

See Also:

setValueFromString


 Class symantec.itools.db.awt.RadioBoxBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.db.awt.RadioBoxBeanInfo

public class RadioBoxBeanInfo
   extends SimpleBeanInfo

BeanInfo for the RadioBox component.

 RadioBoxBeanInfo()

Constructs a RadioBoxBeanInfo object.

 getAdditionalBeanInfo()

Gets an array of BeanInfo on the superclasses of this object.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Gets an array of descriptions of this bean's properties.

 RadioBoxBeanInfo

 public RadioBoxBeanInfo()

Constructs a RadioBoxBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets an array of BeanInfo on the superclasses of this object. The superclasses returned are all assignable from class Object (see isAssignableFrom).

Returns:

BeanInfo on this class's superclasses

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

See Also:

isAssignableFrom

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Gets an array of descriptions of this bean's properties.

Returns:

property descriptions for this bean

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.db.awt.RadioButton

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Checkbox
                   |
                   +----symantec.itools.db.awt.RadioButton

public class RadioButton
   extends Checkbox

A dbAWARE Checkbox component.

This component is similar to the basic Checkbox component, but can be "bound" to a projection within a relation view so that it automatically gets and sets the values in that relation.

     See Also:
     CheckboxGroup

 RadioButton()

Constructs a default RadioButton.

 RadioButton(String, CheckboxGroup, boolean)

Constructs a RadioButton with the given label that belongs to the specified RadioBox and has a specific initial value.

 RadioButton

 public RadioButton()

Constructs a default RadioButton. By default the label will read: "<dbAWARE RadioButton>".

 RadioButton

 public RadioButton(String label,
                    CheckboxGroup group,
                    boolean state)

Constructs a RadioButton with the given label that belongs to the specified RadioBox and has a specific initial value. This call automatically binds this RadioButton to the same RelationView and projection that the RadioBox is bound with.

Parameters:

label - the label for this component

group - the RadioBox this component belongs to

state - the initial value of this component


 Class symantec.itools.db.awt.RecordNumberLabel

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Label
                   |
                   +----symantec.itools.db.awt.RecordNumberLabel

public class RecordNumberLabel
   extends Label

A dbAWARE Label that automatically displays the current record number of the RelationView it is bound with.

 RecordNumberLabel()

Constructs a new RecordNumberLabel.

 getDataSource()

Gets the data source that this component is bound with.

 getRelationView()

Gets the RelationView that this component is bound with.

 setData(Object)

Sets the value of this component to the given value.

 setDataSource(String)

Sets the data source that this component is bound with.

 setRelationView(RelationView)

Sets the RelationView that this component is bound with.

 RecordNumberLabel

 public RecordNumberLabel()

Constructs a new RecordNumberLabel. By default its label will read: "<Record Number Label>".

Call setRelationView() to bind this component to a RelationView and auto-set the label text.

See Also:

setRelationView

 getDataSource

 public String getDataSource()

Gets the data source that this component is bound with.

Returns:

name of the data source to bind with

See Also:

setDataSource

 getRelationView

 public RelationView getRelationView()

Gets the RelationView that this component is bound with.

Returns:

the RelationView currently bound with

See Also:

setRelationView

 setData

 public void setData(Object o)

Sets the value of this component to the given value.

Parameters:

value - the new component value

 setDataSource

 public void setDataSource(String Tname)

Sets the data source that this component is bound with.

Parameters:

Tname - the name of the data source to bind with

See Also:

getDataSource

 setRelationView

 public void setRelationView(RelationView rv)

Sets the RelationView that this component is bound with.

Parameters:

rv - the RelationView to bind with

See Also:

getRelationView


 Class symantec.itools.db.awt.RecordNumberLabelBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.db.awt.RecordNumberLabelBeanInfo

public class RecordNumberLabelBeanInfo
   extends SimpleBeanInfo

BeanInfo for the RecordNumberLabel component.

 RecordNumberLabelBeanInfo()

Constructs a RecordNumberLabelBeanInfo object.

 getAdditionalBeanInfo()

Gets BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an empty MethodDescriptor array.

 getPropertyDescriptors()

Gets an array of descriptions of this bean's properties.

 RecordNumberLabelBeanInfo

 public RecordNumberLabelBeanInfo()

Constructs a RecordNumberLabelBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getDefaultPropertyIndex

 public int getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

Overrides:

getDefaultPropertyIndex in class SimpleBeanInfo

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an empty MethodDescriptor array.

Returns:

an empty array

Overrides:

getMethodDescriptors in class SimpleBeanInfo

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Gets an array of descriptions of this bean's properties.

Returns:

property descriptions for this bean

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.db.awt.RecordStateLabel

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Label
                   |
                   +----symantec.itools.db.awt.RecordStateLabel

public class RecordStateLabel
   extends Label

A dbAWARE Label that automatically displays the state of the current record in the RelationView it is bound with.

The state can be one of the following values:

"Existing" The record exists in database

"Modified" The record has been modified

"New" The record has no data and doesn't exist in database

"Marked for Deletion" The record is marked for deletion

"Deleted" The record has been deleted

"Invalid" The record is in an undefined state

"New Modified" The record is new with data

 RecordStateLabel()

Constructs a new RecordNumberLabel.

 getDataSource()

Gets the data source that this component is bound with.

 getRelationView()

Gets the RelationView that this component is bound with.

 setDataSource(String)

Sets the data source that this component is bound with.

 setRelationView(RelationView)

Sets the RelationView that this component is bound with.

 RecordStateLabel

 public RecordStateLabel()

Constructs a new RecordNumberLabel. By default its label will read: "<Record State Label>".

Call setRelationView() to bind this component to a RelationView and auto-set the label text.

See Also:

setRelationView

 getDataSource

 public String getDataSource()

Gets the data source that this component is bound with.

Returns:

name of the data source to bind with

See Also:

setDataSource

 getRelationView

 public RelationView getRelationView()

Gets the RelationView that this component is bound with.

Returns:

the RelationView currently bound with

See Also:

setRelationView

 setDataSource

 public void setDataSource(String Tname)

Sets the data source that this component is bound with.

Parameters:

Tname - the name of the data source to bind with

See Also:

getDataSource

 setRelationView

 public void setRelationView(RelationView rv)

Sets the RelationView that this component is bound with.

Parameters:

rv - the RelationView to bind with

See Also:

getRelationView


 Class symantec.itools.db.awt.RecordStateLabelBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.db.awt.RecordStateLabelBeanInfo

public class RecordStateLabelBeanInfo
   extends SimpleBeanInfo

BeanInfo for the RecordStateLabel component.

 RecordStateLabelBeanInfo()

Constructs a RecordStateLabelBeanInfo object.

 getAdditionalBeanInfo()

Gets BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an empty MethodDescriptor array.

 getPropertyDescriptors()

Gets an array of descriptions of this bean's properties.

 RecordStateLabelBeanInfo

 public RecordStateLabelBeanInfo()

Constructs a RecordStateLabelBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getDefaultPropertyIndex

 public int getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

Overrides:

getDefaultPropertyIndex in class SimpleBeanInfo

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an empty MethodDescriptor array.

Returns:

an empty array

Overrides:

getMethodDescriptors in class SimpleBeanInfo

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Gets an array of descriptions of this bean's properties.

Returns:

property descriptions for this bean

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.db.awt.RelationViewEditor

java.lang.Object
   |
   +----java.beans.PropertyEditorSupport
           |
           +----symantec.itools.db.awt.RelationViewEditor

public class RelationViewEditor
   extends PropertyEditorSupport

Supports editing the RelationView property.

 RelationViewEditor()

Constructs a default RelationViewEditor.

 getAsText()

 getJavaInitializationString()

This method is intended for use when generating Java code to set the value of the property.

 getValue()

 setAsText(String)

Set the property value by parsing a given String.

 setValue(Object)

Set (or change) the object that is to be edited.

 RelationViewEditor

 public RelationViewEditor()

Constructs a default RelationViewEditor.

 getAsText

 public String getAsText()

Returns:

The property value as a string suitable for presentation to a human to edit.

Returns "null" is the value can't be expressed as a string.

If a non-null value is returned, then the PropertyEditor should be prepared to parse that string back in setAsText().

Overrides:

getAsText in class PropertyEditorSupport

 getJavaInitializationString

 public String getJavaInitializationString()

This method is intended for use when generating Java code to set the value of the property. It should return a fragment of Java code that can be used to initialize a variable with the current property value.

Example results are "2", "new Color(127,127,34)", "Color.orange", etc.

Returns:

A fragment of Java code representing an initializer for the current value.

Overrides:

getJavaInitializationString in class PropertyEditorSupport

 getValue

 public Object getValue()

Returns:

The value of the property.

Overrides:

getValue in class PropertyEditorSupport

 setAsText

 public void setAsText(String text) throws IllegalArgumentException

Set the property value by parsing a given String. May raise java.lang.IllegalArgumentException if either the String is badly formatted or if this kind of property can't be expressed as text.

Parameters:

text - The string to be parsed.

Overrides:

setAsText in class PropertyEditorSupport

 setValue

 public void setValue(Object value)

Set (or change) the object that is to be edited.

Parameters:

value - The new target object to be edited. Note that this object should not be modified by the PropertyEditor, rather the PropertyEditor should create a new object to hold any modified value.

Overrides:

setValue in class PropertyEditorSupport


 Class symantec.itools.db.awt.SSNMask

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.TextComponent
                   |
                   +----java.awt.TextField
                           |
                           +----symantec.itools.awt.FormattedTextField
                                   |
                                   +----symantec.itools.db.awt.FormattedTextField
                                           |
                                           +----symantec.itools.db.awt.SSNMask

public class SSNMask
   extends FormattedTextField

Creates a formatted text field in which your user can type in a social security number. This class limits the type of text that can be entered in the text box to a ###-##-#### format number. Text formatting logic is applied to the user input. If the text field already contains text, the user can select the default text and delete or edit it.

 SSNMask()

Constructs a long zip code field.

 setMask(String)

Takes no action.

 SSNMask

 public SSNMask()

Constructs a long zip code field. This is a formatted text field with the following format: 999/-99/-9999

 setMask

 public void setMask(String s)

Takes no action. Overrides setMask in FormattedTextField to prevent alteration of the long zip code mask.

Overrides:

setMask in class FormattedTextField


 Class symantec.itools.db.awt.SessionEditor

java.lang.Object
   |
   +----java.beans.PropertyEditorSupport
           |
           +----symantec.itools.db.awt.SessionEditor

public class SessionEditor
   extends PropertyEditorSupport

Supports editing the Session property.

 SessionEditor()

Constructs a default SessionEditor object.

 getAsText()

 getJavaInitializationString()

This method is intended for use when generating Java code to set the value of the property.

 getValue()

 setAsText(String)

Set the property value by parsing a given String.

 setValue(Object)

Set (or change) the object that is to be edited.

 SessionEditor

 public SessionEditor()

Constructs a default SessionEditor object.

 getAsText

 public String getAsText()

Returns:

The property value as a string suitable for presentation to a human to edit.

Returns "null" is the value can't be expressed as a string.

If a non-null value is returned, then the PropertyEditor should be prepared to parse that string back in setAsText().

Overrides:

getAsText in class PropertyEditorSupport

 getJavaInitializationString

 public String getJavaInitializationString()

This method is intended for use when generating Java code to set the value of the property. It should return a fragment of Java code that can be used to initialize a variable with the current property value.

Example results are "2", "new Color(127,127,34)", "Color.orange", etc.

Returns:

A fragment of Java code representing an initializer for the current value.

Overrides:

getJavaInitializationString in class PropertyEditorSupport

 getValue

 public Object getValue()

Returns:

The value of the property.

Overrides:

getValue in class PropertyEditorSupport

 setAsText

 public void setAsText(String text) throws IllegalArgumentException

Set the property value by parsing a given String. May raise java.lang.IllegalArgumentException if either the String is badly formatted or if this kind of property can't be expressed as text.

Parameters:

text - The string to be parsed.

Overrides:

setAsText in class PropertyEditorSupport

 setValue

 public void setValue(Object value)

Set (or change) the object that is to be edited.

Parameters:

value - The new target object to be edited. Note that this object should not be modified by the PropertyEditor, rather the PropertyEditor should create a new object to hold any modified value.

Overrides:

setValue in class PropertyEditorSupport


 Class symantec.itools.db.awt.StateCheckBox

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Canvas
                   |
                   +----symantec.itools.awt.StateCheckBox
                           |
                           +----symantec.itools.db.awt.StateCheckBox

public class StateCheckBox
   extends StateCheckBox
   implements ProjectionBean

A dbAWARE StateCheckBox component.

This component is similar to the basic StateCheckBox component, but can be "bound" to a projection within a relation view so that it automatically gets and sets the values in that relation.

     See Also:
     StateCheckBox

 Blank

A constant indicating how an empty string will be set when updating data on the dbANYWHERE server.

 Default

A constant indicating how an empty string will be set when updating data on the dbANYWHERE server.

 Null

A constant indicating how an empty string will be set when updating data on the dbANYWHERE server.

 StateCheckBox()

Constructs a three-state StateCheckBox that is currently unchecked.

 getData()

Gets the value of this component.

 getDynamicUpdate()

Indicates when the component commits its changes.

 getEmptyMeansNull()

Gets the value of the Empty Means Null property.

 getProjection()

Returns the projection in the RelationView that this component is bound with.

 getRelationView()

Gets the RelationView that this component is bound with.

 getScale()

Gets the number of digits to the right of the decimal point for this component's value.

 isTextBased()

Gets whether this component saves its value as a text String.

 registerListeners()

Registers the standard event listener(s) for this component.

 setBinding(RelationView, String)

Binds this component to a given projection within the specified relation view.

 setData(Object)

Sets the value of this component to the given value.

 setDynamicUpdate(boolean)

Sets when the component commits its changes.

 setEmptyMeansNull(boolean)

Sets the value of the Empty Means Null property.

 setFalseValue(String)

Establishes what database value will be interpreted as the value: false.

 setOtherValue(String)

Establishes what database value will be interpreted as the value: other (the third state of this three-state checkbox).

 setProjection(String)

Binds this component to the given projection within the RelationView the component is currently bound with.

 setReadOnly(boolean)

Sets whether the data value of this component may be modified.

 setRelationView(RelationView)

Sets the RelationView that this component is bound with.

 setTreatBlankAs(int)

Specifies how an empty string will be set when updating data on the dbANYWHERE server.

 setTrueValue(String)

Establishes what database value will be interpreted as the value: true.

 Blank

 public static final int Blank

A constant indicating how an empty string will be set when updating data on the dbANYWHERE server.

 Default

 public static final int Default

A constant indicating how an empty string will be set when updating data on the dbANYWHERE server.

 Null

 public static final int Null

A constant indicating how an empty string will be set when updating data on the dbANYWHERE server.

 StateCheckBox

 public StateCheckBox()

Constructs a three-state StateCheckBox that is currently unchecked.

 getData

 public Object getData()

Gets the value of this component.

Returns:

the current component value

See Also:

setData

 getDynamicUpdate

 public boolean getDynamicUpdate()

Indicates when the component commits its changes.

See Also:

setDynamicUpdate

 getEmptyMeansNull

 public boolean getEmptyMeansNull()

Gets the value of the Empty Means Null property. This determines how an empty string will be saved when updating data on the database server. A value of trueindicates an empty string will be saved as a SQL NULL value. Otherwise it will be saved as a blank value.

Returns:

true for NULL, false for BLANK

See Also:

setEmptyMeansNull

 getProjection

 public String getProjection()

Returns the projection in the RelationView that this component is bound with.

See Also:

setBinding, setProjection

 getRelationView

 public RelationView getRelationView()

Gets the RelationView that this component is bound with.

Returns:

the RelationView currently bound with

See Also:

setRelationView, setBinding, getProjection

 getScale

 public int getScale()

Gets the number of digits to the right of the decimal point for this component's value.

Returns:

the number of digits to the right of the decimal point

 isTextBased

 public boolean isTextBased()

Gets whether this component saves its value as a text String.

Returns:

true if the value is saved as text, false otherwise

 registerListeners

 public void registerListeners()

Registers the standard event listener(s) for this component.

 setBinding

 public void setBinding(RelationView relView,
                        String projection)

Binds this component to a given projection within the specified relation view.

Parameters:

relView - the relation view to bind with

projection - the projection in relView to bind with

 setData

 public void setData(Object value)

Sets the value of this component to the given value.

Parameters:

value - the new component value

See Also:

getData

 setDynamicUpdate

 public void setDynamicUpdate(boolean value)

Sets when the component commits its changes.

Parameters:

value - the new dynamic update mode value

See Also:

getDynamicUpdate

 setEmptyMeansNull

 public void setEmptyMeansNull(boolean propertyValue)

Sets the value of the Empty Means Null property. This determines how an empty string will be saved when updating data on the database server. A value of trueindicates an empty string will be saved as a SQL NULL value. Otherwise it will be saved as a blank value.

Parameters:

propertyValue - true for NULL, false for BLANK

See Also:

getEmptyMeansNull

 setFalseValue

 public void setFalseValue(String falseValue)

Establishes what database value will be interpreted as the value: false. The default value is "false" (without the quotes).

Parameters:

falseValue - the string to interpret as the value: false

 setOtherValue

 public void setOtherValue(String otherValue)

Establishes what database value will be interpreted as the value: other (the third state of this three-state checkbox). The default value is "" (the empty string without quotes).

Parameters:

otherValue - the string to interpret as the value: other

 setProjection

 public void setProjection(String projection)

Binds this component to the given projection within the RelationView the component is currently bound with.

See Also:

setBinding, getProjection, getRelationView

 setReadOnly

 public void setReadOnly(boolean value)

Sets whether the data value of this component may be modified.

Parameters:

value - true if the value may not be modified, falseif the value may be modified

 setRelationView

 public void setRelationView(RelationView rv)

Sets the RelationView that this component is bound with.

Parameters:

value - the RelationView to bind with

See Also:

getRelationView, setBinding, setProjection

 setTreatBlankAs

 public void setTreatBlankAs(int value)

Specifies how an empty string will be set when updating data on the dbANYWHERE server.

Parameters:

blank - one of "DEFAULT", "NULL", or "BLANK"

See Also:

setValueFromString

 setTrueValue

 public void setTrueValue(String trueValue)

Establishes what database value will be interpreted as the value: true. The default value is "true" (without the quotes).

Parameters:

trueValue - the string to interpret as the value: true


 Class symantec.itools.db.awt.StateCheckBoxBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.db.awt.StateCheckBoxBeanInfo

public class StateCheckBoxBeanInfo
   extends SimpleBeanInfo

BeanInfo for StateCheckBox

 StateCheckBoxBeanInfo()

Constructs a StateCheckBoxBeanInfo object.

 getAdditionalBeanInfo()

Gets an array of BeanInfo on the superclasses of this object.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 StateCheckBoxBeanInfo

 public StateCheckBoxBeanInfo()

Constructs a StateCheckBoxBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets an array of BeanInfo on the superclasses of this object. The superclasses returned are all assignable from class Object (see isAssignableFrom).

Returns:

BeanInfo on this class's superclasses

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

See Also:

isAssignableFrom

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.db.awt.StreamImageSource

symantec.itools.db.awt.StreamImageSource

public class StreamImageSource
   implements ImageProducer

An image producer which can produce the image data for Images from any input stream. It currently supports GIF and JPEG formats.

For security reasons, whenever an instance of StreamInputSource is created, a security check is performed against a URL object that must point to the machine the input stream is pulling the image data from. If the constructor is called without specifying a base URL, a default base maintained by the class is used for the security check. By default, the base URL is set with a protocol of type file. If an image is being created within an applet that was delivered over a network, it will be necessary to change the base URL reference to the code base of the applet; otherwise, a security exception will result.

Here is an example of how to use the class to create an image within an applet:

 public class ImageTest extends Applet {
   Image       image;
   StreamImageSource   sis;
   public void init() {
     try {
       StreamImageSource.setBaseUrl(getCodeBase());
       Toolkit     tk = getToolkit();
       URL         url = new URL(getDocumentBase(), "test.jpg");
       InputStream s = url.openStream();
       //create an image using StreamImageSource and applet's toolkit
       is = new StreamImageSource(is, StreamImageSource.JPEG);
       image = tk.createImage(sis);
     } catch(Exception e) { e.printStackTrace(); }
   }
   public void paint(Graphics g) {
     g.drawImage(image, 0, 0, this);
   }
 }

 GIF

Constant indicating image is in GIF format.

 JPEG

Constant indicating image is in JPEG format.

 StreamImageSource(InputStream, int)

Costructs a StreamImageSource using the specified stream that will deliver an image of the specified type.

 StreamImageSource(URL, InputStream, int)

Costructs a StreamImageSource using the specified stream that will deliver an image of the specified type.

 getBaseUrl()

Gets the default URL that security checks are performed against.

 getDecoder()

Creates the proper decoder based on the type of image specified in the constructor.

 setBaseUrl(URL)

Sets the default URL that security checks are performed against.

 GIF

 public static final int GIF

Constant indicating image is in GIF format.

 JPEG

 public static final int JPEG

Constant indicating image is in JPEG format.

 StreamImageSource

 public StreamImageSource(InputStream is,
                          int type)

Costructs a StreamImageSource using the specified stream that will deliver an image of the specified type. A security check is performed against the base URL.

Parameters:

is - an input stream connected to the data source for the image

type - the type of image (one of GIF or JPEG)

 StreamImageSource

 public StreamImageSource(URL base,
                          InputStream is,
                          int type)

Costructs a StreamImageSource using the specified stream that will deliver an image of the specified type. A security check is performed against the URL reference passed to the constructor.

Parameters:

base - the URL from which the input stream is gathering data

is - the input stream connected to the data source for the image

type - the type of image (one of GIF or JPEG)

 getBaseUrl

 public static URL getBaseUrl()

Gets the default URL that security checks are performed against. This URL is used when an instance of StreamImageSource is created without specifying a base URL.

Returns:

the URL for security checks

 getDecoder

 protected ImageDecoder getDecoder()

Creates the proper decoder based on the type of image specified in the constructor.

 setBaseUrl

 public static void setBaseUrl(URL base)

Sets the default URL that security checks are performed against. This URL is used when an instance of StreamImageSource is created without specifying a base URL.

Parameters:

base - the URL for security checks


 Class symantec.itools.db.awt.TextArea

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.TextComponent
                   |
                   +----java.awt.TextArea
                           |
                           +----symantec.itools.db.awt.TextArea

public class TextArea
   extends TextArea
   implements ProjectionBean

A dbAWARE TextArea component.

This component is similar to the basic TextArea component, but can be "bound" to a projection within a relation view so that it automatically gets and sets the values in that relation.

     See Also:
     TextArea

 Blank

A constant value indicating how an empty string will be saved in the database.

 Default

A constant value indicating how an empty string will be saved in the database.

 Focus_Event

Constant value for the Triggering Event property.

 Key_Event

Constant value for the Triggering Event property.

 m_DynamicUpdate

Controls when the component commits its changes.

 m_TriggeringEvent

The type of event that triggers this component to commit its changes.

 Null

A constant value indicating how an empty string will be saved in the database.

 Text_Event

Constant value for the Triggering Event property.

 TextArea()

Constructs a default TextArea.

 TextArea(int, int)

Constructs a TextArea with the specified number of rows and columns.

 TextArea(String)

Constructs a TextArea with the specified initial value.

 TextArea(String, int, int)

Constructs a TextArea with the specified text and number of rows and columns.

 getData()

Gets the value of this component.

 getDataBinding()

Gets the name of the data item this component is bound to.

 getDynamicUpdate()

Indicates when the component commits its changes.

 getEmptyMeansNull()

Gets the value of the Empty Means Null property.

 getProjection()

Returns the projection in the RelationView that this component is bound with.

 getRelationView()

Gets the RelationView that this component is bound with.

 getScale()

Gets the number of digits to the right of the decimal point for this component's value.

 getTabControl()

Gets the behavior of the tab key.

 getTriggeringEvent()

Gets the current value of the Triggering Event property.

 isTextBased()

Gets whether this component saves its value as a text String.

 registerListeners()

Registers the standard event listener(s) for this component.

 setBinding(RelationView, String)

Binds this component to a given projection within the specified relation view.

 setData(Object)

Sets the value of this component to the given value.

 setDataBinding(String)

Sets the name of the data item to bind this component to.

 setDynamicUpdate(boolean)

Sets when the component commits its changes.

 setEditable(boolean)

Sets whether this component determines is user-editablity from the database it's bound with, or whether it will simple not be editable.

 setEmptyMeansNull(boolean)

Sets the value of the Empty Means Null property.

 setProjection(String)

Binds this component to the given projection within the RelationView the component is currently bound with.

 setReadOnly(boolean)

Sets whether the data value of this component may be modified.

 setRelationView(RelationView)

Sets the RelationView that this component is bound with.

 setTabControl(boolean)

Controls the behavior of the tab key.

 setTreatBlankAs(String)

Specifies how an empty string will be set when updating data on the dbANYWHERE server.

 setTriggeringEvent(int)

Sets the value of the Triggering Event property.

 Blank

 public static final String Blank

A constant value indicating how an empty string will be saved in the database.

 Default

 public static final String Default

A constant value indicating how an empty string will be saved in the database.

 Focus_Event

 public static final int Focus_Event

Constant value for the Triggering Event property. Indicates the triggering event is FOCUS_LOST.

 Key_Event

 public static final int Key_Event

Constant value for the Triggering Event property. Indicates the triggering event is KEY_PRESSED.

 m_DynamicUpdate

 protected boolean m_DynamicUpdate

Controls when the component commits its changes. If true, this component sets the triggering event to Key_Event, otherwise the triggering event is set to Focus_Event.

See Also:

getDynamicUpdate, setDynamicUpdate, Focus_Event, Key_Event

 m_TriggeringEvent

 protected int m_TriggeringEvent

The type of event that triggers this component to commit its changes.

See Also:

getTriggeringEvent, setTriggeringEvent, Focus_Event, Key_Event, Text_Event

 Null

 public static final String Null

A constant value indicating how an empty string will be saved in the database.

 Text_Event

 public static final int Text_Event

Constant value for the Triggering Event property. Indicates the triggering event is TEXT_VALUE_CHANGED.

 TextArea

 public TextArea()

Constructs a default TextArea.

Call setBinding() to bind this component to a projection in a RelationView and auto-set the value.

See Also:

setBinding

 TextArea

 public TextArea(int rows,
                 int cols)

Constructs a TextArea with the specified number of rows and columns.

Call setBinding() to bind this component to a projection in a RelationView and auto-set the value.

Parameters:

rows - the number of rows

cols - the number of columns

See Also:

setBinding

 TextArea

 public TextArea(String text)

Constructs a TextArea with the specified initial value.

Call setBinding() to bind this component to a projection in a RelationView and auto-set the value.

Parameters:

text - the text to be displayed

See Also:

setBinding

 TextArea

 public TextArea(String text,
                 int rows,
                 int cols)

Constructs a TextArea with the specified text and number of rows and columns.

Call setBinding() to bind this component to a projection in a RelationView and auto-set the value.

Parameters:

text - the text to be displayed

rows - the number of rows

cols - the number of columns

See Also:

setBinding

 getData

 public Object getData()

Gets the value of this component.

Returns:

the current component value

See Also:

setData

 getDataBinding

 public String getDataBinding()

Gets the name of the data item this component is bound to.

Returns:

s the data item name, like "MyTable@MyColumn"

See Also:

setDataBinding

 getDynamicUpdate

 public boolean getDynamicUpdate()

Indicates when the component commits its changes. If true, this component has set the triggering event to Key_Event, otherwise the triggering event is set to Focus_Event.

See Also:

setDynamicUpdate, Focus_Event, Key_Event

 getEmptyMeansNull

 public boolean getEmptyMeansNull()

Gets the value of the Empty Means Null property. This determines how an empty string will be saved when updating data on the database server. A value of trueindicates an empty string will be saved as a SQL NULL value. Otherwise it will be saved as a blank value.

Returns:

true for NULL, false for BLANK

See Also:

setEmptyMeansNull

 getProjection

 public String getProjection()

Returns the projection in the RelationView that this component is bound with.

See Also:

setBinding, setProjection

 getRelationView

 public RelationView getRelationView()

Gets the RelationView that this component is bound with.

Returns:

the RelationView currently bound with

See Also:

setRelationView, setBinding, getProjection

 getScale

 public int getScale()

Gets the number of digits to the right of the decimal point for this component's value.

Returns:

the number of digits to the right of the decimal point

 getTabControl

 public boolean getTabControl()

Gets the behavior of the tab key. If true, pressing the tab key will move the input focus to the next component. Otherwise the focus will remain within this component.

Returns:

the current tab control behavior

See Also:

setTabControl

 getTriggeringEvent

 public int getTriggeringEvent()

Gets the current value of the Triggering Event property. This determines the type of event that triggers the component to commit its changes to the database.

Returns:

one of Focus_Event, Text_Event, or Key_Event

See Also:

setTriggeringEvent, Focus_Event, Text_Event, Key_Event

 isTextBased

 public boolean isTextBased()

Gets whether this component saves its value as a text String.

Returns:

true if the value is saved as text, false otherwise

 registerListeners

 public void registerListeners()

Registers the standard event listener(s) for this component.

 setBinding

 public void setBinding(RelationView relView,
                        String projection)

Binds this component to a given projection within the specified relation view.

Parameters:

relView - the relation view to bind with

projection - the projection in relView to bind with

 setData

 public void setData(Object value)

Sets the value of this component to the given value.

Parameters:

value - the new component value

See Also:

getData

 setDataBinding

 public void setDataBinding(String name)

Sets the name of the data item to bind this component to.

Parameters:

name - the data item name, like "MyTable@MyColumn"

See Also:

getDataBinding

 setDynamicUpdate

 public void setDynamicUpdate(boolean value)

Sets when the component commits its changes. If true, this component sets the triggering event to Key_Event, otherwise the triggering event is set to Focus_Event.

Parameters:

value - the new dynamic update mode value

See Also:

getDynamicUpdate, Focus_Event, Key_Event

 setEditable

 public void setEditable(boolean value)

Sets whether this component determines is user-editablity from the database it's bound with, or whether it will simple not be editable.

Parameters:

value - if true this component is editable if the database its bound with is writable, if false this component is not editable

Overrides:

setEditable in class TextComponent

 setEmptyMeansNull

 public void setEmptyMeansNull(boolean propertyValue)

Sets the value of the Empty Means Null property. This determines how an empty string will be saved when updating data on the database server. A value of trueindicates an empty string will be saved as a SQL NULL value. Otherwise it will be saved as a blank value.

Parameters:

propertyValue - true for NULL, false for BLANK

See Also:

getEmptyMeansNull

 setProjection

 public void setProjection(String projection)

Binds this component to the given projection within the RelationView the component is currently bound with.

See Also:

setBinding, getProjection, getRelationView

 setReadOnly

 public void setReadOnly(boolean value)

Sets whether the data value of this component may be modified.

Parameters:

value - true if the value may not be modified, falseif the value may be modified

 setRelationView

 public void setRelationView(RelationView rv)

Sets the RelationView that this component is bound with.

Parameters:

rv - the RelationView to bind with

See Also:

getRelationView, setBinding, setProjection

 setTabControl

 public void setTabControl(boolean value)

Controls the behavior of the tab key. If true, pressing the tab key will move the input focus to the next component. Otherwise the focus will remain within this component.

Parameters:

value - the new tab control value

See Also:

getTabControl

 setTreatBlankAs

 public void setTreatBlankAs(String value)

Specifies how an empty string will be set when updating data on the dbANYWHERE server.

Parameters:

blank - one of "DEFAULT", "NULL", or "BLANK"

See Also:

setValueFromString

 setTriggeringEvent

 public void setTriggeringEvent(int event)

Sets the value of the Triggering Event property. This determines the type of event that triggers the component to commit its changes to the database.

Parameters:

event - one of Focus_Event, Text_Event, or Key_Event

See Also:

getTriggeringEvent, Focus_Event, Text_Event, Key_Event


 Class symantec.itools.db.awt.TextAreaBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.db.awt.TextAreaBeanInfo

public class TextAreaBeanInfo
   extends SimpleBeanInfo

BeanInfo for the TextArea component.

 TextAreaBeanInfo()

Constructs a TextAreaBeanInfo object.

 getAdditionalBeanInfo()

Gets BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an empty MethodDescriptor array.

 getPropertyDescriptors()

Gets an array of descriptions of this bean's properties.

 TextAreaBeanInfo

 public TextAreaBeanInfo()

Constructs a TextAreaBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getDefaultPropertyIndex

 public int getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

Overrides:

getDefaultPropertyIndex in class SimpleBeanInfo

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an empty MethodDescriptor array.

Returns:

an empty array

Overrides:

getMethodDescriptors in class SimpleBeanInfo

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Gets an array of descriptions of this bean's properties.

Returns:

property descriptions for this bean

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.db.awt.TextField

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.TextComponent
                   |
                   +----java.awt.TextField
                           |
                           +----symantec.itools.db.awt.TextField

public class TextField
   extends TextField
   implements ProjectionBean

A dbAWARE TextField component.

This component is similar to the basic TextField component, but can be "bound" to a projection within a relation view so that it automatically gets and sets the values in that relation.

     See Also:
     TextField

 Action_Event

Constant value for the Triggering Event property.

 Blank

A constant value indicating how an empty string will be saved in the database.

 Default

A constant value indicating how an empty string will be saved in the database.

 Focus_Event

Constant value for the Triggering Event property.

 Key_Event

Constant value for the Triggering Event property.

 m_DynamicUpdate

Controls when the component commits its changes.

 m_TriggeringEvent

The type of event that triggers this component to commit its changes.

 Null

A constant value indicating how an empty string will be saved in the database.

 Text_Event

Constant value for the Triggering Event property.

 TextField()

Constructs a default TextField.

 TextField(int)

Constructs a TextField with the specified number of columns.

 TextField(String)

Constructs a TextField with the specified initial value.

 TextField(String, int)

Constructs a TextField with the specified text and number of columns.

 getData()

Gets the value of this component.

 getDataBinding()

Gets the name of the data item this component is bound to.

 getDynamicUpdate()

Indicates when the component commits its changes.

 getEmptyMeansNull()

Gets the value of the Empty Means Null property.

 getProjection()

Returns the projection in the RelationView that this component is bound with.

 getRelationView()

Returns the RelationView that this component is bound with.

 getScale()

Gets the number of digits to the right of the decimal point for this component's value.

 getTriggeringEvent()

Gets the current value of the Triggering Event property.

 isTextBased()

Gets whether this component saves its value as a text String.

 registerListeners()

Registers the standard event listener(s) for this component.

 setBinding(RelationView, String)

Binds this component to a given projection within the specified relation view.

 setData(Object)

Sets the value of this component to the given value.

 setDataBinding(String)

Sets the name of the data item to bind this component to.

 setDynamicUpdate(boolean)

Sets when the component commits its changes.

 setEditable(boolean)

Sets whether this component determines is user-editablity from the database it's bound with, or whether it will simple not be editable.

 setEmptyMeansNull(boolean)

Sets the value of the Empty Means Null property.

 setProjection(String)

Binds this component to the given projection within the RelationView the component is currently bound with.

 setReadOnly(boolean)

Sets whether the data value of this component may be modified.

 setRelationView(RelationView)

Sets the RelationView that this component is bound with.

 setTreatBlankAs(String)

Specifies how an empty string will be set when updating data on the dbANYWHERE server.

 setTriggeringEvent(int)

Sets the value of the Triggering Event property.

 Action_Event

 public static final int Action_Event

Constant value for the Triggering Event property. Indicates the triggering event is ACTION_PERFORMED.

 Blank

 public static final String Blank

A constant value indicating how an empty string will be saved in the database.

 Default

 public static final String Default

A constant value indicating how an empty string will be saved in the database.

 Focus_Event

 public static final int Focus_Event

Constant value for the Triggering Event property. Indicates the triggering event is FOCUS_LOST.

 Key_Event

 public static final int Key_Event

Constant value for the Triggering Event property. Indicates the triggering event is KEY_PRESSED.

 m_DynamicUpdate

 protected boolean m_DynamicUpdate

Controls when the component commits its changes. If true, this component sets the triggering event to Text_Event, otherwise the triggering event is set to Focus_Event.

See Also:

getDynamicUpdate, setDynamicUpdate, Focus_Event, Text_Event

 m_TriggeringEvent

 protected int m_TriggeringEvent

The type of event that triggers this component to commit its changes.

See Also:

getTriggeringEvent, setTriggeringEvent, Focus_Event, Key_Event, Text_Event, Action_Event

 Null

 public static final String Null

A constant value indicating how an empty string will be saved in the database.

 Text_Event

 public static final int Text_Event

Constant value for the Triggering Event property. Indicates the triggering event is TEXT_VALUE_CHANGED.

 TextField

 public TextField()

Constructs a default TextField.

Call setBinding() to bind this component to a projection in a RelationView and auto-set the value.

See Also:

setBinding

 TextField

 public TextField(int cols)

Constructs a TextField with the specified number of columns.

Call setBinding() to bind this component to a projection in a RelationView and auto-set the value.

Parameters:

cols - the number of columns

See Also:

setBinding

 TextField

 public TextField(String text)

Constructs a TextField with the specified initial value.

Call setBinding() to bind this component to a projection in a RelationView and auto-set the value.

Parameters:

text - the text to be displayed

See Also:

setBinding

 TextField

 public TextField(String text,
                  int cols)

Constructs a TextField with the specified text and number of columns.

Call setBinding() to bind this component to a projection in a RelationView and auto-set the value.

Parameters:

text - the text to be displayed

cols - the number of columns

See Also:

setBinding

 getData

 public Object getData()

Gets the value of this component.

Returns:

the current component value

See Also:

setData

 getDataBinding

 public String getDataBinding()

Gets the name of the data item this component is bound to.

Returns:

s the data item name, like "MyTable@MyColumn"

See Also:

setDataBinding

 getDynamicUpdate

 public boolean getDynamicUpdate()

Indicates when the component commits its changes. If true, this component has set the triggering event to Text_Event, otherwise the triggering event is set to Focus_Event.

See Also:

setDynamicUpdate, Focus_Event, Text_Event

 getEmptyMeansNull

 public boolean getEmptyMeansNull()

Gets the value of the Empty Means Null property. This determines how an empty string will be saved when updating data on the database server. A value of trueindicates an empty string will be saved as a SQL NULL value. Otherwise it will be saved as a blank value.

Returns:

true for NULL, false for BLANK

See Also:

setEmptyMeansNull

 getProjection

 public String getProjection()

Returns the projection in the RelationView that this component is bound with.

See Also:

setBinding

 getRelationView

 public RelationView getRelationView()

Returns the RelationView that this component is bound with.

See Also:

setBinding

 getScale

 public int getScale()

Gets the number of digits to the right of the decimal point for this component's value.

Returns:

the number of digits to the right of the decimal point

 getTriggeringEvent

 public int getTriggeringEvent()

Gets the current value of the Triggering Event property. This determines the type of event that triggers the component to commit its changes to the database.

Returns:

one of Focus_Event, Action_Event, Key_Event, or Text_Event

See Also:

setTriggeringEvent, Focus_Event, Action_Event, Key_Event, Text_Event

 isTextBased

 public boolean isTextBased()

Gets whether this component saves its value as a text String.

Returns:

true if the value is saved as text, false otherwise

 registerListeners

 public void registerListeners()

Registers the standard event listener(s) for this component.

 setBinding

 public void setBinding(RelationView relView,
                        String projection)

Binds this component to a given projection within the specified relation view.

Parameters:

relView - the relation view to bind with

projection - the projection in relView to bind with

 setData

 public void setData(Object value)

Sets the value of this component to the given value.

Parameters:

value - the new component value

See Also:

getData

 setDataBinding

 public void setDataBinding(String name)

Sets the name of the data item to bind this component to.

Parameters:

name - the data item name, like "MyTable@MyColumn"

See Also:

getDataBinding

 setDynamicUpdate

 public void setDynamicUpdate(boolean value)

Sets when the component commits its changes. If true, this component sets the triggering event to Text_Event, otherwise the triggering event is set to Focus_Event.

Parameters:

value - the new dynamic update mode value

See Also:

getDynamicUpdate, Focus_Event, Text_Event

 setEditable

 public void setEditable(boolean value)

Sets whether this component determines is user-editablity from the database it's bound with, or whether it will simple not be editable.

Parameters:

value - if true this component is editable if the database its bound with is writable, if false this component is not editable

Overrides:

setEditable in class TextComponent

 setEmptyMeansNull

 public void setEmptyMeansNull(boolean propertyValue)

Sets the value of the Empty Means Null property. This determines how an empty string will be saved when updating data on the database server. A value of trueindicates an empty string will be saved as a SQL NULL value. Otherwise it will be saved as a blank value.

Parameters:

propertyValue - true for NULL, false for BLANK

See Also:

getEmptyMeansNull

 setProjection

 public void setProjection(String projection)

Binds this component to the given projection within the RelationView the component is currently bound with.

See Also:

setBinding, getProjection, getRelationView

 setReadOnly

 public void setReadOnly(boolean value)

Sets whether the data value of this component may be modified.

Parameters:

value - true if the value may not be modified, falseif the value may be modified

 setRelationView

 public void setRelationView(RelationView value)

Sets the RelationView that this component is bound with.

Parameters:

value - the RelationView to bind with

See Also:

getRelationView, setBinding, setProjection

 setTreatBlankAs

 public void setTreatBlankAs(String value)

Specifies how an empty string will be set when updating data on the dbANYWHERE server.

Parameters:

blank - one of "DEFAULT", "NULL", or "BLANK"

See Also:

setValueFromString

 setTriggeringEvent

 public void setTriggeringEvent(int event)

Sets the value of the Triggering Event property. This determines the type of event that triggers the component to commit its changes to the database.

Parameters:

event - one of Focus_Event, Action_Event, Key_Event, or Text_Event

See Also:

getTriggeringEvent, Focus_Event, Action_Event, Key_Event, Text_Event


 Class symantec.itools.db.awt.TextFieldBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.db.awt.TextFieldBeanInfo

public class TextFieldBeanInfo
   extends SimpleBeanInfo

BeanInfo for the TextField component.

 TextFieldBeanInfo()

Constructs a TextFieldBeanInfo object.

 getAdditionalBeanInfo()

Gets BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an empty MethodDescriptor array.

 getPropertyDescriptors()

Gets an array of descriptions of this bean's properties.

 TextFieldBeanInfo

 public TextFieldBeanInfo()

Constructs a TextFieldBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getDefaultPropertyIndex

 public int getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

Overrides:

getDefaultPropertyIndex in class SimpleBeanInfo

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an empty MethodDescriptor array.

Returns:

an empty array

Overrides:

getMethodDescriptors in class SimpleBeanInfo

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Gets an array of descriptions of this bean's properties.

Returns:

property descriptions for this bean

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.db.awt.TimeMask

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.TextComponent
                   |
                   +----java.awt.TextField
                           |
                           +----symantec.itools.awt.FormattedTextField
                                   |
                                   +----symantec.itools.db.awt.FormattedTextField
                                           |
                                           +----symantec.itools.db.awt.TimeMask

public class TimeMask
   extends FormattedTextField

Creates a formatted text field in which your user can type in the time. This class limits the type of text that can be entered in the text box to a HH-MM-SS format number. Text formatting logic is applied to the user input. If the text field already contains text, the user can select the default text and delete or edit it.

 TimeMask()

Constructs a long zip code field.

 setMask(String)

Takes no action.

 TimeMask

 public TimeMask()

Constructs a long zip code field. This is a formatted text field with the following format: 99/:99/:99

 setMask

 public void setMask(String s)

Takes no action. Overrides setMask in FormattedTextField to prevent alteration of the long zip code mask.

Overrides:

setMask in class FormattedTextField


 Class symantec.itools.db.awt.TimestampMask

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.TextComponent
                   |
                   +----java.awt.TextField
                           |
                           +----symantec.itools.awt.FormattedTextField
                                   |
                                   +----symantec.itools.db.awt.FormattedTextField
                                           |
                                           +----symantec.itools.db.awt.TimestampMask

public class TimestampMask
   extends FormattedTextField

Creates a formatted text field in which your user can type in the date and time. This class limits the type of text that can be entered in the text box to a YEAR-MO-DA HH-MM-SS format number. Text formatting logic is applied to the user input. If the text field already contains text, the user can select the default text and delete or edit it.

 TimestampMask()

Constructs a long zip code field.

 setMask(String)

Takes no action.

 TimestampMask

 public TimestampMask()

Constructs a long zip code field. This is a formatted text field with the following format: 9999/-99/-99/ 99/:99/:99

 setMask

 public void setMask(String s)

Takes no action. Overrides setMask in FormattedTextField to prevent alteration of the long zip code mask.

Overrides:

setMask in class FormattedTextField


 Class symantec.itools.db.awt.Tstamp

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.TextComponent
                   |
                   +----java.awt.TextField
                           |
                           +----symantec.itools.db.awt.Tstamp

public class Tstamp
   extends TextField

A Tstamp component is a text field that accepts and displays text in common date/time formats. It parses the text so that the date and time is available numericly as well.

 day

The day of the month.

 hour

The hour of the day.

 m_DisplayFormat

The current data display format.

 m_EntryFormat

The current data entry format.

 minute

The minute of the hour.

 month

The month of the year.

 nanosec

The nanosecond of the second.

 second

The second of the minute.

 year

The year.

 Tstamp()

Constructs a default Tstamp.

 Tstamp(Date)

Constructs a Tstamp with the given date.

 Tstamp(String)

Constructs a Tstamp with the given date.

 Tstamp(String, String)

Constructs a Tstamp with the given date in the given format.

 Tstamp(Timestamp)

Constructs a Tstamp with the given date/time.

 calculday(int, int, int)

Returns the day of the week given the day, month, and year.

 exTstamp(String)

Returns the current date/time as a string formatted in the specified way.

 getDate()

Returns the current Tstamp value as a Date.

 getDisplayFormat()

Returns the current display format.

 getEntryFormat()

Returns the current entry format.

 getTimestamp()

Returns the current Tstamp value as a Timestamp.

 getTstamp()

Returns the current date/time as a string.

 getTstamp(int)

Returns the current date/time as a string formatted in the specified way.

 getTstamp(String)

Returns the current date/time as a string formatted in the specified way.

 printTstamp()

Updates the text displayed using the current date/time value and display format.

 raiseException(Exception)

Internal utility method.

 readDate(String, String)

Utility method that parses the given date using the specified format.

 setDisplayFormat(String)

Sets the display and input format.

 setEntryFormat(String)

Sets the entry format.

 setinequalout()

Sets the text entry format to the same as the display format.

 setTstamp(Date)

Sets the value to the given date.

 setTstamp(String)

Sets the value to the given date.

 setTstamp(String, String)

Sets the value to the given date in the given format.

 day

 protected int day

The day of the month.

 hour

 protected int hour

The hour of the day. 13 = 1 PM.

 m_DisplayFormat

 protected String m_DisplayFormat

The current data display format.

See Also:

getDisplayFormat, setDisplayFormat

 m_EntryFormat

 protected String m_EntryFormat

The current data entry format.

See Also:

getEntryFormat, setEntryFormat

 minute

 protected int minute

The minute of the hour.

 month

 protected int month

The month of the year. 0 = January.

 nanosec

 protected int nanosec

The nanosecond of the second.

 second

 protected int second

The second of the minute.

 year

 protected int year

The year.

 Tstamp

 public Tstamp()

Constructs a default Tstamp.

 Tstamp

 public Tstamp(Date date)

Constructs a Tstamp with the given date.

Parameters:

date - the initial date displayed

 Tstamp

 public Tstamp(String date)

Constructs a Tstamp with the given date.

Parameters:

date - the initial date displayed

 Tstamp

 public Tstamp(String date,
               String format)

Constructs a Tstamp with the given date in the given format.

Parameters:

date - the initial date displayed

format - the format the date is in

 Tstamp

 public Tstamp(Timestamp tstamp)

Constructs a Tstamp with the given date/time.

Parameters:

tstamp - the initial date and time displayed

 calculday

 public int calculday(int day,
                      int month,
                      int year)

Returns the day of the week given the day, month, and year.

See Also:

getDisplayFormat

 exTstamp

 protected String exTstamp(String exform)

Returns the current date/time as a string formatted in the specified way.

See Also:

getDisplayFormat

 getDate

 public Date getDate() throws IllegalArgumentException

Returns the current Tstamp value as a Date.

Throws: IllegalArgumentException

if the date value is out of range (<1970 or >2038)

 getDisplayFormat

 public String getDisplayFormat()

Returns the current display format.

The display format defines the format in which the date, time, or timestamp values are displayed. Text phrases may also be entered as long as they do not contain any of the valid values.

Example:

“The date: D* M* D%TH, Y* H%:mm:ss AM

will print

“The date: Friday October 12th , 1973 2:34:54 PM

Note: If the display format values do not include all the data elements provided by the input data, only the values specified in the format will display.

For example, a display format of “MM/DD” displays “07/01” even though the complete data may be “07/01/1996”.

Value	Description
DD	Day - 2 digits [01-31]
D%	Day - 1 or 2 digits [1-31]
D+	Day - name of the day abbreviated [Mon.-Sun.]
D*	Day - name of the day complete [Monday-Sunday]
TH	puts the [ st-nd-rd-th ] element
MM	Month - 2 digits [01-12]
M%	Month - 1 to 2 digits [1-12]
M+	Month - name of the month abbreviated [Jan.-Dec.]
M*	Month - complete name of the month [January-December]
YY	Year - 2 digits
Y*	Year - 4 digits
hh	Hour - 2 digits
h%	Hour - 1 or 2 digits
HH	Hour - 2 digits, 12 hour clock
H%	Hour - 1 or 2 digits, 12 hour clock
AM	adds a AM or PM symbol
mm	Minutes - 2 digits
m%	Minutes - 1 or 2 digits
ss	Seconds - 2 digits
s%	Seconds - 1 or 2 digits
n1,n2…n9	fractions of a second, number specifies the number of digits.
See Also:

setDisplayFormat

 getEntryFormat

 public String getEntryFormat()

Returns the current entry format.

The entry format defines the order the user must follow to enter a valid timestamp.

It is a can either be a String containing “M”, ”D” ,”Y”, ”h”, ”m”, ”s” and “n” or a string using the values for a display format.

See Also:

setEntryFormat, getDisplayFormat

 getTimestamp

 public Timestamp getTimestamp() throws IllegalArgumentException

Returns the current Tstamp value as a Timestamp.

Throws: IllegalArgumentException

if the date value is out of range (<1970 or >2038)

 getTstamp

 public String getTstamp()

Returns the current date/time as a string.

 getTstamp

 public String getTstamp(int num)

Returns the current date/time as a string formatted in the specified way. The parameter value specifies one of:

Value	Format (see getDisplayFormat)
0	DDMMYY
1	D% M% YY
2	D%/M%/Y*
3	Y*-MM-DD
4	DD/MM/YY
5	D%-M+-YY
6	D% M* Y*
7	D+ D% M+ Y*
8	D* D% M+ Y*
9	M* D% YY
10	D* M* D% Y*
11	<< M%.D%.YY >>
12	Today is D* the D% th of M* Y*
13	DD -- MM -- Y*
Parameters:

num - the way to format the text

See Also:

getDisplayFormat

 getTstamp

 public String getTstamp(String exform)

Returns the current date/time as a string formatted in the specified way.

Parameters:

exform - the display format to use

See Also:

getDisplayFormat

 printTstamp

 public void printTstamp()

Updates the text displayed using the current date/time value and display format.

See Also:

getDisplayFormat

 raiseException

 protected void raiseException(Exception ex)

Internal utility method.

 readDate

 protected void readDate(String date,
                         String format)

Utility method that parses the given date using the specified format.

See Also:

getEntryFormat

 setDisplayFormat

 public void setDisplayFormat(String dispfmt)

Sets the display and input format.

Parameters:

dispfmt - the new display and entry format

See Also:

getDisplayFormat

 setEntryFormat

 public void setEntryFormat(String entfmt)

Sets the entry format.

Parameters:

entfmt - the new entry format

See Also:

getEntryFormat

 setinequalout

 public void setinequalout()

Sets the text entry format to the same as the display format.

Parameters:

date - the new date

 setTstamp

 public void setTstamp(Date date)

Sets the value to the given date.

Parameters:

date - the new date

 setTstamp

 public void setTstamp(String date)

Sets the value to the given date.

Parameters:

date - the new date

 setTstamp

 public void setTstamp(String date,
                       String format)

Sets the value to the given date in the given format.

Parameters:

date - the new date

format - the format the date is in


 Class symantec.itools.db.awt.USPhoneMask

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.TextComponent
                   |
                   +----java.awt.TextField
                           |
                           +----symantec.itools.awt.FormattedTextField
                                   |
                                   +----symantec.itools.db.awt.FormattedTextField
                                           |
                                           +----symantec.itools.db.awt.USPhoneMask

public class USPhoneMask
   extends FormattedTextField

Creates a formatted text field in which your user can type in a phone number. This class limits the type of text that can be entered in the text box to a (###) ###-#### format number. Text formatting logic is applied to the user input. If the text field already contains text, the user can select the default text and delete or edit it.

 USPhoneMask()

Constructs a long zip code field.

 setMask(String)

Takes no action.

 USPhoneMask

 public USPhoneMask()

Constructs a long zip code field. This is a formatted text field with the following format: /(999/)/ 999/-9999

 setMask

 public void setMask(String s)

Takes no action. Overrides setMask in FormattedTextField to prevent alteration of the long zip code mask.

Overrides:

setMask in class FormattedTextField


 Class symantec.itools.db.awt.ZipCodeMask

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.TextComponent
                   |
                   +----java.awt.TextField
                           |
                           +----symantec.itools.awt.FormattedTextField
                                   |
                                   +----symantec.itools.db.awt.FormattedTextField
                                           |
                                           +----symantec.itools.db.awt.ZipCodeMask

public class ZipCodeMask
   extends FormattedTextField

Creates a formatted text field in which your user can type in a common 5-digit zip code. This class limits the type of text that can be entered in the text box to a ##### format number. Text formatting logic is applied to the user input. If the text field already contains text, the user can select the default text and delete or edit it.

 ZipCodeMask()

Constructs a long zip code field.

 setMask(String)

Takes no action.

 ZipCodeMask

 public ZipCodeMask()

Constructs a long zip code field. This is a formatted text field with the following format: 99999

 setMask

 public void setMask(String s)

Takes no action. Overrides setMask in FormattedTextField to prevent alteration of the long zip code mask.

Overrides:

setMask in class FormattedTextField


 Class symantec.itools.db.awt.DataNotAvailable

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----symantec.itools.db.awt.DataNotAvailable

public class DataNotAvailable
   extends Exception

Exception to indicate that the data requested could not be retrieved.

 DataNotAvailable()

Constructs a default DataNotAvailable exception.

 DataNotAvailable(String)

Constructs a DataNotAvailable exception with a message.

 DataNotAvailable

 public DataNotAvailable()

Constructs a default DataNotAvailable exception.

 DataNotAvailable

 public DataNotAvailable(String msg)

Constructs a DataNotAvailable exception with a message.

Parameters:

msg - the message


 Class symantec.itools.db.awt.FtpLoginException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----symantec.itools.db.awt.FtpLoginException

public class FtpLoginException
   extends Exception

This exception gets thrown if an FtpClient cannot login to the host.

     See Also:
     FtpClient, login


 Class symantec.itools.db.awt.TypeNotSupported

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----symantec.itools.db.awt.TypeNotSupported

public class TypeNotSupported
   extends Exception

Exception class that denotes the user attempted to perform some action not supported by the TableView or one of its helper classes.

 TypeNotSupported()

Constructs a default TypeNotSupported exception.

 TypeNotSupported(String)

Constructs a TypeNotSupported exception with a message.

 TypeNotSupported

 public TypeNotSupported()

Constructs a default TypeNotSupported exception.

 TypeNotSupported

 public TypeNotSupported(String msg)

Constructs a TypeNotSupported exception with a message.

Parameters:

msg - the message


 package symantec.itools.db.beans.binding

   Mediator
   MediatorBeanInfo
   MediatorDS
   MediatorDSBeanInfo
   QueryNavigator
   QueryNavigatorBeanInfo

   PositionOutOfRangeException


 Class symantec.itools.db.beans.binding.Mediator

java.lang.Object
   |
   +----symantec.itools.db.beans.binding.Mediator

public class Mediator
   extends Object

A JavaBean that makes any component database-aware.

It is a bridge between the component and the database. It can display single cell values as well as multi-dimensional arrays of cells.

Example of usage:

 customer_id= new Mediator();
 customer_id.setOutput(customer_id_textField);
 customer_id.setDataBinding("customer@id%1");
 customer_id.setSetMethods("setText(Value)");
 customer_id.setGetMethods("getText()");

 Blank

A constant indicating how an empty string will be set when updating data on the dbANYWHERE server.

 Component

The component to manage.

 currentCursorNumber

Used to select row or column update (x or y).

 dataBinding

Name of the input DataItem.

 DBus

The DataBus the Mediator is connected to.

 Default

A constant indicating how an empty string will be set when updating data on the dbANYWHERE server.

 getMethods

The methods used to get a component's value.

 hasFoundGetMethod

The output component's get methods have been found and are ready to use.

 hasFoundSetMethod

The output component's set methods have been found and are ready to use.

 Input

The input DataItem.

 notifyOn

Flag which controls component updating.

 Null

A constant indicating how an empty string will be set when updating data on the dbANYWHERE server.

 output

The output component in which the Mediator is going to display the data.

 recursionLevel

Helper value for the createDataItemFromArray method.

 setMethods

The methods used to set a component's value.

 Mediator()

Constructs a default Mediator.

 Mediator(Object, String)

Constructs a Mediator given its output component and the full name of the fields it is supposed to show.

 addVetoableChangeListener(VetoableChangeListener)

Adds a vetoable change listener for the DataBus property.

 commit()

Updates the DataItem with the values present in the output component.

 commitUI(TriggerUIEvent)

Updates the DataItem with the values present in the output component.

 createArrayFromDataItem(DataItem)

Returns all of the current values of of the given DataItem as an array.

 createDataItemFromArray(DataItem, Object[][])

Creates or initializes a DataItem using the given array of values.

 finalize()

The java language standard finalize method.

 findDI()

Sets the input DataItem using the current input name.

 getCollectionSize(DataItem)

Determines the size of each dimension of the given DataItem.

 getDataBinding()

Returns the full name of the current input DataItem.

 getDataBus()

Gets the current DataBus.

 getEmptyMeansNull()

Gets the way empty values are treated.

 getGetMethods()

Gets the methods used to get a component's value.

 getOutput()

Gets the current output component.

 getOutputSize()

Gets the data dimension of the output component.

 getSetMethods()

Gets the methods used to set a component's value.

 getSlice(int, Object[][], int)

Internal helper method.

 handleDataBusEvent(DataBusEvent)

Handles the DataBus events, in particular the Data available events sent by the QueryNavigators.

 hasFoundDI()

Determines if this Mediator has a valid DataItem.

 killActualInput()

Sets the input DataItem to null.

 notifyDataItemChanged(DataItemChangedEvent)

Handles DataItem changed events from the input DataItem.

 notifyEnabled(boolean)

Controls component updating.

 removeVetoableChangeListener(VetoableChangeListener)

Removes a vetoable change listener for the DataBus property.

 requestDataItem(DataBusEvent)

Changes the value of the DataItem when requested by the DataBus.

 setDataBinding(String)

Sets the name of the input DataItem and searches the DataBus for it.

 setDataBus(DataBus)

Connects to the DataBus.

 setEmptyMeansNull(boolean)

Sets the way to treat empty values.

 setGetMethods(String[])

Sets the methods used to get a component's value.

 setOutput(Object)

Sets the output component in which the Mediator is going to display the data.

 setOutputSize(Dimension)

Sets the data dimension of the output component.

 setSetMethods(String[])

Sets the methods used to set a component's value.

 suicide()

Detaches from the databus and destroys itself.

 update(DataItem)

Updates the all the values displayed in the output component.

 update(DataItem, int, int)

Updates the values displayed in the specified column of the output component.

 update(DataItem, int[], int, int)

Updates the values displayed the specified row or column of the output component.

 Blank

 public static final int Blank

A constant indicating how an empty string will be set when updating data on the dbANYWHERE server.

 Component

 protected OutputComponent Component

The component to manage.

See Also:

setOutput

 currentCursorNumber

 protected int currentCursorNumber

Used to select row or column update (x or y). Use 0 for column, 1 for row.

 dataBinding

 protected String dataBinding

Name of the input DataItem. The Name class contains all the methods for parsing and using the names.

See Also:

setDataBinding

 DBus

 protected DataBus DBus

The DataBus the Mediator is connected to.

See Also:

setDataBus

 Default

 public static final int Default

A constant indicating how an empty string will be set when updating data on the dbANYWHERE server.

 getMethods

 protected String getMethods[]

The methods used to get a component's value.

See Also:

setGetMethods

 hasFoundGetMethod

 protected boolean hasFoundGetMethod

The output component's get methods have been found and are ready to use.

 hasFoundSetMethod

 protected boolean hasFoundSetMethod

The output component's set methods have been found and are ready to use.

 Input

 protected DataItem Input

The input DataItem.

 notifyOn

 protected boolean notifyOn

Flag which controls component updating. If notify is enabled the component will be updated when the DataItem changes, otherwise it is only updated when the DataItem is deleted.

See Also:

notifyEnabled

 Null

 public static final int Null

A constant indicating how an empty string will be set when updating data on the dbANYWHERE server.

 output

 protected Object output

The output component in which the Mediator is going to display the data.

 recursionLevel

 protected int recursionLevel

Helper value for the createDataItemFromArray method.

See Also:

createDataItemFromArray

 setMethods

 protected String setMethods[]

The methods used to set a component's value.

See Also:

setSetMethods

 Mediator

 public Mediator()

Constructs a default Mediator.

 Mediator

 public Mediator(Object Out,
                 String name)

Constructs a Mediator given its output component and the full name of the fields it is supposed to show.

Parameters:

Out - The output component

name - The full name of the data fields

 addVetoableChangeListener

 public void addVetoableChangeListener(VetoableChangeListener listener)

Adds a vetoable change listener for the DataBus property. Use a listener to monitor and override the changing of the DataBus property.

Parameters:

listener - the listener to add

See Also:

removeVetoableChangeListener

 commit

 public void commit()

Updates the DataItem with the values present in the output component.

 commitUI

 public void commitUI(TriggerUIEvent trui)

Updates the DataItem with the values present in the output component.

Parameters:

trui - the UI event that triggered the update

 createArrayFromDataItem

 protected Object[][] createArrayFromDataItem(DataItem DI)

Returns all of the current values of of the given DataItem as an array. The size of the array is determined using getCollectionSize().

Parameters:

the - DataItem

Returns:

an array of values

See Also:

createDataItemFromArray, getCollectionSize

 createDataItemFromArray

 protected DataItem createDataItemFromArray(DataItem DI,
                                            Object obj[][])

Creates or initializes a DataItem using the given array of values.

Parameters:

the - DataItem, or null to create a new one

obj - the array of values

See Also:

createArrayFromDataItem

 finalize

 protected void finalize() throws Throwable

The java language standard finalize method. It is called just before an object is freed.

Throws: Throwable

if an exception occured

Overrides:

finalize in class Object

 findDI

 protected void findDI()

Sets the input DataItem using the current input name.

See Also:

Input

 getCollectionSize

 protected Dimension getCollectionSize(DataItem DI)

Determines the size of each dimension of the given DataItem.

Parameters:

DI - the DataItem to size

Returns:

the size of each dimension

 getDataBinding

 public String getDataBinding()

Returns the full name of the current input DataItem.

Returns:

the full name of the DataItem.

See Also:

setDataBinding

 getDataBus

 public DataBus getDataBus()

Gets the current DataBus.

Returns:

the current DataBus.

 getEmptyMeansNull

 public boolean getEmptyMeansNull()

Gets the way empty values are treated. If this property is true an empty value is treated as a null (non-existant) value, otherwise it is treated as a blank value.

Returns:

true if empty values are treated as nulls, false if they are treated as blank values

See Also:

setEmptyMeansNull

 getGetMethods

 public String[] getGetMethods()

Gets the methods used to get a component's value.

Returns:

the method(s) for getting

See Also:

setGetMethods

 getOutput

 public Object getOutput()

Gets the current output component.

Returns:

the output component

See Also:

setOutput

 getOutputSize

 protected Dimension getOutputSize()

Gets the data dimension of the output component. This determines how many cells of data the component is going to display.

Returns:

the data dimension of the output component

See Also:

setOutputSize

 getSetMethods

 public String[] getSetMethods()

Gets the methods used to set a component's value.

Returns:

the method(s) for setting

See Also:

setSetMethods

 getSlice

 protected Object[][] getSlice(int type,
                               Object obj[][],
                               int j)

Internal helper method.

 handleDataBusEvent

 public void handleDataBusEvent(DataBusEvent ibe)

Handles the DataBus events, in particular the Data available events sent by the QueryNavigators.

Parameters:

ibe - the DataBus event to process

 hasFoundDI

 public boolean hasFoundDI()

Determines if this Mediator has a valid DataItem.

Returns:

true if so, false otherwise

 killActualInput

 protected void killActualInput()

Sets the input DataItem to null.

See Also:

Input

 notifyDataItemChanged

 public void notifyDataItemChanged(DataItemChangedEvent e)

Handles DataItem changed events from the input DataItem.

Parameters:

e - the DataItem changed event to process

 notifyEnabled

 protected void notifyEnabled(boolean value)

Controls component updating. If notify is enabled the component will be updated when the DataItem changes, otherwise it is only updated when the DataItem is deleted.

Parameters:

value - true to enable notify, false to disable

 removeVetoableChangeListener

 public void removeVetoableChangeListener(VetoableChangeListener listener)

Removes a vetoable change listener for the DataBus property.

Parameters:

listener - the listener to remove

See Also:

addVetoableChangeListener

 requestDataItem

 public void requestDataItem(DataBusEvent ibe)

Changes the value of the DataItem when requested by the DataBus.

Parameters:

ibe - the DataBus event

 setDataBinding

 public void setDataBinding(String name)

Sets the name of the input DataItem and searches the DataBus for it. This method is very important in the sense that it is the one that actually connects the mediator to the data bus. The name format is Tablename@col1,col2%NumberOfRows

Parameters:

name - the name of the data to be shown

See Also:

getDataBinding

 setDataBus

 public void setDataBus(DataBus b) throws PropertyVetoException

Connects to the DataBus. The changing of this property may be monitored and overridden by using a VetoableChangeListener.

Parameters:

b - The DataBus to connect with

Throws: PropertyVetoException

if the change is not accepted.

See Also:

addVetoableChangeListener, removeVetoableChangeListener

 setEmptyMeansNull

 public void setEmptyMeansNull(boolean propertyValue)

Sets the way to treat empty values. If this property is set to true an empty value is treated as a null (non-existant) value, otherwise it is treated as a blank value.

Parameters:

propertyValue - true to treat empty values as nulls, false to treat them as blank values

See Also:

getEmptyMeansNull

 setGetMethods

 public void setGetMethods(String methodNames[])

Sets the methods used to get a component's value. The methods are in an array of strings and will be executed one after the other.

Parameters:

methodNames - the names of the methods, including their parameters (i.e. {"getFocus(Row,Col)","getText()"})

See Also:

getGetMethods

 setOutput

 public void setOutput(Object Out)

Sets the output component in which the Mediator is going to display the data.

Parameters:

Out - the new output component

See Also:

getOutput

 setOutputSize

 protected void setOutputSize(Dimension size)

Sets the data dimension of the output component. This determines how many cells of data the component is going to display.

Parameters:

size - The desired size

See Also:

getOutputSize

 setSetMethods

 public void setSetMethods(String methodNames[])

Sets the methods used to set a component's value. The methods are in an array of strings and will be executed one after the other.

Parameters:

methodNames - the names of the methods, including their parameters (i.e. "setText(Value,Row,Col)")

See Also:

getSetMethods

 suicide

 protected void suicide()

Detaches from the databus and destroys itself.

 update

 protected void update(DataItem Input)

Updates the all the values displayed in the output component. The given DataItem is used for the new values.

Parameters:

Input - the source of new values for the output component

 update

 protected void update(DataItem Input,
                       int xcursor,
                       int ycursor)

Updates the values displayed in the specified column of the output component. The given DataItem is used for the new values. The update begins from the specified location.

Parameters:

Input - the source of new values for the output component

xcursor - the column

ycursor - the row

 update

 protected void update(DataItem Input,
                       int columns[],
                       int xcursor,
                       int ycursor)

Updates the values displayed the specified row or column of the output component. The given DataItem is used for the new values. The update begins from the specified location. The value of the currentCursorNumber field determines whether the update processed till the end of the row or column.

Parameters:

Input - the source of new values for the output component

columns - ImmediateAccess DataItems can optionally map the xcursor values into different output column index values by passing a mapping array

xcursor - the column

ycursor - the row

See Also:

currentCursorNumber


 Class symantec.itools.db.beans.binding.MediatorBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.db.beans.binding.MediatorBeanInfo

public class MediatorBeanInfo
   extends SimpleBeanInfo

BeanInfo for Mediator.

 MediatorBeanInfo()

Constructs a MediatorBeanInfo object.

 getAdditionalBeanInfo()

Gets BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Gets an array of descriptions of this bean's properties.

 MediatorBeanInfo

 public MediatorBeanInfo()

Constructs a MediatorBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getDefaultPropertyIndex

 public int getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

Overrides:

getDefaultPropertyIndex in class SimpleBeanInfo

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Gets an array of descriptions of this bean's properties.

Returns:

property descriptions for this bean

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.db.beans.binding.MediatorDS

java.lang.Object
   |
   +----symantec.itools.db.beans.binding.Mediator
           |
           +----symantec.itools.db.beans.binding.MediatorDS

public class MediatorDS
   extends Mediator

The MediatorDS is a special kind of mediator designed for working with data sources, such as a QueryNavigator. The data source must implement the BasicDataSource interface.

 dataBinding

Contains all the DataItem requested by the components.

 getMethods

The methods used to get a component's value.

 notifyOnDS

Flag that controls component updating.

 output

The output component in which the Mediator is going to display the data.

 setMethods

The methods used to set a component's value.

 MediatorDS()

Constructs a default MediatorDS.

 MediatorDS(Object, String)

Constructs a MediatorDS given its output component and the full name of the fields it is supposed to show.

 commit()

Updates all the DataItems with the values present in the QueryNavigator.

 commit(DataItem, int, int[])

Updates the specified DataItem with selected values in the QueryNavigator.

 commitUI(TriggerUIEvent)

Updates the DataItem with the values present in the output component.

 findDI()

Sets the input DataItem using the current input name.

 getDataBinding()

Returns the full name of the current input DataItem.

 getDataItemName(DataItem)

Gets the name of the given data item.

 handleDataBusEvent(DataBusEvent)

Handles the DataBus events, in particular the Data available events sent by the QueryNavigators.

 killAll()

Disconnects all the data inputs from this mediator.

 notifyDataItemChanged(DataItemChangedEvent)

Handles DataItem changed events from the input DataItem.

 notifyEnabled(boolean)

Controls component updating.

 requestDataItem(DataBusEvent)

Changes the value of the DataItem when requested by the DataBus.

 setDataBinding(String)

Sets the name of the input DataItem and searches the DataBus for it.

 setDataBus(DataBus)

Connects to the DataBus.

 setDataItemName(DataItem, String)

Sets the name of the given data item.

 setOutput(Object)

Sets the QueryNavigator to use with this MediatorDS.

 update(DataItem)

Updates the values contained in the QueryNavigator if they are different from those in the DataItem.

 dataBinding

 protected Name dataBinding

Contains all the DataItem requested by the components.

 getMethods

 protected String getMethods[]

The methods used to get a component's value.

 notifyOnDS

 protected boolean notifyOnDS

Flag that controls component updating. If true the component will be updated when the DataItem changes, otherwise it is only updated when the DataItem is deleted.

See Also:

notifyEnabled

 output

 protected BasicDataSource output

The output component in which the Mediator is going to display the data.

 setMethods

 protected String setMethods[]

The methods used to set a component's value.

 MediatorDS

 public MediatorDS()

Constructs a default MediatorDS.

 MediatorDS

 public MediatorDS(Object Out,
                   String Name)

Constructs a MediatorDS given its output component and the full name of the fields it is supposed to show.

Parameters:

Out - The output component

Name - The full name of the data fields

 commit

 public void commit()

Updates all the DataItems with the values present in the QueryNavigator.

Overrides:

commit in class Mediator

 commit

 public void commit(DataItem DI,
                    int row,
                    int cols[])

Updates the specified DataItem with selected values in the QueryNavigator.

Parameters:

DI - the dataItem to update

row - the QueryNavigator row with the desired values

cols - an array of columns whose values should be used for the update

 commitUI

 public void commitUI(TriggerUIEvent trui)

Updates the DataItem with the values present in the output component.

Parameters:

trui - the UI event that triggered the update

Overrides:

commitUI in class Mediator

 findDI

 protected void findDI()

Sets the input DataItem using the current input name.

Overrides:

findDI in class Mediator

 getDataBinding

 public String getDataBinding()

Returns the full name of the current input DataItem.

Returns:

the full name of the DataItem.

Overrides:

getDataBinding in class Mediator

See Also:

setDataBinding

 getDataItemName

 protected String getDataItemName(DataItem DI)

Gets the name of the given data item.

Parameters:

DI - the data item

See Also:

setDataItemName

 handleDataBusEvent

 public void handleDataBusEvent(DataBusEvent ibe)

Handles the DataBus events, in particular the Data available events sent by the QueryNavigators.

Overrides:

handleDataBusEvent in class Mediator

 killAll

 public void killAll()

Disconnects all the data inputs from this mediator.

 notifyDataItemChanged

 public void notifyDataItemChanged(DataItemChangedEvent e)

Handles DataItem changed events from the input DataItem.

Parameters:

e - the DataItem changed event to process

Overrides:

notifyDataItemChanged in class Mediator

 notifyEnabled

 protected void notifyEnabled(boolean value)

Controls component updating. If notify is enabled the component will be updated when the DataItem changes, otherwise it is only updated when the DataItem is deleted.

Parameters:

value - true to enable notify, false to disable

Overrides:

notifyEnabled in class Mediator

 requestDataItem

 public void requestDataItem(DataBusEvent ibe)

Changes the value of the DataItem when requested by the DataBus. Also creates new DataItems as needed.

Parameters:

ibe - the DataBus event

Overrides:

requestDataItem in class Mediator

 setDataBinding

 public void setDataBinding(String name)

Sets the name of the input DataItem and searches the DataBus for it. This method is very important in the sense that it is the one that actually connects the mediator to the data bus. The name format is Tablename@col1,col2%NumberOfRows

Parameters:

name - the name of the data to be shown

Overrides:

setDataBinding in class Mediator

See Also:

getDataBinding

 setDataBus

 public void setDataBus(DataBus b) throws PropertyVetoException

Connects to the DataBus.

Parameters:

b - The DataBus to connect with

Throws: PropertyVetoException

if the change is not accepted.

Overrides:

setDataBus in class Mediator

 setDataItemName

 protected void setDataItemName(DataItem DI,
                                String name)

Sets the name of the given data item.

Parameters:

DI - the data item

name - the new data item name

See Also:

getDataItemName

 setOutput

 public void setOutput(Object Out)

Sets the QueryNavigator to use with this MediatorDS.

Parameters:

Out - the QueryNavigator

Overrides:

setOutput in class Mediator

 update

 protected void update(DataItem Input)

Updates the values contained in the QueryNavigator if they are different from those in the DataItem.

Parameters:

Input - The current dataItem

Overrides:

update in class Mediator


 Class symantec.itools.db.beans.binding.MediatorDSBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.db.beans.binding.MediatorDSBeanInfo

public class MediatorDSBeanInfo
   extends SimpleBeanInfo

BeanInfo for MediatorDS.

 MediatorDSBeanInfo()

Constructs a MediatorDSBeanInfo object.

 getAdditionalBeanInfo()

Gets BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getPropertyDescriptors()

Gets an array of descriptions of this bean's properties.

 MediatorDSBeanInfo

 public MediatorDSBeanInfo()

Constructs a MediatorDSBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getDefaultPropertyIndex

 public int getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

Overrides:

getDefaultPropertyIndex in class SimpleBeanInfo

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Gets an array of descriptions of this bean's properties.

Returns:

property descriptions for this bean

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.db.beans.binding.QueryNavigator

java.lang.Object
   |
   +----symantec.itools.db.beans.binding.QueryNavigator

public class QueryNavigator
   extends Object

This class manages a set of records from the database.

 fullname

 m_DeletedRecordsVector

Records that have been deleted.

 m_ObjectEnumeration

Query-by-example results.

 m_ObjectVector

Row data.

 m_POClassName

Name of the PersistentObject used to store the data.

 m_POFactory

The factory used to create new persistent objects.

 m_UpdatedRecordsVector

Records that have been modified.

 markedAsDeletedString

Row state, deleted.

 markedAsExistingString

Row state, existing.

 markedAsModifiedString

Row state, modified.

 markedAsNewString

Row state, new.

 newSet

Flag to indicate whether getTotalNumberOfRows() should calc the total number of rows or use the previous value.

 numberOfSpecialFeatures

Number of additional items of information kept on the results.

 SpecialFeatures

Name of additional information kept on the results.

 QueryNavigator()

Constructs a default QueryNavigator.

 addExceptionEventListener(ExceptionEventListener)

Adds a listener for ExceptionEvents.

 addTriggerUIListener(TriggerUIListener)

Adds a listener for the trigger method of the data source.

 announceException(ExceptionEvent)

Dispatches the provided ExceptionEvent.

 close()

Detaches this component from its source of data and destroys it.

 commitState()

 createQueryByExampleRow()

Constructs a query-by-example by reseting the private members of the object.

 delete()

Deletes the current row from the Data Source and from the Data Base.

 executeQuery(Synchronizable)

 executeQueryByExample()

Populates a Data Source with the result from the query by example.

 expandPOSet()

Gets the object stored in the QueryNavigator at the given position.

 finalize()

The java language standard finalize method.

 first()

Move the focus to the first row.

 getAliasName()

Gets the name given to the set of records managed by this QueryNavigator.

 getAutoStart()

Gets whether a call to the setAliasName method automatically does a query-by-example to initialize the QueryNavigator with data.

 getClassName()

The class name of new persistent objects.

 getConnection()

 getCurrentObject()

Gets the data object currently in focus.

 getCurrentRowNumber()

Gets the index of the current row.

 getDataName()

Gets the database table name.

 getElementAt(int)

Gets the object stored in the QueryNavigator at the given position.

 getLink()

 getMasterAliasName()

 getName()

Get the name assigned to this component.

 getQBEObject()

Gets the data object currently in focus in the query-by-example results.

 getRowState()

Gets the state of the current row.

 getRowState(PersistentObject)

Gets the state of the given row.

 getSpecialFeature(int, int)

Gets a special value for the getValue method.

 getTotalNumberOfRows()

Determines the current total number of rows.

 getValue(int, int)

Gets the object stored in the QueryNavigator at the specified coordinates.

 getValueFromFirst(int, int)

Gets the object stored in the QueryNavigator at the specified coordinates.

 go_to(int)

Moves the focus to the specified row.

 handleExceptionEvent(ExceptionEvent)

Handles an ExceptionEvent.

 insert()

Inserts a new row in the Data Source.

 insertIntern()

Insert helper method.

 isDirty()

 moveDataToUI(int, int)

 navigate(int, Integer)

 next()

Move the focus to the next row.

 previous()

Move the focus to the previous row.

 removeExceptionEventListener(ExceptionEventListener)

Removes a listener for ExceptionEvents.

 removeTriggerUIListener(TriggerUIListener)

Removes a listener for the trigger method of the data source.

 restart()

Starts and executes a query-by-example.

 save()

Saves the current row in the Data Base.

 saveAll()

Saves all the rows to the database.

 saveAll(int)

 saveIntern()

Save helper method.

 setAliasName(String)

Set the alias name for a QueryNavigator.

 setApplet(Applet)

Used for debugging.

 setAutoStart(boolean)

Controls whether a call to the setAliasName method automatically does a query-by-example to initialize the QueryNavigator with data.

 setClassName(String)

The class name of new persistent objects.

 setDisplaced(int, Object, PersistentObject)

 setLink(SynchronizerLink)

 setMarkedAsDeleted()

Flags the current row as deleted.

 setMasterAliasName(String)

 setMasterName(String)

 setName(String)

Sets the name assigned to this component.

 setSpecialFeature(int, int, Object)

Sets a special value for the setValue method.

 setValue(Object, int, int)

Sets the object stored in the QueryNavigator at the specified coordinates.

 setValueFromFirst(Object, int, int)

Sets the object stored in the QueryNavigator at the specified coordinates.

 startQueryByExample()

Constructs a query-by-example row.

 toString()

Returns a string representation of the object.

 TriggerUI(int, int)

Generates and dispatches a TriggerUIEvent.

 undoChanges()

Undoes the changes on the current row.

 fullname

 protected String fullname

 m_DeletedRecordsVector

 protected Vector m_DeletedRecordsVector

Records that have been deleted.

 m_ObjectEnumeration

 protected Enumeration m_ObjectEnumeration

Query-by-example results.

 m_ObjectVector

 protected Vector m_ObjectVector

Row data.

 m_POClassName

 protected String m_POClassName

Name of the PersistentObject used to store the data.

 m_POFactory

 protected Class m_POFactory

The factory used to create new persistent objects. The class of the objects created is specied using setClassName().

See Also:

setClassName

 m_UpdatedRecordsVector

 protected Vector m_UpdatedRecordsVector

Records that have been modified.

 markedAsDeletedString

 public static final String markedAsDeletedString

Row state, deleted. Returned by the getRowState() method.

See Also:

getRowState

 markedAsExistingString

 public static final String markedAsExistingString

Row state, existing. The "existing" state means the row exists but is not new, modified, or deleted. Returned by the getRowState() method.

See Also:

getRowState

 markedAsModifiedString

 public static final String markedAsModifiedString

Row state, modified. Returned by the getRowState() method.

See Also:

getRowState

 markedAsNewString

 public static final String markedAsNewString

Row state, new. Returned by the getRowState() method.

See Also:

getRowState

 newSet

 protected boolean newSet

Flag to indicate whether getTotalNumberOfRows() should calc the total number of rows or use the previous value.

 numberOfSpecialFeatures

 public final int numberOfSpecialFeatures

Number of additional items of information kept on the results.

 SpecialFeatures

 protected final String SpecialFeatures[]

Name of additional information kept on the results.

 QueryNavigator

 public QueryNavigator()

Constructs a default QueryNavigator. Constructs a data source and initializes three navigational cursors. Also creates a MediatorDS.

 addExceptionEventListener

 public synchronized void addExceptionEventListener(ExceptionEventListener listener)

Adds a listener for ExceptionEvents.

Parameters:

listener - the listener to add

See Also:

removeExceptionEventListener

 addTriggerUIListener

 public synchronized void addTriggerUIListener(TriggerUIListener mds)

Adds a listener for the trigger method of the data source. Every data source sould be connected to only one MediatorDS, therefore the vector of listeners should contain only one element. This vector of listeners is also used for setting the name of the MediatorDS's DataName.

Parameters:

mds - the listener

See Also:

removeTriggerUIListener

 announceException

 public synchronized void announceException(ExceptionEvent e)

Dispatches the provided ExceptionEvent.

Parameters:

e - the event

 close

 public synchronized void close()

Detaches this component from its source of data and destroys it.

 commitState

 public synchronized void commitState()

 createQueryByExampleRow

 public void createQueryByExampleRow()

Constructs a query-by-example by reseting the private members of the object.

 delete

 public void delete()

Deletes the current row from the Data Source and from the Data Base.

 executeQuery

 public void executeQuery(Synchronizable masterReference)

 executeQueryByExample

 public void executeQueryByExample()

Populates a Data Source with the result from the query by example. For interface only.

 expandPOSet

 protected boolean expandPOSet()

Gets the object stored in the QueryNavigator at the given position.

Parameters:

position - the zero-relative position index

Returns:

the value of the object

 finalize

 public void finalize() throws Throwable

The java language standard finalize method. It is called just before an object is freed.

Throws: Throwable

if an exception occured

Overrides:

finalize in class Object

 first

 public final void first() throws PositionOutOfRangeException

Move the focus to the first row.

Throws: PositionOutOfRangeException

if there are no rows

 getAliasName

 public String getAliasName()

Gets the name given to the set of records managed by this QueryNavigator. A name is provided so that other components may bind with that data.

See Also:

setAliasName

 getAutoStart

 public boolean getAutoStart()

Gets whether a call to the setAliasName method automatically does a query-by-example to initialize the QueryNavigator with data.

Returns:

true if data get initialized, false otherwise.

 getClassName

 public String getClassName()

The class name of new persistent objects. return the current class name

See Also:

setClassName

 getConnection

 public Connection getConnection()

 getCurrentObject

 public synchronized Object getCurrentObject()

Gets the data object currently in focus.

Returns:

the object

 getCurrentRowNumber

 public int getCurrentRowNumber()

Gets the index of the current row.

Returns:

the zero-relative index of the current row

 getDataName

 public String getDataName()

Gets the database table name. Format: TableName@column1,...,columnN

Returns:

the name of the database table

 getElementAt

 public Object getElementAt(int position) throws PositionOutOfRangeException

Gets the object stored in the QueryNavigator at the given position.

Parameters:

position - the zero-relative position index

Returns:

the value of the object

Throws: PositionOutOfRangeException

if the specified position doesn't exist

 getLink

 public SynchronizerLink getLink()

 getMasterAliasName

 public String getMasterAliasName()

 getName

 public String getName()

Get the name assigned to this component.

Returns:

the name

See Also:

setName

 getQBEObject

 protected PersistentObject getQBEObject()

Gets the data object currently in focus in the query-by-example results.

Returns:

the object

 getRowState

 public String getRowState() throws PositionOutOfRangeException

Gets the state of the current row.

Returns:

one of: markedAsNewString, markedAsDeletedString, markedAsModifiedString, or markedAsExistingString

Throws: PositionOutOfRangeException

if the specified position doesn't exist

See Also:

getCurrentRowNumber, markedAsNewString, markedAsDeletedString, markedAsModifiedString, markedAsExistingString

 getRowState

 protected String getRowState(PersistentObject po)

Gets the state of the given row.

Parameters:

po - the row to check

Returns:

one of: markedAsNewString, markedAsDeletedString, markedAsModifiedString, or markedAsExistingString

See Also:

getCurrentRowNumber, markedAsNewString, markedAsDeletedString, markedAsModifiedString, markedAsExistingString

 getSpecialFeature

 protected Object getSpecialFeature(int column,
                                    int offset) throws PositionOutOfRangeException

Gets a special value for the getValue method. These special features are defined in an array of strings.

Parameters:

column - the special feature column ( < 0 )

offset - the row for the special feature

Returns:

the special feature value

Throws: PositionOutOfRangeException

if the specified row doesn't exist

 getTotalNumberOfRows

 public int getTotalNumberOfRows()

Determines the current total number of rows.

Returns:

the number of rows

 getValue

 public Object getValue(int offset,
                        int column)

Gets the object stored in the QueryNavigator at the specified coordinates.

Parameters:

offset - the current row, relative to the current cursor position

column - the zero-relative column index

Returns:

the value of the object

 getValueFromFirst

 public Object getValueFromFirst(int offset,
                                 int column)

Gets the object stored in the QueryNavigator at the specified coordinates.

Parameters:

offset - the zero-relative row index

column - the zero-relative column index

Returns:

the value of the object

 go_to

 public void go_to(int row)

Moves the focus to the specified row.

Parameters:

row - the one-relative row index

 handleExceptionEvent

 public void handleExceptionEvent(ExceptionEvent e)

Handles an ExceptionEvent. By default, this routine prints the exception name to System.out.

Parameters:

e - the event

 insert

 public void insert()

Inserts a new row in the Data Source. In order to save this row in the Data Base the save method must be called

 insertIntern

 protected void insertIntern()

Insert helper method.

 isDirty

 public boolean isDirty()

 moveDataToUI

 protected synchronized void moveDataToUI(int row,
                                          int type)

 navigate

 public synchronized void navigate(int typeNavigation,
                                   Integer rowNumber)

 next

 public final void next() throws PositionOutOfRangeException

Move the focus to the next row.

Throws: PositionOutOfRangeException

if there is no next row

 previous

 public final void previous() throws PositionOutOfRangeException

Move the focus to the previous row.

Throws: PositionOutOfRangeException

if there is no previous row

 removeExceptionEventListener

 public synchronized void removeExceptionEventListener(ExceptionEventListener listener)

Removes a listener for ExceptionEvents.

Parameters:

listener - the listener to remove

See Also:

addExceptionEventListener

 removeTriggerUIListener

 public synchronized void removeTriggerUIListener(TriggerUIListener mds)

Removes a listener for the trigger method of the data source. Every data source sould be connected to only one MediatorDS, therefore the vector of listeners should contain only one element. This vector of listeners is also used for setting the name of the MediatorDS's DataName.

Parameters:

mds - the listener

See Also:

addTriggerUIListener

 restart

 public void restart()

Starts and executes a query-by-example.

 save

 public synchronized void save()

Saves the current row in the Data Base.

 saveAll

 public int saveAll()

Saves all the rows to the database.

 saveAll

 public int saveAll(int resolveType)

 saveIntern

 public synchronized int saveIntern()

Save helper method.

 setAliasName

 public synchronized void setAliasName(String aName)

Set the alias name for a QueryNavigator. This alias name identifies this object. A name is provided so that other components may link with this object.

Parameters:

aName - the new alias name

See Also:

getAliasName

 setApplet

 public void setApplet(Applet app)

Used for debugging.

 setAutoStart

 public void setAutoStart(boolean value)

Controls whether a call to the setAliasName method automatically does a query-by-example to initialize the QueryNavigator with data.

Parameters:

value - true if data get initialized, false otherwise.

 setClassName

 public void setClassName(String POCName)

The class name of new persistent objects.

Parameters:

POCName - the class name

See Also:

getClassName

 setDisplaced

 protected void setDisplaced(int column,
                             Object value,
                             PersistentObject po)

 setLink

 public synchronized void setLink(SynchronizerLink sLink)

 setMarkedAsDeleted

 public void setMarkedAsDeleted()

Flags the current row as deleted.

 setMasterAliasName

 public synchronized void setMasterAliasName(String aName)

 setMasterName

 public synchronized void setMasterName(String aName)

 setName

 public void setName(String value)

Sets the name assigned to this component.

Parameters:

value - the name

See Also:

getName

 setSpecialFeature

 protected void setSpecialFeature(int column,
                                  int offset,
                                  Object value) throws PositionOutOfRangeException

Sets a special value for the setValue method. These special features are defined in an array of strings.

Parameters:

column - the special feature column ( < 0 )

offset - the row for the special feature

value - the special feature value

Throws: PositionOutOfRangeException

if the specified row doesn't exist

 setValue

 public final synchronized void setValue(Object value,
                                         int offset,
                                         int column)

Sets the object stored in the QueryNavigator at the specified coordinates.

Parameters:

value - the new value

offset - the current row, relative to the current cursor position

column - the zero-relative column index

 setValueFromFirst

 public void setValueFromFirst(Object value,
                               int offset,
                               int column)

Sets the object stored in the QueryNavigator at the specified coordinates.

Parameters:

value - the new value

offset - the zero-relative row index

column - the zero-relative column index

 startQueryByExample

 public void startQueryByExample()

Constructs a query-by-example row.

 toString

 public String toString()

Returns a string representation of the object.

Overrides:

toString in class Object

 TriggerUI

 protected void TriggerUI(int row,
                          int type)

Generates and dispatches a TriggerUIEvent.

Parameters:

row - the row of data in the table

type - the TriggerUIEvent type, one of: RECORDSETCHANGED, RECORDNAVIGATION, RECORDDELETED, RECORDINSERTED, RECORDSAVEDALL, or RECORDCHANGED

 undoChanges

 public void undoChanges()

Undoes the changes on the current row.


 Class symantec.itools.db.beans.binding.QueryNavigatorBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.db.beans.binding.QueryNavigatorBeanInfo

public class QueryNavigatorBeanInfo
   extends SimpleBeanInfo

BeanInfo for QueryNavigator.

 QueryNavigatorBeanInfo()

Constructs a QueryNavigatorBeanInfo object.

 getAdditionalBeanInfo()

Gets BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Gets an array of descriptions of this bean's properties.

 QueryNavigatorBeanInfo

 public QueryNavigatorBeanInfo()

Constructs a QueryNavigatorBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getDefaultPropertyIndex

 public int getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

Overrides:

getDefaultPropertyIndex in class SimpleBeanInfo

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Gets an array of descriptions of this bean's properties.

Returns:

property descriptions for this bean

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.db.beans.binding.PositionOutOfRangeException

java.lang.Object
   |
   +----java.lang.Throwable
           |
           +----java.lang.Exception
                   |
                   +----symantec.itools.db.beans.binding.PositionOutOfRangeException

public class PositionOutOfRangeException
   extends Exception

This class is the exception thrown when an attempt is made to move a Cursor to a position out of range.

 PositionOutOfRangeException()

Constructs a default PositionOutOfRangeException.

 PositionOutOfRangeException

 public PositionOutOfRangeException()

Constructs a default PositionOutOfRangeException.


 package symantec.itools.db.beans.jdbc

   ConnectionManager
   ConnectionManagerBeanInfo
   JdbcConnection
   JdbcConnectionBeanInfo
   QueryNavigator
   QueryNavigatorBeanInfo
   RecordDefinition
   RecordDefinitionBeanInfo


 Class symantec.itools.db.beans.jdbc.ConnectionManager

java.lang.Object
   |
   +----symantec.itools.db.beans.jdbc.ConnectionManager

public class ConnectionManager
   extends Object

This is meant to be an abstract base class. It can't be an actual abstract base class, and it must have a public default constructor, in order to work in Visual Cafe's IDE.

Database projects should always have at least one (usually only one) class which extends from this class and which contains all the instances of JdbcConnections that need be managed. Programmers should not instantiate one of these classes.

The public method getManager is provided to get an instance based on class name. This instance can then be used to get instances of JdbcConnection objects.

All JdbcConnection's are "shareable". To obtain an instance of a JdbcConnection, all that is required is the appropriate identifying string. This string is usually a concatenation of the URL,user-name,user-password,driver-name; but, need not be. As long as two "clients" agree to the identifier, the connection can be "shared".

Each "client" is responsible for releasing the connection when it is no longer needed. When the manager sees that the connection is no longer in use by any "client", the connection will be closed.

A "client" is a particular class of RecordDefinition. When the first instance of a particular RecordDefinition class is instanciated it gets a ConnectionManager instance. When the last instance of a particular class of RecordDefinition's is finalized it releases the ConnectionManager instance.

 ConnectionManager()

Default constructor.

 add(JdbcConnection)

Adds a JdbcConnection to be managed.

 finalize()

The java language standard finalize method.

 getConnectionBean(String)

This method is used by RecordDefinition to obtain a JdbcConnection instance.

 getManager()

Programmers should always use this method to obtain a ConnectionManager instance.

 getManager(String)

Programmers should always use this method to obtain a ConnectionManager instance.

 releaseConnection(String)

This method is used by a RecordDefinition to release its JdbcConnection.

 ConnectionManager

 public ConnectionManager()

Default constructor. This constructor is only provided because Bean-aware IDE's and serialization require all beans have a default constructor.

 add

 public void add(JdbcConnection connection)

Adds a JdbcConnection to be managed. This method is usually called in the init section of ConnectionManager derivative classes.

Parameters:

JdbcConnection - the connection to be managed

 finalize

 public synchronized void finalize() throws Throwable

The java language standard finalize method. It is called just before an object is freed.

It is overridden here to ensure all of the connections get closed.

Throws: Throwable

if an exception occured

Overrides:

finalize in class Object

 getConnectionBean

 public synchronized JdbcConnection getConnectionBean(String connectionIdentifier) throws SQLException

This method is used by RecordDefinition to obtain a JdbcConnection instance. The JdbcConnection instance is used to connect/disconnect to a database and to create/prepare/execute statements.

The identifying string is usually a concatenation of the URL,user-name,user-password,driver-name; but, need not be. As long as two "clients" agree to the identifier, the connection can be "shared".

Parameters:

connectionIdentifier - a string identifying the connecting

Returns:

the JdbcConnection instance to use

Throws: SQLException

if a SQL database access error occurred

 getManager

 public static ConnectionManager getManager() throws SQLException

Programmers should always use this method to obtain a ConnectionManager instance. It is equivalent to calling getManager("ConnectionManager").

Returns:

a usable instance of this class

Throws: SQLException

if a SQL database access error occurred

See Also:

getManager

 getManager

 public static ConnectionManager getManager(String className)

Programmers should always use this method to obtain a ConnectionManager instance.

Parameters:

className - name of class derived from ConnectionManager

Returns:

a usable instance of this class or a derivative

See Also:

getManager

 releaseConnection

 public synchronized void releaseConnection(String connectionIdentifier)

This method is used by a RecordDefinition to release its JdbcConnection. This is done when the last instance of the RecordDefinition of a particular class has been finalized.

The identifying string is usually a concatenation of the URL,user-name,user-password,driver-name; but, need not be. As long as two "clients" agree to the identifier, the connection can be "shared".

Parameters:

connectionIdentifier - a string identifying the connecting


 Class symantec.itools.db.beans.jdbc.ConnectionManagerBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.db.beans.jdbc.ConnectionManagerBeanInfo

public class ConnectionManagerBeanInfo
   extends SimpleBeanInfo

BeanInfo for ConnectionManager.

 ConnectionManagerBeanInfo()

Constructs a ConnectionManagerBeanInfo object.

 getAdditionalBeanInfo()

Gets BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Gets an array of descriptions of this bean's properties.

 getTemplate()

Gets template code used to subclass this bean.

 ConnectionManagerBeanInfo

 public ConnectionManagerBeanInfo()

Constructs a ConnectionManagerBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getDefaultPropertyIndex

 public int getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

Overrides:

getDefaultPropertyIndex in class SimpleBeanInfo

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Gets an array of descriptions of this bean's properties.

Returns:

property descriptions for this bean

Overrides:

getPropertyDescriptors in class SimpleBeanInfo

 getTemplate

 public static String getTemplate()

Gets template code used to subclass this bean.

Returns:

the template code


 Class symantec.itools.db.beans.jdbc.JdbcConnection

symantec.itools.db.beans.jdbc.JdbcConnection

public class JdbcConnection

This class wraps a single JDBC Connection object.

It provides properties to establish a database connection as well as properties to modify the established connection.

It provides its own versioning logic.

It is an event source for ConnectionEvents OPEN and CLOSE.

Note: The method for closing a connection is

 setConnectionClosed(boolean) throws PropertyVetoException;

This signature conforms with the JavaBeans design pattern for constrained properties. Other beans can control whether a Connection should close by registering a VetoableChangeListener and throwing a PropertyVetoException when notified.

AutoStart is implemented by calling the doAutoStart() method during object de-serialization. This method establishes a database connection.

     See Also:
     JDBCBean, Connection

 PROP_AUTOCOMMIT

Programatic property name.

 PROP_CATALOG

Programatic property name.

 PROP_CONNCLOSED

Programatic property name.

 PROP_DRIVERNAME

Programatic property name.

 PROP_PASSWORD

Programatic property name.

 PROP_READONLY

Programatic property name.

 PROP_TRANS_ISOLATION

Programatic property name.

 PROP_URL

Programatic property name.

 PROP_USERNAME

Programatic property name.

 TRANSACTION_DEFAULT

TransactionIsolation property value; use the drivers default level.

 TRANSACTION_NONE

TransactionIsolation property value; transactions are not supported.

 TRANSACTION_READ_COMMITTED

TransactionIsolation property value; dirty reads are prevented; non-repeatable reads and phantom reads can occur.

 TRANSACTION_READ_UNCOMMITTED

TransactionIsolation property value; dirty reads, non-repeatable reads and phantom reads can occur.

 TRANSACTION_REPEATABLE_READ

TransactionIsolation property value; dirty reads and non-repeatable reads are prevented; phantom reads can occur.

 TRANSACTION_SERIALIZABLE

TransactionIsolation property value; dirty reads, non-repeatable reads and phantom reads are prevented.

 JdbcConnection()

Default constructor.

 JdbcConnection(String, String, String, String)

Constuctor with commonly-used properties as parameters.

 addConnectFailedListener(ConnectFailedListener)

Adds a ConnectFailedListener to the internal list so that it will be sent ConnectFailedEvents.

 beginTransaction()

This method starts a transaction...

 commit()

Commits all changes to the database.

 connect()

Connects to the database referenced by the url property.

 connectFailed(ConnectFailedEvent)

This method will be called whenever an attempt to connect to a database fails.

 createStatement()

This method creates a SQL statement

 doAutoStart()

This method will be called during the de-serialization process if the autoStart property is true.

 endTransaction()

This method ends a transaction...

 executeQuery(Statement, String)

This method executes a query.

 executeStatement(Statement, String)

This method executes a statement.

 getCatalog()

Gets the catalog property.

 getConnectFailedListener()

Gets the current name of the ConnectFailedListener class.

 getConnectionProps()

This method will be called by the connect() method to return a Properties object containing java.sql.Driver specific connection properties.

 getDriverName()

Gets the driverName property.

 getIdentifier()

Gets the identifier property.

 getMetaData()

Returns the metadata of the connection.

 getPassword()

Gets the password property.

 getSQLConnection()

This method returns the JDBC Connection object controlling the database connection.

 getTransactionIsolation()

Gets the transactionIsolation property.

 getURL()

Gets the url property.

 getUserName()

Gets the userName property.

 isAutoCommit()

Gets the autoCommit property.

 isConnectionClosed()

Gets the connectionClosed property.

 isReadOnly()

Gets the readOnly property.

 prepareStatement(String)

This method prepares a SQL statement

 propertyChange(PropertyChangeEvent)

Implementation of the PropertyChangeListener interface.

 removeConnectFailedListener(ConnectFailedListener)

Removes the specified ConnectFailedListener from the internal list.

 rollback()

Rollbacks all changes to the database.

 setAutoCommit(boolean)

Sets the autoCommit property.

 setCatalog(String)

Sets the catalog property.

 setConnectFailedListener(String)

Sets the name of the ConnectFailedListener class.

 setConnectionClosed(boolean)

Sets the ConnectionClosed property.

 setDriverName(String)

Sets the driverName property.

 setIdentifier(String)

Sets the identifier property.

 setPassword(String)

Sets the password property.

 setReadOnly(boolean)

Sets the readOnly property.

 setTransactionIsolation(int)

Sets the transactionIsolation property.

 setURL(String)

Sets the url property.

 setUserName(String)

Sets the userName property.

 validateObject()

Implements the ObjectInputValidation interface.

 PROP_AUTOCOMMIT

 protected static String PROP_AUTOCOMMIT

Programatic property name. Not localizable.

 PROP_CATALOG

 protected static String PROP_CATALOG

Programatic property name. Not localizable.

 PROP_CONNCLOSED

 protected static String PROP_CONNCLOSED

Programatic property name. Not localizable.

 PROP_DRIVERNAME

 protected static String PROP_DRIVERNAME

Programatic property name. Not localizable.

 PROP_PASSWORD

 protected static String PROP_PASSWORD

Programatic property name. Not localizable.

 PROP_READONLY

 protected static String PROP_READONLY

Programatic property name. Not localizable.

 PROP_TRANS_ISOLATION

 protected static String PROP_TRANS_ISOLATION

Programatic property name. Not localizable.

 PROP_URL

 protected static String PROP_URL

Programatic property name. Not localizable.

 PROP_USERNAME

 protected static String PROP_USERNAME

Programatic property name. Not localizable.

 TRANSACTION_DEFAULT

 public static final int TRANSACTION_DEFAULT

TransactionIsolation property value; use the drivers default level.

See Also:

getTransactionIsolation, setTransactionIsolation

 TRANSACTION_NONE

 public static final int TRANSACTION_NONE

TransactionIsolation property value; transactions are not supported.

See Also:

getTransactionIsolation, setTransactionIsolation

 TRANSACTION_READ_COMMITTED

 public static final int TRANSACTION_READ_COMMITTED

TransactionIsolation property value; dirty reads are prevented; non-repeatable reads and phantom reads can occur.

See Also:

getTransactionIsolation, setTransactionIsolation

 TRANSACTION_READ_UNCOMMITTED

 public static final int TRANSACTION_READ_UNCOMMITTED

TransactionIsolation property value; dirty reads, non-repeatable reads and phantom reads can occur.

See Also:

getTransactionIsolation, setTransactionIsolation

 TRANSACTION_REPEATABLE_READ

 public static final int TRANSACTION_REPEATABLE_READ

TransactionIsolation property value; dirty reads and non-repeatable reads are prevented; phantom reads can occur.

See Also:

getTransactionIsolation, setTransactionIsolation

 TRANSACTION_SERIALIZABLE

 public static final int TRANSACTION_SERIALIZABLE

TransactionIsolation property value; dirty reads, non-repeatable reads and phantom reads are prevented.

See Also:

getTransactionIsolation, setTransactionIsolation

 JdbcConnection

 public JdbcConnection()

Default constructor. Bean-aware IDE's and serialization require all beans have a default constructor.

 JdbcConnection

 public JdbcConnection(String driverName,
                       String URL,
                       String userName,
                       String password)

Constuctor with commonly-used properties as parameters. Allows this bean to be constructed programatically without having to call the properties' setter methods.

Parameters:

driverName - the fully qualified name of the JDBC Driver class.

URL - the JDBC compliant url that will be used to connect to a database.

userName - the name used to log onto the database.

password - the password for the user.

See Also:

connectFailed, connect

 addConnectFailedListener

 public synchronized void addConnectFailedListener(ConnectFailedListener listener)

Adds a ConnectFailedListener to the internal list so that it will be sent ConnectFailedEvents.

Parameters:

listener - an object implementing the ConnectFailedListener interface.

See Also:

removeConnectFailedListener

 beginTransaction

 public synchronized void beginTransaction()

This method starts a transaction... - verify the connection supports transactions - push current state information on a stack - close open statements - Set auto-commit mode to false Note swallow any exceptions - if we can't begin a transaction we silently continue in auto-commit mode.

Returns:

void

See Also:

endTransaction

 commit

 public synchronized void commit() throws SQLException

Commits all changes to the database.

Throws: SQLException

if a database access error occurred

See Also:

commit

 connect

 public synchronized void connect() throws SQLException

Connects to the database referenced by the url property.

If the driverName property is provided, the driver is loaded prior to obtaining a connection from the DriverManager. If the driverName is empty, the user is responsible for loading the driver prior to calling connect.

The getConnectionProperties() method is called to build a driver-specific Properties object. This method returns a Properties object with the userName and password properties set. Override this method to return additional properties that driverName expects.

The connectFailed() method will be called if an SQLException was thrown attempting to connect. Descendents of Connection can override this method to obtain a username, password, or url from the user via a dialog. After the database connection is established, the 'runtime' properties are applied to the database -- catalog, autocommit, transactionIsolation and readonly.

Throws: SQLException

if a database access error occurred

See Also:

getConnection, Connection, connectFailed, getConnectionProps

 connectFailed

 public void connectFailed(ConnectFailedEvent event)

This method will be called whenever an attempt to connect to a database fails. The default behavior is to return false which will abort the connection. Descendents can override this method to provide specific connection failure handling by prompting the user for a new url, userName, or password. Set the properties with the appropriate setter method and return true.

Parameters:

e - the SQLException thrown for the connect failure.

See Also:

connect

 createStatement

 public Statement createStatement() throws SQLException

This method creates a SQL statement

Returns:

Statement JDBC object.

Throws: SQLException

if a database access error occurred

See Also:

prepareStatement

 doAutoStart

 protected void doAutoStart()

This method will be called during the de-serialization process if the autoStart property is true. Descendents can override this method if they want to be notified when to go 'live'. Processing should be kept to a minimum or done in a separate thread. Exceptions should be suppressed to allow de-serialization to complete.

Connection objects will attempt to establish a database connection by calling the connect() method. This is done in a separate thread to enable de-serialization to continue.

 endTransaction

 public synchronized void endTransaction()

This method ends a transaction... - verify the connection supports transactions - commit or rollback the present transaction - pop state information from a stack - Set auto-commit mode to true Note swallow any exceptions - if we can't end a transaction we silently continue in auto-commit mode.

Returns:

void

See Also:

endTransaction

 executeQuery

 public ResultSet executeQuery(Statement statement,
                               String sql) throws SQLException

This method executes a query. - Execute DML - if error occurs push status onto current state stack

Parameters:

statement - JDBC object

sql - database query string.

Returns:

ResultSet result of query.

Throws: SQLException

if a database access error occurred

See Also:

createStatement, prepareStatement

 executeStatement

 public int executeStatement(Statement statement,
                             String sql) throws SQLException

This method executes a statement. - Execute DML - if error occurs push status onto current state stack

Parameters:

statement - JDBC object

sql - database DML string.

Returns:

int number of rows updated.

Throws: SQLException

if a database access error occurred

See Also:

createStatement, prepareStatement

 getCatalog

 public synchronized String getCatalog() throws SQLException

Gets the catalog property. If a database connection is established, the catalog property will be set to the catalog returned from java.sql.Connection.getCatalog().

Returns:

the value of the catalog property.

Throws: SQLException

if a database access error occurred

See Also:

setCatalog, getCatalog

 getConnectFailedListener

 public String getConnectFailedListener()

Gets the current name of the ConnectFailedListener class.

Returns:

the fully qualified name of a class that has implemented the symantec.itools.db.beans.jdbc.ConnectFailedListener interface.

See Also:

setConnectFailedListener, addConnectFailedListener

 getConnectionProps

 protected Properties getConnectionProps()

This method will be called by the connect() method to return a Properties object containing java.sql.Driver specific connection properties. By default, this method returns a Properties object with the userName and password properties. Descendents of Connection can override this method to add additional Driver properties.

Returns:

a Properties object holding JDBC Connection properties.

See Also:

connect

 getDriverName

 public String getDriverName()

Gets the driverName property.

Returns:

the value of the driverName property.

See Also:

setDriverName

 getIdentifier

 public String getIdentifier()

Gets the identifier property. The identifier is an optional property of the Connection. If an identifier property is not defined, then the Connection will be identified by the standard combination of other properties.

Returns:

the value of the identifier property.

 getMetaData

 public synchronized DatabaseMetaData getMetaData() throws SQLException

Returns the metadata of the connection.

Returns:

the database's metadata

Throws: SQLException

if a database access error occurred

See Also:

getMetaData, DatabaseMetaData

 getPassword

 public String getPassword()

Gets the password property.

Returns:

the value of the password property.

See Also:

setPassword

 getSQLConnection

 public synchronized Connection getSQLConnection()

This method returns the JDBC Connection object controlling the database connection.

Returns:

the JDBC Connection object for this connection.

 getTransactionIsolation

 public synchronized int getTransactionIsolation() throws SQLException

Gets the transactionIsolation property. If a database connection is established, the transactionIsolation property will be set to the value returned from java.sql.Connection.getTransactionIsolation().

Returns:

the transactionIsolationLevel. One of TRANSACTION_NONE, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_READ_COMMITTED, TRANSACTION_REPEATABLE_READ, or TRANSACTION_SERIALIZABLE

Throws: SQLException

if a database access error occurred

See Also:

setTransactionIsolation, getTransactionIsolation, TRANSACTION_NONE, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_READ_COMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE, TRANSACTION_DEFAULT

 getURL

 public String getURL()

Gets the url property. The database url is in the form jdbc:subprotocol:subname.

Returns:

the value of the url property.

See Also:

setURL

 getUserName

 public String getUserName()

Gets the userName property.

Returns:

the value of the userName property.

See Also:

setUserName

 isAutoCommit

 public synchronized boolean isAutoCommit()

Gets the autoCommit property. If a database connection is established, the autoCommit property will be set to the autoCommit returned from java.sql.Connection.getAutoCommit().

Returns:

the value of the autocommit property.

See Also:

setAutoCommit, getAutoCommit

 isConnectionClosed

 public synchronized boolean isConnectionClosed() throws SQLException

Gets the connectionClosed property. If a database connection is established, the connectionClosed property will be set to the value returned from java.sql.Connection.isClosed() method. This property is a runtime property.

Returns:

the value of the connectionClosed property.

Throws: SQLException

if a database access error occurred

See Also:

setConnectionClosed, isClosed

 isReadOnly

 public synchronized boolean isReadOnly() throws SQLException

Gets the readOnly property. If a database connection is established, the readOnly property will be set to the readOnly returned from java.sql.Connection.isReadOnly().

Returns:

the value of the readOnly property.

Throws: SQLException

if a database access error occurred

See Also:

isReadOnly, setReadOnly

 prepareStatement

 public PreparedStatement prepareStatement(String sql) throws SQLException

This method prepares a SQL statement

Parameters:

sql - database DML string.

Returns:

PreparedStatement JDBC object.

Throws: SQLException

if a database access error occurred

See Also:

createStatement

 propertyChange

 public void propertyChange(PropertyChangeEvent evt)

Implementation of the PropertyChangeListener interface. Connection objects that have their shareable property set to true listen to other Connection objects in order to be notified of property changes.

Descendents of Connection who implement the propertyChange method should call this method to maintain shareable logic.

Parameters:

evt - the PropertyChangeEvent descibing the property that was changed.

 removeConnectFailedListener

 public synchronized void removeConnectFailedListener(ConnectFailedListener listener)

Removes the specified ConnectFailedListener from the internal list. The object will no longer be sent ConnectFailedEvents.

Parameters:

listener - the ConnectFailedListener to remove.

See Also:

addConnectFailedListener

 rollback

 public synchronized void rollback() throws SQLException

Rollbacks all changes to the database.

Throws: SQLException

if a database access error occurred

See Also:

rollback

 setAutoCommit

 public synchronized void setAutoCommit(boolean autoCommit) throws SQLException

Sets the autoCommit property. The property is bound, so a PropertyChangeEvent will be sent to registered ProperyChange listeners. This property will be sent to the database if a connection is established.

Parameters:

autoCommit - the autocommit flag.

Throws: SQLException

if a database access error occurred

See Also:

isAutoCommit, setAutoCommit

 setCatalog

 public synchronized void setCatalog(String catalog) throws SQLException

Sets the catalog property. The property is bound, so a PropertyChangeEvent will be sent to registered ProperyChange listeners. This property will be sent to the database if a connection is established.

Parameters:

catalog - the catalog name.

Throws: SQLException

if a database access error occurred

See Also:

getCatalog, setCatalog

 setConnectFailedListener

 public void setConnectFailedListener(String listener)

Sets the name of the ConnectFailedListener class.

Parameters:

listener - the fully qualified name of a class that has implemented the symantec.itools.db.beans.jdbc.ConnectFailedListener interface.

See Also:

getConnectFailedListener, addConnectFailedListener

 setConnectionClosed

 public synchronized void setConnectionClosed(boolean close) throws PropertyVetoException, SQLException

Sets the ConnectionClosed property. The property is constrained, so a VetoableChangeEvent will be sent to registered VetoableChange listeners. This property is a runtime only property. Setting this value to true will close the database connection. Registered listeners can veto the change if they are currently using the database connection.

Parameters:

close - the close flag. A true value will close the database connection. A false value does nothing.

Throws: PropertyVetoException

if the change is not accepted.

Throws: SQLException

if a database access error occurred

See Also:

isConnectionClosed, close

 setDriverName

 public void setDriverName(String driverName)

Sets the driverName property. The property is bound, so a PropertyChangeEvent will be sent to registered ProperyChange listeners. The driverName is an optional property of the Connection. If a driverName property is not defined, then it is up to the user of the bean to register the appropriate java.sql.Driver object with the DriverManager prior to calling connect.

Parameters:

driverName - the fully qualified name of an class that has implemented the java.sql.Driver interface.

See Also:

connect, DriverManager, Driver, getDriverName

 setIdentifier

 public void setIdentifier(String value)

Sets the identifier property. The identifier is an optional property of the Connection. If an identifier property is not defined, then the Connection will be identified by the standard combination of other properties.

Parameters:

value - the string used to identify this connection.

 setPassword

 public void setPassword(String password)

Sets the password property. The property is bound, so a PropertyChangeEvent will be sent to registered ProperyChange listeners. The password property is an optional property. If the value is not set, no password property will be added to connection properties in getConnectionProps().

Note: an empty password may result in a failure to connect. Override the connectFailed method to obtain a password dynamically during the connection process.

Parameters:

password - the password for the user.

See Also:

getPassword, connect, connectFailed, getConnectionProps

 setReadOnly

 public synchronized void setReadOnly(boolean readOnly) throws SQLException

Sets the readOnly property. The property is bound, so a PropertyChangeEvent will be sent to registered ProperyChange listeners. This property will be sent to the database if a connection is established.

Parameters:

readOnly - the readOnly flag.

Throws: SQLException

if a database access error occurred

See Also:

isReadOnly, setReadOnly

 setTransactionIsolation

 public synchronized void setTransactionIsolation(int TI) throws SQLException

Sets the transactionIsolation property. The property is bound, so a PropertyChangeEvent will be sent to registered ProperyChange listeners. This property will be sent to the database if a connection is established.

Parameters:

TI - the transactionIsolationLevel. One of TRANSACTION_NONE, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_READ_COMMITTED, TRANSACTION_REPEATABLE_READ, or TRANSACTION_SERIALIZABLE

Throws: SQLException

if a database access error occurred

See Also:

getTransactionIsolation, setTransactionIsolation, TRANSACTION_NONE, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_READ_COMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE, TRANSACTION_DEFAULT

 setURL

 public void setURL(String url)

Sets the url property. The property is bound, so a PropertyChangeEvent will be sent to registered ProperyChange listeners. The database url is in the form jdbc:subprotocol:subname.

Parameters:

url - the databse url

See Also:

connect, DriverManager, Driver, getURL

 setUserName

 public void setUserName(String userName)

Sets the userName property. The property is bound, so a PropertyChangeEvent will be sent to registered ProperyChange listeners. The userName property is an optional property. If the value is not set, no user property will be added to connection properties in getConnectionProps().

Note: an empty userName may result in a failure to connect. Override the connectFailed method to obtain a userName dynamically during the connection process.

Parameters:

userName - the name of the user.

See Also:

getUserName, connect, connectFailed, getConnectionProps

 validateObject

 public void validateObject() throws InvalidObjectException

Implements the ObjectInputValidation interface. During the de-serialization process, registered ObjectInputValidation objects will have the validateObject method called after the object and its graph are completely de-serialized. Connection and their descendents should verify that the de-serialized object is of a version that is compatible with the current implementation. Each level of the hierarchy should provide their own versioning information. Descendents should check their version first and then call their superclass's validateObject method. Connection will verify its version and then call JDBCBean.validateObject().

If the autoStart property is true, doAutoStart() will be called by JDBCBean.

Throws: InvalidObjectException

if the validation test failed

See Also:

doAutoStart, connect


 Class symantec.itools.db.beans.jdbc.JdbcConnectionBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.db.beans.jdbc.JdbcConnectionBeanInfo

public class JdbcConnectionBeanInfo
   extends SimpleBeanInfo

BeanInfo for JdbcConnection.

 JdbcConnectionBeanInfo()

Constructs a JdbcConnectionBeanInfo object.

 getAdditionalBeanInfo()

Gets BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

 getEventSetDescriptors()

Gets an array of descriptions of the events generated by this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Gets an array of descriptions of this bean's properties.

 JdbcConnectionBeanInfo

 public JdbcConnectionBeanInfo()

Constructs a JdbcConnectionBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getDefaultPropertyIndex

 public int getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

Overrides:

getDefaultPropertyIndex in class SimpleBeanInfo

 getEventSetDescriptors

 public EventSetDescriptor[] getEventSetDescriptors()

Gets an array of descriptions of the events generated by this bean.

Returns:

event descriptions for this bean

Overrides:

getEventSetDescriptors in class SimpleBeanInfo

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Gets an array of descriptions of this bean's properties.

Returns:

property descriptions for this bean

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.db.beans.jdbc.QueryNavigator

java.lang.Object
   |
   +----symantec.itools.db.beans.binding.QueryNavigator
           |
           +----symantec.itools.db.beans.jdbc.QueryNavigator

public class QueryNavigator
   extends QueryNavigator

This class manages a set of records from the database. It supports query-by-example, including sorting and the SQL WHERE clause.

 DETAIL_LINK_POSITION

 JOIN_ELEMENTS

 JOIN_SEPARATOR

 MASTER_LINK_POSITION

 OPERATOR_LINK_POSITION

 QueryNavigator()

The default constructor.

 addJoin(String)

 addSortOrderItem(String)

Appeds an item to the current SQL sort order.

 executeQuery(Synchronizable)

 executeQueryByExample()

Populates a Data Source with the result from the query by example.

 getJoin()

 getJoinValues()

 getSortOrder()

Gets the current SQL sort order.

 getWhereClause()

Gets the current SQL WHERE clause.

 insertIntern()

Insert helper method.

 setDisplaced(int, Object, PersistentObject)

 setJoin(String[])

 setSortOrder(String[])

Sets the current SQL sort order.

 setWhereClause(String)

Sets the current SQL WHERE clause.

 DETAIL_LINK_POSITION

 public static final int DETAIL_LINK_POSITION

 JOIN_ELEMENTS

 public static final int JOIN_ELEMENTS

 JOIN_SEPARATOR

 public static final String JOIN_SEPARATOR

 MASTER_LINK_POSITION

 public static final int MASTER_LINK_POSITION

 OPERATOR_LINK_POSITION

 public static final int OPERATOR_LINK_POSITION

 QueryNavigator

 public QueryNavigator()

The default constructor.

 addJoin

 public synchronized void addJoin(String join)

 addSortOrderItem

 public void addSortOrderItem(String propertyValue)

Appeds an item to the current SQL sort order.

Parameters:

propertyValue - the new sort order item

See Also:

setSortOrder

 executeQuery

 public void executeQuery(Synchronizable syncro)

 executeQueryByExample

 public void executeQueryByExample()

Populates a Data Source with the result from the query by example.

Overrides:

executeQueryByExample in class QueryNavigator

 getJoin

 public String[] getJoin()

 getJoinValues

 public Synchronizable$JoinRecordList getJoinValues()

 getSortOrder

 public String[] getSortOrder()

Gets the current SQL sort order.

Returns:

the sort order

See Also:

setSortOrder

 getWhereClause

 public String getWhereClause()

Gets the current SQL WHERE clause.

Returns:

the WHERE clause

See Also:

setWhereClause

 insertIntern

 protected void insertIntern()

Insert helper method.

Overrides:

insertIntern in class QueryNavigator

 setDisplaced

 protected void setDisplaced(int column,
                             Object value,
                             PersistentObject po)

 setJoin

 public void setJoin(String join[])

 setSortOrder

 public void setSortOrder(String propertyValue[])

Sets the current SQL sort order.

Parameters:

propertyValue - the new sort order

See Also:

getSortOrder, addSortOrderItem

 setWhereClause

 public void setWhereClause(String propertyValue)

Sets the current SQL WHERE clause.

Parameters:

propertyValue - the new WHERE clause

See Also:

getWhereClause


 Class symantec.itools.db.beans.jdbc.QueryNavigatorBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.db.beans.jdbc.QueryNavigatorBeanInfo

public class QueryNavigatorBeanInfo
   extends SimpleBeanInfo

BeanInfo for QueryNavigator.

 QueryNavigatorBeanInfo()

Constructs a QueryNavigatorBeanInfo object.

 getAdditionalBeanInfo()

Gets BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

 getIcon(int)

Claim there are no icons available.

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Gets an array of descriptions of this bean's properties.

 QueryNavigatorBeanInfo

 public QueryNavigatorBeanInfo()

Constructs a QueryNavigatorBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getDefaultPropertyIndex

 public int getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

Overrides:

getDefaultPropertyIndex in class SimpleBeanInfo

 getIcon

 public Image getIcon(int iconKind)

Claim there are no icons available.

Overrides:

getIcon in class SimpleBeanInfo

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Gets an array of descriptions of this bean's properties.

Returns:

property descriptions for this bean

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.db.beans.jdbc.RecordDefinition

java.lang.Object
   |
   +----symantec.itools.db.beans.jdbc.RecordDefinition

public class RecordDefinition
   extends Object
   implements Cloneable

This class is used to define and access a row of data in a database table.

It is a top-level non-visual bean, meaning that it is not contained within any form.

 CLASS_NAME

Name of this class.

 DELETE_SQL

Internal constant.

 INSERT_SQL

Internal constant.

 IS_NULL

Internal use.

 m_DesignTimePropertiesTable

A hashtable containing temporary design-time properties.

 m_ModifiedValues

Internal use.

 m_OriginalValues

Internal use.

 m_RunTimePropertiesTable

A hashtable containing temporary run-time properties.

 m_Statement

Internal use.

 TableSeparator

String separating the table name from the rest of the table data.

 UNEXPECTED_ERROR_MESSAGE

Internal use.

 UPDATE_SQL

Internal constant.

 RecordDefinition()

Constructs a default RecordDefinition.

 canColumnBeUsed(ColumnMetaData)

Determines if a column can be included in an SQL WHERE clause.

 createStatement()

Helper method.

 equals(RecordDefinition)

Determines if the given record has the same value as this record.

 errorTreaten(Exception, String)

Internal use.

 generateDataModel()

Gets the metadata for this record.

 getColModif()

Gets the number of columns modified.

 getColumns()

Gets the "columns" design-time property.

 getConnection()

Gets the connection obect this row uses to access the database.

 getConnectionManager()

Gets the "connection manager" run-time property.

 getConnectionManagerClassName()

Gets the "connection manager class" design-time property.

 getConnectionName()

Gets the "connection name" design-time property.

 getDatabaseMetaData()

Helper method.

 getDataModel()

Gets metadata information for this record.

 getDataName(String)

Returns a string that names this record and all of its columns.

 getDeleteStatement()

Gets a pre-compiled SQL statement to use for deleting the current row from the database.

 getDesignTimeProperties()

Gets the temporary table that contains design-time properties.

 getInsertStatement()

Gets a pre-compiled SQL statement to use for inserting the current row into the database.

 getKey()

A value that identifies this record definition.

 getMarkedAsDeleted()

Gets whether this record has been marked as deleted.

 getMarkedAsModified()

Gets whether this record has been marked as modified.

 getMarkedAsNew()

Gets whether this record has been marked as just inserted.

 getRunTimeProperties()

Gets the temporary table that contains run-time properties.

 getSelectSQL()

Gets a SQL SELECT statment for this record.

 getStatement(PreparedStatement, int)

Gets the specified type of pre-compiled SQL statement for this record.

 getTableName()

Gets the name of this RecordDefinition's table.

 getUpdateStatement()

Gets a pre-compiled SQL statement to use for updating the current row in the database.

 getValueAsObject(int, int)

Gets the object stored in the RecordDefinition at the given position as an Object.

 getValueAsString(int, int)

Gets the object stored in the RecordDefinition at the given position as a String.

 getValueIndex(String)

Returns 0.

 initDataStorage()

Initializes the data stored in this record to all nulls.

 isColumnNeeded(ColumnMetaData, int)

Determines if a column is needed in an SQL WHERE clause.

 prepareStatement(String)

Helper method.

 querySimilarObjects()

Performs a "query by example" using this record as the example.

 querySimilarObjects(String, String[])

Performs a "query by example" using this record as the example and constraining the query as specified.

 releaseConnection()

Releases the connection this RecordDefinition uses.

 replaceDesignTimeProperties(RecordDefinition. DesignTimeProperties)

Sets the design-time properties to the given new values.

 replaceRunTimeProperties(RecordDefinition. RunTimeProperties)

Sets the run-time properties to the given new values.

 resetState()

Resets the current record state and sets the original (old) record values to the current modified (new) values.

 save()

Saves the current row in the database using the provided connection.

 setColumns(String[])

Sets the "columns" design-time property.

 setConnectionManagerClassName(String)

Sets the "connection manager class" design-time property.

 setConnectionName(String)

Sets the "connection name" design-time property.

 setDataModel(PersistentObjectModel)

Sets metadata information for this record.

 setMarkedAsDeleted(boolean)

Marks or unmarks a row as having been just deleted.

 setMarkedAsModified(boolean)

Marks or unmarks a row as having been just modified.

 setMarkedAsNew(boolean)

Marks or unmarks a row as having been just inserted.

 setObjectInStatement(PreparedStatement, Object, int, int, int)

Sets a parameter in the given statement to the provided value.

 setParameters(PreparedStatement, int, int, boolean)

Replaces the '?' patterns in the WHERE clause with record values.

 setParameterValues(PreparedStatement)

Sets the parameters in the given statement using the values from this record.

 setQueryParameters(PreparedStatement)

Sets the desired query parameter values in the given statement.

 setTableName(String)

Sets the name of this RecordDefinition's table.

 setValueAsInteger(int, Integer)

Sets the object stored in the RecordDefinition at the given position.

 setValueAsObject(int, Object)

Sets the object stored in the RecordDefinition at the given position as an Object.

 setValueAsString(int, String)

Sets the object stored in the RecordDefinition at the given position.

 shouldColumnBeInWhereClause(ColumnMetaData, int)

Determines if the specified column should be included in an SQL WHERE clause.

 undoChanges()

Undoes the changes to the current row.

 CLASS_NAME

 protected static final String CLASS_NAME

Name of this class.

 DELETE_SQL

 protected static final int DELETE_SQL

Internal constant. Indicates a SQL DELETE statement is desired from the getStatement method.

See Also:

getStatement

 INSERT_SQL

 protected static final int INSERT_SQL

Internal constant. Indicates a SQL INSERT statement is desired from the getStatement method.

See Also:

getStatement

 IS_NULL

 protected static final String IS_NULL

Internal use.

 m_DesignTimePropertiesTable

 protected static Hashtable m_DesignTimePropertiesTable

A hashtable containing temporary design-time properties.

 m_ModifiedValues

 protected Vector m_ModifiedValues

Internal use. Current (uncommitted) data.

 m_OriginalValues

 protected Vector m_OriginalValues

Internal use. Copy of last data committed.

 m_RunTimePropertiesTable

 protected static Hashtable m_RunTimePropertiesTable

A hashtable containing temporary run-time properties.

 m_Statement

 protected PreparedStatement m_Statement

Internal use. Used to store pre-compiled SQL statement.

 TableSeparator

 public static final String TableSeparator

String separating the table name from the rest of the table data.

 UNEXPECTED_ERROR_MESSAGE

 protected static final String UNEXPECTED_ERROR_MESSAGE

Internal use. Text used to start RecordDefinitionException message when unexpected error occurs.

 UPDATE_SQL

 protected static final int UPDATE_SQL

Internal constant. Indicates a SQL UPDATE statement is desired from the getStatement method.

See Also:

getStatement

 RecordDefinition

 public RecordDefinition()

Constructs a default RecordDefinition.

 canColumnBeUsed

 protected boolean canColumnBeUsed(ColumnMetaData colMD)

Determines if a column can be included in an SQL WHERE clause. It can be included if it's not a blob, it's comparable, and it's valid.

Parameters:

colMD - The given column's metadata returns true if the column can be used, otherwise false

 createStatement

 protected Statement createStatement() throws SQLException

Helper method. Calls the createStatement() method of this RecordDefinition's Connection. #see java.sql.Connection#createStatement

Throws: SQLException

if a database access error occurred

 equals

 public boolean equals(RecordDefinition rDef)

Determines if the given record has the same value as this record.

Parameters:

The - record to compare to this record

Returns:

true if they have the same value, false otherwise

 errorTreaten

 protected void errorTreaten(Exception e,
                             String procName)

Internal use. Debug print routine. Prints an error message to System.out if debugging.

 generateDataModel

 public DataModel generateDataModel() throws SQLException

Gets the metadata for this record.

Throws: SQLException

if a database access error occurs

 getColModif

 protected synchronized int getColModif()

Gets the number of columns modified.

Returns:

the number of columns modified

 getColumns

 public synchronized String[] getColumns()

Gets the "columns" design-time property.

Returns:

an array of column names

See Also:

setColumns

 getConnection

 public Connection getConnection()

Gets the connection obect this row uses to access the database.

Returns:

the connection object

 getConnectionManager

 public ConnectionManager getConnectionManager()

Gets the "connection manager" run-time property.

Returns:

the connection manager property value

 getConnectionManagerClassName

 public synchronized String getConnectionManagerClassName()

Gets the "connection manager class" design-time property.

Returns:

the connection manager class

See Also:

setConnectionManagerClassName

 getConnectionName

 public synchronized String getConnectionName()

Gets the "connection name" design-time property.

Returns:

the connectio name

See Also:

setConnectionName

 getDatabaseMetaData

 protected DatabaseMetaData getDatabaseMetaData() throws SQLException

Helper method. Calls the getDatabaseMetaData() method of this RecordDefinition's Connection. #see java.sql.Connection#getDatabaseMetaData

Throws: SQLException

if a database access error occurred

 getDataModel

 public synchronized PersistentObjectModel getDataModel()

Gets metadata information for this record. This information indicates how many columns this record has, and of what datatype they are.

Returns:

the metadata information

See Also:

setDataModel

 getDataName

 public String getDataName(String pattern)

Returns a string that names this record and all of its columns.

Parameters:

pattern - Separating string placed between column names

Returns:

the name

 getDeleteStatement

 protected synchronized Statement getDeleteStatement() throws SQLException

Gets a pre-compiled SQL statement to use for deleting the current row from the database.

Returns:

the SQL statment for row deletion

Throws: SQLException

if a database access error occurred

 getDesignTimeProperties

 protected RecordDefinition$DesignTimeProperties getDesignTimeProperties()

Gets the temporary table that contains design-time properties.

See Also:

replaceDesignTimeProperties

 getInsertStatement

 protected synchronized Statement getInsertStatement() throws SQLException

Gets a pre-compiled SQL statement to use for inserting the current row into the database.

Returns:

the SQL statment for row insertion

Throws: SQLException

if a database access error occurred

 getKey

 public Object getKey()

A value that identifies this record definition.

 getMarkedAsDeleted

 public synchronized boolean getMarkedAsDeleted()

Gets whether this record has been marked as deleted.

Returns:

true if marked as just deleted, false otherwise

 getMarkedAsModified

 public synchronized boolean getMarkedAsModified()

Gets whether this record has been marked as modified.

Returns:

true if marked as just modified, false otherwise

 getMarkedAsNew

 public synchronized boolean getMarkedAsNew()

Gets whether this record has been marked as just inserted.

Returns:

true if marked as just inserted, false otherwise

 getRunTimeProperties

 protected RecordDefinition$RunTimeProperties getRunTimeProperties()

Gets the temporary table that contains run-time properties.

See Also:

replaceRunTimeProperties

 getSelectSQL

 public String getSelectSQL()

Gets a SQL SELECT statment for this record.

Returns:

the SELECT statment

 getStatement

 protected PreparedStatement getStatement(PreparedStatement pstmt,
                                          int index) throws SQLException

Gets the specified type of pre-compiled SQL statement for this record.

Parameters:

pstmt - the statement to prepare, or null to use the index parameter

index - the type of statement desired, one of INSERT_SQL, UPDATE_SQL, or DELETE_SQL

Throws: SQLException

if a database access error occurs

See Also:

INSERT_SQL, UPDATE_SQL, DELETE_SQL

 getTableName

 public synchronized String getTableName()

Gets the name of this RecordDefinition's table.

Returns:

the table name

See Also:

setTableName

 getUpdateStatement

 protected synchronized Statement getUpdateStatement() throws SQLException

Gets a pre-compiled SQL statement to use for updating the current row in the database.

Returns:

the SQL statment for row update

Throws: SQLException

if a database access error occurred

 getValueAsObject

 public synchronized Object getValueAsObject(int index,
                                             int orig_modif)

Gets the object stored in the RecordDefinition at the given position as an Object.

Parameters:

index - The zero-relative position inside the RecordDefinition.

orig_modif - If ORIGINAL_VALUE the original (old) value is returned, otherwise, the value should be MODIFIED_VALUE to return the new value

Returns:

The value of the object

 getValueAsString

 public String getValueAsString(int index,
                                int orig_modif)

Gets the object stored in the RecordDefinition at the given position as a String. The orig_modif parameter allows retrieving either the original (old) or the modified (new) value.

Parameters:

index - The zero-relative position inside the RecordDefinition

orig_modif - If ORIGINAL_VALUE the original (old) value is returned, otherwise, the value should be MODIFIED_VALUE to return the new value

Returns:

The value of the object

 getValueIndex

 public int getValueIndex(String name)

Returns 0.

 initDataStorage

 public void initDataStorage()

Initializes the data stored in this record to all nulls. Both original and modified values are cleared.

 isColumnNeeded

 protected boolean isColumnNeeded(ColumnMetaData colMD,
                                  int columnNumber)

Determines if a column is needed in an SQL WHERE clause.

Parameters:

colMD - The given column's metadata

columnNumber - The zero-relative column index returns true if the column is needed, otherwise false

 prepareStatement

 protected PreparedStatement prepareStatement(String sql) throws SQLException

Helper method. Calls the prepareStatement() method of this RecordDefinition's Connection. #see java.sql.Connection#prepareStatement

Throws: SQLException

if a database access error occurred

 querySimilarObjects

 public synchronized Enumeration querySimilarObjects()

Performs a "query by example" using this record as the example.

Returns:

the query results

 querySimilarObjects

 public Enumeration querySimilarObjects(String whereClause,
                                        String sortOrder[]) throws SQLException

Performs a "query by example" using this record as the example and constraining the query as specified.

Parameters:

whereClause - SQL WHERE clause to use in this query

sortOrder - order to sort the results by

Returns:

the query results

Throws: SQLException

if a database access error occurs

 releaseConnection

 public void releaseConnection()

Releases the connection this RecordDefinition uses.

See Also:

releaseConnection

 replaceDesignTimeProperties

 protected void replaceDesignTimeProperties(RecordDefinition$DesignTimeProperties newProperties)

Sets the design-time properties to the given new values.

Parameters:

newProperties - a table with the new property values

See Also:

getDesignTimeProperties

 replaceRunTimeProperties

 protected void replaceRunTimeProperties(RecordDefinition$RunTimeProperties newProperties)

Sets the run-time properties to the given new values.

Parameters:

newProperties - a table with the new property values

See Also:

getRunTimeProperties

 resetState

 public void resetState()

Resets the current record state and sets the original (old) record values to the current modified (new) values.

 save

 public synchronized int save()

Saves the current row in the database using the provided connection.

Parameters:

conBean - the conection to the database

Returns:

the row count returned from the SQL UPDATE statement

 setColumns

 public synchronized void setColumns(String propertyValue[])

Sets the "columns" design-time property.

Parameters:

propertyValue - an array of column names

See Also:

getColumns

 setConnectionManagerClassName

 public synchronized void setConnectionManagerClassName(String propertyValue)

Sets the "connection manager class" design-time property.

Parameters:

propertyValue - the new property value

See Also:

getConnectionManagerClassName

 setConnectionName

 public synchronized void setConnectionName(String propertyValue)

Sets the "connection name" design-time property.

Parameters:

propertyValue - the new property value

See Also:

getConnectionName

 setDataModel

 public synchronized void setDataModel(PersistentObjectModel model)

Sets metadata information for this record. This information indicates how many columns this record has, and of what datatype they are.

See Also:

getDataModel

 setMarkedAsDeleted

 public synchronized void setMarkedAsDeleted(boolean markedAsDeleted)

Marks or unmarks a row as having been just deleted.

Parameters:

markedAsDeleted - true if the row was just deleted, otherwise false to undo the previous mark as deleted

 setMarkedAsModified

 public synchronized void setMarkedAsModified(boolean markedAsModified)

Marks or unmarks a row as having been just modified.

Parameters:

markedAsModified - true if the row was just modified, otherwise false to undo the previous mark as modified

 setMarkedAsNew

 public synchronized void setMarkedAsNew(boolean markedAsNew)

Marks or unmarks a row as having been just inserted.

Parameters:

markedAsNew - true if the row was just inserted, otherwise false to undo the previous mark as new

 setObjectInStatement

 protected void setObjectInStatement(PreparedStatement stmt,
                                     Object value,
                                     int col,
                                     int offset,
                                     int modifCol) throws SQLException

Sets a parameter in the given statement to the provided value.

Parameters:

statement - the statement with the parameter to set

value - the new value of the parameter

col - the zero-relative column index of the value

offset - offset to adjust modifCol by

modifCol - the zero-relative statement parameter index

Throws: SQLException

if a database access error occurs

 setParameters

 protected void setParameters(PreparedStatement stmt,
                              int orig_modif,
                              int offset,
                              boolean queryByExample) throws SQLException

Replaces the '?' patterns in the WHERE clause with record values.

Parameters:

stmt - The SQL statment to modifiy

orig_modif - If ORIGINAL_VALUE the original (old) record value is used, otherwise, the value should be MODIFIED_VALUE to use the new record value

offset - Column offset

Throws: SQLException

if a database access error occurs

 setParameterValues

 protected synchronized void setParameterValues(PreparedStatement statement) throws SQLException

Sets the parameters in the given statement using the values from this record.

Parameters:

statement - the statement with the parameters to set

Throws: SQLException

if a database access error occurred

 setQueryParameters

 public void setQueryParameters(PreparedStatement stmt)

Sets the desired query parameter values in the given statement.

Parameters:

stmt - the statement whose parameters should be set

 setTableName

 public synchronized void setTableName(String propertyValue)

Sets the name of this RecordDefinition's table.

Parameters:

name - the table name

See Also:

getTableName

 setValueAsInteger

 public void setValueAsInteger(int index,
                               Integer value) throws NumberFormatException

Sets the object stored in the RecordDefinition at the given position.

Parameters:

index - The zero-relative position inside the RecordDefinition

value - The new value

 setValueAsObject

 public synchronized void setValueAsObject(int index,
                                           Object value) throws NumberFormatException

Sets the object stored in the RecordDefinition at the given position as an Object.

Parameters:

index - The zero-relative position inside the RecordDefinition

value - The new value

 setValueAsString

 public void setValueAsString(int index,
                              String value) throws NumberFormatException

Sets the object stored in the RecordDefinition at the given position.

Parameters:

index - The zero-relative position inside the RecordDefinition

value - The new value

 shouldColumnBeInWhereClause

 protected boolean shouldColumnBeInWhereClause(ColumnMetaData colMD,
                                               int columnNumber)

Determines if the specified column should be included in an SQL WHERE clause.

Parameters:

colMD - The given column's metadata

columnNumber - The zero-relative column index returns true if the column should be included, otherwise false

 undoChanges

 public synchronized void undoChanges()

Undoes the changes to the current row.


 Class symantec.itools.db.beans.jdbc.RecordDefinitionBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.db.beans.jdbc.RecordDefinitionBeanInfo

public class RecordDefinitionBeanInfo
   extends SimpleBeanInfo

BeanInfo for RecordDefinition.

 RecordDefinitionBeanInfo()

Constructs a RecordDefinitionBeanInfo object.

 getAdditionalBeanInfo()

Gets BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Gets an array of descriptions of this bean's properties.

 getPropertyDescriptorsFake()

Gets an empty PropertyDescriptor array.

 getTemplate()

Gets template code used to subclass this bean.

 RecordDefinitionBeanInfo

 public RecordDefinitionBeanInfo()

Constructs a RecordDefinitionBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getDefaultPropertyIndex

 public int getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

Overrides:

getDefaultPropertyIndex in class SimpleBeanInfo

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Gets an array of descriptions of this bean's properties.

Returns:

property descriptions for this bean

Overrides:

getPropertyDescriptors in class SimpleBeanInfo

 getPropertyDescriptorsFake

 public PropertyDescriptor[] getPropertyDescriptorsFake()

Gets an empty PropertyDescriptor array.

Returns:

an empty array

 getTemplate

 public static String getTemplate()

Gets template code used to subclass this bean.

Returns:

the template code


 package symantec.itools.db.pro

   DataAccess
   ListLink
   Logon
   ProjLink
   RecordLink
   RecordSetLink

   AutoDetail
   ConnectionInfo
   ListBinder
   MultiView
   ProjBinder
   Projection
   Record
   RelationView
   RelationViewMetaData
   RelationViewPlus
   Request
   Session
   SessionMetaData


 Interface symantec.itools.db.pro.DataAccess

public interface DataAccess

This interface is designed to perform all of the basic Get/Set methods that are needed to support the dbANYWHERE set of datatypes in an object that manages a row. Every datatype has at least two methods that may be used to Get/Set their data values within a row. The first set of methods is used to access a projection based on the projection id or one-relative index of the column in the cursor. The second set of methods is used to access a projection based on the name associated with the projection.

     See Also:
     RelationView, Record

 getAsciiStream(int)

Gets the specified column value in a Java InputStream object.

 getAsciiStream(String)

Gets the specified column value in a Java InputStream object.

 getBigDecimal(int, int)

Gets the specified column value as a Java BigDecimal object.

 getBigDecimal(String, int)

Gets the specified column value as a Java BigDecimal object.

 getBinaryStream(int)

Gets the specified column value in a Java InputStream object.

 getBinaryStream(String)

Gets the specified column value in a Java InputStream object.

 getBoolean(int)

Gets the specified column value as a Java boolean.

 getBoolean(String)

Gets the specified column value as a Java boolean.

 getByte(int)

Gets the specified column value as a Java byte.

 getByte(String)

Gets the specified column value as a Java byte.

 getBytes(int)

Gets the specified column value as a Java byte array object.

 getBytes(String)

Gets the specified column value as a Java byte array object.

 getDate(int)

Gets the specified column value as a Java Date object.

 getDate(String)

Gets the specified column value as a Java Date object.

 getDouble(int)

Gets the specified column value as a Java double.

 getDouble(String)

Gets the specified column value as a Java double.

 getFloat(int)

Gets the specified column value as a Java float.

 getFloat(String)

Gets the specified column value as a Java float.

 getInt(int)

Gets the specified column value as a Java int.

 getInt(String)

Gets the specified column value as a Java int.

 getLong(int)

Gets the specified column value as a Java long.

 getLong(String)

Gets the specified column value as a Java long.

 getShort(int)

Gets the specified column value as a Java short.

 getShort(String)

Gets the specified column value as a Java short.

 getString(int)

Gets the specified column value as a Java String that is space padded to meet the maximum length of the variable.

 getString(String)

Gets the specified column value as a Java String that is space padded to meet the maximum length of the variable.

 getStringValue(int)

Gets the specified column value as a Java String object.

 getStringValue(int, boolean)

Gets the specified column value as a Java String object.

 getStringValue(int, int)

Gets the specified column value as a Java String object.

 getStringValue(int, int, boolean)

Gets the specified column value as a Java String object.

 getStringValue(int, int, int)

Gets the specified column value as a Java String object.

 getStringValue(int, int, int, boolean)

Gets the specified column value as a Java String object.

 getStringValue(int, String, int)

Gets the specified column value as a Java String object.

 getStringValue(int, String, int, boolean)

Gets the specified column value as a Java String object.

 getStringValue(String)

Gets the specified column value as a Java String object.

 getStringValue(String, boolean)

Gets the specified column value as a Java String object.

 getStringValue(String, int)

Gets the specified column value as a Java String object.

 getStringValue(String, int, boolean)

Gets the specified column value as a Java String object.

 getStringValue(String, int, int)

Gets the specified column value as a Java String object.

 getStringValue(String, int, int, boolean)

Gets the specified column value as a Java String object.

 getStringValue(String, String, int)

Gets the specified column value as a Java String object.

 getStringValue(String, String, int, boolean)

Gets the specified column value as a Java String object.

 getTime(int)

Gets the specified column value as a Java Time object.

 getTime(String)

Gets the specified column value as a Java Time object.

 getTimestamp(int)

Gets the specified column value as a Java Timestamp object.

 getTimestamp(String)

Gets the specified column value as a Java Timestamp object.

 getUnicodeStream(int)

Gets the specified column value in a Java InputStream object.

 getUnicodeStream(String)

Gets the specified column value in a Java InputStream object.

 isNull(int)

Gets whether the specified column value has been defined.

 isNull(String)

Gets whether the specified column value has been defined.

 setAsciiStream(int, InputStream, int)

Sets the specified column value from a Java InputStream object.

 setAsciiStream(String, InputStream, int)

Sets the specified column value from a Java InputStream object.

 setBigDecimal(int, BigDecimal)

Sets the specified column value to a Java BigDecimal object.

 setBigDecimal(String, BigDecimal)

Sets the specified column value to a Java BigDecimal object.

 setBinaryStream(int, InputStream, int)

Sets the specified column value from a Java InputStream object.

 setBinaryStream(String, InputStream, int)

Sets the specified column value from a Java InputStream object.

 setBoolean(int, boolean)

Sets the specified column value to a Java boolean.

 setBoolean(String, boolean)

Sets the specified column value to a Java boolean.

 setByte(int, byte)

Sets the specified column value to a Java byte.

 setByte(String, byte)

Sets the specified column value to a Java byte.

 setBytes(int, byte[])

Sets the specified column value to a Java byte array object.

 setBytes(String, byte[])

Sets the specified column value to a Java byte array object.

 setDate(int, Date)

Sets the specified column value to a Java Date object.

 setDate(String, Date)

Sets the specified column value to a Java Date object.

 setDouble(int, double)

Sets the specified column value to a Java double.

 setDouble(String, double)

Sets the specified column value to a Java double.

 setFloat(int, float)

Sets the specified column value to a Java float.

 setFloat(String, float)

Sets the specified column value to a Java float.

 setInt(int, int)

Sets the specified column value to a Java int.

 setInt(String, int)

Sets the specified column value to a Java int.

 setLong(int, long)

Sets the specified column value to a Java long.

 setLong(String, long)

Sets the specified column value to a Java long.

 setNull(int, int)

Sets whether the specified column value has been defined.

 setNull(String, int)

Sets whether the specified column value has been defined.

 setShort(int, short)

Sets the specified column value to a Java short.

 setShort(String, short)

Sets the specified column value to a Java short.

 setString(int, String)

Sets the specified column value to a Java String.

 setString(String, String)

Sets the specified column value to a Java String.

 setTime(int, Time)

Sets the specified column value to a Java Time object.

 setTime(String, Time)

Sets the specified column value to a Java Time object.

 setTimestamp(int, Timestamp)

Sets the specified column value to a Java Timestamp object.

 setTimestamp(String, Timestamp)

Sets the specified column value to a Java Timestamp object.

 setUnicodeStream(int, InputStream, int)

Sets the specified column value from a Java InputStream object.

 setUnicodeStream(String, InputStream, int)

Sets the specified column value from a Java InputStream object.

 setValueFromString(int, String)

Sets the specified column value to a Java String object.

 setValueFromString(int, String, int)

Sets the specified column value to a Java String object.

 setValueFromString(int, String, int, int)

Sets the specified column value to a Java String object.

 setValueFromString(int, String, int, int, int)

Sets the specified column value to a Java String object.

 setValueFromString(int, String, String, int)

Sets the specified column value to a Java String object.

 setValueFromString(int, String, String, int, int)

Sets the specified column value to a Java String object.

 setValueFromString(String, String)

Sets the specified column value to a Java String object.

 setValueFromString(String, String, int)

Sets the specified column value to a Java String object.

 setValueFromString(String, String, int, int)

Sets the specified column value to a Java String object.

 setValueFromString(String, String, int, int, int)

Sets the specified column value to a Java String object.

 setValueFromString(String, String, String, int)

Sets the specified column value to a Java String object.

 setValueFromString(String, String, String, int, int)

Sets the specified column value to a Java String object.

 getAsciiStream

 public abstract InputStream getAsciiStream(int proj) throws SQLException

Gets the specified column value in a Java InputStream object. The java.io.InputStream class is defined in the runtime set of classes for Java. The data will be in ASCII format.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the value as ASCII characters

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream, setAsciiStream

 getAsciiStream

 public abstract InputStream getAsciiStream(String projName) throws SQLException

Gets the specified column value in a Java InputStream object. The java.io.InputStream class is defined in the runtime set of classes for Java. The data will be in ASCII format.

Parameters:

projName - the column name (or projection name)

Returns:

the value as ASCII characters

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream, setAsciiStream

 getBigDecimal

 public abstract BigDecimal getBigDecimal(int proj,
                                          int scale) throws SQLException

Gets the specified column value as a Java BigDecimal object. The java.math.BigDecimal class is defined in JDK 1.1.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

BigDecimal, setBigDecimal

 getBigDecimal

 public abstract BigDecimal getBigDecimal(String projName,
                                          int scale) throws SQLException

Gets the specified column value as a Java BigDecimal object. The java.math.BigDecimal class is defined in JDK 1.1.

Parameters:

projName - the column name (or projection name)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

BigDecimal, setBigDecimal

 getBinaryStream

 public abstract InputStream getBinaryStream(int proj) throws SQLException

Gets the specified column value in a Java InputStream object. The java.io.InputStream class is defined in the runtime set of classes for Java.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the value as binary

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream, setBinaryStream

 getBinaryStream

 public abstract InputStream getBinaryStream(String projName) throws SQLException

Gets the specified column value in a Java InputStream object. The java.io.InputStream class is defined in the runtime set of classes for Java.

Parameters:

projName - the column name (or projection name)

Returns:

the value as binary

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream, setBinaryStream

 getBoolean

 public abstract boolean getBoolean(int proj) throws SQLException

Gets the specified column value as a Java boolean.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

true if the value is non-zero

Throws: SQLException

if a SQL database access error occurred

See Also:

setBoolean

 getBoolean

 public abstract boolean getBoolean(String projName) throws SQLException

Gets the specified column value as a Java boolean.

Parameters:

projName - the column name (or projection name)

Returns:

true if the value is non-zero

Throws: SQLException

if a SQL database access error occurred

See Also:

setBoolean

 getByte

 public abstract byte getByte(int proj) throws SQLException

Gets the specified column value as a Java byte.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

setByte

 getByte

 public abstract byte getByte(String projName) throws SQLException

Gets the specified column value as a Java byte.

Parameters:

projName - the column name (or projection name)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

setByte

 getBytes

 public abstract byte[] getBytes(int proj) throws SQLException

Gets the specified column value as a Java byte array object. The array will be padded with 00 bytes to meet the maximum length of the array. The length of the array will be less than or equal to 255 bytes.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the value. It will have padded zero bytes on the end to reach the maximum length established for the datatype

Throws: SQLException

if a SQL database access error occurred

See Also:

setBytes

 getBytes

 public abstract byte[] getBytes(String projName) throws SQLException

Gets the specified column value as a Java byte array object. The array will be padded with 00 bytes to meet the maximum length of the array. The length of the array will be less than or equal to 255 bytes.

Parameters:

projName - the column name (or projection name)

Returns:

the value. It will have padded zero bytes on the end to reach the maximum length established for the datatype

Throws: SQLException

if a SQL database access error occurred

See Also:

setBytes

 getDate

 public abstract Date getDate(int proj) throws SQLException

Gets the specified column value as a Java Date object. The java.sql.Date class is defined in the JDBC specification.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

Date, setDate

 getDate

 public abstract Date getDate(String projName) throws SQLException

Gets the specified column value as a Java Date object. The java.sql.Date class is defined in the JDBC specification.

Parameters:

projName - the column name (or projection name)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

Date, setDate

 getDouble

 public abstract double getDouble(int proj) throws SQLException

Gets the specified column value as a Java double.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

setDouble

 getDouble

 public abstract double getDouble(String projName) throws SQLException

Gets the specified column value as a Java double.

Parameters:

projName - the column name (or projection name)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

setDouble

 getFloat

 public abstract float getFloat(int proj) throws SQLException

Gets the specified column value as a Java float.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

setFloat

 getFloat

 public abstract float getFloat(String projName) throws SQLException

Gets the specified column value as a Java float.

Parameters:

projName - the column name (or projection name)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

setFloat

 getInt

 public abstract int getInt(int proj) throws SQLException

Gets the specified column value as a Java int.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the value. It will range in value between -2147483648 and 2147483647

Throws: SQLException

if a SQL database access error occurred

See Also:

setInt

 getInt

 public abstract int getInt(String projName) throws SQLException

Gets the specified column value as a Java int.

Parameters:

projName - the column name (or projection name)

Returns:

the value. It will range in value between -2147483648 and 2147483647

Throws: SQLException

if a SQL database access error occurred

See Also:

setInt

 getLong

 public abstract long getLong(int proj) throws SQLException

Gets the specified column value as a Java long.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

setLong

 getLong

 public abstract long getLong(String projName) throws SQLException

Gets the specified column value as a Java long.

Parameters:

projName - the column name (or projection name)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

setLong

 getShort

 public abstract short getShort(int proj) throws SQLException

Gets the specified column value as a Java short.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the value. It will range in value between -32768 and 32767

Throws: SQLException

if a SQL database access error occurred

See Also:

setShort

 getShort

 public abstract short getShort(String projName) throws SQLException

Gets the specified column value as a Java short.

Parameters:

projName - the column name (or projection name)

Returns:

the value. It will range in value between -32768 and 32767

Throws: SQLException

if a SQL database access error occurred

See Also:

setShort

 getString

 public abstract String getString(int proj) throws SQLException

Gets the specified column value as a Java String that is space padded to meet the maximum length of the variable. Note that the length should be less than or equal to 255 characters.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the value in a character format. The string will be space padded to reach the maximum length for the datatype

Throws: SQLException

if a SQL database access error occurred

See Also:

setString

 getString

 public abstract String getString(String projName) throws SQLException

Gets the specified column value as a Java String that is space padded to meet the maximum length of the variable. Note that the length should be less than or equal to 255 characters.

Parameters:

projName - the column name (or projection name)

Returns:

the value in a character format. The string will be space padded to reach the maximum length for the datatype

Throws: SQLException

if a SQL database access error occurred

See Also:

setString

 getStringValue

 public abstract String getStringValue(int proj) throws SQLException, IOException

Gets the specified column value as a Java String object. This method determines the column's datatype and retrieves the data using the appropriate getXXX method. This method also detemines the appropriate scale to be used in getBigDecimal, getBinary, and getVarBinary methods.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

setValueFromString

 getStringValue

 public abstract String getStringValue(int proj,
                                       boolean processBinaryData) throws SQLException, IOException

Gets the specified column value as a Java String object. This method determines the column's datatype and retrieves the data using the appropriate getXXX method. This method also detemines the appropriate scale to be used in getBigDecimal, getBinary, and getVarBinary methods.

Parameters:

proj - the one-relative column index (or projection id)

processBinaryData - whether or not to return binary data converted to a String

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

setValueFromString

 getStringValue

 public abstract String getStringValue(int proj,
                                       int scale) throws SQLException, IOException

Gets the specified column value as a Java String object. This method determines the column's datatype and retrieves the data using the appropriate getXXX method and the specified scale value.

Parameters:

proj - the one-relative column index (or projection id)

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

setValueFromString

 getStringValue

 public abstract String getStringValue(int proj,
                                       int scale,
                                       boolean processBinaryData) throws SQLException, IOException

Gets the specified column value as a Java String object. This method determines the column's datatype and retrieves the data using the appropriate getXXX method and the specified scale value.

Parameters:

proj - the one-relative column index (or projection id)

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

processBinaryData - whether or not to return binary data converted to a String

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

setValueFromString

 getStringValue

 public abstract String getStringValue(int proj,
                                       int columnType,
                                       int scale) throws SQLException, IOException

Gets the specified column value as a Java String object. This method retrieves the data using the appropriate getXXX method based on the given SQL type, and scales the value as needed using the specified scale parameter.

Parameters:

proj - the one-relative column index (or projection id)

columnType - the data type to be used in the getXXX methods. See Types for legal values

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

Types, setValueFromString

 getStringValue

 public abstract String getStringValue(int proj,
                                       int columnType,
                                       int scale,
                                       boolean processBinaryData) throws SQLException, IOException

Gets the specified column value as a Java String object. This method retrieves the data using the appropriate getXXX method based on the given SQL type, and scales the value as needed using the specified scale parameter.

Parameters:

proj - the one-relative column index (or projection id)

columnType - the data type to be used in the getXXX methods. See Types for legal values

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

processBinaryData - whether or not to return binary data converted to a String

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

Types, setValueFromString

 getStringValue

 public abstract String getStringValue(int proj,
                                       String columnTypeName,
                                       int scale) throws SQLException, IOException

Gets the specified column value as a Java String object. This method retrieves the data using the appropriate getXXX method based on the given SQL type string, and scales the value as needed using the specified scale parameter.

Parameters:

proj - the one-relative column index (or projection id)

columnTypeName - the data type to be used in the getXXX methods. See sqlTypeConvert() for legal values

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

sqlTypeConvert, setValueFromString

 getStringValue

 public abstract String getStringValue(int proj,
                                       String columnTypeName,
                                       int scale,
                                       boolean processBinaryData) throws SQLException, IOException

Gets the specified column value as a Java String object. This method retrieves the data using the appropriate getXXX method based on the given SQL type string, and scales the value as needed using the specified scale parameter.

Parameters:

proj - the one-relative column index (or projection id)

columnTypeName - the data type to be used in the getXXX methods. See sqlTypeConvert() for legal values

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

processBinaryData - whether or not to return binary data converted to a String

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

sqlTypeConvert, setValueFromString

 getStringValue

 public abstract String getStringValue(String projName) throws SQLException, IOException

Gets the specified column value as a Java String object. This method determines the column's datatype and retrieves the data using the appropriate getXXX method. This method also detemines the appropriate scale to be used in getBigDecimal, getBinary, and getVarBinary methods.

Parameters:

projName - the column name (or projection name)

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

setValueFromString

 getStringValue

 public abstract String getStringValue(String projName,
                                       boolean processBinaryData) throws SQLException, IOException

Gets the specified column value as a Java String object. This method determines the column's datatype and retrieves the data using the appropriate getXXX method. This method also detemines the appropriate scale to be used in getBigDecimal, getBinary, and getVarBinary methods.

Parameters:

projName - the column name (or projection name)

processBinaryData - whether or not to return binary data converted to a String

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

setValueFromString

 getStringValue

 public abstract String getStringValue(String projName,
                                       int scale) throws SQLException, IOException

Gets the specified column value as a Java String object. This method determines the column's datatype and retrieves the data using the appropriate getXXX method and the specified scale value.

Parameters:

projName - the column name (or projection name)

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

setValueFromString

 getStringValue

 public abstract String getStringValue(String projName,
                                       int scale,
                                       boolean processBinaryData) throws SQLException, IOException

Gets the specified column value as a Java String object. This method determines the column's datatype and retrieves the data using the appropriate getXXX method and the specified scale value.

Parameters:

projName - the column name (or projection name)

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

processBinaryData - whether or not to return binary data converted to a String

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

setValueFromString

 getStringValue

 public abstract String getStringValue(String projName,
                                       int columnType,
                                       int scale) throws SQLException, IOException

Gets the specified column value as a Java String object. This method retrieves the data using the appropriate getXXX method based on the given SQL type, and scales the value as needed using the specified scale parameter.

Parameters:

projName - the column name (or projection name)

columnType - the data type to be used in the getXXX methods. See Types for legal values

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

Types, setValueFromString

 getStringValue

 public abstract String getStringValue(String projName,
                                       int columnType,
                                       int scale,
                                       boolean processBinaryData) throws SQLException, IOException

Gets the specified column value as a Java String object. This method retrieves the data using the appropriate getXXX method based on the given SQL type, and scales the value as needed using the specified scale parameter.

Parameters:

projName - the column name (or projection name)

columnType - the data type to be used in the getXXX methods. See Types for legal values

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

processBinaryData - whether or not to return binary data converted to a String

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

Types, setValueFromString

 getStringValue

 public abstract String getStringValue(String projName,
                                       String columnTypeName,
                                       int scale) throws SQLException, IOException

Gets the specified column value as a Java String object. This method retrieves the data using the appropriate getXXX method based on the given SQL type string, and scales the value as needed using the specified scale parameter.

Parameters:

projName - the column name (or projection name)

columnTypeName - the data type to be used in the getXXX methods. See sqlTypeConvert() for legal values

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

sqlTypeConvert, setValueFromString

 getStringValue

 public abstract String getStringValue(String projName,
                                       String columnTypeName,
                                       int scale,
                                       boolean processBinaryData) throws SQLException, IOException

Gets the specified column value as a Java String object. This method retrieves the data using the appropriate getXXX method based on the given SQL type string, and scales the value as needed using the specified scale parameter.

Parameters:

projName - the column name (or projection name)

columnTypeName - the data type to be used in the getXXX methods. See sqlTypeConvert() for legal values

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

processBinaryData - whether or not to return binary data converted to a String

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

sqlTypeConvert, setValueFromString

 getTime

 public abstract Time getTime(int proj) throws SQLException

Gets the specified column value as a Java Time object. The java.sql.Time class is defined in the JDBC specification.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

Time, setTime

 getTime

 public abstract Time getTime(String projName) throws SQLException

Gets the specified column value as a Java Time object. The java.sql.Time class is defined in the JDBC specification.

Parameters:

projName - the column name (or projection name)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

Time, setTime

 getTimestamp

 public abstract Timestamp getTimestamp(int proj) throws SQLException

Gets the specified column value as a Java Timestamp object. The java.sql.Timestamp class is defined in the JDBC specification.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

Timestamp, setTimestamp

 getTimestamp

 public abstract Timestamp getTimestamp(String projName) throws SQLException

Gets the specified column value as a Java Timestamp object. The java.sql.Timestamp class is defined in the JDBC specification.

Parameters:

projName - the column name (or projection name)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

Timestamp, setTimestamp

 getUnicodeStream

 public abstract InputStream getUnicodeStream(int proj) throws SQLException

Gets the specified column value in a Java InputStream object. The java.io.InputStream class is defined in the runtime set of classes for Java. The data will be in an unicode format, which is useful for international applications.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the value as UNICODE characters

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream, setUnicodeStream

 getUnicodeStream

 public abstract InputStream getUnicodeStream(String projName) throws SQLException

Gets the specified column value in a Java InputStream object. The java.io.InputStream class is defined in the runtime set of classes for Java. The data will be in an unicode format, which is useful for international applications.

Parameters:

projName - the column name (or projection name)

Returns:

the value as UNICODE characters

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream, setUnicodeStream

 isNull

 public abstract boolean isNull(int proj) throws SQLException

Gets whether the specified column value has been defined.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

true if the value has been defined

Throws: SQLException

if a SQL database access error occurred

See Also:

setNull

 isNull

 public abstract boolean isNull(String projName) throws SQLException

Gets whether the specified column value has been defined.

Parameters:

projName - the column name (or projection name)

Returns:

true if the value has been defined

Throws: SQLException

if a SQL database access error occurred

See Also:

setNull

 setAsciiStream

 public abstract void setAsciiStream(int proj,
                                     InputStream x,
                                     int length) throws SQLException

Sets the specified column value from a Java InputStream object. The java.io.InputStream class is defined in the runtime set of classes for Java. The data is treated as ASCII characters.

Parameters:

proj - the one-relative column index (or projection id)

x - the stream with the new value, in ASCII characters

length - the length of the data that should be read from the stream

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream, getAsciiStream

 setAsciiStream

 public abstract void setAsciiStream(String projName,
                                     InputStream x,
                                     int length) throws SQLException

Sets the specified column value from a Java InputStream object. The java.io.InputStream class is defined in the runtime set of classes for Java. The data is treated as ASCII characters.

Parameters:

projName - the column name (or projection name)

x - the stream with the new value, in ASCII characters

length - the length of the data that should be read from the stream

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream, getAsciiStream

 setBigDecimal

 public abstract void setBigDecimal(int proj,
                                    BigDecimal x) throws SQLException

Sets the specified column value to a Java BigDecimal object. The java.math.BigDecimal class is defined in JDK 1.1.

Parameters:

proj - the one-relative column index (or projection id)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

BigDecimal, getBigDecimal

 setBigDecimal

 public abstract void setBigDecimal(String projName,
                                    BigDecimal x) throws SQLException

Sets the specified column value to a Java BigDecimal object. The java.math.BigDecimal class is defined in JDK 1.1.

Parameters:

projName - the column name (or projection name)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

BigDecimal, getBigDecimal

 setBinaryStream

 public abstract void setBinaryStream(int proj,
                                      InputStream x,
                                      int length) throws SQLException

Sets the specified column value from a Java InputStream object. The java.io.InputStream class is defined in the runtime set of classes for Java.

Parameters:

proj - the one-relative column index (or projection id)

x - the stream with the new value

length - the length of the data that should be read from the stream

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream, getBinaryStream

 setBinaryStream

 public abstract void setBinaryStream(String projName,
                                      InputStream x,
                                      int length) throws SQLException

Sets the specified column value from a Java InputStream object. The java.io.InputStream class is defined in the runtime set of classes for Java.

Parameters:

projName - the column name (or projection name)

x - the stream with the new value

length - the length of the data that should be read from the stream

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream, getBinaryStream

 setBoolean

 public abstract void setBoolean(int proj,
                                 boolean x) throws SQLException

Sets the specified column value to a Java boolean.

Parameters:

proj - the one-relative column index (or projection id)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

getBoolean

 setBoolean

 public abstract void setBoolean(String projName,
                                 boolean x) throws SQLException

Sets the specified column value to a Java boolean.

Parameters:

projName - the column name (or projection name)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

getBoolean

 setByte

 public abstract void setByte(int proj,
                              byte x) throws SQLException

Sets the specified column value to a Java byte.

Parameters:

proj - the one-relative column index (or projection id)

x - the new value. Valid for values between 0 and 255

Throws: SQLException

if a SQL database access error occurred

See Also:

getByte

 setByte

 public abstract void setByte(String projName,
                              byte x) throws SQLException

Sets the specified column value to a Java byte.

Parameters:

projName - the column name (or projection name)

x - the new value. Valid for values between 0 and 255

Throws: SQLException

if a SQL database access error occurred

See Also:

getByte

 setBytes

 public abstract void setBytes(int proj,
                               byte x[]) throws SQLException

Sets the specified column value to a Java byte array object. The array must be no larger than 255 bytes, and padded out with 00 bytes to the maximum length of the array.

Parameters:

proj - the one-relative column index (or projection id)

x - the new value.

Throws: SQLException

if a SQL database access error occurred

See Also:

getBytes

 setBytes

 public abstract void setBytes(String projName,
                               byte x[]) throws SQLException

Sets the specified column value to a Java byte array object. The array must be no larger than 255 bytes, and padded out with 00 bytes to the maximum length of the array.

Parameters:

projName - the column name (or projection name)

x - the new value.

Throws: SQLException

if a SQL database access error occurred

See Also:

getBytes

 setDate

 public abstract void setDate(int proj,
                              Date x) throws SQLException

Sets the specified column value to a Java Date object. The java.sql.Date class is defined in the JDBC specification.

Parameters:

proj - the one-relative column index (or projection id)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

Date, getDate

 setDate

 public abstract void setDate(String projName,
                              Date x) throws SQLException

Sets the specified column value to a Java Date object. The java.sql.Date class is defined in the JDBC specification.

Parameters:

projName - the column name (or projection name)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

Date, getDate

 setDouble

 public abstract void setDouble(int proj,
                                double x) throws SQLException

Sets the specified column value to a Java double.

Parameters:

proj - the one-relative column index (or projection id)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

getDouble

 setDouble

 public abstract void setDouble(String projName,
                                double x) throws SQLException

Sets the specified column value to a Java double.

Parameters:

projName - the column name (or projection name)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

getDouble

 setFloat

 public abstract void setFloat(int proj,
                               float x) throws SQLException

Sets the specified column value to a Java float.

Parameters:

proj - the one-relative column index (or projection id)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

getFloat

 setFloat

 public abstract void setFloat(String projName,
                               float x) throws SQLException

Sets the specified column value to a Java float.

Parameters:

projName - the column name (or projection name)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

getFloat

 setInt

 public abstract void setInt(int proj,
                             int x) throws SQLException

Sets the specified column value to a Java int.

Parameters:

proj - the one-relative column index (or projection id)

x - the new value. Valid for values between -2147483648 and 2147483647

Throws: SQLException

if a SQL database access error occurred

See Also:

getInt

 setInt

 public abstract void setInt(String projName,
                             int x) throws SQLException

Sets the specified column value to a Java int.

Parameters:

projName - the column name (or projection name)

x - the new value. Valid for values between -2147483648 and 2147483647

Throws: SQLException

if a SQL database access error occurred

See Also:

getInt

 setLong

 public abstract void setLong(int proj,
                              long x) throws SQLException

Sets the specified column value to a Java long.

Parameters:

proj - the one-relative column index (or projection id)

x - the new value. Valid for 64-bit integer values.

Throws: SQLException

if a SQL database access error occurred

See Also:

getLong

 setLong

 public abstract void setLong(String projName,
                              long x) throws SQLException

Sets the specified column value to a Java long.

Parameters:

projName - the column name (or projection name)

x - the new value. Valid for 64-bit integer values.

Throws: SQLException

if a SQL database access error occurred

See Also:

getLong

 setNull

 public abstract void setNull(int proj,
                              int sqlType) throws SQLException

Sets whether the specified column value has been defined.

Parameters:

proj - the one-relative column index (or projection id)

sqlType - the column datatype. See Types. Will set the value to NULL base on this datatype

Throws: SQLException

if a SQL database access error occurred

See Also:

Types, isNull

 setNull

 public abstract void setNull(String projName,
                              int sqlType) throws SQLException

Sets whether the specified column value has been defined.

Parameters:

projName - the column name (or projection name)

sqlType - the column datatype. See Types. Will set the value to NULL base on this datatype

Throws: SQLException

if a SQL database access error occurred

See Also:

Types, isNull

 setShort

 public abstract void setShort(int proj,
                               short x) throws SQLException

Sets the specified column value to a Java short.

Parameters:

proj - the one-relative column index (or projection id)

x - the new value. Valid for values between -32768 and 32767

Throws: SQLException

if a SQL database access error occurred

See Also:

getShort

 setShort

 public abstract void setShort(String projName,
                               short x) throws SQLException

Sets the specified column value to a Java short.

Parameters:

projName - the column name (or projection name)

x - the new value. Valid for values between -32768 and 32767

Throws: SQLException

if a SQL database access error occurred

See Also:

getShort

 setString

 public abstract void setString(int proj,
                                String x) throws SQLException

Sets the specified column value to a Java String. The length must be less than or equal to 255 characters, and trailing space padding will be preserved.

Parameters:

proj - the one-relative column index (or projection id)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

getString

 setString

 public abstract void setString(String projName,
                                String x) throws SQLException

Sets the specified column value to a Java String. The length must be less than or equal to 255 characters, and trailing space padding will be preserved.

Parameters:

projName - the column name (or projection name)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

getString

 setTime

 public abstract void setTime(int proj,
                              Time x) throws SQLException

Sets the specified column value to a Java Time object. The java.sql.Time class is defined in the JDBC specification.

Parameters:

proj - the one-relative column index (or projection id)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

Time, getTime

 setTime

 public abstract void setTime(String projName,
                              Time x) throws SQLException

Sets the specified column value to a Java Time object. The java.sql.Time class is defined in the JDBC specification.

Parameters:

projName - the column name (or projection name)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

Time, getTime

 setTimestamp

 public abstract void setTimestamp(int proj,
                                   Timestamp x) throws SQLException

Sets the specified column value to a Java Timestamp object. The java.sql.Timestamp class is defined in the JDBC specification.

Parameters:

proj - the one-relative column index (or projection id)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

Timestamp, getTimestamp

 setTimestamp

 public abstract void setTimestamp(String projName,
                                   Timestamp x) throws SQLException

Sets the specified column value to a Java Timestamp object. The java.sql.Timestamp class is defined in the JDBC specification.

Parameters:

projName - the column name (or projection name)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

Timestamp, getTimestamp

 setUnicodeStream

 public abstract void setUnicodeStream(int proj,
                                       InputStream x,
                                       int length) throws SQLException

Sets the specified column value from a Java InputStream object. The java.io.InputStream class is defined in the runtime set of classes for Java. The data is treated as a UniCode stream of characters. This is useful for international applications.

Parameters:

proj - the one-relative column index (or projection id)

x - the stream with the new value, in ASCII characters

length - the length of the data that should be read from the stream

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream, getUnicodeStream

 setUnicodeStream

 public abstract void setUnicodeStream(String projName,
                                       InputStream x,
                                       int length) throws SQLException

Sets the specified column value from a Java InputStream object. The java.io.InputStream class is defined in the runtime set of classes for Java. The data is treated as a UniCode stream of characters. This is useful for international applications.

Parameters:

projName - the column name (or projection name)

x - the stream with the new value, in ASCII characters

length - the length of the data that should be read from the stream

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream, getUnicodeStream

 setValueFromString

 public abstract void setValueFromString(int proj,
                                         String data) throws SQLException, IOException

Sets the specified column value to a Java String object. This method determines the column's datatype and sets its value using the appropriate setXXX method. This method also detemines the appropriate scale to be used in setBigDecimal method, as needed.

Parameters:

proj - the one-relative column index (or projection id)

data - the new value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

getStringValue

 setValueFromString

 public abstract void setValueFromString(int proj,
                                         String data,
                                         int treatBlankAsNull) throws SQLException, IOException

Sets the specified column value to a Java String object. This method determines the column's datatype and sets its value using the appropriate setXXX method. This method also detemines the appropriate scale to be used in setBigDecimal method, as needed.

Parameters:

proj - the one-relative column index (or projection id)

data - the new value

treatBlankAsNull - specifies how to set an empty string, one of: SETBLANKTODEFAULT, SETBLANKTONULL, or SETBLANKTOEMPTY

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

SETBLANKTODEFAULT, SETBLANKTONULL, SETBLANKTOEMPTY, getStringValue

 setValueFromString

 public abstract void setValueFromString(int proj,
                                         String data,
                                         int scale,
                                         int treatBlankAsNull) throws SQLException, IOException

Sets the specified column value to a Java String object. This method determines the column's datatype and sets its value using the appropriate setXXX method and the specified scale value.

Parameters:

proj - the one-relative column index (or projection id)

data - the new value

scale - the scale value, to be used as needed in the setBigDecimal method

treatBlankAsNull - specifies how to set an empty string, one of: SETBLANKTODEFAULT, SETBLANKTONULL, or SETBLANKTOEMPTY

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

SETBLANKTODEFAULT, SETBLANKTONULL, SETBLANKTOEMPTY, getStringValue

 setValueFromString

 public abstract void setValueFromString(int proj,
                                         String data,
                                         int columnType,
                                         int scale,
                                         int treatBlankAsNull) throws SQLException, IOException

Sets the specified column value to a Java String object. This method sets its value using the appropriate setXXX method based on the given SQL type, and scales the value as needed using the specified scale parameter.

Parameters:

proj - the one-relative column index (or projection id)

data - the new value

columnType - the data type to be used in the setXXX methods. See Types for legal values

scale - the scale value, to be used as needed in the setBigDecimal method

treatBlankAsNull - specifies how to set an empty string, one of: SETBLANKTODEFAULT, SETBLANKTONULL, or SETBLANKTOEMPTY

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

SETBLANKTODEFAULT, SETBLANKTONULL, SETBLANKTOEMPTY, Types, getStringValue

 setValueFromString

 public abstract void setValueFromString(int proj,
                                         String data,
                                         String columnTypeName,
                                         int scale) throws SQLException, IOException

Sets the specified column value to a Java String object. This method sets its value using the appropriate setXXX method based on the given SQL type string, and scales the value as needed using the specified scale parameter.

Parameters:

proj - the one-relative column index (or projection id)

data - the new value

columnTypeName - the data type to be used in the setXXX methods. See sqlTypeConvert() for legal values

scale - the scale value, to be used as needed in the setBigDecimal method

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

sqlTypeConvert, getStringValue

 setValueFromString

 public abstract void setValueFromString(int proj,
                                         String data,
                                         String columnTypeName,
                                         int scale,
                                         int treatBlankAsNull) throws SQLException, IOException

Sets the specified column value to a Java String object. This method sets its value using the appropriate setXXX method based on the given SQL type string, and scales the value as needed using the specified scale parameter.

Parameters:

proj - the one-relative column index (or projection id)

data - the new value

columnTypeName - the data type to be used in the setXXX methods. See sqlTypeConvert() for legal values

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

treatBlankAsNull - specifies how to set an empty string, one of: SETBLANKTODEFAULT, SETBLANKTONULL, or SETBLANKTOEMPTY

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

SETBLANKTODEFAULT, SETBLANKTONULL, SETBLANKTOEMPTY, sqlTypeConvert, getStringValue

 setValueFromString

 public abstract void setValueFromString(String projName,
                                         String data) throws SQLException, IOException

Sets the specified column value to a Java String object. This method determines the column's datatype and sets its value using the appropriate setXXX method. This method also detemines the appropriate scale to be used in setBigDecimal method, as needed.

Parameters:

projName - the column name (or projection name)

data - the new value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

getStringValue

 setValueFromString

 public abstract void setValueFromString(String projName,
                                         String data,
                                         int treatBlankAsNull) throws SQLException, IOException

Sets the specified column value to a Java String object. This method determines the column's datatype and sets its value using the appropriate setXXX method. This method also detemines the appropriate scale to be used in setBigDecimal method, as needed.

Parameters:

projName - the column name (or projection name)

data - the new value

treatBlankAsNull - specifies how to set an empty string, one of: SETBLANKTODEFAULT, SETBLANKTONULL, or SETBLANKTOEMPTY

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

SETBLANKTODEFAULT, SETBLANKTONULL, SETBLANKTOEMPTY, getStringValue

 setValueFromString

 public abstract void setValueFromString(String projName,
                                         String data,
                                         int scale,
                                         int treatBlankAsNull) throws SQLException, IOException

Sets the specified column value to a Java String object. This method determines the column's datatype and sets its value using the appropriate setXXX method and the specified scale value.

Parameters:

projName - the column name (or projection name)

data - the new value

scale - the scale value, to be used as needed in the setBigDecimal method

treatBlankAsNull - specifies how to set an empty string, one of: SETBLANKTODEFAULT, SETBLANKTONULL, or SETBLANKTOEMPTY

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

SETBLANKTODEFAULT, SETBLANKTONULL, SETBLANKTOEMPTY, getStringValue

 setValueFromString

 public abstract void setValueFromString(String projName,
                                         String data,
                                         int columnType,
                                         int scale,
                                         int treatBlankAsNull) throws SQLException, IOException

Sets the specified column value to a Java String object. This method sets its value using the appropriate setXXX method based on the given SQL type, and scales the value as needed using the specified scale parameter.

Parameters:

projName - the column name (or projection name)

data - the new value

columnType - the data type to be used in the setXXX methods. See Types for legal values

scale - the scale value, to be used as needed in the setBigDecimal method

treatBlankAsNull - specifies how to set an empty string, one of: SETBLANKTODEFAULT, SETBLANKTONULL, or SETBLANKTOEMPTY

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

SETBLANKTODEFAULT, SETBLANKTONULL, SETBLANKTOEMPTY, Types, getStringValue

 setValueFromString

 public abstract void setValueFromString(String projName,
                                         String data,
                                         String columnTypeName,
                                         int scale) throws SQLException, IOException

Sets the specified column value to a Java String object. This method sets its value using the appropriate setXXX method based on the given SQL type string, and scales the value as needed using the specified scale parameter.

Parameters:

projName - the column name (or projection name)

data - the new value

columnTypeName - the data type to be used in the setXXX methods. See sqlTypeConvert() for legal values

scale - the scale value, to be used as needed in the setBigDecimal method

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

sqlTypeConvert, getStringValue

 setValueFromString

 public abstract void setValueFromString(String projName,
                                         String data,
                                         String columnTypeName,
                                         int scale,
                                         int treatBlankAsNull) throws SQLException, IOException

Sets the specified column value to a Java String object. This method sets its value using the appropriate setXXX method based on the given SQL type string, and scales the value as needed using the specified scale parameter.

Parameters:

projName - the column name (or projection name)

data - the new value

columnTypeName - the data type to be used in the setXXX methods. See sqlTypeConvert() for legal values

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

treatBlankAsNull - specifies how to set an empty string, one of: SETBLANKTODEFAULT, SETBLANKTONULL, or SETBLANKTOEMPTY

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

SETBLANKTODEFAULT, SETBLANKTONULL, SETBLANKTOEMPTY, sqlTypeConvert, getStringValue


 Interface symantec.itools.db.pro.ListLink

public interface ListLink

This is an interface that should be implemented on a Java object to support list mode bindings. List mode bindings enable the dbANYWHERE server to automatically load and keep up to date an object with information from a RelationView.

     See Also:
     ListBinder, RelationView

 init(ListBinder)

Called when this object is first bound to a RelationView.

 notifyListChange(ListBinder)

Called when the dbANYWHERE server has detected a data change made within the RelationView bound to this object.

 init

 public abstract void init(ListBinder binder)

Called when this object is first bound to a RelationView. The object should note the given ListBinder object so that it may notify the dbANYWHERE server of data changes made.

Parameters:

binder - used to notify the dbANYWHERE server of any data changes that are to be persistant

 notifyListChange

 public abstract void notifyListChange(ListBinder binder) throws SQLException

Called when the dbANYWHERE server has detected a data change made within the RelationView bound to this object. The given ListBinder object is used to get the RelationView's new values.

Parameters:

binder - used to get the values from the dbANYWHERE server

Throws: SQLException

if a SQL database access error occurred


 Interface symantec.itools.db.pro.Logon

public interface Logon

Implement this interface to provide a hook into dbANYWHERE's logon failure handler.

 logonFailed(ConnectionInfo, int)

If the object implementing this interface has registered itself with the Session object's LogonHandler, this method will be called when a logon failure has occurred.

 logonFailed

 public abstract boolean logonFailed(ConnectionInfo conn,
                                     int retries)

If the object implementing this interface has registered itself with the Session object's LogonHandler, this method will be called when a logon failure has occurred.

Parameters:

conn - the current connection info used for logon attempts

retries - the number of logon attempts

Returns:

true if should attempt to logon again, false otherwise


 Interface symantec.itools.db.pro.ProjLink

public interface ProjLink

This interface is used to bind a Java object to a single projection for the current row within a particular RelationView object. When the current row changes for the RelationView, the object will automatically receive a data change notification from the dbANYWHERE Server through this interface. If data changes can occur through the bound object, then it should update the dbANYWHERE Server with those changes using the ProjBinder object that was passed to it during binding.

     See Also:
     ProjBinder, RelationView

 init(ProjBinder)

Called upon binding the object to a projection within an RelationView.

 notifyDataChange(ProjBinder)

Called when the dbANYWHERE server has detected a data change made within the scope of the current row for the RelationView that was bound to the object.

 notifySetData(ProjBinder)

Called when the dbANYWHERE server has detected a change in the current row for the RelationView to insure that data changes are not lost.

 init

 public abstract void init(ProjBinder data)

Called upon binding the object to a projection within an RelationView. The object should track the ProjBinder object in some fashion, so it can notify the dbANYWHERE server of data changes made through the bound object.

Parameters:

data - this is an object that should be used to notify the dbANYWHERE server of any data changes that are to be persistant. This object is a window into the particular column data to which the object has been bound

See Also:

ProjBinder

 notifyDataChange

 public abstract void notifyDataChange(ProjBinder data)

Called when the dbANYWHERE server has detected a data change made within the scope of the current row for the RelationView that was bound to the object. The ProjBinder object passed into the notification should be used to get the new data value.

Parameters:

data - this is an object that should be used to notify the dbANYWHERE server of any data changes that are to be persistant. This object is a window into the particular column data to which the object has been bound

See Also:

ProjBinder

 notifySetData

 public abstract boolean notifySetData(ProjBinder data) throws SQLException

Called when the dbANYWHERE server has detected a change in the current row for the RelationView to insure that data changes are not lost. The ProjBinder object passed into the notification should be used to set the new data value.

Parameters:

data - this is an object that should be used to notify the dbANYWHERE server of any data changes that are to be persistant. This object is a window into the particular column data to which the object has been bound

Returns:

boolean true if success or false if failure

Throws: SQLException

if a SQL database access error occurred

See Also:

ProjBinder


 Interface symantec.itools.db.pro.RecordLink

public interface RecordLink

This is an interface that should be implemented by a Java object to support current record bindings. The RelationView will automatically notify a bound RecordLink object whenever the current Record changes.

     See Also:
     Record, RelationView

 init()

Called when this object is first bound to a RelationView.

 notifyRecordChange(Record)

This method is called when the current Record in the RelationView is changed.

 init

 public abstract void init()

Called when this object is first bound to a RelationView.

 notifyRecordChange

 public abstract void notifyRecordChange(Record currentRec) throws SQLException

This method is called when the current Record in the RelationView is changed.

Parameters:

currentRec - used to access the current record bound to this object

Throws: SQLException

if a SQL database access error occurred


 Interface symantec.itools.db.pro.RecordSetLink

public interface RecordSetLink

This is an interface that should be implemented on a Java object to support current record bindings. The RelationView will automatically notify a bound RecordLink object whenever the current Record changes.

     See Also:
     Record, RelationView

 init()

Called when this object is first bound to the RelationView.

 notifyRecordSetChange(RelationView)

Called when a RelationView's RecordSet is changed.

 init

 public abstract void init()

Called when this object is first bound to the RelationView.

 notifyRecordSetChange

 public abstract void notifyRecordSetChange(RelationView rv) throws SQLException

Called when a RelationView's RecordSet is changed.

Parameters:

rv - used to access the RelationView bound to this object

Throws: SQLException

if a SQL database access error occurred


 Class symantec.itools.db.pro.AutoDetail

java.lang.Object
   |
   +----java.util.Dictionary
           |
           +----java.util.Hashtable
                   |
                   +----java.util.Properties
                           |
                           +----symantec.itools.db.pro.Request
                                   |
                                   +----symantec.itools.db.pro.AutoDetail

public class AutoDetail
   extends Request

This object is used to add a detail RelationView within a MultiView.

     See Also:
     RelationView, MultiView

 _messgr

The object used to call remote methods on the dbANYWHERE server.

 MANY_TO_MANY

Cardinality option constant for the resulting detail RelationView after executing a SQL statement.

 MANY_TO_ONE

Cardinality option constant for the resulting detail RelationView after executing a SQL statement.

 ONE_TO_MANY

Cardinality option constant for the resulting detail RelationView after executing a SQL statement.

 ONE_TO_ONE

Cardinality option constant for the resulting detail RelationView after executing a SQL statement.

 AutoDetail(RelationView, ConnectionInfo)

Constructs an AutoDetail for the given relation view using the given connection.

 executeRequest()

Creates a RelationView using the ConnectionInfo, SQL string, Request properties, and Detail properties set within this object.

 getCardinality()

Gets the value of the cardinality ("cardinality") property as an integer.

 getDetailProperties()

Gets the properties of this Detail object.

 GetMessgr()

Returns the RemoteObject used to communicate with the dbANYWHERE server.

 join(int, int)

Specifies how to automate a filling of a parameter in the SQL statement that this object was built upon from a resultant column that is a projection in the master RelationView.

 join(int, String)

Specifies how to automate a filling of a parameter in the SQL statement that this object was built upon from a resultant column that is a projection in the master RelationView.

 join(String)

Specifies how to automate a filling of a parameter in the SQL statement that this object was built upon from a resultant column that is a projection in the master RelationView.

 setCardinality(String)

Sets the value of the cardinality ("cardinality") property from a string.

 setDetailProperties(Properties)

Sets additional properties of this Detail object.

 _messgr

 protected RemoteObject _messgr

The object used to call remote methods on the dbANYWHERE server.

 MANY_TO_MANY

 public static final String MANY_TO_MANY

Cardinality option constant for the resulting detail RelationView after executing a SQL statement.

 MANY_TO_ONE

 public static final String MANY_TO_ONE

Cardinality option constant for the resulting detail RelationView after executing a SQL statement.

 ONE_TO_MANY

 public static final String ONE_TO_MANY

Cardinality option constant for the resulting detail RelationView after executing a SQL statement.

 ONE_TO_ONE

 public static final String ONE_TO_ONE

Cardinality option constant for the resulting detail RelationView after executing a SQL statement.

 AutoDetail

 public AutoDetail(RelationView rv,
                   ConnectionInfo conn)

Constructs an AutoDetail for the given relation view using the given connection.

Parameters:

rv - the parent relation view creating this AutoDetail

conn - the connection to use

 executeRequest

 public RelationView executeRequest() throws SQLException

Creates a RelationView using the ConnectionInfo, SQL string, Request properties, and Detail properties set within this object. The RelationView is connected as a detail to the parent RelationView that this AutoDetail was originally created by. The detail RelationView will automatically generate a new set of records based on the join settings whenever the parent RelationView current record changes.

Returns:

the RelationView object connected as a detail to its parent RelationView

Throws: SQLException

if a SQL database access error occurred

Overrides:

executeRequest in class Request

See Also:

RelationView

 getCardinality

 protected int getCardinality()

Gets the value of the cardinality ("cardinality") property as an integer.

The values returned are:

1 = ONE_TO_MANY

2 = ONE_TO_ONE

3 = MANY_TO_ONE

4 = MANY_TO_MANY

Returns:

the number corresponding to the currrent cardinality

 getDetailProperties

 public Properties getDetailProperties()

Gets the properties of this Detail object.

Currently there is one property defined:

"cardinality"

This is the cardinality setting for the resulting detail RelationView object after execution is performed on the SQL statement. It is one of the following values:

ONE_TO_MANY

ONE_TO_ONE

MANY_TO_ONE

MANY_TO_MANY

The default is ONE_TO_MANY

Returns:

The Detail object properties.

See Also:

RelationView

 GetMessgr

 protected RemoteObject GetMessgr() throws SQLException

Returns the RemoteObject used to communicate with the dbANYWHERE server.

Throws: SQLException

if a SQL database access error occurred

 join

 public void join(int paramIndex,
                  int resultCol) throws SQLException

Specifies how to automate a filling of a parameter in the SQL statement that this object was built upon from a resultant column that is a projection in the master RelationView.

Parameters:

paramIndex - indicates the parameter within the parameterized SQL statement that should be driven by the master result column or projection specified by the resultCol parameter

resultCol - indicates which result column or projection number should feed into the parameter specified by paramIndex

Throws: SQLException

if a SQL database access error occurred

 join

 public void join(int paramIndex,
                  String resultColName) throws SQLException

Specifies how to automate a filling of a parameter in the SQL statement that this object was built upon from a resultant column that is a projection in the master RelationView.

Parameters:

paramIndex - indicates the parameter within the parameterized SQL statement that should be driven by the master result column or projection specified by the resultColName parameter

resultColName - indicates which result column should feed into the parameter specified by paramIndex

Throws: SQLException

if a SQL database access error occurred

 join

 public void join(String resultColName) throws SQLException

Specifies how to automate a filling of a parameter in the SQL statement that this object was built upon from a resultant column that is a projection in the master RelationView. The parameter index used is the one previously set with the setParamIndex() method. It indicates the parameter within the parameterized SQL statement that should be driven by the master result column or projection specified by the resultColName parameter

Parameters:

resultColName - indicates which result column should feed into the parameter specified by paramIndex

Throws: SQLException

if a SQL database access error occurred

 setCardinality

 public void setCardinality(String setting)

Sets the value of the cardinality ("cardinality") property from a string.

The valid strings to use are:

"One To One"

"One To Many"

"Many To One"

"Many To Many"

Unrecognized strings result in MANY_TO_ONE being set.

Parameters:

setting - the new property string

 setDetailProperties

 public void setDetailProperties(Properties detailProps)

Sets additional properties of this Detail object. These properties have default values, so a explicit call to setDetailProperties is not needed to execute a Request.

Currently there is one property defined:

"cardinality"

This is the cardinality setting for the resulting detail RelationView object after execution is performed on the SQL statement. It is one of the following values:

ONE_TO_MANY

ONE_TO_ONE

MANY_TO_ONE

MANY_TO_MANY

The default is ONE_TO_MANY

Parameters:

detailProps - this is a Properties object containing AutoDetail properties

See Also:

RelationView


 Class symantec.itools.db.pro.ConnectionInfo

java.lang.Object
   |
   +----symantec.itools.db.pro.ConnectionInfo

public class ConnectionInfo
   extends Object

This object holds the information that is needed to connect to a database. This information include the database string and optionally, the username and password.

     See Also:
     Session, RelationView

 ConnectionInfo(String)

Constructor for a ConnectionInfo object.

 ConnectionInfo(String, boolean)

Constructor for a ConnectionInfo object.

 ConnectionInfo(String, String, String)

Constructor for a ConnectionInfo object.

 ConnectionInfo(String, String, String, boolean)

Constructor for a ConnectionInfo object.

 getAutoDisconnect()

Returns the autoDisconnect property indicating whether to automatically disconnect from the database whenever a RelationView (that was created with this ConnectionInfo object) is closed.

 getDBString()

Returns the database string that will be used to connect to a database.

 getName()

Gets the user-defined name for this object.

 getPassword()

Returns the password for the user.

 getUser()

Returns the user string that will be used to open the database described within the database string.

 setAutoDisconnect(boolean)

Sets the autoDisconnect property for this ConnectionInfo object.

 setDBString(String)

Sets the database string that will be used to connect to a database.

 setName(String)

Sets the user-defined name for this object.

 setPassword(String)

Sets the password for the user.

 setUser(String)

Sets the user string that will be used to open the database described within the database string.

 ConnectionInfo

 public ConnectionInfo(String database)

Constructor for a ConnectionInfo object.

Parameters:

database - the database string that will be used to connect to a database. The string may be either the full "engine/server/database" or "dsn"

 ConnectionInfo

 public ConnectionInfo(String database,
                       boolean autoDisconnect)

Constructor for a ConnectionInfo object.

Parameters:

database - the database string that will be used to connect to a database. The string may be either the full "engine/server/database" or "dsn"

autoDisconnect - a boolean value to specify whether or not to auto disconnect the database after each transaction

 ConnectionInfo

 public ConnectionInfo(String database,
                       String user,
                       String password)

Constructor for a ConnectionInfo object.

Parameters:

database - the database string that will be used to connect to a database. The string may be either the full "engine/server/database" or "dsn"

user - this is the username that will be used to open the desired database

password - this is the password for the username

 ConnectionInfo

 public ConnectionInfo(String database,
                       String user,
                       String password,
                       boolean autoDisconnect)

Constructor for a ConnectionInfo object.

Parameters:

database - the database string that will be used to connect to a database. The string may be either the full "engine/server/database" or "dsn"

user - this is the username that will be used to open the desired database

password - this is the password for the username

autoDisconnect - a boolean value to specify whether or not to auto disconnect the database after each transaction

 getAutoDisconnect

 public boolean getAutoDisconnect()

Returns the autoDisconnect property indicating whether to automatically disconnect from the database whenever a RelationView (that was created with this ConnectionInfo object) is closed.

Returns:

the autoDisconnect property

 getDBString

 public String getDBString()

Returns the database string that will be used to connect to a database. The string may be either the full "engine/server/database" or "dsn".

Returns:

the database string

 getName

 public String getName()

Gets the user-defined name for this object.

Returns:

this object's name

See Also:

setName

 getPassword

 public String getPassword()

Returns the password for the user.

Returns:

the password

 getUser

 public String getUser()

Returns the user string that will be used to open the database described within the database string.

Returns:

the user name

 setAutoDisconnect

 public void setAutoDisconnect(boolean autoDisconnect)

Sets the autoDisconnect property for this ConnectionInfo object. The autoDisconnect property indicates whether to automatically disconnect from the database whenever a RelationView (that was created with this ConnectionInfo object) is closed.

Parameters:

autoDisconnect - true - automatically disconnect from database false - remain connected to database

 setDBString

 public void setDBString(String database)

Sets the database string that will be used to connect to a database. The string may be either the full "engine/server/database" or "dsn".

Parameters:

database - the database string

 setName

 public void setName(String value)

Sets the user-defined name for this object.

Parameters:

value - the new name

See Also:

getName

 setPassword

 public void setPassword(String password)

Sets the password for the user.

Parameters:

password - the password

 setUser

 public void setUser(String user)

Sets the user string that will be used to open the database described within the database string.

Parameters:

user - the user name


 Class symantec.itools.db.pro.ListBinder

java.lang.Object
   |
   +----symantec.itools.db.pro.ListBinder

public class ListBinder
   extends Object

This is an object used to bind an object that implements the ListLink interface to a column within a RelationView.

     See Also:
     ListLink, RelationView

 getRelationView()

Returns the current relation view.

 getRelationView

 public RelationView getRelationView()

Returns the current relation view.


 Class symantec.itools.db.pro.MultiView

java.lang.Object
   |
   +----symantec.itools.db.pro.MultiView

public class MultiView
   extends Object

This class is used as a container class for the dbANYWHERE database transaction object. All RelationViews for a transaction are contained within the scope of an instance of an MultiView object. Although the developer does not have to interface directly with the MultiView object to interact with the dbANYWHERE server, it might be useful for global transaction operations to have a handle to this object. The RelationView class has been provided with enough basic methods to encapsulate the need to track an MultiView object with every transaction. For example the RelationView.saveMultiView() method actually translates to the MultiView.save() method call for its parent MultiView object.

     See Also:
     RelationView, MultiViewMetaData

 close()

Close down and release all resources associated with a runtime version of the MultiView object.

 getRootRelView()

Return the ultimate parent of the MultiView.

 isDataChanged()

Return a true/false flag indicating whether or not there are any data changes that have occured throughout the whole MultiView object.

 restart()

Restarts the multiview to pick up changes made by the latest save as well as any external changes to the database.

 restart(String)

Restarts the multiview after modifying the root RelationView's SQL select statement with the newWhereClause.

 save()

Execute a transaction to store all of the data changes in the MultiView to the backend database.

 undoDataChanges()

Revert all of the data changes throughout the MultiView to the original data that was seen by the user when the MultiView was started.

 close

 public synchronized void close() throws SQLException

Close down and release all resources associated with a runtime version of the MultiView object.

Throws: SQLException

if a SQL database access error occurred

 getRootRelView

 public RelationView getRootRelView() throws SQLException

Return the ultimate parent of the MultiView.

Returns:

a RelationView object is returned for the highest order parent view within the MultiView hierarchy

Throws: SQLException

if a SQL database access error occurred

See Also:

RelationView

 isDataChanged

 public boolean isDataChanged() throws SQLException

Return a true/false flag indicating whether or not there are any data changes that have occured throughout the whole MultiView object. If there is one change in the MultiView, then a true value will be returned.

Returns:

a boolean flag indicating whether (true) or not (false) there have been data changes within the MultiView view buffers

Throws: SQLException

if a SQL database access error occurred

 restart

 public void restart() throws SQLException

Restarts the multiview to pick up changes made by the latest save as well as any external changes to the database.

All views are rewound, i.e. next() will retrieve the first record. All cached data is release and will be refetched as needed.

The server does an automatic restart after a successful save.

Throws: SQLException

if a SQL database access error occurred

See Also:

save

 restart

 public void restart(String newWhereClause) throws SQLException

Restarts the multiview after modifying the root RelationView's SQL select statement with the newWhereClause.

Parameters:

newWhereClause - if the root RelationView's SQL statement doesn't contain a where clause, then newWhereClause is appended to the statement. If the root RelationView's SQL statement does contain a where clause, then the newWhereClause will replace the where clause of the SQL statement

Throws: SQLException

if a SQL database access error occurred

See Also:

save, restart

 save

 public void save() throws SQLException

Execute a transaction to store all of the data changes in the MultiView to the backend database. This method encapsulates all of the functionality associated with storing the data changes to the backend database. The developer does not need to concern themselves with Insert, Update, or Delete statement generation like in other APIs.

Throws: SQLException

if a SQL database access error occurred

See Also:

restart

 undoDataChanges

 public void undoDataChanges() throws SQLException

Revert all of the data changes throughout the MultiView to the original data that was seen by the user when the MultiView was started. The original data is the data as it was originally loaded from the backend database(s).

Throws: SQLException

if a SQL database access error occurred


 Class symantec.itools.db.pro.ProjBinder

java.lang.Object
   |
   +----symantec.itools.db.pro.ProjBinder

public class ProjBinder
   extends Object

This is an object used to bind an object that implements the ProjLink interface to a projection within a RelationView.

     See Also:
     ProjLink, RelationView

 DEFAULTSCALE

A constant indicating a column's default number of digits to the right of the decimal point should be used.

 SETBLANKTODEFAULT

A constant indicating how empty or null string data should be translated before being sent to the database.

 SETBLANKTOEMPTY

A constant indicating how empty or null string data should be translated before being sent to the database.

 SETBLANKTONULL

A constant indicating how empty or null string data should be translated before being sent to the database.

 getAsciiStream()

Gets the column value in a Java InputStream object.

 getBigDecimal(int)

Gets the column value as a Java BigDecimal object.

 getBinaryStream()

Gets the column value in a Java InputStream object.

 getBoolean()

Gets the column value as a Java boolean.

 getByte()

Gets the column value as a Java byte.

 getBytes()

Gets the column value as a Java byte array object.

 getColumnName()

Gets a String containing the name of the column that this ProjBinder is bound to.

 getDate()

Gets the column value as a Java Date object.

 getDouble()

Gets the column value as a Java double.

 getFloat()

Gets the column value as a Java float.

 getInt()

Gets the column value as a Java int.

 getLong()

Gets the column value as a Java long.

 getRelationView()

Gets the RelationView of the column that this ProjBinder is bound to.

 getShort()

Gets the column value as a Java short.

 getString()

Gets the column value as a Java String that is space padded to meet the maximum length of the variable.

 getStringValue()

Gets the column value as a Java String object.

 getStringValue(boolean)

Gets the column value as a Java String object.

 getStringValue(int)

Gets the column value as a Java String object.

 getStringValue(int, boolean)

Gets the column value as a Java String object.

 getStringValue(int, int)

Gets the column value as a Java String object.

 getStringValue(int, int, boolean)

Gets the column value as a Java String object.

 getStringValue(String, int)

Gets the column value as a Java String object.

 getStringValue(String, int, boolean)

Gets the column value as a Java String object.

 getTime()

Gets the column value as a Java Time object.

 getTimestamp()

Gets the column value as a Java Timestamp object.

 getUnicodeStream()

Gets the column value in a Java InputStream object.

 isNull()

Gets whether the column value has been defined.

 isReadable()

This method is used to determine whether the current Record is in a state that allows the reading of data.

 isWritable()

This method is used to determine whether the current Record is in a state that allows the setting of data.

 setAsciiStream(InputStream, int)

Sets the column value from a Java InputStream object.

 setBigDecimal(BigDecimal)

Sets the column value to a Java BigDecimal object.

 setBinaryStream(InputStream, int)

Sets the column value from a Java InputStream object.

 setBoolean(boolean)

Sets the column value to a Java boolean.

 setByte(byte)

Sets the column value to a Java byte.

 setBytes(byte[])

Sets the column value to a Java byte array object.

 setDate(Date)

Sets the column value to a Java Date object.

 setDouble(double)

Sets the column value to a Java double.

 setFloat(float)

Sets the column value to a Java float.

 setInt(int)

Sets the column value to a Java int.

 setLong(long)

Sets the column value to a Java long.

 setNull(int)

Sets whether the column value has been defined.

 setShort(short)

Sets the column value to a Java short.

 setString(String)

Sets the column value to a Java String.

 setTime(Time)

Sets the column value to a Java Time object.

 setTimestamp(Timestamp)

Sets the column value to a Java Timestamp object.

 setUnicodeStream(InputStream, int)

Sets the column value from a Java InputStream object.

 setValueFromString(String)

Sets the column value to a Java String object.

 setValueFromString(String, int)

Sets the column value to a Java String object.

 setValueFromString(String, int, int)

Sets the column value to a Java String object.

 setValueFromString(String, int, int, int)

Sets the column value to a Java String object.

 setValueFromString(String, String, int)

Sets the column value to a Java String object.

 setValueFromString(String, String, int, int)

Sets the column value to a Java String object.

 DEFAULTSCALE

 public static final int DEFAULTSCALE

A constant indicating a column's default number of digits to the right of the decimal point should be used.

 SETBLANKTODEFAULT

 public static final int SETBLANKTODEFAULT

A constant indicating how empty or null string data should be translated before being sent to the database. In this case it would be set to null unless the column is non-null and of type CHAR, VARCHAR, or LONGVARCHAR. In that case it is set to an empty string.

See Also:

processEmptyStringData

 SETBLANKTOEMPTY

 public static final int SETBLANKTOEMPTY

A constant indicating how empty or null string data should be translated before being sent to the database. In this case it would be set an empty value appropriate for its type (0, "", ""1970-01-01 12:00:00.0"", etc).

See Also:

processEmptyStringData

 SETBLANKTONULL

 public static final int SETBLANKTONULL

A constant indicating how empty or null string data should be translated before being sent to the database. In this case it would be set to null if the column is some BINARY type or OTHER.

See Also:

processEmptyStringData

 getAsciiStream

 public InputStream getAsciiStream() throws SQLException

Gets the column value in a Java InputStream object. The java.io.InputStream class is defined in the runtime set of classes for Java. The data will be in ASCII format.

Returns:

the value as ASCII characters

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream, setAsciiStream

 getBigDecimal

 public BigDecimal getBigDecimal(int scale) throws SQLException

Gets the column value as a Java BigDecimal object. The java.math.BigDecimal class is defined in JDK 1.1.

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

BigDecimal, setBigDecimal

 getBinaryStream

 public InputStream getBinaryStream() throws SQLException

Gets the column value in a Java InputStream object. The java.io.InputStream class is defined in the runtime set of classes for Java.

Returns:

the value as binary

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream, setBinaryStream

 getBoolean

 public boolean getBoolean() throws SQLException

Gets the column value as a Java boolean.

Returns:

true if the value is non-zero

Throws: SQLException

if a SQL database access error occurred

See Also:

setBoolean

 getByte

 public byte getByte() throws SQLException

Gets the column value as a Java byte.

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

setByte

 getBytes

 public byte[] getBytes() throws SQLException

Gets the column value as a Java byte array object. The array will be padded with 00 bytes to meet the maximum length of the array. The length of the array will be less than or equal to 255 bytes.

Returns:

the value. It will have padded zero bytes on the end to reach the maximum length established for the datatype

Throws: SQLException

if a SQL database access error occurred

See Also:

setBytes

 getColumnName

 public String getColumnName() throws SQLException

Gets a String containing the name of the column that this ProjBinder is bound to.

Returns:

a String containing the name of the column that this ProjBinder is bound to

Throws: SQLException

if a SQL database access error occurred

 getDate

 public Date getDate() throws SQLException

Gets the column value as a Java Date object. The java.sql.Date class is defined in the JDBC specification.

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

Date, setDate

 getDouble

 public double getDouble() throws SQLException

Gets the column value as a Java double.

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

setDouble

 getFloat

 public float getFloat() throws SQLException

Gets the column value as a Java float.

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

setFloat

 getInt

 public int getInt() throws SQLException

Gets the column value as a Java int.

Returns:

the value. It will range in value between -2147483648 and 2147483647

Throws: SQLException

if a SQL database access error occurred

See Also:

setInt

 getLong

 public long getLong() throws SQLException

Gets the column value as a Java long.

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

setLong

 getRelationView

 public RelationView getRelationView() throws SQLException

Gets the RelationView of the column that this ProjBinder is bound to.

Returns:

the RelationView of the column that this ProjBinder is bound to

Throws: SQLException

if a SQL database access error occurred

 getShort

 public short getShort() throws SQLException

Gets the column value as a Java short.

Returns:

the value. It will range in value between -32768 and 32767

Throws: SQLException

if a SQL database access error occurred

See Also:

setShort

 getString

 public String getString() throws SQLException

Gets the column value as a Java String that is space padded to meet the maximum length of the variable. Note that the length should be less than or equal to 255 characters.

Returns:

the value in a character format. The string will be space padded to reach the maximum length for the datatype

Throws: SQLException

if a SQL database access error occurred

See Also:

setString

 getStringValue

 public String getStringValue() throws SQLException, IOException

Gets the column value as a Java String object. This method determines the column's datatype and retrieves the data using the appropriate getXXX method. This method also detemines the appropriate scale to be used in getBigDecimal, getBinary, and getVarBinary methods.

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

setValueFromString

 getStringValue

 public String getStringValue(boolean processBinaryData) throws SQLException, IOException

Gets the column value as a Java String object. This method determines the column's datatype and retrieves the data using the appropriate getXXX method. This method also detemines the appropriate scale to be used in getBigDecimal, getBinary, and getVarBinary methods.

Parameters:

processBinaryData - whether or not to return binary data converted to a String

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

setValueFromString

 getStringValue

 public String getStringValue(int scale) throws SQLException, IOException

Gets the column value as a Java String object. This method determines the column's datatype and retrieves the data using the appropriate getXXX method and the specified scale value.

Parameters:

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

setValueFromString

 getStringValue

 public String getStringValue(int scale,
                              boolean processBinaryData) throws SQLException, IOException

Gets the column value as a Java String object. This method determines the column's datatype and retrieves the data using the appropriate getXXX method and the specified scale value.

Parameters:

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

processBinaryData - whether or not to return binary data converted to a String

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

setValueFromString

 getStringValue

 public String getStringValue(int columnType,
                              int scale) throws SQLException, IOException

Gets the column value as a Java String object. This method retrieves the data using the appropriate getXXX method based on the given SQL type, and scales the value as needed using the specified scale parameter.

Parameters:

columnType - the data type to be used in the getXXX methods. See Types for legal values

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

Types, setValueFromString

 getStringValue

 public String getStringValue(int columnType,
                              int scale,
                              boolean processBinaryData) throws SQLException, IOException

Gets the column value as a Java String object. This method retrieves the data using the appropriate getXXX method based on the given SQL type, and scales the value as needed using the specified scale parameter.

Parameters:

columnType - the data type to be used in the getXXX methods. See Types for legal values

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

processBinaryData - whether or not to return binary data converted to a String

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

Types, setValueFromString

 getStringValue

 public String getStringValue(String columnTypeName,
                              int scale) throws SQLException, IOException

Gets the column value as a Java String object. This method retrieves the data using the appropriate getXXX method based on the given SQL type string, and scales the value as needed using the specified scale parameter.

Parameters:

columnTypeName - the data type to be used in the getXXX methods. See sqlTypeConvert() for legal values

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

sqlTypeConvert, setValueFromString

 getStringValue

 public String getStringValue(String columnTypeName,
                              int scale,
                              boolean processBinaryData) throws SQLException, IOException

Gets the column value as a Java String object. This method retrieves the data using the appropriate getXXX method based on the given SQL type string, and scales the value as needed using the specified scale parameter.

Parameters:

columnTypeName - the data type to be used in the getXXX methods. See sqlTypeConvert() for legal values

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

processBinaryData - whether or not to return binary data converted to a String

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

sqlTypeConvert, setValueFromString

 getTime

 public Time getTime() throws SQLException

Gets the column value as a Java Time object. The java.sql.Time class is defined in the JDBC specification.

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

Time, setTime

 getTimestamp

 public Timestamp getTimestamp() throws SQLException

Gets the column value as a Java Timestamp object. The java.sql.Timestamp class is defined in the JDBC specification.

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

Timestamp, setTimestamp

 getUnicodeStream

 public InputStream getUnicodeStream() throws SQLException

Gets the column value in a Java InputStream object. The java.io.InputStream class is defined in the runtime set of classes for Java. The data will be in an unicode format, which is useful for international applications.

Returns:

the value as UNICODE characters

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream, setUnicodeStream

 isNull

 public boolean isNull() throws SQLException

Gets whether the column value has been defined.

Returns:

true if the value has been defined

Throws: SQLException

if a SQL database access error occurred

See Also:

setNull

 isReadable

 public boolean isReadable() throws SQLException

This method is used to determine whether the current Record is in a state that allows the reading of data.

Returns:

true if so, false otherwise

Throws: SQLException

if a SQL database access error occurred

 isWritable

 public boolean isWritable() throws SQLException

This method is used to determine whether the current Record is in a state that allows the setting of data.

Returns:

true if so, false otherwise

Throws: SQLException

if a SQL database access error occurred

 setAsciiStream

 public void setAsciiStream(InputStream x,
                            int length) throws SQLException

Sets the column value from a Java InputStream object. The java.io.InputStream class is defined in the runtime set of classes for Java. The data is treated as ASCII characters.

Parameters:

x - the stream with the new value, in ASCII characters

length - the length of the data that should be read from the stream

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream, getAsciiStream

 setBigDecimal

 public void setBigDecimal(BigDecimal x) throws SQLException

Sets the column value to a Java BigDecimal object. The java.math.BigDecimal class is defined in JDK 1.1.

Parameters:

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

BigDecimal, getBigDecimal

 setBinaryStream

 public void setBinaryStream(InputStream x,
                             int length) throws SQLException

Sets the column value from a Java InputStream object. The java.io.InputStream class is defined in the runtime set of classes for Java.

Parameters:

x - the stream with the new value

length - the length of the data that should be read from the stream

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream, getBinaryStream

 setBoolean

 public void setBoolean(boolean x) throws SQLException

Sets the column value to a Java boolean.

Parameters:

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

getBoolean

 setByte

 public void setByte(byte x) throws SQLException

Sets the column value to a Java byte.

Parameters:

x - the new value. Valid for values between 0 and 255

Throws: SQLException

if a SQL database access error occurred

See Also:

getByte

 setBytes

 public void setBytes(byte x[]) throws SQLException

Sets the column value to a Java byte array object. The array must be no larger than 255 bytes, and padded out with 00 bytes to the maximum length of the array.

Parameters:

x - the new value.

Throws: SQLException

if a SQL database access error occurred

See Also:

getBytes

 setDate

 public void setDate(Date x) throws SQLException

Sets the column value to a Java Date object. The java.sql.Date class is defined in the JDBC specification.

Parameters:

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

Date, getDate

 setDouble

 public void setDouble(double x) throws SQLException

Sets the column value to a Java double.

Parameters:

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

getDouble

 setFloat

 public void setFloat(float x) throws SQLException

Sets the column value to a Java float.

Parameters:

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

getFloat

 setInt

 public void setInt(int x) throws SQLException

Sets the column value to a Java int.

Parameters:

x - the new value. Valid for values between -2147483648 and 2147483647

Throws: SQLException

if a SQL database access error occurred

See Also:

getInt

 setLong

 public void setLong(long x) throws SQLException

Sets the column value to a Java long.

Parameters:

x - the new value. Valid for 64-bit integer values.

Throws: SQLException

if a SQL database access error occurred

See Also:

getLong

 setNull

 public void setNull(int sqlType) throws SQLException

Sets whether the column value has been defined.

Parameters:

sqlType - the column datatype. See Types. Will set the value to NULL base on this datatype

Throws: SQLException

if a SQL database access error occurred

See Also:

Types, isNull

 setShort

 public void setShort(short x) throws SQLException

Sets the column value to a Java short.

Parameters:

x - the new value. Valid for values between -32768 and 32767

Throws: SQLException

if a SQL database access error occurred

See Also:

getShort

 setString

 public void setString(String x) throws SQLException

Sets the column value to a Java String. The length must be less than or equal to 255 characters, and trailing space padding will be preserved.

Parameters:

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

getString

 setTime

 public void setTime(Time x) throws SQLException

Sets the column value to a Java Time object. The java.sql.Time class is defined in the JDBC specification.

Parameters:

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

Time, getTime

 setTimestamp

 public void setTimestamp(Timestamp x) throws SQLException

Sets the column value to a Java Timestamp object. The java.sql.Timestamp class is defined in the JDBC specification.

Parameters:

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

Timestamp, getTimestamp

 setUnicodeStream

 public void setUnicodeStream(InputStream x,
                              int length) throws SQLException

Sets the column value from a Java InputStream object. The java.io.InputStream class is defined in the runtime set of classes for Java. The data is treated as a UniCode stream of characters. This is useful for international applications.

Parameters:

x - the stream with the new value, in ASCII characters

length - the length of the data that should be read from the stream

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream, getUnicodeStream

 setValueFromString

 public void setValueFromString(String data) throws SQLException, IOException

Sets the column value to a Java String object. This method determines the column's datatype and sets its value using the appropriate setXXX method. This method also detemines the appropriate scale to be used in setBigDecimal method, as needed.

Parameters:

data - the new value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

getStringValue

 setValueFromString

 public void setValueFromString(String data,
                                int treatBlankAsNull) throws SQLException, IOException

Sets the column value to a Java String object. This method determines the column's datatype and sets its value using the appropriate setXXX method. This method also detemines the appropriate scale to be used in setBigDecimal method, as needed.

Parameters:

data - the new value

treatBlankAsNull - specifies how to set an empty string, one of: SETBLANKTODEFAULT, SETBLANKTONULL, or SETBLANKTOEMPTY

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

SETBLANKTODEFAULT, SETBLANKTONULL, SETBLANKTOEMPTY, getStringValue

 setValueFromString

 public void setValueFromString(String data,
                                int scale,
                                int treatBlankAsNull) throws SQLException, IOException

Sets the column value to a Java String object. This method determines the column's datatype and sets its value using the appropriate setXXX method and the specified scale value.

Parameters:

data - the new value

scale - the scale value, to be used as needed in the setBigDecimal method

treatBlankAsNull - specifies how to set an empty string, one of: SETBLANKTODEFAULT, SETBLANKTONULL, or SETBLANKTOEMPTY

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

SETBLANKTODEFAULT, SETBLANKTONULL, SETBLANKTOEMPTY, getStringValue

 setValueFromString

 public void setValueFromString(String data,
                                int columnType,
                                int scale,
                                int treatBlankAsNull) throws SQLException, IOException

Sets the column value to a Java String object. This method sets its value using the appropriate setXXX method based on the given SQL type, and scales the value as needed using the specified scale parameter.

Parameters:

data - the new value

columnType - the data type to be used in the setXXX methods. See Types for legal values

scale - the scale value, to be used as needed in the setBigDecimal method

treatBlankAsNull - specifies how to set an empty string, one of: SETBLANKTODEFAULT, SETBLANKTONULL, or SETBLANKTOEMPTY

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

SETBLANKTODEFAULT, SETBLANKTONULL, SETBLANKTOEMPTY, Types, getStringValue

 setValueFromString

 public void setValueFromString(String data,
                                String columnTypeName,
                                int scale) throws SQLException, IOException

Sets the column value to a Java String object. This method sets its value using the appropriate setXXX method based on the given SQL type string, and scales the value as needed using the specified scale parameter.

Parameters:

data - the new value

columnTypeName - the data type to be used in the setXXX methods. See sqlTypeConvert() for legal values

scale - the scale value, to be used as needed in the setBigDecimal method

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

sqlTypeConvert, getStringValue

 setValueFromString

 public void setValueFromString(String data,
                                String columnTypeName,
                                int scale,
                                int treatBlankAsNull) throws SQLException, IOException

Sets the column value to a Java String object. This method sets its value using the appropriate setXXX method based on the given SQL type string, and scales the value as needed using the specified scale parameter.

Parameters:

data - the new value

columnTypeName - the data type to be used in the setXXX methods. See sqlTypeConvert() for legal values

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

treatBlankAsNull - specifies how to set an empty string, one of: SETBLANKTODEFAULT, SETBLANKTONULL, or SETBLANKTOEMPTY

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

SETBLANKTODEFAULT, SETBLANKTONULL, SETBLANKTOEMPTY, sqlTypeConvert, getStringValue


 Class symantec.itools.db.pro.Projection

java.lang.Object
   |
   +----symantec.itools.db.pro.Projection

public class Projection
   extends Object
   implements ProjLink

This class is used as a generic datatype that can bind to a projection from a RelationView.

 Projection()

Constructs a Projection object.

 getAsciiStream()

Gets the data value in a java.io.InputStream class.

 getBigDecimal(int)

Gets the data value as a java.math.BigDecimal class.

 getBinaryStream()

Gets the data value in a java.io.InputStream class.

 getBoolean()

Gets the data value as a true/false in a Java boolean.

 getByte()

Gets the data value as a Java byte with a value between 0 and 255.

 getBytes()

Gets the data value as an array of bytes.

 getDate()

Gets the data value as a java.sql.Date class.

 getDouble()

Gets the data value as a Java double.

 getFloat()

Gets the data value as a Java float.

 getInt()

Gets the data value as a Java int.

 getLong()

Gets the data value as a Java long.

 getShort()

Gets the data value as a Java short.

 getString()

Gets the data value as a Java String that is space padded to meet the maximum length of the variable.

 getTime()

Gets the data value as a java.sql.Time class.

 getTimestamp()

Gets the data value as a java.sql.Timestamp class.

 getUnicodeStream()

Gets the data value in a java.io.InputStream class.

 init(ProjBinder)

Called upon binding the object to a projection within an RelationView.

 isNull()

Gets a true/false value based on whether the data value contained within the object has been defined.

 notifyDataChange(ProjBinder)

Called when the dbANYWHERE server has detected a data change made within the scope of the current row for the RelationView that was bound to the object.

 notifySetData(ProjBinder)

Called when the dbANYWHERE server has detected a change in the current row for the RelationView to insure that data changes are not lost.

 setAsciiStream(InputStream, int)

Sets a java.io.InputStream class as the data value.

 setBigDecimal(BigDecimal)

Sets a java.math.BigDecimal class value.

 setBinaryStream(InputStream, int)

Sets a java.io.InputStream class as the data value.

 setBoolean(boolean)

Sets a true/false data value.

 setByte(byte)

Sets a Java byte data value ranging from 0 to 255.

 setBytes(byte[])

Sets a binary Java byte array as the data value.

 setDate(Date)

Sets a java.sql.Date class value as the data value.

 setDouble(double)

Sets a Java double data value.

 setFloat(float)

Sets a Java float data value.

 setInt(int)

Sets a Java int data value.

 setLong(long)

Sets a Java long data value.

 setNull(int)

Clears the data value held by the object, and sets it to undefined.

 setShort(short)

Sets a Java short data value.

 setString(String)

Sets a Java String data value.

 setTime(Time)

Sets a java.sql.Time class value as the data value.

 setTimestamp(Timestamp)

Sets a java.sql.Timestamp class value as the data value.

 setUnicodeStream(InputStream, int)

Sets a java.io.InputStream class as the data value.

 toString()

Gets the value as a Java String that is space padded to meet the maximum length of the variable.

 Projection

 public Projection()

Constructs a Projection object.

 getAsciiStream

 public InputStream getAsciiStream() throws SQLException

Gets the data value in a java.io.InputStream class. The java.io.InputStream class is defined in the runtime set of classes for Java. The data will be in ASCII format.

Returns:

the data value of the Projection as ASCII characters

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream

 getBigDecimal

 public BigDecimal getBigDecimal(int scale) throws SQLException

Gets the data value as a java.math.BigDecimal class. The java.math.BigDecimal class is defined in JDK 1.1.

Returns:

the Projection data value

Throws: SQLException

if a SQL database access error occurred

See Also:

BigDecimal

 getBinaryStream

 public InputStream getBinaryStream() throws SQLException

Gets the data value in a java.io.InputStream class. The java.io.InputStream class is defined in the runtime set of classes for Java.

Returns:

the data value of the Projection as binary

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream

 getBoolean

 public boolean getBoolean() throws SQLException

Gets the data value as a true/false in a Java boolean.

Returns:

whether the value contained within the Projection object is non-zero or zero. A true return value means that the bit value is non-zero

Throws: SQLException

if a SQL database access error occurred

 getByte

 public byte getByte() throws SQLException

Gets the data value as a Java byte with a value between 0 and 255.

Returns:

the Projection data value. It will range in value between 0 and 255

Throws: SQLException

if a SQL database access error occurred

 getBytes

 public byte[] getBytes() throws SQLException

Gets the data value as an array of bytes. The array will be padded with 00 bytes to meet the maximum length of the array. The length of the array will be less than or equal to 255 bytes.

Returns:

the Projection data value. The data will have padded zero bytes on the end to reach the maximum length established for the datatype

Throws: SQLException

if a SQL database access error occurred

 getDate

 public Date getDate() throws SQLException

Gets the data value as a java.sql.Date class. The java.sql.Date class is defined in the JDBC specification.

Returns:

the data value of the Projection

Throws: SQLException

if a SQL database access error occurred

See Also:

Date

 getDouble

 public double getDouble() throws SQLException

Gets the data value as a Java double.

Returns:

the Projection data value

Throws: SQLException

if a SQL database access error occurred

 getFloat

 public float getFloat() throws SQLException

Gets the data value as a Java float.

Returns:

the Projection data value

Throws: SQLException

if a SQL database access error occurred

 getInt

 public int getInt() throws SQLException

Gets the data value as a Java int.

Returns:

the Projection data value. It will range in value between -2147483648 and 2147483647

Throws: SQLException

if a SQL database access error occurred

 getLong

 public long getLong() throws SQLException

Gets the data value as a Java long.

Returns:

the Projection data value

Throws: SQLException

if a SQL database access error occurred

 getShort

 public short getShort() throws SQLException

Gets the data value as a Java short.

Returns:

the Projection data value. It will range in value between -32768 and 32767

Throws: SQLException

if a SQL database access error occurred

 getString

 public String getString() throws SQLException

Gets the data value as a Java String that is space padded to meet the maximum length of the variable. Note that the length should be less than or equal to 255 characters.

Returns:

the data value from the Projection object in a character format. The string will be space padded to reach the maximum length for the datatype

Throws: SQLException

if a SQL database access error occurred

 getTime

 public Time getTime() throws SQLException

Gets the data value as a java.sql.Time class. The java.sql.Time class is defined in the JDBC specification.

Returns:

the data value of the Projection

Throws: SQLException

if a SQL database access error occurred

See Also:

Time

 getTimestamp

 public Timestamp getTimestamp() throws SQLException

Gets the data value as a java.sql.Timestamp class. The java.sql.Timestamp class is defined in the JDBC specification.

Returns:

the data value of the Projection

Throws: SQLException

if a SQL database access error occurred

See Also:

Timestamp

 getUnicodeStream

 public InputStream getUnicodeStream() throws SQLException

Gets the data value in a java.io.InputStream class. The java.io.InputStream class is defined in the runtime set of classes for Java. The data will be in an unicode format, which is useful for international applications.

Returns:

the data value of the Projection as UNICODE characters

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream

 init

 public void init(ProjBinder data)

Called upon binding the object to a projection within an RelationView. The object should track the ProjBinder object in some fashion, so it can notify the dbANYWHERE server of data changes made through the bound object.

Parameters:

data - this is an object that should be used to notify the dbANYWHERE server of any data changes that are to be persistant. This object is a window into the particular column data to which the object has been bound

See Also:

ProjBinder

 isNull

 public boolean isNull() throws SQLException

Gets a true/false value based on whether the data value contained within the object has been defined.

Returns:

whether or not the data value contained within the Projection object has been defined

Throws: SQLException

if a SQL database access error occurred

 notifyDataChange

 public void notifyDataChange(ProjBinder data)

Called when the dbANYWHERE server has detected a data change made within the scope of the current row for the RelationView that was bound to the object. The ProjBinder object passed into the notification should be used to get the new data value.

Parameters:

data - this is an object that should be used to notify the dbANYWHERE server of any data changes that are to be persistant. This object is a window into the particular column data to which the object has been bound

See Also:

ProjBinder

 notifySetData

 public boolean notifySetData(ProjBinder data) throws SQLException

Called when the dbANYWHERE server has detected a change in the current row for the RelationView to insure that data changes are not lost. The ProjBinder object passed into the notification should be used to set the new data value.

Parameters:

data - this is an object that should be used to notify the dbANYWHERE server of any data changes that are to be persistant. This object is a window into the particular column data to which the object has been bound

Returns:

boolean true if success or false if failure

Throws: SQLException

if a SQL database access error occurred

See Also:

ProjBinder

 setAsciiStream

 public void setAsciiStream(InputStream x,
                            int length) throws SQLException

Sets a java.io.InputStream class as the data value. The data value will be retrieved from the stream class, which is a standard Java class defined in the runtime classes. The data is treated as ASCII characters.

Parameters:

x - an io.InputStream ASCII character setting for the data value contained in this Projection

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream

 setBigDecimal

 public void setBigDecimal(BigDecimal x) throws SQLException

Sets a java.math.BigDecimal class value. The java.math.BigDecimal class is defined in JDK 1.1.

Parameters:

x - a java.math.BigDecimal setting for the data value contained in this Projection

Throws: SQLException

if a SQL database access error occurred

See Also:

BigDecimal

 setBinaryStream

 public void setBinaryStream(InputStream x,
                             int length) throws SQLException

Sets a java.io.InputStream class as the data value. The data value will be retrieved from the stream class, which is a standard Java class defined in the runtime classes. The data is treated as binary data.

Parameters:

x - an io.InputStream binary setting for the data value contained in this Projection

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream

 setBoolean

 public void setBoolean(boolean x) throws SQLException

Sets a true/false data value.

Parameters:

x - the true/false setting for the data value contained in this Projection

Throws: SQLException

if a SQL database access error occurred

 setByte

 public void setByte(byte x) throws SQLException

Sets a Java byte data value ranging from 0 to 255.

Parameters:

x - a byte setting for the data value contained in this Projection, ranging between 0 and 255

Throws: SQLException

if a SQL database access error occurred

 setBytes

 public void setBytes(byte x[]) throws SQLException

Sets a binary Java byte array as the data value. The array must be no larger than 255 bytes, and padded out with 00 bytes to the maximum length of the array.

Parameters:

x - a byte array setting for the data value contained in this Projection

Throws: SQLException

if a SQL database access error occurred

 setDate

 public void setDate(Date x) throws SQLException

Sets a java.sql.Date class value as the data value. The definition of the java.sql.Date class can be found within the JDBC specification.

Parameters:

x - a java.sql.Date setting for the data value contained in this Projection

Throws: SQLException

if a SQL database access error occurred

See Also:

Date

 setDouble

 public void setDouble(double x) throws SQLException

Sets a Java double data value.

Parameters:

x - a double setting for the data value contained in this Projection

Throws: SQLException

if a SQL database access error occurred

 setFloat

 public void setFloat(float x) throws SQLException

Sets a Java float data value.

Parameters:

x - a float setting for the data value contained in this Projection

Throws: SQLException

if a SQL database access error occurred

 setInt

 public void setInt(int x) throws SQLException

Sets a Java int data value.

Parameters:

x - an int setting for the data value contained in this Projection ranging between -2147483648 and 2147483647

Throws: SQLException

if a SQL database access error occurred

 setLong

 public void setLong(long x) throws SQLException

Sets a Java long data value.

Parameters:

x - a long setting for the data value contained in this Projection that is valid for a 64 bit integer

Throws: SQLException

if a SQL database access error occurred

 setNull

 public void setNull(int sqlType) throws SQLException

Clears the data value held by the object, and sets it to undefined.

Parameters:

sqlType - sets the data value to NULL based on the dbANYWHERE type that is passed

Throws: SQLException

if a SQL database access error occurred

See Also:

Types

 setShort

 public void setShort(short x) throws SQLException

Sets a Java short data value.

Parameters:

x - a short setting for the data value contained in this Projection ranging between -32768 and 32767

Throws: SQLException

if a SQL database access error occurred

 setString

 public void setString(String x) throws SQLException

Sets a Java String data value. The data value must be less than or equal to 255 characters, and trailing space padding will be preserved.

Parameters:

x - a String setting for the data value contained in this Projection

Throws: SQLException

if a SQL database access error occurred

 setTime

 public void setTime(Time x) throws SQLException

Sets a java.sql.Time class value as the data value. The definition of the java.sql.Time class can be found within the JDBC specification.

Parameters:

x - a java.sql.Time setting for the data value contained in this Projection

Throws: SQLException

if a SQL database access error occurred

See Also:

Time

 setTimestamp

 public void setTimestamp(Timestamp x) throws SQLException

Sets a java.sql.Timestamp class value as the data value. The definition of the java.sql.Timestamp class can be found within the JDBC specification.

Parameters:

x - a java.sql.Timestamp setting for the data value contained in this Projection

Throws: SQLException

if a SQL database access error occurred

See Also:

Timestamp

 setUnicodeStream

 public void setUnicodeStream(InputStream x,
                              int length) throws SQLException

Sets a java.io.InputStream class as the data value. The data value will be retrieved from the stream class, which is a standard Java class defined in the runtime classes. The data is treated as a UniCode stream of characters. This is useful for international applications.

Parameters:

x - an io.InputStream UNICODE character setting for the data value contained in this Projection

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream

 toString

 public String toString()

Gets the value as a Java String that is space padded to meet the maximum length of the variable. Note that the length should be less than or equal to 255 characters.

Returns:

the value in a character format. The string will be space padded to reach the maximum length for the datatype

Overrides:

toString in class Object


 Class symantec.itools.db.pro.Record

java.lang.Object
   |
   +----symantec.itools.db.pro.Record

public class Record
   extends Object
   implements DataAccess

This class is used to handle a single individual record.

 DEFAULTSCALE

A constant indicating a column's default number of digits to the right of the decimal point should be used.

 RECSTATE_DB_DELETED

A constant indicating the record has been deleted.

 RECSTATE_DELETED

A constant indicating the record has been marked for deletion.

 RECSTATE_EXISTING

A constant indicating the record exists in the database.

 RECSTATE_INVALID

A constant indicating the record is in an undefined state.

 RECSTATE_MODIFIED

A constant indicating the record has been modified.

 RECSTATE_NEW

A constant indicating the record has no data and doesn't exist in the database.

 RECSTATE_NEW_MODIFIED

A constant indicating the record is new with data.

 SETBLANKTODEFAULT

A constant indicating how empty or null string data should be translated before being sent to the database.

 SETBLANKTOEMPTY

A constant indicating how empty or null string data should be translated before being sent to the database.

 SETBLANKTONULL

A constant indicating how empty or null string data should be translated before being sent to the database.

 closeStream()

Closes down the last requested stream.

 getAsciiStream(int)

Gets the specified column value in a Java InputStream object.

 getAsciiStream(String)

Gets the specified column value in a Java InputStream object.

 getBigDecimal(int, int)

Gets the specified column value as a Java BigDecimal object.

 getBigDecimal(String, int)

Gets the specified column value as a Java BigDecimal object.

 getBinaryStream(int)

Gets the specified column value in a Java InputStream object.

 getBinaryStream(String)

Gets the specified column value in a Java InputStream object.

 getBoolean(int)

Gets the specified column value as a Java boolean.

 getBoolean(String)

Gets the specified column value as a Java boolean.

 getByte(int)

Gets the specified column value as a Java byte.

 getByte(String)

Gets the specified column value as a Java byte.

 getBytes(int)

Gets the specified column value as a Java byte array object.

 getBytes(String)

Gets the specified column value as a Java byte array object.

 getDate(int)

Gets the specified column value as a Java Date object.

 getDate(String)

Gets the specified column value as a Java Date object.

 getDouble(int)

Gets the specified column value as a Java double.

 getDouble(String)

Gets the specified column value as a Java double.

 getFloat(int)

Gets the specified column value as a Java float.

 getFloat(String)

Gets the specified column value as a Java float.

 getInt(int)

Gets the specified column value as a Java int.

 getInt(String)

Gets the specified column value as a Java int.

 getLong(int)

Gets the specified column value as a Java long.

 getLong(String)

Gets the specified column value as a Java long.

 getMetaData()

Gets a RelationViewMetaData object, which can be used to get information about the structure of the RelationView object.

 getRelationView()

Returns the RelationView that this Record belongs to.

 getShort(int)

Gets the specified column value as a Java short.

 getShort(String)

Gets the specified column value as a Java short.

 getState()

Gets the current state of this Record.

 getStateString()

Gets the current state of this Record as a String description.

 getString(int)

Gets the specified column value as a Java String that is space padded to meet the maximum length of the variable.

 getString(String)

Gets the specified column value as a Java String that is space padded to meet the maximum length of the variable.

 getStringValue(int)

Gets the specified column value as a Java String object.

 getStringValue(int, boolean)

Gets the specified column value as a Java String object.

 getStringValue(int, int)

Gets the specified column value as a Java String object.

 getStringValue(int, int, boolean)

Gets the specified column value as a Java String object.

 getStringValue(int, int, int)

Gets the specified column value as a Java String object.

 getStringValue(int, int, int, boolean)

Gets the specified column value as a Java String object.

 getStringValue(int, String, int)

Gets the specified column value as a Java String object.

 getStringValue(int, String, int, boolean)

Gets the specified column value as a Java String object.

 getStringValue(String)

Gets the specified column value as a Java String object.

 getStringValue(String, boolean)

Gets the specified column value as a Java String object.

 getStringValue(String, int)

Gets the specified column value as a Java String object.

 getStringValue(String, int, boolean)

Gets the specified column value as a Java String object.

 getStringValue(String, int, int)

Gets the specified column value as a Java String object.

 getStringValue(String, int, int, boolean)

Gets the specified column value as a Java String object.

 getStringValue(String, String, int)

Gets the specified column value as a Java String object.

 getStringValue(String, String, int, boolean)

Gets the specified column value as a Java String object.

 getTime(int)

Gets the specified column value as a Java Time object.

 getTime(String)

Gets the specified column value as a Java Time object.

 getTimestamp(int)

Gets the specified column value as a Java Timestamp object.

 getTimestamp(String)

Gets the specified column value as a Java Timestamp object.

 getUnicodeStream(int)

Gets the specified column value in a Java InputStream object.

 getUnicodeStream(String)

Gets the specified column value in a Java InputStream object.

 isNull(int)

Gets whether the specified column value has been defined.

 isNull(String)

Gets whether the specified column value has been defined.

 isReadable()

Determines whether the Record is in a state that allows the reading of data.

 isWritable()

Determines whether the Record is in a state that allows the setting of data.

 setAsciiStream(int, InputStream, int)

Sets the specified column value from a Java InputStream object.

 setAsciiStream(String, InputStream, int)

Sets the specified column value from a Java InputStream object.

 setBigDecimal(int, BigDecimal)

Sets the specified column value to a Java BigDecimal object.

 setBigDecimal(String, BigDecimal)

Sets the specified column value to a Java BigDecimal object.

 setBinaryStream(int, InputStream, int)

Sets the specified column value from a Java InputStream object.

 setBinaryStream(String, InputStream, int)

Sets the specified column value from a Java InputStream object.

 setBoolean(int, boolean)

Sets the specified column value to a Java boolean.

 setBoolean(String, boolean)

Sets the specified column value to a Java boolean.

 setByte(int, byte)

Sets the specified column value to a Java byte.

 setByte(String, byte)

Sets the specified column value to a Java byte.

 setBytes(int, byte[])

Sets the specified column value to a Java byte array object.

 setBytes(String, byte[])

Sets the specified column value to a Java byte array object.

 setDate(int, Date)

Sets the specified column value to a Java Date object.

 setDate(String, Date)

Sets the specified column value to a Java Date object.

 setDouble(int, double)

Sets the specified column value to a Java double.

 setDouble(String, double)

Sets the specified column value to a Java double.

 setFloat(int, float)

Sets the specified column value to a Java float.

 setFloat(String, float)

Sets the specified column value to a Java float.

 setInt(int, int)

Sets the specified column value to a Java int.

 setInt(String, int)

Sets the specified column value to a Java int.

 setLong(int, long)

Sets the specified column value to a Java long.

 setLong(String, long)

Sets the specified column value to a Java long.

 setNull(int, int)

Sets whether the specified column value has been defined.

 setNull(String, int)

Sets whether the specified column value has been defined.

 setShort(int, short)

Sets the specified column value to a Java short.

 setShort(String, short)

Sets the specified column value to a Java short.

 setString(int, String)

Sets the specified column value to a Java String.

 setString(String, String)

Sets the specified column value to a Java String.

 setTime(int, Time)

Sets the specified column value to a Java Time object.

 setTime(String, Time)

Sets the specified column value to a Java Time object.

 setTimestamp(int, Timestamp)

Sets the specified column value to a Java Timestamp object.

 setTimestamp(String, Timestamp)

Sets the specified column value to a Java Timestamp object.

 setUnicodeStream(int, InputStream, int)

Sets the specified column value from a Java InputStream object.

 setUnicodeStream(String, InputStream, int)

Sets the specified column value from a Java InputStream object.

 setValueFromString(int, String)

Sets the specified column value to a Java String object.

 setValueFromString(int, String, int)

Sets the specified column value to a Java String object.

 setValueFromString(int, String, int, int)

Sets the specified column value to a Java String object.

 setValueFromString(int, String, int, int, int)

Sets the specified column value to a Java String object.

 setValueFromString(int, String, String, int)

Sets the specified column value to a Java String object.

 setValueFromString(int, String, String, int, int)

Sets the specified column value to a Java String object.

 setValueFromString(String, String)

Sets the specified column value to a Java String object.

 setValueFromString(String, String, int)

Sets the specified column value to a Java String object.

 setValueFromString(String, String, int, int)

Sets the specified column value to a Java String object.

 setValueFromString(String, String, int, int, int)

Sets the specified column value to a Java String object.

 setValueFromString(String, String, String, int)

Sets the specified column value to a Java String object.

 setValueFromString(String, String, String, int, int)

Sets the specified column value to a Java String object.

 DEFAULTSCALE

 public static final int DEFAULTSCALE

A constant indicating a column's default number of digits to the right of the decimal point should be used.

 RECSTATE_DB_DELETED

 public static final byte RECSTATE_DB_DELETED

A constant indicating the record has been deleted.

See Also:

RECSTATE_EXISTING, RECSTATE_MODIFIED, RECSTATE_NEW, RECSTATE_DELETED, RECSTATE_INVALID, RECSTATE_NEW_MODIFIED

 RECSTATE_DELETED

 public static final byte RECSTATE_DELETED

A constant indicating the record has been marked for deletion.

See Also:

RECSTATE_EXISTING, RECSTATE_MODIFIED, RECSTATE_NEW, RECSTATE_DB_DELETED, RECSTATE_INVALID, RECSTATE_NEW_MODIFIED

 RECSTATE_EXISTING

 public static final byte RECSTATE_EXISTING

A constant indicating the record exists in the database.

See Also:

RECSTATE_MODIFIED, RECSTATE_NEW, RECSTATE_DELETED, RECSTATE_DB_DELETED, RECSTATE_INVALID, RECSTATE_NEW_MODIFIED

 RECSTATE_INVALID

 public static final byte RECSTATE_INVALID

A constant indicating the record is in an undefined state.

See Also:

RECSTATE_EXISTING, RECSTATE_MODIFIED, RECSTATE_NEW, RECSTATE_DELETED, RECSTATE_DB_DELETED, RECSTATE_NEW_MODIFIED

 RECSTATE_MODIFIED

 public static final byte RECSTATE_MODIFIED

A constant indicating the record has been modified.

See Also:

RECSTATE_EXISTING, RECSTATE_NEW, RECSTATE_DELETED, RECSTATE_DB_DELETED, RECSTATE_INVALID, RECSTATE_NEW_MODIFIED

 RECSTATE_NEW

 public static final byte RECSTATE_NEW

A constant indicating the record has no data and doesn't exist in the database.

See Also:

RECSTATE_EXISTING, RECSTATE_MODIFIED, RECSTATE_DELETED, RECSTATE_DB_DELETED, RECSTATE_INVALID, RECSTATE_NEW_MODIFIED

 RECSTATE_NEW_MODIFIED

 public static final byte RECSTATE_NEW_MODIFIED

A constant indicating the record is new with data.

See Also:

RECSTATE_EXISTING, RECSTATE_MODIFIED, RECSTATE_NEW, RECSTATE_DELETED, RECSTATE_DB_DELETED, RECSTATE_INVALID

 SETBLANKTODEFAULT

 public static final int SETBLANKTODEFAULT

A constant indicating how empty or null string data should be translated before being sent to the database. In this case it would be set to null unless the column is non-null and of type CHAR, VARCHAR, or LONGVARCHAR. In that case it is set to an empty string.

See Also:

processEmptyStringData

 SETBLANKTOEMPTY

 public static final int SETBLANKTOEMPTY

A constant indicating how empty or null string data should be translated before being sent to the database. In this case it would be set an empty value appropriate for its type (0, "", ""1970-01-01 12:00:00.0"", etc).

See Also:

processEmptyStringData

 SETBLANKTONULL

 public static final int SETBLANKTONULL

A constant indicating how empty or null string data should be translated before being sent to the database. In this case it would be set to null if the column is some BINARY type or OTHER.

See Also:

processEmptyStringData

 closeStream

 public void closeStream()

Closes down the last requested stream.

 getAsciiStream

 public InputStream getAsciiStream(int proj) throws SQLException

Gets the specified column value in a Java InputStream object. The java.io.InputStream class is defined in the runtime set of classes for Java. The data will be in ASCII format.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the value as ASCII characters

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream, setAsciiStream

 getAsciiStream

 public InputStream getAsciiStream(String projName) throws SQLException

Gets the specified column value in a Java InputStream object. The java.io.InputStream class is defined in the runtime set of classes for Java. The data will be in ASCII format.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

Returns:

the value as ASCII characters

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream, setAsciiStream

 getBigDecimal

 public BigDecimal getBigDecimal(int proj,
                                 int scale) throws SQLException

Gets the specified column value as a Java BigDecimal object. The java.math.BigDecimal class is defined in JDK 1.1.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

BigDecimal, setBigDecimal

 getBigDecimal

 public BigDecimal getBigDecimal(String projName,
                                 int scale) throws SQLException

Gets the specified column value as a Java BigDecimal object. The java.math.BigDecimal class is defined in JDK 1.1.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

BigDecimal, setBigDecimal

 getBinaryStream

 public InputStream getBinaryStream(int proj) throws SQLException

Gets the specified column value in a Java InputStream object. The java.io.InputStream class is defined in the runtime set of classes for Java.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the value as binary

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream, setBinaryStream

 getBinaryStream

 public InputStream getBinaryStream(String projName) throws SQLException

Gets the specified column value in a Java InputStream object. The java.io.InputStream class is defined in the runtime set of classes for Java.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

Returns:

the value as binary

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream, setBinaryStream

 getBoolean

 public boolean getBoolean(int proj) throws SQLException

Gets the specified column value as a Java boolean.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

true if the value is non-zero

Throws: SQLException

if a SQL database access error occurred

See Also:

setBoolean

 getBoolean

 public boolean getBoolean(String projName) throws SQLException

Gets the specified column value as a Java boolean.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

Returns:

true if the value is non-zero

Throws: SQLException

if a SQL database access error occurred

See Also:

setBoolean

 getByte

 public byte getByte(int proj) throws SQLException

Gets the specified column value as a Java byte.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

setByte

 getByte

 public byte getByte(String projName) throws SQLException

Gets the specified column value as a Java byte.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

setByte

 getBytes

 public byte[] getBytes(int proj) throws SQLException

Gets the specified column value as a Java byte array object. The array will be padded with 00 bytes to meet the maximum length of the array. The length of the array will be less than or equal to 255 bytes.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the value. It will have padded zero bytes on the end to reach the maximum length established for the datatype

Throws: SQLException

if a SQL database access error occurred

See Also:

setBytes

 getBytes

 public byte[] getBytes(String projName) throws SQLException

Gets the specified column value as a Java byte array object. The array will be padded with 00 bytes to meet the maximum length of the array. The length of the array will be less than or equal to 255 bytes.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

Returns:

the value. It will have padded zero bytes on the end to reach the maximum length established for the datatype

Throws: SQLException

if a SQL database access error occurred

See Also:

setBytes

 getDate

 public Date getDate(int proj) throws SQLException

Gets the specified column value as a Java Date object. The java.sql.Date class is defined in the JDBC specification.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

Date, setDate

 getDate

 public Date getDate(String projName) throws SQLException

Gets the specified column value as a Java Date object. The java.sql.Date class is defined in the JDBC specification.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

Date, setDate

 getDouble

 public double getDouble(int proj) throws SQLException

Gets the specified column value as a Java double.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

setDouble

 getDouble

 public double getDouble(String projName) throws SQLException

Gets the specified column value as a Java double.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

setDouble

 getFloat

 public float getFloat(int proj) throws SQLException

Gets the specified column value as a Java float.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

setFloat

 getFloat

 public float getFloat(String projName) throws SQLException

Gets the specified column value as a Java float.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

setFloat

 getInt

 public int getInt(int proj) throws SQLException

Gets the specified column value as a Java int.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the value. It will range in value between -2147483648 and 2147483647

Throws: SQLException

if a SQL database access error occurred

See Also:

setInt

 getInt

 public int getInt(String projName) throws SQLException

Gets the specified column value as a Java int.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

Returns:

the value. It will range in value between -2147483648 and 2147483647

Throws: SQLException

if a SQL database access error occurred

See Also:

setInt

 getLong

 public long getLong(int proj) throws SQLException

Gets the specified column value as a Java long.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

setLong

 getLong

 public long getLong(String projName) throws SQLException

Gets the specified column value as a Java long.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

setLong

 getMetaData

 public RelationViewMetaData getMetaData() throws SQLException

Gets a RelationViewMetaData object, which can be used to get information about the structure of the RelationView object.

Returns:

a RelationviewMetaData object, which has methods to get information about the structure of the RelationView object

Throws: SQLException

if a SQL database access error occurred

See Also:

RelationViewMetaData

 getRelationView

 public RelationView getRelationView()

Returns the RelationView that this Record belongs to.

 getShort

 public short getShort(int proj) throws SQLException

Gets the specified column value as a Java short.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the value. It will range in value between -32768 and 32767

Throws: SQLException

if a SQL database access error occurred

See Also:

setShort

 getShort

 public short getShort(String projName) throws SQLException

Gets the specified column value as a Java short.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

Returns:

the value. It will range in value between -32768 and 32767

Throws: SQLException

if a SQL database access error occurred

See Also:

setShort

 getState

 public byte getState()

Gets the current state of this Record.

The state can be one of the following values:

RECSTATE_EXISTING The record exists in database

RECSTATE_MODIFIED The record has been modified

RECSTATE_NEW The record has no data and doesn't exist in database

RECSTATE_DELETED The record is marked for deletion

RECSTATE_DB_DELETED The record has been deleted

RECSTATE_INVALID The record is in an undefined state

RECSTATE_NEW_MODIFIED The record is new with data.

Returns:

the current state of this Record

See Also:

RECSTATE_EXISTING, RECSTATE_MODIFIED, RECSTATE_NEW, RECSTATE_DELETED, RECSTATE_DB_DELETED, RECSTATE_INVALID, RECSTATE_NEW_MODIFIED

 getStateString

 public String getStateString()

Gets the current state of this Record as a String description.

The state can be one of the following values:

Return Value	Description
"Existing"	The record exists in database
"Modified"	The record has been modified
"New"	The record has no data and doesn't exist in database
"Marked for Deletion"	The record is marked for deletion
"Deleted"	The record has been deleted
"Invalid"	The record is in an undefined state
"New Modified"	The record is new with data
Returns:

the current state of this Record as a String description

 getString

 public String getString(int proj) throws SQLException

Gets the specified column value as a Java String that is space padded to meet the maximum length of the variable. Note that the length should be less than or equal to 255 characters.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the value in a character format. The string will be space padded to reach the maximum length for the datatype

Throws: SQLException

if a SQL database access error occurred

See Also:

setString

 getString

 public String getString(String projName) throws SQLException

Gets the specified column value as a Java String that is space padded to meet the maximum length of the variable. Note that the length should be less than or equal to 255 characters.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

Returns:

the value in a character format. The string will be space padded to reach the maximum length for the datatype

Throws: SQLException

if a SQL database access error occurred

See Also:

setString

 getStringValue

 public String getStringValue(int proj) throws SQLException, IOException

Gets the specified column value as a Java String object. This method determines the column's datatype and retrieves the data using the appropriate getXXX method. This method also detemines the appropriate scale to be used in getBigDecimal, getBinary, and getVarBinary methods.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

setValueFromString

 getStringValue

 public String getStringValue(int proj,
                              boolean processBinaryData) throws SQLException, IOException

Gets the specified column value as a Java String object. This method determines the column's datatype and retrieves the data using the appropriate getXXX method. This method also detemines the appropriate scale to be used in getBigDecimal, getBinary, and getVarBinary methods.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

processBinaryData - whether or not to return binary data converted to a String

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

setValueFromString

 getStringValue

 public String getStringValue(int proj,
                              int scale) throws SQLException, IOException

Gets the specified column value as a Java String object. This method determines the column's datatype and retrieves the data using the appropriate getXXX method and the specified scale value.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

setValueFromString

 getStringValue

 public String getStringValue(int proj,
                              int scale,
                              boolean processBinaryData) throws SQLException, IOException

Gets the specified column value as a Java String object. This method determines the column's datatype and retrieves the data using the appropriate getXXX method and the specified scale value.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

processBinaryData - whether or not to return binary data converted to a String

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

setValueFromString

 getStringValue

 public String getStringValue(int proj,
                              int columnType,
                              int scale) throws SQLException, IOException

Gets the specified column value as a Java String object. This method retrieves the data using the appropriate getXXX method based on the given SQL type, and scales the value as needed using the specified scale parameter.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

columnType - the data type to be used in the getXXX methods. See Types for legal values

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

Types, setValueFromString

 getStringValue

 public String getStringValue(int proj,
                              int columnType,
                              int scale,
                              boolean processBinaryData) throws SQLException, IOException

Gets the specified column value as a Java String object. This method retrieves the data using the appropriate getXXX method based on the given SQL type, and scales the value as needed using the specified scale parameter.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

columnType - the data type to be used in the getXXX methods. See Types for legal values

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

processBinaryData - whether or not to return binary data converted to a String

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

Types, setValueFromString

 getStringValue

 public String getStringValue(int proj,
                              String columnTypeName,
                              int scale) throws SQLException, IOException

Gets the specified column value as a Java String object. This method retrieves the data using the appropriate getXXX method based on the given SQL type string, and scales the value as needed using the specified scale parameter.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

columnTypeName - the data type to be used in the getXXX methods. See sqlTypeConvert() for legal values

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

sqlTypeConvert, setValueFromString

 getStringValue

 public String getStringValue(int proj,
                              String columnTypeName,
                              int scale,
                              boolean processBinaryData) throws SQLException, IOException

Gets the specified column value as a Java String object. This method retrieves the data using the appropriate getXXX method based on the given SQL type string, and scales the value as needed using the specified scale parameter.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

columnTypeName - the data type to be used in the getXXX methods. See sqlTypeConvert() for legal values

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

processBinaryData - whether or not to return binary data converted to a String

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

sqlTypeConvert, setValueFromString

 getStringValue

 public String getStringValue(String projName) throws SQLException, IOException

Gets the specified column value as a Java String object. This method determines the column's datatype and retrieves the data using the appropriate getXXX method. This method also detemines the appropriate scale to be used in getBigDecimal, getBinary, and getVarBinary methods.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

setValueFromString

 getStringValue

 public String getStringValue(String projName,
                              boolean processBinaryData) throws SQLException, IOException

Gets the specified column value as a Java String object. This method determines the column's datatype and retrieves the data using the appropriate getXXX method. This method also detemines the appropriate scale to be used in getBigDecimal, getBinary, and getVarBinary methods.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

processBinaryData - whether or not to return binary data converted to a String

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

setValueFromString

 getStringValue

 public String getStringValue(String projName,
                              int scale) throws SQLException, IOException

Gets the specified column value as a Java String object. This method determines the column's datatype and retrieves the data using the appropriate getXXX method and the specified scale value.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

setValueFromString

 getStringValue

 public String getStringValue(String projName,
                              int scale,
                              boolean processBinaryData) throws SQLException, IOException

Gets the specified column value as a Java String object. This method determines the column's datatype and retrieves the data using the appropriate getXXX method and the specified scale value.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

processBinaryData - whether or not to return binary data converted to a String

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

setValueFromString

 getStringValue

 public String getStringValue(String projName,
                              int columnType,
                              int scale) throws SQLException, IOException

Gets the specified column value as a Java String object. This method retrieves the data using the appropriate getXXX method based on the given SQL type, and scales the value as needed using the specified scale parameter.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

columnType - the data type to be used in the getXXX methods. See Types for legal values

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

Types, setValueFromString

 getStringValue

 public String getStringValue(String projName,
                              int columnType,
                              int scale,
                              boolean processBinaryData) throws SQLException, IOException

Gets the specified column value as a Java String object. This method retrieves the data using the appropriate getXXX method based on the given SQL type, and scales the value as needed using the specified scale parameter.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

columnType - the data type to be used in the getXXX methods. See Types for legal values

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

processBinaryData - whether or not to return binary data converted to a String

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

Types, setValueFromString

 getStringValue

 public String getStringValue(String projName,
                              String columnTypeName,
                              int scale) throws SQLException, IOException

Gets the specified column value as a Java String object. This method retrieves the data using the appropriate getXXX method based on the given SQL type string, and scales the value as needed using the specified scale parameter.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

columnTypeName - the data type to be used in the getXXX methods. See sqlTypeConvert() for legal values

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

sqlTypeConvert, setValueFromString

 getStringValue

 public String getStringValue(String projName,
                              String columnTypeName,
                              int scale,
                              boolean processBinaryData) throws SQLException, IOException

Gets the specified column value as a Java String object. This method retrieves the data using the appropriate getXXX method based on the given SQL type string, and scales the value as needed using the specified scale parameter.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

columnTypeName - the data type to be used in the getXXX methods. See sqlTypeConvert() for legal values

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

processBinaryData - whether or not to return binary data converted to a String

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

sqlTypeConvert, setValueFromString

 getTime

 public Time getTime(int proj) throws SQLException

Gets the specified column value as a Java Time object. The java.sql.Time class is defined in the JDBC specification.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

Time, setTime

 getTime

 public Time getTime(String projName) throws SQLException

Gets the specified column value as a Java Time object. The java.sql.Time class is defined in the JDBC specification.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

Time, setTime

 getTimestamp

 public Timestamp getTimestamp(int proj) throws SQLException

Gets the specified column value as a Java Timestamp object. The java.sql.Timestamp class is defined in the JDBC specification.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

Timestamp, setTimestamp

 getTimestamp

 public Timestamp getTimestamp(String projName) throws SQLException

Gets the specified column value as a Java Timestamp object. The java.sql.Timestamp class is defined in the JDBC specification.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

Timestamp, setTimestamp

 getUnicodeStream

 public InputStream getUnicodeStream(int proj) throws SQLException

Gets the specified column value in a Java InputStream object. The java.io.InputStream class is defined in the runtime set of classes for Java. The data will be in an unicode format, which is useful for international applications.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the value as UNICODE characters

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream, setUnicodeStream

 getUnicodeStream

 public InputStream getUnicodeStream(String projName) throws SQLException

Gets the specified column value in a Java InputStream object. The java.io.InputStream class is defined in the runtime set of classes for Java. The data will be in an unicode format, which is useful for international applications.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

Returns:

the value as UNICODE characters

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream, setUnicodeStream

 isNull

 public boolean isNull(int proj) throws SQLException

Gets whether the specified column value has been defined.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

true if the value has been defined

Throws: SQLException

if a SQL database access error occurred

See Also:

setNull

 isNull

 public boolean isNull(String projName) throws SQLException

Gets whether the specified column value has been defined.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

Returns:

true if the value has been defined

Throws: SQLException

if a SQL database access error occurred

See Also:

setNull

 isReadable

 public boolean isReadable() throws SQLException

Determines whether the Record is in a state that allows the reading of data.

Returns:

true if data can be read, false if data can't be read

Throws: SQLException

if a SQL database access error occurred

 isWritable

 public boolean isWritable() throws SQLException

Determines whether the Record is in a state that allows the setting of data.

Returns:

true if data can be set, false if data can't be set

Throws: SQLException

if a SQL database access error occurred

 setAsciiStream

 public void setAsciiStream(int proj,
                            InputStream x,
                            int length) throws SQLException

Sets the specified column value from a Java InputStream object. The java.io.InputStream class is defined in the runtime set of classes for Java. The data is treated as ASCII characters.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

x - the stream with the new value, in ASCII characters

length - the length of the data that should be read from the stream

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream, getAsciiStream

 setAsciiStream

 public void setAsciiStream(String projName,
                            InputStream x,
                            int length) throws SQLException

Sets the specified column value from a Java InputStream object. The java.io.InputStream class is defined in the runtime set of classes for Java. The data is treated as ASCII characters.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

x - the stream with the new value, in ASCII characters

length - the length of the data that should be read from the stream

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream, getAsciiStream

 setBigDecimal

 public void setBigDecimal(int proj,
                           BigDecimal x) throws SQLException

Sets the specified column value to a Java BigDecimal object. The java.math.BigDecimal class is defined in JDK 1.1.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

BigDecimal, getBigDecimal

 setBigDecimal

 public void setBigDecimal(String projName,
                           BigDecimal x) throws SQLException

Sets the specified column value to a Java BigDecimal object. The java.math.BigDecimal class is defined in JDK 1.1.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

BigDecimal, getBigDecimal

 setBinaryStream

 public void setBinaryStream(int proj,
                             InputStream x,
                             int length) throws SQLException

Sets the specified column value from a Java InputStream object. The java.io.InputStream class is defined in the runtime set of classes for Java.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

x - the stream with the new value

length - the length of the data that should be read from the stream

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream, getBinaryStream

 setBinaryStream

 public void setBinaryStream(String projName,
                             InputStream x,
                             int length) throws SQLException

Sets the specified column value from a Java InputStream object. The java.io.InputStream class is defined in the runtime set of classes for Java.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

x - the stream with the new value

length - the length of the data that should be read from the stream

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream, getBinaryStream

 setBoolean

 public void setBoolean(int proj,
                        boolean x) throws SQLException

Sets the specified column value to a Java boolean.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

getBoolean

 setBoolean

 public void setBoolean(String projName,
                        boolean x) throws SQLException

Sets the specified column value to a Java boolean.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

getBoolean

 setByte

 public void setByte(int proj,
                     byte x) throws SQLException

Sets the specified column value to a Java byte.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

x - the new value. Valid for values between 0 and 255

Throws: SQLException

if a SQL database access error occurred

See Also:

getByte

 setByte

 public void setByte(String projName,
                     byte x) throws SQLException

Sets the specified column value to a Java byte.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

x - the new value. Valid for values between 0 and 255

Throws: SQLException

if a SQL database access error occurred

See Also:

getByte

 setBytes

 public void setBytes(int proj,
                      byte x[]) throws SQLException

Sets the specified column value to a Java byte array object. The array must be no larger than 255 bytes, and padded out with 00 bytes to the maximum length of the array.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

x - the new value.

Throws: SQLException

if a SQL database access error occurred

See Also:

getBytes

 setBytes

 public void setBytes(String projName,
                      byte x[]) throws SQLException

Sets the specified column value to a Java byte array object. The array must be no larger than 255 bytes, and padded out with 00 bytes to the maximum length of the array.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

x - the new value.

Throws: SQLException

if a SQL database access error occurred

See Also:

getBytes

 setDate

 public void setDate(int proj,
                     Date x) throws SQLException

Sets the specified column value to a Java Date object. The java.sql.Date class is defined in the JDBC specification.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

Date, getDate

 setDate

 public void setDate(String projName,
                     Date x) throws SQLException

Sets the specified column value to a Java Date object. The java.sql.Date class is defined in the JDBC specification.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

Date, getDate

 setDouble

 public void setDouble(int proj,
                       double x) throws SQLException

Sets the specified column value to a Java double.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

getDouble

 setDouble

 public void setDouble(String projName,
                       double x) throws SQLException

Sets the specified column value to a Java double.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

getDouble

 setFloat

 public void setFloat(int proj,
                      float x) throws SQLException

Sets the specified column value to a Java float.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

getFloat

 setFloat

 public void setFloat(String projName,
                      float x) throws SQLException

Sets the specified column value to a Java float.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

getFloat

 setInt

 public void setInt(int proj,
                    int x) throws SQLException

Sets the specified column value to a Java int.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

x - the new value. Valid for values between -2147483648 and 2147483647

Throws: SQLException

if a SQL database access error occurred

See Also:

getInt

 setInt

 public void setInt(String projName,
                    int x) throws SQLException

Sets the specified column value to a Java int.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

x - the new value. Valid for values between -2147483648 and 2147483647

Throws: SQLException

if a SQL database access error occurred

See Also:

getInt

 setLong

 public void setLong(int proj,
                     long x) throws SQLException

Sets the specified column value to a Java long.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

x - the new value. Valid for 64-bit integer values.

Throws: SQLException

if a SQL database access error occurred

See Also:

getLong

 setLong

 public void setLong(String projName,
                     long x) throws SQLException

Sets the specified column value to a Java long.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

x - the new value. Valid for 64-bit integer values.

Throws: SQLException

if a SQL database access error occurred

See Also:

getLong

 setNull

 public void setNull(int proj,
                     int sqlType) throws SQLException

Sets whether the specified column value has been defined.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

sqlType - the column datatype. See Types. Will set the value to NULL base on this datatype

Throws: SQLException

if a SQL database access error occurred

See Also:

Types, isNull

 setNull

 public void setNull(String projName,
                     int sqlType) throws SQLException

Sets whether the specified column value has been defined.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

sqlType - the column datatype. See Types. Will set the value to NULL base on this datatype

Throws: SQLException

if a SQL database access error occurred

See Also:

Types, isNull

 setShort

 public void setShort(int proj,
                      short x) throws SQLException

Sets the specified column value to a Java short.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

x - the new value. Valid for values between -32768 and 32767

Throws: SQLException

if a SQL database access error occurred

See Also:

getShort

 setShort

 public void setShort(String projName,
                      short x) throws SQLException

Sets the specified column value to a Java short.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

x - the new value. Valid for values between -32768 and 32767

Throws: SQLException

if a SQL database access error occurred

See Also:

getShort

 setString

 public void setString(int proj,
                       String x) throws SQLException

Sets the specified column value to a Java String. The length must be less than or equal to 255 characters, and trailing space padding will be preserved.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

getString

 setString

 public void setString(String projName,
                       String x) throws SQLException

Sets the specified column value to a Java String. The length must be less than or equal to 255 characters, and trailing space padding will be preserved.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

getString

 setTime

 public void setTime(int proj,
                     Time x) throws SQLException

Sets the specified column value to a Java Time object. The java.sql.Time class is defined in the JDBC specification.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

Time, getTime

 setTime

 public void setTime(String projName,
                     Time x) throws SQLException

Sets the specified column value to a Java Time object. The java.sql.Time class is defined in the JDBC specification.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

Time, getTime

 setTimestamp

 public void setTimestamp(int proj,
                          Timestamp x) throws SQLException

Sets the specified column value to a Java Timestamp object. The java.sql.Timestamp class is defined in the JDBC specification.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

Timestamp, getTimestamp

 setTimestamp

 public void setTimestamp(String projName,
                          Timestamp x) throws SQLException

Sets the specified column value to a Java Timestamp object. The java.sql.Timestamp class is defined in the JDBC specification.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

Timestamp, getTimestamp

 setUnicodeStream

 public void setUnicodeStream(int proj,
                              InputStream x,
                              int length) throws SQLException

Sets the specified column value from a Java InputStream object. The java.io.InputStream class is defined in the runtime set of classes for Java. The data is treated as a UniCode stream of characters. This is useful for international applications.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

x - the stream with the new value, in ASCII characters

length - the length of the data that should be read from the stream

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream, getUnicodeStream

 setUnicodeStream

 public void setUnicodeStream(String projName,
                              InputStream x,
                              int length) throws SQLException

Sets the specified column value from a Java InputStream object. The java.io.InputStream class is defined in the runtime set of classes for Java. The data is treated as a UniCode stream of characters. This is useful for international applications.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

x - the stream with the new value, in ASCII characters

length - the length of the data that should be read from the stream

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream, getUnicodeStream

 setValueFromString

 public void setValueFromString(int proj,
                                String data) throws SQLException, IOException

Sets the specified column value to a Java String object. This method determines the column's datatype and sets its value using the appropriate setXXX method. This method also detemines the appropriate scale to be used in setBigDecimal method, as needed.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

data - the new value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

getStringValue

 setValueFromString

 public void setValueFromString(int proj,
                                String data,
                                int treatBlankAsNull) throws SQLException, IOException

Sets the specified column value to a Java String object. This method determines the column's datatype and sets its value using the appropriate setXXX method. This method also detemines the appropriate scale to be used in setBigDecimal method, as needed.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

data - the new value

treatBlankAsNull - specifies how to set an empty string, one of: SETBLANKTODEFAULT, SETBLANKTONULL, or SETBLANKTOEMPTY

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

SETBLANKTODEFAULT, SETBLANKTONULL, SETBLANKTOEMPTY, getStringValue

 setValueFromString

 public void setValueFromString(int proj,
                                String data,
                                int scale,
                                int treatBlankAsNull) throws SQLException, IOException

Sets the specified column value to a Java String object. This method determines the column's datatype and sets its value using the appropriate setXXX method and the specified scale value.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

data - the new value

scale - the scale value, to be used as needed in the setBigDecimal method

treatBlankAsNull - specifies how to set an empty string, one of: SETBLANKTODEFAULT, SETBLANKTONULL, or SETBLANKTOEMPTY

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

SETBLANKTODEFAULT, SETBLANKTONULL, SETBLANKTOEMPTY, getStringValue

 setValueFromString

 public void setValueFromString(int proj,
                                String data,
                                int columnType,
                                int scale,
                                int treatBlankAsNull) throws SQLException, IOException

Sets the specified column value to a Java String object. This method sets its value using the appropriate setXXX method based on the given SQL type, and scales the value as needed using the specified scale parameter.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

data - the new value

columnType - the data type to be used in the setXXX methods. See Types for legal values

scale - the scale value, to be used as needed in the setBigDecimal method

treatBlankAsNull - specifies how to set an empty string, one of: SETBLANKTODEFAULT, SETBLANKTONULL, or SETBLANKTOEMPTY

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

SETBLANKTODEFAULT, SETBLANKTONULL, SETBLANKTOEMPTY, Types, getStringValue

 setValueFromString

 public void setValueFromString(int proj,
                                String data,
                                String columnTypeName,
                                int scale) throws SQLException, IOException

Sets the specified column value to a Java String object. This method sets its value using the appropriate setXXX method based on the given SQL type string, and scales the value as needed using the specified scale parameter.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

data - the new value

columnTypeName - the data type to be used in the setXXX methods. See sqlTypeConvert() for legal values

scale - the scale value, to be used as needed in the setBigDecimal method

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

sqlTypeConvert, getStringValue

 setValueFromString

 public void setValueFromString(int proj,
                                String data,
                                String columnTypeName,
                                int scale,
                                int treatBlankAsNull) throws SQLException, IOException

Sets the specified column value to a Java String object. This method sets its value using the appropriate setXXX method based on the given SQL type string, and scales the value as needed using the specified scale parameter.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

data - the new value

columnTypeName - the data type to be used in the setXXX methods. See sqlTypeConvert() for legal values

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

treatBlankAsNull - specifies how to set an empty string, one of: SETBLANKTODEFAULT, SETBLANKTONULL, or SETBLANKTOEMPTY

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

SETBLANKTODEFAULT, SETBLANKTONULL, SETBLANKTOEMPTY, sqlTypeConvert, getStringValue

 setValueFromString

 public void setValueFromString(String projName,
                                String data) throws SQLException, IOException

Sets the specified column value to a Java String object. This method determines the column's datatype and sets its value using the appropriate setXXX method. This method also detemines the appropriate scale to be used in setBigDecimal method, as needed.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

data - the new value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

getStringValue

 setValueFromString

 public void setValueFromString(String projName,
                                String data,
                                int treatBlankAsNull) throws SQLException, IOException

Sets the specified column value to a Java String object. This method determines the column's datatype and sets its value using the appropriate setXXX method. This method also detemines the appropriate scale to be used in setBigDecimal method, as needed.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

data - the new value

treatBlankAsNull - specifies how to set an empty string, one of: SETBLANKTODEFAULT, SETBLANKTONULL, or SETBLANKTOEMPTY

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

SETBLANKTODEFAULT, SETBLANKTONULL, SETBLANKTOEMPTY, getStringValue

 setValueFromString

 public void setValueFromString(String projName,
                                String data,
                                int scale,
                                int treatBlankAsNull) throws SQLException, IOException

Sets the specified column value to a Java String object. This method determines the column's datatype and sets its value using the appropriate setXXX method and the specified scale value.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

data - the new value

scale - the scale value, to be used as needed in the setBigDecimal method

treatBlankAsNull - specifies how to set an empty string, one of: SETBLANKTODEFAULT, SETBLANKTONULL, or SETBLANKTOEMPTY

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

SETBLANKTODEFAULT, SETBLANKTONULL, SETBLANKTOEMPTY, getStringValue

 setValueFromString

 public void setValueFromString(String projName,
                                String data,
                                int columnType,
                                int scale,
                                int treatBlankAsNull) throws SQLException, IOException

Sets the specified column value to a Java String object. This method sets its value using the appropriate setXXX method based on the given SQL type, and scales the value as needed using the specified scale parameter.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

data - the new value

columnType - the data type to be used in the setXXX methods. See Types for legal values

scale - the scale value, to be used as needed in the setBigDecimal method

treatBlankAsNull - specifies how to set an empty string, one of: SETBLANKTODEFAULT, SETBLANKTONULL, or SETBLANKTOEMPTY

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

SETBLANKTODEFAULT, SETBLANKTONULL, SETBLANKTOEMPTY, Types, getStringValue

 setValueFromString

 public void setValueFromString(String projName,
                                String data,
                                String columnTypeName,
                                int scale) throws SQLException, IOException

Sets the specified column value to a Java String object. This method sets its value using the appropriate setXXX method based on the given SQL type string, and scales the value as needed using the specified scale parameter.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

data - the new value

columnTypeName - the data type to be used in the setXXX methods. See sqlTypeConvert() for legal values

scale - the scale value, to be used as needed in the setBigDecimal method

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

sqlTypeConvert, getStringValue

 setValueFromString

 public void setValueFromString(String projName,
                                String data,
                                String columnTypeName,
                                int scale,
                                int treatBlankAsNull) throws SQLException, IOException

Sets the specified column value to a Java String object. This method sets its value using the appropriate setXXX method based on the given SQL type string, and scales the value as needed using the specified scale parameter.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

data - the new value

columnTypeName - the data type to be used in the setXXX methods. See sqlTypeConvert() for legal values

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

treatBlankAsNull - specifies how to set an empty string, one of: SETBLANKTODEFAULT, SETBLANKTONULL, or SETBLANKTOEMPTY

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

SETBLANKTODEFAULT, SETBLANKTONULL, SETBLANKTOEMPTY, sqlTypeConvert, getStringValue


 Class symantec.itools.db.pro.RelationView

java.lang.Object
   |
   +----symantec.itools.db.pro.RelationView

public class RelationView
   extends Object
   implements DataAccess

This is the class that is used for all data manipulation with the dbANYWHERE Server. The RelationView object is actually a reference to a current Record within a view contained within a MultiView object. It is possible to have multiple independent RelationView objects off of a single view within a MultiView object. The RelationView gives the developer the capability of binding objects to a projection.

     See Also:
     DataAccess, MultiView, AutoDetail

 DEFAULTSCALE

A constant indicating a column's default number of digits to the right of the decimal point should be used.

 SETBLANKTODEFAULT

A constant indicating how empty or null string data should be translated before being sent to the database.

 SETBLANKTOEMPTY

A constant indicating how empty or null string data should be translated before being sent to the database.

 SETBLANKTONULL

A constant indicating how empty or null string data should be translated before being sent to the database.

 RelationView(AutoDetail)

Constructs a detail RelationView using the information in the given AutoDetail object.

 RelationView(Request)

Constructs a RelationView using the information in the given Request.

 asciiStreamtoString(InputStream)

A utility method which returns a String object from a java.io.InputStream that is known to contain ascii data.

 binaryArraytoString(byte[])

A utility method which returns a String object from a Java byte array.

 binaryStreamtoString(InputStream, int)

A utility method which returns a String object from a java.io.InputStream that is known to contain binary data.

 bindCurrentRecord(RecordLink)

Binds a RecordLink object to the current Record within this RelationView object.

 bindList(ConnectionInfo, String, ListLink, int[])

Binds a ListLink object to a projection within this RelationView object.

 bindList(ConnectionInfo, String, ListLink, Vector)

Binds a ListLink object to a projection within this RelationView object.

 bindProj(int, ProjLink)

Binds a ProjLink object to a projection within this RelationView object.

 bindRecordSet(RecordSetLink)

Binds a RecordSetLink object to this RelationView object.

 closeMultiView()

Closes down the whole MultiView.

 deleteRecord()

Marks for deletion the current Record that this RelationView is referencing.

 doesProjExist(String)

Detects whether or not a projection by a particular name exists within this RelationView's projection list.

 enableBindingNotify(boolean)

Turn on or off notification of ProjLink, ListLink, and RecordLink objects for all details of this RelationView.

 enableBindingNotify(boolean, boolean)

Turn on or off notification of ProjLink, ListLink, and RecordLink objects.

 enableDetailSQL(boolean)

Turn on or off the generation of SQL for the detail RelationViews of this object.

 findProjByName(String)

Determines the one-relative index of a column (projection) given its name.

 first()

Sets the first Record in the result set as the current Record in this RelationView.

 getAsciiStream(int)

Gets the specified column value in a Java InputStream object.

 getAsciiStream(String)

Gets the specified column value in a Java InputStream object.

 getAutoDetail()

Gets an AutoDetail object that can be used to add a detail RelationView to this RelationView.

 getAutoDetail(ConnectionInfo, String, Properties, Properties)

Gets an AutoDetail object that can be used to add a detail RelationView to this RelationView.

 getAutoDetail(String)

Gets an AutoDetail object that can be used to add a detail RelationView to this RelationView.

 getBigDecimal(int, int)

Gets the specified column value as a Java BigDecimal object.

 getBigDecimal(String, int)

Gets the specified column value as a Java BigDecimal object.

 getBinaryStream(int)

Gets the specified column value in a Java InputStream object.

 getBinaryStream(String)

Gets the specified column value in a Java InputStream object.

 getBoolean(int)

Gets the specified column value as a Java boolean.

 getBoolean(String)

Gets the specified column value as a Java boolean.

 getByte(int)

Gets the specified column value as a Java byte.

 getByte(String)

Gets the specified column value as a Java byte.

 getBytes(int)

Gets the specified column value as a Java byte array object.

 getBytes(String)

Gets the specified column value as a Java byte array object.

 getCardinality()

Gets the Cardinality property.

 getConnectionInfo()

Gets the ConnectionInfo object.

 getCurrentRecordNumber()

Gets the record number of the current record being referenced by this RelationView object.

 getCurrentRecordNumberString()

Gets this RelationView's current record number as a String.

 getCurrentRecordState()

Gets the state of the current Record.

 getDate(int)

Gets the specified column value as a Java Date object.

 getDate(String)

Gets the specified column value as a Java Date object.

 getDouble(int)

Gets the specified column value as a Java double.

 getDouble(String)

Gets the specified column value as a Java double.

 getFloat(int)

Gets the specified column value as a Java float.

 getFloat(String)

Gets the specified column value as a Java float.

 getInitialRecordPosition()

Gets the value of the InitialRecordPosition property.

 getInt(int)

Gets the specified column value as a Java int.

 getInt(String)

Gets the specified column value as a Java int.

 getJoinColumns()

Gets the list of parent RelationView columns that this RelationView is joined on.

 getLong(int)

Gets the specified column value as a Java long.

 getLong(String)

Gets the specified column value as a Java long.

 getMetaData()

Gets a RelationViewMetaData object, which can be used to get information about the structure of this RelationView object.

 getMultiView()

Gets the containing MultiView object.

 getName()

Gets the unique name associated with this RelationView within the MultiView object.

 getNewRecord()

Gets the next new Record within this view's Record buffers.

 getOptimisticConcurrency()

Gets the Optimistic Concurrency property.

 getParentRelationView()

Returns this RelationView's parent RelationView.

 getRecord()

Gets the current Record.

 getSelectClause()

Gets the SQL string property.

 getSession()

Gets the Session object.

 getShort(int)

Gets the specified column value as a Java short.

 getShort(String)

Gets the specified column value as a Java short.

 getString(int)

Gets the specified column value as a Java String that is space padded to meet the maximum length of the variable.

 getString(String)

Gets the specified column value as a Java String that is space padded to meet the maximum length of the variable.

 getStringValue(int)

Gets the specified column value as a Java String object.

 getStringValue(int, boolean)

Gets the specified column value as a Java String object.

 getStringValue(int, int)

Gets the specified column value as a Java String object.

 getStringValue(int, int, boolean)

Gets the specified column value as a Java String object.

 getStringValue(int, int, int)

Gets the specified column value as a Java String object.

 getStringValue(int, int, int, boolean)

Gets the specified column value as a Java String object.

 getStringValue(int, String, int)

Gets the specified column value as a Java String object.

 getStringValue(int, String, int, boolean)

Gets the specified column value as a Java String object.

 getStringValue(String)

Gets the specified column value as a Java String object.

 getStringValue(String, boolean)

Gets the specified column value as a Java String object.

 getStringValue(String, int)

Gets the specified column value as a Java String object.

 getStringValue(String, int, boolean)

Gets the specified column value as a Java String object.

 getStringValue(String, int, int)

Gets the specified column value as a Java String object.

 getStringValue(String, int, int, boolean)

Gets the specified column value as a Java String object.

 getStringValue(String, String, int)

Gets the specified column value as a Java String object.

 getStringValue(String, String, int, boolean)

Gets the specified column value as a Java String object.

 getTime(int)

Gets the specified column value as a Java Time object.

 getTime(String)

Gets the specified column value as a Java Time object.

 getTimestamp(int)

Gets the specified column value as a Java Timestamp object.

 getTimestamp(String)

Gets the specified column value as a Java Timestamp object.

 getUnicodeStream(int)

Gets the specified column value in a Java InputStream object.

 getUnicodeStream(String)

Gets the specified column value in a Java InputStream object.

 goTo(int)

Goes to a specific Record number within the view buffer referenced by this RelationView.

 goTo(String)

Goes to a specific Record number within the view buffer referenced by this RelationView.

 isBindingNotifyEnabled()

Gets whether ProjLink, ListLink, and RecordLink binding notifications are enabled or disabled.

 isCurrentRecordReadable()

Determines whether the current Record is in a state that allows the reading of data.

 isCurrentRecordWritable()

Determines whether the current Record is in a state that allows the setting of data.

 isNull(int)

Gets whether the specified column value has been defined.

 isNull(String)

Gets whether the specified column value has been defined.

 next()

Navigate to the next Record within the view buffer.

 prev()

Navigate to the previous Record within the view buffer.

 processEmptyStringData(String, RelationView, int, int, int)

A utility method which process an Empty or NULL data String and returns the appropriate data value to send to database based on type, treatBlankAsNull flag, and isNull().

 restartMultiView()

A convenience function which calls the restart method on the containing MultiView.

 restartMultiView(String)

A convenience function which calls the restart method on the containing MultiView.

 rewind()

Resets this RelationView to its initial record state.

 saveMultiView()

Saves all of the changes made throughout the containing MultiView object.

 setAsciiStream(int, InputStream, int)

Sets the specified column value from a Java InputStream object.

 setAsciiStream(String, InputStream, int)

Sets the specified column value from a Java InputStream object.

 setBigDecimal(int, BigDecimal)

Sets the specified column value to a Java BigDecimal object.

 setBigDecimal(String, BigDecimal)

Sets the specified column value to a Java BigDecimal object.

 setBinaryStream(int, InputStream, int)

Sets the specified column value from a Java InputStream object.

 setBinaryStream(String, InputStream, int)

Sets the specified column value from a Java InputStream object.

 setBoolean(int, boolean)

Sets the specified column value to a Java boolean.

 setBoolean(String, boolean)

Sets the specified column value to a Java boolean.

 setByte(int, byte)

Sets the specified column value to a Java byte.

 setByte(String, byte)

Sets the specified column value to a Java byte.

 setBytes(int, byte[])

Sets the specified column value to a Java byte array object.

 setBytes(String, byte[])

Sets the specified column value to a Java byte array object.

 setDate(int, Date)

Sets the specified column value to a Java Date object.

 setDate(String, Date)

Sets the specified column value to a Java Date object.

 setDouble(int, double)

Sets the specified column value to a Java double.

 setDouble(String, double)

Sets the specified column value to a Java double.

 setFloat(int, float)

Sets the specified column value to a Java float.

 setFloat(String, float)

Sets the specified column value to a Java float.

 setInt(int, int)

Sets the specified column value to a Java int.

 setInt(String, int)

Sets the specified column value to a Java int.

 setLong(int, long)

Sets the specified column value to a Java long.

 setLong(String, long)

Sets the specified column value to a Java long.

 setName(String)

Sets the name associated with this RelationView within the MultiView object.

 setNull(int, int)

Sets whether the specified column value has been defined.

 setNull(String, int)

Sets whether the specified column value has been defined.

 setShort(int, short)

Sets the specified column value to a Java short.

 setShort(String, short)

Sets the specified column value to a Java short.

 setString(int, String)

Sets the specified column value to a Java String.

 setString(String, String)

Sets the specified column value to a Java String.

 setTime(int, Time)

Sets the specified column value to a Java Time object.

 setTime(String, Time)

Sets the specified column value to a Java Time object.

 setTimestamp(int, Timestamp)

Sets the specified column value to a Java Timestamp object.

 setTimestamp(String, Timestamp)

Sets the specified column value to a Java Timestamp object.

 setUnicodeStream(int, InputStream, int)

Sets the specified column value from a Java InputStream object.

 setUnicodeStream(String, InputStream, int)

Sets the specified column value from a Java InputStream object.

 setValueFromString(int, String)

Sets the specified column value to a Java String object.

 setValueFromString(int, String, int)

Sets the specified column value to a Java String object.

 setValueFromString(int, String, int, int)

Sets the specified column value to a Java String object.

 setValueFromString(int, String, int, int, int)

Sets the specified column value to a Java String object.

 setValueFromString(int, String, String, int)

Sets the specified column value to a Java String object.

 setValueFromString(int, String, String, int, int)

Sets the specified column value to a Java String object.

 setValueFromString(String, String)

Sets the specified column value to a Java String object.

 setValueFromString(String, String, int)

Sets the specified column value to a Java String object.

 setValueFromString(String, String, int, int)

Sets the specified column value to a Java String object.

 setValueFromString(String, String, int, int, int)

Sets the specified column value to a Java String object.

 setValueFromString(String, String, String, int)

Sets the specified column value to a Java String object.

 setValueFromString(String, String, String, int, int)

Sets the specified column value to a Java String object.

 sqlTypeConvert(int)

A utility method which returns the String equivalent of the int data type name that is passed in.

 sqlTypeConvert(String)

A utility method which returns the Java int equivalent of the String data type name that is passed in.

 unBindObj(Object)

Removes an object from a binding to a projection within the RelationView.

 unBindProj(int)

Removes all objects that are bound to a column (projection) within this RelationView.

 undoRecord()

Reverts to the original data values of the current Record.

 DEFAULTSCALE

 public static final int DEFAULTSCALE

A constant indicating a column's default number of digits to the right of the decimal point should be used.

 SETBLANKTODEFAULT

 public static final int SETBLANKTODEFAULT

A constant indicating how empty or null string data should be translated before being sent to the database. In this case it would be set to null unless the column is non-null and of type CHAR, VARCHAR, or LONGVARCHAR. In that case it is set to an empty string.

See Also:

processEmptyStringData

 SETBLANKTOEMPTY

 public static final int SETBLANKTOEMPTY

A constant indicating how empty or null string data should be translated before being sent to the database. In this case it would be set an empty value appropriate for its type (0, "", ""1970-01-01 12:00:00.0"", etc).

See Also:

processEmptyStringData

 SETBLANKTONULL

 public static final int SETBLANKTONULL

A constant indicating how empty or null string data should be translated before being sent to the database. In this case it would be set to null if the column is some BINARY type or OTHER.

See Also:

processEmptyStringData

 RelationView

 public RelationView(AutoDetail detail) throws SQLException

Constructs a detail RelationView using the information in the given AutoDetail object.

Parameters:

detail - the information needed to construct a detail RelationView

Throws: SQLException

if a SQL database access error occurred

 RelationView

 public RelationView(Request request) throws SQLException

Constructs a RelationView using the information in the given Request.

Parameters:

request - the information needed to construct a RelationView

Throws: SQLException

if a SQL database access error occurred

 asciiStreamtoString

 public static String asciiStreamtoString(InputStream is) throws IOException

A utility method which returns a String object from a java.io.InputStream that is known to contain ascii data.

Parameters:

is - a java.io.InputStream object which contains only ascii data

Returns:

a String containing the ascii representaion of the data that is stored in the provided InputStream

Throws: IOException

if an I/O error has occurred

See Also:

InputStream

 binaryArraytoString

 public static String binaryArraytoString(byte b[]) throws IOException

A utility method which returns a String object from a Java byte array. Zero values are translated to the string "/0". This function should be used for debugging purposes.

Parameters:

b - a java byte array

Returns:

a String containing the ascii representaion of the data that is stored in the provided byte array. This string is limitted to 255 characters, for performance reasons

Throws: IOException

if an I/O error has occurred

 binaryStreamtoString

 public static String binaryStreamtoString(InputStream is,
                                           int length) throws IOException

A utility method which returns a String object from a java.io.InputStream that is known to contain binary data. Zero values are translated to the string "/0". This function is should be used for debugging purposes.

Parameters:

is - a java.io.InputStream object containing binary data

length - the number of bytes to get from the stream. If length is 0, then read from the InputStream until -1 is encountered

Returns:

a String containing the ascii representaion of the data that is stored in the provided java.io.InputStream. This string is limitted to 255 characters, for performance reasons

Throws: IOException

if an I/O error has occurred

See Also:

InputStream

 bindCurrentRecord

 public void bindCurrentRecord(RecordLink obj) throws SQLException

Binds a RecordLink object to the current Record within this RelationView object. The RecordLink object will be notified whenever the current record is changed.

Parameters:

obj - an object implementing the RecordLink interface

Throws: SQLException

if a SQL database access error occurred

See Also:

RecordLink, Record

 bindList

 public ListBinder bindList(ConnectionInfo conn,
                            String sql,
                            ListLink listObj,
                            int columns[]) throws SQLException

Binds a ListLink object to a projection within this RelationView object. This method is only used for list supporting objects.

Parameters:

conn - a ConnectionInfo object

sql - the sql string to use when generating the list

listObj - an object implementing the ListLink interface that wants to be bound to a list of columns

columns - an int array of columns to bind to listObj

Returns:

a ListBinder object

Throws: SQLException

if a SQL database access error occurred

See Also:

ListLink

 bindList

 public ListBinder bindList(ConnectionInfo conn,
                            String sql,
                            ListLink listObj,
                            Vector columns) throws SQLException

Binds a ListLink object to a projection within this RelationView object. This method is only used for list supporting objects.

Parameters:

conn - a ConnectionInfo object

sql - the sql string to use when generating the list

listObj - an object implementing the ListLink interface that wants to be bound to a list of columns

columns - a Vector of columns to bind to listObj

Returns:

a ListBinder object

Throws: SQLException

if a SQL database access error occurred

See Also:

ListLink

 bindProj

 public ProjBinder bindProj(int proj,
                            ProjLink obj) throws SQLException

Binds a ProjLink object to a projection within this RelationView object. Note that this is a different interface than the one supported by the bindList() method.

Parameters:

proj - the one-relative column index (or projection id)

obj - an Java object that implements the ProjLink interface that wants to be bound to a projection

Returns:

the ProjBinder object that can be used to set and get data for the projection

Throws: SQLException

if a SQL database access error occurred

See Also:

ProjLink

 bindRecordSet

 public void bindRecordSet(RecordSetLink obj) throws SQLException

Binds a RecordSetLink object to this RelationView object. The RecordSetLink object will be notified whenever the current record set is changed.

Parameters:

obj - an object impementing the RecordSetLink interface

Throws: SQLException

if a SQL database access error occurred

See Also:

RecordSetLink

 closeMultiView

 public void closeMultiView() throws SQLException

Closes down the whole MultiView. This means that all RelationView objects derived from the MultiView object will be rendered inoperable. This method is identical to calling the close() method off of the containing MultiView object.

Throws: SQLException

if a SQL database access error occurred

 deleteRecord

 public void deleteRecord() throws SQLException

Marks for deletion the current Record that this RelationView is referencing. The actual delete operation will not occur until the MultiView object is saved. All bound ProjLink and ListLink objects will be notified of the record change.

Throws: SQLException

if a SQL database access error occurred

See Also:

Record, ProjLink, ListLink

 doesProjExist

 public boolean doesProjExist(String name) throws SQLException

Detects whether or not a projection by a particular name exists within this RelationView's projection list.

Parameters:

name - the name of the column (or projection) to detect

Returns:

true if it exists, false otherwise

Throws: SQLException

if a SQL database access error occurred

 enableBindingNotify

 public void enableBindingNotify(boolean enable) throws SQLException

Turn on or off notification of ProjLink, ListLink, and RecordLink objects for all details of this RelationView.

Parameters:

enable - whether to enable (true) or disable (false) bound object notifications. When notification is enabled, it is up to the caller to invoke a notification, if one is required

Throws: SQLException

if a SQL database access error occurred

See Also:

RecordLink, ListLink, ProjLink

 enableBindingNotify

 public void enableBindingNotify(boolean enable,
                                 boolean applyToDetails) throws SQLException

Turn on or off notification of ProjLink, ListLink, and RecordLink objects.

Parameters:

enable - whether to enable (true) or disable (false) bound object notifications. When notification is enabled, it is up to the caller to invoke a notification, if one is required

applyToDetails - whether to apply the enable setting to all details of this RelationView

Throws: SQLException

if a SQL database access error occurred

See Also:

RecordLink, ListLink, ProjLink

 enableDetailSQL

 public void enableDetailSQL(boolean enable) throws SQLException

Turn on or off the generation of SQL for the detail RelationViews of this object.

Parameters:

enable - whether to enable (true) or disable (false) the generation of SQL for detail RelationViews of this object

Throws: SQLException

if a SQL database access error occurred

 findProjByName

 public int findProjByName(String name) throws SQLException

Determines the one-relative index of a column (projection) given its name.

Parameters:

name - the column (projection) name to lookup

Returns:

the one-relative column index (projection id)

Throws: SQLException

if the column wasn't found

 first

 public boolean first() throws SQLException

Sets the first Record in the result set as the current Record in this RelationView. All bound ProjLink and ListLink objects will be notified of the record change.

Returns:

true if a Record object associated with the first Record in the RelationView was found, false otherwise

Throws: SQLException

if a SQL database access error occurred

See Also:

Record, ProjLink, ListLink

 getAsciiStream

 public InputStream getAsciiStream(int proj) throws SQLException

Gets the specified column value in a Java InputStream object. The java.io.InputStream class is defined in the runtime set of classes for Java. The data will be in ASCII format.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the value as ASCII characters

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream, setAsciiStream

 getAsciiStream

 public InputStream getAsciiStream(String projName) throws SQLException

Gets the specified column value in a Java InputStream object. The java.io.InputStream class is defined in the runtime set of classes for Java. The data will be in ASCII format.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

Returns:

the value as ASCII characters

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream, setAsciiStream

 getAutoDetail

 public AutoDetail getAutoDetail() throws SQLException

Gets an AutoDetail object that can be used to add a detail RelationView to this RelationView. The AutoDetail object is initialized with the ConnectionInfo used in this RelationView, an empty SQL string, and a default set of Request and Detail properties. See Request and AutoDetail objects for explanations of their default properties.

Returns:

an AutoDetail object that can be used to add a detail RelationView to this RelationView

Throws: SQLException

if a SQL database access error occurred

See Also:

ConnectionInfo, Request, AutoDetail

 getAutoDetail

 public AutoDetail getAutoDetail(ConnectionInfo conn,
                                 String sql,
                                 Properties requestProps,
                                 Properties detailProps) throws SQLException

Gets an AutoDetail object that can be used to add a detail RelationView to this RelationView.

Parameters:

conn - a ConnectionInfo object defining the database string for a physical database connection, the username that will be used to open the desired database, and the password for the username

sql - a SQL string with OUT or IN/OUT parameters specified through '?' characters within the statement

requestProps - a java.util.Properties object containing Request object properties. See the Request class for explanation of the properties

detailProps - a java.util.Properties object containing Detail object properties. See AutoDetail class for explanation of the properties

Returns:

an AutoDetail object that can be used to add a detail RelationView to this RelationView

Throws: SQLException

if a SQL database access error occurred

See Also:

ConnectionInfo, Request, AutoDetail, Properties

 getAutoDetail

 public AutoDetail getAutoDetail(String sql) throws SQLException

Gets an AutoDetail object that can be used to add a detail RelationView to this RelationView. The AutoDetail object is initialized with the ConnectionInfo used in this RelationView, the specified SQL string, and a default set of Request and Detail properties. See Request and AutoDetail objects for explanations of their default properties.

Parameters:

sql - a SQL string with OUT or IN/OUT parameters specified through '?' characters within the statement

Returns:

an AutoDetail object that can be used to add a detail RelationView to this RelationView

Throws: SQLException

if a SQL database access error occurred

See Also:

ConnectionInfo, Request, AutoDetail

 getBigDecimal

 public BigDecimal getBigDecimal(int proj,
                                 int scale) throws SQLException

Gets the specified column value as a Java BigDecimal object. The java.math.BigDecimal class is defined in JDK 1.1.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

BigDecimal, setBigDecimal

 getBigDecimal

 public BigDecimal getBigDecimal(String projName,
                                 int scale) throws SQLException

Gets the specified column value as a Java BigDecimal object. The java.math.BigDecimal class is defined in JDK 1.1.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

BigDecimal, setBigDecimal

 getBinaryStream

 public InputStream getBinaryStream(int proj) throws SQLException

Gets the specified column value in a Java InputStream object. The java.io.InputStream class is defined in the runtime set of classes for Java.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the value as binary

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream, setBinaryStream

 getBinaryStream

 public InputStream getBinaryStream(String projName) throws SQLException

Gets the specified column value in a Java InputStream object. The java.io.InputStream class is defined in the runtime set of classes for Java.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

Returns:

the value as binary

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream, setBinaryStream

 getBoolean

 public boolean getBoolean(int proj) throws SQLException

Gets the specified column value as a Java boolean.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

true if the value is non-zero

Throws: SQLException

if a SQL database access error occurred

See Also:

setBoolean

 getBoolean

 public boolean getBoolean(String projName) throws SQLException

Gets the specified column value as a Java boolean.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

Returns:

true if the value is non-zero

Throws: SQLException

if a SQL database access error occurred

See Also:

setBoolean

 getByte

 public byte getByte(int proj) throws SQLException

Gets the specified column value as a Java byte.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

setByte

 getByte

 public byte getByte(String projName) throws SQLException

Gets the specified column value as a Java byte.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

setByte

 getBytes

 public byte[] getBytes(int proj) throws SQLException

Gets the specified column value as a Java byte array object. The array will be padded with 00 bytes to meet the maximum length of the array. The length of the array will be less than or equal to 255 bytes.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the value. It will have padded zero bytes on the end to reach the maximum length established for the datatype

Throws: SQLException

if a SQL database access error occurred

See Also:

setBytes

 getBytes

 public byte[] getBytes(String projName) throws SQLException

Gets the specified column value as a Java byte array object. The array will be padded with 00 bytes to meet the maximum length of the array. The length of the array will be less than or equal to 255 bytes.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

Returns:

the value. It will have padded zero bytes on the end to reach the maximum length established for the datatype

Throws: SQLException

if a SQL database access error occurred

See Also:

setBytes

 getCardinality

 public String getCardinality()

Gets the Cardinality property.

Returns:

the string returned is the cardinality setting

 getConnectionInfo

 public ConnectionInfo getConnectionInfo()

Gets the ConnectionInfo object.

Returns:

the ConnectionInfo object

 getCurrentRecordNumber

 public int getCurrentRecordNumber()

Gets the record number of the current record being referenced by this RelationView object.

Returns:

the record number of the current record

See Also:

getCurrentRecordNumberString

 getCurrentRecordNumberString

 public String getCurrentRecordNumberString()

Gets this RelationView's current record number as a String.

Returns:

the current record number as a String

See Also:

getCurrentRecordNumber

 getCurrentRecordState

 public byte getCurrentRecordState()

Gets the state of the current Record.

The state can be one of the following values:

Record.RECSTATE_EXISTING The record exists in database

Record.RECSTATE_MODIFIED The record has been modified

Record.RECSTATE_NEW The record has no data and doesn't exist in database

Record.RECSTATE_DELETED The record is marked for deletion

Record.RECSTATE_DB_DELETED The record has been deleted

Record.RECSTATE_INVALID The record is in an undefined state

Record.RECSTATE_NEW_MODIFIED The record is new with data.

Returns:

the state of the current Record

See Also:

RECSTATE_EXISTING, RECSTATE_MODIFIED, RECSTATE_NEW, RECSTATE_DELETED, RECSTATE_DB_DELETED, RECSTATE_INVALID, RECSTATE_NEW_MODIFIED

 getDate

 public Date getDate(int proj) throws SQLException

Gets the specified column value as a Java Date object. The java.sql.Date class is defined in the JDBC specification.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

Date, setDate

 getDate

 public Date getDate(String projName) throws SQLException

Gets the specified column value as a Java Date object. The java.sql.Date class is defined in the JDBC specification.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

Date, setDate

 getDouble

 public double getDouble(int proj) throws SQLException

Gets the specified column value as a Java double.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

setDouble

 getDouble

 public double getDouble(String projName) throws SQLException

Gets the specified column value as a Java double.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

setDouble

 getFloat

 public float getFloat(int proj) throws SQLException

Gets the specified column value as a Java float.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

setFloat

 getFloat

 public float getFloat(String projName) throws SQLException

Gets the specified column value as a Java float.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

setFloat

 getInitialRecordPosition

 public String getInitialRecordPosition()

Gets the value of the InitialRecordPosition property.

Returns:

the string value

 getInt

 public int getInt(int proj) throws SQLException

Gets the specified column value as a Java int.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the value. It will range in value between -2147483648 and 2147483647

Throws: SQLException

if a SQL database access error occurred

See Also:

setInt

 getInt

 public int getInt(String projName) throws SQLException

Gets the specified column value as a Java int.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

Returns:

the value. It will range in value between -2147483648 and 2147483647

Throws: SQLException

if a SQL database access error occurred

See Also:

setInt

 getJoinColumns

 public String[] getJoinColumns()

Gets the list of parent RelationView columns that this RelationView is joined on.

Returns:

a vector of column name strings

 getLong

 public long getLong(int proj) throws SQLException

Gets the specified column value as a Java long.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

setLong

 getLong

 public long getLong(String projName) throws SQLException

Gets the specified column value as a Java long.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

setLong

 getMetaData

 public RelationViewMetaData getMetaData() throws SQLException

Gets a RelationViewMetaData object, which can be used to get information about the structure of this RelationView object.

Returns:

a RelationviewMetaData object, which has methods to get information about the structure of the RelationView object

Throws: SQLException

if a SQL database access error occurred

See Also:

RelationViewMetaData

 getMultiView

 public MultiView getMultiView() throws SQLException

Gets the containing MultiView object. It is usefull to get the MultiView object for a RelationView when information is needed about the position of the view within the overall transaction.

Returns:

the MultiView object that is the parent containing object for this RelationView. All transaction based operations are actually done through the underlying MultiView object

Throws: SQLException

if a SQL database access error occurred

See Also:

MultiView

 getName

 public String getName() throws SQLException

Gets the unique name associated with this RelationView within the MultiView object.

Returns:

the name associated with the underlying view that this RelationView has been built upon within the MultiView object

Throws: SQLException

if a SQL database access error occurred

 getNewRecord

 public boolean getNewRecord() throws SQLException

Gets the next new Record within this view's Record buffers. After calling this method, the current Record of this RelationView will be positioned at the new Record. All bound ProjLink and ListLink objects will be notified of the new record.

Returns:

true indicates that a new Record was positioned within the underlying view that the RelationView represents, false otherwise

Throws: SQLException

if a SQL database access error occurred

See Also:

Record, ProjLink, ListLink

 getOptimisticConcurrency

 public String getOptimisticConcurrency()

Gets the Optimistic Concurrency property.

Returns:

the string returned is the optimistic concurrency setting

 getParentRelationView

 public RelationView getParentRelationView()

Returns this RelationView's parent RelationView.

 getRecord

 public Record getRecord() throws SQLException

Gets the current Record. This Record object remains valid even if the RelationView is positioned on another Record.

Returns:

the Record object for the current Record being referenced by this RelationView

Throws: SQLException

if a SQL database access error occurred

See Also:

Record

 getSelectClause

 public String getSelectClause()

Gets the SQL string property.

Returns:

the string returned is the SQL statement used to generate the RelationView

 getSession

 public Session getSession()

Gets the Session object.

Returns:

the Session object

 getShort

 public short getShort(int proj) throws SQLException

Gets the specified column value as a Java short.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the value. It will range in value between -32768 and 32767

Throws: SQLException

if a SQL database access error occurred

See Also:

setShort

 getShort

 public short getShort(String projName) throws SQLException

Gets the specified column value as a Java short.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

Returns:

the value. It will range in value between -32768 and 32767

Throws: SQLException

if a SQL database access error occurred

See Also:

setShort

 getString

 public String getString(int proj) throws SQLException

Gets the specified column value as a Java String that is space padded to meet the maximum length of the variable. Note that the length should be less than or equal to 255 characters.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the value in a character format. The string will be space padded to reach the maximum length for the datatype

Throws: SQLException

if a SQL database access error occurred

See Also:

setString

 getString

 public String getString(String projName) throws SQLException

Gets the specified column value as a Java String that is space padded to meet the maximum length of the variable. Note that the length should be less than or equal to 255 characters.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

Returns:

the value in a character format. The string will be space padded to reach the maximum length for the datatype

Throws: SQLException

if a SQL database access error occurred

See Also:

setString

 getStringValue

 public String getStringValue(int proj) throws SQLException, IOException

Gets the specified column value as a Java String object. This method determines the column's datatype and retrieves the data using the appropriate getXXX method. This method also detemines the appropriate scale to be used in getBigDecimal, getBinary, and getVarBinary methods.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

setValueFromString

 getStringValue

 public String getStringValue(int proj,
                              boolean processBinaryData) throws SQLException, IOException

Gets the specified column value as a Java String object. This method determines the column's datatype and retrieves the data using the appropriate getXXX method. This method also detemines the appropriate scale to be used in getBigDecimal, getBinary, and getVarBinary methods.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

processBinaryData - whether or not to return binary data converted to a String

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

setValueFromString

 getStringValue

 public String getStringValue(int proj,
                              int scale) throws SQLException, IOException

Gets the specified column value as a Java String object. This method determines the column's datatype and retrieves the data using the appropriate getXXX method and the specified scale value.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

setValueFromString

 getStringValue

 public String getStringValue(int proj,
                              int scale,
                              boolean processBinaryData) throws SQLException, IOException

Gets the specified column value as a Java String object. This method determines the column's datatype and retrieves the data using the appropriate getXXX method and the specified scale value.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

processBinaryData - whether or not to return binary data converted to a String

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

setValueFromString

 getStringValue

 public String getStringValue(int proj,
                              int columnType,
                              int scale) throws SQLException, IOException

Gets the specified column value as a Java String object. This method retrieves the data using the appropriate getXXX method based on the given SQL type, and scales the value as needed using the specified scale parameter.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

columnType - the data type to be used in the getXXX methods. See Types for legal values

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

Types, setValueFromString

 getStringValue

 public String getStringValue(int proj,
                              int columnType,
                              int scale,
                              boolean processBinaryData) throws SQLException, IOException

Gets the specified column value as a Java String object. This method retrieves the data using the appropriate getXXX method based on the given SQL type, and scales the value as needed using the specified scale parameter.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

columnType - the data type to be used in the getXXX methods. See Types for legal values

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

processBinaryData - whether or not to return binary data converted to a String

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

Types, setValueFromString

 getStringValue

 public String getStringValue(int proj,
                              String columnTypeName,
                              int scale) throws SQLException, IOException

Gets the specified column value as a Java String object. This method retrieves the data using the appropriate getXXX method based on the given SQL type string, and scales the value as needed using the specified scale parameter.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

columnTypeName - the data type to be used in the getXXX methods. See sqlTypeConvert() for legal values

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

sqlTypeConvert, setValueFromString

 getStringValue

 public String getStringValue(int proj,
                              String columnTypeName,
                              int scale,
                              boolean processBinaryData) throws SQLException, IOException

Gets the specified column value as a Java String object. This method retrieves the data using the appropriate getXXX method based on the given SQL type string, and scales the value as needed using the specified scale parameter.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

columnTypeName - the data type to be used in the getXXX methods. See sqlTypeConvert() for legal values

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

processBinaryData - whether or not to return binary data converted to a String

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

sqlTypeConvert, setValueFromString

 getStringValue

 public String getStringValue(String projName) throws SQLException, IOException

Gets the specified column value as a Java String object. This method determines the column's datatype and retrieves the data using the appropriate getXXX method. This method also detemines the appropriate scale to be used in getBigDecimal, getBinary, and getVarBinary methods.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

setValueFromString

 getStringValue

 public String getStringValue(String projName,
                              boolean processBinaryData) throws SQLException, IOException

Gets the specified column value as a Java String object. This method determines the column's datatype and retrieves the data using the appropriate getXXX method. This method also detemines the appropriate scale to be used in getBigDecimal, getBinary, and getVarBinary methods.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

processBinaryData - whether or not to return binary data converted to a String

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

setValueFromString

 getStringValue

 public String getStringValue(String projName,
                              int scale) throws SQLException, IOException

Gets the specified column value as a Java String object. This method determines the column's datatype and retrieves the data using the appropriate getXXX method and the specified scale value.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

setValueFromString

 getStringValue

 public String getStringValue(String projName,
                              int scale,
                              boolean processBinaryData) throws SQLException, IOException

Gets the specified column value as a Java String object. This method determines the column's datatype and retrieves the data using the appropriate getXXX method and the specified scale value.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

processBinaryData - whether or not to return binary data converted to a String

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

setValueFromString

 getStringValue

 public String getStringValue(String projName,
                              int columnType,
                              int scale) throws SQLException, IOException

Gets the specified column value as a Java String object. This method retrieves the data using the appropriate getXXX method based on the given SQL type, and scales the value as needed using the specified scale parameter.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

columnType - the data type to be used in the getXXX methods. See Types for legal values

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

Types, setValueFromString

 getStringValue

 public String getStringValue(String projName,
                              int columnType,
                              int scale,
                              boolean processBinaryData) throws SQLException, IOException

Gets the specified column value as a Java String object. This method retrieves the data using the appropriate getXXX method based on the given SQL type, and scales the value as needed using the specified scale parameter.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

columnType - the data type to be used in the getXXX methods. See Types for legal values

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

processBinaryData - whether or not to return binary data converted to a String

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

Types, setValueFromString

 getStringValue

 public String getStringValue(String projName,
                              String columnTypeName,
                              int scale) throws SQLException, IOException

Gets the specified column value as a Java String object. This method retrieves the data using the appropriate getXXX method based on the given SQL type string, and scales the value as needed using the specified scale parameter.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

columnTypeName - the data type to be used in the getXXX methods. See sqlTypeConvert() for legal values

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

sqlTypeConvert, setValueFromString

 getStringValue

 public String getStringValue(String projName,
                              String columnTypeName,
                              int scale,
                              boolean processBinaryData) throws SQLException, IOException

Gets the specified column value as a Java String object. This method retrieves the data using the appropriate getXXX method based on the given SQL type string, and scales the value as needed using the specified scale parameter.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

columnTypeName - the data type to be used in the getXXX methods. See sqlTypeConvert() for legal values

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

processBinaryData - whether or not to return binary data converted to a String

Returns:

the ascii representation of the value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

sqlTypeConvert, setValueFromString

 getTime

 public Time getTime(int proj) throws SQLException

Gets the specified column value as a Java Time object. The java.sql.Time class is defined in the JDBC specification.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

Time, setTime

 getTime

 public Time getTime(String projName) throws SQLException

Gets the specified column value as a Java Time object. The java.sql.Time class is defined in the JDBC specification.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

Time, setTime

 getTimestamp

 public Timestamp getTimestamp(int proj) throws SQLException

Gets the specified column value as a Java Timestamp object. The java.sql.Timestamp class is defined in the JDBC specification.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

Timestamp, setTimestamp

 getTimestamp

 public Timestamp getTimestamp(String projName) throws SQLException

Gets the specified column value as a Java Timestamp object. The java.sql.Timestamp class is defined in the JDBC specification.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

Returns:

the value

Throws: SQLException

if a SQL database access error occurred

See Also:

Timestamp, setTimestamp

 getUnicodeStream

 public InputStream getUnicodeStream(int proj) throws SQLException

Gets the specified column value in a Java InputStream object. The java.io.InputStream class is defined in the runtime set of classes for Java. The data will be in an unicode format, which is useful for international applications.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

the value as UNICODE characters

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream, setUnicodeStream

 getUnicodeStream

 public InputStream getUnicodeStream(String projName) throws SQLException

Gets the specified column value in a Java InputStream object. The java.io.InputStream class is defined in the runtime set of classes for Java. The data will be in an unicode format, which is useful for international applications.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

Returns:

the value as UNICODE characters

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream, setUnicodeStream

 goTo

 public boolean goTo(int RecordNum) throws SQLException

Goes to a specific Record number within the view buffer referenced by this RelationView. This method facilitates random access of Records within a RelationView. All bound ProjLink and ListLink objects will be notified of the record change.

Parameters:

RecordNum - an integer representing the ordinal number of the desired Record in the RelationView

Returns:

true indicates that a Record corresponding to the given record number was found, false otherwise

Throws: SQLException

if a SQL database access error occurred

See Also:

Record, ProjLink, ListLink

 goTo

 public boolean goTo(String RecordNum) throws SQLException

Goes to a specific Record number within the view buffer referenced by this RelationView. This method facilitates random access of Records within a RelationView. All bound ProjLink and ListLink objects will be notified of the record change.

Parameters:

RecordNum - a String representing the ordinal number of the desired Record in the RelationView. The string is assumed to be convertable to an integer

Returns:

true indicates that a Record corresponding to the given record number was found, false otherwise

Throws: SQLException

if a SQL database access error occurred

See Also:

Record, ProjLink, ListLink

 isBindingNotifyEnabled

 public boolean isBindingNotifyEnabled() throws SQLException

Gets whether ProjLink, ListLink, and RecordLink binding notifications are enabled or disabled.

Returns:

whether bound objects notifications are enabled (true) or disabled (false)

Throws: SQLException

if a SQL database access error occurred

See Also:

RecordLink, ListLink, ProjLink

 isCurrentRecordReadable

 public boolean isCurrentRecordReadable() throws SQLException

Determines whether the current Record is in a state that allows the reading of data.

Returns:

true if data can be read, false if data can't be read

Throws: SQLException

if a SQL database access error occurred

 isCurrentRecordWritable

 public boolean isCurrentRecordWritable() throws SQLException

Determines whether the current Record is in a state that allows the setting of data.

Returns:

true if data can be set, false if data can't be set

Throws: SQLException

if a SQL database access error occurred

 isNull

 public boolean isNull(int proj) throws SQLException

Gets whether the specified column value has been defined.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

Returns:

true if the value has been defined

Throws: SQLException

if a SQL database access error occurred

See Also:

setNull

 isNull

 public boolean isNull(String projName) throws SQLException

Gets whether the specified column value has been defined.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

Returns:

true if the value has been defined

Throws: SQLException

if a SQL database access error occurred

See Also:

setNull

 next

 public boolean next() throws SQLException

Navigate to the next Record within the view buffer. All bound ProjLink and ListLink objects will be notified of the record change.

Returns:

true indicates that the next record was found, false indicates there were no more records

Throws: SQLException

if a SQL database access error occurred

See Also:

Record, ProjLink, ListLink

 prev

 public boolean prev() throws SQLException

Navigate to the previous Record within the view buffer. All bound ProjLink and ListLink objects will be notified of the record change.

Returns:

true indicates that the previous record was found, false indicates there is no previous record

Throws: SQLException

if a SQL database access error occurred

See Also:

Record, ProjLink, ListLink

 processEmptyStringData

 public static String processEmptyStringData(String data,
                                             RelationView rv,
                                             int proj,
                                             int columnType,
                                             int treatBlankAsNull) throws SQLException

A utility method which process an Empty or NULL data String and returns the appropriate data value to send to database based on type, treatBlankAsNull flag, and isNull().

Parameters:

data - the data string, initially empty or NULL, to set as blank

rv - the RelationView

proj - the one-relative column index (or projection id)

columnType - the column's data type (see Types)

treatBlankAsNull - indicates how to handle the null/empty data string, one of: SETBLANKTODEFAULT, SETBLANKTONULL, or SETBLANKTOEMPTY

Returns:

a String containing processed empty string data value

Throws: SQLException

if a SQL database access error occurred

See Also:

Types, SETBLANKTODEFAULT, SETBLANKTONULL, SETBLANKTOEMPTY

 restartMultiView

 public void restartMultiView() throws SQLException

A convenience function which calls the restart method on the containing MultiView. Called automatically after a successful saveMultiView. May also be used directly to pick up any database changes made by other applications.

Throws: SQLException

if a SQL database access error occurred

See Also:

restart, saveMultiView

 restartMultiView

 public void restartMultiView(String newWhereClause) throws SQLException

A convenience function which calls the restart method on the containing MultiView. Restarts the multiview after modifying the root RelationView's SQL select statement with the newWhereClause.

Parameters:

newWhereClause - if the root RelationView's SQL statement doesn't contain a where clause, then newWhereClause is appended to the statement. If the root RelationView's SQL statement does contain a where clause, then the newWhereClause will replace the where clause of the SQL statement

Throws: SQLException

if a SQL database access error occurred

See Also:

restart, saveMultiView

 rewind

 public void rewind() throws SQLException

Resets this RelationView to its initial record state. All bound ProjLink and ListLink objects will be notified of the record change.

Throws: SQLException

if a SQL database access error occurred

See Also:

Record, ProjLink, ListLink

 saveMultiView

 public void saveMultiView() throws SQLException

Saves all of the changes made throughout the containing MultiView object. This method will save all changes made by all RelationView objects that refer to views within the scope of the containing MultiView object.

Throws: SQLException

if a SQL database access error occurred

See Also:

save, restartMultiview

 setAsciiStream

 public void setAsciiStream(int proj,
                            InputStream x,
                            int length) throws SQLException

Sets the specified column value from a Java InputStream object. The java.io.InputStream class is defined in the runtime set of classes for Java. The data is treated as ASCII characters.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

x - the stream with the new value, in ASCII characters

length - the length of the data that should be read from the stream

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream, getAsciiStream

 setAsciiStream

 public void setAsciiStream(String projName,
                            InputStream x,
                            int length) throws SQLException

Sets the specified column value from a Java InputStream object. The java.io.InputStream class is defined in the runtime set of classes for Java. The data is treated as ASCII characters.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

x - the stream with the new value, in ASCII characters

length - the length of the data that should be read from the stream

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream, getAsciiStream

 setBigDecimal

 public void setBigDecimal(int proj,
                           BigDecimal x) throws SQLException

Sets the specified column value to a Java BigDecimal object. The java.math.BigDecimal class is defined in JDK 1.1.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

BigDecimal, getBigDecimal

 setBigDecimal

 public void setBigDecimal(String projName,
                           BigDecimal x) throws SQLException

Sets the specified column value to a Java BigDecimal object. The java.math.BigDecimal class is defined in JDK 1.1.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

BigDecimal, getBigDecimal

 setBinaryStream

 public void setBinaryStream(int proj,
                             InputStream x,
                             int length) throws SQLException

Sets the specified column value from a Java InputStream object. The java.io.InputStream class is defined in the runtime set of classes for Java.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

x - the stream with the new value

length - the length of the data that should be read from the stream

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream, getBinaryStream

 setBinaryStream

 public void setBinaryStream(String projName,
                             InputStream x,
                             int length) throws SQLException

Sets the specified column value from a Java InputStream object. The java.io.InputStream class is defined in the runtime set of classes for Java.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

x - the stream with the new value

length - the length of the data that should be read from the stream

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream, getBinaryStream

 setBoolean

 public void setBoolean(int proj,
                        boolean x) throws SQLException

Sets the specified column value to a Java boolean.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

getBoolean

 setBoolean

 public void setBoolean(String projName,
                        boolean x) throws SQLException

Sets the specified column value to a Java boolean.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

getBoolean

 setByte

 public void setByte(int proj,
                     byte x) throws SQLException

Sets the specified column value to a Java byte.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

x - the new value. Valid for values between 0 and 255

Throws: SQLException

if a SQL database access error occurred

See Also:

getByte

 setByte

 public void setByte(String projName,
                     byte x) throws SQLException

Sets the specified column value to a Java byte.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

x - the new value. Valid for values between 0 and 255

Throws: SQLException

if a SQL database access error occurred

See Also:

getByte

 setBytes

 public void setBytes(int proj,
                      byte x[]) throws SQLException

Sets the specified column value to a Java byte array object. The array must be no larger than 255 bytes, and padded out with 00 bytes to the maximum length of the array.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

x - the new value.

Throws: SQLException

if a SQL database access error occurred

See Also:

getBytes

 setBytes

 public void setBytes(String projName,
                      byte x[]) throws SQLException

Sets the specified column value to a Java byte array object. The array must be no larger than 255 bytes, and padded out with 00 bytes to the maximum length of the array.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

x - the new value.

Throws: SQLException

if a SQL database access error occurred

See Also:

getBytes

 setDate

 public void setDate(int proj,
                     Date x) throws SQLException

Sets the specified column value to a Java Date object. The java.sql.Date class is defined in the JDBC specification.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

Date, getDate

 setDate

 public void setDate(String projName,
                     Date x) throws SQLException

Sets the specified column value to a Java Date object. The java.sql.Date class is defined in the JDBC specification.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

Date, getDate

 setDouble

 public void setDouble(int proj,
                       double x) throws SQLException

Sets the specified column value to a Java double.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

getDouble

 setDouble

 public void setDouble(String projName,
                       double x) throws SQLException

Sets the specified column value to a Java double.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

getDouble

 setFloat

 public void setFloat(int proj,
                      float x) throws SQLException

Sets the specified column value to a Java float.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

getFloat

 setFloat

 public void setFloat(String projName,
                      float x) throws SQLException

Sets the specified column value to a Java float.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

getFloat

 setInt

 public void setInt(int proj,
                    int x) throws SQLException

Sets the specified column value to a Java int.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

x - the new value. Valid for values between -2147483648 and 2147483647

Throws: SQLException

if a SQL database access error occurred

See Also:

getInt

 setInt

 public void setInt(String projName,
                    int x) throws SQLException

Sets the specified column value to a Java int.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

x - the new value. Valid for values between -2147483648 and 2147483647

Throws: SQLException

if a SQL database access error occurred

See Also:

getInt

 setLong

 public void setLong(int proj,
                     long x) throws SQLException

Sets the specified column value to a Java long.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

x - the new value. Valid for 64-bit integer values.

Throws: SQLException

if a SQL database access error occurred

See Also:

getLong

 setLong

 public void setLong(String projName,
                     long x) throws SQLException

Sets the specified column value to a Java long.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

x - the new value. Valid for 64-bit integer values.

Throws: SQLException

if a SQL database access error occurred

See Also:

getLong

 setName

 public void setName(String newName) throws SQLException

Sets the name associated with this RelationView within the MultiView object.

Parameters:

newName - the String that is to be the new name

Throws: SQLException

if a SQL database access error occurred

 setNull

 public void setNull(int proj,
                     int sqlType) throws SQLException

Sets whether the specified column value has been defined.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

sqlType - the column datatype. See Types. Will set the value to NULL base on this datatype

Throws: SQLException

if a SQL database access error occurred

See Also:

Types, isNull

 setNull

 public void setNull(String projName,
                     int sqlType) throws SQLException

Sets whether the specified column value has been defined.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

sqlType - the column datatype. See Types. Will set the value to NULL base on this datatype

Throws: SQLException

if a SQL database access error occurred

See Also:

Types, isNull

 setShort

 public void setShort(int proj,
                      short x) throws SQLException

Sets the specified column value to a Java short.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

x - the new value. Valid for values between -32768 and 32767

Throws: SQLException

if a SQL database access error occurred

See Also:

getShort

 setShort

 public void setShort(String projName,
                      short x) throws SQLException

Sets the specified column value to a Java short.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

x - the new value. Valid for values between -32768 and 32767

Throws: SQLException

if a SQL database access error occurred

See Also:

getShort

 setString

 public void setString(int proj,
                       String x) throws SQLException

Sets the specified column value to a Java String. The length must be less than or equal to 255 characters, and trailing space padding will be preserved.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

getString

 setString

 public void setString(String projName,
                       String x) throws SQLException

Sets the specified column value to a Java String. The length must be less than or equal to 255 characters, and trailing space padding will be preserved.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

getString

 setTime

 public void setTime(int proj,
                     Time x) throws SQLException

Sets the specified column value to a Java Time object. The java.sql.Time class is defined in the JDBC specification.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

Time, getTime

 setTime

 public void setTime(String projName,
                     Time x) throws SQLException

Sets the specified column value to a Java Time object. The java.sql.Time class is defined in the JDBC specification.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

Time, getTime

 setTimestamp

 public void setTimestamp(int proj,
                          Timestamp x) throws SQLException

Sets the specified column value to a Java Timestamp object. The java.sql.Timestamp class is defined in the JDBC specification.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

Timestamp, getTimestamp

 setTimestamp

 public void setTimestamp(String projName,
                          Timestamp x) throws SQLException

Sets the specified column value to a Java Timestamp object. The java.sql.Timestamp class is defined in the JDBC specification.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

x - the new value

Throws: SQLException

if a SQL database access error occurred

See Also:

Timestamp, getTimestamp

 setUnicodeStream

 public void setUnicodeStream(int proj,
                              InputStream x,
                              int length) throws SQLException

Sets the specified column value from a Java InputStream object. The java.io.InputStream class is defined in the runtime set of classes for Java. The data is treated as a UniCode stream of characters. This is useful for international applications.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

x - the stream with the new value, in ASCII characters

length - the length of the data that should be read from the stream

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream, getUnicodeStream

 setUnicodeStream

 public void setUnicodeStream(String projName,
                              InputStream x,
                              int length) throws SQLException

Sets the specified column value from a Java InputStream object. The java.io.InputStream class is defined in the runtime set of classes for Java. The data is treated as a UniCode stream of characters. This is useful for international applications.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

x - the stream with the new value, in ASCII characters

length - the length of the data that should be read from the stream

Throws: SQLException

if a SQL database access error occurred

See Also:

InputStream, getUnicodeStream

 setValueFromString

 public void setValueFromString(int proj,
                                String data) throws SQLException, IOException

Sets the specified column value to a Java String object. This method determines the column's datatype and sets its value using the appropriate setXXX method. This method also detemines the appropriate scale to be used in setBigDecimal method, as needed.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

data - the new value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

getStringValue

 setValueFromString

 public void setValueFromString(int proj,
                                String data,
                                int treatBlankAsNull) throws SQLException, IOException

Sets the specified column value to a Java String object. This method determines the column's datatype and sets its value using the appropriate setXXX method. This method also detemines the appropriate scale to be used in setBigDecimal method, as needed.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

data - the new value

treatBlankAsNull - specifies how to set an empty string, one of: SETBLANKTODEFAULT, SETBLANKTONULL, or SETBLANKTOEMPTY

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

SETBLANKTODEFAULT, SETBLANKTONULL, SETBLANKTOEMPTY, getStringValue

 setValueFromString

 public void setValueFromString(int proj,
                                String data,
                                int scale,
                                int treatBlankAsNull) throws SQLException, IOException

Sets the specified column value to a Java String object. This method determines the column's datatype and sets its value using the appropriate setXXX method and the specified scale value.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

data - the new value

scale - the scale value, to be used as needed in the setBigDecimal method

treatBlankAsNull - specifies how to set an empty string, one of: SETBLANKTODEFAULT, SETBLANKTONULL, or SETBLANKTOEMPTY

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

SETBLANKTODEFAULT, SETBLANKTONULL, SETBLANKTOEMPTY, getStringValue

 setValueFromString

 public void setValueFromString(int proj,
                                String data,
                                int columnType,
                                int scale,
                                int treatBlankAsNull) throws SQLException, IOException

Sets the specified column value to a Java String object. This method sets its value using the appropriate setXXX method based on the given SQL type, and scales the value as needed using the specified scale parameter.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

data - the new value

columnType - the data type to be used in the setXXX methods. See Types for legal values

scale - the scale value, to be used as needed in the setBigDecimal method

treatBlankAsNull - specifies how to set an empty string, one of: SETBLANKTODEFAULT, SETBLANKTONULL, or SETBLANKTOEMPTY

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

SETBLANKTODEFAULT, SETBLANKTONULL, SETBLANKTOEMPTY, Types, getStringValue

 setValueFromString

 public void setValueFromString(int proj,
                                String data,
                                String columnTypeName,
                                int scale) throws SQLException, IOException

Sets the specified column value to a Java String object. This method sets its value using the appropriate setXXX method based on the given SQL type string, and scales the value as needed using the specified scale parameter.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

data - the new value

columnTypeName - the data type to be used in the setXXX methods. See sqlTypeConvert() for legal values

scale - the scale value, to be used as needed in the setBigDecimal method

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

sqlTypeConvert, getStringValue

 setValueFromString

 public void setValueFromString(int proj,
                                String data,
                                String columnTypeName,
                                int scale,
                                int treatBlankAsNull) throws SQLException, IOException

Sets the specified column value to a Java String object. This method sets its value using the appropriate setXXX method based on the given SQL type string, and scales the value as needed using the specified scale parameter.

This is a method in the DataAccess interface.

Parameters:

proj - the one-relative column index (or projection id)

data - the new value

columnTypeName - the data type to be used in the setXXX methods. See sqlTypeConvert() for legal values

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

treatBlankAsNull - specifies how to set an empty string, one of: SETBLANKTODEFAULT, SETBLANKTONULL, or SETBLANKTOEMPTY

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

SETBLANKTODEFAULT, SETBLANKTONULL, SETBLANKTOEMPTY, sqlTypeConvert, getStringValue

 setValueFromString

 public void setValueFromString(String projName,
                                String data) throws SQLException, IOException

Sets the specified column value to a Java String object. This method determines the column's datatype and sets its value using the appropriate setXXX method. This method also detemines the appropriate scale to be used in setBigDecimal method, as needed.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

data - the new value

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

getStringValue

 setValueFromString

 public void setValueFromString(String projName,
                                String data,
                                int treatBlankAsNull) throws SQLException, IOException

Sets the specified column value to a Java String object. This method determines the column's datatype and sets its value using the appropriate setXXX method. This method also detemines the appropriate scale to be used in setBigDecimal method, as needed.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

data - the new value

treatBlankAsNull - specifies how to set an empty string, one of: SETBLANKTODEFAULT, SETBLANKTONULL, or SETBLANKTOEMPTY

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

SETBLANKTODEFAULT, SETBLANKTONULL, SETBLANKTOEMPTY, getStringValue

 setValueFromString

 public void setValueFromString(String projName,
                                String data,
                                int scale,
                                int treatBlankAsNull) throws SQLException, IOException

Sets the specified column value to a Java String object. This method determines the column's datatype and sets its value using the appropriate setXXX method and the specified scale value.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

data - the new value

scale - the scale value, to be used as needed in the setBigDecimal method

treatBlankAsNull - specifies how to set an empty string, one of: SETBLANKTODEFAULT, SETBLANKTONULL, or SETBLANKTOEMPTY

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

SETBLANKTODEFAULT, SETBLANKTONULL, SETBLANKTOEMPTY, getStringValue

 setValueFromString

 public void setValueFromString(String projName,
                                String data,
                                int columnType,
                                int scale,
                                int treatBlankAsNull) throws SQLException, IOException

Sets the specified column value to a Java String object. This method sets its value using the appropriate setXXX method based on the given SQL type, and scales the value as needed using the specified scale parameter.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

data - the new value

columnType - the data type to be used in the setXXX methods. See Types for legal values

scale - the scale value, to be used as needed in the setBigDecimal method

treatBlankAsNull - specifies how to set an empty string, one of: SETBLANKTODEFAULT, SETBLANKTONULL, or SETBLANKTOEMPTY

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

SETBLANKTODEFAULT, SETBLANKTONULL, SETBLANKTOEMPTY, Types, getStringValue

 setValueFromString

 public void setValueFromString(String projName,
                                String data,
                                String columnTypeName,
                                int scale) throws SQLException, IOException

Sets the specified column value to a Java String object. This method sets its value using the appropriate setXXX method based on the given SQL type string, and scales the value as needed using the specified scale parameter.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

data - the new value

columnTypeName - the data type to be used in the setXXX methods. See sqlTypeConvert() for legal values

scale - the scale value, to be used as needed in the setBigDecimal method

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

sqlTypeConvert, getStringValue

 setValueFromString

 public void setValueFromString(String projName,
                                String data,
                                String columnTypeName,
                                int scale,
                                int treatBlankAsNull) throws SQLException, IOException

Sets the specified column value to a Java String object. This method sets its value using the appropriate setXXX method based on the given SQL type string, and scales the value as needed using the specified scale parameter.

This is a method in the DataAccess interface.

Parameters:

projName - the column name (or projection name)

data - the new value

columnTypeName - the data type to be used in the setXXX methods. See sqlTypeConvert() for legal values

scale - the scale value, to be used as needed in the getBigDecimal, getBinary, or getVarBinary method

treatBlankAsNull - specifies how to set an empty string, one of: SETBLANKTODEFAULT, SETBLANKTONULL, or SETBLANKTOEMPTY

Throws: SQLException

if a SQL database access error occurred

Throws: IOException

if an I/O error has occurred

See Also:

SETBLANKTODEFAULT, SETBLANKTONULL, SETBLANKTOEMPTY, sqlTypeConvert, getStringValue

 sqlTypeConvert

 public static String sqlTypeConvert(int typeid)

A utility method which returns the String equivalent of the int data type name that is passed in. The input values correspond to those defined in java.sql.Types.

The returned values are: "Char", "VarChar", "LongVarChar", "Bit", "TinyInt", "SmallInt", "Integer", "BigInt", "Float", "Real", "Double", "Numeric", "Decimal", "Date", "Time", "Timestamp", "Binary", "VarBinary", "LongVarBinary", "Other", and "Null".

An unrecognized type value returns "Other".

Parameters:

an - int containing the column's data type to convert

Returns:

the data type name of the data type specified

See Also:

Types, sqlTypeConvert

 sqlTypeConvert

 public static int sqlTypeConvert(String typename)

A utility method which returns the Java int equivalent of the String data type name that is passed in. The return values correspond to those defined in java.sql.Types.

The legal input values are: "Char", "VarChar", "LongVarChar", "Bit", "TinyInt", "SmallInt", "Integer", "BigInt", "Float", "Real", "Double", "Numeric", "Decimal", "Date", "Time", "Timestamp", "Binary", "VarBinary", "LongVarBinary", "Other", and "Null".

An unrecognized type name returns the same value that "Other" does.

Parameters:

typename - a String containing the column's data type name to convert

Returns:

an int containing the equivalent data type of the data type name specified

See Also:

Types, sqlTypeConvert

 unBindObj

 public void unBindObj(Object obj) throws SQLException

Removes an object from a binding to a projection within the RelationView. After an object is unbound, it will not receive any data change notification events.

Parameters:

obj - the object to remove from any binds that may exist within the RelationView object

Throws: SQLException

if a SQL database access error occurred

 unBindProj

 public void unBindProj(int proj) throws SQLException

Removes all objects that are bound to a column (projection) within this RelationView. After calling this method, no objects will receive any data change notification events for this projection unless they are bound through another RelationView.

Parameters:

proj - the one-relative column index (or projection id) of the column to remove bound objects from

Throws: SQLException

if a SQL database access error occurred

 undoRecord

 public void undoRecord() throws SQLException

Reverts to the original data values of the current Record. This undoes any edits to the data that have occurred since the row represented by the Record was fetched from the database. All bound ProjLink and ListLink objects will be notified of the record change.

Throws: SQLException

if a SQL database access error occurred

See Also:

Record, ProjLink, ListLink


 Class symantec.itools.db.pro.RelationViewMetaData

java.lang.Object
   |
   +----symantec.itools.db.pro.RelationViewMetaData

public class RelationViewMetaData
   extends Object

This class is used to retrieve information about the structure of a RelationView object.

     See Also:
     RelationView

 getCatalogName(int)

Gets the name of the specified column's table's catalog, or "" if not applicable.

 getColumnCount()

Gets the number of columns of attributes.

 getColumnDisplaySize(int)

Gets the column's normal maximum width, in characters.

 getColumnLabel(int)

Gets the column's suggested title for display.

 getColumnList()

Returns a Vector of all the column names.

 getColumnName(int)

Gets the SQL name of the specified column.

 getColumnType(int)

Gets the type of the specified column, as defined in java.sql.Types.

 getColumnTypeName(int)

Gets the type name of the specified column.

 getPrecision(int)

Gets the specified column's number of decimal digits.

 getScale(int)

Gets the specified column's number of digits to the right of the decimal point.

 getSchemaName(int)

Gets the specified column's table's schema, or "" if not applicable.

 getTableName(int)

Gets the name of the specified column's table, or "" if not applicable..

 isAutoIncrement(int)

Gets whether the column is automatically numbered (making it read-only).

 isCaseSensitive(int)

Gets whether a column's case matters.

 isCurrency(int)

Gets whether the column contains a cash value.

 isDefinitelyWritable(int)

Gets whether the specified column is definitely writable.

 isNullable(int)

Gets whether the column can contain a NULL.

 isReadOnly(int)

Gets whether the specified column is definitely not writable.

 isSearchable(int)

Gets whether the column can be used in a where clause.

 isSigned(int)

Gets whether the column contains a signed number.

 isWritable(int)

Gets whether the specified column may be writable.

 getCatalogName

 public String getCatalogName(int column) throws SQLException

Gets the name of the specified column's table's catalog, or "" if not applicable.

Parameters:

column - the one-relative column index

Returns:

the catalog name, or "" if not applicable.

Throws: SQLException

if a SQL database access error occurred

 getColumnCount

 public int getColumnCount() throws SQLException

Gets the number of columns of attributes.

Returns:

the number of columns

Throws: SQLException

if a SQL database access error occurred

 getColumnDisplaySize

 public int getColumnDisplaySize(int column) throws SQLException

Gets the column's normal maximum width, in characters.

Parameters:

column - the one-relative column index

Returns:

the normal maximum width

Throws: SQLException

if a SQL database access error occurred

See Also:

getColumnLabel

 getColumnLabel

 public String getColumnLabel(int column) throws SQLException

Gets the column's suggested title for display.

Parameters:

column - the one-relative column index

Returns:

the suggested title

Throws: SQLException

if a SQL database access error occurred

See Also:

getColumnDisplaySize, getColumnName

 getColumnList

 public Vector getColumnList() throws SQLException

Returns a Vector of all the column names.

Throws: SQLException

if a SQL database access error occurred

 getColumnName

 public String getColumnName(int column) throws SQLException

Gets the SQL name of the specified column.

Parameters:

column - the one-relative column index

Returns:

the column name

Throws: SQLException

if a SQL database access error occurred

See Also:

getColumnLabel

 getColumnType

 public int getColumnType(int column) throws SQLException

Gets the type of the specified column, as defined in java.sql.Types.

Parameters:

column - the one-relative column index

Returns:

the column's type

Throws: SQLException

if a SQL database access error occurred

See Also:

getColumnTypeName, Types

 getColumnTypeName

 public String getColumnTypeName(int column) throws SQLException

Gets the type name of the specified column.

Parameters:

column - the one-relative column index

Returns:

the name of the column's type

Throws: SQLException

if a SQL database access error occurred

See Also:

getColumnType

 getPrecision

 public int getPrecision(int column) throws SQLException

Gets the specified column's number of decimal digits.

Parameters:

column - the one-relative column index

Returns:

the number of decimal digits

Throws: SQLException

if a SQL database access error occurred

See Also:

getScale

 getScale

 public int getScale(int column) throws SQLException

Gets the specified column's number of digits to the right of the decimal point.

Parameters:

column - the one-relative column index

Returns:

the number of digits to the right of the decimal point

Throws: SQLException

if a SQL database access error occurred

See Also:

getPrecision

 getSchemaName

 public String getSchemaName(int column) throws SQLException

Gets the specified column's table's schema, or "" if not applicable.

Parameters:

column - the one-relative column index

Returns:

the schema name, or "" if not applicable

Throws: SQLException

if a SQL database access error occurred

 getTableName

 public String getTableName(int column) throws SQLException

Gets the name of the specified column's table, or "" if not applicable..

Parameters:

column - the one-relative column index

Returns:

the table name, or "" if not applicable.

Throws: SQLException

if a SQL database access error occurred

 isAutoIncrement

 public boolean isAutoIncrement(int column) throws SQLException

Gets whether the column is automatically numbered (making it read-only).

Parameters:

column - the one-relative column index

Returns:

true if the column is automatically numbered

Throws: SQLException

if a SQL database access error occurred

 isCaseSensitive

 public boolean isCaseSensitive(int column) throws SQLException

Gets whether a column's case matters.

Parameters:

column - the one-relative column index

Returns:

true if it does

Throws: SQLException

if a SQL database access error occurred

 isCurrency

 public boolean isCurrency(int column) throws SQLException

Gets whether the column contains a cash value.

Parameters:

column - the one-relative column index

Returns:

true if it does

Throws: SQLException

if a SQL database access error occurred

 isDefinitelyWritable

 public boolean isDefinitelyWritable(int column) throws SQLException

Gets whether the specified column is definitely writable.

Parameters:

column - the one-relative column index

Returns:

true if the column is definitely writable

Throws: SQLException

if a SQL database access error occurred

See Also:

isReadOnly, isWritable

 isNullable

 public int isNullable(int column) throws SQLException

Gets whether the column can contain a NULL.

Parameters:

column - the one-relative column index

Returns:

one of: columnNoNulls, columnNullable, or columnNullableUnknown

Throws: SQLException

if a SQL database access error occurred

See Also:

columnNoNulls, columnNullable, columnNullableUnknown

 isReadOnly

 public boolean isReadOnly(int column) throws SQLException

Gets whether the specified column is definitely not writable.

Parameters:

column - the one-relative column index

Returns:

true if the column is definitely not writable

Throws: SQLException

if a SQL database access error occurred

See Also:

isWritable, isDefinitelyWritable

 isSearchable

 public boolean isSearchable(int column) throws SQLException

Gets whether the column can be used in a where clause.

Parameters:

column - the one-relative column index

Returns:

true if it can

Throws: SQLException

if a SQL database access error occurred

 isSigned

 public boolean isSigned(int column) throws SQLException

Gets whether the column contains a signed number.

Parameters:

column - the one-relative column index

Returns:

true if it does

Throws: SQLException

if a SQL database access error occurred

 isWritable

 public boolean isWritable(int column) throws SQLException

Gets whether the specified column may be writable.

Parameters:

column - the one-relative column index

Returns:

true if the column may be writable

Throws: SQLException

if a SQL database access error occurred

See Also:

isReadOnly, isDefinitelyWritable


 Class symantec.itools.db.pro.RelationViewPlus

java.lang.Object
   |
   +----symantec.itools.db.pro.RelationView
           |
           +----symantec.itools.db.pro.RelationViewPlus

public class RelationViewPlus
   extends RelationView

This class is used for all data manipulation with the dbANYWHERE Server. The RelationViewPlus object is actually a reference to a current Record within a view contained within a MultiView object. It is possible to have multiple independent RelationViewPlus objects off of a single view within a MultiView object. The RelationViewPlus gives the developer the capability of binding objects to a projection.

     See Also:
     DataAccess, MultiView, AutoDetail

 numberOfSpecialFeatures

The number of special feature values records have.

 triggerListeners

TriggerUIEvent listeners.

 RelationViewPlus(AutoDetail)

Constructs the detail RelationViewPlus object using the given AutoDetail information.

 RelationViewPlus(Request)

Constructs the RelationViewPlus object using the given Request information.

 addTriggerUIListener(TriggerUIListener)

Registers a TriggerUIEvent listener with this component.

 close()

Detaches this component from its source of data.

 getColumnType(int)

Gets the type of the specified column, as defined in java.sql.Types.

 getColumnValue(int)

Helper method for the getValue method.

 getCurrentRowNumber()

Reserved.

 getDataName(String)

Gets the full data name of this RelationViewPlus object.

 getScale(int)

Gets the number of digits to the right of the decimal point for this component's value.

 getSpecialFeature(int, int)

Helper method for the getValue method.

 getStateString(byte)

This method is translates the given record state value into a string.

 getTotalNumberOfRows()

Reserved.

 getValue(int, int)

Gets the value at the specified row and column.

 removeTriggerUIListener(TriggerUIListener)

Removes a TriggerUIEvent listener registered with this component.

 setColumnValue(int, Object)

Helper method for the setValue method.

 setName(String)

Sets the name associated with this RelationViewPlus object.

 setSpecialFeature(int, int, Object)

Helper method for the setValue method.

 setValue(Object, int, int)

Sets the value at the specified row and column.

 triggerUI()

Fires a TriggerUIEvent event, sending it to all listeners.

 numberOfSpecialFeatures

 public final int numberOfSpecialFeatures

The number of special feature values records have.

 triggerListeners

 protected Vector triggerListeners

TriggerUIEvent listeners.

 RelationViewPlus

 public RelationViewPlus(AutoDetail detail) throws SQLException

Constructs the detail RelationViewPlus object using the given AutoDetail information.

Parameters:

request - the information needed to construct a detail RelationView

Throws: SQLException

if a SQL database access error occurred

 RelationViewPlus

 public RelationViewPlus(Request request) throws SQLException

Constructs the RelationViewPlus object using the given Request information.

Parameters:

request - the information needed to construct a RelationView

Throws: SQLException

if a SQL database access error occurred

 addTriggerUIListener

 public synchronized void addTriggerUIListener(TriggerUIListener mds)

Registers a TriggerUIEvent listener with this component. The listener is called with the data in this component is changed.

Parameters:

mds - the listener to register

See Also:

removeTriggerUIListener

 close

 public void close()

Detaches this component from its source of data.

 getColumnType

 protected int getColumnType(int column) throws SQLException

Gets the type of the specified column, as defined in java.sql.Types.

Parameters:

column - the one-relative column index

Returns:

the column's type

Throws: SQLException

if a SQL database access error occurred

See Also:

Types

 getColumnValue

 protected Object getColumnValue(int column) throws IOException, SQLException

Helper method for the getValue method. Gets the value at the specified column.

Parameters:

column - the one-relative column index

Returns:

the value at the requested location

Throws: IOException

if an IO error occurs

Throws: SQLException

if a SQL database access error occurred

See Also:

getValue

 getCurrentRowNumber

 public int getCurrentRowNumber()

Reserved.

 getDataName

 public String getDataName(String pattern) throws SQLException

Gets the full data name of this RelationViewPlus object. The name includes the table name and the name of all the columns.

Returns:

the data name

Throws: SQLException

if a SQL database access error occurred

 getScale

 protected int getScale(int column) throws SQLException

Gets the number of digits to the right of the decimal point for this component's value.

Parameters:

column - the one-relative column index

Returns:

the number of digits to the right of the decimal point

Throws: SQLException

if a SQL database access error occurred

 getSpecialFeature

 protected Object getSpecialFeature(int column,
                                    int offset)

Helper method for the getValue method. Gets a special feature value. These special features are defined in an array of strings.

Parameters:

column - the special feature column ( < 0 )

offset - the row for the special feature

Returns:

the special feature value

See Also:

getValue

 getStateString

 public String getStateString(byte state)

This method is translates the given record state value into a string. This table indicates the string returned for a given state:

Parameter Value	String
Record.RECSTATE_EXISTING	"Existing"
Record.RECSTATE_MODIFIED	"Modified"
Record.RECSTATE_NEW	"New"
Record.RECSTATE_DELETED	"Marked for Deletion"
Record.RECSTATE_DB_DELETED	"Deleted"
Record.RECSTATE_INVALID	"Invalid"
Record.RECSTATE_NEW_MODIFIED	"New Modified"
Parameters:

state - one of Record.RECSTATE_EXISTING, Record.RECSTATE_MODIFIED, Record.RECSTATE_NEW, Record.RECSTATE_DELETED, Record.RECSTATE_DB_DELETED, Record.RECSTATE_NEW_MODIFIED

Returns:

a string describing the given state

See Also:

RECSTATE_EXISTING, RECSTATE_MODIFIED, RECSTATE_NEW, RECSTATE_DELETED, RECSTATE_DB_DELETED, RECSTATE_INVALID, RECSTATE_NEW_MODIFIED

 getTotalNumberOfRows

 public int getTotalNumberOfRows()

Reserved.

 getValue

 public Object getValue(int row,
                        int column)

Gets the value at the specified row and column.

Parameters:

row - the zero-relative row index

column - the zero-relative column index

Returns:

the value at the requested location

See Also:

setValue

 removeTriggerUIListener

 public synchronized void removeTriggerUIListener(TriggerUIListener mds)

Removes a TriggerUIEvent listener registered with this component.

Parameters:

mds - the listener to un-register

See Also:

addTriggerUIListener

 setColumnValue

 protected void setColumnValue(int column,
                               Object value) throws IOException, SQLException

Helper method for the setValue method. Sets the value at the specified column.

Parameters:

column - the one-relative column index

value - the new value for the requested location

Throws: IOException

if an IO error occurs

Throws: SQLException

if a SQL database access error occurred

See Also:

setValue

 setName

 public void setName(String name) throws SQLException

Sets the name associated with this RelationViewPlus object.

Parameters:

name - the String that is to be the new name

Throws: SQLException

if a SQL database access error occurred

Overrides:

setName in class RelationView

 setSpecialFeature

 protected void setSpecialFeature(int column,
                                  int offset,
                                  Object value)

Helper method for the setValue method. Sets a special feature value. These special features are defined in an array of strings.

Parameters:

column - the special feature column ( < 0 )

offset - the row for the special feature

value - the new special feature value

See Also:

setValue

 setValue

 public void setValue(Object value,
                      int row,
                      int column)

Sets the value at the specified row and column.

Parameters:

valuee - the value for the requested location

row - the zero-relative row index

column - the zero-relative column index

See Also:

getValue

 triggerUI

 protected void triggerUI()

Fires a TriggerUIEvent event, sending it to all listeners.


 Class symantec.itools.db.pro.Request

java.lang.Object
   |
   +----java.util.Dictionary
           |
           +----java.util.Hashtable
                   |
                   +----java.util.Properties
                           |
                           +----symantec.itools.db.pro.Request

public class Request
   extends Properties

This object holds the information that is needed to create a RelationView. This information includes ConnectionInfo, the SQL string, the Optimistic Concurrency setting and the initial record position.

 _sess

The current dbANYWHERE session information.

 ALL

Optimistic concurrency option setting for resulting RelationView.

 REC_POS_FIRST

Initial record position option for resulting RelationView.

 REC_POS_NEW

Initial record position option for resulting RelationView.

 REC_POS_NOPOS

Default initial record position option for resulting RelationView.

 UNIQUE

Optimistic concurrency option setting for resulting RelationView.

 UNIQUE_MODIFIED

Default optimistic concurrency option setting for resulting RelationView.

 Request(Session, ConnectionInfo)

Constructs a Request for the given session that has the specified connection information.

 executeRequest()

Creates a root RelationView for a new MultiView transaction.

 getConnectionInfo()

Gets the Connection information used to open the database when the execute method is called.

 getInitialRecordPos()

Gets the value of the initial record position ("recPosition") property.

 getOptConc()

Gets the value of the optimistic concurrency property ("optConc") as an integer.

 getRequestProperties()

Gets the Request object properties.

 getSQL()

Gets the SQL string that will be sent to the database when the execute method is called.

 setConnectionInfo(ConnectionInfo)

Sets the Connection information used to open the database when the execute method is called.

 setInitialRecordPosition(String)

Sets the value of the initial record position ("recPosition") property from a string.

 setOptimisticConcurrency(String)

Sets the value of the optimistic concurrency property ("optConc") from a string.

 setRequestProperties(Properties)

Sets additional properties of the Request object.

 setSQL(String)

Sets the SQL string that will be sent to the database when the execute method is called.

 _sess

 protected Session _sess

The current dbANYWHERE session information.

 ALL

 public static final String ALL

Optimistic concurrency option setting for resulting RelationView.

 REC_POS_FIRST

 public static final String REC_POS_FIRST

Initial record position option for resulting RelationView.

 REC_POS_NEW

 public static final String REC_POS_NEW

Initial record position option for resulting RelationView.

 REC_POS_NOPOS

 public static final String REC_POS_NOPOS

Default initial record position option for resulting RelationView.

 UNIQUE

 public static final String UNIQUE

Optimistic concurrency option setting for resulting RelationView.

 UNIQUE_MODIFIED

 public static final String UNIQUE_MODIFIED

Default optimistic concurrency option setting for resulting RelationView.

 Request

 public Request(Session sess,
                ConnectionInfo conn)

Constructs a Request for the given session that has the specified connection information.

Parameters:

sess - the current dbANYWHERE session information

conn - the connection information

 executeRequest

 public RelationView executeRequest() throws SQLException

Creates a root RelationView for a new MultiView transaction. Both the database connection information and the SQL string must be set via Session.setDefaultConnection method before calling this method. The SQL passed into this method will be executed and result in the automatic creation of a MultiView object with a root RelationView object. Only the RelationView object is returned, and most operations can be done without ever referring to the underlying MultiView object. There are basic methods on the RelationView object that enables the developer never to have to get a hold of the MultiView object. Default Request properties will be used.

Returns:

a RelationView object that is built from the root view in the underlying MultiView that is created upon execution of the SQL

Throws: SQLException

if a SQL database access error occurred

See Also:

RelationView, ConnectionInfo

 getConnectionInfo

 public ConnectionInfo getConnectionInfo()

Gets the Connection information used to open the database when the execute method is called.

Returns:

the connection information

See Also:

ConnectionInfo

 getInitialRecordPos

 protected String getInitialRecordPos()

Gets the value of the initial record position ("recPosition") property.

The values returned are:

"1" = REC_POS_FIRST

"2" = REC_POS_NEW

"3" = REC_POS_NOPOS

The default is REC_POS_NOPOS.

Returns:

the initial record position string

 getOptConc

 protected int getOptConc()

Gets the value of the optimistic concurrency property ("optConc") as an integer.

The values returned are:

0 = UNIQUE

1 = UNIQUE_MODIFIED

2 = ALL

Returns:

the number corresponding to the currrent optimistic concurrency

 getRequestProperties

 public Properties getRequestProperties()

Gets the Request object properties.

There are two properties defined:

"optConc"

This is the optimistic concurrency setting for the resulting RelationView object after execution is performed on the SQL statement. It is one of the following values:

"0" = UNIQUE

"1" = UNIQUE_MODIFIED

"2" = ALL

The default is UNIQUE_MODIFIED

"recPosition"

This is the initial record position that the RelationView will be in when it is first created. It is one of the following values:

"1" = REC_POS_FIRST

"2" = REC_POS_NEW

"3" = REC_POS_NOPOS

The default is REC_POS_NOPOS

Returns:

the Request object properties.

 getSQL

 public String getSQL()

Gets the SQL string that will be sent to the database when the execute method is called. The SQL string has OUT or IN/OUT parameters specified through '?' characters within the statement.

Returns:

the SQL string

 setConnectionInfo

 public void setConnectionInfo(ConnectionInfo conn)

Sets the Connection information used to open the database when the execute method is called.

Parameters:

conn - the connection information

See Also:

ConnectionInfo

 setInitialRecordPosition

 public void setInitialRecordPosition(String setting)

Sets the value of the initial record position ("recPosition") property from a string.

The valid strings to use are:

"First"

"New"

"No Position"

Unrecognized strings result in REC_POS_NOPOS being set.

Parameters:

setting - the new property string

 setOptimisticConcurrency

 public void setOptimisticConcurrency(String setting)

Sets the value of the optimistic concurrency property ("optConc") from a string.

The valid strings to use are:

"All"

"Unique"

"Unique Modified"

Unrecognized strings result in UNIQUE_MODIFIED being set.

Parameters:

setting - the new property string

 setRequestProperties

 public void setRequestProperties(Properties requestProps)

Sets additional properties of the Request object. These properties have default values, so a explicit call to setRequestProperties is not needed to execute a Request.

There are two properties defined:

"optConc"

This is the optimistic concurrency setting for the resulting RelationView object after execution is performed on the SQL statement. It is one of the following values:

UNIQUE

UNIQUE_MODIFIED

ALL

The default is UNIQUE_MODIFIED

"recPosition"

This is the initial record position that the RelationView will be in when it is first created. It is one of the following values:

REC_POS_FIRST

REC_POS_NEW

REC_POS_NOPOS

The default is REC_POS_NOPOS

Parameters:

requestProps - the new Request properties

See Also:

RelationView

 setSQL

 public void setSQL(String sql)

Sets the SQL string that will be sent to the database when the execute method is called. The SQL string has OUT or IN/OUT parameters specified through '?' characters within the statement.

Parameters:

sql - the SQL string


 Class symantec.itools.db.pro.Session

java.lang.Object
   |
   +----symantec.itools.db.pro.Session

public class Session
   extends Object

This class is used to start a connection to the dbANYWHERE Server and use the dbANYWHERE specific classes.

 _defaultConn

The default database connection information used in getting Request objects.

 _designtime

Flag indicating whether designing this object in the development environment.

 _isClosed

If true the connection to the dbANYWHERE server is closed.

 _logonObj

The handler for failed logon attempts.

 _messgr

Handles calling the methods of remote objects on the dbANYWHERE server.

 _metadataObjs

A Vector of SessionMetaData objects containing basic dbANYWHERE capabilities.

 _multiViews

All the MuliViews using this session.

 _name

The user-defined name for this object.

 _serverURL

The URL of the dbANYWHERE server.

 _session

Handles basic session details.

 METHOD_close

Remote method ID for dbANYWHERE's CSCLClientSession.close() method.

 METHOD_createView

Remote method ID for dbANYWHERE's CSCLClientSession.createView() method.

 METHOD_getMetaData

Remote method ID for dbANYWHERE's CSCLClientSession.getMetaData() method.

 METHOD_inquireDSN

Remote method ID for dbANYWHERE's CSCLClientSession.inquireDSN() method.

 Session()

Constructs an empty, un-connected session.

 Session(String)

Deprecated.

 Session(String, boolean)

Constructs a Session with a basic dbANYWHERE connection.

 close()

Closes the connection to the dbANYWHERE server.

 connect(String)

Establishes a connection with a dbANYWHERE server.

 createView(ConnectionInfo, String)

Creates a root RelationView for a new MultiView transaction.

 createView(ConnectionInfo, String, Properties)

Create a root RelationView for a new MultiView transaction.

 createView(ConnectionInfo, String, Vector)

Creates a root RelationView for a new MultiView transaction.

 createView(ConnectionInfo, String, Vector, Properties)

Creates a root RelationView for a new MultiView transaction.

 createView(String)

Creates a root RelationView for a new MultiView transaction.

 createView(String, Vector)

Creates a root RelationView for a new MultiView transaction.

 getMetaData(ConnectionInfo)

Gets a SessionMetaData object.

 getName()

Gets the user-defined name for this object.

 getRequest()

Creates a Request object that can be used to create a root RelationView for a new MultiView.

 getRequest(String)

Creates a Request object that can be used to create a root RelationView for a new MultiView.

 getServerURL()

Returns the URL used to connect to the server.

 inquireDSN()

Gets a list of valid data source names (i.e.

 parseSubname(StringTokenizer)

This parses the subname protocal part of a URL.

 parseURL(String)

This parses the protocal part of the given URL.

 setDefaultConnection(ConnectionInfo)

Installs a ConnectionInfo object containing the default database connection information used in getting Request objects.

 setLogonObject(Logon)

Installs an object implementing the Logon interface as the new LogonFailure Handler.

 setName(String)

Sets the user-defined name for this object.

 _defaultConn

 protected ConnectionInfo _defaultConn

The default database connection information used in getting Request objects.

 _designtime

 protected boolean _designtime

Flag indicating whether designing this object in the development environment.

 _isClosed

 protected boolean _isClosed

If true the connection to the dbANYWHERE server is closed.

 _logonObj

 protected Logon _logonObj

The handler for failed logon attempts.

 _messgr

 protected RemoteObject _messgr

Handles calling the methods of remote objects on the dbANYWHERE server.

 _metadataObjs

 protected Vector _metadataObjs

A Vector of SessionMetaData objects containing basic dbANYWHERE capabilities.

 _multiViews

 protected Vector _multiViews

All the MuliViews using this session.

 _name

 protected String _name

The user-defined name for this object.

 _serverURL

 protected String _serverURL

The URL of the dbANYWHERE server.

 _session

 protected ClientSession _session

Handles basic session details.

 METHOD_close

 protected final int METHOD_close

Remote method ID for dbANYWHERE's CSCLClientSession.close() method.

 METHOD_createView

 protected final int METHOD_createView

Remote method ID for dbANYWHERE's CSCLClientSession.createView() method.

 METHOD_getMetaData

 protected final int METHOD_getMetaData

Remote method ID for dbANYWHERE's CSCLClientSession.getMetaData() method.

 METHOD_inquireDSN

 protected final int METHOD_inquireDSN

Remote method ID for dbANYWHERE's CSCLClientSession.inquireDSN() method.

 Session

 public Session()

Constructs an empty, un-connected session.

 Session

 public Session(String serverURL) throws SQLException

Note: Session() is deprecated. All code must be migrated to the new constructor: Session(String server URL, boolean designTime).

Throws: SQLException

if a SQL database access error occurred

See Also:

Session

 Session

 public Session(String serverURL,
                boolean designtime) throws SQLException

Constructs a Session with a basic dbANYWHERE connection.

The primary constructor for Session objects.

Parameters:

serverURL - the URL string to connect to the dbANYWHERE server

designtime - true if designing this object in the development environment

Throws: SQLException

if a SQL database access error occurred

 close

 public void close() throws SQLException

Closes the connection to the dbANYWHERE server.

Throws: SQLException

if a SQL database access error occurred

 connect

 protected void connect(String url) throws SQLException

Establishes a connection with a dbANYWHERE server.

Parameters:

url - the URL of the server

Throws: SQLException

if a SQL database access error occurred

 createView

 public RelationView createView(ConnectionInfo conn,
                                String sql) throws SQLException

Creates a root RelationView for a new MultiView transaction. The SQL passed into this method will be executed and result in the automatic creation of a MultiView object with a root RelationView object. Only the RelationView object is returned, and most operations can be done without ever referring to the underlying MultiView object. There are basic methods on the RelationView object that enables the developer never to have to get a hold of the MultiView object. Default Request properties will be used.

Parameters:

conn - a ConnectionInfo object defining the database string for a physical database connection, the username that will be used to open the desired database, and the password for the username

sql - a SQL string with OUT or IN/OUT parameters specified through '?' characters within the statement

Returns:

a RelationView object that is built from the root view in the underlying MultiView that is started upon execution of the SQL

Throws: SQLException

if a SQL database access error occurred

See Also:

RelationView, ConnectionInfo, Request

 createView

 public RelationView createView(ConnectionInfo conn,
                                String sql,
                                Properties requestProps) throws SQLException

Create a root RelationView for a new MultiView transaction. The SQL passed into this method will be executed and result in the automatic creation of a MultiView object with a root RelationView object. Only the RelationView object is returned, and most operations can be done without ever referring to the underlying MultiView object. There are basic methods on the RelationView object that enables the developer never to have to get a hold of the MultiView object.

Parameters:

conn - a ConnectionInfo object defining the database string for a physical database connection, the username that will be used to open the desired database, and the password for the username

sql - a SQL string with OUT or IN/OUT parameters specified through '?' characters within the statement

requestProps - a java.util.Properties object containing Request object properties. See Request object for explanation of the properties

Returns:

a RelationView object that is built from the root view in the underlying MultiView that is started upon execution of the SQL

Throws: SQLException

if a SQL database access error occurred

See Also:

Properties, RelationView, ConnectionInfo, Request

 createView

 public RelationView createView(ConnectionInfo conn,
                                String tablename,
                                Vector columns) throws SQLException

Creates a root RelationView for a new MultiView transaction. A SQL statement will be constructed using the tablename and column parameters. The SQL will be executed and result in the automatic creation of a MultiView object with a root RelationView object. Only the RelationView object is returned, and most operations can be done without ever referring to the underlying MultiView object. There are basic methods on the RelationView object that enables the developer never to have to get a hold of the MultiView object. Default Request Properties will be used.

Parameters:

conn - a ConnectionInfo object defining the database string for a physical database connection, the username that will be used to open the desired database, and the password for the username

tablename - a String containing the name of the table which will be used to select data from

columns - a java.util.Vector object containing Strings which are the column names used to select data from

Returns:

a RelationView object that is built from the root view in the underlying MultiView that is started upon execution of the SQL

Throws: SQLException

if a SQL database access error occurred

See Also:

Vector, RelationView, ConnectionInfo, Request

 createView

 public RelationView createView(ConnectionInfo conn,
                                String tablename,
                                Vector columns,
                                Properties requestProps) throws SQLException

Creates a root RelationView for a new MultiView transaction. A SQL statement will be constructed using the tablename and column parameters. The SQL will be executed and result in the automatic creation of a MultiView object with a root RelationView object. Only the RelationView object is returned, and most operations can be done without ever referring to the underlying MultiView object. There are basic methods on the RelationView object that enables the developer never to have to get a hold of the MultiView object.

Parameters:

conn - a ConnectionInfo object defining the database string for a physical database connection, the username that will be used to open the desired database, and the password for the username

tablename - a String containing the name of the table which will be used to select data from

columns - a java.util.Vector object containing Strings which are the column names used to select data from

requestProps - a java.util.Properties object containing Request object properties. See Request object for explanation of the properties

Returns:

a RelationView object that is built from the root view in the underlying MultiView that is started upon execution of the SQL

Throws: SQLException

if a SQL database access error occurred

See Also:

Properties, Vector, RelationView, ConnectionInfo, Request

 createView

 public RelationView createView(String sql) throws SQLException

Creates a root RelationView for a new MultiView transaction. Database connection information must be set via Session.setDefaultConnection method before calling this method. The SQL passed into this method will be executed and result in the automatic creation of a MultiView object with a root RelationView object. Only the RelationView object is returned, and most operations can be done without ever referring to the underlying MultiView object. There are basic methods on the RelationView object that enables the developer never to have to get a hold of the MultiView object. Default Request properties will be used.

Parameters:

sql - a SQL string with OUT or IN/OUT parameters specified through '?' characters within the statement

Returns:

a RelationView object that is built from the root view in the underlying MultiView that is started upon execution of the SQL

Throws: SQLException

if a SQL database access error occurred

See Also:

RelationView, ConnectionInfo, Request

 createView

 public RelationView createView(String tablename,
                                Vector columns) throws SQLException

Creates a root RelationView for a new MultiView transaction. Database connection information must be set via Session.setDefaultConnection method before calling this method. A SQL statement will be constructed using the tablename and column parameters. The SQL will be executed and result in the automatic creation of a MultiView object with a root RelationView object. Only the RelationView object is returned, and most operations can be done without ever referring to the underlying MultiView object. There are basic methods on the RelationView object that enables the developer never to have to get a hold of the MultiView object. Default Request Properties will be used.

Parameters:

tablename - a String containing the name of the table which will be used to select data from

columns - a java.util.Vector object containing Strings which are the column names used to select data from

Returns:

a RelationView object that is built from the root view in the underlying MultiView that is started upon execution of the SQL

Throws: SQLException

if a SQL database access error occurred

See Also:

Vector, RelationView, ConnectionInfo, Request

 getMetaData

 public SessionMetaData getMetaData(ConnectionInfo conn) throws SQLException

Gets a SessionMetaData object. The SessionMetaData class is designed to answer requests for information of a generic nature about a specifc database connection through the current Session. SessionMetaData is an expansion of the JDBC DatabaseMetaData class.

Parameters:

conn - a ConnectionInfo object defining the database string for a physical database connection, the username that will be used to open the desired database, and the password for the username

Returns:

a SessionMetaData object. It may be used to obtain information specific to the database connection that was specified

Throws: SQLException

if a SQL database access error occurred

See Also:

SessionMetaData, properties

 getName

 public String getName()

Gets the user-defined name for this object.

Returns:

the object's name

See Also:

setName

 getRequest

 public Request getRequest() throws SQLException

Creates a Request object that can be used to create a root RelationView for a new MultiView. This request object will be initialized with the default ConnectionInfo object, an empty SQL string, and default Request properties.

Returns:

a Request object that can be used to create a root RelationView for new MultiView

Throws: SQLException

if a SQL database access error occurred

See Also:

ConnectionInfo, Request

 getRequest

 public Request getRequest(String sql) throws SQLException

Creates a Request object that can be used to create a root RelationView for a new MultiView. This request object will be initialized with the default ConnectionInfo object, the passed in SQL String, and default Request properties.

Parameters:

sql - a SQL String to be used to initialize the Request object

Returns:

a Request object that can be used to create a root RelationView for new MultiView

Throws: SQLException

if a SQL database access error occurred

See Also:

ConnectionInfo, Request

 getServerURL

 public String getServerURL() throws SQLException

Returns the URL used to connect to the server.

Throws: SQLException

if a SQL database access error occurred

 inquireDSN

 public RelationView inquireDSN() throws SQLException

Gets a list of valid data source names (i.e. DSNs) for a dbANYWHERE database connection. The method will return a RelationView object that may be used to get DSN name, description, engine, server, and database information. The RelationView returned is a read only object, and will not support modifications to data.

Returns:

a RelationView object whose rows describe the data sources

Throws: SQLException

if a SQL database access error occurred

 parseSubname

 protected Properties parseSubname(StringTokenizer tokens) throws SQLException

This parses the subname protocal part of a URL. Both "host" and "port" properties are extracted from it. The subname is returned by the parseURL() method.

The subname syntax is: //<host>:<port>

Parameters:

tokens - the subname

Returns:

"host" and "port" properties

Throws: SQLException

if cannot parse the URL

See Also:

parseURL

 parseURL

 protected StringTokenizer parseURL(String url) throws SQLException

This parses the protocal part of the given URL. It is verified to be "dbaw", as appropriate for a dbANYWHERE server.

The URL syntax is: <protocol>:<subname>

Parameters:

url - the URL to parse

Returns:

the subname part of the given URL (the part after the ":")

Throws: SQLException

if cannot parse the URL

 setDefaultConnection

 public void setDefaultConnection(ConnectionInfo conn) throws SQLException

Installs a ConnectionInfo object containing the default database connection information used in getting Request objects.

Parameters:

conn - the default ConnectionInfo used when calling method getRequest()

Throws: SQLException

if a SQL database access error occurred

 setLogonObject

 public void setLogonObject(Logon logonObj) throws SQLException

Installs an object implementing the Logon interface as the new LogonFailure Handler.

Parameters:

logonObj - the object that will be the new handler for LogonFailure

Throws: SQLException

if a SQL database access error occurred

 setName

 public void setName(String value)

Sets the user-defined name for this object.

Parameters:

value - the new object name

See Also:

getName


 Class symantec.itools.db.pro.SessionMetaData

java.lang.Object
   |
   +----symantec.itools.db.pro.SessionMetaData

public class SessionMetaData
   extends Object

This class is used to answer generic requests for information about a particular database connection through the Session object.

SessionMetaData is an expansion of the JDBC DatabaseMetaData class.

     See Also:
     Session, DatabaseMetaData

 allProceduresAreCallable()

Determines if all procedures returned by getProcedures() can be called by the current user.

 allTablesAreSelectable()

Determines if all tables returned by getTable can be SELECTed by the current user.

 dataDefinitionCausesTransactionCommit()

Determines if a data definition statement forces the transaction to commit.

 dataDefinitionIgnoredInTransactions()

Determines if data definition statements within a transaction are ignored.

 doesMaxRowSizeIncludeBlobs()

Determines if the getMaxRowSize() value includes LONGVARCHAR and LONGVARBINARY blobs.

 getBestRowIdentifier(String, String, String, int, boolean)

Gets a description of the optimal set of columns that can be used to select rows in the given table.

 getCatalogs()

Gets the available catalog names in the database.

 getCatalogSeparator()

Gets the separator between catalog and table name.

 getCatalogTerm()

Gets the database vendor's preferred term for "catalog".

 getColumnPrivileges(String, String, String, String)

Gets a description of the access rights of a table's columns.

 getColumns(String, String, String, String)

Gets a description of available table columns in a catalog.

 getCrossReference(String, String, String, String, String, String)

Gets information about the foreign key in foreignTable which references the primary key for primaryTable.

 getDatabaseProductName()

Gets the name of the database product.

 getDatabaseProductVersion()

Gets the version of the database product.

 getDefaultTransactionIsolation()

Determines the database's default transaction isolation level.

 getDriverMajorVersion()

Gets the major version number of the JDBC driver.

 getDriverMinorVersion()

Gets the minor version number of the JDBC driver.

 getDriverName()

Gets the name of the JDBC driver.

 getDriverVersion()

Gets the version of the JDBC driver.

 getExportedKeys(String, String, String)

Gets information about the foreign keys in other tables which reference the primary key in the specified table.

 getExtraNameCharacters()

Gets all of the non-standard characters that may be used in indentifier names.

 getIdentifierQuoteString()

Determines the string used to quote SQL identifiers.

 getImportedKeys(String, String, String)

Gets information about the foreign keys in the specified table, and the primary keys to which they refer.

 getIndexInfo(String, String, String, boolean, boolean)

Gets information about indexes for the specified table.

 getMaxBinaryLiteralLength()

Determines the maximum number of hex characters in an inline binary literal.

 getMaxCatalogNameLength()

Determines the maximum length of a catalog name (in bytes).

 getMaxCharLiteralLength()

Determines the maximum length of a character literal.

 getMaxColumnNameLength()

Determines the maximum length of a column name.

 getMaxColumnsInGroupBy()

Determines the maximum number of columns in a "GROUP BY" clause.

 getMaxColumnsInIndex()

Determines the maximum number of columns allowed in an index.

 getMaxColumnsInOrderBy()

Determines the maximum number of columns in an "ORDER BY" clause.

 getMaxColumnsInSelect()

Determines the maximum number of columns in a "SELECT" list.

 getMaxColumnsInTable()

Determines the maximum number of columns in a table.

 getMaxConnections()

Determines the maximum number of active connections can we have at a time to this database.

 getMaxCursorNameLength()

Determines the maximum length of a cursor name.

 getMaxIndexLength()

Determines the maximum size of an index (in bytes).

 getMaxProcedureNameLength()

Determines the maximum length of a procedure name (in bytes).

 getMaxRowSize()

Determines the maximum length of a single row (in bytes).

 getMaxSchemaNameLength()

Determines the maximum length of a schema name (in bytes).

 getMaxStatementLength()

Determines the maximum length of a SQL statement (in bytes).

 getMaxStatements()

Determines the maximum number of active statements can we have at a time to this database.

 getMaxTableNameLength()

Determines the maximum length of a table name (in bytes).

 getMaxTablesInSelect()

Determines the maximum number of tables in a SELECT..

 getMaxUserNameLength()

Determines the maximum length of a user name (in bytes).

 getNumericFunctions()

Gets a comma-separated list of all math functions this database supports.

 getPrimaryKeys(String, String, String)

Gets a description of a table's primary key columns.

 getProcedureColumns(String, String, String, String)

Gets a description of a catalog's procedure parameters and result columns.

 getProcedures(String, String, String)

Gets descriptions of all matching procedures stored in the database.

 getProcedureTerm()

Gets the database vendor's preferred term for "procedure".

 getSchemas()

Gets the available schema names in the database.

 getSchemaTerm()

Gets the database vendor's preferred term for "schema".

 getSearchStringEscape()

Gets the string to be used to escape '_' and '%' characters in string pattern based searches, such as getTables().

 getSQLKeywords()

Gets a comma-separated list of all SQL keywords for this database that are not also SQL92 keywords.

 getStringFunctions()

Gets a comma-separated list of all string functions this database supports.

 getSystemFunctions()

Gets a comma-separated list of all system functions this database supports.

 getTablePrivileges(String, String, String)

Gets a description of access rights of each table in a catalog.

 getTables(String, String, String, String[])

Gets a description of available tables in a catalog.

 getTableTypes()

Gets the available table types in the database.

 getTimeDateFunctions()

Gets a comma-separated list of all time and date functions this database supports.

 getTypeInfo()

Gets information on all the standard SQL types supported by the database.

 getURL()

Determines the URL for this database.

 getUserName()

Gets our user name in the database.

 getVersionColumns(String, String, String)

Gets a description of a table's column names where the column is automatically updated when ever any field in a row changes.

 isCatalogAtStart()

Gets the database vendor's preferred term for "schema".

 isReadOnly()

Determines if the database is in read-only mode.

 nullPlusNonNullIsNull()

Determines if concatenations between NULL and non-NULL values result in NULL.

 nullsAreSortedAtEnd()

Determines if SQL NULL values are sorted to the end independent of sorting order.

 nullsAreSortedAtStart()

Determines if SQL NULL values are sorted to the start independent of sorting order.

 nullsAreSortedHigh()

Determines if SQL NULL values are sorted high.

 nullsAreSortedLow()

Determines if SQL NULL values are sorted low.

 storesLowerCaseIdentifiers()

Determines if database SQL un-quoted identifiers are case-insensitive and stored in all lower-case.

 storesLowerCaseQuotedIdentifiers()

Determines if database SQL quoted identifiers are case-insensitive and stored in all lower-case.

 storesMixedCaseIdentifiers()

Determines if database SQL un-quoted identifiers are case-insensitive and stored in mixed-case.

 storesMixedCaseQuotedIdentifiers()

Determines if database SQL quoted identifiers are case-insensitive and stored in mixed-case.

 storesUpperCaseIdentifiers()

Determines if database SQL un-quoted identifiers are case-insensitive and stored in all upper-case.

 storesUpperCaseQuotedIdentifiers()

Determines if database SQL quoted identifiers are case-insensitive and stored in all upper-case.

 supportsAlterTableWithAddColumn()

Determines if "ALTER TABLE" with add column is supported.

 supportsAlterTableWithDropColumn()

Determines if "ALTER TABLE" with drop column is supported.

 supportsANSI92EntryLevelSQL()

Determines if the ANSI92 entry-level SQL grammar is supported.

 supportsANSI92FullSQL()

Determines if the ANSI92 full SQL grammar is supported.

 supportsANSI92IntermediateSQL()

Determines if the ANSI92 intermediate SQL grammar is supported.

 supportsCatalogsInDataManipulation()

Determines if catalog names can be used in data manipulation statements.

 supportsCatalogsInIndexDefinitions()

Determines if catalog names can be used in index definition manipulation statements.

 supportsCatalogsInPrivilegeDefinitions()

Determines if catalog names can be used in privilege definition statements.

 supportsCatalogsInProcedureCalls()

Determines if catalog names can be used in procedure call statements.

 supportsCatalogsInTableDefinitions()

Determines if catalog names can be used in table definition statements.

 supportsColumnAliasing()

Determines if column aliasing is supported.

 supportsConvert()

Determines if the "CONVERT" function supported, which converts between SQL types.

 supportsConvert(int, int)

Determines if the "CONVERT" function supported for the given SQL types.

 supportsCoreSQLGrammar()

Determines if the ODBC Core SQL grammar is supported.

 supportsCorrelatedSubqueries()

Determines if correlated subqueries are supported.

 supportsDataDefinitionAndDataManipulationTransactions()

Determines if both data definition and data manipulation statements are supported within transactions.

 supportsDataManipulationTransactionsOnly()

Determines if only data manipulation statements are supported within transactions (and not data definition statements).

 supportsDifferentTableCorrelationNames()

Determines if the supported table correlation names are restricted to be different from the names of the tables.

 supportsExpressionsInOrderBy()

Determines if expressions in "ORDER BY" lists are supported.

 supportsExtendedSQLGrammar()

Determines if the ODBC Extended SQL grammar is supported.

 supportsFullOuterJoins()

Determines if full nested outer joins are supported.

 supportsGroupBy()

Determines if some form of "GROUP BY" clause is supported.

 supportsGroupByBeyondSelect()

Determines if a "GROUP BY" clause can add columns not in the SELECT.

 supportsGroupByUnrelated()

Determines if a "GROUP BY" clause can use columns not in the SELECT.

 supportsIntegrityEnhancementFacility()

Determines if the SQL Integrity Enhancement Facility is supported.

 supportsLikeEscapeClause()

Determines if an escape character can be used in "LIKE" clauses.

 supportsLimitedOuterJoins()

Determines if there is limited support for outer joins.

 supportsMinimumSQLGrammar()

Determines if the ODBC Minimum SQL grammar is supported.

 supportsMixedCaseIdentifiers()

Determines if database SQL un-quoted identifiers are case-sensitive and stored in mixed case.

 supportsMixedCaseQuotedIdentifiers()

Determines if database SQL quoted identifiers are case-sensitive and stored in mixed case.

 supportsMultipleResultSets()

Determines if multiple ResultSets from a single execute are supported.

 supportsMultipleTransactions()

Determines if multiple transactions open at once (on different connections) are supported.

 supportsNonNullableColumns()

Determines if columns can be defined that don't take NULL values.

 supportsOpenCursorsAcrossCommit()

Determines if cursors always remain open across commits.

 supportsOpenCursorsAcrossRollback()

Determines if cursors always remain open across rollbacks.

 supportsOpenStatementsAcrossCommit()

Determines if statments always remain open across commits.

 supportsOpenStatementsAcrossRollback()

Determines if statements always remain open across rollbacks.

 supportsOrderByUnrelated()

Determines if an "ORDER BY" clause can use columns not in the SELECT.

 supportsOuterJoins()

Determines if some form of outer join is supported.

 supportsPositionedDelete()

Determines if positioned DELETE is supported.

 supportsPositionedUpdate()

Determines if positioned UPDATE is supported.

 supportsSchemasInDataManipulation()

Determines if schema names can be used in data manipulation statements.

 supportsSchemasInIndexDefinitions()

Determines if schema names can be used in index definition statements.

 supportsSchemasInPrivilegeDefinitions()

Determines if schema names can be used in privilege definition statements.

 supportsSchemasInProcedureCalls()

Determines if schema names can be used in procedure call statements.

 supportsSchemasInTableDefinitions()

Determines if schema names can be used in table definition statements.

 supportsSelectForUpdate()

Determines if SELECT for UPDATE is supported.

 supportsStoredProcedures()

Determines if stored procedure calls using the stored procedure escape syntax are supported.

 supportsSubqueriesInComparisons()

Determines if subqueries in comparison expressions are supported.

 supportsSubqueriesInExists()

Determines if subqueries in "exists" expressions are supported.

 supportsSubqueriesInIns()

Determines if subqueries in "in" statements are supported.

 supportsSubqueriesInQuantifieds()

Determines if subqueries in quantified expressions are supported.

 supportsTableCorrelationNames()

Determines if table correlation names are supported.

 supportsTransactionIsolationLevel(int)

Determines if the database supports the given transaction isolation level.

 supportsTransactions()

Determines the database supports transactions.

 supportsUnion()

Determines if SQL UNION is supported.

 supportsUnionAll()

Determines if SQL UNION ALL is supported.

 usesLocalFilePerTable()

Determines if the database stores each table in a separate local file.

 usesLocalFiles()

Determines if the database stores tables in a local file.

 allProceduresAreCallable

 public boolean allProceduresAreCallable()

Determines if all procedures returned by getProcedures() can be called by the current user.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if all procedures callable

See Also:

getProcedures, allProceduresAreCallable

 allTablesAreSelectable

 public boolean allTablesAreSelectable()

Determines if all tables returned by getTable can be SELECTed by the current user.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if all tables SELECTable

See Also:

allTablesAreSelectable

 dataDefinitionCausesTransactionCommit

 public boolean dataDefinitionCausesTransactionCommit()

Determines if a data definition statement forces the transaction to commit.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if so

See Also:

getDefaultTransactionIsolation, supportsTransactions, supportsTransactionIsolationLevel, supportsDataDefinitionAndDataManipulationTransactions, supportsDataManipulationTransactionsOnly, dataDefinitionIgnoredInTransactions

 dataDefinitionIgnoredInTransactions

 public boolean dataDefinitionIgnoredInTransactions()

Determines if data definition statements within a transaction are ignored.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if they are ignored

See Also:

getDefaultTransactionIsolation, supportsTransactions, supportsTransactionIsolationLevel, supportsDataDefinitionAndDataManipulationTransactions, supportsDataManipulationTransactionsOnly, dataDefinitionCausesTransactionCommit

 doesMaxRowSizeIncludeBlobs

 public boolean doesMaxRowSizeIncludeBlobs()

Determines if the getMaxRowSize() value includes LONGVARCHAR and LONGVARBINARY blobs.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if so

See Also:

getMaxBinaryLiteralLength, getMaxCharLiteralLength, getMaxColumnNameLength, getMaxColumnsInGroupBy, getMaxColumnsInIndex, getMaxColumnsInOrderBy, getMaxColumnsInSelect, getMaxColumnsInTable, getMaxConnections, getMaxCursorNameLength, getMaxIndexLength, getMaxSchemaNameLength, getMaxProcedureNameLength, getMaxCatalogNameLength, getMaxRowSize, getMaxStatementLength, getMaxStatements, getMaxTableNameLength, getMaxTablesInSelect, getMaxUserNameLength

 getBestRowIdentifier

 public RelationView getBestRowIdentifier(String catalog,
                                          String schema,
                                          String table,
                                          int scope,
                                          boolean nullable) throws SQLException

Gets a description of the optimal set of columns that can be used to select rows in the given table.

This is just like the method in the JDBC DatabaseMetaData interface.

See the description in the java.sql.DatabaseMetaData interface for more detailed information.

Parameters:

catalog - the catalog name, "" for those without a catalog, null to not include catalog in the selection criteria

schema - the schema name, "" for those without a schema

table - the table name

scope - the scope of interest

nullable - true to include columns that are nullable

Returns:

a ResultSet in which each row is a column description

Throws: SQLException

if a SQL database access error occurred

See Also:

getBestRowIdentifier

 getCatalogs

 public RelationView getCatalogs() throws SQLException

Gets the available catalog names in the database. Returns a ResultSet containing a row for each catalog. Each row in the ResultSet contains a single String field which is the catalog name. The results are sorted by string value.

This is just like the method in the JDBC DatabaseMetaData interface.

See the description in the java.sql.DatabaseMetaData interface for more detailed information.

Returns:

a ResultSet, each row contains a single String column with the catalog name

Throws: SQLException

if a SQL database access error occurred

See Also:

getCatalogs

 getCatalogSeparator

 public String getCatalogSeparator()

Gets the separator between catalog and table name.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

the separator

 getCatalogTerm

 public String getCatalogTerm()

Gets the database vendor's preferred term for "catalog".

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

the vendor's preferred term

See Also:

getSchemaTerm, getProcedureTerm

 getColumnPrivileges

 public RelationView getColumnPrivileges(String catalog,
                                         String schema,
                                         String table,
                                         String columnNamePattern) throws SQLException

Gets a description of the access rights of a table's columns.

This is just like the method in the JDBC DatabaseMetaData interface.

See the description in the java.sql.DatabaseMetaData interface for more detailed information.

Parameters:

catalog - the catalog name, "" for those without a catalog, null to not include catalog in the selection criteria

schemaPattern - the schema name pattern, "" for those without a schema

table - the table name

columnNamePattern - the column name pattern

Returns:

a ResultSet in which each row is a column privilege description

Throws: SQLException

if a SQL database access error occurred

See Also:

getColumnPrivileges

 getColumns

 public RelationView getColumns(String catalog,
                                String schemaPattern,
                                String tableNamePattern,
                                String columnNamePattern) throws SQLException

Gets a description of available table columns in a catalog.

This is just like the method in the JDBC DatabaseMetaData interface.

See the description in the java.sql.DatabaseMetaData interface for more detailed information.

Parameters:

catalog - the catalog name, "" for those without a catalog, null to not include catalog in the selection criteria

schemaPattern - the schema name pattern, "" for those without a schema

tableNamePattern - the table name pattern

columnNamePattern - the column name pattern

Returns:

a ResultSet in which each row is a column description

Throws: SQLException

if a SQL database access error occurred

See Also:

getColumns

 getCrossReference

 public RelationView getCrossReference(String primaryCatalog,
                                       String primarySchema,
                                       String primaryTable,
                                       String foreignCatalog,
                                       String foreignSchema,
                                       String foreignTable) throws SQLException

Gets information about the foreign key in foreignTable which references the primary key for primaryTable.

This is just like the method in the JDBC DatabaseMetaData interface.

See the description in the java.sql.DatabaseMetaData interface for more detailed information.

Parameters:

primaryCatalog - the catalog name, "" for those without a catalog, null to not include catalog in the selection criteria

primarySchema - the schema name pattern, "" for those without a schema

primaryTable - the name of the table that exports the key

foreignCatalog - the catalog name, "" for those without a catalog, null to not include catalog in the selection criteria

foreignSchema - the schema name pattern, "" for those without a schema

foreignTable - the name of the table that imports the key

Returns:

a ResultSet in which each row is a foreign key column description

Throws: SQLException

if a SQL database access error occurred

See Also:

getCrossReference, getExportedKeys, getImportedKeys

 getDatabaseProductName

 public String getDatabaseProductName()

Gets the name of the database product.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

the name

See Also:

getDatabaseProductVersion, getDatabaseProductName

 getDatabaseProductVersion

 public String getDatabaseProductVersion()

Gets the version of the database product.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

the version

See Also:

getDatabaseProductName, getDatabaseProductVersion

 getDefaultTransactionIsolation

 public int getDefaultTransactionIsolation()

Determines the database's default transaction isolation level. Transaction isolation level values are defined in java.sql.Connection.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

the default transaction isolation level, one of: TRANSACTION_NONE, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_READ_COMMITTED, TRANSACTION_REPEATABLE_READ, or TRANSACTION_SERIALIZABLE

See Also:

getDefaultTransactionIsolation, supportsTransactions, supportsTransactionIsolationLevel, supportsDataDefinitionAndDataManipulationTransactions, supportsDataManipulationTransactionsOnly, dataDefinitionCausesTransactionCommit, dataDefinitionIgnoredInTransactions, TRANSACTION_NONE, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_READ_COMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE

 getDriverMajorVersion

 public int getDriverMajorVersion()

Gets the major version number of the JDBC driver.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

the version number

See Also:

getDriverMinorVersion, getDriverMajorVersion

 getDriverMinorVersion

 public int getDriverMinorVersion()

Gets the minor version number of the JDBC driver.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

the version number

See Also:

getDriverMajorVersion, getDriverMinorVersion

 getDriverName

 public String getDriverName()

Gets the name of the JDBC driver.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

the name

See Also:

getDriverVersion, getDriverName

 getDriverVersion

 public String getDriverVersion()

Gets the version of the JDBC driver.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

the version

See Also:

getDriverName, getDriverVersion

 getExportedKeys

 public RelationView getExportedKeys(String catalog,
                                     String schema,
                                     String table) throws SQLException

Gets information about the foreign keys in other tables which reference the primary key in the specified table.

This is just like the method in the JDBC DatabaseMetaData interface.

See the description in the java.sql.DatabaseMetaData interface for more detailed information.

Parameters:

catalog - the catalog name, "" for those without a catalog, null to not include catalog in the selection criteria

schema - the schema name, "" for those without a schema

table - the table name

Returns:

a ResultSet in which each row is a foreign key column description

Throws: SQLException

if a SQL database access error occurred

See Also:

getExportedKeys, getImportedKeys, getCrossReference

 getExtraNameCharacters

 public String getExtraNameCharacters()

Gets all of the non-standard characters that may be used in indentifier names. The standard identifier name characters are a-z, A-Z, 0-9, and _.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

all non-standard identifier name characters

See Also:

getExtraNameCharacters

 getIdentifierQuoteString

 public String getIdentifierQuoteString()

Determines the string used to quote SQL identifiers.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

the string used for quoting. JDBC-compliant drivers always use the double-quote character: ".

See Also:

getIdentifierQuoteString

 getImportedKeys

 public RelationView getImportedKeys(String catalog,
                                     String schema,
                                     String table) throws SQLException

Gets information about the foreign keys in the specified table, and the primary keys to which they refer.

This is just like the method in the JDBC DatabaseMetaData interface.

See the description in the java.sql.DatabaseMetaData interface for more detailed information.

Parameters:

catalog - the catalog name, "" for those without a catalog, null to not include catalog in the selection criteria

schema - the schema name, "" for those without a schema

table - the table name

Returns:

a ResultSet in which each row is a primary key column description

Throws: SQLException

if a SQL database access error occurred

See Also:

getPrimaryKeys, getExportedKeys, getCrossReference

 getIndexInfo

 public RelationView getIndexInfo(String catalog,
                                  String schema,
                                  String table,
                                  boolean unique,
                                  boolean approximate) throws SQLException

Gets information about indexes for the specified table.

This is just like the method in the JDBC DatabaseMetaData interface.

See the description in the java.sql.DatabaseMetaData interface for more detailed information.

Parameters:

catalog - the catalog name, "" for those without a catalog, null to not include catalog in the selection criteria

schema - the schema name, "" for those without a schema

table - the table name

unique - if true then the results describe only the indexes that are restricted to unique values

approximate - if true then the driver may use cached and potentially out of date values for some result fields

Returns:

a ResultSet in which each row is a index column description

Throws: SQLException

if a SQL database access error occurred

See Also:

getIndexInfo

 getMaxBinaryLiteralLength

 public int getMaxBinaryLiteralLength()

Determines the maximum number of hex characters in an inline binary literal.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

the maximum length, or zero if there is no limit or it is unknown

See Also:

getMaxCharLiteralLength, getMaxColumnNameLength, getMaxColumnsInGroupBy, getMaxColumnsInIndex, getMaxColumnsInOrderBy, getMaxColumnsInSelect, getMaxColumnsInTable, getMaxConnections, getMaxCursorNameLength, getMaxIndexLength, getMaxSchemaNameLength, getMaxProcedureNameLength, getMaxCatalogNameLength, getMaxRowSize, doesMaxRowSizeIncludeBlobs, getMaxStatementLength, getMaxStatements, getMaxTableNameLength, getMaxTablesInSelect, getMaxUserNameLength

 getMaxCatalogNameLength

 public int getMaxCatalogNameLength()

Determines the maximum length of a catalog name (in bytes).

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

the maximum length, or zero if there is no limit or it is unknown

See Also:

getMaxBinaryLiteralLength, getMaxCharLiteralLength, getMaxColumnNameLength, getMaxColumnsInGroupBy, getMaxColumnsInIndex, getMaxColumnsInOrderBy, getMaxColumnsInSelect, getMaxColumnsInTable, getMaxConnections, getMaxCursorNameLength, getMaxIndexLength, getMaxSchemaNameLength, getMaxProcedureNameLength, getMaxRowSize, doesMaxRowSizeIncludeBlobs, getMaxStatementLength, getMaxStatements, getMaxTableNameLength, getMaxTablesInSelect, getMaxUserNameLength

 getMaxCharLiteralLength

 public int getMaxCharLiteralLength()

Determines the maximum length of a character literal.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

the maximum length, or zero if there is no limit or it is unknown

See Also:

getMaxBinaryLiteralLength, getMaxColumnNameLength, getMaxColumnsInGroupBy, getMaxColumnsInIndex, getMaxColumnsInOrderBy, getMaxColumnsInSelect, getMaxColumnsInTable, getMaxConnections, getMaxCursorNameLength, getMaxIndexLength, getMaxSchemaNameLength, getMaxProcedureNameLength, getMaxCatalogNameLength, getMaxRowSize, doesMaxRowSizeIncludeBlobs, getMaxStatementLength, getMaxStatements, getMaxTableNameLength, getMaxTablesInSelect, getMaxUserNameLength

 getMaxColumnNameLength

 public int getMaxColumnNameLength()

Determines the maximum length of a column name.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

the maximum length, or zero if there is no limit or it is unknown

See Also:

getMaxBinaryLiteralLength, getMaxCharLiteralLength, getMaxColumnsInGroupBy, getMaxColumnsInIndex, getMaxColumnsInOrderBy, getMaxColumnsInSelect, getMaxColumnsInTable, getMaxConnections, getMaxCursorNameLength, getMaxIndexLength, getMaxSchemaNameLength, getMaxProcedureNameLength, getMaxCatalogNameLength, getMaxRowSize, doesMaxRowSizeIncludeBlobs, getMaxStatementLength, getMaxStatements, getMaxTableNameLength, getMaxTablesInSelect, getMaxUserNameLength

 getMaxColumnsInGroupBy

 public int getMaxColumnsInGroupBy()

Determines the maximum number of columns in a "GROUP BY" clause.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

the maximum, or zero if there is no limit or it is unknown

See Also:

getMaxBinaryLiteralLength, getMaxCharLiteralLength, getMaxColumnNameLength, getMaxColumnsInIndex, getMaxColumnsInOrderBy, getMaxColumnsInSelect, getMaxColumnsInTable, getMaxConnections, getMaxCursorNameLength, getMaxIndexLength, getMaxSchemaNameLength, getMaxProcedureNameLength, getMaxCatalogNameLength, getMaxRowSize, doesMaxRowSizeIncludeBlobs, getMaxStatementLength, getMaxStatements, getMaxTableNameLength, getMaxTablesInSelect, getMaxUserNameLength

 getMaxColumnsInIndex

 public int getMaxColumnsInIndex()

Determines the maximum number of columns allowed in an index.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

the maximum, or zero if there is no limit or it is unknown

See Also:

getMaxBinaryLiteralLength, getMaxCharLiteralLength, getMaxColumnNameLength, getMaxColumnsInGroupBy, getMaxColumnsInOrderBy, getMaxColumnsInSelect, getMaxColumnsInTable, getMaxConnections, getMaxCursorNameLength, getMaxIndexLength, getMaxSchemaNameLength, getMaxProcedureNameLength, getMaxCatalogNameLength, getMaxRowSize, doesMaxRowSizeIncludeBlobs, getMaxStatementLength, getMaxStatements, getMaxTableNameLength, getMaxTablesInSelect, getMaxUserNameLength

 getMaxColumnsInOrderBy

 public int getMaxColumnsInOrderBy()

Determines the maximum number of columns in an "ORDER BY" clause.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

the maximum, or zero if there is no limit or it is unknown

See Also:

getMaxBinaryLiteralLength, getMaxCharLiteralLength, getMaxColumnNameLength, getMaxColumnsInGroupBy, getMaxColumnsInIndex, getMaxColumnsInSelect, getMaxColumnsInTable, getMaxConnections, getMaxCursorNameLength, getMaxIndexLength, getMaxSchemaNameLength, getMaxProcedureNameLength, getMaxCatalogNameLength, getMaxRowSize, doesMaxRowSizeIncludeBlobs, getMaxStatementLength, getMaxStatements, getMaxTableNameLength, getMaxTablesInSelect, getMaxUserNameLength

 getMaxColumnsInSelect

 public int getMaxColumnsInSelect()

Determines the maximum number of columns in a "SELECT" list.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

the maximum, or zero if there is no limit or it is unknown

See Also:

getMaxBinaryLiteralLength, getMaxCharLiteralLength, getMaxColumnNameLength, getMaxColumnsInGroupBy, getMaxColumnsInIndex, getMaxColumnsInOrderBy, getMaxColumnsInTable, getMaxConnections, getMaxCursorNameLength, getMaxIndexLength, getMaxSchemaNameLength, getMaxProcedureNameLength, getMaxCatalogNameLength, getMaxRowSize, doesMaxRowSizeIncludeBlobs, getMaxStatementLength, getMaxStatements, getMaxTableNameLength, getMaxTablesInSelect, getMaxUserNameLength

 getMaxColumnsInTable

 public int getMaxColumnsInTable()

Determines the maximum number of columns in a table.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

the maximum number, or zero if there is no limit or it is unknown

See Also:

getMaxBinaryLiteralLength, getMaxCharLiteralLength, getMaxColumnNameLength, getMaxColumnsInGroupBy, getMaxColumnsInIndex, getMaxColumnsInOrderBy, getMaxColumnsInSelect, getMaxConnections, getMaxCursorNameLength, getMaxIndexLength, getMaxSchemaNameLength, getMaxProcedureNameLength, getMaxCatalogNameLength, getMaxRowSize, doesMaxRowSizeIncludeBlobs, getMaxStatementLength, getMaxStatements, getMaxTableNameLength, getMaxTablesInSelect, getMaxUserNameLength

 getMaxConnections

 public int getMaxConnections()

Determines the maximum number of active connections can we have at a time to this database.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

the maximum number, or zero if there is no limit or it is unknown

See Also:

getMaxBinaryLiteralLength, getMaxCharLiteralLength, getMaxColumnNameLength, getMaxColumnsInGroupBy, getMaxColumnsInIndex, getMaxColumnsInOrderBy, getMaxColumnsInSelect, getMaxColumnsInTable, getMaxCursorNameLength, getMaxIndexLength, getMaxSchemaNameLength, getMaxProcedureNameLength, getMaxCatalogNameLength, getMaxRowSize, doesMaxRowSizeIncludeBlobs, getMaxStatementLength, getMaxStatements, getMaxTableNameLength, getMaxTablesInSelect, getMaxUserNameLength

 getMaxCursorNameLength

 public int getMaxCursorNameLength()

Determines the maximum length of a cursor name.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

the maximum length, or zero if there is no limit or it is unknown

See Also:

getMaxBinaryLiteralLength, getMaxCharLiteralLength, getMaxColumnNameLength, getMaxColumnsInGroupBy, getMaxColumnsInIndex, getMaxColumnsInOrderBy, getMaxColumnsInSelect, getMaxColumnsInTable, getMaxConnections, getMaxIndexLength, getMaxSchemaNameLength, getMaxProcedureNameLength, getMaxCatalogNameLength, getMaxRowSize, doesMaxRowSizeIncludeBlobs, getMaxStatementLength, getMaxStatements, getMaxTableNameLength, getMaxTablesInSelect, getMaxUserNameLength

 getMaxIndexLength

 public int getMaxIndexLength()

Determines the maximum size of an index (in bytes).

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

the maximum length, or zero if there is no limit or it is unknown

See Also:

getMaxBinaryLiteralLength, getMaxCharLiteralLength, getMaxColumnNameLength, getMaxColumnsInGroupBy, getMaxColumnsInIndex, getMaxColumnsInOrderBy, getMaxColumnsInSelect, getMaxColumnsInTable, getMaxConnections, getMaxCursorNameLength, getMaxSchemaNameLength, getMaxProcedureNameLength, getMaxCatalogNameLength, getMaxRowSize, doesMaxRowSizeIncludeBlobs, getMaxStatementLength, getMaxStatements, getMaxTableNameLength, getMaxTablesInSelect, getMaxUserNameLength

 getMaxProcedureNameLength

 public int getMaxProcedureNameLength()

Determines the maximum length of a procedure name (in bytes).

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

the maximum length, or zero if there is no limit or it is unknown

See Also:

getMaxBinaryLiteralLength, getMaxCharLiteralLength, getMaxColumnNameLength, getMaxColumnsInGroupBy, getMaxColumnsInIndex, getMaxColumnsInOrderBy, getMaxColumnsInSelect, getMaxColumnsInTable, getMaxConnections, getMaxCursorNameLength, getMaxIndexLength, getMaxSchemaNameLength, getMaxCatalogNameLength, getMaxRowSize, doesMaxRowSizeIncludeBlobs, getMaxStatementLength, getMaxStatements, getMaxTableNameLength, getMaxTablesInSelect, getMaxUserNameLength

 getMaxRowSize

 public int getMaxRowSize()

Determines the maximum length of a single row (in bytes).

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

the maximum length, or zero if there is no limit or it is unknown

See Also:

getMaxBinaryLiteralLength, getMaxCharLiteralLength, getMaxColumnNameLength, getMaxColumnsInGroupBy, getMaxColumnsInIndex, getMaxColumnsInOrderBy, getMaxColumnsInSelect, getMaxColumnsInTable, getMaxConnections, getMaxCursorNameLength, getMaxIndexLength, getMaxSchemaNameLength, getMaxProcedureNameLength, getMaxCatalogNameLength, doesMaxRowSizeIncludeBlobs, getMaxStatementLength, getMaxStatements, getMaxTableNameLength, getMaxTablesInSelect, getMaxUserNameLength

 getMaxSchemaNameLength

 public int getMaxSchemaNameLength()

Determines the maximum length of a schema name (in bytes).

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

the maximum length, or zero if there is no limit or it is unknown

See Also:

getMaxBinaryLiteralLength, getMaxCharLiteralLength, getMaxColumnNameLength, getMaxColumnsInGroupBy, getMaxColumnsInIndex, getMaxColumnsInOrderBy, getMaxColumnsInSelect, getMaxColumnsInTable, getMaxConnections, getMaxCursorNameLength, getMaxIndexLength, getMaxProcedureNameLength, getMaxCatalogNameLength, getMaxRowSize, doesMaxRowSizeIncludeBlobs, getMaxStatementLength, getMaxStatements, getMaxTableNameLength, getMaxTablesInSelect, getMaxUserNameLength

 getMaxStatementLength

 public int getMaxStatementLength()

Determines the maximum length of a SQL statement (in bytes).

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

the maximum length, or zero if there is no limit or it is unknown

See Also:

getMaxBinaryLiteralLength, getMaxCharLiteralLength, getMaxColumnNameLength, getMaxColumnsInGroupBy, getMaxColumnsInIndex, getMaxColumnsInOrderBy, getMaxColumnsInSelect, getMaxColumnsInTable, getMaxConnections, getMaxCursorNameLength, getMaxIndexLength, getMaxSchemaNameLength, getMaxProcedureNameLength, getMaxCatalogNameLength, getMaxRowSize, doesMaxRowSizeIncludeBlobs, getMaxStatements, getMaxTableNameLength, getMaxTablesInSelect, getMaxUserNameLength

 getMaxStatements

 public int getMaxStatements()

Determines the maximum number of active statements can we have at a time to this database.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

the maximum number, or zero if there is no limit or it is unknown

See Also:

getMaxBinaryLiteralLength, getMaxCharLiteralLength, getMaxColumnNameLength, getMaxColumnsInGroupBy, getMaxColumnsInIndex, getMaxColumnsInOrderBy, getMaxColumnsInSelect, getMaxColumnsInTable, getMaxConnections, getMaxCursorNameLength, getMaxIndexLength, getMaxSchemaNameLength, getMaxProcedureNameLength, getMaxCatalogNameLength, getMaxRowSize, doesMaxRowSizeIncludeBlobs, getMaxStatementLength, getMaxTableNameLength, getMaxTablesInSelect, getMaxUserNameLength

 getMaxTableNameLength

 public int getMaxTableNameLength()

Determines the maximum length of a table name (in bytes).

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

the maximum length, or zero if there is no limit or it is unknown

See Also:

getMaxBinaryLiteralLength, getMaxCharLiteralLength, getMaxColumnNameLength, getMaxColumnsInGroupBy, getMaxColumnsInIndex, getMaxColumnsInOrderBy, getMaxColumnsInSelect, getMaxColumnsInTable, getMaxConnections, getMaxCursorNameLength, getMaxIndexLength, getMaxSchemaNameLength, getMaxProcedureNameLength, getMaxCatalogNameLength, getMaxRowSize, doesMaxRowSizeIncludeBlobs, getMaxStatementLength, getMaxStatements, getMaxTablesInSelect, getMaxUserNameLength

 getMaxTablesInSelect

 public int getMaxTablesInSelect()

Determines the maximum number of tables in a SELECT..

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

the maximum number, or zero if there is no limit or it is unknown

See Also:

getMaxBinaryLiteralLength, getMaxCharLiteralLength, getMaxColumnNameLength, getMaxColumnsInGroupBy, getMaxColumnsInIndex, getMaxColumnsInOrderBy, getMaxColumnsInSelect, getMaxColumnsInTable, getMaxConnections, getMaxCursorNameLength, getMaxIndexLength, getMaxSchemaNameLength, getMaxProcedureNameLength, getMaxCatalogNameLength, getMaxRowSize, doesMaxRowSizeIncludeBlobs, getMaxStatementLength, getMaxStatements, getMaxTableNameLength, getMaxUserNameLength

 getMaxUserNameLength

 public int getMaxUserNameLength()

Determines the maximum length of a user name (in bytes).

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

the maximum length, or zero if there is no limit or it is unknown

See Also:

getMaxBinaryLiteralLength, getMaxCharLiteralLength, getMaxColumnNameLength, getMaxColumnsInGroupBy, getMaxColumnsInIndex, getMaxColumnsInOrderBy, getMaxColumnsInSelect, getMaxColumnsInTable, getMaxConnections, getMaxCursorNameLength, getMaxIndexLength, getMaxSchemaNameLength, getMaxProcedureNameLength, getMaxCatalogNameLength, getMaxRowSize, doesMaxRowSizeIncludeBlobs, getMaxStatementLength, getMaxStatements, getMaxTableNameLength, getMaxTablesInSelect

 getNumericFunctions

 public String getNumericFunctions() throws SQLException

Gets a comma-separated list of all math functions this database supports.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

a comma-separated list of functions

Throws: SQLException

if a SQL database access error occurred

See Also:

getStringFunctions, getSystemFunctions, getTimeDateFunctions, getNumericFunctions

 getPrimaryKeys

 public RelationView getPrimaryKeys(String catalog,
                                    String schema,
                                    String table) throws SQLException

Gets a description of a table's primary key columns.

This is just like the method in the JDBC DatabaseMetaData interface.

See the description in the java.sql.DatabaseMetaData interface for more detailed information.

Parameters:

catalog - the catalog name, "" for those without a catalog, null to not include catalog in the selection criteria

schema - the schema name, "" for those without a schema

table - the table name

Returns:

a ResultSet in which each row is a column description

Throws: SQLException

if a SQL database access error occurred

See Also:

getPrimaryKeys

 getProcedureColumns

 public RelationView getProcedureColumns(String catalog,
                                         String schemaPattern,
                                         String procedureNamePattern,
                                         String columnNamePattern) throws SQLException

Gets a description of a catalog's procedure parameters and result columns.

This is just like the method in the JDBC DatabaseMetaData interface.

See the description in the java.sql.DatabaseMetaData interface for more detailed information.

Parameters:

catalog - the catalog name, "" for procedures without a catalog, null to not include catalog in the selection criteria

schemaPattern - the schema name pattern, "" for procedures without a schema

procedureNamePattern - the procedure name pattern

columnNamePattern - the column name pattern

Returns:

a ResultSet in which each row is a procdure parameter or column description

Throws: SQLException

if a SQL database access error occurred

See Also:

getProcedureColumns

 getProcedures

 public RelationView getProcedures(String catalog,
                                   String schemaPattern,
                                   String procedureNamePattern) throws SQLException

Gets descriptions of all matching procedures stored in the database.

This is just like the method in the JDBC DatabaseMetaData interface.

See the description in the java.sql.DatabaseMetaData interface for more detailed information.

Parameters:

catalog - the catalog name, "" for procedures without a catalog, null to not include catalog in the selection criteria

schemaPattern - the schema name pattern, "" for procedures without a schema

procedureNamePattern - the procedure name pattern

Returns:

a ResultSet in which each row describes a procedure

Throws: SQLException

if a SQL database access error occurred

See Also:

getProcedures

 getProcedureTerm

 public String getProcedureTerm()

Gets the database vendor's preferred term for "procedure".

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

the vendor's preferred term

See Also:

getSchemaTerm, getCatalogTerm

 getSchemas

 public RelationView getSchemas() throws SQLException

Gets the available schema names in the database. Returns a ResultSet containing a row for each schema. Each row in the ResultSet contains a single String field which is the schema username. The results are sorted by string value.

This is just like the method in the JDBC DatabaseMetaData interface.

See the description in the java.sql.DatabaseMetaData interface for more detailed information.

Returns:

a ResultSet, each row contains a single String column with the schema name

Throws: SQLException

if a SQL database access error occurred

See Also:

getSchemas

 getSchemaTerm

 public String getSchemaTerm()

Gets the database vendor's preferred term for "schema".

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

the vendor's preferred term

See Also:

getProcedureTerm, getCatalogTerm

 getSearchStringEscape

 public String getSearchStringEscape()

Gets the string to be used to escape '_' and '%' characters in string pattern based searches, such as getTables().

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

the escape string

See Also:

getSearchStringEscape

 getSQLKeywords

 public String getSQLKeywords() throws SQLException

Gets a comma-separated list of all SQL keywords for this database that are not also SQL92 keywords.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

a comma-separated list of SQL keywords

Throws: SQLException

if a SQL database access error occurred

See Also:

getSQLKeywords

 getStringFunctions

 public String getStringFunctions() throws SQLException

Gets a comma-separated list of all string functions this database supports.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

a comma-separated list of functions

Throws: SQLException

if a SQL database access error occurred

See Also:

getNumericFunctions, getSystemFunctions, getTimeDateFunctions, getStringFunctions

 getSystemFunctions

 public String getSystemFunctions() throws SQLException

Gets a comma-separated list of all system functions this database supports.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

a comma-separated list of functions

Throws: SQLException

if a SQL database access error occurred

See Also:

getNumericFunctions, getStringFunctions, getTimeDateFunctions, getSystemFunctions

 getTablePrivileges

 public RelationView getTablePrivileges(String catalog,
                                        String schemaPattern,
                                        String tableNamePattern) throws SQLException

Gets a description of access rights of each table in a catalog.

This is just like the method in the JDBC DatabaseMetaData interface.

See the description in the java.sql.DatabaseMetaData interface for more detailed information.

Parameters:

catalog - the catalog name, "" for those without a catalog, null to not include catalog in the selection criteria

schemaPattern - the schema name pattern, "" for those without a schema

tableNamePattern - the table name pattern

Returns:

a ResultSet in which each row is a table privilege description

Throws: SQLException

if a SQL database access error occurred

See Also:

getTablePrivileges

 getTables

 public RelationView getTables(String catalog,
                               String schemaPattern,
                               String tableNamePattern,
                               String types[]) throws SQLException

Gets a description of available tables in a catalog.

This is just like the method in the JDBC DatabaseMetaData interface.

See the description in the java.sql.DatabaseMetaData interface for more detailed information.

Parameters:

catalog - the catalog name, "" for tables without a catalog, null to not include catalog in the selection criteria

schemaPattern - the schema name pattern, "" for tables without a schema

tableNamePattern - the table name pattern

types - the list of types to include, or null for all types

Returns:

a ResultSet in which each row is a table description

Throws: SQLException

if a SQL database access error occurred

See Also:

getTables

 getTableTypes

 public RelationView getTableTypes() throws SQLException

Gets the available table types in the database. Returns a ResultSet containing a row for each table type. Each row in the ResultSet contains a single String field which is the table type. The results are sorted by string value.

This is just like the method in the JDBC DatabaseMetaData interface.

See the description in the java.sql.DatabaseMetaData interface for more detailed information.

Returns:

a ResultSet, each row contains a single String column with the table type

Throws: SQLException

if a SQL database access error occurred

See Also:

getTableTypes

 getTimeDateFunctions

 public String getTimeDateFunctions() throws SQLException

Gets a comma-separated list of all time and date functions this database supports.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

a comma-separated list of functions

Throws: SQLException

if a SQL database access error occurred

See Also:

getNumericFunctions, getStringFunctions, getSystemFunctions, getTimeDateFunctions

 getTypeInfo

 public RelationView getTypeInfo() throws SQLException

Gets information on all the standard SQL types supported by the database.

This is just like the method in the JDBC DatabaseMetaData interface.

See the description in the java.sql.DatabaseMetaData interface for more detailed information.

Returns:

a ResultSet in which each row is a SQL type description

Throws: SQLException

if a SQL database access error occurred

See Also:

getTypeInfo

 getURL

 public String getURL() throws SQLException

Determines the URL for this database. Returns null if cannot generate one.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true this database's URL or null

Throws: SQLException

if a SQL database access error occurred

See Also:

getURL

 getUserName

 public String getUserName()

Gets our user name in the database.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

our user name as the database knows it

See Also:

getUserName

 getVersionColumns

 public RelationView getVersionColumns(String catalog,
                                       String schema,
                                       String table) throws SQLException

Gets a description of a table's column names where the column is automatically updated when ever any field in a row changes.

This is just like the method in the JDBC DatabaseMetaData interface.

See the description in the java.sql.DatabaseMetaData interface for more detailed information.

Parameters:

catalog - the catalog name, "" for those without a catalog, null to not include catalog in the selection criteria

schema - the schema name, "" for those without a schema

table - the table name

Returns:

a ResultSet in which each row is a column description

Throws: SQLException

if a SQL database access error occurred

See Also:

getVersionColumns

 isCatalogAtStart

 public boolean isCatalogAtStart()

Gets the database vendor's preferred term for "schema".

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

the vendor's preferred term

 isReadOnly

 public boolean isReadOnly()

Determines if the database is in read-only mode.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if it is in read-only mode

See Also:

isReadOnly

 nullPlusNonNullIsNull

 public boolean nullPlusNonNullIsNull()

Determines if concatenations between NULL and non-NULL values result in NULL.

JDBC-compliant drivers always return true.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if NULL results

See Also:

nullPlusNonNullIsNull

 nullsAreSortedAtEnd

 public boolean nullsAreSortedAtEnd()

Determines if SQL NULL values are sorted to the end independent of sorting order.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if NULL values sorted to the end

See Also:

nullsAreSortedHigh, nullsAreSortedLow, nullsAreSortedAtStart, nullsAreSortedAtEnd

 nullsAreSortedAtStart

 public boolean nullsAreSortedAtStart()

Determines if SQL NULL values are sorted to the start independent of sorting order.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if NULL values sorted to the start

See Also:

nullsAreSortedHigh, nullsAreSortedLow, nullsAreSortedAtEnd, nullsAreSortedAtStart

 nullsAreSortedHigh

 public boolean nullsAreSortedHigh()

Determines if SQL NULL values are sorted high.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if NULL values sorted high

See Also:

nullsAreSortedLow, nullsAreSortedAtStart, nullsAreSortedAtEnd, nullsAreSortedHigh

 nullsAreSortedLow

 public boolean nullsAreSortedLow()

Determines if SQL NULL values are sorted low.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if NULL values sorted low

See Also:

nullsAreSortedHigh, nullsAreSortedAtStart, nullsAreSortedAtEnd, nullsAreSortedLow

 storesLowerCaseIdentifiers

 public boolean storesLowerCaseIdentifiers()

Determines if database SQL un-quoted identifiers are case-insensitive and stored in all lower-case.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if un-quoted identifiers are case-insensitive and stored in all lower-case

See Also:

storesUpperCaseIdentifiers, storesMixedCaseIdentifiers, supportsMixedCaseIdentifiers, storesLowerCaseIdentifiers

 storesLowerCaseQuotedIdentifiers

 public boolean storesLowerCaseQuotedIdentifiers()

Determines if database SQL quoted identifiers are case-insensitive and stored in all lower-case.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if quoted identifiers are case-insensitive and stored in all lower-case

See Also:

storesUpperCaseQuotedIdentifiers, storesMixedCaseQuotedIdentifiers, supportsMixedCaseQuotedIdentifiers, storesLowerCaseQuotedIdentifiers

 storesMixedCaseIdentifiers

 public boolean storesMixedCaseIdentifiers()

Determines if database SQL un-quoted identifiers are case-insensitive and stored in mixed-case.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if un-quoted identifiers are case-insensitive and stored in mixed-case

See Also:

storesUpperCaseIdentifiers, storesLowerCaseIdentifiers, supportsMixedCaseIdentifiers, storesMixedCaseIdentifiers

 storesMixedCaseQuotedIdentifiers

 public boolean storesMixedCaseQuotedIdentifiers()

Determines if database SQL quoted identifiers are case-insensitive and stored in mixed-case.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if quoted identifiers are case-insensitive and stored in mixed-case

See Also:

storesUpperCaseQuotedIdentifiers, storesLowerCaseQuotedIdentifiers, supportsMixedCaseQuotedIdentifiers, storesMixedCaseQuotedIdentifiers

 storesUpperCaseIdentifiers

 public boolean storesUpperCaseIdentifiers()

Determines if database SQL un-quoted identifiers are case-insensitive and stored in all upper-case.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if un-quoted identifiers are case-insensitive and stored in all upper-case

See Also:

storesLowerCaseIdentifiers, storesMixedCaseIdentifiers, supportsMixedCaseIdentifiers, storesUpperCaseIdentifiers

 storesUpperCaseQuotedIdentifiers

 public boolean storesUpperCaseQuotedIdentifiers()

Determines if database SQL quoted identifiers are case-insensitive and stored in all upper-case.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if quoted identifiers are case-insensitive and stored in all upper-case

See Also:

storesLowerCaseQuotedIdentifiers, storesMixedCaseQuotedIdentifiers, supportsMixedCaseQuotedIdentifiers, storesUpperCaseQuotedIdentifiers

 supportsAlterTableWithAddColumn

 public boolean supportsAlterTableWithAddColumn()

Determines if "ALTER TABLE" with add column is supported.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

See Also:

supportsAlterTableWithDropColumn, supportsAlterTableWithAddColumn

 supportsAlterTableWithDropColumn

 public boolean supportsAlterTableWithDropColumn()

Determines if "ALTER TABLE" with drop column is supported.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

See Also:

supportsAlterTableWithAddColumn, supportsAlterTableWithDropColumn

 supportsANSI92EntryLevelSQL

 public boolean supportsANSI92EntryLevelSQL()

Determines if the ANSI92 entry-level SQL grammar is supported.

JDBC-compliant drivers always return true.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

See Also:

supportsMinimumSQLGrammar, supportsCoreSQLGrammar, supportsExtendedSQLGrammar, supportsANSI92IntermediateSQL, supportsANSI92FullSQL

 supportsANSI92FullSQL

 public boolean supportsANSI92FullSQL()

Determines if the ANSI92 full SQL grammar is supported.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

See Also:

supportsMinimumSQLGrammar, supportsCoreSQLGrammar, supportsExtendedSQLGrammar, supportsANSI92EntryLevelSQL, supportsANSI92IntermediateSQL

 supportsANSI92IntermediateSQL

 public boolean supportsANSI92IntermediateSQL()

Determines if the ANSI92 intermediate SQL grammar is supported.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

See Also:

supportsMinimumSQLGrammar, supportsCoreSQLGrammar, supportsExtendedSQLGrammar, supportsANSI92EntryLevelSQL, supportsANSI92FullSQL

 supportsCatalogsInDataManipulation

 public boolean supportsCatalogsInDataManipulation()

Determines if catalog names can be used in data manipulation statements.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

See Also:

supportsCatalogsInProcedureCalls, supportsCatalogsInTableDefinitions, supportsCatalogsInIndexDefinitions, supportsCatalogsInPrivilegeDefinitions

 supportsCatalogsInIndexDefinitions

 public boolean supportsCatalogsInIndexDefinitions()

Determines if catalog names can be used in index definition manipulation statements.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

See Also:

supportsCatalogsInDataManipulation, supportsCatalogsInProcedureCalls, supportsCatalogsInTableDefinitions, supportsCatalogsInPrivilegeDefinitions

 supportsCatalogsInPrivilegeDefinitions

 public boolean supportsCatalogsInPrivilegeDefinitions()

Determines if catalog names can be used in privilege definition statements.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

See Also:

supportsCatalogsInDataManipulation, supportsCatalogsInProcedureCalls, supportsCatalogsInTableDefinitions, supportsCatalogsInIndexDefinitions

 supportsCatalogsInProcedureCalls

 public boolean supportsCatalogsInProcedureCalls()

Determines if catalog names can be used in procedure call statements.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

See Also:

supportsCatalogsInDataManipulation, supportsCatalogsInTableDefinitions, supportsCatalogsInIndexDefinitions, supportsCatalogsInPrivilegeDefinitions

 supportsCatalogsInTableDefinitions

 public boolean supportsCatalogsInTableDefinitions()

Determines if catalog names can be used in table definition statements.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

See Also:

supportsCatalogsInDataManipulation, supportsCatalogsInProcedureCalls, supportsCatalogsInIndexDefinitions, supportsCatalogsInPrivilegeDefinitions

 supportsColumnAliasing

 public boolean supportsColumnAliasing()

Determines if column aliasing is supported. If it is supported, the SQL AS clause can be used to name columns.

JDBC-compliant drivers always return true.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

See Also:

supportsColumnAliasing

 supportsConvert

 public boolean supportsConvert() throws SQLException

Determines if the "CONVERT" function supported, which converts between SQL types.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

Throws: SQLException

if a SQL database access error occurred

See Also:

supportsConvert, supportsConvert

 supportsConvert

 public boolean supportsConvert(int fromType,
                                int toType) throws SQLException

Determines if the "CONVERT" function supported for the given SQL types.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

Throws: SQLException

if a SQL database access error occurred

See Also:

supportsConvert, supportsConvert

 supportsCoreSQLGrammar

 public boolean supportsCoreSQLGrammar()

Determines if the ODBC Core SQL grammar is supported.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

See Also:

supportsMinimumSQLGrammar, supportsExtendedSQLGrammar, supportsANSI92EntryLevelSQL, supportsANSI92IntermediateSQL, supportsANSI92FullSQL

 supportsCorrelatedSubqueries

 public boolean supportsCorrelatedSubqueries()

Determines if correlated subqueries are supported.

JDBC-compliant drivers always return true.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

See Also:

supportsSubqueriesInComparisons, supportsSubqueriesInExists, supportsSubqueriesInIns, supportsSubqueriesInQuantifieds

 supportsDataDefinitionAndDataManipulationTransactions

 public boolean supportsDataDefinitionAndDataManipulationTransactions()

Determines if both data definition and data manipulation statements are supported within transactions.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

See Also:

getDefaultTransactionIsolation, supportsTransactions, supportsTransactionIsolationLevel, supportsDataManipulationTransactionsOnly, dataDefinitionCausesTransactionCommit, dataDefinitionIgnoredInTransactions

 supportsDataManipulationTransactionsOnly

 public boolean supportsDataManipulationTransactionsOnly()

Determines if only data manipulation statements are supported within transactions (and not data definition statements).

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if only data manipulation statements are supported

See Also:

getDefaultTransactionIsolation, supportsTransactions, supportsTransactionIsolationLevel, supportsDataDefinitionAndDataManipulationTransactions, dataDefinitionCausesTransactionCommit, dataDefinitionIgnoredInTransactions

 supportsDifferentTableCorrelationNames

 public boolean supportsDifferentTableCorrelationNames()

Determines if the supported table correlation names are restricted to be different from the names of the tables.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if restricted

See Also:

supportsTableCorrelationNames, supportsDifferentTableCorrelationNames

 supportsExpressionsInOrderBy

 public boolean supportsExpressionsInOrderBy()

Determines if expressions in "ORDER BY" lists are supported.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

See Also:

supportsOrderByUnrelated, supportsExpressionsInOrderBy

 supportsExtendedSQLGrammar

 public boolean supportsExtendedSQLGrammar()

Determines if the ODBC Extended SQL grammar is supported.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

See Also:

supportsMinimumSQLGrammar, supportsCoreSQLGrammar, supportsANSI92EntryLevelSQL, supportsANSI92IntermediateSQL, supportsANSI92FullSQL

 supportsFullOuterJoins

 public boolean supportsFullOuterJoins()

Determines if full nested outer joins are supported.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

See Also:

supportsOuterJoins, supportsLimitedOuterJoins

 supportsGroupBy

 public boolean supportsGroupBy()

Determines if some form of "GROUP BY" clause is supported.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

See Also:

supportsGroupByUnrelated, supportsGroupByBeyondSelect

 supportsGroupByBeyondSelect

 public boolean supportsGroupByBeyondSelect()

Determines if a "GROUP BY" clause can add columns not in the SELECT.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

See Also:

supportsGroupBy, supportsGroupByUnrelated

 supportsGroupByUnrelated

 public boolean supportsGroupByUnrelated()

Determines if a "GROUP BY" clause can use columns not in the SELECT.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

See Also:

supportsGroupBy, supportsGroupByBeyondSelect

 supportsIntegrityEnhancementFacility

 public boolean supportsIntegrityEnhancementFacility()

Determines if the SQL Integrity Enhancement Facility is supported.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

 supportsLikeEscapeClause

 public boolean supportsLikeEscapeClause()

Determines if an escape character can be used in "LIKE" clauses.

JDBC-compliant drivers always return true.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

 supportsLimitedOuterJoins

 public boolean supportsLimitedOuterJoins()

Determines if there is limited support for outer joins. This is always true if supportFullOuterJoins() is true.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

See Also:

supportsOuterJoins, supportsFullOuterJoins

 supportsMinimumSQLGrammar

 public boolean supportsMinimumSQLGrammar()

Determines if the ODBC Minimum SQL grammar is supported.

JDBC-compliant drivers always return true.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

See Also:

supportsCoreSQLGrammar, supportsExtendedSQLGrammar, supportsANSI92EntryLevelSQL, supportsANSI92IntermediateSQL, supportsANSI92FullSQL

 supportsMixedCaseIdentifiers

 public boolean supportsMixedCaseIdentifiers()

Determines if database SQL un-quoted identifiers are case-sensitive and stored in mixed case.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if so. JDBC-compliant drivers always return false

See Also:

storesUpperCaseIdentifiers, storesLowerCaseIdentifiers, storesMixedCaseIdentifiers, supportsMixedCaseIdentifiers

 supportsMixedCaseQuotedIdentifiers

 public boolean supportsMixedCaseQuotedIdentifiers()

Determines if database SQL quoted identifiers are case-sensitive and stored in mixed case.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if so. JDBC-compliant drivers always return true

See Also:

storesUpperCaseQuotedIdentifiers, storesLowerCaseQuotedIdentifiers, storesMixedCaseQuotedIdentifiers, supportsMixedCaseQuotedIdentifiers

 supportsMultipleResultSets

 public boolean supportsMultipleResultSets()

Determines if multiple ResultSets from a single execute are supported.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

 supportsMultipleTransactions

 public boolean supportsMultipleTransactions()

Determines if multiple transactions open at once (on different connections) are supported.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

 supportsNonNullableColumns

 public boolean supportsNonNullableColumns()

Determines if columns can be defined that don't take NULL values.

JDBC-compliant drivers always return true.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

 supportsOpenCursorsAcrossCommit

 public boolean supportsOpenCursorsAcrossCommit()

Determines if cursors always remain open across commits.

Normally all open cursors, statements, etc, are closed when either Connection.commit() or Connection.rollback() is called. However some databases provide mechanisms for preserving state across these methods. The Connection.setAutoCommit() method can be used to try to keep statements open, and the supportsOpen...() methods can be used to find what is supported.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if always remain open, false if they might not remain open

See Also:

supportsOpenCursorsAcrossRollback, supportsOpenStatementsAcrossCommit, supportsOpenStatementsAcrossRollback, commit, rollback, setAutoCommit

 supportsOpenCursorsAcrossRollback

 public boolean supportsOpenCursorsAcrossRollback()

Determines if cursors always remain open across rollbacks.

Normally all open cursors, statements, etc, are closed when either Connection.commit() or Connection.rollback() is called. However some databases provide mechanisms for preserving state across these methods. The Connection.setAutoCommit() method can be used to try to keep statements open, and the supportsOpen...() methods can be used to find what is supported.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if always remain open, false if they might not remain open

See Also:

supportsOpenCursorsAcrossCommit, supportsOpenStatementsAcrossCommit, supportsOpenStatementsAcrossRollback, commit, rollback, setAutoCommit

 supportsOpenStatementsAcrossCommit

 public boolean supportsOpenStatementsAcrossCommit()

Determines if statments always remain open across commits.

Normally all open cursors, statements, etc, are closed when either Connection.commit() or Connection.rollback() is called. However some databases provide mechanisms for preserving state across these methods. The Connection.setAutoCommit() method can be used to try to keep statements open, and the supportsOpen...() methods can be used to find what is supported.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if always remain open, false if they might not remain open

See Also:

supportsOpenCursorsAcrossCommit, supportsOpenCursorsAcrossRollback, supportsOpenStatementsAcrossRollback, commit, rollback, setAutoCommit

 supportsOpenStatementsAcrossRollback

 public boolean supportsOpenStatementsAcrossRollback()

Determines if statements always remain open across rollbacks.

Normally all open cursors, statements, etc, are closed when either Connection.commit() or Connection.rollback() is called. However some databases provide mechanisms for preserving state across these methods. The Connection.setAutoCommit() method can be used to try to keep statements open, and the supportsOpen...() methods can be used to find what is supported.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if always remain open, false if they might not remain open

See Also:

supportsOpenCursorsAcrossCommit, supportsOpenCursorsAcrossRollback, supportsOpenStatementsAcrossCommit, commit, rollback, setAutoCommit

 supportsOrderByUnrelated

 public boolean supportsOrderByUnrelated()

Determines if an "ORDER BY" clause can use columns not in the SELECT.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

See Also:

supportsExpressionsInOrderBy, supportsOrderByUnrelated

 supportsOuterJoins

 public boolean supportsOuterJoins()

Determines if some form of outer join is supported.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

See Also:

supportsFullOuterJoins, supportsLimitedOuterJoins

 supportsPositionedDelete

 public boolean supportsPositionedDelete()

Determines if positioned DELETE is supported.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

 supportsPositionedUpdate

 public boolean supportsPositionedUpdate()

Determines if positioned UPDATE is supported.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

 supportsSchemasInDataManipulation

 public boolean supportsSchemasInDataManipulation()

Determines if schema names can be used in data manipulation statements.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

See Also:

supportsSchemasInProcedureCalls, supportsSchemasInTableDefinitions, supportsSchemasInIndexDefinitions, supportsSchemasInPrivilegeDefinitions

 supportsSchemasInIndexDefinitions

 public boolean supportsSchemasInIndexDefinitions()

Determines if schema names can be used in index definition statements.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

See Also:

supportsSchemasInDataManipulation, supportsSchemasInProcedureCalls, supportsSchemasInTableDefinitions, supportsSchemasInPrivilegeDefinitions

 supportsSchemasInPrivilegeDefinitions

 public boolean supportsSchemasInPrivilegeDefinitions()

Determines if schema names can be used in privilege definition statements.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

See Also:

supportsSchemasInDataManipulation, supportsSchemasInProcedureCalls, supportsSchemasInTableDefinitions, supportsSchemasInIndexDefinitions

 supportsSchemasInProcedureCalls

 public boolean supportsSchemasInProcedureCalls()

Determines if schema names can be used in procedure call statements.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

See Also:

supportsSchemasInDataManipulation, supportsSchemasInTableDefinitions, supportsSchemasInIndexDefinitions, supportsSchemasInPrivilegeDefinitions

 supportsSchemasInTableDefinitions

 public boolean supportsSchemasInTableDefinitions()

Determines if schema names can be used in table definition statements.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

See Also:

supportsSchemasInDataManipulation, supportsSchemasInProcedureCalls, supportsSchemasInIndexDefinitions, supportsSchemasInPrivilegeDefinitions

 supportsSelectForUpdate

 public boolean supportsSelectForUpdate()

Determines if SELECT for UPDATE is supported.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

 supportsStoredProcedures

 public boolean supportsStoredProcedures()

Determines if stored procedure calls using the stored procedure escape syntax are supported.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

 supportsSubqueriesInComparisons

 public boolean supportsSubqueriesInComparisons()

Determines if subqueries in comparison expressions are supported.

JDBC-compliant drivers always return true.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

See Also:

supportsSubqueriesInExists, supportsSubqueriesInIns, supportsSubqueriesInQuantifieds, supportsCorrelatedSubqueries

 supportsSubqueriesInExists

 public boolean supportsSubqueriesInExists()

Determines if subqueries in "exists" expressions are supported.

JDBC-compliant drivers always return true.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

See Also:

supportsSubqueriesInComparisons, supportsSubqueriesInIns, supportsSubqueriesInQuantifieds, supportsCorrelatedSubqueries

 supportsSubqueriesInIns

 public boolean supportsSubqueriesInIns()

Determines if subqueries in "in" statements are supported.

JDBC-compliant drivers always return true.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

See Also:

supportsSubqueriesInComparisons, supportsSubqueriesInExists, supportsSubqueriesInQuantifieds, supportsCorrelatedSubqueries

 supportsSubqueriesInQuantifieds

 public boolean supportsSubqueriesInQuantifieds()

Determines if subqueries in quantified expressions are supported.

JDBC-compliant drivers always return true.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

See Also:

supportsSubqueriesInComparisons, supportsSubqueriesInExists, supportsSubqueriesInIns, supportsCorrelatedSubqueries

 supportsTableCorrelationNames

 public boolean supportsTableCorrelationNames()

Determines if table correlation names are supported.

JDBC-compliant drivers always return true.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

See Also:

supportsDifferentTableCorrelationNames, supportsTableCorrelationNames

 supportsTransactionIsolationLevel

 public boolean supportsTransactionIsolationLevel(int level) throws SQLException

Determines if the database supports the given transaction isolation level. Transaction isolation level values are defined in java.sql.Connection.

This is just like the method in the JDBC DatabaseMetaData interface.

Parameters:

a - transaction isolation level, one of: TRANSACTION_NONE, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_READ_COMMITTED, TRANSACTION_REPEATABLE_READ, or TRANSACTION_SERIALIZABLE

Returns:

true if the transaction isolation level is supported

Throws: SQLException

if a SQL database access error occurred

See Also:

getDefaultTransactionIsolation, supportsTransactions, supportsDataDefinitionAndDataManipulationTransactions, supportsDataManipulationTransactionsOnly, dataDefinitionCausesTransactionCommit, dataDefinitionIgnoredInTransactions, TRANSACTION_NONE, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_READ_COMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE

 supportsTransactions

 public boolean supportsTransactions()

Determines the database supports transactions. If not, commit() is a no-op and the transaction isolation level is TRANSACTION_NONE. Transaction isolation level values are defined in java.sql.Connection.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if transactions are supported

See Also:

getDefaultTransactionIsolation, supportsTransactionIsolationLevel, supportsDataDefinitionAndDataManipulationTransactions, supportsDataManipulationTransactionsOnly, dataDefinitionCausesTransactionCommit, dataDefinitionIgnoredInTransactions, TRANSACTION_NONE, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_READ_COMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE

 supportsUnion

 public boolean supportsUnion()

Determines if SQL UNION is supported.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

See Also:

supportsUnionAll

 supportsUnionAll

 public boolean supportsUnionAll()

Determines if SQL UNION ALL is supported.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if supported

See Also:

supportsUnion

 usesLocalFilePerTable

 public boolean usesLocalFilePerTable()

Determines if the database stores each table in a separate local file.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if each table stored in a separate local file

See Also:

usesLocalFiles, usesLocalFilePerTable

 usesLocalFiles

 public boolean usesLocalFiles()

Determines if the database stores tables in a local file.

This is just like the method in the JDBC DatabaseMetaData interface.

Returns:

true if tables stored in a local file

See Also:

usesLocalFilePerTable, usesLocalFiles


 package symantec.itools.lang

   Context
   Debug
   OS


 Class symantec.itools.lang.Context

java.lang.Object
   |
   +----symantec.itools.lang.Context

public class Context
   extends Object

This class tracks information relating to the Browser/Applet Viewer that the program is currently running under. it is used in conjunction with class symantec.itools.net.RelativeURL to provide URLs that are relative to an applet’s or application’s document base. For applets the document base is the URL of the document that the applet is embedded in. For applications the document base is the same as the “user.dir system property.

 Context()

Don’t use, this is an all-static class.

 getApplet()

Returns the current applet, or null if being used with an application.

 getDocumentBase()

Returns the current document base.

 isApplet()

Returns true if this is being used with an applet, otherwise this is being used with an application.

 isApplication()

Returns true if this is being used with an application, otherwise this is being used with an applet.

 setApplet(Applet)

Notes the applet this class is being used with.

 setDocumentBase(URL)

Manually sets the current document base.

 Context

 public Context()

Don’t use, this is an all-static class.

 getApplet

 public static Applet getApplet()

Returns the current applet, or null if being used with an application.

See Also:

setApplet

 getDocumentBase

 public static URL getDocumentBase()

Returns the current document base. For applets the document base is the URL of the document that the applet is embedded in. For applications the document base is the same as the “user.dir” system property.

See Also:

setDocumentBase

 isApplet

 public static boolean isApplet()

Returns true if this is being used with an applet, otherwise this is being used with an application.

See Also:

isApplication, getApplet

 isApplication

 public static boolean isApplication()

Returns true if this is being used with an application, otherwise this is being used with an applet.

See Also:

isApplet

 setApplet

 public static void setApplet(Applet a)

Notes the applet this class is being used with.

Parameters:

a - the applet to use this class with.

See Also:

getApplet

 setDocumentBase

 public static void setDocumentBase(URL db)

Manually sets the current document base. If the document base is not manually specified it will be automatically determined.

Parameters:

db - the new document base

See Also:

getDocumentBase


 Class symantec.itools.lang.Debug

java.lang.Object
   |
   +----symantec.itools.lang.Debug

public class Debug
   extends Object

Provides a single debug log file to be used by any number of classes.

 OSName

The value of the system property "os.name";

 OSPlatform

The value of the system property "os.arch";

 OSVersion

The value of the system property "os.version";

 writer

The PrintWriter used for output.

 Debug()

Constructor - this should not be called...

 finish()

Finish writing the debug log.

 getLineNumber()

Get the current line number This has only been tested with the Sun JDK 1.1.5 and VCafe JDK 1.1.4 on Windows.

 setWriter(File, Object, String)

Set the file to write the debug log to

 setWriter(OutputStream, Object, String)

Set the stream to write the debug log to

 setWriter(String, Object, String)

Set the file name to write the debug log to

 setWriter(URL, Object, String)

Set the url to write the debug log to

 setWriter(Writer, Object, String)

Set the writer to write the debug log to.

 write(Object, long, String)

Write out a debug message

 write(Object, long, String, String)

Write out a debug message

 write(Object, long, Throwable)

Write out a debug message

 write(String)

Write out a debug message

 OSName

 protected static String OSName

The value of the system property "os.name";

 OSPlatform

 protected static String OSPlatform

The value of the system property "os.arch";

 OSVersion

 protected static String OSVersion

The value of the system property "os.version";

 writer

 protected static PrintWriter writer

The PrintWriter used for output.

See Also:

setWriter, setWriter, setWriter, setWriter, setWriter

 Debug

 protected Debug()

Constructor - this should not be called... it is only protected so that Debug can be subclassed.

 finish

 public static synchronized void finish()

Finish writing the debug log.

 getLineNumber

 public static synchronized long getLineNumber()

Get the current line number This has only been tested with the Sun JDK 1.1.5 and VCafe JDK 1.1.4 on Windows. I need to make use of the OS class & Java Vendor to make it work for others (assuming they display stack traces differently from Sun and Symantec).

 setWriter

 public static synchronized boolean setWriter(File file,
                                              Object clazz,
                                              String version) throws IOException

Set the file to write the debug log to

Parameters:

file - the file of the debug log

clazz - the class that had "main" called

version - the version of clazz

Returns:

true if the writer was set false if the writer already has a value

Throws: IOException

if any error occured attaching the log file

 setWriter

 public static synchronized boolean setWriter(OutputStream stream,
                                              Object clazz,
                                              String version)

Set the stream to write the debug log to

Parameters:

stream - the stream of the debug log

clazz - the class that had "main" called

version - the version of clazz

Returns:

true if the writer was set false if the writer already has a value

Throws: IOException

if any error occured attaching the log file

 setWriter

 public static synchronized boolean setWriter(String fileName,
                                              Object clazz,
                                              String version) throws IOException

Set the file name to write the debug log to

Parameters:

fileName - the file name of the debug log

clazz - the class that had "main" called

version - the version of clazz

Returns:

true if the writer was set false if the writer already has a value

Throws: IOException

if any error occured attaching the log file

 setWriter

 public static synchronized boolean setWriter(URL url,
                                              Object clazz,
                                              String version) throws IOException

Set the url to write the debug log to

Parameters:

url - the url of the debug log

clazz - the class that had "main" called

version - the version of clazz

Returns:

true if the writer was set false if the writer already has a value

Throws: IOException

if any error occured attaching the log file

 setWriter

 public static synchronized boolean setWriter(Writer w,
                                              Object clazz,
                                              String version)

Set the writer to write the debug log to. If the writer (of the class - not the param) is null then the log will be assigned.

Parameters:

writer - the writer of the debug log

clazz - the class that had "main" called

version - the version of clazz

Returns:

true if the writer was set false if the writer already has a value

Throws: IOException

if any error occured attaching the log file

 write

 public static synchronized void write(Object src,
                                       long line,
                                       String msg)

Write out a debug message

Parameters:

src - an instance of the class where the message is coming from

msg - the message to write

 write

 public static synchronized void write(Object src,
                                       long line,
                                       String action,
                                       String result)

Write out a debug message

Parameters:

src - an instance of the class where the message is coming from

action - the action that is being reported

result - the reult of the action

 write

 public static synchronized void write(Object src,
                                       long line,
                                       Throwable ex)

Write out a debug message

Parameters:

src - an instance of the class where the message is coming from

ex - the exception that was thrown

 write

 public static synchronized void write(String msg)

Write out a debug message

Parameters:

msg - the message to write


 Class symantec.itools.lang.OS

java.lang.Object
   |
   +----symantec.itools.lang.OS

public final class OS
   extends Object

This class identifies the operating system that a program is running under.

It does not need to be instantiated by the user.

 isCaseSensitive()

Returns true if file system is case sensitive.

 isMacintosh()

Returns true if running under the Macintosh operating system.

 isSolaris()

Returns true if running under the Solaris operating system.

 isWindows()

Returns true if running under the Windows 95 or Windows NT operating system.

 isWindows95()

Returns true if running under the Windows 95 operating system.

 isWindowsNT()

Returns true if running under the Windows NT operating system.

 isCaseSensitive

 public static boolean isCaseSensitive()

Returns true if file system is case sensitive.

 isMacintosh

 public static boolean isMacintosh()

Returns true if running under the Macintosh operating system.

 isSolaris

 public static boolean isSolaris()

Returns true if running under the Solaris operating system.

 isWindows

 public static boolean isWindows()

Returns true if running under the Windows 95 or Windows NT operating system.

 isWindows95

 public static boolean isWindows95()

Returns true if running under the Windows 95 operating system.

 isWindowsNT

 public static boolean isWindowsNT()

Returns true if running under the Windows NT operating system.


 package symantec.itools.multimedia

   Animator
   AnimatorBeanInfo
   Firework
   FireworkBeanInfo
   ImageViewer
   ImageViewerBeanInfo
   MovingAnimation
   MovingAnimationBeanInfo
   NervousText
   NervousTextBeanInfo
   Plasma
   PlasmaBeanInfo
   ScrollingText
   ScrollingTextBeanInfo
   SlideShow
   SoundPlayer
   SoundPlayerBeanInfo


 Class symantec.itools.multimedia.Animator

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Canvas
                   |
                   +----symantec.itools.multimedia.Animator

public class Animator
   extends Canvas
   implements Runnable, PropertyChangeListener

This is a simple animation component.

It creates an animation by displaying a series of images in sequence. The programmer can specify the delay between frames in milliseconds. The animation can loop for a specific number of iterations or can run forever.

 clearFrame

Clear frame between each image.

 currentImage

Image currently being shown.

 delay

Delay time between images, in milliseconds.

 displayThread

Thread which runs the animation.

 forever

Run animation forever.

 images

Images to be displayed.

 maxHeight

Dimension of largest image in sequence.

 maxWidth

Dimension of largest image in sequence.

 numLoops

Number of times to show the animation sequence.

 previewMode

Preview this component at design time.

 Animator()

Constructs a default Animator.

 addImage(URL)

Adds an image to the animation set.

 addPropertyChangeListener(PropertyChangeListener)

Adds a listener for all event changes.

 addVetoableChangeListener(VetoableChangeListener)

Adds a vetoable listener for all event changes.

 getClearFrame()

Deprecated.

 getDelay()

Returns the current delay between animation frames.

 getImageList()

Returns the image list.

 getNumLoops()

Returns the current animation set loop count.

 getPreviewMode()

Deprecated.

 getRepeatMode()

Deprecated.

 isClearFrame()

Gets the current clear frame setting.

 isPreviewMode()

Gets the preview mode flag.

 isRepeatMode()

Returns the current repeat mode setting.

 minimumSize()

Returns the minimum dimensions to properly display this component.

 paint(Graphics)

Paints this component using the given graphics context.

 preferredSize()

Returns the recommended dimensions to properly display this component.

 propertyChange(PropertyChangeEvent)

A method of the PropertyChangeListener interface.

 removePropertyChangeListener(PropertyChangeListener)

Removes a listener for all event changes.

 removeVetoableChangeListener(VetoableChangeListener)

Removes a vetoable listener for all event changes.

 run()

Body of Animation Thread.

 setClearFrame(boolean)

Sets whether or not the animation frame area is cleared between each frame.

 setDelay(int)

Sets the delay between animation frames.

 setImageList(URL[])

Sets the image list.

 setNumLoops(int)

Sets the number of loops to perform when displaying the animation set.

 setPreviewMode(boolean)

Sets the preview mode flag.

 setRepeatMode(boolean)

Sets the repeat mode setting.

 startAnimation()

Starts the animation.

 stopAnimation()

Stops the animation.

 update(Graphics)

Handles redrawing of this component on the screen.

 clearFrame

 protected boolean clearFrame

Clear frame between each image.

 currentImage

 protected transient Image currentImage

Image currently being shown.

 delay

 protected int delay

Delay time between images, in milliseconds.

 displayThread

 protected transient Thread displayThread

Thread which runs the animation.

 forever

 protected boolean forever

Run animation forever. If false, use numLoops.

 images

 protected Vector images

Images to be displayed.

 maxHeight

 protected int maxHeight

Dimension of largest image in sequence.

 maxWidth

 protected int maxWidth

Dimension of largest image in sequence.

 numLoops

 protected int numLoops

Number of times to show the animation sequence.

 previewMode

 protected boolean previewMode

Preview this component at design time.

 Animator

 public Animator()

Constructs a default Animator. The animator defaults to a 500 millisecond delay, and loops forever.

 addImage

 public synchronized void addImage(URL url)

Adds an image to the animation set.

Parameters:

url - URL of the image to add

 addPropertyChangeListener

 public void addPropertyChangeListener(PropertyChangeListener listener)

Adds a listener for all event changes.

Parameters:

PropertyChangeListener - listener the listener to add.

See Also:

removePropertyChangeListener

 addVetoableChangeListener

 public void addVetoableChangeListener(VetoableChangeListener listener)

Adds a vetoable listener for all event changes.

Parameters:

VetoableChangeListener - listener the listener to add.

See Also:

removeVetoableChangeListener

 getClearFrame

 public boolean getClearFrame()

Note: getClearFrame() is deprecated.

See Also:

isClearFrame

 getDelay

 public int getDelay()

Returns the current delay between animation frames.

Returns:

current animation delay, in milliseconds

See Also:

setDelay

 getImageList

 public synchronized URL[] getImageList()

Returns the image list.

Returns:

URL list of images

See Also:

setImageList

 getNumLoops

 public int getNumLoops()

Returns the current animation set loop count.

Returns:

loop count

See Also:

setNumLoops

 getPreviewMode

 public boolean getPreviewMode()

Note: getPreviewMode() is deprecated.

See Also:

setPreviewMode

 getRepeatMode

 public boolean getRepeatMode()

Note: getRepeatMode() is deprecated.

See Also:

isRepeatMode

 isClearFrame

 public boolean isClearFrame()

Gets the current clear frame setting.

Returns:

boolean - if true, the frame area is cleared between each animation frame; if false, the frame area is not cleared.

See Also:

setClearFrame

 isPreviewMode

 public boolean isPreviewMode()

Gets the preview mode flag. This flag is used by Visual Cafe to determine if this component should be run during design time.

See Also:

setPreviewMode

 isRepeatMode

 public boolean isRepeatMode()

Returns the current repeat mode setting.

Returns:

current repeat mode setting, true if repeat forever

See Also:

setRepeatMode

 minimumSize

 public Dimension minimumSize()

Returns the minimum dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the minimum size of this component.

Returns:

If no images have been loaded, a dimension of 10 by 10 is returned. If one or more images have been loaded, the largest height and the largest width of any image is returned.

Overrides:

minimumSize in class Component

See Also:

preferredSize

 paint

 public synchronized void paint(Graphics g)

Paints this component using the given graphics context. This is a standard Java AWT method which typically gets called by the AWT to handle painting this component. It paints this component using the given graphics context. The graphics context clipping region is set to the bounding rectangle of this component and its <0,0> coordinate is this component's top-left corner.

Parameters:

g - the graphics context used for painting

Overrides:

paint in class Canvas

See Also:

repaint, update

 preferredSize

 public Dimension preferredSize()

Returns the recommended dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the recommended size of this component.

Returns:

If no images have been loaded, a dimension of 10 by 10 is returned. If one or more images have been loaded, the largest height and the largest width of any image is returned.

Overrides:

preferredSize in class Component

See Also:

minimumSize

 propertyChange

 public void propertyChange(PropertyChangeEvent evt)

A method of the PropertyChangeListener interface. This method is called when a property of this component changes. It starts the animation when the Repeat Mode property is set.

Parameters:

the - event

See Also:

PropertyChangeListener

 removePropertyChangeListener

 public void removePropertyChangeListener(PropertyChangeListener listener)

Removes a listener for all event changes.

Parameters:

PropertyChangeListener - listener the listener to remove.

See Also:

addPropertyChangeListener

 removeVetoableChangeListener

 public void removeVetoableChangeListener(VetoableChangeListener listener)

Removes a vetoable listener for all event changes.

Parameters:

VetoableChangeListener - listener the listener to remove.

See Also:

addVetoableChangeListener

 run

 public synchronized void run()

Body of Animation Thread. This method is called by the Java Virtual Machine in response to a call to the start method of this object.

 setClearFrame

 public void setClearFrame(boolean newClearFrame) throws PropertyVetoException

Sets whether or not the animation frame area is cleared between each frame.

Parameters:

newClearFrame - if true, the frame area is cleared between each animation frame; if false, the frame area is not cleared.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getClearFrame

 setDelay

 public void setDelay(int newDelay) throws PropertyVetoException

Sets the delay between animation frames.

Parameters:

i - animation delay, in milliseconds

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getDelay

 setImageList

 public synchronized void setImageList(URL newImageList[]) throws PropertyVetoException

Sets the image list. Images in this list are displayed in sequence to form the animation.

Parameters:

list - array of image URLs

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getImageList

 setNumLoops

 public void setNumLoops(int newNumLoops) throws PropertyVetoException

Sets the number of loops to perform when displaying the animation set.

Parameters:

i - loop count

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getNumLoops

 setPreviewMode

 public void setPreviewMode(boolean newPreviewMode)

Sets the preview mode flag. This flag is used by Visual Cafe to determine if this component should be run during design time.

Parameters:

newPreviewMode - new preview mode

See Also:

getPreviewMode

 setRepeatMode

 public void setRepeatMode(boolean newRepeatMode) throws PropertyVetoException

Sets the repeat mode setting.

Parameters:

b - repeat mode, repeats if true

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getRepeatMode

 startAnimation

 public void startAnimation()

Starts the animation.

See Also:

stopAnimation

 stopAnimation

 public void stopAnimation()

Stops the animation.

See Also:

startAnimation

 update

 public void update(Graphics g)

Handles redrawing of this component on the screen. This is a standard Java AWT method which gets called by the Java AWT (repaint()) to handle repainting this component on the screen. The graphics context clipping region is set to the bounding rectangle of this component and its <0,0> coordinate is this component's top-left corner. Typically this method paints the background color to clear the component's drawing space, sets graphics context to be the foreground color, and then calls paint() to draw the component. It is overridden here to make clearing the background before painting optional. If the clearFrame flag is true the background will be erased before painting begins.

Parameters:

g - the graphics context

Overrides:

update in class Component

See Also:

repaint, paint


 Class symantec.itools.multimedia.AnimatorBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.multimedia.AnimatorBeanInfo

public class AnimatorBeanInfo
   extends SimpleBeanInfo

BeanInfo for Animator.

 AnimatorBeanInfo()

Constructs a AnimatorBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 AnimatorBeanInfo

 public AnimatorBeanInfo()

Constructs a AnimatorBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.multimedia.Firework

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Canvas
                   |
                   +----symantec.itools.multimedia.Firework

public class Firework
   extends Canvas
   implements Runnable

Firework component. Creates an animated fireworks image.

 AnimationSpeed

Speed at which animation occurs.

 Gravity

Controls gravity of the firework simulation.

 MaxRocketExplosionEnergy

Controls "energy" of firwork explosion.

 MaxRocketNumber

Maximum number of rockets.

 MaxRocketPatchLength

Controls the radius of the firework burst.

 MaxRocketPatchNumber

Controls the density of the firework burst.

 RocketStyleVariability

Chance of different rocket style.

 Firework()

Construct the defalut firework.

 addNotify()

Tells this component that it has been added to a container.

 freezeRockets()

Suspend the firework animation.

 hide()

Makes this component invisible.

 paint(Graphics)

Paints a black background for this firework.

 removeNotify()

Tells this component that it is being removed from a container.

 reshape(int, int, int, int)

Moves and/or resizes this component.

 run()

Firework thread body.

 show()

Makes this component visible.

 unfreezeRockets()

Resume the firework animation.

 AnimationSpeed

 public int AnimationSpeed

Speed at which animation occurs. Delay time = 100 / AnimationSpeed. Default value 10.

 Gravity

 public int Gravity

Controls gravity of the firework simulation. Default value 400.

 MaxRocketExplosionEnergy

 public int MaxRocketExplosionEnergy

Controls "energy" of firwork explosion. Default value 850.

 MaxRocketNumber

 public int MaxRocketNumber

Maximum number of rockets.

 MaxRocketPatchLength

 public int MaxRocketPatchLength

Controls the radius of the firework burst. Larger numbers give larger radius. Default value 68.

 MaxRocketPatchNumber

 public int MaxRocketPatchNumber

Controls the density of the firework burst. Larger numbers give higher density. Default value 90.

 RocketStyleVariability

 public int RocketStyleVariability

Chance of different rocket style. Rocket sytle changes if Math.random() * 100 < RocketStyleVariability. Default Value 10.

 Firework

 public Firework()

Construct the defalut firework.

 addNotify

 public void addNotify()

Tells this component that it has been added to a container. This is a standard Java AWT method which gets called by the AWT when this component is added to a container. Typically, it is used to create this component's peer. It has been overridden here to start the launcher thread.

Overrides:

addNotify in class Canvas

See Also:

removeNotify

 freezeRockets

 public void freezeRockets()

Suspend the firework animation.

 hide

 public synchronized void hide()

Makes this component invisible. This is a standard Java AWT method which gets called to hide this component. A hidden component cannot be seen by the user nor does it take up space in its container, but it does continue to exist.

Overrides:

hide in class Component

See Also:

show

 paint

 public void paint(Graphics g)

Paints a black background for this firework. This is a standard Java AWT method which typically gets called by the AWT to handle painting this component. It paints this component using the given graphics context. The graphics context clipping region is set to the bounding rectangle of this component and its <0,0> coordinate is this component's top-left corner.

Parameters:

g - the graphics context used for painting

Overrides:

paint in class Canvas

See Also:

repaint, update

 removeNotify

 public synchronized void removeNotify()

Tells this component that it is being removed from a container. This is a standard Java AWT method which gets called by the AWT when this component is removed from a container. Typically, it is used to destroy the peers of this component and all its subcomponents. It has been overridden here to stop the launcher thread.

Overrides:

removeNotify in class Component

See Also:

addNotify

 reshape

 public synchronized void reshape(int x,
                                  int y,
                                  int width,
                                  int height)

Moves and/or resizes this component. This is a standard Java AWT method which gets called to move and/or resize this component. Components that are in containers with layout managers should not call this method, but rely on the layout manager instead.

Parameters:

x - horizontal position in the parent's coordinate space

y - vertical position in the parent's coordinate space

width - the new width

height - the new height

Overrides:

reshape in class Component

 run

 public void run()

Firework thread body. This method is called by the Java virtual machine is response to the program's call to the start method of this thread.

 show

 public synchronized void show()

Makes this component visible. This is a standard Java AWT method which gets called to show this component. If this component was invisible due to a previous hide() call it make this component visible again.

Overrides:

show in class Component

See Also:

hide

 unfreezeRockets

 public void unfreezeRockets()

Resume the firework animation.


 Class symantec.itools.multimedia.FireworkBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.multimedia.FireworkBeanInfo

public class FireworkBeanInfo
   extends SimpleBeanInfo

BeanInfo for Firework.

 FireworkBeanInfo()

Constructs a FireworkBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Deny knowledge of properties.

 FireworkBeanInfo

 public FireworkBeanInfo()

Constructs a FireworkBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Deny knowledge of properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.multimedia.ImageViewer

java.lang.Object
   |
   +----java.awt.Component
           |
           +----symantec.itools.multimedia.ImageViewer

public class ImageViewer
   extends Component
   implements Serializable

ImageViewer component. Provides a platform-independent display of an Image.

 errors

Error strings.

 fileName

Name of file, if any, associated with this image.

 image

Image that this viewer is displaying.

 IMAGE_CENTERED

A constant indicating the image is to be centered in the size of this component.

 IMAGE_NORMAL

A constant indicating the image is to be drawn normally in the upper left corner.

 IMAGE_SCALED_TO_FIT

A constant indicating the image is to be scaled to fit the size of this component.

 IMAGE_TILED

A constant indicating the image is to be tiled in the size of this component.

 imageStyle

Determines how to draw the image.

 url

URL of the image being displayed.

 ImageViewer()

Create default image viewer.

 ImageViewer(Image)

Create image viewer with image.

 ImageViewer(String)

Crate image viewer with filename.

 ImageViewer(URL)

Create image viewer with URL.

 addPropertyChangeListener(PropertyChangeListener)

Adds a listener for all event changes.

 addVetoableChangeListener(VetoableChangeListener)

Adds a vetoable listener for all event changes.

 getCenterMode()

Deprecated.

 getFileName()

Obtain the filename associated with the current image.

 getImage()

Obtain the image currently being displayed.

 getImageURL()

Obtain the URL associated with the current image.

 getStyle()

Gets the current panel image style.

 getURL()

Deprecated.

 minimumSize()

Returns the minimum dimensions to properly display this component.

 paint(Graphics)

Paints this component using the given graphics context.

 preferredSize()

Returns the recommended dimensions to properly display this component.

 removePropertyChangeListener(PropertyChangeListener)

Removes a listener for all event changes.

 removeVetoableChangeListener(VetoableChangeListener)

Removes a vetoable listener for all event changes.

 setCenterMode(boolean)

Deprecated.

 setFileName(String)

Specify or change the image filename.

 setImage(Image)

Set or change the current image.

 setImageURL(URL)

Specify or change the image URL.

 setStyle(int)

Sets the new panel image style.

 setURL(URL)

Deprecated.

 errors

 protected transient ResourceBundle errors

Error strings.

 fileName

 protected String fileName

Name of file, if any, associated with this image.

 image

 protected transient Image image

Image that this viewer is displaying.

 IMAGE_CENTERED

 public static final int IMAGE_CENTERED

A constant indicating the image is to be centered in the size of this component.

 IMAGE_NORMAL

 public static final int IMAGE_NORMAL

A constant indicating the image is to be drawn normally in the upper left corner.

 IMAGE_SCALED_TO_FIT

 public static final int IMAGE_SCALED_TO_FIT

A constant indicating the image is to be scaled to fit the size of this component.

 IMAGE_TILED

 public static final int IMAGE_TILED

A constant indicating the image is to be tiled in the size of this component.

 imageStyle

 protected int imageStyle

Determines how to draw the image.

 url

 protected URL url

URL of the image being displayed.

 ImageViewer

 public ImageViewer()

Create default image viewer.

 ImageViewer

 public ImageViewer(Image img)

Create image viewer with image. The specified image is used as the image source

Parameters:

img - the image to be displayed

 ImageViewer

 public ImageViewer(String str) throws MalformedURLException

Crate image viewer with filename. The specified filename is used as the image source.

Parameters:

str - name of file containing the image source

Throws: MalformedURLException

Thrown if URL cannot be generated from filename

 ImageViewer

 public ImageViewer(URL url)

Create image viewer with URL. The specified URL is used as the image source.

Parameters:

url - the URL of the image to be displayed

 addPropertyChangeListener

 public void addPropertyChangeListener(PropertyChangeListener listener)

Adds a listener for all event changes.

Parameters:

PropertyChangeListener - listener the listener to add.

See Also:

removePropertyChangeListener

 addVetoableChangeListener

 public void addVetoableChangeListener(VetoableChangeListener listener)

Adds a vetoable listener for all event changes.

Parameters:

VetoableChangeListener - listener the listener to add.

See Also:

removeVetoableChangeListener

 getCenterMode

 public boolean getCenterMode()

Note: getCenterMode() is deprecated.

See Also:

getStyle

 getFileName

 public String getFileName()

Obtain the filename associated with the current image.

Returns:

the name of the file, if any, associated with this image. If no file is associated with this image, returns null

 getImage

 public Image getImage()

Obtain the image currently being displayed.

Returns:

the image currently displayed or null if no image

 getImageURL

 public URL getImageURL()

Obtain the URL associated with the current image. If the image was specified by file name, or URL, it will have a URL which indicates its source. Images created using the constructor with an Image parameter will have no associated URL.

Returns:

the name of the URL, if any, associated with this image. If no URL is associated with this image, returns null

 getStyle

 public int getStyle()

Gets the current panel image style.

Returns:

the current panel image style, one of IMAGE_TILED, IMAGE_CENTERED, or IMAGE_SCALED_TO_FIT

See Also:

setStyle, IMAGE_TILED, IMAGE_CENTERED, IMAGE_SCALED_TO_FIT

 getURL

 public URL getURL()

Note: getURL() is deprecated.

See Also:

getImageURL

 minimumSize

 public Dimension minimumSize()

Returns the minimum dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the minimum size of this component.

Returns:

If no image has been loaded, a dimension of 10 by 10 is returned. If an image has been loaded, the height and width of the image is returned.

Overrides:

minimumSize in class Component

See Also:

preferredSize

 paint

 public void paint(Graphics g)

Paints this component using the given graphics context. This is a standard Java AWT method which typically gets called by the AWT to handle painting this component. It paints this component using the given graphics context. The graphics context clipping region is set to the bounding rectangle of this component and its [0,0] coordinate is this component's top-left corner.

Parameters:

g - the graphics context used for painting

Overrides:

paint in class Component

See Also:

repaint, update

 preferredSize

 public Dimension preferredSize()

Returns the recommended dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the recommended size of this component.

Returns:

If no image has been loaded, a dimension of 10 by 10 is returned. If an image has been loaded, the height and width of the image is returned.

Overrides:

preferredSize in class Component

See Also:

minimumSize

 removePropertyChangeListener

 public void removePropertyChangeListener(PropertyChangeListener listener)

Removes a listener for all event changes.

Parameters:

PropertyChangeListener - listener the listener to remove.

See Also:

addPropertyChangeListener

 removeVetoableChangeListener

 public void removeVetoableChangeListener(VetoableChangeListener listener)

Removes a vetoable listener for all event changes.

Parameters:

VetoableChangeListener - listener the listener to remove.

See Also:

addVetoableChangeListener

 setCenterMode

 public void setCenterMode(boolean flag) throws PropertyVetoException

Note: setCenterMode() is deprecated.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setStyle

 setFileName

 public void setFileName(String str) throws PropertyVetoException

Specify or change the image filename.

Parameters:

str - name of file containing image source

Throws: PropertyVetoException

if the specified property value is unacceptable

 setImage

 public void setImage(Image img) throws PropertyVetoException

Set or change the current image. Call this method if you want to specify directly the image to display.

Parameters:

img - the image to be displayed

Throws: PropertyVetoException

if the specified property value is unacceptable

 setImageURL

 public void setImageURL(URL aUrl) throws PropertyVetoException

Specify or change the image URL.

Parameters:

aUrl - the URL of the image to be displayed

Throws: PropertyVetoException

if the specified property value is unacceptable

 setStyle

 public void setStyle(int newStyle) throws PropertyVetoException

Sets the new panel image style.

Parameters:

newStyle - the new panel image style, one of IMAGE_TILED, IMAGE_CENTERED, or IMAGE_SCALED_TO_FIT

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getStyle, IMAGE_TILED, IMAGE_CENTERED, IMAGE_SCALED_TO_FIT, IMAGE_NORMAL

 setURL

 public void setURL(URL aUrl) throws PropertyVetoException

Note: setURL() is deprecated.

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

setImageURL


 Class symantec.itools.multimedia.ImageViewerBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.multimedia.ImageViewerBeanInfo

public class ImageViewerBeanInfo
   extends SimpleBeanInfo

BeanInfo for ImageViewer.

 ImageViewerBeanInfo()

Constructs a ImageViewerBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 ImageViewerBeanInfo

 public ImageViewerBeanInfo()

Constructs a ImageViewerBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.multimedia.MovingAnimation

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Canvas
                   |
                   +----symantec.itools.multimedia.Animator
                           |
                           +----symantec.itools.multimedia.MovingAnimation

public class MovingAnimation
   extends Animator
   implements Runnable

MovingAnimation component. Draws a series of images at sequential horizontal positions within the component area. Each frame is drawn at a given offset from the previous frame.

     See Also:
     Animator

 loopslot

Index of the image to draw.

 shiftOffset

The amount each image is shifted horizontally from the previous image.

 MovingAnimation()

Constructs a default MovingAnimation.

 addPropertyChangeListener(PropertyChangeListener)

Adds a listener for all event changes.

 addVetoableChangeListener(VetoableChangeListener)

Adds a vetoable listener for all event changes.

 getShiftOffset()

Gets the animation shift offset.

 imageUpdate(Image, int, int, int, int, int)

Incrementally updates an image as image data becomes available.

 paint(Graphics)

Paints this component using the given graphics context.

 removePropertyChangeListener(PropertyChangeListener)

Removes a listener for all event changes.

 removeVetoableChangeListener(VetoableChangeListener)

Removes a vetoable listener for all event changes.

 run()

Body of MovingAnimation Thread.

 setShiftOffset(int)

Sets the animation shift offset.

 loopslot

 protected transient int loopslot

Index of the image to draw. A loop counter.

 shiftOffset

 protected int shiftOffset

The amount each image is shifted horizontally from the previous image. The offset may be positive or negative. If the offset is positive, the first image is drawn on the left side of the component and subsequent images are drawn to the right of the first image by offset pixels. If the offset is negative, the first image is drawn at the right side of the component area.

 MovingAnimation

 public MovingAnimation()

Constructs a default MovingAnimation.

 addPropertyChangeListener

 public void addPropertyChangeListener(PropertyChangeListener listener)

Adds a listener for all event changes.

Parameters:

PropertyChangeListener - listener the listener to add.

Overrides:

addPropertyChangeListener in class Animator

See Also:

removePropertyChangeListener

 addVetoableChangeListener

 public void addVetoableChangeListener(VetoableChangeListener listener)

Adds a vetoable listener for all event changes.

Parameters:

VetoableChangeListener - listener the listener to add.

Overrides:

addVetoableChangeListener in class Animator

See Also:

removeVetoableChangeListener

 getShiftOffset

 public int getShiftOffset()

Gets the animation shift offset.

Returns:

int current shift offset amount, in pixels

See Also:

setShiftOffset

 imageUpdate

 public boolean imageUpdate(Image img,
                            int flags,
                            int x,
                            int y,
                            int w,
                            int h)

Incrementally updates an image as image data becomes available. This is a standard Java AWT method which gets called by the AWT to incrementally draw an image as more image data becomes available.

Parameters:

img - the image being drawn

flags - image update flags (see class ImageObserver)

x - horizontal position

y - vertical position

w - width

h - height

Returns:

true if image has been completely loaded

Overrides:

imageUpdate in class Component

See Also:

ImageObserver, imageUpdate

 paint

 public void paint(Graphics g)

Paints this component using the given graphics context. This is a standard Java AWT method which typically gets called by the AWT to handle painting this component. It paints this component using the given graphics context. The graphics context clipping region is set to the bounding rectangle of this component and its <0,0> coordinate is this component's top-left corner. The horizontal position of the image is shifted according to the current offset.

Parameters:

g - the graphics context used for painting

Overrides:

paint in class Animator

See Also:

repaint, update

 removePropertyChangeListener

 public void removePropertyChangeListener(PropertyChangeListener listener)

Removes a listener for all event changes.

Parameters:

PropertyChangeListener - listener the listener to remove.

Overrides:

removePropertyChangeListener in class Animator

See Also:

addPropertyChangeListener

 removeVetoableChangeListener

 public void removeVetoableChangeListener(VetoableChangeListener listener)

Removes a vetoable listener for all event changes.

Parameters:

VetoableChangeListener - listener the listener to remove.

Overrides:

removeVetoableChangeListener in class Animator

See Also:

addVetoableChangeListener

 run

 public void run()

Body of MovingAnimation Thread. This method is called by the Java Virtual Machine in response to a call to the start method of this object.

Overrides:

run in class Animator

 setShiftOffset

 public void setShiftOffset(int newShiftOffset) throws PropertyVetoException

Sets the animation shift offset. Each image is shifted horizontally from the previous image by the specified offset. Offset may be positive or negative. If the offset is positive, the first image is drawn on the left side of the component and subsequent images are drawn to the right of the first image by offset pixels. If the offset is negative, the first image is drawn at the right side of the component area.

Parameters:

newShiftOffset - shift offset amount, in pixels

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getShiftOffset


 Class symantec.itools.multimedia.MovingAnimationBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.multimedia.MovingAnimationBeanInfo

public class MovingAnimationBeanInfo
   extends SimpleBeanInfo

BeanInfo for MovingAnimation.

 MovingAnimationBeanInfo()

Constructs a MovingAnimationBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 MovingAnimationBeanInfo

 public MovingAnimationBeanInfo()

Constructs a MovingAnimationBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.multimedia.NervousText

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Canvas
                   |
                   +----symantec.itools.multimedia.NervousText

public class NervousText
   extends Canvas
   implements Runnable

NervousText control. Creates animated text in which each letter moves independently of all other letters.

 NervousText()

Create defalut NervousText object.

 addNotify()

Tells this component that it has been added to a container.

 addPropertyChangeListener(PropertyChangeListener)

Adds a listener for all event changes.

 addVetoableChangeListener(VetoableChangeListener)

Adds a vetoable listener for all event changes.

 getMinimumSize()

Returns the minimum dimensions to properly display this component.

 getPreferredSize()

Returns the recommended dimensions to properly display this component.

 getText()

Obtain the text that is currently being displayed.

 hide()

Makes this component invisible.

 isPaused()

Obtain animator's current state.

 paint(Graphics)

Paints this component using the given graphics context.

 pause(boolean)

 removeNotify()

Tells this component that it is being removed from a container.

 removePropertyChangeListener(PropertyChangeListener)

Removes a listener for all event changes.

 removeVetoableChangeListener(VetoableChangeListener)

Removes a vetoable listener for all event changes.

 run()

NervousText thread body.

 setPaused(boolean)

Temporarily suspend the animation of the nervous text.

 setText(String)

Specify the text that will be displayed by NervousText.

 show()

Makes this component visible.

 NervousText

 public NervousText()

Create defalut NervousText object. Default object contains the word "text".

 addNotify

 public void addNotify()

Tells this component that it has been added to a container. This is a standard Java AWT method which gets called by the AWT when this component is added to a container. Typically, it is used to create this component's peer. It has been overridden here to start the nervous text thread.

Overrides:

addNotify in class Canvas

See Also:

removeNotify

 addPropertyChangeListener

 public void addPropertyChangeListener(PropertyChangeListener listener)

Adds a listener for all event changes.

Parameters:

PropertyChangeListener - listener the listener to add.

See Also:

removePropertyChangeListener

 addVetoableChangeListener

 public void addVetoableChangeListener(VetoableChangeListener listener)

Adds a vetoable listener for all event changes.

Parameters:

VetoableChangeListener - listener the listener to add.

See Also:

removeVetoableChangeListener

 getMinimumSize

 public Dimension getMinimumSize()

Returns the minimum dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the recommended size of this component.

Returns:

10x10 per letter

Overrides:

getMinimumSize in class Component

 getPreferredSize

 public Dimension getPreferredSize()

Returns the recommended dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the recommended size of this component.

Overrides:

getPreferredSize in class Component

 getText

 public String getText()

Obtain the text that is currently being displayed.

Returns:

text that is being shown by this component

 hide

 public synchronized void hide()

Makes this component invisible. This is a standard Java AWT method which gets called to hide this component. A hidden component cannot be seen by the user nor does it take up space in its container, but it does continue to exist.

Overrides:

hide in class Component

See Also:

show

 isPaused

 public boolean isPaused()

Obtain animator's current state.

Returns:

true if the animator is paused, false if it is running

 paint

 public void paint(Graphics g)

Paints this component using the given graphics context. This is a standard Java AWT method which typically gets called by the AWT to handle painting this component. It paints this component using the given graphics context. The graphics context clipping region is set to the bounding rectangle of this component and its <0,0> coordinate is this component's top-left corner.

Parameters:

g - the graphics context used for painting

Overrides:

paint in class Canvas

See Also:

repaint, update

 pause

 public void pause(boolean f)

See Also:

setPaused

 removeNotify

 public synchronized void removeNotify()

Tells this component that it is being removed from a container. This is a standard Java AWT method which gets called by the AWT when this component is removed from a container. Typically, it is used to destroy the peers of this component and all its subcomponents. It has been overridden here to stop the nervous text thread.

Overrides:

removeNotify in class Component

See Also:

addNotify

 removePropertyChangeListener

 public void removePropertyChangeListener(PropertyChangeListener listener)

Removes a listener for all event changes.

Parameters:

PropertyChangeListener - listener the listener to remove.

See Also:

addPropertyChangeListener

 removeVetoableChangeListener

 public void removeVetoableChangeListener(VetoableChangeListener listener)

Removes a vetoable listener for all event changes.

Parameters:

VetoableChangeListener - listener the listener to remove.

See Also:

addVetoableChangeListener

 run

 public void run()

NervousText thread body. This method is called by the Java virtual machine to when this thread starts.

 setPaused

 public void setPaused(boolean newIsPaused) throws PropertyVetoException

Temporarily suspend the animation of the nervous text. Identical to pause(boolean).

Parameters:

f - pause the animation of true

Throws: PropertyVetoException

if the specified property value is unacceptable

 setText

 public void setText(String newText) throws PropertyVetoException

Specify the text that will be displayed by NervousText.

Parameters:

str - text to be shown as nervous text

Throws: PropertyVetoException

if the specified property value is unacceptable

 show

 public synchronized void show()

Makes this component visible. This is a standard Java AWT method which gets called to show this component. If this component was invisible due to a previous hide() call it make this component visible again.

Overrides:

show in class Component

See Also:

hide


 Class symantec.itools.multimedia.NervousTextBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.multimedia.NervousTextBeanInfo

public class NervousTextBeanInfo
   extends SimpleBeanInfo

BeanInfo for NervousText.

 NervousTextBeanInfo()

Constructs a NervousTextBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 NervousTextBeanInfo

 public NervousTextBeanInfo()

Constructs a NervousTextBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getDefaultPropertyIndex

 public int getDefaultPropertyIndex()

Returns the index of the property expected to be changed most often by the designer.

Overrides:

getDefaultPropertyIndex in class SimpleBeanInfo

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.multimedia.Plasma

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Canvas
                   |
                   +----symantec.itools.multimedia.Plasma

public class Plasma
   extends Canvas
   implements Runnable

Plasma component. Creates an animation of colored amorphous shapes, where colors gradually modulate as shapes merge and separate.

 Plasma()

Create default plasma component.

 addNotify()

Tells this component that it has been added to a container.

 dopalette()

Setup Plasma Palette.

 drawplasma()

Draws plasma data into an internal buffer.

 getPreviewMode()

Deprecated.

 hide()

Makes this component invisible.

 isPreviewMode()

Gets the preview mode flag.

 moveplasma()

Moves Plasma occurance location at random within component.

 paint(Graphics)

Paints this component using the given graphics context.

 removeNotify()

Tells this component that it is being removed from a container.

 reshape(int, int, int, int)

Moves and/or resizes this component.

 run()

Plasma thread body.

 setPreviewMode(boolean)

Sets the preview mode flag.

 setupcos()

Setup Plasma cosine table.

 show()

Makes this component visible.

 startPlasma()

Resume plasma animation.

 stopPlasma()

Suspend plasma animation.

 update(Graphics)

Handles redrawing of this component on the screen.

 Plasma

 public Plasma()

Create default plasma component.

 addNotify

 public synchronized void addNotify()

Tells this component that it has been added to a container. This is a standard Java AWT method which gets called by the AWT when this component is added to a container. Typically, it is used to create this component's peer. It has been overridden here to start the plasma thread.

Overrides:

addNotify in class Canvas

See Also:

removeNotify

 dopalette

 public void dopalette()

Setup Plasma Palette. Not generally called directly.

 drawplasma

 public void drawplasma()

Draws plasma data into an internal buffer. Not generally called directly.

 getPreviewMode

 public boolean getPreviewMode()

Note: getPreviewMode() is deprecated. As of JDK version 1.1, replaced by isPreviewMode.

 hide

 public synchronized void hide()

Makes this component invisible. This is a standard Java AWT method which gets called to hide this component. A hidden component cannot be seen by the user nor does it take up space in its container, but it does continue to exist.

Overrides:

hide in class Component

See Also:

show

 isPreviewMode

 public boolean isPreviewMode()

Gets the preview mode flag. This flag is used by Visual Cafe to determine if this component should be run during design time.

See Also:

setPreviewMode

 moveplasma

 public void moveplasma()

Moves Plasma occurance location at random within component. Not generally called directly.

 paint

 public void paint(Graphics g)

Paints this component using the given graphics context. This is a standard Java AWT method which typically gets called by the AWT to handle painting this component. It paints this component using the given graphics context. The graphics context clipping region is set to the bounding rectangle of this component and its <0,0> coordinate is this component's top-left corner.

Parameters:

g - the graphics context used for painting

Overrides:

paint in class Canvas

See Also:

repaint, update

 removeNotify

 public synchronized void removeNotify()

Tells this component that it is being removed from a container. This is a standard Java AWT method which gets called by the AWT when this component is removed from a container. Typically, it is used to destroy the peers of this component and all its subcomponents. It has been overridden here to stop the plasma thread.

Overrides:

removeNotify in class Component

See Also:

addNotify

 reshape

 public synchronized void reshape(int x,
                                  int y,
                                  int width,
                                  int height)

Moves and/or resizes this component. This is a standard Java AWT method which gets called to move and/or resize this component. Components that are in containers with layout managers should not call this method, but rely on the layout manager instead.

Parameters:

x - horizontal position in the parent's coordinate space

y - vertical position in the parent's coordinate space

width - the new width

height - the new height

Overrides:

reshape in class Component

 run

 public void run()

Plasma thread body. This method is called by the Java virtual machine to when this thread starts.

 setPreviewMode

 public void setPreviewMode(boolean f)

Sets the preview mode flag. This flag is used by Visual Cafe to determine if this component should be run during design time.

Parameters:

f - new preview mode

See Also:

getPreviewMode

 setupcos

 public void setupcos()

Setup Plasma cosine table. Not generally called directly.

 show

 public synchronized void show()

Makes this component visible. This is a standard Java AWT method which gets called to show this component. If this component was invisible due to a previous hide() call it make this component visible again.

Overrides:

show in class Component

See Also:

hide

 startPlasma

 public void startPlasma()

Resume plasma animation.

 stopPlasma

 public void stopPlasma()

Suspend plasma animation.

 update

 public void update(Graphics g)

Handles redrawing of this component on the screen. This is a standard Java AWT method which gets called by the Java AWT (repaint()) to handle repainting this component on the screen. The graphics context clipping region is set to the bounding rectangle of this component and its <0,0> coordinate is this component's top-left corner. Typically this method paints the background color to clear the component's drawing space, sets graphics context to be the foreground color, and then calls paint() to draw the component. It is overridden here to reduce flicker by eliminating the uneeded clearing of the background.

Parameters:

g - the graphics context

Overrides:

update in class Component

See Also:

repaint, paint


 Class symantec.itools.multimedia.PlasmaBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.multimedia.PlasmaBeanInfo

public class PlasmaBeanInfo
   extends SimpleBeanInfo

BeanInfo for Plasma.

 PlasmaBeanInfo()

Constructs a PlasmaBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 PlasmaBeanInfo

 public PlasmaBeanInfo()

Constructs a PlasmaBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.multimedia.ScrollingText

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Canvas
                   |
                   +----symantec.itools.multimedia.ScrollingText

public class ScrollingText
   extends Canvas
   implements Runnable

Scrolling text component. Forms a text banner that scrolls specified text horizontally. The component allows multiple messages and links.

 context

If used in an applet, this is the applet's context.

 currIndex

Index of current message text and URL

 currLinkTo

Current URL link.

 currMessage

Current message text.

 frame

Location in browser to show linked HTML pages.

 hiliteColor

Color for highlighted text.

 isMouseOver

Mouse over message text.

 lastMouseX

Last mouse cursor position.

 lastMouseY

Last mouse cursor position.

 linkToList

URL links which correspond with messages.

 messageList

List of messages to scroll across the banner.

 SCROLL_LEFT

Constant which indicates that the banner should scroll from right to left

 SCROLL_RIGHT

Constant which indicates that the banner should scroll from left to right

 scrollDirection

Current scroll direction.

 scrollThread

Thread which runs the scrolling animation.

 scrollUnit

Distance to scroll on each update.

 sleepTime

Controls the speed of the scroll.

 suspended

State of scrolling animation.

 textHeight

Height of current message text.

 textImage

The offscreen buffer to draw in.

 textWidth

Width of current message text.

 textX

Current horizontal text position.

 textY

Current vertical text position.

 wasMouseOverText

Status of mouse position.

 wasStatusMessage

Previous status message.

 ScrollingText()

Construct default scrolling text banner.

 addNotify()

Tells this component that it has been added to a container.

 addPropertyChangeListener(PropertyChangeListener)

Adds a listener for all event changes.

 addVetoableChangeListener(VetoableChangeListener)

Adds a vetoable listener for all event changes.

 createTextParams()

Setup metrics information for current message.

 getFrame()

Obtain the display location of linked pages.

 getHiliteColor()

Obtain the current color for text highlighting

 getLinkToList()

Obtain the current set of URL links.

 getMessageList()

Obtain the current list of messages.

 getScrollDirection()

Obtain the current direction of scrolling.

 getScrollInterval()

Obtain the current scroll interval.

 getScrollUnit()

Obtain the current size of the scroll step.

 hide()

Makes this component invisible.

 isImageInvalid()

Returns true if a image has been set, but it is not the size of this component.

 isMouseOverText(int, int)

Determines if the given point is over the current text.

 nextPos()

Increment scroll step.

 paint(Graphics)

Paints this component using the given graphics context.

 removeNotify()

Tells this component that it is being removed from a container.

 removePropertyChangeListener(PropertyChangeListener)

Removes a listener for all event changes.

 removeVetoableChangeListener(VetoableChangeListener)

Removes a vetoable listener for all event changes.

 reshape(int, int, int, int)

Moves and/or resizes this component.

 run()

ScrollingText thread body.

 setAppletContext(AppletContext)

Specify the current applet context.

 setFrame(String)

Specify the display location of linked pages.

 setHiliteColor(Color)

Set the highlight color for text.

 setLinkToList(URL[])

Specify the list of URLs for message links.

 setMessageList(String[])

Specify the current list of messages.

 setScrollDirection(int)

Specify the banner's current scroll direction.

 setScrollInterval(int)

Set sleep time between scroll steps.

 setScrollUnit(int)

Specify the size of each scroll step.

 show()

Makes this component visible.

 startScrollingText()

Resumes the animation of the scrolling text.

 stopScrollingText()

Suspends the animation of the scrolling text.

 update(Graphics)

Handles redrawing of this component on the screen.

 updateCurrentMessage(boolean)

Move to next message in message list.

 validate()

Ensures that this component is laid out properly, as needed.

 context

 protected transient AppletContext context

If used in an applet, this is the applet's context.

 currIndex

 protected int currIndex

Index of current message text and URL

 currLinkTo

 protected URL currLinkTo

Current URL link.

 currMessage

 protected String currMessage

Current message text.

 frame

 protected String frame

Location in browser to show linked HTML pages. Valid values are "_self" to show in the current frame; "_parent" show in the parent frame; "_top" show in the topmost frame; "_blank" show in a new unnamed top-level window; name show in a new top-level window named name.

 hiliteColor

 protected Color hiliteColor

Color for highlighted text. Default value is red.

 isMouseOver

 protected transient boolean isMouseOver

Mouse over message text.

 lastMouseX

 protected transient int lastMouseX

Last mouse cursor position.

 lastMouseY

 protected transient int lastMouseY

Last mouse cursor position.

 linkToList

 protected URL linkToList[]

URL links which correspond with messages.

 messageList

 protected String messageList[]

List of messages to scroll across the banner.

 SCROLL_LEFT

 public static final int SCROLL_LEFT

Constant which indicates that the banner should scroll from right to left

 SCROLL_RIGHT

 public static final int SCROLL_RIGHT

Constant which indicates that the banner should scroll from left to right

 scrollDirection

 protected int scrollDirection

Current scroll direction. Default value SCROLL_LEFT.

 scrollThread

 protected transient Thread scrollThread

Thread which runs the scrolling animation.

 scrollUnit

 protected int scrollUnit

Distance to scroll on each update. Distance is in pixels. Default value 10.

 sleepTime

 protected int sleepTime

Controls the speed of the scroll. Default value 150.

 suspended

 protected transient boolean suspended

State of scrolling animation.

 textHeight

 protected transient int textHeight

Height of current message text.

 textImage

 protected transient Image textImage

The offscreen buffer to draw in.

 textWidth

 protected transient int textWidth

Width of current message text.

 textX

 protected transient int textX

Current horizontal text position.

 textY

 protected transient int textY

Current vertical text position.

 wasMouseOverText

 protected transient boolean wasMouseOverText

Status of mouse position.

 wasStatusMessage

 protected transient String wasStatusMessage

Previous status message.

 ScrollingText

 public ScrollingText()

Construct default scrolling text banner.

 addNotify

 public synchronized void addNotify()

Tells this component that it has been added to a container. This is a standard Java AWT method which gets called by the AWT when this component is added to a container. Typically, it is used to create this component's peer. It has been overridden here to start the scrolling text thread.

Overrides:

addNotify in class Canvas

See Also:

removeNotify

 addPropertyChangeListener

 public void addPropertyChangeListener(PropertyChangeListener listener)

Adds a listener for all event changes.

Parameters:

PropertyChangeListener - listener the listener to add.

See Also:

removePropertyChangeListener

 addVetoableChangeListener

 public void addVetoableChangeListener(VetoableChangeListener listener)

Adds a vetoable listener for all event changes.

Parameters:

VetoableChangeListener - listener the listener to add.

See Also:

removeVetoableChangeListener

 createTextParams

 protected void createTextParams()

Setup metrics information for current message. Sets textX, textY, textHeight and textWidth.

 getFrame

 public String getFrame()

Obtain the display location of linked pages. If the ScrollingText is in an applet this method returns where the linked pages are displayed.

Returns:

Place to display the linked documents. Valid values are "_self" to show in the current frame; "_parent" show in the parent frame; "_top" show in the topmost frame; "_blank" show in a new unnamed top-level window; <name> show in a new top-level window named name

 getHiliteColor

 public Color getHiliteColor()

Obtain the current color for text highlighting

Returns:

current highlight color

 getLinkToList

 public URL[] getLinkToList()

Obtain the current set of URL links.

Returns:

list of URL links. Each URL corresponds to the message of the same index in the message list

 getMessageList

 public String[] getMessageList()

Obtain the current list of messages.

Returns:

the current list of messages being displayed

 getScrollDirection

 public int getScrollDirection()

Obtain the current direction of scrolling.

Returns:

the current direction, either SCROLL_LEFT or SCROLL_RIGHT

 getScrollInterval

 public int getScrollInterval()

Obtain the current scroll interval. This is the number of milliseconds that the scroll thread will sleep between scroll steps.

Returns:

current scroll delay setting, in milliseconds

 getScrollUnit

 public int getScrollUnit()

Obtain the current size of the scroll step.

Returns:

the number of pixels that text moves on each scroll step

 hide

 public synchronized void hide()

Makes this component invisible. This is a standard Java AWT method which gets called to hide this component. A hidden component cannot be seen by the user nor does it take up space in its container, but it does continue to exist.

Overrides:

hide in class Component

See Also:

show

 isImageInvalid

 protected boolean isImageInvalid()

Returns true if a image has been set, but it is not the size of this component.

 isMouseOverText

 protected boolean isMouseOverText(int x,
                                   int y)

Determines if the given point is over the current text.

Parameters:

x - horizontal location of point

y - vertical location of point

Returns:

true if given point is over the current text

 nextPos

 protected synchronized void nextPos()

Increment scroll step. Moves to next message as needed. Not usually called directly.

 paint

 public void paint(Graphics g)

Paints this component using the given graphics context. This is a standard Java AWT method which typically gets called by the AWT to handle painting this component. It paints this component using the given graphics context. The graphics context clipping region is set to the bounding rectangle of this component and its <0,0> coordinate is this component's top-left corner.

Parameters:

g - the graphics context used for painting

Overrides:

paint in class Canvas

See Also:

repaint, update

 removeNotify

 public synchronized void removeNotify()

Tells this component that it is being removed from a container. This is a standard Java AWT method which gets called by the AWT when this component is removed from a container. Typically, it is used to destroy the peers of this component and all its subcomponents. It has been overridden here to stop the scrolling text thread.

Overrides:

removeNotify in class Component

See Also:

addNotify

 removePropertyChangeListener

 public void removePropertyChangeListener(PropertyChangeListener listener)

Removes a listener for all event changes.

Parameters:

PropertyChangeListener - listener the listener to remove.

See Also:

addPropertyChangeListener

 removeVetoableChangeListener

 public void removeVetoableChangeListener(VetoableChangeListener listener)

Removes a vetoable listener for all event changes.

Parameters:

VetoableChangeListener - listener the listener to remove.

See Also:

addVetoableChangeListener

 reshape

 public synchronized void reshape(int x,
                                  int y,
                                  int width,
                                  int height)

Moves and/or resizes this component. This is a standard Java AWT method which gets called to move and/or resize this component. Components that are in containers with layout managers should not call this method, but rely on the layout manager instead.

Parameters:

x - horizontal position in the parent's coordinate space

y - vertical position in the parent's coordinate space

width - the new width

height - the new height

Overrides:

reshape in class Component

 run

 public void run()

ScrollingText thread body. This method is called by the Java virtual machine to when this thread starts.

 setAppletContext

 protected void setAppletContext(AppletContext c)

Specify the current applet context.

Parameters:

c - new applet context

 setFrame

 public void setFrame(String newFrame) throws PropertyVetoException

Specify the display location of linked pages. If the ScrollingText is in an applet this method determines where the linked pages are displayed.

Parameters:

newFrame - where to display the linked documents. Valid values are "_self" to show in the current frame; "_parent" show in the parent frame; "_top" show in the topmost frame; "_blank" show in a new unnamed top-level window; <name> show in a new top-level window named name

Throws: PropertyVetoException

if the specified property value is unacceptable

 setHiliteColor

 public void setHiliteColor(Color newHiliteColor) throws PropertyVetoException

Set the highlight color for text. Text is highlighted in this color when the mouse cursor is over it and it contains a non-null link.

Parameters:

newHiliteColor - color for highlighted text.

Throws: PropertyVetoException

if the specified property value is unacceptable

 setLinkToList

 public void setLinkToList(URL list[]) throws PropertyVetoException

Specify the list of URLs for message links. Each link corresponds with a message in the message list. If a message has no link, a null URL should be included for that message.

Parameters:

list - list of URL links

Throws: PropertyVetoException

if the specified property value is unacceptable

 setMessageList

 public void setMessageList(String list[]) throws PropertyVetoException

Specify the current list of messages. These messages scroll sequentially through the banner.

Parameters:

list - list of messages to display

Throws: PropertyVetoException

if the specified property value is unacceptable

 setScrollDirection

 public void setScrollDirection(int dir) throws PropertyVetoException

Specify the banner's current scroll direction.

Parameters:

dir - direction to scroll. Valid values are SCROLL_LEFT and SCROLL_RIGHT

Throws: PropertyVetoException

if the specified property value is unacceptable

 setScrollInterval

 public void setScrollInterval(int speed) throws PropertyVetoException

Set sleep time between scroll steps. This function controls the speed of scrolling. A lower number indicates a faster speed.

Parameters:

speed - number of milliseconds to sleep between scroll steps. The smaller the number the faster the scroll. Minimum value of 30.

Throws: PropertyVetoException

if the specified property value is unacceptable

 setScrollUnit

 public void setScrollUnit(int unit) throws PropertyVetoException

Specify the size of each scroll step.

Parameters:

unit - the number of pixels to move the text on each scroll step

Throws: PropertyVetoException

if the specified property value is unacceptable

 show

 public synchronized void show()

Makes this component visible. This is a standard Java AWT method which gets called to show this component. If this component was invisible due to a previous hide() call it make this component visible again.

Overrides:

show in class Component

See Also:

hide

 startScrollingText

 public void startScrollingText()

Resumes the animation of the scrolling text.

 stopScrollingText

 public void stopScrollingText()

Suspends the animation of the scrolling text.

 update

 public void update(Graphics g)

Handles redrawing of this component on the screen. This is a standard Java AWT method which gets called by the Java AWT (repaint()) to handle repainting this component on the screen. The graphics context clipping region is set to the bounding rectangle of this component and its <0,0> coordinate is this component's top-left corner. Typically this method paints the background color to clear the component's drawing space, sets graphics context to be the foreground color, and then calls paint() to draw the component. It is overridden here to reduce flicker by eliminating the uneeded clearing of the background.

Parameters:

g - the graphics context

Overrides:

update in class Component

See Also:

repaint, paint

 updateCurrentMessage

 protected void updateCurrentMessage(boolean next)

Move to next message in message list. Not usually called directly.

Parameters:

next - if true, move to next message; otherwise reset message with current index

 validate

 public void validate()

Ensures that this component is laid out properly, as needed. This is a standard Java AWT method which gets called by the AWT to make sure this component and its subcomponents have a valid layout. If this component was made invalid with a call to invalidate(), then it is laid out again. It is overridden here to also find the containing applet at validation time.

Overrides:

validate in class Component

See Also:

invalidate


 Class symantec.itools.multimedia.ScrollingTextBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.multimedia.ScrollingTextBeanInfo

public class ScrollingTextBeanInfo
   extends SimpleBeanInfo

BeanInfo for ScrollingText.

 ScrollingTextBeanInfo()

Constructs a ScrollingTextBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 ScrollingTextBeanInfo

 public ScrollingTextBeanInfo()

Constructs a ScrollingTextBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 Class symantec.itools.multimedia.SlideShow

java.lang.Object
   |
   +----java.awt.Component
           |
           +----java.awt.Container
                   |
                   +----symantec.itools.multimedia.SlideShow

public class SlideShow
   extends Container

This is a basic graphical image "slide show" component. Displays a series of images with descriptive text.

 descriptions

The displayed image descriptions.

 errors

Error strings.

 imageIndex

The zero-relative index of the currently displayed image.

 images

The displayed images, loaded from the image URL list.

 imageViewer

The sub-component that displays the images.

 isReshapeHack

Internal utility flag.

 urlList

The URLs of the images to display.

 SlideShow()

Constructs a new SlideShow.

 addActionListener(ActionListener)

Adds the specified action listener to receive action events from this button.

 addImageAndDescription(URL, String)

Add an image URL and associated description to the slide show image set.

 addPropertyChangeListener(PropertyChangeListener)

Adds a listener for all event changes.

 addVetoableChangeListener(VetoableChangeListener)

Adds a vetoable listener for all event changes.

 display()

Deprecated.

 getCurrentImageIndex()

Return the current image index being displayed.

 getDescription(int)

Return the description of the image at the given index.

 getMinimumSize()

Returns the minimum dimensions to properly display this component.

 getNumberOfImages()

Return the number of images in the slide show set.

 getPreferredSize()

Returns the recommended dimensions to properly display this component.

 getURL(int)

Return the URL of the image at the given index.

 isAtFirstImage()

Query if displaying first image in slide show set.

 isAtLastImage()

Query if displaying last image in slide show set.

 loadImageFromURL(URL)

Loads an image from a given URL System.err's the exception if there was a problem loading the Image.

 nextImage()

Display the next image in the slide show set.

 preferredSize()

Deprecated.

 previousImage()

Display the previous image in the slide show set.

 removeActionListener(ActionListener)

Removes the specified action listener so it no longer receives action events from this button.

 removePropertyChangeListener(PropertyChangeListener)

Removes a listener for all event changes.

 removeVetoableChangeListener(VetoableChangeListener)

Removes a vetoable listener for all event changes.

 reshape(int, int, int, int)

Deprecated.

 setBounds(int, int, int, int)

Reshapes the Component to the specified bounding box.

 setDescription(int, String)

Set the description of the image at the given index.

 setFirstImage(URL)

Reset slide show and add first image.

 setImage(int)

Display the image at the given index.

 sourceActionEvent(String)

Fire an action event to the listeners

 descriptions

 protected Vector descriptions

The displayed image descriptions.

See Also:

getDescription, setDescription, addImageAndDescription

 errors

 protected transient ResourceBundle errors

Error strings.

 imageIndex

 protected int imageIndex

The zero-relative index of the currently displayed image.

See Also:

getCurrentImageIndex, setImage, nextImage, previousImage

 images

 protected Vector images

The displayed images, loaded from the image URL list.

See Also:

setFirstImage, addImageAndDescription

 imageViewer

 protected ImageViewer imageViewer

The sub-component that displays the images.

 isReshapeHack

 protected boolean isReshapeHack

Internal utility flag.

 urlList

 protected Vector urlList

The URLs of the images to display.

See Also:

getURL, setFirstImage, addImageAndDescription

 SlideShow

 public SlideShow()

Constructs a new SlideShow.

 addActionListener

 public void addActionListener(ActionListener l)

Adds the specified action listener to receive action events from this button.

Parameters:

l - the action listener

 addImageAndDescription

 public int addImageAndDescription(URL url,
                                   String description)

Add an image URL and associated description to the slide show image set.

Parameters:

url - URL of image file

description - description of image

Returns:

int - index of added image in slide show set

 addPropertyChangeListener

 public void addPropertyChangeListener(PropertyChangeListener listener)

Adds a listener for all event changes.

Parameters:

PropertyChangeListener - listener the listener to add.

See Also:

removePropertyChangeListener

 addVetoableChangeListener

 public void addVetoableChangeListener(VetoableChangeListener listener)

Adds a vetoable listener for all event changes.

Parameters:

VetoableChangeListener - listener the listener to add.

See Also:

removeVetoableChangeListener

 display

 public void display()

Note: display() is deprecated.

 getCurrentImageIndex

 public int getCurrentImageIndex()

Return the current image index being displayed.

 getDescription

 public String getDescription(int index)

Return the description of the image at the given index.

Parameters:

index - index of image to retrieve description of

Returns:

String - description of image at given index

See Also:

setDescription

 getMinimumSize

 public Dimension getMinimumSize()

Returns the minimum dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the minimum size of this component.

Returns:

the results from getPreferredSize()

Overrides:

getMinimumSize in class Container

See Also:

getPreferredSize

 getNumberOfImages

 public int getNumberOfImages()

Return the number of images in the slide show set.

 getPreferredSize

 public Dimension getPreferredSize()

Returns the recommended dimensions to properly display this component. This is a standard Java AWT method which gets called to determine the recommended size of this component.

Returns:

If no image has been loaded, a dimension of 10 by 10 is returned. If an image has been loaded, the height and width of the image is returned.

Overrides:

getPreferredSize in class Container

See Also:

getMinimumSize

 getURL

 public URL getURL(int index)

Return the URL of the image at the given index.

Parameters:

index - index of image to retrieve URL of

Returns:

URL - URL of image at given index

 isAtFirstImage

 public boolean isAtFirstImage()

Query if displaying first image in slide show set.

Returns:

boolean - true if displaying first image; false otherwise

See Also:

isAtLastImage

 isAtLastImage

 public boolean isAtLastImage()

Query if displaying last image in slide show set.

Returns:

boolean - true if displaying last image; false otherwise

See Also:

isAtFirstImage

 loadImageFromURL

 protected Image loadImageFromURL(URL url)

Loads an image from a given URL System.err's the exception if there was a problem loading the Image.

Parameters:

url - the url referencing the image to load

Returns:

the loaded image

 nextImage

 public int nextImage()

Display the next image in the slide show set. Fires an ActionEvent with the actionCommand of "nextImage" to it's listeners.

See Also:

previousImage

 preferredSize

 public Dimension preferredSize()

Note: preferredSize() is deprecated.

Overrides:

preferredSize in class Container

See Also:

getPreferredSize

 previousImage

 public int previousImage()

Display the previous image in the slide show set. Fires an ActionEvent with the actionCommand of "previousImage" to it's listeners.

See Also:

nextImage

 removeActionListener

 public void removeActionListener(ActionListener l)

Removes the specified action listener so it no longer receives action events from this button.

Parameters:

l - the action listener

 removePropertyChangeListener

 public void removePropertyChangeListener(PropertyChangeListener listener)

Removes a listener for all event changes.

Parameters:

PropertyChangeListener - listener the listener to remove.

See Also:

addPropertyChangeListener

 removeVetoableChangeListener

 public void removeVetoableChangeListener(VetoableChangeListener listener)

Removes a vetoable listener for all event changes.

Parameters:

VetoableChangeListener - listener the listener to remove.

See Also:

addVetoableChangeListener

 reshape

 public void reshape(int x,
                     int y,
                     int width,
                     int height)

Note: reshape() is deprecated.

Overrides:

reshape in class Component

See Also:

setBounds

 setBounds

 public void setBounds(int x,
                       int y,
                       int width,
                       int height)

Reshapes the Component to the specified bounding box.

Parameters:

x - the x coordinate

y - the y coordinate

width - the width of the component

height - the height of the component

Overrides:

setBounds in class Component

See Also:

getBounds, setLocation, setSize

 setDescription

 public void setDescription(int index,
                            String str) throws PropertyVetoException

Set the description of the image at the given index.

Parameters:

index - index of description to set

str - description string

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getDescription

 setFirstImage

 public void setFirstImage(URL url)

Reset slide show and add first image.

Parameters:

url - url of first slide image, if null slide show is reinitialized

 setImage

 public int setImage(int index)

Display the image at the given index.

Parameters:

index - index of the image to display

str - description string

Returns:

int - image index being displayed

 sourceActionEvent

 protected void sourceActionEvent(String actionCommand)

Fire an action event to the listeners

Parameters:

actionCommand - the command name associated with the ActionEvent to fire.


 Class symantec.itools.multimedia.SoundPlayer

java.lang.Object
   |
   +----symantec.itools.multimedia.SoundPlayer

public class SoundPlayer
   extends Object
   implements Serializable

SoundPlayer component. This component allows the playing of a list of sound clips either serially or simultaneously. The sound information is 8-bit 8000hz u-law encoded data.

 INFINITE

A constant specifying that the sound should run forever.

 SoundPlayer()

Constructs a SoundPlayer.

 addPropertyChangeListener(PropertyChangeListener)

Adds a listener for all event changes.

 addStringURL(String)

Appends the sound clip data at the specified URL to the current list of sound clips.

 addURL(URL)

Appends the sound clip data at the specified URL to the current list of sound clips.

 addVetoableChangeListener(VetoableChangeListener)

Adds a vetoable listener for all event changes.

 getRepeat()

Gets the number of times the list of sound clips is played.

 getSyncMode()

 getURLList()

Gets the URL of each sound clip.

 isSyncMode()

Returns the number of times the list of sound clips is played.

 play()

Starts playing the sound clips.

 removePropertyChangeListener(PropertyChangeListener)

Removes a listener for all event changes.

 removeVetoableChangeListener(VetoableChangeListener)

Removes a vetoable listener for all event changes.

 setRepeat(int)

Sets the number of times the list of sound clips is played.

 setSyncMode(boolean)

Sets whether to play the sound clips one after the other, or all simultaneously.

 setURLList(URL[])

Initializes the list of sound clips using the given list of sound clip data URLs.

 stop()

Immediately stops the playing of sound clips.

 stop(int)

Stops the playing of sound clips after the specified number of milliseconds.

 INFINITE

 public static final int INFINITE

A constant specifying that the sound should run forever. Use with setRepeat().

See Also:

setRepeat

 SoundPlayer

 public SoundPlayer()

Constructs a SoundPlayer. By default the sound clips will play serially (sync mode true), and will play only once (repeat count == 1).

 addPropertyChangeListener

 public void addPropertyChangeListener(PropertyChangeListener listener)

Adds a listener for all event changes.

Parameters:

PropertyChangeListener - listener the listener to add.

See Also:

removePropertyChangeListener

 addStringURL

 public void addStringURL(String url)

Appends the sound clip data at the specified URL to the current list of sound clips. The specified file contains u-law encoded 8-bit 8000hz data.

Parameters:

url - the URL of a file containing sound clip data

 addURL

 public void addURL(URL u)

Appends the sound clip data at the specified URL to the current list of sound clips. The specified file contains u-law encoded 8-bit 8000hz data.

Parameters:

u - the URL of a file containing sound clip data

 addVetoableChangeListener

 public void addVetoableChangeListener(VetoableChangeListener listener)

Adds a vetoable listener for all event changes.

Parameters:

VetoableChangeListener - listener the listener to add.

See Also:

removeVetoableChangeListener

 getRepeat

 public int getRepeat()

Gets the number of times the list of sound clips is played.

See Also:

setRepeat

 getSyncMode

 public boolean getSyncMode()

See Also:

isSyncMode

 getURLList

 public URL[] getURLList()

Gets the URL of each sound clip.

See Also:

setURLList

 isSyncMode

 public boolean isSyncMode()

Returns the number of times the list of sound clips is played.

 play

 public void play()

Starts playing the sound clips.

 removePropertyChangeListener

 public void removePropertyChangeListener(PropertyChangeListener listener)

Removes a listener for all event changes.

Parameters:

PropertyChangeListener - listener the listener to remove.

See Also:

addPropertyChangeListener

 removeVetoableChangeListener

 public void removeVetoableChangeListener(VetoableChangeListener listener)

Removes a vetoable listener for all event changes.

Parameters:

VetoableChangeListener - listener the listener to remove.

See Also:

addVetoableChangeListener

 setRepeat

 public void setRepeat(int c) throws PropertyVetoException

Sets the number of times the list of sound clips is played.

Parameters:

c - the number of times to play the list of sound clips, or INFINITE to keep playing forever

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getRepeat

 setSyncMode

 public void setSyncMode(boolean newSyncMode) throws PropertyVetoException

Sets whether to play the sound clips one after the other, or all simultaneously.

Parameters:

newSyncMode - true to play the sound clips serially, false to play them all simultaneously

Throws: PropertyVetoException

if the specified property value is unacceptable

 setURLList

 public void setURLList(URL list[]) throws PropertyVetoException

Initializes the list of sound clips using the given list of sound clip data URLs. Any previously existing sound clip information is lost. The files specified by the URLs contain u-law encoded 8-bit 8000hz data.

Parameters:

list - a list of URLs of files containing sound clip data

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getURLList

 stop

 public void stop()

Immediately stops the playing of sound clips.

 stop

 public void stop(int delay)

Stops the playing of sound clips after the specified number of milliseconds.

Parameters:

#delay - the number of milliseconds to wait before stopping sound play


 Class symantec.itools.multimedia.SoundPlayerBeanInfo

java.lang.Object
   |
   +----java.beans.SimpleBeanInfo
           |
           +----symantec.itools.multimedia.SoundPlayerBeanInfo

public class SoundPlayerBeanInfo
   extends SimpleBeanInfo

BeanInfo for SoundPlayer.

 SoundPlayerBeanInfo()

Constructs a SoundPlayerBeanInfo object.

 getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

 getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

 getIcon(int)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

 getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

 getPropertyDescriptors()

Returns descriptions of this bean's properties.

 SoundPlayerBeanInfo

 public SoundPlayerBeanInfo()

Constructs a SoundPlayerBeanInfo object.

 getAdditionalBeanInfo

 public BeanInfo[] getAdditionalBeanInfo()

Gets a BeanInfo for the superclass of this bean.

Returns:

BeanInfo[] containing this bean's superclass BeanInfo

Overrides:

getAdditionalBeanInfo in class SimpleBeanInfo

 getBeanDescriptor

 public BeanDescriptor getBeanDescriptor()

Gets the SymantecBeanDescriptor for this bean.

Returns:

an object of type SymantecBeanDescriptor

Overrides:

getBeanDescriptor in class SimpleBeanInfo

See Also:

SymantecBeanDescriptor

 getIcon

 public Image getIcon(int iconKind)

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

Parameters:

iconKind - the type of icon desired, one of: BeanInfo.ICON_MONO_16x16, BeanInfo.ICON_COLOR_16x16, BeanInfo.ICON_MONO_32x32, or BeanInfo.ICON_COLOR_32x32.

Returns:

an image for this bean, always color even if requested monochrome

Overrides:

getIcon in class SimpleBeanInfo

See Also:

ICON_MONO_16x16, ICON_COLOR_16x16, ICON_MONO_32x32, ICON_COLOR_32x32

 getMethodDescriptors

 public MethodDescriptor[] getMethodDescriptors()

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard. Included in each method description is a CONNECTIONS ConnectionDescriptor.

Returns:

method descriptions for this bean

Overrides:

getMethodDescriptors in class SimpleBeanInfo

See Also:

CONNECTIONS

 getPropertyDescriptors

 public PropertyDescriptor[] getPropertyDescriptors()

Returns descriptions of this bean's properties.

Overrides:

getPropertyDescriptors in class SimpleBeanInfo


 package symantec.itools.net

   RelativeURL


 Class symantec.itools.net.RelativeURL

java.lang.Object
   |
   +----symantec.itools.net.RelativeURL

public class RelativeURL
   extends Object

This class is used in conjunction with class symantec.itools.OS.Context to provide URLs that are relative to an applet’s or application’s document base. For applets the document base is the URL of the document that the applet is embedded in. For applications the document base is the same as the “user.dir” system property.

 RelativeURL()

Don’t use, this is an all-static class.

 getURL(String)

Determines the absolute URL given a relative URL.

 loadObject(Class, String)

Attempts to load an object from a .SER file.

 RelativeURL

 public RelativeURL()

Don’t use, this is an all-static class.

 getURL

 public static URL getURL(String spec) throws MalformedURLException

Determines the absolute URL given a relative URL. If the spec parameter is relative, it is considered to be relative to the current document base as determined by getDocumentBase() in class symantec.itools.lang.Context.

Parameters:

spec - a possibly relative URL

Returns:

the absolute URL equivalent to the given relativeURL

Throws: MalformedURLException

if cannot generate the resultant URL due to a bad spec parameter or a bad document base

 loadObject

 public static Object loadObject(Class c,
                                 String serName)

Attempts to load an object from a .SER file.

Parameters:

Class - the class to be created

serName - the name of the serialization file

Returns:

the object created (or NULL, if any error occurred)


 package symantec.itools.util

   GeneralUtils
   Timer
   ZOrderUtils


 Class symantec.itools.util.GeneralUtils

java.lang.Object
   |
   +----symantec.itools.util.GeneralUtils

public final class GeneralUtils
   extends Object

Useful utility functions and constants.

 errors

Error strings.

 frameTarget_blank

A constant indicating a document should be shown in a new unnamed top-level window.

 frameTarget_parent

A constant indicating a document should be shown in the parent frame.

 frameTarget_self

A constant indicating a document should be shown in the current frame.

 frameTarget_top

A constant indicating a document should be shown in the topmost frame.

 GeneralUtils()

Do not use, all-static class.

 checkValidPercent(double)

Checks to make sure the percent parameter is in range.

 objectsEqual(Object, Object)

Compares two objects passed in for equality.

 removeCharAtIndex(String, int)

Remove a character at the given index from the given string

 errors

 protected static ResourceBundle errors

Error strings.

 frameTarget_blank

 public static String frameTarget_blank

A constant indicating a document should be shown in a new unnamed top-level window. It is the second parameter for the method: java.applet.AppletContext.showDocument(URL, String). It is provided here for general use.

See Also:

showDocument

 frameTarget_parent

 public static String frameTarget_parent

A constant indicating a document should be shown in the parent frame. It is the second parameter for the method: java.applet.AppletContext.showDocument(URL, String). It is provided here for general use.

See Also:

showDocument

 frameTarget_self

 public static String frameTarget_self

A constant indicating a document should be shown in the current frame. It is the second parameter for the method: java.applet.AppletContext.showDocument(URL, String). It is provided here for general use.

See Also:

showDocument

 frameTarget_top

 public static String frameTarget_top

A constant indicating a document should be shown in the topmost frame. It is the second parameter for the method: java.applet.AppletContext.showDocument(URL, String). It is provided here for general use.

See Also:

showDocument

 GeneralUtils

 public GeneralUtils()

Do not use, all-static class.

 checkValidPercent

 public static void checkValidPercent(double percent) throws IllegalArgumentException

Checks to make sure the percent parameter is in range.

Throws: IllegalArgumentException

if the specified percentage value is unacceptable

 objectsEqual

 public static boolean objectsEqual(Object objectA,
                                    Object objectB)

Compares two objects passed in for equality. Handle null objects.

Parameters:

objectA - one of the objects to be compared

objectB - one of the objects to be compared

 removeCharAtIndex

 public static String removeCharAtIndex(String string,
                                        int index)

Remove a character at the given index from the given string

Parameters:

String - string the string to remove a character from.

int - index the index of the character to remove.

Returns:

the string without the character at the given index. If the string is null or empty, null or empty will be returned. If the index is out of bounds, the orignial string is returned.


 Class symantec.itools.util.Timer

java.lang.Object
   |
   +----symantec.itools.util.Timer

public class Timer
   extends Object
   implements Runnable, Serializable

Sets a timer to wait before an action event is posted to a component. The caller can specify the target component, the event to send to the component, and the time delay. The timer is implemented as a thread. The one of the start(...) methods should be called to start the thread.

 actionCommand

The value of the Action Command property.

 actionListener

Listener(s) that get notified when an ActionEvent is generated.

 delay

The value of the Delay property.

 eventType

Reserved.

 execute

True while timer thread is running.

 isDesignTime

True if we're in the Java development environment.

 live

True if the timer is enabled and running.

 repeat

The value of the Repeat property.

 repeating

Internal use.

 target

Reserved.

 thread

The timer's thread.

 Timer()

Creates a timer with the default delay.

 Timer(boolean)

Creates a timer with specified repeat setting and the default delay.

 Timer(Component)

Deprecated.

 Timer(Component, int)

Deprecated.

 Timer(Component, int, boolean)

Deprecated.

 Timer(Component, int, boolean, int)

Deprecated.

 Timer(int)

Creates a timer with specified delay.

 Timer(int, boolean)

Creates a timer with specified delay and repeat setting.

 addActionListener(ActionListener)

Adds the specified action listener to receive action events from this button.

 addPropertyChangeListener(PropertyChangeListener)

Adds a listener for all property change events.

 addVetoableChangeListener(VetoableChangeListener)

Adds a listener for all vetoable property change events.

 getActionCommand()

Returns the command name of the action event fired by this button.

 getDelay()

Obtains the delay time setting for this timer.

 getEnabled()

Deprecated.

 getRepeat()

Deprecated.

 isEnabled()

Is the timer currently enabled

 isRepeat()

Obtains the repeat setting of the timer.

 pause()

Pauses the timer.

 removeActionListener(ActionListener)

Removes the specified action listener so it no longer receives action events from this button.

 removePropertyChangeListener(PropertyChangeListener)

Removes a listener for all property change events.

 removeVetoableChangeListener(VetoableChangeListener)

Removes a listener for all vetoable property change events.

 restart()

Restarts the timer immediately with the current delay value.

 resume()

Resumes the timer.

 run()

The thread body.

 setActionCommand(String)

Sets the command name of the action event fired by this button.

 setDelay(int)

Sets the delay time for this timer.

 setRepeat(boolean)

Changes the repeat setting of the timer.

 sourceActionEvent()

Fires an action event to the listeners.

 start()

Starts the timer with existing settings.

 start(boolean)

Starts the timer using the specified repeat setting.

 start(int)

Starts the timer using the specified delay.

 start(int, boolean)

Starts the timer using the specified delay and repeat settings.

 stop()

Stops the timer.

 actionCommand

 protected String actionCommand

The value of the Action Command property.

 actionListener

 protected ActionListener actionListener

Listener(s) that get notified when an ActionEvent is generated.

 delay

 protected int delay

The value of the Delay property.

 eventType

 protected int eventType

Reserved.

 execute

 protected boolean execute

True while timer thread is running.

 isDesignTime

 protected boolean isDesignTime

True if we're in the Java development environment.

 live

 protected boolean live

True if the timer is enabled and running.

 repeat

 protected boolean repeat

The value of the Repeat property.

 repeating

 protected boolean repeating

Internal use. True if Repeat property true, and Timer is in its repeat timing loop.

 target

 protected Component target

Reserved.

 thread

 protected transient Thread thread

The timer's thread.

 Timer

 public Timer()

Creates a timer with the default delay. After 1000 miliseconds this timer will fire an ActionEvent. It will not repeat.

 Timer

 public Timer(boolean r)

Creates a timer with specified repeat setting and the default delay. After 1000 miliseconds this timer will fire an ActionEvent. It may repeat, depending on r.

Parameters:

r - if true, reset and repeat after generating the event

 Timer

 public Timer(Component t)

Note: Timer() is deprecated.

See Also:

Timer

 Timer

 public Timer(Component t,
              int d)

Note: Timer() is deprecated.

See Also:

Timer

 Timer

 public Timer(Component t,
              int d,
              boolean r)

Note: Timer() is deprecated.

See Also:

Timer

 Timer

 public Timer(Component t,
              int d,
              boolean r,
              int e)

Note: Timer() is deprecated.

See Also:

Timer

 Timer

 public Timer(int d)

Creates a timer with specified delay. After the specified delay this timer will fire an ActionEvent. It will not repeat.

Parameters:

d - the delay in milliseconds

 Timer

 public Timer(int d,
              boolean r)

Creates a timer with specified delay and repeat setting. After the specified delay this timer will fire an ActionEvent. It may repeat, depending on r.

Parameters:

d - the delay in milliseconds

r - if true, reset and repeat after generating the event

 addActionListener

 public void addActionListener(ActionListener l)

Adds the specified action listener to receive action events from this button.

Parameters:

l - the action listener

 addPropertyChangeListener

 public void addPropertyChangeListener(PropertyChangeListener listener)

Adds a listener for all property change events.

Parameters:

listener - the listener to add

See Also:

removePropertyChangeListener

 addVetoableChangeListener

 public void addVetoableChangeListener(VetoableChangeListener listener)

Adds a listener for all vetoable property change events.

Parameters:

listener - the listener to add

See Also:

removeVetoableChangeListener

 getActionCommand

 public String getActionCommand()

Returns the command name of the action event fired by this button.

See Also:

setActionCommand

 getDelay

 public int getDelay()

Obtains the delay time setting for this timer.

Returns:

the current delay setting for this timer, in milliseconds

See Also:

setDelay

 getEnabled

 public boolean getEnabled()

Note: getEnabled() is deprecated. Needed for compatability with backrunner.

 getRepeat

 public boolean getRepeat()

Note: getRepeat() is deprecated.

See Also:

isRepeat

 isEnabled

 public boolean isEnabled()

Is the timer currently enabled

Returns:

true if the timer is running.

 isRepeat

 public boolean isRepeat()

Obtains the repeat setting of the timer.

Returns:

true if this timer is set to repeat, false if this timer does not repeat

See Also:

setRepeat

 pause

 public synchronized void pause()

Pauses the timer. Differs from stop in that the timer is continued from whatever state it was in before pausing.

start() and stop() overrule this function.

See Also:

resume, start, stop

 removeActionListener

 public void removeActionListener(ActionListener l)

Removes the specified action listener so it no longer receives action events from this button.

Parameters:

l - the action listener

 removePropertyChangeListener

 public void removePropertyChangeListener(PropertyChangeListener listener)

Removes a listener for all property change events.

Parameters:

listener - the listener to remove

See Also:

addPropertyChangeListener

 removeVetoableChangeListener

 public void removeVetoableChangeListener(VetoableChangeListener listener)

Removes a listener for all vetoable property change events.

Parameters:

listener - the listener to remove

See Also:

addVetoableChangeListener

 restart

 public synchronized void restart()

Restarts the timer immediately with the current delay value. This will start a stopped timer.

See Also:

start, stop

 resume

 public synchronized void resume()

Resumes the timer. Differs from start in that the timer is continued from whatever state it was in before pausing.

start() and stop() overrule this function

See Also:

pause, start, stop

 run

 public void run()

The thread body. This method is called by the Java virtual machine in response to a start call by the user.

See Also:

start, start, start, start, stop

 setActionCommand

 public void setActionCommand(String command) throws PropertyVetoException

Sets the command name of the action event fired by this button.

Parameters:

command - Tthe name of the action event command fired by this button

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getActionCommand

 setDelay

 public void setDelay(int d) throws PropertyVetoException

Sets the delay time for this timer.

Parameters:

d - the delay in milliseconds. This delay will be used starting after the current delay elapses

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

getDelay

 setRepeat

 public void setRepeat(boolean f) throws PropertyVetoException

Changes the repeat setting of the timer. If the repeat setting is false a single event will be generated. When set to true the timer produces a series of events.

Parameters:

f - reset and repeat after generating the event

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

isRepeat

 sourceActionEvent

 public void sourceActionEvent()

Fires an action event to the listeners.

See Also:

setActionCommand

 start

 public synchronized void start()

Starts the timer with existing settings.

See Also:

start, start, start, stop, run

 start

 public synchronized void start(boolean r) throws PropertyVetoException

Starts the timer using the specified repeat setting.

Parameters:

r - reset and repeat after generating the event

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

start, start, start, stop, run

 start

 public synchronized void start(int d) throws PropertyVetoException

Starts the timer using the specified delay.

Parameters:

d - the delay in milliseconds

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

start, start, start, stop, run

 start

 public synchronized void start(int d,
                                boolean r) throws PropertyVetoException

Starts the timer using the specified delay and repeat settings.

Parameters:

d - the delay in milliseconds

r - reset and repeat after generating the event

Throws: PropertyVetoException

if the specified property value is unacceptable

See Also:

start, start, start, stop, run

 stop

 public synchronized void stop()

Stops the timer. After return the timer will generate no more events.

See Also:

start


 Class symantec.itools.util.ZOrderUtils

java.lang.Object
   |
   +----symantec.itools.util.ZOrderUtils

public final class ZOrderUtils
   extends Object

Determines the order components are drawn: first-to-last or last-to-first.

 assumeZOrder(Container, boolean)

Reverses the order of all components in a container if the current environment doesn't draw them as assumed.

 isFirstDrawnOverSecond()

Determines if the first component is drawn over the second componnet.

 isSecondDrawnOverFirst()

Determines if the second component is drawn over the first componnet.

 reverseContainersZOrder(Container)

Reverses the order of all components in a container.

 assumeZOrder

 public static boolean assumeZOrder(Container container,
                                    boolean assumedFirstDrawnOverSecond)

Reverses the order of all components in a container if the current environment doesn't draw them as assumed.

Parameters:

container - the container with the components to reverse, as needed

assumedFirstDrawnOverSecond - the assumed drawing order. If the actual drawing order matches this, then no component reversal is needed

 isFirstDrawnOverSecond

 public static boolean isFirstDrawnOverSecond()

Determines if the first component is drawn over the second componnet.

 isSecondDrawnOverFirst

 public static boolean isSecondDrawnOverFirst()

Determines if the second component is drawn over the first componnet.

 reverseContainersZOrder

 public static void reverseContainersZOrder(Container container)

Reverses the order of all components in a container.

Parameters:

container - the container with the components to reverse


Index of all Fields and Methods

_ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z


Index of all Fields and Methods

_ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

_

_defaultConn. Variable in class symantec.itools.db.pro.Session

The default database connection information used in getting Request objects.

_designtime. Variable in class symantec.itools.db.pro.Session

Flag indicating whether designing this object in the development environment.

_isClosed. Variable in class symantec.itools.db.pro.Session

If true the connection to the dbANYWHERE server is closed.

_logonObj. Variable in class symantec.itools.db.pro.Session

The handler for failed logon attempts.

_messgr. Variable in class symantec.itools.db.pro.AutoDetail

The object used to call remote methods on the dbANYWHERE server.

_messgr. Variable in class symantec.itools.db.pro.Session

Handles calling the methods of remote objects on the dbANYWHERE server.

_metadataObjs. Variable in class symantec.itools.db.pro.Session

A Vector of SessionMetaData objects containing basic dbANYWHERE capabilities.

_multiViews. Variable in class symantec.itools.db.pro.Session

All the MuliViews using this session.

_name. Variable in class symantec.itools.db.pro.Session

The user-defined name for this object.

_serverURL. Variable in class symantec.itools.db.pro.Session

The URL of the dbANYWHERE server.

_sess. Variable in class symantec.itools.db.pro.Request

The current dbANYWHERE session information.

_session. Variable in class symantec.itools.db.pro.Session

Handles basic session details.


Index of all Fields and Methods

_ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

A

a. Variable in class java.awt.AWTEventMulticaster

ABORT. Static variable in interface java.awt.image.ImageObserver

An image which was being tracked asynchronously was aborted before production was complete.

ABORTED. Static variable in class java.awt.MediaTracker

Flag indicating that the downloading of some media was aborted.

abortGrabbing(). Method in class java.awt.image.PixelGrabber

Request the PixelGrabber to abort the image fetch.

ABOVE_COMPONENT. Static variable in class symantec.itools.awt.InfoTipPanel

Defines the "from top" scroll direction.

abs(). Method in class java.math.BigDecimal

Returns a BigDecimal whose value is the absolute value of this number, and whose scale is this.scale().

abs(). Method in class java.math.BigInteger

Returns a BigInteger whose value is the absolute value of this number.

abs(double). Static method in class java.lang.Math

Returns the absolute value of a double value.

abs(float). Static method in class java.lang.Math

Returns the absolute value of a float value.

abs(int). Static method in class java.lang.Math

Returns the absolute value of an int value.

abs(long). Static method in class java.lang.Math

Returns the absolute value of a long value.

ABSTRACT. Static variable in class java.lang.reflect.Modifier

AbstractMethodError(). Constructor for class java.lang.AbstractMethodError

Constructs an AbstractMethodError with no detail message.

AbstractMethodError(String). Constructor for class java.lang.AbstractMethodError

Constructs an AbstractMethodError with the specified detail message.

accept(). Method in class java.net.ServerSocket

Listens for a connection to be made to this socket and accepts it.

accept(File, String). Method in interface java.io.FilenameFilter

Tests if a specified file should be included in a file list.

accept(SocketImpl). Method in class java.net.SocketImpl

Accepts a connection.

acceptsURL(String). Method in interface java.sql.Driver

Returns true if the driver thinks that it can open a connection to the given URL.

AccessException(String). Constructor for class java.rmi.AccessException

Create a new AccessException with a description.

AccessException(String, Exception). Constructor for class java.rmi.AccessException

Create a new AccessException with a description and detail exception.

AclNotFoundException(). Constructor for class java.security.acl.AclNotFoundException

Constructs an AclNotFoundException.

acos(double). Static method in class java.lang.Math

Returns the arc cosine of an angle, in the range of 0.0 through pi.

action. Variable in class symantec.itools.awt.KeyPressManagerPanel

Listens for an action and posts a default button action when triggered.

action. Variable in class symantec.itools.awt.util.spinner.Spinner

An ActionEvent listener that handles typical spinner actions.

action(Event, Object). Method in class java.awt.Component

Action_Event. Static variable in class symantec.itools.db.awt.ComboBox

Constant value for the Triggering Event property.

ACTION_EVENT. Static variable in class java.awt.Event

This event indicates that the user wants some action to occur.

Action_Event. Static variable in class symantec.itools.db.awt.ListPlus

Constant value for the Triggering Event property.

Action_Event. Static variable in class symantec.itools.db.awt.ProjectionBeanHelper

Constant value for the Triggering Event property.

Action_Event. Static variable in class symantec.itools.db.awt.TextField

Constant value for the Triggering Event property.

ACTION_EVENT_MASK. Static variable in class java.awt.AWTEvent

The event mask for selecting action events.

ACTION_FIRST. Static variable in class java.awt.event.ActionEvent

Marks the first integer id for the range of action event ids.

ACTION_LAST. Static variable in class java.awt.event.ActionEvent

Marks the last integer id for the range of action event ids.

ACTION_PERFORMED. Static variable in class java.awt.event.ActionEvent

An action performed event type.

actionCommand. Variable in class symantec.itools.awt.ComboBox

The command name of the action event fired by this component.

actionCommand. Variable in class symantec.itools.awt.HorizontalSlider

The command name of the action event fired by this component.

actionCommand. Variable in class symantec.itools.awt.MultiList

The first part of the action command.

actionCommand. Variable in class symantec.itools.awt.Slider

The command name of the action event fired by this component.

actionCommand. Variable in class symantec.itools.util.Timer

The value of the Action Command property.

actionCommand. Variable in class symantec.itools.awt.VerticalSlider

The command name of the action event fired by this component.

actionEvent(Event). Method in class symantec.itools.db.awt.ButtonCell

Takes no action.

ActionEvent(Object, int, String). Constructor for class java.awt.event.ActionEvent

Constructs an ActionEvent object with the specified source object.

ActionEvent(Object, int, String, int). Constructor for class java.awt.event.ActionEvent

Constructs an ActionEvent object with the specified source object.

actionListener. Variable in class symantec.itools.awt.ComboBox

The action listener to keep track of listeners for our action event.

actionListener. Variable in class symantec.itools.awt.MultiList

The action listener to keep track of listeners for our action event.

actionListener. Variable in class symantec.itools.awt.Slider

The action listener to keep track of listeners for our action event.

actionListener. Variable in class symantec.itools.awt.util.spinner.SpinButtonPanel

The action listener to keep track of listeners for our action event.

actionListener. Variable in class symantec.itools.awt.util.spinner.Spinner

The action listener which will receive action events from this component.

actionListener. Variable in class symantec.itools.awt.StateCheckBox

The action listener to keep track of listeners for our action event.

actionListener. Variable in class symantec.itools.util.Timer

Listener(s) that get notified when an ActionEvent is generated.

actionListener. Variable in class symantec.itools.awt.TreeView

The action listener to keep track of listeners for our action event.

actionPerformed(ActionEvent). Method in interface java.awt.event.ActionListener

Invoked when an action occurs.

actionPerformed(ActionEvent). Method in class java.awt.AWTEventMulticaster

Handles the actionPerformed event by invoking the actionPerformed methods on listener-a and listener-b.

actionPerformed(ActionEvent). Method in class symantec.itools.db.awt.DBTstamp

Processes events for this component.

actionPerformed(ActionEvent). Method in class symantec.itools.db.awt.ProjectionBeanHelper

Invoked when an action occurs.

activateCursor(). Method in class symantec.itools.db.awt.BasicCell

Informs the cell to draw a cursor if appropriate.

activateCursor(). Method in class symantec.itools.db.awt.ButtonCell

Informs the cell to draw a cursor if appropriate.

activateCursor(). Method in interface symantec.itools.db.awt.TableCell

Informs the cell to draw a cursor if appropriate.

ACTIVE_CAPTION. Static variable in class java.awt.SystemColor

The array index for the active caption background color.

ACTIVE_CAPTION_BORDER. Static variable in class java.awt.SystemColor

The array index for the active caption border color.

ACTIVE_CAPTION_TEXT. Static variable in class java.awt.SystemColor

The array index for the action caption text color.

activeCaption. Static variable in class java.awt.SystemColor

The background color for captions in window borders.

activeCaptionBorder. Static variable in class java.awt.SystemColor

The border color for captions in window borders.

activeCaptionText. Static variable in class java.awt.SystemColor

The text color for captions in window borders.

activeCount(). Static method in class java.lang.Thread

Returns the current number of active threads in this thread group.

activeCount(). Method in class java.lang.ThreadGroup

Returns an estimate of the number of active threads in this thread group.

activeGroupCount(). Method in class java.lang.ThreadGroup

Returns an estimate of the number of active groups in this thread group.

AD. Static variable in class java.util.GregorianCalendar

Useful constant for GregorianCalendar.

add(ActionListener, ActionListener). Static method in class java.awt.AWTEventMulticaster

Adds action-listener-a with action-listener-b and returns the resulting multicast listener.

add(AdjustmentListener, AdjustmentListener). Static method in class java.awt.AWTEventMulticaster

Adds adjustment-listener-a with adjustment-listener-b and returns the resulting multicast listener.

add(BigDecimal). Method in class java.math.BigDecimal

Returns a BigDecimal whose value is (this + val), and whose scale is MAX(this.scale(), val.scale).

add(BigInteger). Method in class java.math.BigInteger

Returns a BigInteger whose value is (this + val).

add(Component). Method in class symantec.itools.awt.BaseTabbedPanel

Takes no action, use addTab().

add(Component). Method in class java.awt.Container

Adds the specified component to the end of this container.

add(Component). Method in class symantec.itools.awt.SplitterPanel

Adds a component to the end of this container.

add(Component). Method in class symantec.itools.awt.TabPanel

Adds a component to the end of this container.

add(Component). Method in class symantec.itools.awt.Wizard

Adds a component to the end of this container.

add(Component, int). Method in class symantec.itools.awt.BaseTabbedPanel

Takes no action, use addTab().

add(Component, int). Method in class java.awt.Container

Adds the specified component to this container at the given position.

add(Component, int). Method in class symantec.itools.awt.SplitterPanel

Adds a component to the end of this container.

add(Component, int). Method in class symantec.itools.awt.TabPanel

Adds a component to the end of this container.

add(Component, int). Method in class symantec.itools.awt.Wizard

Adds a component to the end of this container.

add(Component, Object). Method in class java.awt.Container

Adds the specified component to the end of this container.

add(Component, Object, int). Method in class java.awt.Container

Adds the specified component to this container with the specified constraints at the specified index.

add(ComponentListener, ComponentListener). Static method in class java.awt.AWTEventMulticaster

Adds component-listener-a with component-listener-b and returns the resulting multicast listener.

add(ContainerListener, ContainerListener). Static method in class java.awt.AWTEventMulticaster

Adds container-listener-a with container-listener-b and returns the resulting multicast listener.

add(FocusListener, FocusListener). Static method in class java.awt.AWTEventMulticaster

Adds focus-listener-a with focus-listener-b and returns the resulting multicast listener.

add(int, int). Method in class java.util.Calendar

Date Arithmetic function.

add(int, int). Method in class java.util.GregorianCalendar

Overrides Calendar Date Arithmetic function.

add(int, int). Method in class java.awt.Rectangle

Adds a point, specified by the integer arguments newx and newy, to this rectangle.

add(ItemListener, ItemListener). Static method in class java.awt.AWTEventMulticaster

Adds item-listener-a with item-listener-b and returns the resulting multicast listener.

add(JdbcConnection). Method in class symantec.itools.db.beans.jdbc.ConnectionManager

Adds a JdbcConnection to be managed.

add(KeyListener, KeyListener). Static method in class java.awt.AWTEventMulticaster

Adds key-listener-a with key-listener-b and returns the resulting multicast listener.

add(Menu). Method in class java.awt.MenuBar

Adds the specified menu to the menu bar.

add(MenuItem). Method in class java.awt.Menu

Adds the specified menu item to this menu.

add(MouseListener, MouseListener). Static method in class java.awt.AWTEventMulticaster

Adds mouse-listener-a with mouse-listener-b and returns the resulting multicast listener.

add(MouseMotionListener, MouseMotionListener). Static method in class java.awt.AWTEventMulticaster

Adds mouse-motion-listener-a with mouse-motion-listener-b and returns the resulting multicast listener.

add(Point). Method in class java.awt.Rectangle

Adds the point pt to this rectangle.

add(PopupMenu). Method in class java.awt.Component

Adds the specified popup menu to the component.

add(Rectangle). Method in class java.awt.Rectangle

Adds a rectangle to this rectangle.

add(String). Method in class java.awt.Choice

Adds an item to this Choice menu.

add(String). Method in class java.awt.List

Adds the specified item to the end of scrolling list.

add(String). Method in class java.awt.Menu

Adds an item with the specified label to this menu.

add(String, Component). Method in class symantec.itools.awt.BaseTabbedPanel

Takes no action, use addTab().

add(String, Component). Method in class java.awt.Container

Adds the specified component to this container.

add(String, Component). Method in class symantec.itools.awt.TabPanel

Takes no action.

add(String, Component). Method in class symantec.itools.awt.Wizard

Takes no action.

add(String, int). Method in interface java.awt.peer.ChoicePeer

add(String, int). Method in class java.awt.List

Adds the specified item to the end of the scrolling list.

add(String, int). Method in interface java.awt.peer.ListPeer

add(TextListener, TextListener). Static method in class java.awt.AWTEventMulticaster

add(WindowListener, WindowListener). Static method in class java.awt.AWTEventMulticaster

Adds window-listener-a with window-listener-b and returns the resulting multicast listener.

addActionListener(ActionListener). Method in class java.awt.Button

Adds the specified action listener to receive action events from this button.

addActionListener(ActionListener). Method in class symantec.itools.awt.ButtonBase

Adds the specified action listener to receive action events from this button.

addActionListener(ActionListener). Method in class symantec.itools.awt.util.Calendar

Adds the specified action listener to receive action events from this button.

addActionListener(ActionListener). Method in class symantec.itools.awt.ComboBox

Adds the specified action listener to receive action events

addActionListener(ActionListener). Method in class symantec.itools.awt.ImageListBox

Adds the specified action listener to receive action events from this component.

addActionListener(ActionListener). Method in class symantec.itools.awt.InvisibleButton

Adds the specified action listener to receive action events from this button.

addActionListener(ActionListener). Method in class java.awt.List

Adds the specified action listener to receive action events from this list.

addActionListener(ActionListener). Method in class java.awt.MenuItem

Adds the specified action listener to receive action events from this menu item.

addActionListener(ActionListener). Method in class symantec.itools.awt.MultiList

Adds the specified action listener to receive action events from this object.

addActionListener(ActionListener). Method in class symantec.itools.awt.RollOverButton

Adds the specified action listener to receive action events from this button.

addActionListener(ActionListener). Method in class symantec.itools.awt.Slider

Adds the specified action listener to receive action events from this component.

addActionListener(ActionListener). Method in class symantec.itools.multimedia.SlideShow

Adds the specified action listener to receive action events from this button.

addActionListener(ActionListener). Method in class symantec.itools.awt.util.spinner.SpinButtonPanel

Adds the specified action listener to receive action events.

addActionListener(ActionListener). Method in class symantec.itools.awt.util.spinner.Spinner

Adds the specified action listener to receive action events from this component.

addActionListener(ActionListener). Method in class symantec.itools.awt.StateCheckBox

Adds the specified action listener to receive action events from this button.

addActionListener(ActionListener). Method in class java.awt.TextField

Adds the specified action listener to recieve action events from this text field.

addActionListener(ActionListener). Method in class symantec.itools.util.Timer

Adds the specified action listener to receive action events from this button.

addActionListener(ActionListener). Method in class symantec.itools.awt.TreeView

Adds the specified action listener to receive action events from this button.

addActionListener(ActionListener). Method in class symantec.itools.awt.Wizard

Adds the specified action listener to receive action events from the Finish button.

addAdditionalConnections(BeanInfo[]). Method in class symantec.itools.beans.SymantecBeanDescriptor

Adds any ConnectionDescriptors to this BeanDescriptor which are associated with the BeanDescriptors of the BeanInfos in the array argument.

addAdjustmentListener(AdjustmentListener). Method in interface java.awt.Adjustable

Add a listener to recieve adjustment events when the value of the adjustable object changes.

addAdjustmentListener(AdjustmentListener). Method in class java.awt.Scrollbar

Adds the specified adjustment listener to receive instances of AdjustmentEvent from this scroll bar.

addAlignStyleListener(PropertyChangeListener). Method in class symantec.itools.awt.LabelButton

Adds a listener for the AlignStyle property changes.

addAlignStyleListener(VetoableChangeListener). Method in class symantec.itools.awt.LabelButton

Adds a vetoable listener for the AlignStyle property changes.

addArrowIndentListener(PropertyChangeListener). Method in class symantec.itools.awt.DirectionButton

Adds a listener for the ArrowIndent property changes.

addArrowIndentListener(VetoableChangeListener). Method in class symantec.itools.awt.DirectionButton

Adds a vetoable listener for the ArrowIndent property changes.

addBevelHeightListener(PropertyChangeListener). Method in class symantec.itools.awt.ButtonBase

Adds a listener for the BevelHeight property changes.

addBevelHeightListener(VetoableChangeListener). Method in class symantec.itools.awt.ButtonBase

Adds a vetoable listener for the BevelHeight property changes.

addBevelStyleListener(PropertyChangeListener). Method in class symantec.itools.awt.BorderPanel

Adds a listener for Orienation changes.

addBevelStyleListener(VetoableChangeListener). Method in class symantec.itools.awt.BorderPanel

Adds a vetoable listener for BevelStyle changes.

addBoxWidthListener(PropertyChangeListener). Method in class symantec.itools.awt.util.ProgressBar

Adds a listener for the BoxWidth property changes.

addBoxWidthListener(VetoableChangeListener). Method in class symantec.itools.awt.util.ProgressBar

Adds a vetoable listener for the BoxWidth property changes.

addCell(int, int, Cell). Method in class symantec.itools.awt.MultiList

Sets the contents of a cell to the given cell.

addCell(int, int, String, Image). Method in class symantec.itools.awt.MultiList

Sets the contents of a cell, both text and image.

addCellImpl(int, int, Cell). Method in class symantec.itools.awt.MultiList

Adds a cell to the MultiList in the row and column specified.

addCertificate(Certificate). Method in class java.security.Identity

Adds a certificate for this identity.

addChild(TreeNode, TreeNode). Method in class symantec.itools.awt.TreeView

Adds the specified child node to the specified parent node Does not redraw the component.

addComponentListener(ComponentListener). Method in class java.awt.Component

Adds the specified component listener to receive component events from this component.

addConnectFailedListener(ConnectFailedListener). Method in class symantec.itools.db.beans.jdbc.JdbcConnection

Adds a ConnectFailedListener to the internal list so that it will be sent ConnectFailedEvents.

addConnectionDescriptor(ConnectionDescriptor). Method in class symantec.itools.beans.SymantecBeanDescriptor

Adds a ConnectionDescriptor to this bean class.

addConsumer(ImageConsumer). Method in class java.awt.image.FilteredImageSource

Adds an ImageConsumer to the list of consumers interested in data for this image.

addConsumer(ImageConsumer). Method in interface java.awt.image.ImageProducer

This method is used to register an ImageConsumer with the ImageProducer for access to the image data during a later reconstruction of the Image.

addConsumer(ImageConsumer). Method in class java.awt.image.MemoryImageSource

Adds an ImageConsumer to the list of consumers interested in data for this image.

addContainerListener(ContainerListener). Method in class symantec.itools.awt.BorderPanel

Adds the specified container listener to receive container events from this container.

addContainerListener(ContainerListener). Method in class java.awt.Container

Adds the specified container listener to receive container events from this container.

addCurrentListener(PropertyChangeListener). Method in class symantec.itools.awt.util.spinner.Spinner

Adds a listener for the current property changes.

addCurrentListener(VetoableChangeListener). Method in class symantec.itools.awt.util.spinner.Spinner

Adds a vetoable listener for the current property changes.

addCurrentTabListener(PropertyChangeListener). Method in class symantec.itools.awt.BaseTabbedPanel

Adds a listener for the CurrentTab property changes.

addCurrentTabListener(VetoableChangeListener). Method in class symantec.itools.awt.BaseTabbedPanel

Adds a vetoable listener for the CurrentTab property changes.

addDirectionListener(PropertyChangeListener). Method in class symantec.itools.awt.DirectionButton

Adds a listener for the Direction property changes.

addDirectionListener(VetoableChangeListener). Method in class symantec.itools.awt.DirectionButton

Adds a vetoable listener for the Direction property changes.

added. Variable in class symantec.itools.awt.util.spinner.Spinner

Tracks whether this component has been added to a container.

addElement(int, int, Object). Method in class symantec.itools.awt.Matrix

Adds the given element to this matrix at the specified row and column.

addElement(Object). Method in class java.util.Vector

Adds the specified component to the end of this vector, increasing its size by one.

addEntry(Principal, AclEntry). Method in interface java.security.acl.Acl

Adds an ACL entry to this ACL.

addExceptionEventListener(ExceptionEventListener). Method in class symantec.itools.db.beans.binding.QueryNavigator

Adds a listener for ExceptionEvents.

addFirstTopDown(). Static method in class symantec.itools.awt.ComboBox

Determines whether the ComboBox should be the first component added to its container, or the last.

addFocusListener(FocusListener). Method in class java.awt.Component

Adds the specified focus listener to receive focus events from this component.

addFrameListener(PropertyChangeListener). Method in class symantec.itools.awt.ButtonBase

Adds a listener for the Frame property changes.

addFrameListener(VetoableChangeListener). Method in class symantec.itools.awt.ButtonBase

Adds a vetoable listener for the Frame property changes.

addGapWidthListener(PropertyChangeListener). Method in class symantec.itools.awt.util.ProgressBar

Adds a listener for the GapWidth property changes.

addGapWidthListener(VetoableChangeListener). Method in class symantec.itools.awt.util.ProgressBar

Adds a vetoable listener for the GapWidth property changes.

addHelpMenu(Menu). Method in interface java.awt.peer.MenuBarPeer

addIdentity(Identity). Method in class java.security.IdentityScope

Adds an identity to this identity scope.

addImage(Image, int). Method in class java.awt.MediaTracker

Adds an image to the list of images being tracked by this media tracker.

addImage(Image, int, int, int). Method in class java.awt.MediaTracker

Adds a scaled image to the list of images being tracked by this media tracker.

addImage(URL). Method in class symantec.itools.multimedia.Animator

Adds an image to the animation set.

addImageAndDescription(URL, String). Method in class symantec.itools.multimedia.SlideShow

Add an image URL and associated description to the slide show image set.

addImageCell(int, int, Image). Method in class symantec.itools.awt.MultiList

Sets the image of a cell at the given row and column position.

addImageStyleListener(PropertyChangeListener). Method in class symantec.itools.awt.ImageButton

Adds a listener for the ImageStyle property changes.

addImageStyleListener(VetoableChangeListener). Method in class symantec.itools.awt.ImageButton

Adds a vetoable listener for the ImageStyle property changes.

addImpl(Component, Object, int). Method in class symantec.itools.awt.BorderPanel

Adds the specified component to this container at the specified index.

addImpl(Component, Object, int). Method in class java.awt.Container

Adds the specified component to this container at the specified index.

addImpl(Component, Object, int). Method in class symantec.itools.awt.InfoTipPanel

Adds the specified component to this container at the specified index.

addImpl(Component, Object, int). Method in class symantec.itools.awt.KeyPressManagerPanel

Inserts a component into this container at the given position, and adds it to the layout manager using the specified constraints object.

addImpl(Component, Object, int). Method in class symantec.itools.awt.RadioButtonGroupPanel

Adds the specified component to this container at the specified index.

addImpl(Component, Object, int). Method in class java.awt.ScrollPane

Adds the specified component to this scroll pane container.

addInternal(EventListener, EventListener). Static method in class java.awt.AWTEventMulticaster

Returns the resulting multicast listener from adding listener-a and listener-b together.

addItem(Image, String). Method in class symantec.itools.awt.ComboBox

Adds the specified item with an image to the end of the drop-down list and enables it.

addItem(Image, String). Method in class symantec.itools.awt.ImageListBox

Adds an item with an image to the end of the list and enables it.

addItem(Image, String, boolean). Method in class symantec.itools.awt.ComboBox

Adds the specified item with an image to the end of the drop-down list and conditionally enables it.

addItem(Image, String, boolean). Method in class symantec.itools.awt.ImageListBox

Adds an item with an image to the end of the list and conditionally enables it.

addItem(Image, String, boolean, Color). Method in class symantec.itools.awt.ImageListBox

Adds an item with an image to the end of the list and conditionally enables it.

addItem(ListItem). Method in class symantec.itools.awt.ImageListBox

Adds an ListItem to the end of the list.

addItem(MenuItem). Method in interface java.awt.peer.MenuPeer

addItem(String). Method in class java.awt.Choice

Adds an item to this Choice.

addItem(String). Method in class symantec.itools.awt.ComboBox

Adds the specified item to the end of the drop-down list and enables the item.

addItem(String). Method in class symantec.itools.db.awt.ComboBox

Adds the specified item to the end of drop-down list and enable the item.

addItem(String). Method in class symantec.itools.awt.ImageListBox

Adds an item to the end of the list and enables the item.

addItem(String). Method in class java.awt.List

addItem(String). Method in class symantec.itools.db.awt.List

Adds the specified item to the end of the list.

addItem(String). Method in class symantec.itools.db.awt.ListPlus

Adds the specified item to the end of the list.

addItem(String). Method in class symantec.itools.awt.util.spinner.ListSpinner

Adds a string to the end of the list.

addItem(String, boolean). Method in class symantec.itools.awt.ComboBox

Adds the specified item to the end of the drop-down list and conditionally enables it.

addItem(String, boolean). Method in class symantec.itools.awt.ImageListBox

Adds an item to the end of the list and conditionally enables it.

addItem(String, int). Method in interface java.awt.peer.ChoicePeer

addItem(String, int). Method in class java.awt.List

addItem(String, int). Method in interface java.awt.peer.ListPeer

DEPRECATED: Replaced by add(String, int).

addItemListener(ItemListener). Method in class java.awt.Checkbox

Adds the specified item listener to receive item events from this check box.

addItemListener(ItemListener). Method in class java.awt.CheckboxMenuItem

Adds the specified item listener to receive item events from this check box menu item.

addItemListener(ItemListener). Method in class java.awt.Choice

Adds the specified item listener to receive item events from this Choice menu.

addItemListener(ItemListener). Method in class symantec.itools.awt.ImageListBox

Adds the specified item listener to receive item events

addItemListener(ItemListener). Method in interface java.awt.ItemSelectable

Add a listener to recieve item events when the state of an item changes.

addItemListener(ItemListener). Method in class java.awt.List

Adds the specified item listener to receive item events from this list.

addItemListener(ItemListener). Method in class symantec.itools.awt.MultiList

Adds the specified item listener to receive item events from this object.

addItemListener(ItemListener). Method in class symantec.itools.awt.RadioButtonGroupPanel

Adds the specified item listener to receive item events from this component.

addItemListener(ItemListener). Method in class symantec.itools.awt.TreeView

Add a listener to recieve item events when the state of an item changes.

addJoin(String). Method in class symantec.itools.db.beans.jdbc.QueryNavigator

addKeyListener(KeyListener). Method in class java.awt.Component

Adds the specified key listener to receive key events from this component.

addLastBottomUp(). Static method in class symantec.itools.awt.ComboBox

Determines whether the ComboBox should be the last component added to its container, or the first.

addLayoutComponent(Component, Object). Method in class java.awt.BorderLayout

Adds the specified component to the layout, using the specified constraint object.

addLayoutComponent(Component, Object). Method in class java.awt.CardLayout

Adds the specified component to this card layout's internal table of names.

addLayoutComponent(Component, Object). Method in class java.awt.GridBagLayout

Adds the specified component to the layout, using the specified constraint object.

addLayoutComponent(Component, Object). Method in interface java.awt.LayoutManager2

Adds the specified component to the layout, using the specified constraint object.

addLayoutComponent(String, Component). Method in class java.awt.BorderLayout

addLayoutComponent(String, Component). Method in class java.awt.CardLayout

addLayoutComponent(String, Component). Method in class java.awt.FlowLayout

Adds the specified component to the layout.

addLayoutComponent(String, Component). Method in class java.awt.GridBagLayout

Adds the specified component with the specified name to the layout.

addLayoutComponent(String, Component). Method in class java.awt.GridLayout

Adds the specified component with the specified name to the layout.

addLayoutComponent(String, Component). Method in interface java.awt.LayoutManager

Adds the specified component with the specified name to the layout.

addMaxListener(PropertyChangeListener). Method in class symantec.itools.awt.util.spinner.ListSpinner

Adds a listener for the max property changes.

addMaxListener(PropertyChangeListener). Method in class symantec.itools.awt.util.spinner.Spinner

Adds a listener for the max property changes.

addMaxListener(VetoableChangeListener). Method in class symantec.itools.awt.util.spinner.ListSpinner

Adds a vetoable listener for the max property changes.

addMaxListener(VetoableChangeListener). Method in class symantec.itools.awt.util.spinner.Spinner

Adds a vetoable listener for the max property changes.

addMaxValueListener(PropertyChangeListener). Method in class symantec.itools.awt.Slider

Adds a listener for the max property changes.

addMaxValueListener(VetoableChangeListener). Method in class symantec.itools.awt.Slider

Adds a vetoable listener for the max property changes.

addMember(Principal). Method in interface java.security.acl.Group

Adds the specified member to the group.

addMenu(Menu). Method in interface java.awt.peer.MenuBarPeer

addMinListener(PropertyChangeListener). Method in class symantec.itools.awt.util.spinner.Spinner

Adds a listener for the min property changes.

addMinListener(VetoableChangeListener). Method in class symantec.itools.awt.util.spinner.Spinner

Adds a vetoable listener for the min property changes.

addMinValueListener(PropertyChangeListener). Method in class symantec.itools.awt.Slider

Adds a listener for the min property changes.

addMinValueListener(VetoableChangeListener). Method in class symantec.itools.awt.Slider

Adds a vetoable listener for the min property changes.

addMouseListener(MouseListener). Method in class java.awt.Component

Adds the specified mouse listener to receive mouse events from this component.

addMouseMotionListener(MouseMotionListener). Method in class java.awt.Component

Adds the specified mouse motion listener to receive mouse motion events from this component.

addNotify(). Method in class symantec.itools.awt.BaseTabbedPanel

Tells this component that it has been added to a container.

addNotify(). Method in class symantec.itools.awt.BorderPanel

Tells this component that it has been added to a container.

addNotify(). Method in class java.awt.Button

Creates the peer of the button.

addNotify(). Method in class symantec.itools.awt.ButtonBase

Tells this component that it has been added to a container.

addNotify(). Method in class symantec.itools.awt.util.Calendar

Tells this component that it has been added to a container.

addNotify(). Method in class java.awt.Canvas

Creates the peer of the canvas.

addNotify(). Method in class java.awt.Checkbox

Creates the peer of the Checkbox.

addNotify(). Method in class java.awt.CheckboxMenuItem

Creates the peer of the checkbox item.

addNotify(). Method in class java.awt.Choice

Creates the Choice's peer.

addNotify(). Method in class symantec.itools.awt.ComboBox

Tells this component that it has been added to a container.

addNotify(). Method in class java.awt.Component

Notifies this component that it has been added to a container and if a peer is required, it should be created.

addNotify(). Method in class java.awt.Container

Notifies the container to create a peer.

addNotify(). Method in class java.awt.Dialog

Creates the dialog's peer.

addNotify(). Method in class symantec.itools.awt.DirectionButton

Tells this component that it has been added to a container.

addNotify(). Method in class java.awt.FileDialog

Creates the file dialog's peer.

addNotify(). Method in class symantec.itools.multimedia.Firework

Tells this component that it has been added to a container.

addNotify(). Method in class symantec.itools.awt.FormattedTextField

Tells this component that it has been added to a container.

addNotify(). Method in class java.awt.Frame

Creates the Frame's peer.

addNotify(). Method in class symantec.itools.awt.HorizontalSlider

Tells this component that it has been added to a container.

addNotify(). Method in class symantec.itools.awt.ImageButton

Tells this component that it has been added to a container.

addNotify(). Method in class symantec.itools.awt.ImageListBox

Tells this component that it has been added to a container.

addNotify(). Method in class symantec.itools.db.awt.ImageViewer

Tells this component that it has been added to a container.

addNotify(). Method in class symantec.itools.awt.InfoTipPanel

Tells this component that it has been added to a container.

addNotify(). Method in class symantec.itools.awt.InvisibleButton

Tells this component that it has been added to a container.

addNotify(). Method in class symantec.itools.awt.InvisibleHTMLLink

Tells this component that it has been added to a container.

addNotify(). Method in class java.awt.Label

Creates the peer for this label.

addNotify(). Method in class symantec.itools.awt.LabelButton

Tells this component that it has been added to a container.

addNotify(). Method in class java.awt.List

Creates the peer for the list.

addNotify(). Method in class symantec.itools.awt.util.spinner.ListSpinner

Tells this component that it has been added to a container.

addNotify(). Method in class symantec.itools.db.awt.LogonDialog

Tells this component that it has been added to a container.

addNotify(). Method in class java.awt.Menu

Creates the menu's peer.

addNotify(). Method in class java.awt.MenuBar

Creates the menu bar's peer.

addNotify(). Method in class java.awt.MenuItem

Creates the menu item's peer.

addNotify(). Method in class symantec.itools.awt.MultiList

Tells this component that it has been added to a container.

addNotify(). Method in class symantec.itools.multimedia.NervousText

Tells this component that it has been added to a container.

addNotify(). Method in class symantec.itools.awt.util.spinner.NumericSpinner

Tells this component that it has been added to a container.

addNotify(). Method in class java.awt.Panel

Creates the Panel's peer.

addNotify(). Method in class symantec.itools.multimedia.Plasma

Tells this component that it has been added to a container.

addNotify(). Method in class java.awt.PopupMenu

Creates the popup menu's peer.

addNotify(). Method in class symantec.itools.awt.util.ProgressBar

Tells this component that it has been added to a container.

addNotify(). Method in class symantec.itools.awt.RadioButtonGroupPanel

Tells this component that it has been added to a container.

addNotify(). Method in class symantec.itools.awt.RollOverButton

Tells this component that it has been added to a container.

addNotify(). Method in class java.awt.Scrollbar

Creates the Scrollbar's peer.

addNotify(). Method in class symantec.itools.multimedia.ScrollingText

Tells this component that it has been added to a container.

addNotify(). Method in class java.awt.ScrollPane

Creates the scroll pane's peer.

addNotify(). Method in class symantec.itools.awt.Slider

Tells this component that it has been added to a container.

addNotify(). Method in class symantec.itools.awt.util.spinner.SpinButtonPanel

Tells this component that it has been added to a container.

addNotify(). Method in class symantec.itools.awt.util.spinner.Spinner

Tells this component that it has been added to a container.

addNotify(). Method in class symantec.itools.awt.SplitterPanel

Tells this component that it has been added to a container.

addNotify(). Method in class symantec.itools.awt.StateCheckBox

Tells this component that it has been added to a container.

addNotify(). Method in class java.awt.TextArea

Creates the TextArea's peer.

addNotify(). Method in class java.awt.TextField

Creates the TextField's peer.

addNotify(). Method in class symantec.itools.awt.util.ToolBarPanel

Tells this component that it has been added to a container.

addNotify(). Method in class symantec.itools.awt.util.ToolBarSpacer

Tells this component that it has been added to a container.

addNotify(). Method in class symantec.itools.awt.TreeView

Tells this component that it has been added to a container.

addNotify(). Method in class symantec.itools.awt.VerticalSlider

Tells this component that it has been added to a container.

addNotify(). Method in class java.awt.Window

Creates the Window's peer.

addNotify(). Method in class symantec.itools.awt.Wizard

Tells this component that it has been added to a container.

addObserver(Observer). Method in class java.util.Observable

Adds an observer to the set of observers for this object.

addOrientationListener(PropertyChangeListener). Method in class symantec.itools.awt.util.ToolBarPanel

Adds a listener for Orienation changes.

addOrientationListener(VetoableChangeListener). Method in class symantec.itools.awt.util.ToolBarPanel

Adds a vetoable listener for Orienation changes.

addOwner(Principal, Principal). Method in interface java.security.acl.Owner

Adds an owner.

addPermission(Permission). Method in interface java.security.acl.AclEntry

Adds the specified permission to this ACL entry.

addPoint(int, int). Method in class java.awt.Polygon

Appends a point to this polygon.

addPropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.multimedia.Animator

Adds a listener for all event changes.

addPropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.BaseTabbedPanel

Adds a listener for all property changes.

addPropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.BorderPanel

Adds a listener for all event changes.

addPropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.ButtonBase

Adds a listener for all event changes.

addPropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.util.Calendar

Adds a listener for all property change events.

addPropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.ComboBox

Adds a listener for all event changes.

addPropertyChangeListener(PropertyChangeListener). Method in interface java.beans.Customizer

Register a listener for the PropertyChange event.

addPropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.DirectionButton

Adds a listener for all event changes.

addPropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.ImageButton

Adds a listener for all event changes.

addPropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.ImageListBox

Adds a listener for all event changes.

addPropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.ImagePanel

Adds a listener for all event changes.

addPropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.multimedia.ImageViewer

Adds a listener for all event changes.

addPropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.InfoTipPanel

Adds a listener for all event changes.

addPropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.InvisibleButton

Adds a listener for all event changes.

addPropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.InvisibleHTMLLink

Adds a listener for all event changes.

addPropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.Label3D

Adds a listener for all event changes.

addPropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.LabelButton

Adds a listener for all event changes.

addPropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.shape.Line

Adds a listener for all property change events.

addPropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.util.spinner.ListSpinner

Adds a listener for all property change events.

addPropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.multimedia.MovingAnimation

Adds a listener for all event changes.

addPropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.MultiList

Adds a listener for all property change events.

addPropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.multimedia.NervousText

Adds a listener for all event changes.

addPropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.util.spinner.NumericSpinner

Adds a listener for all property change events.

addPropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.util.ProgressBar

Adds a listener for all event changes.

addPropertyChangeListener(PropertyChangeListener). Method in class java.beans.PropertyChangeSupport

Add a PropertyChangeListener to the listener list.

addPropertyChangeListener(PropertyChangeListener). Method in interface java.beans.PropertyEditor

Register a listener for the PropertyChange event.

addPropertyChangeListener(PropertyChangeListener). Method in class java.beans.PropertyEditorSupport

Register a listener for the PropertyChange event.

addPropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.RadioButtonGroupPanel

Adds a listener for all event changes.

addPropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.RollOverButton

Adds a listener for all event changes.

addPropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.multimedia.ScrollingText

Adds a listener for all event changes.

addPropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.shape.Shape

Adds a listener for all property change events.

addPropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.Slider

Adds a listener for all event changes.

addPropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.multimedia.SlideShow

Adds a listener for all event changes.

addPropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.multimedia.SoundPlayer

Adds a listener for all event changes.

addPropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.util.spinner.SpinButtonPanel

Adds a listener for all property change events.

addPropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.util.spinner.Spinner

Adds a listener for all property change events.

addPropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.SplitterPanel

Adds a listener for all event changes.

addPropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.StateCheckBox

Adds a listener for all event changes.

addPropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.StatusBar

Adds a listener for all event changes.

addPropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.util.StatusScroller

Adds a listener for all property change events.

addPropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.TabPanel

Adds a listener for all event changes.

addPropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.util.Timer

Adds a listener for all property change events.

addPropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.util.ToolBarPanel

Adds a listener for all event changes.

addPropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.util.ToolBarSpacer

Adds a listener for all event changes.

addPropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.Wizard

Adds a listener for all event changes.

addPropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.WrappingLabel

Adds a listener for all event changes.

addPropertyChangeListener(String, PropertyChangeListener). Method in class symantec.itools.beans.PropertyChangeSupport

Adds a PropertyChangeListener to the listener list.

addProvider(Provider). Static method in class java.security.Security

Adds a provider to the next position available.

address. Variable in class java.net.SocketImpl

The IP address of the remote end of this socket.

AddressCode(int). Constructor for class symantec.itools.awt.util.edit.AddressCode

Create new formatted field.

AddressCodeBeanInfo(). Constructor for class symantec.itools.awt.util.edit.AddressCodeBeanInfo

Constructs a AddressCodeBeanInfo object.

addResultSetRow(int, Data[]). Method in class symantec.itools.db.awt.DbDataSource

Called by DbDataStore or DbUpdater to add a new row to the result set.

addSelectedRadioButtonIndexListener(PropertyChangeListener). Method in class symantec.itools.awt.RadioButtonGroupPanel

Adds a listener for the SelectedRadioButtonIndex property changes.

addSelectedRadioButtonIndexListener(VetoableChangeListener). Method in class symantec.itools.awt.RadioButtonGroupPanel

Adds a vetoable listener for the SelectedRadioButtonIndex property changes.

addSeparator(). Method in class java.awt.Menu

Adds a separator line, or a hypen, to the menu at the current position.

addSeparator(). Method in interface java.awt.peer.MenuPeer

addSibling(TreeNode, TreeNode). Method in class symantec.itools.awt.TreeView

Adds the specified node as a sibling to the specified node Does not redraw the component.

addSibling(TreeNode, TreeNode, boolean). Method in class symantec.itools.awt.TreeView

Adds the specified node as a sibling to the specified node Does not redraw the component.

addSortOrderItem(String). Method in class symantec.itools.db.beans.jdbc.QueryNavigator

Appeds an item to the current SQL sort order.

addSpaceListener(PropertyChangeListener). Method in class symantec.itools.awt.util.ToolBarSpacer

Adds a listener for Space changes.

addSpaceListener(VetoableChangeListener). Method in class symantec.itools.awt.util.ToolBarSpacer

Adds a vetoable listener for Space changes.

addSplitTypeListener(PropertyChangeListener). Method in class symantec.itools.awt.SplitterPanel

Adds a property listener for SplitType changes.

addSplitTypeListener(VetoableChangeListener). Method in class symantec.itools.awt.SplitterPanel

Adds a vetoable listener for SplitType changes.

addStringURL(String). Method in class symantec.itools.multimedia.SoundPlayer

Appends the sound clip data at the specified URL to the current list of sound clips.

addTab(String, boolean). Method in class symantec.itools.awt.BaseTabbedPanel

Appends a new tab and sets whether it is enabled.

addTab(String, boolean, int). Method in class symantec.itools.awt.BaseTabbedPanel

Adds a new tab at the specified position and sets whether it is enabled.

addTabPanel(String, boolean, Component). Method in class symantec.itools.awt.TabPanel

Appends a new tab and associated panel, which will be shown when the tab is selected.

addTabPanel(String, boolean, Component, int). Method in class symantec.itools.awt.TabPanel

Adds a new tab and associated panel.

addTextCell(int, int, String). Method in class symantec.itools.awt.MultiList

Sets the text of a cell at the given row and column position.

addTextListener(TextListener). Method in class java.awt.TextComponent

Adds the specified text event listener to recieve text events from this textcomponent.

addTextLocationListener(PropertyChangeListener). Method in class symantec.itools.awt.InfoTipPanel

Adds a listener for the TextLocation property changes.

addTextLocationListener(VetoableChangeListener). Method in class symantec.itools.awt.InfoTipPanel

Adds a vetoable listener for the TextLocation property changes.

addTriggerUIListener(TriggerUIListener). Method in class symantec.itools.db.beans.binding.QueryNavigator

Adds a listener for the trigger method of the data source.

addTriggerUIListener(TriggerUIListener). Method in class symantec.itools.db.pro.RelationViewPlus

Registers a TriggerUIEvent listener with this component.

addURL(URL). Method in class symantec.itools.multimedia.SoundPlayer

Appends the sound clip data at the specified URL to the current list of sound clips.

addVerticalAlignStyleListener(PropertyChangeListener). Method in class symantec.itools.awt.LabelButton

Adds a listener for the VerticalAlignStyle property changes.

addVerticalAlignStyleListener(VetoableChangeListener). Method in class symantec.itools.awt.LabelButton

Adds a vetoable listener for the VerticalAlignStyle property changes.

addVetoableChangeListener(String, VetoableChangeListener). Method in class symantec.itools.beans.VetoableChangeSupport

Adds a VetoableListener to the listener list.

addVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.multimedia.Animator

Adds a vetoable listener for all event changes.

addVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.BaseTabbedPanel

Adds a vetoable listener for all property changes.

addVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.BorderPanel

Adds a vetoable listener for all event changes.

addVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.ButtonBase

Adds a vetoable listener for all event changes.

addVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.util.Calendar

Adds a listener for all vetoable property change events.

addVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.ComboBox

Adds a vetoable listener for all event changes.

addVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.DirectionButton

Adds a vetoable listener for all event changes.

addVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.ImageButton

Adds a vetoable listener for all event changes.

addVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.ImageListBox

Adds a vetoable listener for all event changes.

addVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.ImagePanel

Adds a vetoable listener for all event changes.

addVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.multimedia.ImageViewer

Adds a vetoable listener for all event changes.

addVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.InfoTipPanel

Adds a vetoable listener for all event changes.

addVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.InvisibleButton

Adds a vetoable listener for all event changes.

addVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.InvisibleHTMLLink

Adds a vetoable listener for all event changes.

addVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.Label3D

Adds a vetoable listener for all event changes.

addVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.LabelButton

Adds a vetoable listener for all event changes.

addVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.shape.Line

Adds a listener for all vetoable property change events.

addVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.util.spinner.ListSpinner

Adds a listener for all vetoable property change events.

addVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.db.beans.binding.Mediator

Adds a vetoable change listener for the DataBus property.

addVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.multimedia.MovingAnimation

Adds a vetoable listener for all event changes.

addVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.MultiList

Adds a listener for all vetoable property change events.

addVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.multimedia.NervousText

Adds a vetoable listener for all event changes.

addVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.util.spinner.NumericSpinner

Adds a listener for all vetoable property change events.

addVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.util.ProgressBar

Adds a vetoable listener for all event changes.

addVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.RadioButtonGroupPanel

Adds a vetoable listener for all event changes.

addVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.RollOverButton

Adds a vetoable listener for all event changes.

addVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.multimedia.ScrollingText

Adds a vetoable listener for all event changes.

addVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.shape.Shape

Adds a listener for all vetoable property change events.

addVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.Slider

Adds a vetoable listener for all event changes.

addVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.multimedia.SlideShow

Adds a vetoable listener for all event changes.

addVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.multimedia.SoundPlayer

Adds a vetoable listener for all event changes.

addVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.util.spinner.SpinButtonPanel

Adds a listener for all vetoable property change events.

addVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.util.spinner.Spinner

Adds a listener for all vetoable property change events.

addVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.SplitterPanel

Adds a vetoable listener for all event changes.

addVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.StateCheckBox

Adds a vetoable listener for all event changes.

addVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.StatusBar

Adds a vetoable listener for all event changes.

addVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.util.StatusScroller

Adds a listener for all vetoable property change events.

addVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.TabPanel

Adds a vetoable listener for all event changes.

addVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.util.Timer

Adds a listener for all vetoable property change events.

addVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.util.ToolBarPanel

Adds a vetoable listener for all event changes.

addVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.util.ToolBarSpacer

Adds a vetoable listener for all event changes.

addVetoableChangeListener(VetoableChangeListener). Method in class java.beans.VetoableChangeSupport

Add a VetoableListener to the listener list.

addVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.Wizard

Adds a vetoable listener for all event changes.

addVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.WrappingLabel

Adds a vetoable listener for all event changes.

addWindowListener(WindowListener). Method in class java.awt.Window

Adds the specified window listener to receive window events from this window.

AdjustForGravity(GridBagConstraints, Rectangle). Method in class java.awt.GridBagLayout

adjustHeadings(). Method in class symantec.itools.awt.MultiList

Adjusts the columns to default width.

adjustment. Variable in class symantec.itools.awt.TreeView

The this component's adjustment event listener.

ADJUSTMENT_EVENT_MASK. Static variable in class java.awt.AWTEvent

The event mask for selecting adjustment events.

ADJUSTMENT_FIRST. Static variable in class java.awt.event.AdjustmentEvent

Marks the first integer id for the range of adjustment event ids.

ADJUSTMENT_LAST. Static variable in class java.awt.event.AdjustmentEvent

Marks the last integer id for the range of adjustment event ids.

ADJUSTMENT_VALUE_CHANGED. Static variable in class java.awt.event.AdjustmentEvent

The adjustment value changed event.

AdjustmentEvent(Adjustable, int, int, int). Constructor for class java.awt.event.AdjustmentEvent

Constructs a AdjustmentEvent object with the specified Adjustable source, type, and value.

adjustmentValueChanged(AdjustmentEvent). Method in interface java.awt.event.AdjustmentListener

Invoked when the value of the adjustable has changed.

adjustmentValueChanged(AdjustmentEvent). Method in class java.awt.AWTEventMulticaster

Handles the adjustmentValueChanged event by invoking the adjustmentValueChanged methods on listener-a and listener-b.

adjustOGapBdr(). Method in class symantec.itools.awt.SplitterPanel

Utility method to constrain the gap width/height inside the border to good values.

Adler32(). Constructor for class java.util.zip.Adler32

advanceTo(int). Method in class symantec.itools.awt.MatrixEnumeration

Skips enumeration ahead to the start of the given row.

after(Date). Method in class java.util.Date

Tests if this date is after the specified date.

after(Object). Method in class java.util.Calendar

Compares the time field records.

after(Object). Method in class java.util.GregorianCalendar

Overrides Calendar Compares the time field records.

after(Timestamp). Method in class java.sql.Timestamp

Is this timestamp later than the timestamp argument?

AgeField(). Constructor for class symantec.itools.db.awt.AgeField

Constructs a default AgeField.

align. Variable in class symantec.itools.awt.util.ProgressBar

The value of the Alignment Style property.

align. Variable in class symantec.itools.awt.WrappingLabel

The current text alignment.

ALIGN_BIT. Static variable in class symantec.itools.db.awt.CellHints

Bit position constant for valid "alignment" value flag.

ALIGN_BOTTOM. Static variable in class symantec.itools.awt.LabelButton

Defines the "bottom" label text alignment style.

ALIGN_CENTERED. Static variable in interface symantec.itools.awt.AlignStyle

Defines the "center" label text alignment style.

ALIGN_LEFT. Static variable in interface symantec.itools.awt.AlignStyle

Defines the "left" label text alignment style.

ALIGN_RIGHT. Static variable in interface symantec.itools.awt.AlignStyle

Defines the "right" label text alignment style.

ALIGN_TOP. Static variable in class symantec.itools.awt.LabelButton

Defines the "top" label text alignment style.

alignment(). Method in class symantec.itools.db.awt.CellHints

Gets this CellHint's "horizontal alignment" value.

alignStyle. Variable in class symantec.itools.awt.Label3D

The current text alignment style.

ALL. Static variable in class symantec.itools.db.pro.Request

Optimistic concurrency option setting for resulting RelationView.

ALLBITS. Static variable in interface java.awt.image.ImageObserver

A static image which was previously drawn is now complete and can be drawn again in its final form.

allowDynamicMoving. Variable in class symantec.itools.awt.SplitterPanel

This flag specifies if moving of a split in a splitter panel will be real time, or delayed until mouse released.

allowResizingOfColumns. Variable in class symantec.itools.awt.MultiList

Allow columns to be resized.

allowsMultipleSelections(). Method in class symantec.itools.awt.ImageListBox

allowsMultipleSelections(). Method in class java.awt.List

allowSorting. Variable in class symantec.itools.awt.MultiList

Allow sorting.

allowThreadSuspension(boolean). Method in class java.lang.ThreadGroup

Used by VM to control lowmem implicit suspension.

allowUserInteraction. Variable in class java.net.URLConnection

If true, this URL is being examined in a context in which it makes sense to allow user interactions such as popping up an authentication dialog.

allProceduresAreCallable(). Method in interface java.sql.DatabaseMetaData

Can all the procedures returned by getProcedures be called by the current user?

allProceduresAreCallable(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if all procedures returned by getProcedures() can be called by the current user.

allSelected(). Method in class symantec.itools.awt.ImageListBox

allTablesAreSelectable(). Method in interface java.sql.DatabaseMetaData

Can all the tables returned by getTable be SELECTed by the current user?

allTablesAreSelectable(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if all tables returned by getTable can be SELECTed by the current user.

ALPHA_LOWER. Variable in class symantec.itools.awt.FormattedTextField

Character mask constant, input must be a lowercase alpha character.

ALPHA_TO_LOWER. Variable in class symantec.itools.awt.FormattedTextField

Character mask constant, input must be an alpha character (it will be converted to lowercase).

ALPHA_TO_UPPER. Variable in class symantec.itools.awt.FormattedTextField

Character mask constant, input must be an alpha character (it will be converted to uppercase).

ALPHA_UPPER. Variable in class symantec.itools.awt.FormattedTextField

Character mask constant, input must be an uppercase alpha character.

ALPHANUMERIC_LOWER. Variable in class symantec.itools.awt.FormattedTextField

Character mask constant, input must be a digit or a lowercase alpha character.

ALPHANUMERIC_TO_LOWER. Variable in class symantec.itools.awt.FormattedTextField

Character mask constant, input must be a digit or alpha character (it will be converted to lowercase).

ALPHANUMERIC_TO_UPPER. Variable in class symantec.itools.awt.FormattedTextField

Character mask constant, input must be a digit or alpha character (it will be converted to uppercase).

ALPHANUMERIC_UPPER. Variable in class symantec.itools.awt.FormattedTextField

Character mask constant, input must be a digit or an uppercase alpha character.

AlreadyBoundException(). Constructor for class java.rmi.AlreadyBoundException

AlreadyBoundException(String). Constructor for class java.rmi.AlreadyBoundException

ALT_MASK. Static variable in class java.awt.event.ActionEvent

The alt modifier constant.

ALT_MASK. Static variable in class java.awt.Event

This flag indicates that the Alt key was down when the event occurred.

ALT_MASK. Static variable in class java.awt.event.InputEvent

The alt key modifier constant.

AM. Static variable in class java.util.Calendar

Useful constant for hour in 12-hour clock.

AM_PM. Static variable in class java.util.Calendar

Useful constant for date and time.

AM_PM_FIELD. Static variable in class java.text.DateFormat

Useful constant for AM_PM field alignment.

anchor. Variable in class java.awt.GridBagConstraints

This field is used when the component is smaller than its display area.

and(BigInteger). Method in class java.math.BigInteger

Returns a BigInteger whose value is (this & val).

and(BitSet). Method in class java.util.BitSet

Logically ANDs this bit set with the specified set of bits.

andNot(BigInteger). Method in class java.math.BigInteger

Returns a BigInteger whose value is (this & ~val).

AnimationSpeed. Variable in class symantec.itools.multimedia.Firework

Speed at which animation occurs.

Animator(). Constructor for class symantec.itools.multimedia.Animator

Constructs a default Animator.

AnimatorBeanInfo(). Constructor for class symantec.itools.multimedia.AnimatorBeanInfo

Constructs a AnimatorBeanInfo object.

annotateClass(Class). Method in class java.io.ObjectOutputStream

Subclasses may implement this method to allow class data to be stored in the stream.

announceException(ExceptionEvent). Method in class symantec.itools.db.beans.binding.QueryNavigator

Dispatches the provided ExceptionEvent.

ANY. Variable in class symantec.itools.awt.FormattedTextField

Character mask constant, input can be any character.

append(boolean). Method in class java.lang.StringBuffer

Appends the string representation of the boolean argument to the string buffer.

append(char). Method in class java.lang.StringBuffer

Appends the string representation of the char argument to this string buffer.

append(char[]). Method in class java.lang.StringBuffer

Appends the string representation of the char array argument to this string buffer.

append(char[], int, int). Method in class java.lang.StringBuffer

Appends the string representation of a subarray of the char array argument to this string buffer.

append(double). Method in class java.lang.StringBuffer

Appends the string representation of the double argument to this string buffer.

append(float). Method in class java.lang.StringBuffer

Appends the string representation of the float argument to this string buffer.

append(int). Method in class java.lang.StringBuffer

Appends the string representation of the int argument to this string buffer.

append(long). Method in class java.lang.StringBuffer

Appends the string representation of the long argument to this string buffer.

append(Object). Method in class java.lang.StringBuffer

Appends the string representation of the Object argument to this string buffer.

append(String). Method in class java.lang.StringBuffer

Appends the string to this string buffer.

append(String). Method in class java.awt.TextArea

Appends the given text to the text area's current text.

append(TreeNode). Method in class symantec.itools.awt.TreeView

Adds a new node at root level.

appendChar(char). Method in interface symantec.itools.db.awt.Data

Appends a character to the end of the string data.

appendChar(char). Method in class symantec.itools.db.awt.DefaultData

Appends a character to the end of the string data.

appendChar(char). Method in class symantec.itools.db.awt.ImageStringData

Appends a character to the end of the string data.

appendChar(int, int, char). Method in interface symantec.itools.db.awt.DataSource

Method used to support Defaultdata class.

appendChar(int, int, char). Method in class symantec.itools.db.awt.DbDataSource

Method used to support Defaultdata class.

appendChar(int, int, char). Method in class symantec.itools.db.awt.DefaultDataSource

Method used to support Defaultdata class.

appendResultSetRow(Data[]). Method in class symantec.itools.db.awt.DbDataSource

Called by DbDataStore or DbUpdater to append a new row to the end of the result set.

appendRow(). Method in interface symantec.itools.db.awt.DataSource

Appends a new row at the end of the data source's data.

appendRow(). Method in class symantec.itools.db.awt.DbaDataStore

Appends a new row.

appendRow(). Method in class symantec.itools.db.awt.DbDataSource

Appends a new row at the end of the data source's data.

appendRow(). Method in interface symantec.itools.db.awt.DbDataUpdater

Called by the data source when the user requests to append a row of data.

appendRow(). Method in class symantec.itools.db.awt.DefaultDataSource

Appends a new row at the end of the data source's data.

appendRow(TableView). Method in class symantec.itools.db.awt.DefaultTvEventHandler

Helper function called if append toolbar button is pressed.

appendText(String). Method in class java.awt.TextArea

Applet(). Constructor for class java.applet.Applet

appletResize(int, int). Method in interface java.applet.AppletStub

Called when the applet wants to be resized.

applyLocalizedPattern(String). Method in class java.text.DecimalFormat

Apply the given pattern to this Format object.

applyLocalizedPattern(String). Method in class java.text.SimpleDateFormat

Apply the given localized pattern string to this date format.

applyMask(String). Method in class symantec.itools.awt.FormattedTextField

Returns a formatted string, given an input string and the current valid string format mask.

applyMaskToChar(char, int). Method in class symantec.itools.awt.FormattedTextField

Apply the mask at index to the given character.

applyPattern(String). Method in class java.text.ChoiceFormat

Sets the pattern.

applyPattern(String). Method in class java.text.DecimalFormat

Apply the given pattern to this Format object.

applyPattern(String). Method in class java.text.MessageFormat

Sets the pattern.

applyPattern(String). Method in class java.text.SimpleDateFormat

Apply the given unlocalized pattern string to this date format.

APRIL. Static variable in class java.util.Calendar

Useful constant for month.

AreaAveragingScaleFilter(int, int). Constructor for class java.awt.image.AreaAveragingScaleFilter

Constructs an AreaAveragingScaleFilter that scales the pixels from its source Image as specified by the width and height parameters.

areFieldsSet. Variable in class java.util.Calendar

True if the fields are in sync with the currently set time of this Calendar.

arg. Variable in class java.awt.Event

An arbitrary argument of the event.

ArithmeticException(). Constructor for class java.lang.ArithmeticException

Constructs an ArithmeticException with no detail message.

ArithmeticException(String). Constructor for class java.lang.ArithmeticException

Constructs an ArithmeticException with the specified detail message.

arrangeForViewing(Data[]). Method in class symantec.itools.db.awt.DbaDataStore

Adjusts the given data as needed before it is viewed in the TableView.

arrangeForViewing(Data[]). Method in interface symantec.itools.db.awt.MetaTable

Provides an opportunity for the columns of a query to be rearranged or removed before viewing.

ArrangeGrid(Container). Method in class java.awt.GridBagLayout

arraycopy(Object, int, Object, int, int). Static method in class java.lang.System

Copies an array from the specified source array, beginning at the specified position, to the specified position of the destination array.

ArrayIndexOutOfBoundsException(). Constructor for class java.lang.ArrayIndexOutOfBoundsException

Constructs an ArrayIndexOutOfBoundsException with no detail message.

ArrayIndexOutOfBoundsException(int). Constructor for class java.lang.ArrayIndexOutOfBoundsException

Constructs a new ArrayIndexOutOfBoundsException class with an argument indicating the illegal index.

ArrayIndexOutOfBoundsException(String). Constructor for class java.lang.ArrayIndexOutOfBoundsException

Constructs an ArrayIndexOutOfBoundsException class with the specified detail message.

ArrayStoreException(). Constructor for class java.lang.ArrayStoreException

Constructs an ArrayStoreException with no detail message.

ArrayStoreException(String). Constructor for class java.lang.ArrayStoreException

Constructs an ArrayStoreException with the specified detail message.

arrow. Variable in class symantec.itools.awt.ComboBox

The button on the right part of this ComboBox that controls dopping the list.

arrowColor. Variable in class symantec.itools.awt.DirectionButton

The color of the arrow in the button.

arrowDim. Variable in class symantec.itools.awt.ComboBox

The dimension of the arrow button.

ASCII. Static variable in class symantec.itools.db.awt.FtpClient

ASCII FTP transfer mode constant.

asciiStreamtoString(InputStream). Static method in class symantec.itools.db.pro.RelationView

A utility method which returns a String object from a java.io.InputStream that is known to contain ascii data.

asin(double). Static method in class java.lang.Math

Returns the arc sine of an angle, in the range of -pi/2 through pi/2.

assumeZOrder(Container, boolean). Static method in class symantec.itools.util.ZOrderUtils

Reverses the order of all components in a container if the current environment doesn't draw them as assumed.

atan(double). Static method in class java.lang.Math

Returns the arc tangent of an angle, in the range of -pi/2 through pi/2.

atan2(double, double). Static method in class java.lang.Math

Converts rectangular coordinates (b, a) to polar (r, theta).

atOrBeyondPoint(Point, Point, int). Method in class symantec.itools.awt.InfoTipPanel

Utility method for updateDirection, calculateDX, and calculateDY.

attributeNames(). Method in class java.beans.FeatureDescriptor

AUGUST. Static variable in class java.util.Calendar

Useful constant for month.

AutoDetail(RelationView, ConnectionInfo). Constructor for class symantec.itools.db.pro.AutoDetail

Constructs an AutoDetail for the given relation view using the given connection.

auxControl(). Method in class symantec.itools.db.awt.BasicCell

Gets the auxillary control for the cell.

auxControl(). Method in class symantec.itools.db.awt.ButtonCell

Gets the auxillary control for the cell.

auxControl(). Method in interface symantec.itools.db.awt.TableCell

Gets the auxillary control for the cell.

auxControlEvent(Event). Method in class symantec.itools.db.awt.ButtonCell

Takes no action.

available(). Method in class java.io.BufferedInputStream

Returns the number of bytes that can be read from this input stream without blocking.

available(). Method in class java.io.ByteArrayInputStream

Returns the number of bytes that can be read from this input stream without blocking.

available(). Method in class java.io.FileInputStream

Returns the number of bytes that can be read from this file input stream without blocking.

available(). Method in class java.io.FilterInputStream

Returns the number of bytes that can be read from this input stream without blocking.

available(). Method in class java.io.InputStream

Returns the number of bytes that can be read from this input stream without blocking.

available(). Method in class java.io.LineNumberInputStream

Returns the number of bytes that can be read from this input stream without blocking.

available(). Method in interface java.io.ObjectInput

Returns the number of bytes that can be read without blocking.

available(). Method in class java.io.ObjectInputStream

Returns the number of bytes that can be read without blocking.

available(). Method in class java.io.PipedInputStream

Returns the number of bytes that can be read from this input stream without blocking.

available(). Method in class java.io.PushbackInputStream

Returns the number of bytes that can be read from this input stream without blocking.

available(). Method in class java.io.SequenceInputStream

Returns the number of bytes available on the current stream.

available(). Method in class java.net.SocketImpl

Returns the number of bytes that can be read from this socket without blocking.

available(). Method in class java.io.StringBufferInputStream

Returns the number of bytes that can be read from the input stream without blocking.

avoidingGui(). Method in interface java.beans.Visibility

AWTError(String). Constructor for class java.awt.AWTError

Constructs an instance of AWTError with the specified detail message.

AWTEvent(Event). Constructor for class java.awt.AWTEvent

Constructs an AWTEvent object from the parameters of a 1.0-style event.

AWTEvent(Object, int). Constructor for class java.awt.AWTEvent

Constructs an AWTEvent object with the specified source object and type.

AWTEventMulticaster(EventListener, EventListener). Constructor for class java.awt.AWTEventMulticaster

Creates an event multicaster instance which chains listener-a with listener-b.

AWTException(String). Constructor for class java.awt.AWTException

Constructs an instance of AWTException with the specified detail message.


Index of all Fields and Methods

_ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

B

b. Variable in class java.awt.AWTEventMulticaster

BACK_SPACE. Static variable in class java.awt.Event

The BackSpace key.

background(). Method in class symantec.itools.db.awt.CellHints

Gets this CellHint's "background color" value.

BACKSPACE. Variable in class symantec.itools.awt.FormattedTextField

Character constant, the backspace character.

bAllDirty. Variable in class symantec.itools.awt.ImageListBox

If true the list is dirty (needs repaint).

bAllowShowHBar. Variable in class symantec.itools.awt.ImageListBox

If true the horizontal scrollbar will be made visible when necessary, false if it will never be made visible.

bAllowShowVBar. Variable in class symantec.itools.awt.ImageListBox

If true the vertical scrollbar will be made visible when necessary, false if it will never be made visible.

barSize. Variable in class symantec.itools.awt.ImageListBox

The width of scroll bars, in pixels.

baseline. Variable in class symantec.itools.awt.WrappingLabel

The maximum ascent of the font used to display text.

BaseTabbedPanel(). Constructor for class symantec.itools.awt.BaseTabbedPanel

Constructs a BaseTabbedPanel with tabs on top and rounded.

BaseTabbedPanel(boolean). Constructor for class symantec.itools.awt.BaseTabbedPanel

BaseTabbedPanel(int, int). Constructor for class symantec.itools.awt.BaseTabbedPanel

Constructs a BaseTabbedPanel with the desired tab position and corner style.

BaseTabbedPanelBeanInfo(). Constructor for class symantec.itools.awt.BaseTabbedPanelBeanInfo

Constructs a BaseTabbedPanelBeanInfo object.

BasicCell(TableView, DataSource). Constructor for class symantec.itools.db.awt.BasicCell

Constructs a BasicCell.

bBlockPaint. Variable in class symantec.itools.awt.ImageListBox

If true the repainting of the control is prevented.

BC. Static variable in class java.util.GregorianCalendar

Useful constant for GregorianCalendar.

bCaseSensitive. Variable in class symantec.itools.awt.ComboBox

If true search compares are case-sensitive.

bCellBorders. Variable in class symantec.itools.awt.ImageListBox

If true list items have borders by default.

bComboMode. Variable in class symantec.itools.awt.ImageListBox

If true this ImageListBox is in "ComboBox mode".

bDown. Variable in class symantec.itools.awt.ComboBox

True if the list is currently dropped (displayed).

bDrawBoxes. Variable in class symantec.itools.awt.util.ProgressBar

The value of the Draw Boxes property.

BeanDescriptor(Class). Constructor for class java.beans.BeanDescriptor

Create a BeanDescriptor for a bean that doesn't have a customizer.

BeanDescriptor(Class, Class). Constructor for class java.beans.BeanDescriptor

Create a BeanDescriptor for a bean that has a customizer.

Beans(). Constructor for class java.beans.Beans

bEditable. Variable in class symantec.itools.awt.ComboBox

If true this ComboBox has a user-editable text field.

beep(). Method in class java.awt.Toolkit

Emits an audio beep.

before(Date). Method in class java.util.Date

Tests if this date is before the specified date.

before(Object). Method in class java.util.Calendar

Compares the time field records.

before(Object). Method in class java.util.GregorianCalendar

Overrides Calendar Compares the time field records.

before(Timestamp). Method in class java.sql.Timestamp

Is this timestamp earlier than the timestamp argument?

beginTransaction(). Method in class symantec.itools.db.beans.jdbc.JdbcConnection

This method starts a transaction...

beginValidate(). Method in interface java.awt.peer.ContainerPeer

BELOW_COMPONENT. Static variable in class symantec.itools.awt.InfoTipPanel

Defines the "from bottom" scroll direction.

BEST_COMPRESSION. Static variable in class java.util.zip.Deflater

Compression level for best compression.

BEST_SPEED. Static variable in class java.util.zip.Deflater

Compression level for fastest compression.

bestRowNotPseudo. Static variable in interface java.sql.DatabaseMetaData

BEST ROW PSEUDO_COLUMN - is NOT a pseudo column.

bestRowPseudo. Static variable in interface java.sql.DatabaseMetaData

BEST ROW PSEUDO_COLUMN - is a pseudo column.

bestRowSession. Static variable in interface java.sql.DatabaseMetaData

BEST ROW SCOPE - valid for remainder of current session.

bestRowTemporary. Static variable in interface java.sql.DatabaseMetaData

BEST ROW SCOPE - very temporary, while using row.

bestRowTransaction. Static variable in interface java.sql.DatabaseMetaData

BEST ROW SCOPE - valid for remainder of current transaction.

bestRowUnknown. Static variable in interface java.sql.DatabaseMetaData

BEST ROW PSEUDO_COLUMN - may or may not be pseudo column.

bevel. Variable in class symantec.itools.awt.ButtonBase

The "height" (cross-section) of a beveled edge, in pixels.

BEVEL_LINE. Static variable in interface symantec.itools.awt.BevelStyle

Defines the "line" shape border style.

BEVEL_LOWERED. Static variable in interface symantec.itools.awt.BevelStyle

Defines the "lowered" shape border style.

BEVEL_NONE. Static variable in interface symantec.itools.awt.BevelStyle

Defines the "none" shape border style.

BEVEL_RAISED. Static variable in interface symantec.itools.awt.BevelStyle

Defines the "raised" shape border style.

bevelDarkerColor. Variable in class symantec.itools.awt.BorderPanel

The color to use as a hilight when BevelStyle is BEVEL_RAISED or BEVEL_LOWERED.

bevelDarkerColor. Variable in class symantec.itools.awt.util.ProgressBar

The color to use as a hilight when BevelStyle is BEVEL_RAISED or BEVEL_LOWERED.

bevelDarkerColor. Variable in class symantec.itools.awt.shape.Shape

The color to use as a hilight when BevelStyle is BEVEL_RAISED or BEVEL_LOWERED.

bevelLighterColor. Variable in class symantec.itools.awt.BorderPanel

The color to use as a hilight when BevelStyle is BEVEL_RAISED or BEVEL_LOWERED.

bevelLighterColor. Variable in class symantec.itools.awt.util.ProgressBar

The color to use as a hilight when BevelStyle is BEVEL_RAISED or BEVEL_LOWERED.

bevelLighterColor. Variable in class symantec.itools.awt.shape.Shape

The color to use as a hilight when BevelStyle is BEVEL_RAISED or BEVEL_LOWERED.

bevelStyle. Variable in class symantec.itools.awt.Label3D

The current border bevel style.

BG_BIT. Static variable in class symantec.itools.db.awt.CellHints

Bit position constant for valid "background color" value flag.

bHBarVisible. Variable in class symantec.itools.awt.ImageListBox

True if the horizontal scroll bar is currently visible.

BigDecimal(BigInteger). Constructor for class java.math.BigDecimal

Translates a BigInteger into a BigDecimal.

BigDecimal(BigInteger, int). Constructor for class java.math.BigDecimal

Translates a BigInteger and a scale into a BigDecimal.

BigDecimal(double). Constructor for class java.math.BigDecimal

Translates a double into a BigDecimal.

BigDecimal(String). Constructor for class java.math.BigDecimal

Constructs a BigDecimal from a string containing an optional minus sign followed by a sequence of zero or more decimal digits, optionally followed by a fraction, which consists of a decimal point followed by zero or more decimal digits.

BIGINT. Static variable in class java.sql.Types

BigInteger(byte[]). Constructor for class java.math.BigInteger

Translates a byte array containing the two's-complement representation of a (signed) integer into a BigInteger.

BigInteger(int, byte[]). Constructor for class java.math.BigInteger

Translates the sign-magnitude representation of an integer into a BigInteger.

BigInteger(int, int, Random). Constructor for class java.math.BigInteger

Returns a randomly selected BigInteger with the specified bitLength that is probably prime.

BigInteger(int, Random). Constructor for class java.math.BigInteger

Returns a random number uniformly distributed on [0, 2**numBits - 1] (assuming a fair source of random bits is provided in rndSrc).

BigInteger(String). Constructor for class java.math.BigInteger

Translates a string containing an optional minus sign followed by a sequence of one or more decimal digits into a BigInteger.

BigInteger(String, int). Constructor for class java.math.BigInteger

Translates a string containing an optional minus sign followed by a sequence of one or more digits in the specified radix into a BigInteger.

BINARY. Static variable in class symantec.itools.db.awt.FtpClient

Binary FTP transfer mode constant.

BINARY. Static variable in class java.sql.Types

binaryArraytoString(byte[]). Static method in class symantec.itools.db.pro.RelationView

A utility method which returns a String object from a Java byte array.

binaryStreamtoString(InputStream, int). Static method in class symantec.itools.db.pro.RelationView

A utility method which returns a String object from a java.io.InputStream that is known to contain binary data.

bind(InetAddress, int). Method in class java.net.SocketImpl

Binds this socket to the specified port number on the specified host.

bind(int, InetAddress). Method in class java.net.DatagramSocketImpl

Binds a datagram socket to a local port and address.

bind(String, Remote). Static method in class java.rmi.Naming

Binds the name to the specified remote object.

bind(String, Remote). Method in interface java.rmi.registry.Registry

Binds the name to the specified remote object.

bindCurrentRecord(RecordLink). Method in class symantec.itools.db.pro.RelationView

Binds a RecordLink object to the current Record within this RelationView object.

BindException(). Constructor for class java.net.BindException

Construct a new BindException with no detailed message.

BindException(String). Constructor for class java.net.BindException

Constructs a new BindException with the specified detail message as to why the bind error occurred.

bindList(). Method in class symantec.itools.db.awt.ComboBox

Binds this component to a list of columns within a RelationView.

bindList(). Method in class symantec.itools.db.awt.List

Binds this component to a list of columns within a RelationView.

bindList(ConnectionInfo, String, ListLink, int[]). Method in class symantec.itools.db.pro.RelationView

Binds a ListLink object to a projection within this RelationView object.

bindList(ConnectionInfo, String, ListLink, Vector). Method in class symantec.itools.db.pro.RelationView

Binds a ListLink object to a projection within this RelationView object.

bindProj(int, ProjLink). Method in class symantec.itools.db.pro.RelationView

Binds a ProjLink object to a projection within this RelationView object.

bindRecordSet(RecordSetLink). Method in class symantec.itools.db.pro.RelationView

Binds a RecordSetLink object to this RelationView object.

bInternalBlockPaint. Variable in class symantec.itools.awt.ImageListBox

True if repainting is temporarily disabled for efficiency purposes.

BIT. Static variable in class java.sql.Types

bitCount(). Method in class java.math.BigInteger

Returns the number of bits in the two's complement representation of this number that differ from its sign bit.

bitLength(). Method in class java.math.BigInteger

Returns the number of bits in the minimal two's-complement representation of this number, *excluding* a sign bit, i.e., (ceil(log2(this < 0 ? -this : this + 1))).

BitSet(). Constructor for class java.util.BitSet

Creates an empty set.

BitSet(int). Constructor for class java.util.BitSet

Creates an empty set with the specified size.

black. Static variable in class java.awt.Color

The color black.

Blank. Static variable in class symantec.itools.db.awt.Checkbox

A constant value indicating how an empty string will be saved in the database.

Blank. Static variable in class symantec.itools.db.awt.ComboBox

A constant value indicating how an empty string will be saved in the database.

Blank. Static variable in class symantec.itools.db.awt.DBTstamp

A constant indicating how an empty string will be set when updating data on the dbANYWHERE server.

Blank. Static variable in class symantec.itools.db.awt.FormattedTextField

A constant value indicating how an empty string will be saved in the database.

Blank. Static variable in class symantec.itools.db.awt.List

A constant value indicating how an empty string will be saved in the database.

Blank. Static variable in class symantec.itools.db.beans.binding.Mediator

A constant indicating how an empty string will be set when updating data on the dbANYWHERE server.

Blank. Static variable in class symantec.itools.db.awt.NervousText

A constant value indicating how an empty string will be saved in the database.

BLANK. Static variable in class symantec.itools.db.awt.ProjectionBeanHelper

A constant value indicating how an empty string will be saved in the database.

Blank. Static variable in class symantec.itools.db.awt.RadioBox

A constant value indicating how an empty string will be saved in the database.

Blank. Static variable in class symantec.itools.db.awt.StateCheckBox

A constant indicating how an empty string will be set when updating data on the dbANYWHERE server.

Blank. Static variable in class symantec.itools.db.awt.TextArea

A constant value indicating how an empty string will be saved in the database.

Blank. Static variable in class symantec.itools.db.awt.TextField

A constant value indicating how an empty string will be saved in the database.

BLOCK_DECREMENT. Static variable in class java.awt.event.AdjustmentEvent

The block decrement adjustment type.

BLOCK_INCREMENT. Static variable in class java.awt.event.AdjustmentEvent

The block increment adjustment type.

blockPaint(boolean). Method in class symantec.itools.awt.ImageListBox

Blocks the repainting of the control.

blue. Static variable in class java.awt.Color

The color blue.

bMouseDrawHandled. Variable in class symantec.itools.awt.ImageListBox

True if drawing was handled on mouse down and no drawing action needs to be taken on mouse up.

bMultipleSelections. Variable in class symantec.itools.awt.ImageListBox

It true multiple list items can be selected at the same time.

bNeedsPlatformHelp. Variable in class symantec.itools.awt.util.Calendar

True if the ComboBox needs help changing state.

BOLD. Static variable in class java.awt.Font

The bold style constant.

Boolean(boolean). Constructor for class java.lang.Boolean

Allocates a Boolean object representing the value argument.

Boolean(String). Constructor for class java.lang.Boolean

Allocates a Boolean object representing the value true if the string argument is not null and is equal, ignoring case, to the string "true".

booleanValue(). Method in class java.lang.Boolean

Returns the value of this Boolean object as a boolean.

BORDER. Static variable in class symantec.itools.awt.MultiList

Border amount.

BORDER_NONE. Static variable in class symantec.itools.awt.ImageListBox

Defines the "no border" style.

BORDER_REGULAR. Static variable in class symantec.itools.awt.ImageListBox

Defines the "regular" (lowered) border style.

BORDER_X. Static variable in class symantec.itools.awt.Slider

Drawing constant for the horizontal axis.

BORDER_Y. Static variable in class symantec.itools.awt.Slider

Drawing constant for the vertical axis.

borderColor. Variable in class symantec.itools.awt.BorderPanel

The border color.

borderColor. Variable in class symantec.itools.awt.ButtonBase

The color of the border around the button.

borderColor. Variable in class symantec.itools.awt.util.ProgressBar

The value of the Border Color property.

borderDarkColor. Variable in class symantec.itools.awt.BaseTabbedPanel

Color used in drawing of the border.

borderDarkColor. Variable in class symantec.itools.awt.ImageListBox

Color used in drawing of the border.

borderDarkerColor. Variable in class symantec.itools.awt.BaseTabbedPanel

Color used in drawing of the border.

borderDarkerColor. Variable in class symantec.itools.awt.ImageListBox

Color used in drawing of the border.

borderedColor. Variable in class symantec.itools.awt.Label3D

The border color.

BorderLayout(). Constructor for class java.awt.BorderLayout

Constructs a new border layout with no gaps between components.

BorderLayout(int, int). Constructor for class java.awt.BorderLayout

Constructs a border layout with the specified gaps between components.

borderLightColor. Variable in class symantec.itools.awt.BaseTabbedPanel

Color used in drawing of the border.

borderLightColor. Variable in class symantec.itools.awt.ImageListBox

Color used in drawing of the border.

borderLighterColor. Variable in class symantec.itools.awt.ImageListBox

Color used in drawing of the border.

BorderPanel(). Constructor for class symantec.itools.awt.BorderPanel

Constructs a new default BorderPanel.

BorderPanel(int). Constructor for class symantec.itools.awt.BorderPanel

Constructs a new BorderPanel with the specified beveled border style.

BorderPanel(String). Constructor for class symantec.itools.awt.BorderPanel

Constructs a new BorderPanel with the specified border label.

BorderPanel(String, int). Constructor for class symantec.itools.awt.BorderPanel

Constructs a new BorderPanel with the specified border label and given alignment.

BorderPanel(String, int, int). Constructor for class symantec.itools.awt.BorderPanel

Constructs a new BorderPanel with the specified border label and given alignment and border styles.

BorderPanelBeanInfo(). Constructor for class symantec.itools.awt.BorderPanelBeanInfo

Constructs a BorderPanelBeanInfo object.

borderType. Variable in class symantec.itools.awt.ImageListBox

The current border type of this ImageListBox, one of BORDER_REGULAR or BORDER_NONE.

borderWidth. Variable in class symantec.itools.awt.ImageListBox

Width of the left and right borders combined, in pixels.

bOsFlag. Static variable in class symantec.itools.awt.ComboBox

True if running under Windows.

bOsFlag. Variable in class symantec.itools.awt.SplitterPanel

Internal use only.

BOTH. Static variable in class java.awt.GridBagConstraints

Resize the component both horizontally and vertically.

BOTTOM. Static variable in class symantec.itools.awt.BaseTabbedPanel

Position constant indicating tabs are to be put at the bottom of this panel.

bottom. Variable in class symantec.itools.awt.DirectionButton

The number of pixels to shrink the arrow from the bottom side of the button.

bottom. Variable in class java.awt.Insets

The inset from the bottom.

BOTTOM_ALIGNMENT. Static variable in class java.awt.Component

Ease-of-use constant for getAlignmentY.

bounds. Variable in class java.awt.Polygon

bounds(). Method in class symantec.itools.db.awt.CellHints

Gets the cell bounds indicated by this CellHint.

bounds(). Method in class java.awt.Component

bOverList. Variable in class symantec.itools.awt.ComboBox

True if the mouse is over the ComboBox.

boxWidth. Variable in class symantec.itools.awt.util.ProgressBar

The value of the Box Width property.

BreakIterator(). Constructor for class java.text.BreakIterator

Constructor.

breakpointEvent(RemoteThread). Method in class sun.tools.ttydebug.TTY

BRIEF. Static variable in class java.rmi.server.LogStream

brighter(). Method in class java.awt.Color

Creates a brighter version of this color.

bs. Variable in class symantec.itools.awt.CompareCells

A set of flags that indicates which rows are hilighted in the MultiList.

bSearchable. Variable in class symantec.itools.awt.ComboBox

If true this ComboBox is searchable.

bShowProgress. Variable in class symantec.itools.awt.util.ProgressBar

The value of the Show Progress property.

buf. Variable in class java.io.BufferedInputStream

The buffer where data is stored.

buf. Variable in class java.io.BufferedOutputStream

The buffer where data is stored.

buf. Variable in class java.io.ByteArrayInputStream

The byte array containing the data.

buf. Variable in class java.io.ByteArrayOutputStream

The buffer where data is stored.

buf. Variable in class java.io.CharArrayReader

Character buffer

buf. Variable in class java.io.CharArrayWriter

The buffer where data is stored.

buf. Variable in class java.util.zip.DeflaterOutputStream

Output buffer for writing compressed data.

buf. Variable in class java.util.zip.InflaterInputStream

Input buffer for decompression.

buf. Variable in class java.io.PushbackInputStream

The pushback buffer.

buffer. Variable in class java.io.PipedInputStream

The circular buffer into which incoming data is placed.

buffer. Variable in class java.io.StringBufferInputStream

The string from which bytes are read.

bufferedBgndImage. Variable in class symantec.itools.awt.InfoTipPanel

Off screen buffer used for animation.

BufferedInputStream(InputStream). Constructor for class java.io.BufferedInputStream

Creates a new buffered input stream to read data from the specified input stream with a default 512-byte buffer size.

BufferedInputStream(InputStream, int). Constructor for class java.io.BufferedInputStream

Creates a new buffered input stream to read data from the specified input stream with the specified buffer size.

BufferedOutputStream(OutputStream). Constructor for class java.io.BufferedOutputStream

Creates a new buffered output stream to write data to the specified underlying output stream with a default 512-byte buffer size.

BufferedOutputStream(OutputStream, int). Constructor for class java.io.BufferedOutputStream

Creates a new buffered output stream to write data to the specified underlying output stream with the specified buffer size.

BufferedReader(Reader). Constructor for class java.io.BufferedReader

Create a buffering character-input stream that uses a default-sized input buffer.

BufferedReader(Reader, int). Constructor for class java.io.BufferedReader

Create a buffering character-input stream that uses an input buffer of the specified size.

BufferedWriter(Writer). Constructor for class java.io.BufferedWriter

Create a buffered character-output stream that uses a default-sized output buffer.

BufferedWriter(Writer, int). Constructor for class java.io.BufferedWriter

Create a new buffered character-output stream that uses an output buffer of the given size.

bufferImage. Variable in class symantec.itools.awt.util.ProgressBar

The offscreen buffer to draw the button in.

Button(). Constructor for class java.awt.Button

Constructs a Button with no label.

Button(String). Constructor for class java.awt.Button

Constructs a Button with the specified label.

BUTTON1_MASK. Static variable in class java.awt.event.InputEvent

The mouse button1 modifier constant.

BUTTON2_MASK. Static variable in class java.awt.event.InputEvent

The mouse button2 modifier constant.

BUTTON3_MASK. Static variable in class java.awt.event.InputEvent

The mouse button3 modifier constant.

ButtonBase(). Constructor for class symantec.itools.awt.ButtonBase

Constructs a default ButtonBase.

ButtonBaseBeanInfo(). Constructor for class symantec.itools.awt.ButtonBaseBeanInfo

Constructs a ButtonBaseBeanInfo object.

ButtonCell(int, int). Constructor for class symantec.itools.db.awt.ButtonCell

Constructs a ButtonCell located at the given coordinates.

ButtonCell(TableView, DataSource). Constructor for class symantec.itools.db.awt.ButtonCell

Constructs a ButtonCell.

buttonColor. Variable in class symantec.itools.awt.ButtonBase

The color of the content of the button.

buttonImage. Variable in class symantec.itools.awt.ButtonBase

The offscreen buffer to draw the button in.

buttonImageGraphics. Variable in class symantec.itools.awt.ButtonBase

The Graphics of the offscreen buffer to draw the button in.

bVBarVisible. Variable in class symantec.itools.awt.ImageListBox

True if the vertical scroll bar is currently visible.

Byte(byte). Constructor for class java.lang.Byte

Constructs a Byte object initialized to the specified byte value.

Byte(String). Constructor for class java.lang.Byte

Constructs a Byte object initialized to the value specified by the String parameter.

ByteArrayInputStream(byte[]). Constructor for class java.io.ByteArrayInputStream

Creates a new byte array input stream that reads data from the specified byte array.

ByteArrayInputStream(byte[], int, int). Constructor for class java.io.ByteArrayInputStream

Creates a new byte array input stream that reads data from the specified byte array.

ByteArrayOutputStream(). Constructor for class java.io.ByteArrayOutputStream

Creates a new byte array output stream.

ByteArrayOutputStream(int). Constructor for class java.io.ByteArrayOutputStream

Creates a new byte array output stream, with a buffer capacity of the specified size, in bytes.

bytesTransferred. Variable in class java.io.InterruptedIOException

Reports how many bytes had been transferred as part of the I/O operation before it was interrupted.

bytesWidth(byte[], int, int). Method in class java.awt.FontMetrics

Returns the total advance width for showing the specified array of bytes in this Font.

byteValue(). Method in class java.lang.Byte

Returns the value of this Byte as a byte.

byteValue(). Method in class java.lang.Double

Returns the value of this Double as a byte (by casting to a byte).

byteValue(). Method in class java.lang.Float

Returns the value of this Float as a byte (by casting to a byte).

byteValue(). Method in class java.lang.Integer

Returns the value of this Integer as a byte.

byteValue(). Method in class java.lang.Long

Returns the value of this Long as a byte.

byteValue(). Method in class java.lang.Number

Returns the value of the specified number as a byte.

byteValue(). Method in class java.lang.Short

Returns the value of this Short as a byte.


Index of all Fields and Methods

_ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

C

cachedBackground. Variable in class symantec.itools.awt.BaseTabbedPanel

Cached value of the background color.

cachedBackground. Variable in class symantec.itools.awt.BorderPanel

Cached value of the background color.

cachedBackground. Variable in class symantec.itools.awt.ImageListBox

Cached value of the background color.

cachedBackground. Variable in class symantec.itools.awt.Label3D

Cached value of the background color.

cachedBackground. Variable in class symantec.itools.awt.util.ProgressBar

Cached value of the background color.

cachedBackground. Variable in class symantec.itools.awt.shape.Shape

Cached value of the background color.

cachedForeground. Variable in class symantec.itools.awt.BaseTabbedPanel

Cached value of the foreground color.

cachedHeight. Variable in class symantec.itools.awt.MultiList

The latest vertical size of this component.

cachedLastSplitter. Variable in class symantec.itools.awt.MultiList

The latest overall row width.

cachedSize. Variable in class symantec.itools.awt.Slider

The size of the component, the last time paint was called.

cachedWidth. Variable in class symantec.itools.awt.MultiList

The latest horizontal size of this component.

cal. Variable in class symantec.itools.awt.util.Calendar

Not used.

calcHeadings(String[]). Method in class symantec.itools.awt.MultiList

Initializes new headings with the given list of heading titles.

calculateBorderColors(Color). Method in class symantec.itools.awt.BaseTabbedPanel

Used to calculate the border colors from the background color.

calculateBorderColors(Color). Method in class symantec.itools.awt.ImageListBox

Used to calculate the border colors from the background color.

calculateDisabledTextColor(Color). Method in class symantec.itools.awt.BaseTabbedPanel

Used to calculate the disabled text color from the foreground color.

calculateDX(Point). Method in class symantec.itools.awt.InfoTipPanel

Utility method for drawNextFrame.

calculateDY(Point). Method in class symantec.itools.awt.InfoTipPanel

Utility method for drawNextFrame.

calculateHeadingHeight(). Method in class symantec.itools.awt.MultiList

Calculates the height of the column headings and stores that in headingHeight.

calculateHilightColor(Color). Static method in class symantec.itools.awt.util.ColorUtils

Used to calculate a hilight color from a given color.

calculateHilightColors(Color). Method in class symantec.itools.awt.BorderPanel

Used to calculate the hilight colors from the background color.

calculateHilightColors(Color). Method in class symantec.itools.awt.Label3D

Used to calculate the hilight colors from the background color.

calculateHilightColors(Color). Method in class symantec.itools.awt.util.ProgressBar

Used to calculate the hilight colors from the background color.

calculateMakeTabVisible(int). Method in class symantec.itools.awt.BaseTabbedPanel

Determines the first tab that must be visible in order to make the given tab visible.

calculateShadowColor(Color). Static method in class symantec.itools.awt.util.ColorUtils

Used to calculate a shadow color from a given color.

calculateTextAttributes(). Method in class symantec.itools.awt.InfoTipPanel

Utility method.

calculday(int, int, int). Method in class symantec.itools.db.awt.Tstamp

Returns the day of the week given the day, month, and year.

calcVerticalScrollbarPosition(boolean). Method in class symantec.itools.awt.MultiList

Determines if the vertical scrollbar needs to be shown.

calendar. Variable in class java.text.DateFormat

The calendar that DateFormat uses to produce the time field values needed to implement date/time formatting.

Calendar(). Constructor for class java.util.Calendar

Constructs a Calendar with the default time zone as returned by TimeZone.getDefault(), and the default locale.

Calendar(). Constructor for class symantec.itools.awt.util.Calendar

Creates a default calendar with today's date initialized.

Calendar(Date). Constructor for class symantec.itools.awt.util.Calendar

Creates a calendar with the specified date initialized.

Calendar(TimeZone, Locale). Constructor for class java.util.Calendar

Constructs a Calendar with the given time zone and locale.

CalendarBeanInfo(). Constructor for class symantec.itools.awt.util.CalendarBeanInfo

Constructs a CalendarBeanInfo object.

callBackSwap(Object, Object). Method in class symantec.itools.awt.CompareCells

Exchanges the compared values (rows) in the two given objects.

callBackSwap(Object, Object). Method in interface symantec.itools.awt.CompareFuncCB

Exchanges the compared values in the two given objects.

callingAddInternally. Variable in class symantec.itools.awt.InfoTipPanel

Internal flag that indicates a call to add() is being made from within InfoTipPanel.

CAN_ADD_CHILD. Static variable in class symantec.itools.beans.SymantecBeanDescriptor

A constant that specifies the "can add a child" key.

CANADA. Static variable in class java.util.Locale

Useful constant for country.

CANADA_FRENCH. Static variable in class java.util.Locale

Useful constant for country.

CANCEL. Static variable in interface symantec.itools.awt.WizardController

Constant wizard action value.

cancel(). Method in interface java.sql.Statement

Cancel can be used by one thread to cancel a statement that is being executed by another thread.

CANCEL_LABEL. Static variable in class symantec.itools.awt.Wizard

The text used for the Cancel button.

cancelButton. Variable in class symantec.itools.awt.KeyPressManagerPanel

The button to press when the Escape key is pressed.

cancelButton. Variable in class symantec.itools.awt.Wizard

The Cancel button.

cancelEnabled. Variable in class symantec.itools.awt.SimpleWizardController

True if the Cancel button is enabled.

canColumnBeUsed(ColumnMetaData). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Determines if a column can be included in an SQL WHERE clause.

canFilterIndexColorModel. Variable in class java.awt.image.RGBImageFilter

This boolean indicates whether or not it is acceptable to apply the color filtering of the filterRGB method to the color table entries of an IndexColorModel object in lieu of pixel by pixel filtering.

canLoseFocus(). Method in class symantec.itools.db.awt.BasicCell

Called by the TableView when the cell possess the keyboard focus to query whether the cell's contents are in a valid state so another control may receive the keyboard focus.

canLoseFocus(). Method in class symantec.itools.db.awt.ButtonCell

Called by the TableView when the cell possess the keyboard focus to query whether the cell's contents are in a valid state so another control may receive the keyboard focus.

canLoseFocus(). Method in interface symantec.itools.db.awt.TableCell

Called by the TableView when the cell possess the keyboard focus to query whether the cell's contents are in a valid state so another control may receive the keyboard focus.

CANONICAL_DECOMPOSITION. Static variable in class java.text.Collator

Decomposition mode value.

canRead(). Method in class java.io.File

Tests if the application can read from the specified file.

Canvas(). Constructor for class java.awt.Canvas

Constructs a new Canvas.

canWrite(). Method in class java.io.File

Tests if the application can write to this file.

capacity(). Method in class java.lang.StringBuffer

Returns the current capacity of the String buffer.

capacity(). Method in class java.util.Vector

Returns the current capacity of this vector.

capacityIncrement. Variable in class java.util.Vector

The amount by which the capacity of the vector is automatically incremented when its size becomes greater than its capacity.

CAPS_LOCK. Static variable in class java.awt.Event

The Caps Lock key, a non-ASCII action key.

CardLayout(). Constructor for class java.awt.CardLayout

Creates a new card layout with gaps of size zero.

CardLayout(int, int). Constructor for class java.awt.CardLayout

Creates a new card layout with the specified horizontal and vertical gaps.

caret. Variable in class symantec.itools.awt.FormattedTextField

The zero-relative index of the character after the insertion point caret.

cascadeAlignment(CellHints, CellHints). Method in class symantec.itools.db.awt.CellHints

Gets a valid horizontal alignment value.

cascadeBackground(CellHints, CellHints). Method in class symantec.itools.db.awt.CellHints

Gets a valid "background color" value.

cascadeControl(CellHints, CellHints). Method in class symantec.itools.db.awt.CellHints

Gets a valid cell component.

cascadeDefaultCell(CellHints, CellHints). Method in class symantec.itools.db.awt.CellHints

Gets a valid CellHint default table cell.

cascadeEditable(CellHints, CellHints). Method in class symantec.itools.db.awt.CellHints

Gets a valid "editable" value.

cascadeFont(CellHints, CellHints). Method in class symantec.itools.db.awt.CellHints

Gets a valid "font" value.

cascadeForeground(CellHints, CellHints). Method in class symantec.itools.db.awt.CellHints

Gets a valid "foreground color" value.

cascadeHlBackground(CellHints, CellHints). Method in class symantec.itools.db.awt.CellHints

Gets a valid "hilighted background color" value.

cascadeHlForeground(CellHints, CellHints). Method in class symantec.itools.db.awt.CellHints

Gets a valid "hilighted foreground color" value.

cascadeStorage(CellHints, CellHints). Method in class symantec.itools.db.awt.CellHints

Gets a valid CellHint stored object.

cascadeVAlignment(CellHints, CellHints). Method in class symantec.itools.db.awt.CellHints

Gets a valid vertical alignment value.

ceil(double). Static method in class java.lang.Math

Returns the smallest (closest to negative infinity) double value that is not less than the argument and is equal to a mathematical integer.

CELL. Static variable in interface symantec.itools.db.awt.TableCell

Cell type is a regular cell.

Cell(). Constructor for class symantec.itools.awt.multiList.Cell

Constructs a Cell object.

cellAscent. Variable in class symantec.itools.awt.MultiList

The ascent metric of the cell font.

cellDescent. Variable in class symantec.itools.awt.MultiList

The descent metric of the cell font.

cellFont. Variable in class symantec.itools.awt.MultiList

The font used to display cell text.

cellHeight. Variable in class symantec.itools.awt.MultiList

The height of cells, in pixels.

CellHints(TableView). Constructor for class symantec.itools.db.awt.CellHints

Constructs a new CellHints object for cells in the given TableView.

cellHt. Variable in class symantec.itools.awt.ImageListBox

Height of a single list cell, in pixels.

cells. Variable in class symantec.itools.awt.MultiList

The cells.

cellStorage(). Method in class symantec.itools.db.awt.CellHints

Gets the object stored in this CellHint.

CENTER. Static variable in class java.awt.BorderLayout

The center layout constraint (middle of container).

CENTER. Static variable in class java.awt.FlowLayout

This value indicates that each row of components should be centered.

CENTER. Static variable in class java.awt.GridBagConstraints

Put the component in the center of its display area.

CENTER. Static variable in class java.awt.Label

Indicates that the label should be centered.

CENTER. Static variable in class symantec.itools.awt.MultiList

Center-justify column alignment constant.

CENTER. Static variable in class symantec.itools.awt.Wizard

Constant value indicating a layout centered.

CENTER_ALIGNMENT. Static variable in class java.awt.Component

Ease-of-use constant for getAlignmentY and getAlignmentX.

centerNumber. Variable in class symantec.itools.awt.util.Calendar

Internal drawing calibration value.

certificates(). Method in class java.security.Identity

Returns a copy of all the certificates for this identity.

changed(). Method in interface symantec.itools.db.awt.Data

Gets whether the data has been changed since last committed.

changed(). Method in class symantec.itools.db.awt.DefaultData

Gets whether the data has been changed since last committed.

changed(). Method in class symantec.itools.db.awt.ImageStringData

Gets whether the data has been changed since last committed.

changeImage(int, Image). Method in class symantec.itools.awt.ComboBox

changeImage(int, Image). Method in class symantec.itools.awt.ImageListBox

changes. Variable in class symantec.itools.awt.shape.Shape

Handles tracking non-vetoable change listeners and notifying them of each change to this component's properties.

changes. Variable in class symantec.itools.awt.util.spinner.Spinner

Tracks listeners for all property change events.

changes. Variable in class symantec.itools.awt.StateCheckBox

Handles tracking non-vetoable change listeners and notifying them of each change to this component's properties.

changeSelection(int, int). Method in class symantec.itools.awt.MultiList

This routine changes the selected row, handling multiple selections as needed.

changeSelection(TreeNode). Method in class symantec.itools.awt.TreeView

Handles selecting the given node.

changeText(int, String). Method in class symantec.itools.awt.ComboBox

changeText(int, String). Method in class symantec.itools.awt.ImageListBox

CHAR. Static variable in class java.sql.Types

CHAR_UNDEFINED. Static variable in class java.awt.event.KeyEvent

KEY_PRESSED and KEY_RELEASED events which do not map to a valid Unicode character do not have a defined keyChar.

Character(char). Constructor for class java.lang.Character

Constructs a Character object and initializes it so that it represents the primitive value argument.

CharArrayReader(char[]). Constructor for class java.io.CharArrayReader

Create an CharArrayReader from the specified array of chars.

CharArrayReader(char[], int, int). Constructor for class java.io.CharArrayReader

Create an CharArrayReader from the specified array of chars.

CharArrayWriter(). Constructor for class java.io.CharArrayWriter

Creates a new CharArrayWriter.

CharArrayWriter(int). Constructor for class java.io.CharArrayWriter

Creates a new CharArrayWriter with the specified initial size.

charAt(int). Method in class java.lang.String

Returns the character at the specified index.

charAt(int). Method in class java.lang.StringBuffer

Returns the character at a specific index in this string buffer.

CharConversionException(). Constructor for class java.io.CharConversionException

provides no detailed message

CharConversionException(String). Constructor for class java.io.CharConversionException

provides a detailed message

charsWidth(char[], int, int). Method in class java.awt.FontMetrics

Returns the total advance width for showing the specified array of characters in this Font.

charValue(). Method in class java.lang.Character

Returns the value of this Character object.

charWidth(char). Method in class java.awt.FontMetrics

Returns the advance width of the specified character in this Font.

charWidth(int). Method in class java.awt.FontMetrics

Returns the advance width of the specified character in this Font.

chdir(String). Method in class symantec.itools.db.awt.FtpClient

Changes to a different directory on the host.

checkAccept(String, int). Method in class java.rmi.RMISecurityManager

For now loaded classes can't accept connections on any port.

checkAccept(String, int). Method in class java.lang.SecurityManager

Throws a SecurityException if the calling thread is not permitted to accept a socket connection from the specified host and port number.

checkAccess(). Method in class java.lang.Thread

Determines if the currently running thread has permission to modify this thread.

checkAccess(). Method in class java.lang.ThreadGroup

Determines if the currently running thread has permission to modify this thread group.

checkAccess(Thread). Method in class java.rmi.RMISecurityManager

Loaded classes are not allowed to manipulate threads.

checkAccess(Thread). Method in class java.lang.SecurityManager

Throws a SecurityException if the calling thread is not allowed to modify the thread argument.

checkAccess(ThreadGroup). Method in class java.rmi.RMISecurityManager

Loaded classes are not allowed to manipulate thread groups.

checkAccess(ThreadGroup). Method in class java.lang.SecurityManager

Throws a SecurityException if the calling thread is not allowed to modify the thread group argument.

checkAll(). Method in class java.awt.MediaTracker

Checks to see if all images being tracked by this media tracker have finished loading.

checkAll(boolean). Method in class java.awt.MediaTracker

Checks to see if all images being tracked by this media tracker have finished loading.

checkAwtEventQueueAccess(). Method in class java.rmi.RMISecurityManager

Checks to see if an client can get access to the AWT event queue (disallowed from loaded classes).

checkAwtEventQueueAccess(). Method in class java.lang.SecurityManager

Tests if a client can get access to the AWT event queue.

Checkbox(). Constructor for class java.awt.Checkbox

Creates a check box with no label.

Checkbox(). Constructor for class symantec.itools.db.awt.Checkbox

Constructs a default Checkbox.

Checkbox(String). Constructor for class java.awt.Checkbox

Creates a check box with the specified label.

Checkbox(String). Constructor for class symantec.itools.db.awt.Checkbox

Constructs a Checkbox with the specified label.

Checkbox(String, boolean). Constructor for class java.awt.Checkbox

Creates a check box with the specified label.

Checkbox(String, boolean, CheckboxGroup). Constructor for class java.awt.Checkbox

Creates a check box with the specified label, in the specified check box group, and set to the specified state.

Checkbox(String, CheckboxGroup, boolean). Constructor for class java.awt.Checkbox

Constructs a Checkbox with the specified label, set to the specified state, and in the specified check box group.

CheckboxBeanInfo(). Constructor for class symantec.itools.db.awt.CheckboxBeanInfo

Constructs a CheckboxBeanInfo object.

CheckboxGroup(). Constructor for class java.awt.CheckboxGroup

Creates a new instance of CheckboxGroup.

CheckboxMenuItem(). Constructor for class java.awt.CheckboxMenuItem

Create a check box menu item with an empty label.

CheckboxMenuItem(String). Constructor for class java.awt.CheckboxMenuItem

Create a check box menu item with the specified label.

CheckboxMenuItem(String, boolean). Constructor for class java.awt.CheckboxMenuItem

Create a check box menu item with the specified label and state.

checkConnect(String, int). Method in class java.rmi.RMISecurityManager

Loaded classes can make connections if called through the RMI transport.

checkConnect(String, int). Method in class java.lang.SecurityManager

Throws a SecurityException if the calling thread is not allowed to open a socket connection to the specified host and port number.

checkConnect(String, int, Object). Method in class java.rmi.RMISecurityManager

Loaded classes can make connections if called through the RMI transport.

checkConnect(String, int, Object). Method in class java.lang.SecurityManager

Throws a SecurityException if the specified security context is not allowed to open a socket connection to the specified host and port number.

checkCreateClassLoader(). Method in class java.rmi.RMISecurityManager

Loaded classes are not allowed to create class loaders, or even execute any of ClassLoader's methods.

checkCreateClassLoader(). Method in class java.lang.SecurityManager

Throws a SecurityException if the calling thread is not allowed to create a new class loader.

checkDelete(String). Method in class java.rmi.RMISecurityManager

Check if a file with the specified system dependent file name can be deleted.

checkDelete(String). Method in class java.lang.SecurityManager

Throws a SecurityException if the calling thread is not allowed to delete the specified file.

CheckedInputStream(InputStream, Checksum). Constructor for class java.util.zip.CheckedInputStream

Creates an input stream using the specified Checksum.

CheckedOutputStream(OutputStream, Checksum). Constructor for class java.util.zip.CheckedOutputStream

Creates an output stream with the specified Checksum.

checkError(). Method in class java.io.PrintStream

Flush the stream and check its error state.

checkError(). Method in class java.io.PrintWriter

Flush the stream and check its error state.

checkExec(String). Method in class java.rmi.RMISecurityManager

Loaded classes are not allowed to fork processes.

checkExec(String). Method in class java.lang.SecurityManager

Throws a SecurityException if the calling thread is not allowed to create a subprocss.

checkExit(int). Method in class java.rmi.RMISecurityManager

Loaded classes are not allowed to exit the VM.

checkExit(int). Method in class java.lang.SecurityManager

Throws a SecurityException if the calling thread is not allowed to cause the Java Virtual Machine to halt with the specified status code.

checkID(int). Method in class java.awt.MediaTracker

Checks to see if all images tracked by this media tracker that are tagged with the specified identifier have finished loading.

checkID(int, boolean). Method in class java.awt.MediaTracker

Checks to see if all images tracked by this media tracker that are tagged with the specified identifier have finished loading.

checkImage(Image, ImageObserver). Method in class java.awt.Component

Returns the status of the construction of a screen representation of the specified image.

checkImage(Image, int, int, ImageObserver). Method in class java.awt.Component

Returns the status of the construction of a screen representation of the specified image.

checkImage(Image, int, int, ImageObserver). Method in interface java.awt.peer.ComponentPeer

checkImage(Image, int, int, ImageObserver). Method in class java.awt.Toolkit

Indicates the construction status of a specified image that is being prepared for display.

checkLink(String). Method in class java.rmi.RMISecurityManager

Loaded classes are not allowed to link dynamic libraries.

checkLink(String). Method in class java.lang.SecurityManager

Throws a SecurityException if the calling thread is not allowed to dynamic link the library code specified by the string argument file.

checkListen(int). Method in class java.rmi.RMISecurityManager

For now loaded classes can't listen on any port.

checkListen(int). Method in class java.lang.SecurityManager

Throws a SecurityException if the calling thread is not allowed to wait for a connection request on the specified local port number.

checkMemberAccess(Class, int). Method in class java.rmi.RMISecurityManager

Check if client is allowed reflective access to a member or a set of members for the specified class.

checkMemberAccess(Class, int). Method in class java.lang.SecurityManager

Tests if a client is allowed to access members.

checkMulticast(InetAddress). Method in class java.rmi.RMISecurityManager

Checks to see if current execution context is allowed to use (join/leave/send/receive) IP multicast (disallowed from loaded classes).

checkMulticast(InetAddress). Method in class java.lang.SecurityManager

Tests if current execution context is allowed to use (join/leave/send/receive) IP multicast.

checkMulticast(InetAddress, byte). Method in class java.rmi.RMISecurityManager

Checks to see if current execution context is allowed to use (join/leave/send/receive) IP multicast (disallowed from loaded classes).

checkMulticast(InetAddress, byte). Method in class java.lang.SecurityManager

Tests to see if current execution context is allowed to use (join/leave/send/receive) IP multicast.

checkPackageAccess(String). Method in class java.rmi.RMISecurityManager

Check if a loaded class can access a package.

checkPackageAccess(String). Method in class java.lang.SecurityManager

Throws a SecurityException if the calling thread is not allowed to access the package specified by the argument.

checkPackageDefinition(String). Method in class java.rmi.RMISecurityManager

Check if a loaded class can define classes in a package.

checkPackageDefinition(String). Method in class java.lang.SecurityManager

Throws a SecurityException if the calling thread is not allowed to define classes in the package specified by the argument.

checkPermission(Permission). Method in interface java.security.acl.AclEntry

Checks if the specified permission is part of the permission set in this entry.

checkPermission(Principal, Permission). Method in interface java.security.acl.Acl

Checks whether or not the specified principal has the specified permission.

checkPrintJobAccess(). Method in class java.rmi.RMISecurityManager

Disallow printing from loaded classes.

checkPrintJobAccess(). Method in class java.lang.SecurityManager

Tests if a client can initiate a print job request.

checkPropertiesAccess(). Method in class java.rmi.RMISecurityManager

Loaded classes are not allowed to access the system properties list.

checkPropertiesAccess(). Method in class java.lang.SecurityManager

Throws a SecurityException if the calling thread is not allowed to access or modify the system properties.

checkPropertyAccess(String). Method in class java.rmi.RMISecurityManager

Loaded classes can access the system property named by key only if its twin key.rmi property is set to true.

checkPropertyAccess(String). Method in class java.lang.SecurityManager

Throws a SecurityException if the calling thread is not allowed to access the system property with the specified key name.

checkRead(FileDescriptor). Method in class java.rmi.RMISecurityManager

Loaded classes are not allowed to open descriptors for reading unless it is done through a socket, in which case other access restrictions still apply.

checkRead(FileDescriptor). Method in class java.lang.SecurityManager

Throws a SecurityException if the calling thread is not allowed to read from the specified file descriptor.

checkRead(String). Method in class java.rmi.RMISecurityManager

Check if a loaded class can read a particular file.

checkRead(String). Method in class java.lang.SecurityManager

Throws a SecurityException if the calling thread is not allowed to read the file specified by the string argument.

checkRead(String, Object). Method in class java.rmi.RMISecurityManager

No file reads are valid from a loaded class.

checkRead(String, Object). Method in class java.lang.SecurityManager

Throws a SecurityException if the specified security context is not allowed to read the file specified by the string argument.

checkSecurityAccess(String). Method in class java.rmi.RMISecurityManager

Loaded classes cannot perform security provider operations.

checkSecurityAccess(String). Method in class java.lang.SecurityManager

Tests access to certain operations for a security API action.

checkSetFactory(). Method in class java.rmi.RMISecurityManager

Check if a loaded class can set a networking-related object factory.

checkSetFactory(). Method in class java.lang.SecurityManager

Throws a SecurityException if the calling thread is not allowed to set the socket factory used by ServerSocket or Socket, or the stream handler factory used by URL.

checkSystemClipboardAccess(). Method in class java.rmi.RMISecurityManager

Checks to see if an client can get access to the System Clipboard (disallowed from loaded classes).

checkSystemClipboardAccess(). Method in class java.lang.SecurityManager

Tests if a client can get access to the system clipboard.

checkTopLevelWindow(Object). Method in class java.rmi.RMISecurityManager

Allow caller to create top-level windows.

checkTopLevelWindow(Object). Method in class java.lang.SecurityManager

Returns false if the calling thread is not trusted to bring up the top-level window indicated by the window argument.

checkValidPercent(double). Static method in class symantec.itools.util.GeneralUtils

Checks to make sure the percent parameter is in range.

checkWrite(FileDescriptor). Method in class java.rmi.RMISecurityManager

Loaded classes are not allowed to open descriptors for writing unless it is done through a socket, in which case other access restrictions still apply.

checkWrite(FileDescriptor). Method in class java.lang.SecurityManager

Throws a SecurityException if the calling thread is not allowed to write to the specified file descriptor.

checkWrite(String). Method in class java.rmi.RMISecurityManager

Check if a loaded class can write a particular file.

checkWrite(String). Method in class java.lang.SecurityManager

Throws a SecurityException if the calling thread is not allowed to write to the file specified by the string argument.

CHILD. Static variable in class symantec.itools.awt.TreeView

Constant indicating that the new node is to be a child of the existing node.

childResized(int, int). Method in interface java.awt.peer.ScrollPanePeer

CHINA. Static variable in class java.util.Locale

Useful constant for country.

CHINESE. Static variable in class java.util.Locale

Useful constant for language.

Choice(). Constructor for class java.awt.Choice

Creates a new choice menu.

ChoiceFormat(double[], String[]). Constructor for class java.text.ChoiceFormat

Constructs with the limits and the corresponding formats.

ChoiceFormat(String). Constructor for class java.text.ChoiceFormat

Constructs with limits and corresponding formats based on the pattern.

choices. Variable in class java.sql.DriverPropertyInfo

If the value may be selected from a particular set of values, then this is an array of the possible values.

chopString(Data, Rectangle, FontMetrics). Method in class symantec.itools.db.awt.BasicCell

Gets a string from the data source that is truncated as needed to fit within the given rectangle.

Circle(). Constructor for class symantec.itools.awt.shape.Circle

Constructs a default Circle.

CircleBeanInfo(). Constructor for class symantec.itools.awt.shape.CircleBeanInfo

Constructs a CircleBeanInfo object.

CLASS_NAME. Static variable in class symantec.itools.db.beans.jdbc.RecordDefinition

Name of this class.

ClassCastException(). Constructor for class java.lang.ClassCastException

Constructs a ClassCastException with no detail message.

ClassCastException(String). Constructor for class java.lang.ClassCastException

Constructs a ClassCastException with the specified detail message.

ClassCircularityError(). Constructor for class java.lang.ClassCircularityError

Constructs a ClassCircularityError with no detail message.

ClassCircularityError(String). Constructor for class java.lang.ClassCircularityError

Constructs a ClassCircularityError with the specified detail message.

classDepth(String). Method in class java.lang.SecurityManager

Returns the stack depth of the specified class.

ClassFormatError(). Constructor for class java.lang.ClassFormatError

Constructs a ClassFormatError with no detail message.

ClassFormatError(String). Constructor for class java.lang.ClassFormatError

Constructs a ClassFormatError with the specified detail message.

ClassLoader(). Constructor for class java.lang.ClassLoader

Constructs a new class loader and initializes it.

classLoaderDepth(). Method in class java.lang.SecurityManager

Returns the stack depth of the most recently executing method from a class defined using a class loader.

classname. Variable in class java.io.InvalidClassException

ClassNotFoundException(). Constructor for class java.lang.ClassNotFoundException

Constructs a ClassNotFoundException with no detail message.

ClassNotFoundException(String). Constructor for class java.lang.ClassNotFoundException

Constructs a ClassNotFoundException with the specified detail message.

clean(ObjID[], long, VMID, boolean). Method in interface java.rmi.dgc.DGC

The clean call removes the 'vmid' from the reference list of each remote object indicated in 'id's.

CLEAN_ROW. Static variable in interface symantec.itools.db.awt.DataSource

A constant indicating the state of the row is clean (it has not been been changed since loaded from its source).

clear(). Method in class java.util.Calendar

Clears the values of all the time fields.

clear(). Method in class symantec.itools.awt.ComboBox

Clears all items from the drop-down list.

clear(). Method in interface symantec.itools.db.awt.DataSource

Requests the data source remove all data.

clear(). Method in class symantec.itools.db.awt.DbaDataStore

Requests the data store clear all cached data.

clear(). Method in class symantec.itools.db.awt.DbDataSource

Requests the data source remove all data.

clear(). Method in interface symantec.itools.db.awt.DbDataStore

Requests the data store clear all cached data.

clear(). Method in class symantec.itools.db.awt.DefaultDataSource

Requests the data source remove all data.

clear(). Method in class java.util.Hashtable

Clears this hashtable so that it contains no keys.

clear(). Method in class symantec.itools.awt.ImageListBox

Clears the list.

clear(). Method in class java.awt.List

clear(). Method in interface java.awt.peer.ListPeer

DEPRECATED: Replaced by removeAll().

clear(). Method in class symantec.itools.awt.MultiList

Removes all rows from the MultiList.

clear(). Method in class symantec.itools.awt.StatusBar

Clears the text that gets displayed.

clear(). Method in class symantec.itools.awt.util.StatusScroller

Clears the status area.

clear(). Method in class symantec.itools.awt.TreeView

Clears the tree structure and redraws.

clear(int). Method in class java.util.BitSet

Clears a bit.

clear(int). Method in class java.util.Calendar

Clears the value in the given time field.

clear(int). Method in class symantec.itools.db.awt.CellHints

Clears the sepecified flag bit.

clearBit(int). Method in class java.math.BigInteger

Returns a BigInteger whose value is equivalent to this number with the designated bit cleared.

clearChanged(). Method in class java.util.Observable

Indicates that this object has no longer changed, or that it has already notified all of its observers of its most recent change.

clearFrame. Variable in class symantec.itools.multimedia.Animator

Clear frame between each image.

clearImage(). Method in class symantec.itools.db.awt.ImageViewer

Eliminates any current image.

clearParameters(). Method in interface java.sql.PreparedStatement

In general, parameter values remain in force for repeated use of a Statement.

clearRect(int, int, int, int). Method in class java.awt.Graphics

Clears the specified rectangle by filling it with the background color of the current drawing surface.

clearText(). Method in interface symantec.itools.db.awt.Data

Sets the string value to the empty string.

clearText(). Method in class symantec.itools.db.awt.DefaultData

Sets the string value to the empty string.

clearText(). Method in class symantec.itools.db.awt.ImageStringData

Sets the string value to the empty string.

clearText(int, int). Method in interface symantec.itools.db.awt.DataSource

Method used to support Defaultdata class.

clearText(int, int). Method in class symantec.itools.db.awt.DbDataSource

Method used to support Defaultdata class.

clearText(int, int). Method in class symantec.itools.db.awt.DefaultDataSource

Method used to support Defaultdata class.

clearWarnings(). Method in interface java.sql.Connection

After this call, getWarnings returns null until a new warning is reported for this Connection.

clearWarnings(). Method in interface java.sql.ResultSet

After this call getWarnings returns null until a new warning is reported for this ResultSet.

clearWarnings(). Method in interface java.sql.Statement

After this call, getWarnings returns null until a new warning is reported for this Statement.

clickCount. Variable in class java.awt.Event

For MOUSE_DOWN events, this field indicates the number of consecutive clicks.

clickedCancel(). Method in class symantec.itools.db.awt.LogonDialog

Does the standard processing for when the Cancel button is clicked.

clickedInHeadings. Variable in class symantec.itools.awt.MultiList

Mouse button has been pressed in a column heading.

clickedOK(). Method in class symantec.itools.db.awt.LogonDialog

Does the standard processing for when the OK button is clicked.

CLICKTHRESHOLD. Static variable in class symantec.itools.awt.MultiList

Maximum time inverval to register a double click (in milliseconds).

clickTime. Variable in class symantec.itools.awt.MultiList

The time of the previous click.

clip(Graphics). Method in class symantec.itools.db.awt.CellHints

Sets the given Graphics object's clipping rectangle to the value indicated by this CellHint.

Clipboard(String). Constructor for class java.awt.datatransfer.Clipboard

Creates a clipboard object.

clipRect(int, int, int, int). Method in class java.awt.Graphics

Intersects the current clip with the specified rectangle.

clone(). Method in interface java.security.acl.AclEntry

Clones this ACL entry.

clone(). Method in class java.util.BitSet

Clones the BitSet.

clone(). Method in class java.text.BreakIterator

Create a copy of this boundary

clone(). Method in class java.util.Calendar

Overrides Cloneable

clone(). Method in interface java.text.CharacterIterator

Create a copy of this iterator

clone(). Method in class java.text.ChoiceFormat

Overrides Cloneable

clone(). Method in class java.text.Collator

Overrides Cloneable

clone(). Method in class java.text.DateFormat

Overrides Cloneable

clone(). Method in class java.text.DateFormatSymbols

Overrides Cloneable

clone(). Method in class java.text.DecimalFormat

Standard override; no change in semantics.

clone(). Method in class java.text.DecimalFormatSymbols

Standard override.

clone(). Method in class java.text.Format

Creates a new object of the same class as this object.

clone(). Method in class java.awt.GridBagConstraints

Creates a copy of this grid bag constraint.

clone(). Method in class java.util.Hashtable

Creates a shallow copy of this hashtable.

clone(). Method in class java.awt.image.ImageFilter

Clones this object.

clone(). Method in class java.awt.Insets

Create a copy of this object.

clone(). Method in class java.util.Locale

Overrides Cloneable

clone(). Method in class java.security.MessageDigest

Returns a clone if the implementation is cloneable.

clone(). Method in class java.text.MessageFormat

Overrides Cloneable

clone(). Method in class java.text.NumberFormat

Overrides Cloneable

clone(). Method in class java.lang.Object

Creates a new object of the same class as this object.

clone(). Method in class java.text.RuleBasedCollator

Standard override; no change in semantics.

clone(). Method in class java.security.Signature

Returns a clone if the implementation is cloneable.

clone(). Method in class java.text.SimpleDateFormat

Overrides Cloneable

clone(). Method in class java.util.SimpleTimeZone

Overrides Cloneable

clone(). Method in class java.text.StringCharacterIterator

Create a copy of this boundary

clone(). Method in class java.util.TimeZone

Overrides Cloneable

clone(). Method in class java.rmi.server.UnicastRemoteObject

Returns a clone of the remote object that is distinct from the original.

clone(). Method in class java.util.Vector

Returns a clone of this vector.

cloneCell(). Method in class symantec.itools.db.awt.BasicCell

Gets a copy of the cell suitable for taking the place of the current cell.

cloneCell(). Method in class symantec.itools.db.awt.ButtonCell

Gets a copy of the cell suitable for taking the place of the current cell.

cloneCell(). Method in interface symantec.itools.db.awt.TableCell

Gets a copy of the cell suitable for taking the place of the current cell.

CloneNotSupportedException(). Constructor for class java.lang.CloneNotSupportedException

Constructs a CloneNotSupportedException with no detail message.

CloneNotSupportedException(String). Constructor for class java.lang.CloneNotSupportedException

Constructs a CloneNotSupportedException with the specified detail message.

close(). Method in class java.io.BufferedReader

Close the stream.

close(). Method in class java.io.BufferedWriter

Close the stream.

close(). Method in class java.io.CharArrayReader

Close the stream.

close(). Method in class java.io.CharArrayWriter

Close the stream.

close(). Method in interface java.sql.Connection

In some cases, it is desirable to immediately release a Connection's database and JDBC resources instead of waiting for them to be automatically released; the close method provides this immediate release.

close(). Method in class java.net.DatagramSocket

Closes this datagram socket.

close(). Method in class java.net.DatagramSocketImpl

Close the socket.

close(). Method in class java.util.zip.DeflaterOutputStream

Writes remaining compressed data to the output stream and closes the underlying stream.

close(). Method in class java.io.FileInputStream

Closes this file input stream and releases any system resources associated with the stream.

close(). Method in class java.io.FileOutputStream

Closes this file output stream and releases any system resources associated with this stream.

close(). Method in class java.io.FilterInputStream

Closes this input stream and releases any system resources associated with the stream.

close(). Method in class java.io.FilterOutputStream

Closes this output stream and releases any system resources associated with the stream.

close(). Method in class java.io.FilterReader

Close the stream.

close(). Method in class java.io.FilterWriter

Close the stream.

close(). Method in class java.util.zip.GZIPInputStream

Closes the input stream.

close(). Method in class java.util.zip.GZIPOutputStream

Writes remaining compressed data to the output stream and closes the underlying stream.

close(). Method in class java.io.InputStream

Closes this input stream and releases any system resources associated with the stream.

close(). Method in class java.io.InputStreamReader

Close the stream.

close(). Method in class symantec.itools.db.pro.MultiView

Close down and release all resources associated with a runtime version of the MultiView object.

close(). Method in interface java.io.ObjectInput

Closes the input stream.

close(). Method in class java.io.ObjectInputStream

Closes the input stream.

close(). Method in interface java.io.ObjectOutput

Closes the stream.

close(). Method in class java.io.ObjectOutputStream

Closes the stream.

close(). Method in class java.io.OutputStream

Closes this output stream and releases any system resources associated with this stream.

close(). Method in class java.io.OutputStreamWriter

Close the stream.

close(). Method in class java.io.PipedInputStream

Closes this piped input stream and releases any system resources associated with the stream.

close(). Method in class java.io.PipedOutputStream

Closes this piped output stream and releases any system resources associated with this stream.

close(). Method in class java.io.PipedReader

Close the stream.

close(). Method in class java.io.PipedWriter

Close the stream.

close(). Method in class java.io.PrintStream

Close the stream.

close(). Method in class java.io.PrintWriter

Close the stream.

close(). Method in class java.io.PushbackReader

Close the stream.

close(). Method in class symantec.itools.db.beans.binding.QueryNavigator

Detaches this component from its source of data and destroys it.

close(). Method in class java.io.RandomAccessFile

Closes this random access file stream and releases any system resources associated with the stream.

close(). Method in class java.io.Reader

Close the stream.

close(). Method in class symantec.itools.db.pro.RelationViewPlus

Detaches this component from its source of data.

close(). Method in interface java.sql.ResultSet

In some cases, it is desirable to immediately release a ResultSet's database and JDBC resources instead of waiting for this to happen when it is automatically closed; the close method provides this immediate release.

close(). Method in class java.io.SequenceInputStream

Closes this input stream and releases any system resources associated with the stream.

close(). Method in class java.net.ServerSocket

Closes this socket.

close(). Method in class symantec.itools.db.pro.Session

Closes the connection to the dbANYWHERE server.

close(). Method in class java.net.Socket

Closes this socket.

close(). Method in class java.net.SocketImpl

Closes this socket.

close(). Method in interface java.sql.Statement

In many cases, it is desirable to immediately release a Statements's database and JDBC resources instead of waiting for this to happen when it is automatically closed; the close method provides this immediate release.

close(). Method in class java.io.StringReader

Close the stream.

close(). Method in class java.io.StringWriter

Close the stream.

close(). Method in class java.io.Writer

Close the stream, flushing it first.

close(). Method in class java.util.zip.ZipFile

Closes the ZIP file.

close(). Method in class java.util.zip.ZipInputStream

Closes the ZIP input stream.

close(). Method in class java.util.zip.ZipOutputStream

Closes the ZIP output stream as well as the stream being filtered.

closeDialog(). Method in class symantec.itools.awt.util.dialog.DialogBox

Hides and disposes of the dialog.

closeEntry(). Method in class java.util.zip.ZipInputStream

Closes the current ZIP entry and positions the stream for reading the next entry.

closeEntry(). Method in class java.util.zip.ZipOutputStream

Closes the current ZIP entry and positions the stream for writing the next entry.

closeHard(). Method in class symantec.itools.db.awt.FtpClient

Closes the host connection.

closeMultiView(). Method in class symantec.itools.db.pro.RelationView

Closes down the whole MultiView.

closeStream(). Method in class symantec.itools.db.pro.Record

Closes down the last requested stream.

col. Variable in class symantec.itools.db.awt.Coordinate

The column of the coordinate.

col(). Method in class symantec.itools.db.awt.BasicCell

Gets the column number for the cell.

col(). Method in class symantec.itools.db.awt.ButtonCell

Gets the column number for the cell.

col(). Method in class symantec.itools.db.awt.Coordinate

Get the column of the coordinate.

col(). Method in interface symantec.itools.db.awt.TableCell

Gets the column number for the cell.

COL_HEADING. Static variable in interface symantec.itools.db.awt.TableCell

Cell type is a column heading.

collapse(). Method in class symantec.itools.awt.TreeNode

Sets a flag indicating that this node is not expanded.

Collator(). Constructor for class java.text.Collator

Default constructor.

Color(float, float, float). Constructor for class java.awt.Color

Creates a color with the specified red, green, and blue values, where each of the values is in the range 0.0-1.0.

Color(int). Constructor for class java.awt.Color

Creates a color with the specified RGB value, where the red component is in bits 16-23 of the argument, the green component is in bits 8-15 of the argument, and the blue component is in bits 0-7.

Color(int, int, int). Constructor for class java.awt.Color

Creates a color with the specified red, green, and blue components.

colorBg. Variable in class symantec.itools.awt.MultiList

The background color of cell text.

colorFg. Variable in class symantec.itools.awt.MultiList

The foreground color of cell text.

colorHBg. Variable in class symantec.itools.awt.MultiList

The background color of hilighted cell text.

colorHFg. Variable in class symantec.itools.awt.MultiList

The foreground color of hilighted cell text.

ColorModel(int). Constructor for class java.awt.image.ColorModel

Constructs a ColorModel which describes a pixel of the specified number of bits.

ColorUtils(). Constructor for class symantec.itools.awt.util.ColorUtils

Do not use, this is an all-static class.

colsToShow. Variable in class symantec.itools.awt.ImageListBox

The number of columns to show when this component is automatically laid out.

columnAlignments. Variable in class symantec.itools.awt.MultiList

The column alignments.

columnClicked. Variable in class symantec.itools.awt.MultiList

If sorting is allowed, the column clicked in.

columnCompareCellsRoutines. Variable in class symantec.itools.awt.MultiList

The cell compare routines to use for each column.

columnNoNulls. Static variable in interface java.sql.DatabaseMetaData

COLUMN NULLABLE - might not allow NULL values.

columnNoNulls. Static variable in interface java.sql.ResultSetMetaData

Does not allow NULL values.

columnNullable. Static variable in interface java.sql.DatabaseMetaData

COLUMN NULLABLE - definitely allows NULL values.

columnNullable. Static variable in interface java.sql.ResultSetMetaData

Allows NULL values.

columnNullableUnknown. Static variable in interface java.sql.DatabaseMetaData

COLUMN NULLABLE - nullability unknown.

columnNullableUnknown. Static variable in interface java.sql.ResultSetMetaData

Nullability unknown.

columnNumberfromName(String). Method in class symantec.itools.db.awt.DbaDataStore

Gets the index of the column with the specified name.

columnSizes. Variable in class symantec.itools.awt.MultiList

If non-null, the the width of each column in pixels.

columnWeights. Variable in class java.awt.GridBagLayout

columnWidths. Variable in class java.awt.GridBagLayout

COMBINING_SPACING_MARK. Static variable in class java.lang.Character

combo. Variable in class symantec.itools.awt.util.Calendar

The ComboBox that displays/controls the month.

ComboBox(). Constructor for class symantec.itools.awt.ComboBox

Constructs a new default ComboBox.

ComboBox(). Constructor for class symantec.itools.db.awt.ComboBox

Constructs a new default ComboBox.

ComboBox(boolean, boolean). Constructor for class symantec.itools.awt.ComboBox

Constructs a new editable and/or searchable ComboBox.

ComboBox(boolean, boolean). Constructor for class symantec.itools.db.awt.ComboBox

Constructs a new editable and/or searchable ComboBox.

ComboBox(RelationView, ConnectionInfo). Constructor for class symantec.itools.db.awt.ComboBox

Constructs a new ComboBox linked to a database.

ComboBoxBeanInfo(). Constructor for class symantec.itools.awt.ComboBoxBeanInfo

Constructs a ComboBoxBeanInfo object.

ComboBoxBeanInfo(). Constructor for class symantec.itools.db.awt.ComboBoxBeanInfo

Constructs a ComboBoxBeanInfo object.

command(Object). Static method in class java.lang.Compiler

Examines the argument type and its fields and perform some documented operation.

commentChar(int). Method in class java.io.StreamTokenizer

Specified that the character argument starts a single-line comment.

commit(). Method in interface java.sql.Connection

Commit makes all changes made since the previous commit/rollback permanent and releases any database locks currently held by the Connection.

commit(). Method in interface symantec.itools.db.awt.Data

Commits the current data as the current value.

commit(). Method in class symantec.itools.db.awt.DefaultData

Commits the current data as the current value.

commit(). Method in class symantec.itools.db.awt.ImageStringData

Commits the current data as the current value.

commit(). Method in class symantec.itools.db.beans.jdbc.JdbcConnection

Commits all changes to the database.

commit(). Method in class symantec.itools.db.beans.binding.Mediator

Updates the DataItem with the values present in the output component.

commit(). Method in class symantec.itools.db.beans.binding.MediatorDS

Updates all the DataItems with the values present in the QueryNavigator.

commit(DataItem, int, int[]). Method in class symantec.itools.db.beans.binding.MediatorDS

Updates the specified DataItem with selected values in the QueryNavigator.

commit(int, int). Method in interface symantec.itools.db.awt.DataSource

Method used to support Defaultdata class.

commit(int, int). Method in class symantec.itools.db.awt.DbDataSource

Method used to support Defaultdata class.

commit(int, int). Method in class symantec.itools.db.awt.DefaultDataSource

Method used to support Defaultdata class.

commitData(). Method in interface symantec.itools.db.awt.DataSource

Commits the current data.

commitData(). Method in class symantec.itools.db.awt.DbDataSource

Commits the current data.

commitData(). Method in class symantec.itools.db.awt.DefaultDataSource

Commits the current data.

commitState(). Method in class symantec.itools.db.beans.binding.QueryNavigator

commitUI(TriggerUIEvent). Method in class symantec.itools.db.beans.binding.Mediator

Updates the DataItem with the values present in the output component.

commitUI(TriggerUIEvent). Method in class symantec.itools.db.beans.binding.MediatorDS

Updates the DataItem with the values present in the output component.

compare(String, String). Method in class java.text.Collator

Compares the source string to the target string according to the collation rules for this Collator.

compare(String, String). Method in class java.text.RuleBasedCollator

Compares the character data stored in two different strings based on the collation rules.

CompareCells(). Constructor for class symantec.itools.awt.CompareCells

Constructs a CompareCells object.

compareObjects(Object, Object). Method in class symantec.itools.awt.CompareCells

Compares the value of two objects.

compareObjects(Object, Object). Method in class symantec.itools.awt.multiList.CompareTextAndImageCells

Compares the value of two objects.

CompareTextAndImageCells(). Constructor for class symantec.itools.awt.multiList.CompareTextAndImageCells

Constructs a CompareTextAndImageCells object.

compareTo(BigDecimal). Method in class java.math.BigDecimal

Returns -1, 0 or 1 as this number is less than, equal to, or greater than val.

compareTo(BigInteger). Method in class java.math.BigInteger

Returns -1, 0 or 1 as this number is less than, equal to, or greater than val.

compareTo(CollationKey). Method in class java.text.CollationKey

Compare this CollationKey to the target CollationKey.

compareTo(String). Method in class java.lang.String

Compares two strings lexicographically.

compileClass(Class). Static method in class java.lang.Compiler

Compiles the specified class.

compileClasses(String). Static method in class java.lang.Compiler

Compiles all classes whose name matches the specified string.

COMPLETE. Static variable in class java.awt.MediaTracker

Flag indicating that the downloading of media was completed successfully.

complete(). Method in class java.util.Calendar

Fills in any unset fields in the time field list.

COMPLETESCANLINES. Static variable in interface java.awt.image.ImageConsumer

The pixels will be delivered in (multiples of) complete scanlines at a time.

Component. Variable in class symantec.itools.db.beans.binding.Mediator

The component to manage.

Component(). Constructor for class java.awt.Component

Constructs a new component.

COMPONENT_ADDED. Static variable in class java.awt.event.ContainerEvent

The component moved event type.

COMPONENT_EVENT_MASK. Static variable in class java.awt.AWTEvent

The event mask for selecting component events.

COMPONENT_FIRST. Static variable in class java.awt.event.ComponentEvent

Marks the first integer id for the range of component event ids.

COMPONENT_HIDDEN. Static variable in class java.awt.event.ComponentEvent

The component hidden event type.

COMPONENT_LAST. Static variable in class java.awt.event.ComponentEvent

Marks the last integer id for the range of component event ids.

COMPONENT_MOVED. Static variable in class java.awt.event.ComponentEvent

The component moved event type.

COMPONENT_REMOVED. Static variable in class java.awt.event.ContainerEvent

The component resized event type.

COMPONENT_RESIZED. Static variable in class java.awt.event.ComponentEvent

The component resized event type.

COMPONENT_SHOWN. Static variable in class java.awt.event.ComponentEvent

The component shown event type.

ComponentAdapter(). Constructor for class java.awt.event.ComponentAdapter

componentAdded(Component). Method in class symantec.itools.awt.KeyPressManagerPanel

Sets the tab stop if necessary, hooks up any listeners we need.

componentAdded(ContainerEvent). Method in class java.awt.AWTEventMulticaster

Handles the componentAdded container event by invoking the componentAdded methods on listener-a and listener-b.

componentAdded(ContainerEvent). Method in class symantec.itools.awt.BorderPanel

A method of the ContainerListener interface.

componentAdded(ContainerEvent). Method in class java.awt.event.ContainerAdapter

componentAdded(ContainerEvent). Method in interface java.awt.event.ContainerListener

Invoked when a component has been added to the container.

ComponentEvent(Component, int). Constructor for class java.awt.event.ComponentEvent

Constructs a ComponentEvent object with the specified source component and type.

componentHidden(ComponentEvent). Method in class java.awt.AWTEventMulticaster

Handles the componentHidden event by invoking the componentHidden methods on listener-a and listener-b.

componentHidden(ComponentEvent). Method in class java.awt.event.ComponentAdapter

componentHidden(ComponentEvent). Method in interface java.awt.event.ComponentListener

Invoked when component has been hidden.

componentMoved(ComponentEvent). Method in class java.awt.AWTEventMulticaster

Handles the componentMoved event by invoking the componentMoved methods on listener-a and listener-b.

componentMoved(ComponentEvent). Method in class java.awt.event.ComponentAdapter

componentMoved(ComponentEvent). Method in interface java.awt.event.ComponentListener

Invoked when component has been moved.

componentRemoved(Component). Method in class symantec.itools.awt.KeyPressManagerPanel

Utility routined automatically called before a component is removed from this panel.

componentRemoved(ContainerEvent). Method in class java.awt.AWTEventMulticaster

Handles the componentRemoved container event by invoking the componentRemoved methods on listener-a and listener-b.

componentRemoved(ContainerEvent). Method in class symantec.itools.awt.BorderPanel

A method of the ContainerListener interface.

componentRemoved(ContainerEvent). Method in class java.awt.event.ContainerAdapter

componentRemoved(ContainerEvent). Method in interface java.awt.event.ContainerListener

Invoked when a component has been removed from the container.

componentResized(ComponentEvent). Method in class java.awt.AWTEventMulticaster

Handles the componentResized event by invoking the componentResized methods on listener-a and listener-b.

componentResized(ComponentEvent). Method in class java.awt.event.ComponentAdapter

componentResized(ComponentEvent). Method in interface java.awt.event.ComponentListener

Invoked when component has been resized.

componentShown(ComponentEvent). Method in class java.awt.AWTEventMulticaster

Handles the componentShown event by invoking the componentShown methods on listener-a and listener-b.

componentShown(ComponentEvent). Method in class java.awt.event.ComponentAdapter

componentShown(ComponentEvent). Method in interface java.awt.event.ComponentListener

Invoked when component has been shown.

comptable. Variable in class java.awt.GridBagLayout

computeFields(). Method in class java.util.Calendar

Converts UTC as milliseconds to time field values.

computeFields(). Method in class java.util.GregorianCalendar

Overrides Calendar Converts UTC as milliseconds to time field values.

computeTime(). Method in class java.util.Calendar

Converts Calendar's time field values to UTC as milliseconds.

computeTime(). Method in class java.util.GregorianCalendar

Overrides Calendar Converts time field values to UTC as milliseconds.

compWidth(Graphics). Method in class symantec.itools.awt.TreeView

Calculates the maximum width of the tree.

concat(String). Method in class java.lang.String

Concatenates the specified string to the end of this string.

connect(). Method in class symantec.itools.db.beans.jdbc.JdbcConnection

Connects to the database referenced by the url property.

connect(). Method in class java.net.URLConnection

Opens a communications link to the resource referenced by this URL, if such a connection has not already been established.

connect(InetAddress, int). Method in class java.net.SocketImpl

Connects this socket to the specified port number on the specified host.

connect(PipedInputStream). Method in class java.io.PipedOutputStream

Connects this piped output stream to a receiver.

connect(PipedOutputStream). Method in class java.io.PipedInputStream

Connects this piped input stream to a sender.

connect(PipedReader). Method in class java.io.PipedWriter

Connect the specified piped reader to this writer.

connect(PipedWriter). Method in class java.io.PipedReader

Connect the specified piped writer to this reader.

connect(String). Method in class symantec.itools.db.pro.Session

Establishes a connection with a dbANYWHERE server.

connect(String, int). Method in class java.net.SocketImpl

Connects this socket to the specified port on the named host.

connect(String, Properties). Method in interface java.sql.Driver

Try to make a database connection to the given URL.

connected. Variable in class java.net.URLConnection

If false, this connection object has not created a communications link to the specified URL.

ConnectException(). Constructor for class java.net.ConnectException

Construct a new ConnectException with no detailed message.

ConnectException(String). Constructor for class java.net.ConnectException

Constructs a new ConnectException with the specified detail message as to why the connect error occurred.

ConnectException(String). Constructor for class java.rmi.ConnectException

Create A remote exception with the specified string

ConnectException(String, Exception). Constructor for class java.rmi.ConnectException

Create A remote exception with the specified string, and the exception specified.

connectFailed(ConnectFailedEvent). Method in class symantec.itools.db.beans.jdbc.JdbcConnection

This method will be called whenever an attempt to connect to a database fails.

ConnectIOException(String). Constructor for class java.rmi.ConnectIOException

Create A remote exception with the specified string

ConnectIOException(String, Exception). Constructor for class java.rmi.ConnectIOException

Create A remote exception with the specified string, and the exception specified.

ConnectionDescriptor(). Constructor for class symantec.itools.beans.ConnectionDescriptor

Constructs a default ConnectionDescriptor.

ConnectionDescriptor(String). Constructor for class symantec.itools.beans.ConnectionDescriptor

Constructs a ConnectionDescriptor with the given form.

ConnectionDescriptor(String, String, String, String, String). Constructor for class symantec.itools.beans.ConnectionDescriptor

Constructs a ConnectionDescriptor with the given form, type, init, and expr String values.

ConnectionInfo(String). Constructor for class symantec.itools.db.pro.ConnectionInfo

Constructor for a ConnectionInfo object.

ConnectionInfo(String, boolean). Constructor for class symantec.itools.db.pro.ConnectionInfo

Constructor for a ConnectionInfo object.

ConnectionInfo(String, String, String). Constructor for class symantec.itools.db.pro.ConnectionInfo

Constructor for a ConnectionInfo object.

ConnectionInfo(String, String, String, boolean). Constructor for class symantec.itools.db.pro.ConnectionInfo

Constructor for a ConnectionInfo object.

ConnectionInfoEditor(). Constructor for class symantec.itools.db.awt.ConnectionInfoEditor

Constructs a ConnectionInfoEditor object.

ConnectionManager(). Constructor for class symantec.itools.db.beans.jdbc.ConnectionManager

Default constructor.

ConnectionManagerBeanInfo(). Constructor for class symantec.itools.db.beans.jdbc.ConnectionManagerBeanInfo

Constructs a ConnectionManagerBeanInfo object.

CONNECTIONS. Static variable in class symantec.itools.beans.ConnectionDescriptor

A constant used by SymantecBeanDescriptor when specifying connection information.

CONNECTOR_PUNCTUATION. Static variable in class java.lang.Character

consume(). Method in class java.awt.AWTEvent

consume(). Method in class java.awt.event.InputEvent

Consumes this event so that it will not be processed in the default manner by the source which originated it.

consumed. Variable in class java.awt.AWTEvent

consumeKeyTyped(KeyEvent). Method in class symantec.itools.awt.KeyPressManagerPanel

Internally called utility routine that handles ENTER and ESCAPE key processing.

consumer. Variable in class java.awt.image.ImageFilter

The consumer of the particular image data stream for which this instance of the ImageFilter is filtering data.

Container(). Constructor for class java.awt.Container

Constructs a new Container.

CONTAINER_EVENT_MASK. Static variable in class java.awt.AWTEvent

The event mask for selecting container events.

CONTAINER_FIRST. Static variable in class java.awt.event.ContainerEvent

Marks the first integer id for the range of container event ids.

CONTAINER_LAST. Static variable in class java.awt.event.ContainerEvent

Marks the last integer id for the range of container event ids.

ContainerAdapter(). Constructor for class java.awt.event.ContainerAdapter

ContainerEvent(Component, int, Component). Constructor for class java.awt.event.ContainerEvent

Constructs a ContainerEvent object with the specified source container, type, and child which is being added or removed.

contains(int, int). Method in class java.awt.Component

Checks whether this component "contains" the specified point, where x and y are defined to be relative to the coordinate system of this component.

contains(int, int). Method in class symantec.itools.awt.shape.Ellipse

Checks whether this component "contains" the specified (x, y) location, where x and y are defined to be relative to the coordinate system of this component.

contains(int, int). Method in class symantec.itools.awt.shape.Line

Checks whether this component "contains" the specified (x, y) location, where x and y are defined to be relative to the coordinate system of this component.

contains(int, int). Method in class java.awt.Polygon

Determines whether the specified point is contained by this polygon.

contains(int, int). Method in class symantec.itools.awt.shape.Rect

Checks whether this component "contains" the specified (x, y) location, where x and y are defined to be relative to the coordinate system of this component.

contains(int, int). Method in class java.awt.Rectangle

Checks whether this rectangle contains the point at the specified location (x, y).

contains(Object). Method in class java.util.Hashtable

Tests if some key maps into the specified value in this hashtable.

contains(Object). Method in class java.util.Vector

Tests if the specified object is a component in this vector.

contains(Point). Method in class java.awt.Component

Checks whether this component "contains" the specified point, where the point's x and y coordinates are defined to be relative to the coordinate system of this component.

contains(Point). Method in class java.awt.Polygon

Determines whether the specified point is inside the Polygon.

contains(Point). Method in class java.awt.Rectangle

Checks whether this rectangle contains the specified point.

containsKey(Object). Method in class java.util.Hashtable

Tests if the specified object is a key in this hashtable.

ContentHandler(). Constructor for class java.net.ContentHandler

contents. Variable in class java.awt.datatransfer.Clipboard

context. Variable in class symantec.itools.awt.ButtonBase

Applet context that shows the document.

context. Variable in class symantec.itools.awt.InvisibleHTMLLink

Applet context that shows the document.

context. Variable in class symantec.itools.awt.RollOverButton

The applet context that shows the document.

context. Variable in class symantec.itools.multimedia.ScrollingText

If used in an applet, this is the applet's context.

context. Variable in class symantec.itools.awt.util.StatusScroller

The applet context that shows the status text.

Context(). Constructor for class symantec.itools.lang.Context

Don’t use, this is an all-static class.

CONTROL. Static variable in class java.lang.Character

CONTROL. Static variable in class java.awt.SystemColor

The array index for the control background color.

control. Static variable in class java.awt.SystemColor

The background color for control objects.

control(). Method in class symantec.itools.db.awt.CellHints

Gets the component in this cell.

CONTROL_BIT. Static variable in class symantec.itools.db.awt.CellHints

Bit position constant for valid "component" value flag.

CONTROL_DK_SHADOW. Static variable in class java.awt.SystemColor

The array index for the control dark shadow color.

CONTROL_HIGHLIGHT. Static variable in class java.awt.SystemColor

The array index for the control highlight color.

CONTROL_LT_HIGHLIGHT. Static variable in class java.awt.SystemColor

The array index for the control light highlight color.

CONTROL_SHADOW. Static variable in class java.awt.SystemColor

The array index for the control shadow color.

CONTROL_TEXT. Static variable in class java.awt.SystemColor

The array index for the control text color.

controlDkShadow. Static variable in class java.awt.SystemColor

The dark shadow color for control objects.

controlDown(). Method in class java.awt.Event

Checks if the Control key is down.

controlHighlight. Static variable in class java.awt.SystemColor

The regular highlight color for control objects.

controlLtHighlight. Static variable in class java.awt.SystemColor

The light highlight color for control objects.

controlShadow. Static variable in class java.awt.SystemColor

The regular shadow color for control objects.

controlText. Static variable in class java.awt.SystemColor

The text color for control objects.

convertInputStreamToOutputStream(InputStream). Method in class symantec.itools.db.awt.ImageViewer

Converts the given input stream to an output stream.

Coordinate(). Constructor for class symantec.itools.db.awt.Coordinate

Default constructor that creates a coordinate at row=0 and column=0.

Coordinate(Coordinate). Constructor for class symantec.itools.db.awt.Coordinate

Copy constructor.

Coordinate(int, int). Constructor for class symantec.itools.db.awt.Coordinate

Creates a coordinate that is placed at the specified row and column position.

copyArea(int, int, int, int, int, int). Method in class java.awt.Graphics

Copies an area of the component by a distance specified by dx and dy.

copyInto(Object[]). Method in class java.util.Vector

Copies the components of this vector into the specified array.

copyValueOf(char[]). Static method in class java.lang.String

Returns a String that is equivalent to the specified character array.

copyValueOf(char[], int, int). Static method in class java.lang.String

Returns a String that is equivalent to the specified character array.

CORNER_CELL. Static variable in interface symantec.itools.db.awt.TableCell

Cell type for the corner cell.

cos(double). Static method in class java.lang.Math

Returns the trigonometric cosine of an angle.

count. Variable in class java.io.BufferedInputStream

The index one greater than the index of the last valid byte in the buffer.

count. Variable in class java.io.BufferedOutputStream

The number of valid bytes in the buffer.

count. Variable in class java.io.ByteArrayInputStream

The index one greater than the last valid character in the input stream buffer.

count. Variable in class java.io.ByteArrayOutputStream

The number of valid bytes in the buffer.

count. Variable in class java.io.CharArrayReader

Number of valid characters in buffer

count. Variable in class java.io.CharArrayWriter

The number of chars in the buffer.

count. Variable in class java.io.StringBufferInputStream

The number of valid characters in the input stream buffer.

count. Variable in class symantec.itools.awt.TreeView

Number of nodes in the tree.

countComponents(). Method in class symantec.itools.awt.BorderPanel

Returns the number of components in this container.

countComponents(). Method in class java.awt.Container

countItems(). Method in class java.awt.Choice

countItems(). Method in class symantec.itools.awt.ComboBox

Returns the total number of items in the drop-down list.

countItems(). Method in class symantec.itools.awt.ImageListBox

Returns the total number of items in the list.

countItems(). Method in class java.awt.List

countItems(). Method in class java.awt.Menu

countMenus(). Method in class java.awt.MenuBar

countNonEscapeChars(int, int). Method in class symantec.itools.awt.FormattedTextField

Counts the possible number of non-escape characters before the given index.

countObservers(). Method in class java.util.Observable

Returns the number of observers of this object.

countSelected. Variable in class symantec.itools.awt.ImageListBox

The number of list items currently selected.

countStackFrames(). Method in class java.lang.Thread

Counts the number of stack frames in this thread.

countTabs(). Method in class symantec.itools.awt.TabPanel

Gets the number of tab panels in the TabPanel.

countTokens(). Method in class java.util.StringTokenizer

Calculates the number of times that this tokenizer's nextToken method can be called before it generates an exception.

crc. Variable in class java.util.zip.GZIPInputStream

CRC-32 for uncompressed data.

crc. Variable in class java.util.zip.GZIPOutputStream

CRC-32 of uncompressed data.

CRC32(). Constructor for class java.util.zip.CRC32

create(). Method in class java.net.DatagramSocketImpl

Creates a datagram socket

create(). Method in class java.awt.Graphics

Creates a new Graphics object that is a copy of this Graphics object.

create(boolean). Method in class java.net.SocketImpl

Creates either a stream or a datagram socket.

create(int, int, int, int). Method in class java.awt.Graphics

Creates a new Graphics object based on this Graphics object, but with a new translation and clip area.

createArrayFromDataItem(DataItem). Method in class symantec.itools.db.beans.binding.Mediator

Returns all of the current values of of the given DataItem as an array.

createButton(Button). Method in class java.awt.Toolkit

Creates this toolkit's implementation of Button using the specified peer interface.

createCanvas(Canvas). Method in class java.awt.Toolkit

Creates this toolkit's implementation of Canvas using the specified peer interface.

createCheckbox(Checkbox). Method in class java.awt.Toolkit

Creates this toolkit's implementation of Checkbox using the specified peer interface.

createCheckboxMenuItem(CheckboxMenuItem). Method in class java.awt.Toolkit

Creates this toolkit's implementation of CheckboxMenuItem using the specified peer interface.

createChoice(Choice). Method in class java.awt.Toolkit

Creates this toolkit's implementation of Choice using the specified peer interface.

createColumns(int). Method in class symantec.itools.awt.MultiList

Initializes the MultiList with the specified total numer of columns.

createComponent(Component). Method in class java.awt.Toolkit

Creates a peer for a component or container.

createContentHandler(String). Method in interface java.net.ContentHandlerFactory

Creates a new ContentHandler to read an object from a URLStreamHandler.

createDataItemFromArray(DataItem, Object[][]). Method in class symantec.itools.db.beans.binding.Mediator

Creates or initializes a DataItem using the given array of values.

createDialog(Dialog). Method in class java.awt.Toolkit

Creates this toolkit's implementation of Dialog using the specified peer interface.

createFileDialog(FileDialog). Method in class java.awt.Toolkit

Creates this toolkit's implementation of FileDialog using the specified peer interface.

createFrame(Frame). Method in class java.awt.Toolkit

Creates this toolkit's implementation of Frame using the specified peer interface.

createImage(byte[]). Method in class java.awt.Toolkit

Creates an image which decodes the image stored in the specified byte array.

createImage(byte[], int, int). Method in class java.awt.Toolkit

Creates an image which decodes the image stored in the specified byte array, and at the specified offset and length.

createImage(ImageProducer). Method in class java.awt.Component

Creates an image from the specified image producer.

createImage(ImageProducer). Method in interface java.awt.peer.ComponentPeer

createImage(ImageProducer). Method in class java.awt.Toolkit

Creates an image with the specified image producer.

createImage(int, int). Method in class java.awt.Component

Creates an off-screen drawable image to be used for double buffering.

createImage(int, int). Method in interface java.awt.peer.ComponentPeer

createLabel(Label). Method in class java.awt.Toolkit

Creates this toolkit's implementation of Label using the specified peer interface.

createList(List). Method in class java.awt.Toolkit

Creates this toolkit's implementation of List using the specified peer interface.

createMenu(Menu). Method in class java.awt.Toolkit

Creates this toolkit's implementation of Menu using the specified peer interface.

createMenuBar(MenuBar). Method in class java.awt.Toolkit

Creates this toolkit's implementation of MenuBar using the specified peer interface.

createMenuItem(MenuItem). Method in class java.awt.Toolkit

Creates this toolkit's implementation of MenuItem using the specified peer interface.

createOffScreenBuffers(). Method in class symantec.itools.awt.InfoTipPanel

This method re-creates the off screen images necessary for the text animation.

createPanel(Panel). Method in class java.awt.Toolkit

Creates this toolkit's implementation of Panel using the specified peer interface.

createPopupMenu(PopupMenu). Method in class java.awt.Toolkit

Creates this toolkit's implementation of PopupMenu using the specified peer interface.

createQueryByExampleRow(). Method in class symantec.itools.db.beans.binding.QueryNavigator

Constructs a query-by-example by reseting the private members of the object.

createRegistry(int). Static method in class java.rmi.registry.LocateRegistry

Create and export a registry on the local host.

createScrollbar(Scrollbar). Method in class java.awt.Toolkit

Creates this toolkit's implementation of Scrollbar using the specified peer interface.

createScrollPane(ScrollPane). Method in class java.awt.Toolkit

Creates this toolkit's implementation of ScrollPane using the specified peer interface.

createServerSocket(int). Method in class java.rmi.server.RMISocketFactory

Create a server socket on the specified port (port 0 represents an anonymous port).

createSocket(String, int). Method in class java.rmi.server.RMISocketFactory

Create a client socket connected to the specified host and port.

createSocketImpl(). Method in interface java.net.SocketImplFactory

Creates a new SocketImpl instance.

createStatement(). Method in interface java.sql.Connection

SQL statements without parameters are normally executed using Statement objects.

createStatement(). Method in class symantec.itools.db.beans.jdbc.JdbcConnection

This method creates a SQL statement

createStatement(). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Helper method.

createTextArea(TextArea). Method in class java.awt.Toolkit

Creates this toolkit's implementation of TextArea using the specified peer interface.

createTextField(TextField). Method in class java.awt.Toolkit

Creates this toolkit's implementation of TextField using the specified peer interface.

createTextParams(). Method in class symantec.itools.multimedia.ScrollingText

Setup metrics information for current message.

createURLStreamHandler(String). Method in interface java.net.URLStreamHandlerFactory

Creates a new URLStreamHandler instance with the specified protocol.

createView(ConnectionInfo, String). Method in class symantec.itools.db.pro.Session

Creates a root RelationView for a new MultiView transaction.

createView(ConnectionInfo, String, Properties). Method in class symantec.itools.db.pro.Session

Create a root RelationView for a new MultiView transaction.

createView(ConnectionInfo, String, Vector). Method in class symantec.itools.db.pro.Session

Creates a root RelationView for a new MultiView transaction.

createView(ConnectionInfo, String, Vector, Properties). Method in class symantec.itools.db.pro.Session

Creates a root RelationView for a new MultiView transaction.

createView(String). Method in class symantec.itools.db.pro.Session

Creates a root RelationView for a new MultiView transaction.

createView(String, Vector). Method in class symantec.itools.db.pro.Session

Creates a root RelationView for a new MultiView transaction.

createWindow(Window). Method in class java.awt.Toolkit

Creates this toolkit's implementation of Window using the specified peer interface.

CropImageFilter(int, int, int, int). Constructor for class java.awt.image.CropImageFilter

Constructs a CropImageFilter that extracts the absolute rectangular region of pixels from its source Image as specified by the x, y, w, and h parameters.

CROSSHAIR_CURSOR. Static variable in class java.awt.Cursor

The crosshair cursor type.

CROSSHAIR_CURSOR. Static variable in class java.awt.Frame

CTRL_MASK. Static variable in class java.awt.event.ActionEvent

The control modifier constant.

CTRL_MASK. Static variable in class java.awt.Event

This flag indicates that the Control key was down when the event occurred.

CTRL_MASK. Static variable in class java.awt.event.InputEvent

The control key modifier constant.

ctrlSelect(int). Method in class symantec.itools.awt.ImageListBox

Selects an index in a ImageListBox using the Ctrl modifier to mimic mouse selecting with the Ctrl modifier.

curDim. Variable in class symantec.itools.awt.SplitterPanel

Current component dimensions.

curIndex. Variable in class symantec.itools.awt.BaseTabbedPanel

Zero-relative index of currently shown tab.

curLoc. Variable in class symantec.itools.awt.SplitterPanel

The current location of this component.

curPos. Variable in class symantec.itools.awt.Slider

The current position of the slider thumb.

currCol(). Method in class symantec.itools.awt.MatrixEnumeration

Returns the column number of the current element.

CURRENCY_SYMBOL. Static variable in class java.lang.Character

current. Variable in class symantec.itools.awt.util.spinner.Spinner

The current spinner value.

current(). Method in class java.text.BreakIterator

Return character index of the text boundary that was most recently returned by next(), previous(), first(), or last()

current(). Method in interface java.text.CharacterIterator

Get the character at the current position (as returned by getIndex()).

current(). Method in class java.text.StringCharacterIterator

Get the character at the current position (as returned by getIndex()).

currentClassLoader(). Method in class java.lang.SecurityManager

Returns an object describing the most recent class loader executing on the stack.

currentCursorNumber. Variable in class symantec.itools.db.beans.binding.Mediator

Used to select row or column update (x or y).

currentImage. Variable in class symantec.itools.multimedia.Animator

Image currently being shown.

currentLoadedClass(). Method in class java.lang.SecurityManager

Returns the current Class with a ClassLoader on the execution stack.

currentTabIndex(). Method in class symantec.itools.awt.BaseTabbedPanel

currentThread(). Static method in class java.lang.Thread

Returns a reference to the currently executing thread object.

currentTimeMillis(). Static method in class java.lang.System

Returns the current time in milliseconds.

currentVeto. Variable in class symantec.itools.awt.util.spinner.Spinner

A PropertyChangeEvent listener that constrains the "current" property as needed.

currIndex. Variable in class symantec.itools.multimedia.ScrollingText

Index of current message text and URL

currLinkTo. Variable in class symantec.itools.multimedia.ScrollingText

Current URL link.

currMessage. Variable in class symantec.itools.multimedia.ScrollingText

Current message text.

currRow(). Method in class symantec.itools.awt.MatrixEnumeration

Returns the row number of the current element.

Cursor(int). Constructor for class java.awt.Cursor

Creates a new cursor object with the specified type.

cursorCh. Static variable in class symantec.itools.awt.SplitterPanel

Internal use only.

cursorChanged. Variable in class symantec.itools.awt.SplitterPanel

Internal use only.

cyan. Static variable in class java.awt.Color

The color cyan.


Index of all Fields and Methods

_ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

D

darken(Color, double). Static method in class symantec.itools.awt.util.ColorUtils

Darkens a given color by the specified percentage.

darken(int, int, int, double). Static method in class symantec.itools.awt.util.ColorUtils

Darkens a given color by the specified percentage.

DarkenFilter(). Constructor for class symantec.itools.awt.image.DarkenFilter

Constructs a default DarkenFilter.

DarkenFilter(double). Constructor for class symantec.itools.awt.image.DarkenFilter

Constructs a DarkenFilter.

darker(). Method in class java.awt.Color

Creates a darker version of this color.

darkGray. Static variable in class java.awt.Color

The color dark gray.

DASH_PUNCTUATION. Static variable in class java.lang.Character

dataBinding. Variable in class symantec.itools.db.beans.binding.Mediator

Name of the input DataItem.

dataBinding. Variable in class symantec.itools.db.beans.binding.MediatorDS

Contains all the DataItem requested by the components.

dataDefinitionCausesTransactionCommit(). Method in interface java.sql.DatabaseMetaData

Does a data definition statement within a transaction force the transaction to commit?

dataDefinitionCausesTransactionCommit(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if a data definition statement forces the transaction to commit.

dataDefinitionIgnoredInTransactions(). Method in interface java.sql.DatabaseMetaData

Is a data definition statement within a transaction ignored?

dataDefinitionIgnoredInTransactions(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if data definition statements within a transaction are ignored.

DataFlavor(Class, String). Constructor for class java.awt.datatransfer.DataFlavor

Construct a DataFlavor that represents a Java class

The returned DataFlavor will have the following characteristics

representationClass = representationClass

mimeType = application/x-java-serialized-object

DataFlavor(String, String). Constructor for class java.awt.datatransfer.DataFlavor

Construct a DataFlavor that represents a MimeType

The returned DataFlavor will have the following characteristics:

If the mimeType is "application/x-java-serialized-object; class=<representation class>", the result is the same as calling new DataFlavor(Class:forName(<representation class>) as above

otherwise:

representationClass = InputStream

mimeType = mimeType

DataFormatException(). Constructor for class java.util.zip.DataFormatException

Constructs a DataFormatException with no detail message.

DataFormatException(String). Constructor for class java.util.zip.DataFormatException

Constructs a DataFormatException with the specified detail message.

DatagramPacket(byte[], int). Constructor for class java.net.DatagramPacket

Constructs a DatagramPacket for receiving packets of length ilength.

DatagramPacket(byte[], int, InetAddress, int). Constructor for class java.net.DatagramPacket

Constructs a datagram packet for sending packets of length ilength to the specified port number on the specified host.

DatagramSocket(). Constructor for class java.net.DatagramSocket

Constructs a datagram socket and binds it to any available port on the local host machine.

DatagramSocket(int). Constructor for class java.net.DatagramSocket

Constructs a datagram socket and binds it to the specified port on the local host machine.

DatagramSocket(int, InetAddress). Constructor for class java.net.DatagramSocket

Creates a datagram socket, bound to the specified local address.

DatagramSocketImpl(). Constructor for class java.net.DatagramSocketImpl

DataInputStream(InputStream). Constructor for class java.io.DataInputStream

Creates a new data input stream to read data from the specified input stream.

DataNotAvailable(). Constructor for class symantec.itools.db.awt.DataNotAvailable

Constructs a default DataNotAvailable exception.

DataNotAvailable(String). Constructor for class symantec.itools.db.awt.DataNotAvailable

Constructs a DataNotAvailable exception with a message.

DataOutputStream(OutputStream). Constructor for class java.io.DataOutputStream

Creates a new data output stream to write data to the specified underlying output stream.

DataTruncation(int, boolean, boolean, int, int). Constructor for class java.sql.DataTruncation

Create a DataTruncation object.

DATE. Static variable in class java.util.Calendar

Useful constant for date and time.

Date. Static variable in class symantec.itools.db.awt.DBTstamp

A constant indicating that the value should be displayed/entered as a date.

DATE. Static variable in class java.sql.Types

Date(). Constructor for class java.util.Date

Allocates a Date object and initializes it so that it represents the time at which it was allocated measured to the nearest millisecond.

Date(int, int, int). Constructor for class java.sql.Date

Construct a Date

Date(int, int, int). Constructor for class java.util.Date

Allocates a Date object and initializes it so that it represents midnight, local time, at the beginning of the day specified by the year, month, and date arguments.

Date(int, int, int, int, int). Constructor for class java.util.Date

Allocates a Date object and initializes it so that it represents the specified hour and minute, local time, of the date specified by the year, month, date, hrs, and min arguments.

Date(int, int, int, int, int, int). Constructor for class java.util.Date

Allocates a Date object and initializes it so that it represents the specified hour, minute, and second, local time of the date specified by the year, month, date, hrs, min, and sec arguments.

Date(long). Constructor for class java.sql.Date

Construct a Date using a milliseconds time value

Date(long). Constructor for class java.util.Date

Allocates a Date object and initializes it to represent the specified number of milliseconds since January 1, 1970, 00:00:00 GMT.

Date(String). Constructor for class java.util.Date

Allocates a Date object and initializes it so that it represents the date and time indicated by the string s, which is interpreted as if by the parse method.

DATE_FIELD. Static variable in class java.text.DateFormat

Useful constant for DATE field alignment.

DateFormat(). Constructor for class java.text.DateFormat

DateFormatSymbols(). Constructor for class java.text.DateFormatSymbols

Construct a DateFormatSymbols object by loading format data from resources for the default locale.

DateFormatSymbols(Locale). Constructor for class java.text.DateFormatSymbols

Construct a DateFormatSymbols object by loading format data from resources for the given locale.

DateFormatZoneData(). Constructor for class java.text.resources.DateFormatZoneData

DateFormatZoneData_ar(). Constructor for class java.text.resources.DateFormatZoneData_ar

DateFormatZoneData_be(). Constructor for class java.text.resources.DateFormatZoneData_be

DateFormatZoneData_bg(). Constructor for class java.text.resources.DateFormatZoneData_bg

DateFormatZoneData_ca(). Constructor for class java.text.resources.DateFormatZoneData_ca

DateFormatZoneData_cs(). Constructor for class java.text.resources.DateFormatZoneData_cs

DateFormatZoneData_da(). Constructor for class java.text.resources.DateFormatZoneData_da

DateFormatZoneData_de(). Constructor for class java.text.resources.DateFormatZoneData_de

DateFormatZoneData_de_AT(). Constructor for class java.text.resources.DateFormatZoneData_de_AT

DateFormatZoneData_de_CH(). Constructor for class java.text.resources.DateFormatZoneData_de_CH

DateFormatZoneData_el(). Constructor for class java.text.resources.DateFormatZoneData_el

DateFormatZoneData_en(). Constructor for class java.text.resources.DateFormatZoneData_en

DateFormatZoneData_en_CA(). Constructor for class java.text.resources.DateFormatZoneData_en_CA

DateFormatZoneData_en_GB(). Constructor for class java.text.resources.DateFormatZoneData_en_GB

DateFormatZoneData_en_IE(). Constructor for class java.text.resources.DateFormatZoneData_en_IE

DateFormatZoneData_es(). Constructor for class java.text.resources.DateFormatZoneData_es

DateFormatZoneData_et(). Constructor for class java.text.resources.DateFormatZoneData_et

DateFormatZoneData_fi(). Constructor for class java.text.resources.DateFormatZoneData_fi

DateFormatZoneData_fr(). Constructor for class java.text.resources.DateFormatZoneData_fr

DateFormatZoneData_fr_BE(). Constructor for class java.text.resources.DateFormatZoneData_fr_BE

DateFormatZoneData_fr_CA(). Constructor for class java.text.resources.DateFormatZoneData_fr_CA

DateFormatZoneData_fr_CH(). Constructor for class java.text.resources.DateFormatZoneData_fr_CH

DateFormatZoneData_hr(). Constructor for class java.text.resources.DateFormatZoneData_hr

DateFormatZoneData_hu(). Constructor for class java.text.resources.DateFormatZoneData_hu

DateFormatZoneData_is(). Constructor for class java.text.resources.DateFormatZoneData_is

DateFormatZoneData_it(). Constructor for class java.text.resources.DateFormatZoneData_it

DateFormatZoneData_it_CH(). Constructor for class java.text.resources.DateFormatZoneData_it_CH

DateFormatZoneData_iw(). Constructor for class java.text.resources.DateFormatZoneData_iw

DateFormatZoneData_ja(). Constructor for class java.text.resources.DateFormatZoneData_ja

DateFormatZoneData_ko(). Constructor for class java.text.resources.DateFormatZoneData_ko

DateFormatZoneData_lt(). Constructor for class java.text.resources.DateFormatZoneData_lt

DateFormatZoneData_lv(). Constructor for class java.text.resources.DateFormatZoneData_lv

DateFormatZoneData_mk(). Constructor for class java.text.resources.DateFormatZoneData_mk

DateFormatZoneData_nl(). Constructor for class java.text.resources.DateFormatZoneData_nl

DateFormatZoneData_nl_BE(). Constructor for class java.text.resources.DateFormatZoneData_nl_BE

DateFormatZoneData_no(). Constructor for class java.text.resources.DateFormatZoneData_no

DateFormatZoneData_no_NO_NY(). Constructor for class java.text.resources.DateFormatZoneData_no_NO_NY

DateFormatZoneData_pl(). Constructor for class java.text.resources.DateFormatZoneData_pl

DateFormatZoneData_pt(). Constructor for class java.text.resources.DateFormatZoneData_pt

DateFormatZoneData_ro(). Constructor for class java.text.resources.DateFormatZoneData_ro

DateFormatZoneData_ru(). Constructor for class java.text.resources.DateFormatZoneData_ru

DateFormatZoneData_sh(). Constructor for class java.text.resources.DateFormatZoneData_sh

DateFormatZoneData_sk(). Constructor for class java.text.resources.DateFormatZoneData_sk

DateFormatZoneData_sl(). Constructor for class java.text.resources.DateFormatZoneData_sl

DateFormatZoneData_sq(). Constructor for class java.text.resources.DateFormatZoneData_sq

DateFormatZoneData_sr(). Constructor for class java.text.resources.DateFormatZoneData_sr

DateFormatZoneData_sv(). Constructor for class java.text.resources.DateFormatZoneData_sv

DateFormatZoneData_tr(). Constructor for class java.text.resources.DateFormatZoneData_tr

DateFormatZoneData_uk(). Constructor for class java.text.resources.DateFormatZoneData_uk

DateFormatZoneData_zh(). Constructor for class java.text.resources.DateFormatZoneData_zh

DateFormatZoneData_zh_TW(). Constructor for class java.text.resources.DateFormatZoneData_zh_TW

DateMask(). Constructor for class symantec.itools.db.awt.DateMask

Create date text field.

dateSelectedx. Variable in class symantec.itools.awt.util.Calendar

The column index of the currently selected day.

dateSelectedy. Variable in class symantec.itools.awt.util.Calendar

The row index of the currently selected day.

day. Variable in class symantec.itools.db.awt.Tstamp

The day of the month.

DAY_OF_MONTH. Static variable in class java.util.Calendar

Useful constant for date and time.

DAY_OF_WEEK. Static variable in class java.util.Calendar

Useful constant for date and time.

DAY_OF_WEEK_FIELD. Static variable in class java.text.DateFormat

Useful constant for DAY_OF_WEEK field alignment.

DAY_OF_WEEK_IN_MONTH. Static variable in class java.util.Calendar

Useful constant for date and time.

DAY_OF_WEEK_IN_MONTH_FIELD. Static variable in class java.text.DateFormat

Useful constant for DAY_OF_WEEK_IN_MONTH field alignment.

DAY_OF_YEAR. Static variable in class java.util.Calendar

Useful constant for date and time.

DAY_OF_YEAR_FIELD. Static variable in class java.text.DateFormat

Useful constant for DAY_OF_YEAR field alignment.

DaySpinner(). Constructor for class symantec.itools.awt.util.spinner.DaySpinner

Construct DaySpinner component.

DaySpinnerBeanInfo(). Constructor for class symantec.itools.awt.util.spinner.DaySpinnerBeanInfo

Constructs a DaySpinnerBeanInfo object.

DbaDataStore(RelationView, RelationView). Constructor for class symantec.itools.db.awt.DbaDataStore

Constructs a DbaDataStore that uses the given RelationView for data.

DbDataSource(DbDataStore, DbDataUpdater, MetaTable). Constructor for class symantec.itools.db.awt.DbDataSource

Creates a data source for the specified view and database information.

DbDataSource(TableView, DbDataStore, DbDataUpdater, MetaTable). Constructor for class symantec.itools.db.awt.DbDataSource

Creates a data source for the specified view and database information.

dbLeft. Variable in class symantec.itools.awt.BaseTabbedPanel

A left-pointing button shown when there are too many tabs to display.

dbRight. Variable in class symantec.itools.awt.BaseTabbedPanel

A right-pointing button shown when there are too many tabs to display.

DBTstamp(). Constructor for class symantec.itools.db.awt.DBTstamp

Constructs a default DBTstamp.

DBTstampBeanInfo(). Constructor for class symantec.itools.db.awt.DBTstampBeanInfo

Constructs a DBTstampBeanInfo object.

DBus. Variable in class symantec.itools.db.beans.binding.Mediator

The DataBus the Mediator is connected to.

dCurrent. Variable in class symantec.itools.awt.util.Calendar

The date that the calendar is set to.

deactivateCursor(). Method in class symantec.itools.db.awt.BasicCell

Informs the cell not to draw a cursor.

deactivateCursor(). Method in class symantec.itools.db.awt.ButtonCell

Informs the cell not to draw a cursor.

deactivateCursor(). Method in interface symantec.itools.db.awt.TableCell

Informs the cell not to draw a cursor.

Debug(). Constructor for class symantec.itools.lang.Debug

Constructor - this should not be called...

debugVector(). Method in class symantec.itools.awt.TreeView

Internal use only.

decapitalize(String). Static method in class java.beans.Introspector

Utility method to take a string and convert it to normal Java variable name capitalization.

DECEMBER. Static variable in class java.util.Calendar

Useful constant for month.

DECIMAL. Static variable in class java.sql.Types

DECIMAL_DIGIT_NUMBER. Static variable in class java.lang.Character

DecimalFormat(). Constructor for class java.text.DecimalFormat

Create a DecimalFormat using the default pattern and symbols for the default locale.

DecimalFormat(String). Constructor for class java.text.DecimalFormat

Create a DecimalFormat from the given pattern and the symbols for the default locale.

DecimalFormat(String, DecimalFormatSymbols). Constructor for class java.text.DecimalFormat

Create a DecimalFormat from the given pattern and symbols.

DecimalFormatSymbols(). Constructor for class java.text.DecimalFormatSymbols

Create a DecimalFormatSymbols object for the default locale.

DecimalFormatSymbols(Locale). Constructor for class java.text.DecimalFormatSymbols

Create a DecimalFormatSymbols object for the given locale.

DECLARED. Static variable in interface java.lang.reflect.Member

Identifies the set of declared members of a class or interface.

decode(InputStream). Method in interface java.security.Certificate

Decodes a certificate from an input stream.

decode(String). Static method in class java.lang.Byte

Decodes a String into a Byte.

decode(String). Static method in class java.awt.Color

Converts a string to an integer and returns the specified color.

decode(String). Static method in class java.awt.Font

Gets the specified font using the name passed in.

decode(String). Static method in class java.lang.Integer

Decodes a string into an Integer.

decode(String). Static method in class java.lang.Short

Decodes a String into a Short.

def. Variable in class java.util.zip.DeflaterOutputStream

Compressor for this stream.

Default. Static variable in class symantec.itools.db.awt.Checkbox

A constant value indicating how an empty string will be saved in the database.

Default. Static variable in class symantec.itools.db.awt.ComboBox

A constant value indicating how an empty string will be saved in the database.

DEFAULT. Static variable in class java.text.DateFormat

Constant for default style pattern.

Default. Static variable in class symantec.itools.db.awt.DBTstamp

A constant indicating how an empty string will be set when updating data on the dbANYWHERE server.

Default. Static variable in class symantec.itools.db.awt.FormattedTextField

A constant value indicating how an empty string will be saved in the database.

Default. Static variable in class symantec.itools.db.awt.List

A constant value indicating how an empty string will be saved in the database.

Default. Static variable in class symantec.itools.db.beans.binding.Mediator

A constant indicating how an empty string will be set when updating data on the dbANYWHERE server.

Default. Static variable in class symantec.itools.db.awt.NervousText

A constant value indicating how an empty string will be saved in the database.

DEFAULT. Static variable in class symantec.itools.db.awt.ProjectionBeanHelper

A constant value indicating how an empty string will be saved in the database.

Default. Static variable in class symantec.itools.db.awt.RadioBox

A constant value indicating how an empty string will be saved in the database.

Default. Static variable in class symantec.itools.db.awt.StateCheckBox

A constant indicating how an empty string will be set when updating data on the dbANYWHERE server.

Default. Static variable in class symantec.itools.db.awt.TextArea

A constant value indicating how an empty string will be saved in the database.

Default. Static variable in class symantec.itools.db.awt.TextField

A constant value indicating how an empty string will be saved in the database.

DEFAULT_BIT. Static variable in class symantec.itools.db.awt.CellHints

Bit position constant for valid "default table cell" value flag.

DEFAULT_COMPRESSION. Static variable in class java.util.zip.Deflater

Default compression level.

DEFAULT_CURSOR. Static variable in class java.awt.Cursor

The default cursor type (gets set if no cursor is defined).

DEFAULT_CURSOR. Static variable in class java.awt.Frame

DEFAULT_STRATEGY. Static variable in class java.util.zip.Deflater

Default compression strategy.

defaultButton. Variable in class symantec.itools.awt.KeyPressManagerPanel

The button to press when the Enter/Return key is pressed.

defaultCell(). Method in class symantec.itools.db.awt.CellHints

Gets the default table cell for this CellHint.

defaultColumnAlignment. Variable in class symantec.itools.awt.MultiList

The column alignment to use by default.

defaultColumnSorter. Variable in class symantec.itools.awt.MultiList

The default cell comparer.

defaultConstraints. Variable in class java.awt.GridBagLayout

DefaultData(DataSource). Constructor for class symantec.itools.db.awt.DefaultData

Constructs a DefaultData object that uses the specified data source.

DefaultDataSource(TableView). Constructor for class symantec.itools.db.awt.DefaultDataSource

Creates a data source for a TableView that does not use default data for values where no value is set.

DefaultDataSource(TableView, boolean). Constructor for class symantec.itools.db.awt.DefaultDataSource

Create a data source for a TableView that sets the internal flag for whether to use default Data object for when data is not set in a cell.

DefaultDataSource(TableView, boolean, Data). Constructor for class symantec.itools.db.awt.DefaultDataSource

Create a data source for a TableView that sets the internal flag for whether to use default Data object for when data is not set in a cell.

defaultReadObject(). Method in class java.io.ObjectInputStream

Read the non-static and non-transient fields of the current class from this stream.

defaults. Variable in class java.util.Properties

A property list that contains default values for any keys not found in this property list.

DEFAULTSCALE. Static variable in class symantec.itools.db.pro.ProjBinder

A constant indicating a column's default number of digits to the right of the decimal point should be used.

DEFAULTSCALE. Static variable in class symantec.itools.db.pro.Record

A constant indicating a column's default number of digits to the right of the decimal point should be used.

DEFAULTSCALE. Static variable in class symantec.itools.db.pro.RelationView

A constant indicating a column's default number of digits to the right of the decimal point should be used.

DefaultTvEventHandler(). Constructor for class symantec.itools.db.awt.DefaultTvEventHandler

Constructs a default DefaultTvEventHandler object.

defaultWriteObject(). Method in class java.io.ObjectOutputStream

Write the non-static and non-transient fields of the current class to this stream.

defineClass(byte[], int, int). Method in class java.lang.ClassLoader

Converts an array of bytes into an instance of class Class.

defineClass(String, byte[], int, int). Method in class java.lang.ClassLoader

Converts an array of bytes to an instance of class Class.

deflate(). Method in class java.util.zip.DeflaterOutputStream

Writes next block of compressed data to the output stream.

deflate(byte[]). Method in class java.util.zip.Deflater

Fills specified buffer with compressed data.

deflate(byte[], int, int). Method in class java.util.zip.Deflater

Fills specified buffer with compressed data.

DEFLATED. Static variable in class java.util.zip.Deflater

Compression method for the deflate algorithm (the only one currently supported).

DEFLATED. Static variable in class java.util.zip.ZipEntry

Compression method for compressed (deflated) entries.

DEFLATED. Static variable in class java.util.zip.ZipOutputStream

Compression method for compressed (DEFLATED) entries.

Deflater(). Constructor for class java.util.zip.Deflater

Creates a new compressor with the default compression level.

Deflater(int). Constructor for class java.util.zip.Deflater

Creates a new compressor using the specified compression level.

Deflater(int, boolean). Constructor for class java.util.zip.Deflater

Creates a new compressor using the specified compression level.

DeflaterOutputStream(OutputStream). Constructor for class java.util.zip.DeflaterOutputStream

Creates a new output stream with a defaul compressor and buffer size.

DeflaterOutputStream(OutputStream, Deflater). Constructor for class java.util.zip.DeflaterOutputStream

Creates a new output stream with the specified compressor and a default buffer size.

DeflaterOutputStream(OutputStream, Deflater, int). Constructor for class java.util.zip.DeflaterOutputStream

Creates a new output stream with the specified compressor and buffer size.

DEL. Variable in class symantec.itools.awt.FormattedTextField

Character constant, the delete character.

delay. Variable in class symantec.itools.multimedia.Animator

Delay time between images, in milliseconds.

delay. Variable in class symantec.itools.awt.util.spinner.SpinButtonPanel

Reserved.

delay. Variable in class symantec.itools.awt.util.StatusScroller

The time between the display of each character in milliseconds.

delay. Variable in class symantec.itools.util.Timer

The value of the Delay property.

delayTimer. Variable in class symantec.itools.awt.InfoTipPanel

Timer object which is used to time the delay before popping up the text.

DELETE. Static variable in class java.awt.Event

The Delete key.

delete(). Method in class java.io.File

Deletes the file specified by this object.

delete(). Method in class symantec.itools.db.beans.binding.QueryNavigator

Deletes the current row from the Data Source and from the Data Base.

DELETE_SQL. Static variable in class symantec.itools.db.beans.jdbc.RecordDefinition

Internal constant.

deleteChar(int). Method in interface symantec.itools.db.awt.Data

Removes a character from the string data for the field.

deleteChar(int). Method in class symantec.itools.db.awt.DefaultData

Removes a character from the string data for the field.

deleteChar(int). Method in class symantec.itools.db.awt.ImageStringData

Removes a character from the string data for the field.

deleteChar(int, int, int). Method in interface symantec.itools.db.awt.DataSource

Method used to support Defaultdata class.

deleteChar(int, int, int). Method in class symantec.itools.db.awt.DbDataSource

Method used to support Defaultdata class.

deleteChar(int, int, int). Method in class symantec.itools.db.awt.DefaultDataSource

Method used to support Defaultdata class.

DELETED_ROW. Static variable in interface symantec.itools.db.awt.DataSource

A constant indicating the row has been marked for deletion.

deleteObserver(Observer). Method in class java.util.Observable

Deletes an observer from the set of observers of this object.

deleteObservers(). Method in class java.util.Observable

Clears the observer list so that this object no longer has any observers.

deleteOwner(Principal, Principal). Method in interface java.security.acl.Owner

Deletes an owner.

deleteRecord(). Method in class symantec.itools.db.pro.RelationView

Marks for deletion the current Record that this RelationView is referencing.

deleteRow(int). Method in interface symantec.itools.db.awt.DataSource

Deletes or marks a row for deletion from the data source

deleteRow(int). Method in class symantec.itools.db.awt.DbaDataStore

Deletes a row or marks a row for deletion.

deleteRow(int). Method in class symantec.itools.db.awt.DbDataSource

Deletes or marks a row for deletion from the data source

deleteRow(int). Method in interface symantec.itools.db.awt.DbDataUpdater

Called by the data source when a row is marked for deletion.

deleteRow(int). Method in class symantec.itools.db.awt.DefaultDataSource

Deletes or marks a row for deletion from the data source

deleteRow(int, TableView). Method in class symantec.itools.db.awt.DefaultTvEventHandler

Helper function called for each selected row if delete toolbar button is pressed.

deleteShortcut(). Method in class java.awt.MenuItem

Delete any MenuShortcut object associated with this menu item.

deleteShortcut(MenuShortcut). Method in class java.awt.MenuBar

Deletes the specified menu shortcut.

delItem(int). Method in class symantec.itools.awt.ComboBox

Deletes an item from the drop-down list.

delItem(int). Method in class symantec.itools.awt.ImageListBox

Delete an item from the list.

delItem(int). Method in class java.awt.List

Removes the item at the specified position from this list.

delItem(int). Method in interface java.awt.peer.MenuPeer

delItems(int, int). Method in class symantec.itools.awt.ComboBox

Deletes multiple items from the drop-down list.

delItems(int, int). Method in class symantec.itools.awt.ImageListBox

Delete multiple items from the list.

delItems(int, int). Method in class java.awt.List

delItems(int, int). Method in interface java.awt.peer.ListPeer

deliverEvent(Event). Method in class java.awt.Component

deliverEvent(Event). Method in class java.awt.Container

delMenu(int). Method in interface java.awt.peer.MenuBarPeer

delSelectedItem(). Method in class symantec.itools.awt.ComboBox

Deletes the currently selected item from the list.

delSelectedItems(). Method in class symantec.itools.awt.ImageListBox

Deletes the currently selected items from the list.

deregisterDriver(Driver). Static method in class java.sql.DriverManager

Drop a Driver from the DriverManager's list.

description. Variable in class java.sql.DriverPropertyInfo

A brief description of the property.

descriptions. Variable in class symantec.itools.multimedia.SlideShow

The displayed image descriptions.

deselect(int). Method in class symantec.itools.awt.ComboBox

Deselects the drop-down list item at the specified zero-relative index.

deselect(int). Method in class symantec.itools.awt.ImageListBox

deselect(int). Method in class java.awt.List

Deselects the item at the specified index.

deselect(int). Method in interface java.awt.peer.ListPeer

deselectAll(). Method in class symantec.itools.awt.ImageListBox

Deselects all items in the list.

deselectAll(). Method in class symantec.itools.awt.MultiList

Deselects all rows in a MultiList.

DESELECTED. Static variable in class java.awt.event.ItemEvent

The item de-selected state change type.

deselectRow(int). Method in class symantec.itools.awt.MultiList

Deselects the row, if it is not already selected.

designTimeText. Variable in class symantec.itools.awt.FormattedTextField

The string passed to setText at design time.

DESKTOP. Static variable in class java.awt.SystemColor

The array index for the desktop background color.

desktop. Static variable in class java.awt.SystemColor

The color of the desktop background.

destHeight. Variable in class java.awt.image.ReplicateScaleFilter

destroy(). Method in class java.applet.Applet

Called by the browser or applet viewer to inform this applet that it is being reclaimed and that it should destroy any resources that it has allocated.

destroy(). Method in class java.lang.Process

Kills the subprocess.

destroy(). Method in class java.lang.Thread

Destroys this thread, without any cleanup.

destroy(). Method in class java.lang.ThreadGroup

Destroys this thread group and all of its subgroups.

destWidth. Variable in class java.awt.image.ReplicateScaleFilter

detail. Variable in class java.rmi.RemoteException

detail. Variable in class java.rmi.server.ServerCloneException

detail. Variable in class java.io.WriteAbortedException

DETAIL_LINK_POSITION. Static variable in class symantec.itools.db.beans.jdbc.QueryNavigator

DGC_ID. Static variable in class java.rmi.server.ObjID

well-known id for the distributed garbage collector

Dialog(Frame). Constructor for class java.awt.Dialog

Constructs an initially invisible Dialog with an empty title.

Dialog(Frame, boolean). Constructor for class java.awt.Dialog

Constructs an initially invisible Dialog with an empty title.

Dialog(Frame, String). Constructor for class java.awt.Dialog

Constructs an initially invisible Dialog with a title.

Dialog(Frame, String, boolean). Constructor for class java.awt.Dialog

Constructs an initially invisible Dialog with a title.

DialogBox(Frame). Constructor for class symantec.itools.awt.util.dialog.DialogBox

Constructs a DialogBox with the given parent.

DialogBox(Frame, boolean). Constructor for class symantec.itools.awt.util.dialog.DialogBox

Constructs a DialogBox with the given parent and modality.

DialogBox(Frame, String, boolean). Constructor for class symantec.itools.awt.util.dialog.DialogBox

Constructs a DialogBox with the given parent, title, and modality.

Dictionary(). Constructor for class java.util.Dictionary

digest. Variable in class java.security.DigestInputStream

The message digest associated with this stream.

digest. Variable in class java.security.DigestOutputStream

The message digest associated with this stream.

digest(). Method in class java.security.MessageDigest

Completes the hash computation by performing final operations such as padding.

digest(byte[]). Method in class java.security.MessageDigest

Performs a final update on the digest using the specified array of bytes, then completes the digest computation.

DigestException(). Constructor for class java.security.DigestException

Constructs a DigestException with no detail message.

DigestException(String). Constructor for class java.security.DigestException

Constructs a DigestException with the specified detail message.

DigestInputStream(InputStream, MessageDigest). Constructor for class java.security.DigestInputStream

Creates a digest input stream, using the specified input stream and message digest.

DigestOutputStream(OutputStream, MessageDigest). Constructor for class java.security.DigestOutputStream

Creates a digest output stream, using the specified output stream and message digest.

DIGIT. Variable in class symantec.itools.awt.FormattedTextField

Character mask constant, input must be a digit character.

digit(char, int). Static method in class java.lang.Character

Returns the numeric value of the character ch in the specified radix.

DIGIT_OR_SIGN. Variable in class symantec.itools.awt.FormattedTextField

Character mask constant, input must be a digit or sign (+ or -) character.

Dimension(). Constructor for class java.awt.Dimension

Creates an instance of Dimension with a width of zero and a height of zero.

Dimension(Dimension). Constructor for class java.awt.Dimension

Creates an instance of Dimension whose width and height are the same as for the specified dimension.

Dimension(int, int). Constructor for class java.awt.Dimension

Constructs a Dimension and initializes it to the specified width and specified height.

DirectColorModel(int, int, int, int). Constructor for class java.awt.image.DirectColorModel

Constructs a DirectColorModel from the given masks specifying which bits in the pixel contain the red, green and blue color components.

DirectColorModel(int, int, int, int, int). Constructor for class java.awt.image.DirectColorModel

Constructs a DirectColorModel from the given masks specifying which bits in the pixel contain the alhpa, red, green and blue color components.

direction. Variable in class symantec.itools.awt.DirectionButton

The direction the arrow points.

DirectionButton(). Constructor for class symantec.itools.awt.DirectionButton

Constructs a default DirectionButton, which will point left.

DirectionButton(int). Constructor for class symantec.itools.awt.DirectionButton

Constructs a DirectionButton pointing the specified direction.

DirectionButtonBeanInfo(). Constructor for class symantec.itools.awt.DirectionButtonBeanInfo

Constructs a DirectionButtonBeanInfo object.

dirty(ObjID[], long, Lease). Method in interface java.rmi.dgc.DGC

The dirty call requests leases for the remote object references associated with the object identifiers contained in the array 'ids'.

disable(). Method in class symantec.itools.awt.ButtonBase

disable(). Static method in class java.lang.Compiler

Cause the Compiler to cease operation.

disable(). Method in class java.awt.Component

disable(). Method in interface java.awt.peer.ComponentPeer

DEPRECATED: Replaced by setEnabled(boolean).

disable(). Method in class java.awt.MenuItem

disable(). Method in interface java.awt.peer.MenuItemPeer

DEPRECATED: Replaced by setEnabled(boolean).

disable(). Method in class symantec.itools.awt.util.spinner.SpinButtonPanel

disable(int). Method in class symantec.itools.awt.ComboBox

disable(int). Method in class symantec.itools.awt.ImageListBox

disabledArrowColor. Variable in class symantec.itools.awt.DirectionButton

The color of the arrow when the button is disabled.

disabledColor. Variable in class symantec.itools.awt.ImageListBox

The default color for disabled text items.

disabledImage. Variable in class symantec.itools.awt.ImageButton

The image displayed when the button is disabled

disableDownButton(). Method in class symantec.itools.awt.util.spinner.SpinButtonPanel

disabledTextColor. Variable in class symantec.itools.awt.BaseTabbedPanel

Color used in drawing of the disabled text.

disabledTextColor. Variable in class symantec.itools.awt.LabelButton

The color used for text when this component is disabled.

disableEvents(long). Method in class java.awt.Component

Disables the events defined by the specified event mask parameter from being delivered to this component.

disableEvents(long). Method in class java.awt.MenuItem

Disables event delivery to this menu item for events defined by the specified event mask parameter.

disableUpButton(). Method in class symantec.itools.awt.util.spinner.SpinButtonPanel

disconnect(). Method in class java.net.HttpURLConnection

Close the connection to the server.

dispatch(). Method in interface java.awt.peer.ActiveEvent

Dispatch the event to it's target, listeners of the events source, or do whatever it is this event is supposed to do.

dispatch(Remote, RemoteCall, int, long). Method in interface java.rmi.server.Skeleton

Unmarshals arguments, calls the actual remote object implementation, and marshals the return value or any exception.

dispatchEvent(AWTEvent). Method in class java.awt.Component

Dispatches an event to this component or one of its sub components.

dispatchEvent(AWTEvent). Method in class java.awt.MenuComponent

display(). Method in class symantec.itools.multimedia.SlideShow

displayThread. Variable in class symantec.itools.multimedia.Animator

Thread which runs the animation.

dispose(). Method in interface java.awt.peer.ComponentPeer

dispose(). Method in class java.awt.Frame

Disposes of the Frame.

dispose(). Method in class java.awt.Graphics

Disposes of this graphics context and releases any system resources that it is using.

dispose(). Method in interface java.awt.peer.MenuComponentPeer

dispose(). Method in class java.awt.Window

Disposes of this window.

divide(BigDecimal, int). Method in class java.math.BigDecimal

Returns a BigDecimal whose value is (this / val), and whose scale is this.scale().

divide(BigDecimal, int, int). Method in class java.math.BigDecimal

Returns a BigDecimal whose value is (this / val), and whose scale is as specified.

divide(BigInteger). Method in class java.math.BigInteger

Returns a BigInteger whose value is (this / val).

divideAndRemainder(BigInteger). Method in class java.math.BigInteger

Returns an array of two BigIntegers.

dLast. Variable in class symantec.itools.awt.util.Calendar

The current date when the Calendar was last painted.

do_reshape(int, int). Method in class symantec.itools.awt.HorizontalSlider

This abstract function is called by reshape.

do_reshape(int, int). Method in class symantec.itools.awt.Slider

This abstract function is called by reshape.

do_reshape(int, int). Method in class symantec.itools.awt.VerticalSlider

This abstract function is called by reshape.

doAutoNumbering(boolean). Method in class symantec.itools.db.awt.DefaultDataSource

Specifies whether data should be based on the row number if requested data is not present in the source.

doAutoNumbering(boolean, int). Method in class symantec.itools.db.awt.DefaultDataSource

Specifies whether data should be based on the row number if requested data is not present in the source.

doAutoStart(). Method in class symantec.itools.db.beans.jdbc.JdbcConnection

This method will be called during the de-serialization process if the autoStart property is true.

doCancel(). Method in class symantec.itools.awt.SimpleWizardController

Called when the CANCEL action has been validated.

doCancel(). Method in class symantec.itools.awt.Wizard

Performs the actions needed when the Cancel button is pressed.

doCancel(). Method in interface symantec.itools.awt.WizardController

Called when the CANCEL action has been validated.

doCancel(). Method in interface symantec.itools.awt.WizardInterface

Performs the actions needed when the Cancel button is pressed.

doesMaxRowSizeIncludeBlobs(). Method in interface java.sql.DatabaseMetaData

Did getMaxRowSize() include LONGVARCHAR and LONGVARBINARY blobs?

doesMaxRowSizeIncludeBlobs(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if the getMaxRowSize() value includes LONGVARCHAR and LONGVARBINARY blobs.

doesProjExist(String). Method in class symantec.itools.db.pro.RelationView

Detects whether or not a projection by a particular name exists within this RelationView's projection list.

doFinish(). Method in class symantec.itools.awt.SimpleWizardController

Called when the FINISH action has been validated.

doFinish(). Method in class symantec.itools.awt.Wizard

Performs the actions needed when the Finish button is pressed.

doFinish(). Method in interface symantec.itools.awt.WizardController

Called when the FINISH action has been validated.

doFinish(). Method in interface symantec.itools.awt.WizardInterface

Performs the actions needed when the Finish button is pressed.

doHelp(). Method in class symantec.itools.awt.SimpleWizardController

Called when the HELP action has been validated.

doHelp(). Method in class symantec.itools.awt.Wizard

Performs the actions needed when the Help button is pressed.

doHelp(). Method in interface symantec.itools.awt.WizardController

Called when the HELP action has been validated.

doHelp(). Method in interface symantec.itools.awt.WizardInterface

Performs the actions needed when the Help button is pressed.

doInput. Variable in class java.net.URLConnection

This variable is set by the setDoInput method.

doLayout(). Method in class java.awt.Component

Prompts the layout manager to lay out this component.

doLayout(). Method in class java.awt.Container

Causes this container to lay out its components.

doLayout(). Method in class java.awt.ScrollPane

Lays out this container by resizing its child to its preferred size.

doMove(int, boolean). Method in class symantec.itools.awt.Slider

This routine updates the thumb position, paints the Slider, and posts a new action event as needed.

doMoveSplit. Variable in class symantec.itools.awt.SplitterPanel

Internal flag indicating split being moved.

DONE. Static variable in class java.text.BreakIterator

DONE is returned by previous() and next() after all valid boundaries have been returned.

DONE. Static variable in interface java.text.CharacterIterator

Constant that is returned when the iterator has reached either the end or the beginning of the text.

done(). Method in interface java.rmi.server.RemoteCall

Allow cleanup after the remote call has completed.

done(RemoteCall). Method in interface java.rmi.server.RemoteRef

Allows the remote reference to clean up (or reuse) the connection.

DONE_SCROLLING_IN. Static variable in class symantec.itools.awt.InfoTipPanel

Defines the "done scrolling in" scroll state.

DONE_SCROLLING_OUT. Static variable in class symantec.itools.awt.InfoTipPanel

Defines the "done scrolling out" scroll state.

dontDrawText. Variable in class symantec.itools.awt.InfoTipPanel

Internal flag that indicates that the component is NOT to draw the text from within paint().

dontUseGui(). Method in interface java.beans.Visibility

This method instructs the bean that it should not use the Gui.

doOutput. Variable in class java.net.URLConnection

This variable is set by the setDoOutput method.

dopalette(). Method in class symantec.itools.multimedia.Plasma

Setup Plasma Palette.

doPrepare(). Method in class symantec.itools.awt.SimpleWizardController

Called before the first page is shown.

doPrepare(). Method in interface symantec.itools.awt.WizardController

Called before the first page is shown.

DOUBLE. Static variable in class java.sql.Types

Double(double). Constructor for class java.lang.Double

Constructs a newly allocated Double object that represents the primitive double argument.

Double(String). Constructor for class java.lang.Double

Constructs a newly allocated Double object that represents the floating- point value of type double represented by the string.

doubleToLongBits(double). Static method in class java.lang.Double

Returns a representation of the specified floating-point value according to the IEEE 754 floating-point "double format" bit layout.

doubleValue(). Method in class java.math.BigDecimal

Converts the number to a double.

doubleValue(). Method in class java.math.BigInteger

Converts the number to a double.

doubleValue(). Method in class java.lang.Byte

Returns the value of this Byte as a double.

doubleValue(). Method in class java.lang.Double

Returns the double value of this Double.

doubleValue(). Method in class java.lang.Float

Returns the double value of this Float.

doubleValue(). Method in class java.lang.Integer

Returns the value of this Integer as a double.

doubleValue(). Method in class java.lang.Long

Returns the value of this Long as a double.

doubleValue(). Method in class java.lang.Number

Returns the value of the specified number as a double.

doubleValue(). Method in class java.lang.Short

Returns the value of this Short as a double.

DOWN. Static variable in class symantec.itools.awt.DirectionButton

The point DOWN style constant.

DOWN. Static variable in class java.awt.Event

The Down Arrow key, a non-ASCII action key.

downFileName. Variable in class symantec.itools.awt.RollOverButton

The file name of the image to display while the mouse is over the button and pressed.

downImage. Variable in class symantec.itools.awt.RollOverButton

The image displayed while the mouse is pressed down inside the button.

downURL. Variable in class symantec.itools.awt.RollOverButton

The URL of the image to use while the mouse is over the button and pressed.

dragColumn. Variable in class symantec.itools.awt.MultiList

The zero-relative index of the column being resized via the UI.

drain(). Method in class java.io.ObjectOutputStream

Drain any buffered data in ObjectOutputStream.

draw(Graphics). Method in class symantec.itools.awt.BorderPanel

Draws the border panel.

draw(int, int, String, FontMetrics, Color, Color). Static method in class symantec.itools.awt.InfoTipManager

Draws the InfoTip in the InfoTip panel.

draw3DBdr(Graphics, int, int, int, int, int, Color, boolean). Method in class symantec.itools.awt.SplitterPanel

Utility method to draw the border.

draw3DBox(Rectangle, boolean). Method in class symantec.itools.awt.MultiList

Draws a rectangle with 3-dimensional effect into the offscreen image.

draw3DRect(int, int, int, int, boolean). Method in class java.awt.Graphics

Draws a 3-D highlighted outline of the specified rectangle.

drawAlignedString(Graphics, String, int, int, int). Method in class symantec.itools.awt.WrappingLabel

This helper method draws a string aligned the requested way.

drawArc(int, int, int, int, int, int). Method in class java.awt.Graphics

Draws the outline of a circular or elliptical arc covering the specified rectangle.

drawBorder(Graphics, int, int, int, int). Method in class symantec.itools.awt.BorderPanel

Draws the border panel border.

drawBoundary(Graphics). Method in class symantec.itools.db.awt.CellHints

Draws the cell boundy indicated by this CellHint.

drawBytes(byte[], int, int, int, int). Method in class java.awt.Graphics

Draws the text given by the specified byte array, using this graphics context's current font and color.

drawCell(Graphics, CellHints). Method in class symantec.itools.db.awt.BasicCell

Called by the TableView when the cell is to be drawn on the screen.

drawCell(Graphics, CellHints). Method in class symantec.itools.db.awt.ButtonCell

Called by the TableView when the cell is to be drawn on the screen.

drawCell(Graphics, CellHints). Method in interface symantec.itools.db.awt.TableCell

Called by the TableView when the cell is to be drawn on the screen.

drawCell(Graphics, int, int, int, int, int, int). Method in class symantec.itools.awt.multiList.Cell

Draws the cell using the given graphics context.

drawCell(Graphics, int, int, int, int, int, int). Method in class symantec.itools.awt.multiList.TextAndImageCell

Draws the cell using the given graphics context.

drawChars(char[], int, int, int, int). Method in class java.awt.Graphics

Draws the text given by the specified character array, using this graphics context's current font and color.

drawColumnHeading(Rectangle, boolean). Method in class symantec.itools.awt.MultiList

Draws the specified column heading into an offscreen image.

drawDotLine(int, int, int, int). Method in class symantec.itools.awt.TreeView

Internal helper method.

drawHeading(boolean). Method in class symantec.itools.awt.MultiList

Draws all column headings into an offscreen image.

drawImage(Image, int, int, Color, ImageObserver). Method in class java.awt.Graphics

Draws as much of the specified image as is currently available.

drawImage(Image, int, int, ImageObserver). Method in class java.awt.Graphics

Draws as much of the specified image as is currently available.

drawImage(Image, int, int, int, int, Color, ImageObserver). Method in class java.awt.Graphics

Draws as much of the specified image as has already been scaled to fit inside the specified rectangle.

drawImage(Image, int, int, int, int, ImageObserver). Method in class java.awt.Graphics

Draws as much of the specified image as has already been scaled to fit inside the specified rectangle.

drawImage(Image, int, int, int, int, int, int, int, int, Color, ImageObserver). Method in class java.awt.Graphics

Draws as much of the specified area of the specified image as is currently available, scaling it on the fly to fit inside the specified area of the destination drawable surface.

drawImage(Image, int, int, int, int, int, int, int, int, ImageObserver). Method in class java.awt.Graphics

Draws as much of the specified area of the specified image as is currently available, scaling it on the fly to fit inside the specified area of the destination drawable surface.

drawLabel(Graphics, FontMetrics). Method in class symantec.itools.awt.BorderPanel

Draws the border panel label.

drawLine(int, int, int, int). Method in class java.awt.Graphics

Draws a line, using the current color, between the points (x1, y1) and (x2, y2) in this graphics context's coordinate system.

drawNextFrame(Point). Method in class symantec.itools.awt.InfoTipPanel

Does all necessary calculations and graphics work to advance the text one frame (starting from the point specified in the paramter startingPoint).

drawNodeText(TreeNode, int, boolean, boolean). Method in class symantec.itools.awt.TreeView

Internal helper method.

drawNodeToggle(TreeNode, int, int). Method in class symantec.itools.awt.TreeView

Used to draw the toggle box of an expandable node.

drawOval(int, int, int, int). Method in class java.awt.Graphics

Draws the outline of an oval.

drawplasma(). Method in class symantec.itools.multimedia.Plasma

Draws plasma data into an internal buffer.

drawPolygon(int[], int[], int). Method in class java.awt.Graphics

Draws a closed polygon defined by arrays of x and y coordinates.

drawPolygon(Polygon). Method in class java.awt.Graphics

Draws the outline of a polygon defined by the specified Polygon object.

drawPolyline(int[], int[], int). Method in class java.awt.Graphics

Draws a sequence of connected lines defined by arrays of x and y coordinates.

drawRect(int, int, int, int). Method in class java.awt.Graphics

Draws the outline of the specified rectangle.

drawRoundRect(int, int, int, int, int, int). Method in class java.awt.Graphics

Draws an outlined round-cornered rectangle using this graphics context's current color.

drawRows(int, int, boolean). Method in class symantec.itools.awt.MultiList

Draws the specifed rows into an offscreen image.

drawString(String, int, int). Method in class java.awt.Graphics

Draws the text given by the specified string, using this graphics context's current font and color.

drawText(Data, Graphics, Rectangle, FontMetrics, CellHints). Method in class symantec.itools.db.awt.BasicCell

Draws the given cell data on the screen.

drawText(Graphics, int, int). Method in class symantec.itools.awt.InfoTipPanel

Draws the current text into the graphics context and location specified in the parameters.

drawTree(). Method in class symantec.itools.awt.TreeView

Draws the TreeView into an offscreen image.

DriverPropertyInfo(String, String). Constructor for class java.sql.DriverPropertyInfo

Constructor a DriverPropertyInfo with a name and value; other members default to their initial values.

dropList(boolean). Method in class symantec.itools.awt.ComboBox

DST_OFFSET. Static variable in class java.util.Calendar

Useful constant for date and time.

dumpStack(). Static method in class java.lang.Thread

Prints a stack trace of the current thread.

dynamicResizing. Variable in class symantec.itools.awt.util.spinner.ListSpinner

Flag to keep track of allowance of dynamic resizing of the edit box as new values are entered.


Index of all Fields and Methods

_ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

E

E. Static variable in class java.lang.Math

The double value that is closer than any other to e, the base of the natural logarithms.

e. Variable in class symantec.itools.awt.TreeView

e is vector of existing nodes

E_RESIZE_CURSOR. Static variable in class java.awt.Cursor

The east-resize cursor type.

E_RESIZE_CURSOR. Static variable in class java.awt.Frame

EAST. Static variable in class java.awt.BorderLayout

The east layout constraint (left side of container).

EAST. Static variable in class java.awt.GridBagConstraints

Put the component on the left side of its display area, centered vertically.

echoCharIsSet(). Method in class java.awt.TextField

Indicates whether or not this text field has a character set for echoing.

edgePad. Variable in class symantec.itools.awt.util.Calendar

The number of pixels to offset the internal components from the edges.

editable. Variable in class symantec.itools.awt.util.spinner.Spinner

Whether the Spinner's TextField is editable.

editable(). Method in class symantec.itools.db.awt.CellHints

Gets this CellHint's "editable" value.

EDITABLE_BIT. Static variable in class symantec.itools.db.awt.CellHints

Bit position constant for valid "editable" value flag.

editBox. Variable in class symantec.itools.awt.ComboBox

The text field part of this ComboBox.

elementAt(int). Method in class java.util.Vector

Returns the component at the specified index.

elementAt(int, int). Method in class symantec.itools.awt.Matrix

Returns the element at the specified row and column.

elementCount. Variable in class java.util.Vector

The number of valid components in the vector.

elementData. Variable in class java.util.Vector

The array buffer into which the components of the vector are stored.

elements(). Method in class java.util.Dictionary

Returns an enumeration of the values in this dictionary.

elements(). Method in class java.util.Hashtable

Returns an enumeration of the values in this hashtable.

elements(). Method in class symantec.itools.awt.Matrix

Returns an enumeration of all the elements.

elements(). Method in class java.util.Vector

Returns an enumeration of the components of this vector.

Ellipse(). Constructor for class symantec.itools.awt.shape.Ellipse

Constructs a default Ellipse.

EllipseBeanInfo(). Constructor for class symantec.itools.awt.shape.EllipseBeanInfo

Constructs a EllipseBeanInfo object.

Emblaze20BeanInfo(). Constructor for class geo.emblaze.Emblaze20BeanInfo

empty(). Method in class java.util.Stack

Tests if this stack is empty.

EmptyStackException(). Constructor for class java.util.EmptyStackException

Constructs a new EmptyStackException with no detail message.

enable(). Method in class symantec.itools.awt.ButtonBase

enable(). Static method in class java.lang.Compiler

Cause the Compiler to resume operation.

enable(). Method in class java.awt.Component

enable(). Method in interface java.awt.peer.ComponentPeer

DEPRECATED: Replaced by setEnabled(boolean).

enable(). Method in class java.awt.MenuItem

enable(). Method in interface java.awt.peer.MenuItemPeer

DEPRECATED: Replaced by setEnabled(boolean).

enable(). Method in class symantec.itools.awt.util.spinner.SpinButtonPanel

enable(boolean). Method in class java.awt.Component

enable(boolean). Method in class java.awt.MenuItem

enable(int). Method in class symantec.itools.awt.ComboBox

enable(int). Method in class symantec.itools.awt.ImageListBox

enable(int, boolean). Method in class symantec.itools.awt.ComboBox

enable(int, boolean). Method in class symantec.itools.awt.ImageListBox

enableBindingNotify(boolean). Method in class symantec.itools.db.pro.RelationView

Turn on or off notification of ProjLink, ListLink, and RecordLink objects for all details of this RelationView.

enableBindingNotify(boolean, boolean). Method in class symantec.itools.db.pro.RelationView

Turn on or off notification of ProjLink, ListLink, and RecordLink objects.

enabledColor. Variable in class symantec.itools.awt.ImageListBox

The default color for enabled text items.

enableDetailSQL(boolean). Method in class symantec.itools.db.pro.RelationView

Turn on or off the generation of SQL for the detail RelationViews of this object.

enabledImage. Variable in class symantec.itools.awt.ImageButton

The normally displayed image

enableDownButton(). Method in class symantec.itools.awt.util.spinner.SpinButtonPanel

enableEvents(long). Method in class java.awt.Component

Enables the events defined by the specified event mask parameter to be delivered to this component.

enableEvents(long). Method in class java.awt.MenuItem

Enables event delivery to this menu item for events to be defined by the specified event mask parameter

Since event types are automatically enabled when a listener for that type is added to the menu item, this method only needs to be invoked by subclasses of MenuItem which desire to have the specified event types delivered to processEvent regardless of whether a listener is registered.

enableReplaceObject(boolean). Method in class java.io.ObjectOutputStream

Enable the stream to do replacement of objects in the stream.

enableResolveObject(boolean). Method in class java.io.ObjectInputStream

Enable the stream to allow objects read from the stream to be replaced.

enableTab(boolean, int). Method in class symantec.itools.awt.BaseTabbedPanel

enableTabPanel(boolean, int). Method in class symantec.itools.awt.TabPanel

Conditionally enables a tab and its associated panel at the given index.

enableUpButton(). Method in class symantec.itools.awt.util.spinner.SpinButtonPanel

ENCLOSING_MARK. Static variable in class java.lang.Character

encode(OutputStream). Method in interface java.security.Certificate

Encodes the certificate to an output stream in a format that can be decoded by the decode method.

encode(String). Static method in class java.net.URLEncoder

Translates a string into x-www-form-urlencoded format.

END. Static variable in class java.awt.Event

The End key, a non-ASCII action key.

end(). Method in class java.util.zip.Deflater

Discards unprocessed input and frees internal data.

end(). Method in class java.util.zip.Inflater

Discards unprocessed input and frees internal data.

end(). Method in class java.awt.PrintJob

Ends the print job and does any necessary cleanup.

END_PUNCTUATION. Static variable in class java.lang.Character

endsWith(String). Method in class java.lang.String

Tests if this string ends with the specified suffix.

endTransaction(). Method in class symantec.itools.db.beans.jdbc.JdbcConnection

This method ends a transaction...

endValidate(). Method in interface java.awt.peer.ContainerPeer

enforceMinDim. Variable in class symantec.itools.awt.SplitterPanel

Enforce minimum dimension mode flag.

engineDigest(). Method in class java.security.MessageDigest

SPI: Completes the hash computation by performing final operations such as padding.

engineGetParameter(String). Method in class java.security.Signature

SPI: Gets the value of the specified algorithm parameter.

engineInitSign(PrivateKey). Method in class java.security.Signature

SPI: Initializes this signature object with the specified private key for signing operations.

engineInitVerify(PublicKey). Method in class java.security.Signature

SPI: Initializes this signature object with the specified public key for verification operations.

engineReset(). Method in class java.security.MessageDigest

SPI: Resets the digest for further use.

engineSetParameter(String, Object). Method in class java.security.Signature

SPI: Sets the specified algorithm parameter to the specified value.

engineSign(). Method in class java.security.Signature

SPI: Returns the signature bytes of all the data updated so far.

engineUpdate(byte). Method in class java.security.MessageDigest

SPI: Updates the digest using the specified byte.

engineUpdate(byte). Method in class java.security.Signature

SPI: Updates the data to be signed or verified using the specified byte.

engineUpdate(byte[], int, int). Method in class java.security.MessageDigest

SPI: Updates the digest using the specified array of bytes, starting at the specified offset.

engineUpdate(byte[], int, int). Method in class java.security.Signature

SPI: Updates the data to be signed or verified, using the specified array of bytes, starting at the specified offset.

engineVerify(byte[]). Method in class java.security.Signature

SPI: Verifies the passed-in signature.

ENGLISH. Static variable in class java.util.Locale

Useful constant for language.

ensureCapacity(int). Method in class java.lang.StringBuffer

Ensures that the capacity of the buffer is at least equal to the specified minimum.

ensureCapacity(int). Method in class java.util.Vector

Increases the capacity of this vector, if necessary, to ensure that it can hold at least the number of components specified by the minimum capacity argument.

ENTER. Static variable in class java.awt.Event

The Enter key.

ENTER. Variable in class symantec.itools.awt.FormattedTextField

Character constant, the enter character.

entries(). Method in interface java.security.acl.Acl

Returns an enumeration of the entries in this ACL.

entries(). Method in class java.util.zip.ZipFile

Returns an enumeration of the ZIP file entries.

enumerate(Thread[]). Static method in class java.lang.Thread

Copies into the specified array every active thread in this thread group and its subgroups.

enumerate(Thread[]). Method in class java.lang.ThreadGroup

Copies into the specified array every active thread in this thread group and its subgroups.

enumerate(Thread[], boolean). Method in class java.lang.ThreadGroup

Copies into the specified array every active thread in this thread group.

enumerate(ThreadGroup[]). Method in class java.lang.ThreadGroup

Copies into the specified array references to every active subgroup in this thread group.

enumerate(ThreadGroup[], boolean). Method in class java.lang.ThreadGroup

Copies into the specified array references to every active subgroup in this thread group.

eof. Variable in class java.io.OptionalDataException

True if there is no more data in the buffered part of the stream.

EOFException(). Constructor for class java.io.EOFException

Constructs an EOFException with no detail message.

EOFException(String). Constructor for class java.io.EOFException

Constructs an EOFException with the specified detail message.

eolIsSignificant(boolean). Method in class java.io.StreamTokenizer

Determines whether or not ends of line are treated as tokens.

eos. Variable in class java.util.zip.GZIPInputStream

Indicates end of input stream.

equals(DataFlavor). Method in class java.awt.datatransfer.DataFlavor

equals(MenuShortcut). Method in class java.awt.MenuShortcut

Returns whether this MenuShortcut is the same as another: equality is defined to mean that both MenuShortcuts use the same key and both either use or don't use the SHIFT key.

equals(Object). Method in class java.math.BigDecimal

Returns true iff x is a BigDecimal whose value is equal to this number.

equals(Object). Method in class java.math.BigInteger

Returns true iff x is a BigInteger whose value is equal to this number.

equals(Object). Method in class java.util.BitSet

Compares this object against the specified object.

equals(Object). Method in class java.lang.Boolean

Returns true if and only if the argument is not null and is a Boolean object that contains the same boolean value as this object.

equals(Object). Method in class java.lang.Byte

Compares this object to the specified object.

equals(Object). Method in class java.util.Calendar

Compares the time field records.

equals(Object). Method in class java.lang.Character

Compares this object against the specified object.

equals(Object). Method in class java.text.ChoiceFormat

Equality comparision between two

equals(Object). Method in class java.text.CollationKey

Compare this CollationKey and the target CollationKey for equality.

equals(Object). Method in class java.text.Collator

Compares the equality of two Collators.

equals(Object). Method in class java.awt.Color

Determines whether another object is equal to this color.

equals(Object). Method in class java.lang.reflect.Constructor

Compares this Constructor against the specified object.

equals(Object). Method in class symantec.itools.db.awt.Coordinate

Compares this coordinate with another object and returns true if it is a coordinate with the same points.

equals(Object). Method in class java.util.Date

Compares two dates.

equals(Object). Method in class java.text.DateFormat

Overrides equals

equals(Object). Method in class java.text.DateFormatSymbols

Override equals

equals(Object). Method in class java.text.DecimalFormat

Overrides equals

equals(Object). Method in class java.text.DecimalFormatSymbols

Override equals

equals(Object). Method in class java.awt.Dimension

Checks whether two dimension objects have equal values.

equals(Object). Method in class java.lang.Double

Compares this object against the specified object.

equals(Object). Method in class java.lang.reflect.Field

Compares this Field against the specified object.

equals(Object). Method in class java.io.File

Compares this object against the specified object.

equals(Object). Method in class java.lang.Float

Compares this object against some other object.

equals(Object). Method in class java.awt.Font

Compares this object to the specifed object.

equals(Object). Method in class java.util.GregorianCalendar

Overrides Calendar Compares the time field records.

equals(Object). Method in class java.security.Identity

Tests for equality between the specified object and this identity.

equals(Object). Method in class java.net.InetAddress

Compares this object against the specified object.

equals(Object). Method in class java.awt.Insets

Checks whether two insets objects are equal.

equals(Object). Method in class java.lang.Integer

Compares this object to the specified object.

equals(Object). Method in class java.util.Locale

Compares two Objects for equality.

equals(Object). Method in class java.lang.Long

Compares this object against the specified object.

equals(Object). Method in class java.text.MessageFormat

Equality comparision between two message format objects

equals(Object). Method in class java.lang.reflect.Method

Compares this Method against the specified object.

equals(Object). Method in class java.text.NumberFormat

Overrides equals

equals(Object). Method in class java.lang.Object

Compares two Objects for equality.

equals(Object). Method in class java.rmi.server.ObjID

Two object identifiers are considered equal if they have the same contents.

equals(Object). Method in interface java.security.acl.Permission

Returns true if the object passed matches the permission represented in this interface.

equals(Object). Method in class java.awt.Point

Determines whether two points are equal.

equals(Object). Method in interface java.security.Principal

Compares this principal to the specified object.

equals(Object). Method in class java.awt.Rectangle

Checks whether two rectangles are equal.

equals(Object). Method in class java.rmi.server.RemoteObject

Compares two remote objects for equality.

equals(Object). Method in class java.text.RuleBasedCollator

Compares the equality of two collation objects.

equals(Object). Method in class java.lang.Short

Compares this object to the specified object.

equals(Object). Method in class java.text.SimpleDateFormat

Override equals.

equals(Object). Method in class java.util.SimpleTimeZone

Compares the equality of two SimpleTimeZone objects.

equals(Object). Method in class java.lang.String

Compares this string to the specified object.

equals(Object). Method in class java.text.StringCharacterIterator

Compares the equality of two StringCharacterIterator objects.

equals(Object). Method in class java.rmi.server.UID

Compares two Objects for equality.

equals(Object). Method in class java.net.URL

Compares two URLs.

equals(Object). Method in class java.rmi.dgc.VMID

Compare this VMID to another, and return true if they are the same identifier.

equals(RecordDefinition). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Determines if the given record has the same value as this record.

equals(String, String). Method in class java.text.Collator

Convenience method for comparing the equality of two strings based on this Collator's collation rules.

equals(Timestamp). Method in class java.sql.Timestamp

Test Timestamp values for equality

equalsIgnoreCase(String). Method in class java.lang.String

Compares this String to another object.

ERA. Static variable in class java.util.Calendar

Useful constant for date and time.

ERA_FIELD. Static variable in class java.text.DateFormat

Useful constant for ERA field alignment.

err. Static variable in class java.io.FileDescriptor

A handle to the standard error stream.

err. Static variable in class java.lang.System

The "standard" error output stream.

ERROR. Static variable in interface java.awt.image.ImageObserver

An image which was being tracked asynchronously has encountered an error.

Error(). Constructor for class java.lang.Error

Constructs an Error with no specified detail message.

Error(String). Constructor for class java.lang.Error

Constructs an Error with the specified detail message.

ERRORED. Static variable in class java.awt.MediaTracker

Flag indicating that the downloading of some media encountered an error.

errors. Variable in class symantec.itools.awt.BorderPanel

Error strings.

errors. Variable in class symantec.itools.awt.ButtonBase

Error strings.

errors. Variable in class symantec.itools.awt.multiList.CompareTextAndImageCells

Error strings.

errors. Variable in class symantec.itools.awt.image.DarkenFilter

Error strings.

errors. Variable in class symantec.itools.awt.DirectionButton

Error strings.

errors. Variable in class symantec.itools.awt.image.FadeFilter

Error strings.

errors. Static variable in class symantec.itools.util.GeneralUtils

Error strings.

errors. Variable in class symantec.itools.awt.ImageButton

Error strings.

errors. Variable in class symantec.itools.awt.ImageListBox

Error strings.

errors. Variable in class symantec.itools.multimedia.ImageViewer

Error strings.

errors. Variable in class symantec.itools.awt.InfoTipPanel

Error strings.

errors. Variable in class symantec.itools.awt.LabelButton

Error strings.

errors. Variable in class symantec.itools.awt.image.LightenFilter

Error strings.

errors. Variable in class symantec.itools.awt.Matrix

Error strings.

errors. Variable in class symantec.itools.awt.MatrixEnumeration

Error strings.

errors. Variable in class symantec.itools.awt.MultiList

Error strings.

errors. Variable in class symantec.itools.awt.RadioButtonGroupPanel

Error strings.

errors. Variable in class symantec.itools.awt.Slider

Error strings.

errors. Variable in class symantec.itools.multimedia.SlideShow

Error strings.

errors. Variable in class symantec.itools.awt.util.spinner.Spinner

Error reporting strings.

errors. Variable in class symantec.itools.awt.SplitterPanel

Error strings.

errors. Variable in class symantec.itools.awt.util.ToolBarPanel

Error strings.

errors. Variable in class symantec.itools.awt.util.ToolBarSpacer

Error strings.

errors. Variable in class symantec.itools.awt.TreeView

Error strings.

errorTreaten(Exception, String). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Internal use.

ESCAPE. Static variable in class java.awt.Event

The Escape key.

ESCAPE. Variable in class symantec.itools.awt.FormattedTextField

Character mask constant, the character following this ESCAPE will be placed into input string.

Event(Object, int, Object). Constructor for class java.awt.Event

Creates an instance of Event with the specified target component, event type, and argument.

Event(Object, long, int, int, int, int, int). Constructor for class java.awt.Event

Creates an instance of Event, with the specified target component, time stamp, event type, x and y coordinates, keyboard key, state of the modifier keys, and an argument set to null.

Event(Object, long, int, int, int, int, int, Object). Constructor for class java.awt.Event

Creates an instance of Event with the specified target component, time stamp, event type, x and y coordinates, keyboard key, state of the modifier keys, and argument.

EventObject(Object). Constructor for class java.util.EventObject

EventQueue(). Constructor for class java.awt.EventQueue

EventSetDescriptor(Class, String, Class, String). Constructor for class java.beans.EventSetDescriptor

This constructor creates an EventSetDescriptor assuming that you are following the most simple standard design pattern where a named event "fred" is (1) delivered as a call on the single method of interface FredListener, (2) has a single argument of type FredEvent, and (3) where the FredListener may be registered with a call on an addFredListener method of the source component and removed with a call on a removeFredListener method.

EventSetDescriptor(Class, String, Class, String[], String, String). Constructor for class java.beans.EventSetDescriptor

This constructor creates an EventSetDescriptor from scratch using string names.

EventSetDescriptor(String, Class, Method[], Method, Method). Constructor for class java.beans.EventSetDescriptor

This constructor creates an EventSetDescriptor from scratch using java.lang.reflect.Method and java.lang.Class objects.

EventSetDescriptor(String, Class, MethodDescriptor[], Method, Method). Constructor for class java.beans.EventSetDescriptor

This constructor creates an EventSetDescriptor from scratch using java.lang.reflect.MethodDescriptor and java.lang.Class objects.

eventType. Variable in class symantec.itools.util.Timer

Reserved.

evt. Variable in class java.awt.Event

The next event.

EVT_IMAGE_SELECT. Static variable in class symantec.itools.awt.ImageListBox

The ID of the event posted when the image portion of a list item is selected.

Exception(). Constructor for class java.lang.Exception

Constructs an Exception with no specified detail message.

Exception(String). Constructor for class java.lang.Exception

Constructs an Exception with the specified detail message.

exceptionEvent(RemoteThread, String). Method in class sun.tools.ttydebug.TTY

ExceptionInInitializerError(). Constructor for class java.lang.ExceptionInInitializerError

Constructs an ExceptionInInitializerError with no detail message.

ExceptionInInitializerError(String). Constructor for class java.lang.ExceptionInInitializerError

Constructs a ExceptionInInitializerError with the specified detail message.

ExceptionInInitializerError(Throwable). Constructor for class java.lang.ExceptionInInitializerError

Constructs a new ExceptionInInitializerError class initialized to the specific throwable

exec(String). Method in class java.lang.Runtime

Executes the specified string command in a separate process.

exec(String, String[]). Method in class java.lang.Runtime

Executes the specified string command in a separate process with the specified environment.

exec(String[]). Method in class java.lang.Runtime

Executes the specified command and arguments in a separate process.

exec(String[], String[]). Method in class java.lang.Runtime

Executes the specified command and arguments in a separate process with the specified environment.

execute. Variable in class symantec.itools.util.Timer

True while timer thread is running.

execute(). Method in interface java.sql.PreparedStatement

Some prepared statements return multiple results; the execute method handles these complex statements as well as the simpler form of statements handled by executeQuery and executeUpdate.

execute(String). Method in interface java.sql.Statement

Execute a SQL statement that may return multiple results.

executeCall(). Method in interface java.rmi.server.RemoteCall

Do whatever it takes to execute the call.

executeQuery(). Method in interface java.sql.PreparedStatement

A prepared SQL query is executed and its ResultSet is returned.

executeQuery(Statement, String). Method in class symantec.itools.db.beans.jdbc.JdbcConnection

This method executes a query.

executeQuery(String). Method in interface java.sql.Statement

Execute a SQL statement that returns a single ResultSet.

executeQuery(Synchronizable). Method in class symantec.itools.db.beans.binding.QueryNavigator

executeQuery(Synchronizable). Method in class symantec.itools.db.beans.jdbc.QueryNavigator

executeQueryByExample(). Method in class symantec.itools.db.beans.binding.QueryNavigator

Populates a Data Source with the result from the query by example.

executeQueryByExample(). Method in class symantec.itools.db.beans.jdbc.QueryNavigator

Populates a Data Source with the result from the query by example.

executeRequest(). Method in class symantec.itools.db.pro.AutoDetail

Creates a RelationView using the ConnectionInfo, SQL string, Request properties, and Detail properties set within this object.

executeRequest(). Method in class symantec.itools.db.pro.Request

Creates a root RelationView for a new MultiView transaction.

executeStatement(Statement, String). Method in class symantec.itools.db.beans.jdbc.JdbcConnection

This method executes a statement.

executeUpdate(). Method in interface java.sql.PreparedStatement

Execute a SQL INSERT, UPDATE or DELETE statement.

executeUpdate(String). Method in interface java.sql.Statement

Execute a SQL INSERT, UPDATE or DELETE statement.

exists(). Method in class java.io.File

Tests if this File exists.

exists(String). Method in class symantec.itools.awt.TreeView

Determines if the node with the given text is in the TreeView.

exists(TreeNode). Method in class symantec.itools.awt.TreeView

Determines if the given node is in the TreeView.

exit(int). Method in class java.lang.Runtime

Terminates the currently running Java Virtual Machine.

exit(int). Static method in class java.lang.System

Terminates the currently running Java Virtual Machine.

exitValue(). Method in class java.lang.Process

Returns the exit value for the subprocess.

exp(double). Static method in class java.lang.Math

Returns the exponential number e (i.e., 2.718...) raised to the power of a double value.

expand(). Method in class symantec.itools.awt.TreeNode

Sets a flag indicating that this node is expanded, if it is expandable.

expandPOSet(). Method in class symantec.itools.db.beans.binding.QueryNavigator

Gets the object stored in the QueryNavigator at the given position.

ExportException(String). Constructor for class java.rmi.server.ExportException

Create A remote exception with the specified string

ExportException(String, Exception). Constructor for class java.rmi.server.ExportException

Create A remote exception with the specified string, and the exception specified.

exportObject(Remote). Static method in class java.rmi.server.UnicastRemoteObject

Export the remote object to make it available to receive incoming calls.

exportObject(Remote, Object). Method in interface java.rmi.server.ServerRef

Find or create a client stub object for the supplied Remote.

extraHighlightHeight. Variable in class symantec.itools.awt.InfoTipPanel

Extra height which is added on if highlighText == true

extraHighlightWidth. Variable in class symantec.itools.awt.InfoTipPanel

Extra width which is added on if highlighText == true

extraPaint(Graphics, Rectangle). Method in class symantec.itools.awt.ImageListBox

Override this method to add any special painting effects after text and images are painted

exTstamp(String). Method in class symantec.itools.db.awt.Tstamp

Returns the current date/time as a string formatted in the specified way.


Index of all Fields and Methods

_ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

F

F1. Static variable in class java.awt.Event

The F1 function key, a non-ASCII action key.

F10. Static variable in class java.awt.Event

The F10 function key, a non-ASCII action key.

F11. Static variable in class java.awt.Event

The F11 function key, a non-ASCII action key.

F12. Static variable in class java.awt.Event

The F12 function key, a non-ASCII action key.

F2. Static variable in class java.awt.Event

The F2 function key, a non-ASCII action key.

F3. Static variable in class java.awt.Event

The F3 function key, a non-ASCII action key.

F4. Static variable in class java.awt.Event

The F4 function key, a non-ASCII action key.

F5. Static variable in class java.awt.Event

The F5 function key, a non-ASCII action key.

F6. Static variable in class java.awt.Event

The F6 function key, a non-ASCII action key.

F7. Static variable in class java.awt.Event

The F7 function key, a non-ASCII action key.

F8. Static variable in class java.awt.Event

The F8 function key, a non-ASCII action key.

F9. Static variable in class java.awt.Event

The F9 function key, a non-ASCII action key.

fade(Color, Color, double). Static method in class symantec.itools.awt.util.ColorUtils

Fades from one color to another by the given percentage.

FadeFilter(). Constructor for class symantec.itools.awt.image.FadeFilter

Constructs a default FadeFilter.

FadeFilter(Color). Constructor for class symantec.itools.awt.image.FadeFilter

Constructs a FadeFilter.

FadeFilter(double). Constructor for class symantec.itools.awt.image.FadeFilter

Constructs a FadeFilter.

FadeFilter(double, Color). Constructor for class symantec.itools.awt.image.FadeFilter

Constructs a FadeFilter.

failure(Exception). Method in interface java.rmi.server.RMIFailureHandler

The "failure" callback is invoked when the RMI runtime is unable to create a Socket or ServerSocket via the RMISocketFactory.

FALSE. Static variable in class java.lang.Boolean

The Boolean object corresponding to the primitive value false.

fastDownCount. Variable in class symantec.itools.awt.ImageListBox

Used to detect two mouse pressed events without a mouse released event in-between.

fd. Variable in class java.net.DatagramSocketImpl

The file descriptor object

fd. Variable in class java.net.SocketImpl

The file descriptor object for this socket.

FeatureDescriptor(). Constructor for class java.beans.FeatureDescriptor

FEBRUARY. Static variable in class java.util.Calendar

Useful constant for month.

fetchAllRows(). Method in interface symantec.itools.db.awt.DataSource

Requests the data source get all of the rows from its source of data.

fetchAllRows(). Method in class symantec.itools.db.awt.DbaDataStore

Requests the store to get all of the elements in the result set.

fetchAllRows(). Method in class symantec.itools.db.awt.DbDataSource

Requests the data source get all of the rows from its source of data.

fetchAllRows(). Method in interface symantec.itools.db.awt.DbDataStore

Requests the store to get all of the elements in the result set.

fetchAllRows(). Method in class symantec.itools.db.awt.DefaultDataSource

Requests the data source get all of the rows from its source of data.

fetchHTTP(URL). Method in class symantec.itools.db.awt.ImageViewer

Helper function for fetchImage() which retrieves the data for an image whose URL is in http format.

fetchImage(String). Method in class symantec.itools.db.awt.ImageViewer

Loads and builds the image at the specified URL then returns an input stream of its image data.

fetchImage(URL). Method in class symantec.itools.db.awt.ImageViewer

Loads and builds the image at the specified URL then returns an input stream of its image data.

fetchMode(boolean). Method in interface symantec.itools.db.awt.DataSource

Informs the data source whether the TableView will be requesting successive data for read only purposes.

fetchMode(boolean). Method in class symantec.itools.db.awt.DbaDataStore

Sets the fetch mode for getting data.

fetchMode(boolean). Method in class symantec.itools.db.awt.DbDataSource

Informs the data source whether the TableView will be requesting successive data for read only purposes.

fetchMode(boolean). Method in interface symantec.itools.db.awt.DbDataStore

Sets the fetch mode for getting data.

fetchMode(boolean). Method in class symantec.itools.db.awt.DefaultDataSource

Informs the data source whether the TableView will be requesting successive data for read only purposes.

FG_BIT. Static variable in class symantec.itools.db.awt.CellHints

Bit position constant for valid "foreground color" value flag.

FIELD_COUNT. Static variable in class java.util.Calendar

Useful constant for date and time.

FieldPosition(int). Constructor for class java.text.FieldPosition

Creates a FieldPosition object for the given field.

fields. Variable in class java.util.Calendar

The time fields containing values into which the millis is computed.

File(File, String). Constructor for class java.io.File

Creates a File instance that represents the file with the specified name in the specified directory.

File(String). Constructor for class java.io.File

Creates a File instance that represents the file whose pathname is the given path argument.

File(String, String). Constructor for class java.io.File

Creates a File instance whose pathname is the pathname of the specified directory, followed by the separator character, followed by the name argument.

FileDescriptor(). Constructor for class java.io.FileDescriptor

FileDialog(Frame). Constructor for class java.awt.FileDialog

Creates a file dialog for loading a file.

FileDialog(Frame, String). Constructor for class java.awt.FileDialog

Creates a file dialog window with the specified title for loading a file.

FileDialog(Frame, String, int). Constructor for class java.awt.FileDialog

Creates a file dialog window with the specified title for loading or saving a file.

FileInputStream(File). Constructor for class java.io.FileInputStream

Creates an input file stream to read from the specified File object.

FileInputStream(FileDescriptor). Constructor for class java.io.FileInputStream

Creates an input file stream to read from the specified file descriptor.

FileInputStream(String). Constructor for class java.io.FileInputStream

Creates an input file stream to read from a file with the specified name.

fileName. Variable in class symantec.itools.multimedia.ImageViewer

Name of file, if any, associated with this image.

fileNameMap. Static variable in class java.net.URLConnection

FileNotFoundException(). Constructor for class java.io.FileNotFoundException

Constructs a FileNotFoundException with no detail message.

FileNotFoundException(String). Constructor for class java.io.FileNotFoundException

Constructs a FileNotFoundException with the specified detail message.

FileOutputStream(File). Constructor for class java.io.FileOutputStream

Creates a file output stream to write to the specified File object.

FileOutputStream(FileDescriptor). Constructor for class java.io.FileOutputStream

Creates an output file stream to write to the specified file descriptor.

FileOutputStream(String). Constructor for class java.io.FileOutputStream

Creates an output file stream to write to the file with the specified name.

FileOutputStream(String, boolean). Constructor for class java.io.FileOutputStream

Creates an output file with the specified system dependent file name.

FileReader(File). Constructor for class java.io.FileReader

FileReader(FileDescriptor). Constructor for class java.io.FileReader

FileReader(String). Constructor for class java.io.FileReader

FileWriter(File). Constructor for class java.io.FileWriter

FileWriter(FileDescriptor). Constructor for class java.io.FileWriter

FileWriter(String). Constructor for class java.io.FileWriter

FileWriter(String, boolean). Constructor for class java.io.FileWriter

fill. Variable in class java.awt.GridBagConstraints

This field is used when the component's display area is larger than the component's requested size.

fill. Variable in class symantec.itools.awt.shape.Shape

Shape is filled if true.

fill(). Method in class java.util.zip.InflaterInputStream

Fills input buffer with more data to decompress.

fill3DRect(int, int, int, int, boolean). Method in class java.awt.Graphics

Paints a 3-D highlighted rectangle filled with the current color.

fillArc(int, int, int, int, int, int). Method in class java.awt.Graphics

Fills a circular or elliptical arc covering the specified rectangle.

fillColor. Variable in class symantec.itools.awt.shape.Shape

Color to fill shape with if fill is true.

fillInStackTrace(). Method in class java.lang.Throwable

Fills in the execution stack trace.

fillOval(int, int, int, int). Method in class java.awt.Graphics

Fills an oval bounded by the specified rectangle with the current color.

fillPolygon(int[], int[], int). Method in class java.awt.Graphics

Fills a closed polygon defined by arrays of x and y coordinates.

fillPolygon(Polygon). Method in class java.awt.Graphics

Fills the polygon defined by the specified Polygon object with the graphics context's current color.

fillRect(int, int, int, int). Method in class java.awt.Graphics

Fills the specified rectangle.

fillRoundRect(int, int, int, int, int, int). Method in class java.awt.Graphics

Fills the specified rounded corner rectangle with the current color.

fillTriangle(Graphics, int, int, int, int, int, int, int). Method in class symantec.itools.awt.DirectionButton

Fills a triangle which has at least one side that is straight up and down or left and right.

filterChar(char, char). Method in class symantec.itools.awt.FormattedTextField

Filters the given target character with the given mask character

FILTERED. Static variable in class java.util.zip.Deflater

Compression strategy best used for data consisting mostly of small values with a somewhat random distribution.

FilteredImageSource(ImageProducer, ImageFilter). Constructor for class java.awt.image.FilteredImageSource

Constructs an ImageProducer object from an existing ImageProducer and a filter object.

filterIndexColorModel(IndexColorModel). Method in class java.awt.image.RGBImageFilter

Filters an IndexColorModel object by running each entry in its color tables through the filterRGB function that RGBImageFilter subclasses must provide.

FilterInputStream(InputStream). Constructor for class java.io.FilterInputStream

Creates an input stream filter built on top of the specified input stream.

FilterOutputStream(OutputStream). Constructor for class java.io.FilterOutputStream

Creates an output stream filter built on top of the specified underlying output stream.

FilterReader(Reader). Constructor for class java.io.FilterReader

Create a new filtered reader.

filterRGB(int, int, int). Method in class symantec.itools.awt.image.DarkenFilter

Filters an RGB value by the current fade percentage.

filterRGB(int, int, int). Method in class symantec.itools.awt.image.FadeFilter

Filters an RGB value using the current fade settings.

filterRGB(int, int, int). Method in class symantec.itools.awt.image.LightenFilter

Filters an RGB value by the current lighten percentage.

filterRGB(int, int, int). Method in class java.awt.image.RGBImageFilter

Subclasses must specify a method to convert a single input pixel in the default RGB ColorModel to a single output pixel.

filterRGBPixels(int, int, int, int, int[], int, int). Method in class java.awt.image.RGBImageFilter

Filters a buffer of pixels in the default RGB ColorModel by passing them one by one through the filterRGB method.

FilterWriter(Writer). Constructor for class java.io.FilterWriter

Create a new filtered writer.

FINAL. Static variable in class java.lang.reflect.Modifier

finalize(). Method in class java.awt.image.ColorModel

Called by the garbage collector on an object when garbage collection determines that there are no more references to the object.

finalize(). Method in class symantec.itools.db.beans.jdbc.ConnectionManager

The java language standard finalize method.

finalize(). Method in class java.util.zip.Deflater

Frees the compressor when garbage is collected.

finalize(). Method in class java.io.FileInputStream

Ensures that the close method of this file input stream is called when there are no more references to it.

finalize(). Method in class java.io.FileOutputStream

Ensures that the close method of this file output stream is called when there are no more references to this stream.

finalize(). Method in class java.awt.Graphics

Disposes of this graphics context once it is no longer referenced.

finalize(). Method in class java.util.zip.Inflater

Frees the decompressor when garbage is collected.

finalize(). Method in class symantec.itools.db.beans.binding.Mediator

The java language standard finalize method.

finalize(). Method in class java.lang.Object

Called by the garbage collector on an object when garbage collection determines that there are no more references to the object.

finalize(). Method in class java.awt.PrintJob

Ends this print job once it is no longer referenced.

finalize(). Method in class symantec.itools.db.beans.binding.QueryNavigator

The java language standard finalize method.

findColumn(String). Method in interface java.sql.ResultSet

Map a Resultset column name to a ResultSet column index.

findComponent(Container, Component). Static method in class symantec.itools.awt.util.Util

Finds the index of a component in a container.

findDI(). Method in class symantec.itools.db.beans.binding.Mediator

Sets the input DataItem using the current input name.

findDI(). Method in class symantec.itools.db.beans.binding.MediatorDS

Sets the input DataItem using the current input name.

findEditor(Class). Static method in class java.beans.PropertyEditorManager

Locate a value editor for a given target type.

findLastPreSpace(String). Method in class symantec.itools.awt.TreeView

Internal helper method.

findLoadedClass(String). Method in class java.lang.ClassLoader

findProjByName(String). Method in class symantec.itools.db.pro.RelationView

Determines the one-relative index of a column (projection) given its name.

findSystemClass(String). Method in class java.lang.ClassLoader

Finds the system class with the specified name, loading it in if necessary.

FINISH. Static variable in interface symantec.itools.awt.WizardController

Constant wizard action value.

finish(). Static method in class symantec.itools.lang.Debug

Finish writing the debug log.

finish(). Method in class java.util.zip.Deflater

When called, indicates that compression should end with the current contents of the input buffer.

finish(). Method in class java.util.zip.DeflaterOutputStream

Finishes writing compressed data to the output stream without closing the underlying stream.

finish(). Method in class java.util.zip.GZIPOutputStream

Finishes writing compressed data to the output stream without closing the underlying stream.

finish(). Method in class java.util.zip.ZipOutputStream

Finishes writing the contents of the ZIP output stream without closing the underlying stream.

FINISH_LABEL. Static variable in class symantec.itools.awt.Wizard

The text used for the Finish button.

finishButton. Variable in class symantec.itools.awt.Wizard

The Finish button.

finished(). Method in class java.util.zip.Deflater

Returns true if the end of the compressed data output stream has been reached.

finished(). Method in class java.util.zip.Inflater

Return true if the end of the compressed data stream has been reached.

finishEnabled. Variable in class symantec.itools.awt.SimpleWizardController

True if the Finish button is enabled.

firePropertyChange(). Method in class java.beans.PropertyEditorSupport

Report that we have been modified to any interested listeners.

firePropertyChange(String, Object, Object). Method in class java.beans.PropertyChangeSupport

Report a bound property update to any registered listeners.

firePropertyChange(String, Object, Object). Method in class symantec.itools.beans.PropertyChangeSupport

Report a bound property update to any registered listeners.

fireVetoableChange(String, Object, Object). Method in class java.beans.VetoableChangeSupport

Report a vetoable property update to any registered listeners.

fireVetoableChange(String, Object, Object). Method in class symantec.itools.beans.VetoableChangeSupport

Reports a vetoable property update to any registered listeners.

Firework(). Constructor for class symantec.itools.multimedia.Firework

Construct the defalut firework.

FireworkBeanInfo(). Constructor for class symantec.itools.multimedia.FireworkBeanInfo

Constructs a FireworkBeanInfo object.

first(). Method in class java.text.BreakIterator

Return the first boundary.

first(). Method in interface java.text.CharacterIterator

Set the position to getBeginIndex() and return the character at that position.

first(). Method in class symantec.itools.db.beans.binding.QueryNavigator

Move the focus to the first row.

first(). Method in class symantec.itools.db.pro.RelationView

Sets the first Record in the result set as the current Record in this RelationView.

first(). Method in class java.text.StringCharacterIterator

Set the position to getBeginIndex() and return the character at that position.

first(Container). Method in class java.awt.CardLayout

Flips to the first card of the container.

firstDay. Variable in class symantec.itools.awt.util.Calendar

The day of the week the month starts on.

firstElement(). Method in class java.util.Vector

Returns the first component of this vector.

firstVisibleTab. Variable in class symantec.itools.awt.BaseTabbedPanel

The zero-relative index of the first visible tab.

FLAGS. Static variable in class symantec.itools.beans.SymantecBeanDescriptor

A constant that specifies the "flags" key.

flipBit(int). Method in class java.math.BigInteger

Returns a BigInteger whose value is equivalent to this number with the designated bit flipped.

FLOAT. Static variable in class java.sql.Types

Float(double). Constructor for class java.lang.Float

Constructs a newly allocated Floatobject that represents the argument converted to type float.

Float(float). Constructor for class java.lang.Float

Constructs a newly allocated Float object that represents the primitive float argument.

Float(String). Constructor for class java.lang.Float

Constructs a newly allocated Float object that represents the floating- point value of type float represented by the string.

floatToIntBits(float). Static method in class java.lang.Float

Returns the bit represention of a single-float value.

floatValue(). Method in class java.math.BigDecimal

Converts this number to a float.

floatValue(). Method in class java.math.BigInteger

Converts this number to a float.

floatValue(). Method in class java.lang.Byte

Returns the value of this Byte as a float.

floatValue(). Method in class java.lang.Double

Returns the float value of this Double.

floatValue(). Method in class java.lang.Float

Returns the float value of this Float object.

floatValue(). Method in class java.lang.Integer

Returns the value of this Integer as a float.

floatValue(). Method in class java.lang.Long

Returns the value of this Long as a float.

floatValue(). Method in class java.lang.Number

Returns the value of the specified number as a float.

floatValue(). Method in class java.lang.Short

Returns the value of this Short as a float.

floor(double). Static method in class java.lang.Math

Returns the largest (closest to positive infinity) double value that is not greater than the argument and is equal to a mathematical integer.

FlowLayout(). Constructor for class java.awt.FlowLayout

Constructs a new Flow Layout with a centered alignment and a default 5-unit horizontal and vertical gap.

FlowLayout(int). Constructor for class java.awt.FlowLayout

Constructs a new Flow Layout with the specified alignment and a default 5-unit horizontal and vertical gap.

FlowLayout(int, int, int). Constructor for class java.awt.FlowLayout

Creates a new flow layout manager with the indicated alignment and the indicated horizontal and vertical gaps.

flush(). Method in class java.io.BufferedOutputStream

Flushes this buffered output stream.

flush(). Method in class java.io.BufferedWriter

Flush the stream.

flush(). Method in class java.io.CharArrayWriter

Flush the stream.

flush(). Method in class java.io.DataOutputStream

Flushes this data output stream.

flush(). Method in class java.io.FilterOutputStream

Flushes this output stream and forces any buffered output bytes to be written out to the stream.

flush(). Method in class java.io.FilterWriter

Flush the stream.

flush(). Method in class java.awt.Image

Flushes all resources being used by this Image object.

flush(). Method in interface java.io.ObjectOutput

Flushes the stream.

flush(). Method in class java.io.ObjectOutputStream

Flushes the stream.

flush(). Method in class java.io.OutputStream

Flushes this output stream and forces any buffered output bytes to be written out.

flush(). Method in class java.io.OutputStreamWriter

Flush the stream.

flush(). Method in class java.io.PipedOutputStream

Flushes this output stream and forces any buffered output bytes to be written out.

flush(). Method in class java.io.PipedWriter

Flush the stream.

flush(). Method in class java.io.PrintStream

Flush the stream.

flush(). Method in class java.io.PrintWriter

Flush the stream.

flush(). Method in class java.io.StringWriter

Flush the stream.

flush(). Method in class java.io.Writer

Flush the stream.

fm. Variable in class symantec.itools.awt.ImageListBox

The font metrics of the font used for drawing text.

fm. Variable in class symantec.itools.awt.TreeView

current font metrics

fm. Variable in class symantec.itools.awt.WrappingLabel

The metrics of the font used to display text.

focus. Variable in class symantec.itools.awt.TreeView

The this component's focus event listener.

Focus_Event. Static variable in class symantec.itools.db.awt.Checkbox

Constant value for the Triggering Event property.

Focus_Event. Static variable in class symantec.itools.db.awt.ComboBox

Constant value for the Triggering Event property.

Focus_Event. Static variable in class symantec.itools.db.awt.FormattedTextField

Constant value for the Triggering Event property.

Focus_Event. Static variable in class symantec.itools.db.awt.ListPlus

Constant value for the Triggering Event property.

Focus_Event. Static variable in class symantec.itools.db.awt.ProjectionBeanHelper

Constant value for the Triggering Event property.

Focus_Event. Static variable in class symantec.itools.db.awt.TextArea

Constant value for the Triggering Event property.

Focus_Event. Static variable in class symantec.itools.db.awt.TextField

Constant value for the Triggering Event property.

FOCUS_EVENT_MASK. Static variable in class java.awt.AWTEvent

The event mask for selecting focus events.

FOCUS_FIRST. Static variable in class java.awt.event.FocusEvent

Marks the first integer id for the range of focus event ids.

FOCUS_GAINED. Static variable in class java.awt.event.FocusEvent

The focus gained event type.

FOCUS_LAST. Static variable in class java.awt.event.FocusEvent

Marks the last integer id for the range of focus event ids.

FOCUS_LOST. Static variable in class java.awt.event.FocusEvent

The focus lost event type.

FocusAdapter(). Constructor for class java.awt.event.FocusAdapter

focusEvent(CellEvent). Method in class symantec.itools.db.awt.BasicCell

Called by the TableView when the cell either gains or loses the keyboard focus.

focusEvent(CellEvent). Method in class symantec.itools.db.awt.ButtonCell

Called by the TableView when the cell either gains or loses the keyboard focus.

focusEvent(CellEvent). Method in interface symantec.itools.db.awt.TableCell

Called by the TableView when the cell either gains or loses the keyboard focus.

FocusEvent(Component, int). Constructor for class java.awt.event.FocusEvent

Constructs a permanent-level FocusEvent object with the specified source component and type.

FocusEvent(Component, int, boolean). Constructor for class java.awt.event.FocusEvent

Constructs a FocusEvent object with the specified source component, type, and whether or not the focus event is a temporary level event.

focusGained(FocusEvent). Method in class java.awt.AWTEventMulticaster

Handles the focusGained event by invoking the focusGained methods on listener-a and listener-b.

focusGained(FocusEvent). Method in class symantec.itools.db.awt.DBTstamp

Takes no action.

focusGained(FocusEvent). Method in class java.awt.event.FocusAdapter

focusGained(FocusEvent). Method in interface java.awt.event.FocusListener

Invoked when a component gains the keyboard focus.

focusGained(FocusEvent). Method in class symantec.itools.db.awt.ProjectionBeanHelper

Handles Focus Gained events.

focusIndicatedVisually. Variable in class symantec.itools.awt.MultiList

Indicate focus when drawing.

focusListener. Variable in class symantec.itools.awt.MultiList

The action listener to keep track of listeners for our focus event.

focusLost(FocusEvent). Method in class java.awt.AWTEventMulticaster

Handles the focusLost event by invoking the focusLost methods on listener-a and listener-b.

focusLost(FocusEvent). Method in class symantec.itools.db.awt.DBTstamp

This method commits the component's data to its data source.

focusLost(FocusEvent). Method in class java.awt.event.FocusAdapter

focusLost(FocusEvent). Method in interface java.awt.event.FocusListener

Invoked when a component loses the keyboard focus.

focusLost(FocusEvent). Method in class symantec.itools.db.awt.ProjectionBeanHelper

Handles Focus Lost events.

FOLDER. Static variable in class symantec.itools.beans.SymantecBeanDescriptor

A constant that specifies the "folder" key.

following(int). Method in class java.text.BreakIterator

Return the first boundary following the specified offset.

font. Variable in class symantec.itools.db.awt.DBTstamp

The font used for editable text.

font. Variable in class java.awt.FontMetrics

The actual font.

font. Variable in class symantec.itools.awt.ImageListBox

The font used for drawing text.

font(). Method in class symantec.itools.db.awt.CellHints

Gets this CellHint's "font" value.

Font(String, int, int). Constructor for class java.awt.Font

Creates a new font with the specified name, style and point size.

FONT_BIT. Static variable in class symantec.itools.db.awt.CellHints

Bit position constant for valid "font" value flag.

fontDescent. Variable in class symantec.itools.awt.ImageListBox

The typical distance from the base line to the bottom of most characters in the current font.

fontHeight. Variable in class symantec.itools.awt.ImageListBox

The standard height of a line of text in the current font.

FontMetrics(Font). Constructor for class java.awt.FontMetrics

Creates a new FontMetrics object for finding out height and width information about the specified font and specific character glyphs in that font.

forceCallDoReshape. Variable in class symantec.itools.awt.Slider

Set if paint override should call DoReshape, even if the size has not changed.

forceColumnSizeRecalc. Variable in class symantec.itools.awt.MultiList

Column sizes need to be recalculated.

forceFullRedraw. Variable in class symantec.itools.awt.MultiList

Offscreen image needs to be flushed.

forceRedraw. Variable in class symantec.itools.awt.MultiList

True if next paint will redraw the entire component even if its size has not changed.

forClass(). Method in class java.io.ObjectStreamClass

Return the class in the local VM that this version is mapped to.

forDigit(int, int). Static method in class java.lang.Character

Determines the character representation for a specific digit in the specified radix.

foreg. Variable in class symantec.itools.db.awt.Checkbox

The value of the Foreground color property.

foreground(). Method in class symantec.itools.db.awt.CellHints

Gets this CellHint's "foreground color" value.

forever. Variable in class symantec.itools.multimedia.Animator

Run animation forever.

FORMAT. Static variable in class java.lang.Character

Format(). Constructor for class java.text.Format

format(Date). Method in class java.text.DateFormat

Formats a Date into a date/time string.

format(Date, StringBuffer, FieldPosition). Method in class java.text.DateFormat

Formats a Date into a date/time string.

format(Date, StringBuffer, FieldPosition). Method in class java.text.SimpleDateFormat

Overrides DateFormat

Formats a date or time, which is the standard millis since 24:00 GMT, Jan 1, 1970.

format(double). Method in class java.text.NumberFormat

Specialization of format.

format(double, StringBuffer, FieldPosition). Method in class java.text.ChoiceFormat

Specialization of format.

format(double, StringBuffer, FieldPosition). Method in class java.text.DecimalFormat

Specialization of format.

format(double, StringBuffer, FieldPosition). Method in class java.text.NumberFormat

Specialization of format.

format(long). Method in class java.text.NumberFormat

Specialization of format.

format(long, StringBuffer, FieldPosition). Method in class java.text.ChoiceFormat

Specialization of format.

format(long, StringBuffer, FieldPosition). Method in class java.text.DecimalFormat

Specialization of format.

format(long, StringBuffer, FieldPosition). Method in class java.text.NumberFormat

Specialization of format.

format(Object). Method in class java.text.Format

Formats an object to produce a string.

format(Object, StringBuffer, FieldPosition). Method in class java.text.DateFormat

Overrides Format.

format(Object, StringBuffer, FieldPosition). Method in class java.text.Format

Formats an object to produce a string.

format(Object, StringBuffer, FieldPosition). Method in class java.text.MessageFormat

Formats an object to produce a string.

format(Object, StringBuffer, FieldPosition). Method in class java.text.NumberFormat

Formats an object to produce a string.

format(Object[], StringBuffer, FieldPosition). Method in class java.text.MessageFormat

Returns pattern with formatted objects.

format(String, Object[]). Static method in class java.text.MessageFormat

Convenience routine.

FormattedTextField(). Constructor for class symantec.itools.awt.FormattedTextField

Constructs a new FormattedTextField.

FormattedTextField(). Constructor for class symantec.itools.db.awt.FormattedTextField

Constructs a new FormattedTextField.

FormattedTextField(int). Constructor for class symantec.itools.awt.FormattedTextField

Constructs a new FormattedTextField with the specified number of columns.

FormattedTextField(int). Constructor for class symantec.itools.db.awt.FormattedTextField

Constructs a new FormattedTextField with the specified number of columns.

FormattedTextField(String). Constructor for class symantec.itools.awt.FormattedTextField

Constructs a new FormattedTextField containing the specified text.

FormattedTextField(String). Constructor for class symantec.itools.db.awt.FormattedTextField

Constructs a new FormattedTextField containing the specified text.

FormattedTextField(String, int). Constructor for class symantec.itools.awt.FormattedTextField

Constructs a new FormattedTextField containing the specified text and able to have the specified number of columns.

FormattedTextField(String, int). Constructor for class symantec.itools.db.awt.FormattedTextField

Constructs a new FormattedTextField containing the specified text and able to have the specified number of columns.

FormattedTextFieldBeanInfo(). Constructor for class symantec.itools.awt.FormattedTextFieldBeanInfo

Constructs a FormattedTextFieldBeanInfo object.

FormattedTextFieldBeanInfo(). Constructor for class symantec.itools.db.awt.FormattedTextFieldBeanInfo

Constructs a FormattedTextFieldBeanInfo object.

forName(String). Static method in class java.lang.Class

Returns the Class object associated with the class with the given string name.

FRACTION_FIELD. Static variable in class java.text.NumberFormat

Field constant used to construct a FieldPosition object.

frame. Variable in class symantec.itools.awt.ButtonBase

Frame specifier for showing a URL document in a browser or applet viewer.

frame. Variable in class symantec.itools.awt.InvisibleHTMLLink

Frame specifier for showing a URL document in a browser or applet viewer.

frame. Variable in class symantec.itools.awt.RollOverButton

The frame specifier for showing a URL document in a browser or applet viewer.

frame. Variable in class symantec.itools.multimedia.ScrollingText

Location in browser to show linked HTML pages.

Frame(). Constructor for class java.awt.Frame

Constructs a new instance of Frame that is initially invisible.

Frame(String). Constructor for class java.awt.Frame

Constructs a new, initially invisible Frame object with the specified title.

FRAMEBITS. Static variable in interface java.awt.image.ImageObserver

Another complete frame of a multi-frame image which was previously drawn is now available to be drawn again.

frameTarget_blank. Static variable in class symantec.itools.util.GeneralUtils

A constant indicating a document should be shown in a new unnamed top-level window.

frameTarget_parent. Static variable in class symantec.itools.util.GeneralUtils

A constant indicating a document should be shown in the parent frame.

frameTarget_self. Static variable in class symantec.itools.util.GeneralUtils

A constant indicating a document should be shown in the current frame.

frameTarget_top. Static variable in class symantec.itools.util.GeneralUtils

A constant indicating a document should be shown in the topmost frame.

FRANCE. Static variable in class java.util.Locale

Useful constant for country.

freeMemory(). Method in class java.lang.Runtime

Returns the amount of free memory in the system.

freezeRockets(). Method in class symantec.itools.multimedia.Firework

Suspend the firework animation.

fReg. Variable in class symantec.itools.awt.BaseTabbedPanel

The font used for drawing tab titles when they are not selected.

FRENCH. Static variable in class java.util.Locale

Useful constant for language.

freq. Variable in class symantec.itools.awt.Slider

The current tick mark display frequency.

FRIDAY. Static variable in class java.util.Calendar

Useful constant for days of week.

fSel. Variable in class symantec.itools.awt.BaseTabbedPanel

The font used for drawing tab titles when they are selected.

FtpClient(String). Constructor for class symantec.itools.db.awt.FtpClient

Constructs a FtpClient connected to the host with the given name.

FULL. Static variable in class java.text.DateFormat

Constant for full style pattern.

FULL_DECOMPOSITION. Static variable in class java.text.Collator

Decomposition mode value.

fullname. Variable in class symantec.itools.db.beans.binding.QueryNavigator


Index of all Fields and Methods

_ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

G

g1. Variable in class symantec.itools.awt.TreeView

Offscreen graphics context used for buffering the painting process.

gapColor. Variable in class symantec.itools.awt.SplitterPanel

The color of the gap between panels and around the outside border.

gapColor(). Method in class symantec.itools.awt.SplitterPanel

gapWidth. Variable in class symantec.itools.awt.util.ProgressBar

The value of the Gap Width property.

gc(). Method in class java.lang.Runtime

Runs the garbage collector.

gc(). Static method in class java.lang.System

Runs the garbage collector.

gcd(BigInteger). Method in class java.math.BigInteger

Returns a BigInteger whose value is the greatest common denominator of abs(this) and abs(val).

GeneralUtils(). Constructor for class symantec.itools.util.GeneralUtils

Do not use, all-static class.

generateDataModel(). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Gets the metadata for this record.

generateKeyPair(). Method in class java.security.KeyPairGenerator

Generates a key pair.

GERMAN. Static variable in class java.util.Locale

Useful constant for language.

GERMANY. Static variable in class java.util.Locale

Useful constant for country.

get(int). Method in class java.util.BitSet

Gets a bit.

get(int). Method in class java.util.Calendar

Gets the value for a given time field.

get(int). Method in class symantec.itools.db.awt.CellHints

Gets the sepecified flag bit.

get(Object). Method in class java.util.Dictionary

Returns the value to which the key is mapped in this dictionary.

get(Object). Method in class java.lang.reflect.Field

Returns the value of the field represented by this Field, on the specified object.

get(Object). Method in class java.util.Hashtable

Returns the value to which the specified key is mapped in this hashtable.

get(Object, int). Static method in class java.lang.reflect.Array

Returns the value of the indexed component in the specified array object.

getAbsolutePath(). Method in class java.io.File

Returns the absolute pathname of the file represented by this object.

getActionCommand(). Method in class java.awt.event.ActionEvent

Returns the command name associated with this action.

getActionCommand(). Method in class java.awt.Button

Returns the command name of the action event fired by this button.

getActionCommand(). Method in class symantec.itools.awt.ButtonBase

Returns the command name of the action event fired by this button.

getActionCommand(). Method in class symantec.itools.awt.util.Calendar

getActionCommand(). Method in class symantec.itools.awt.ComboBox

getActionCommand(). Method in class symantec.itools.awt.InvisibleButton

getActionCommand(). Method in class java.awt.MenuItem

Gets the command name of the action event that is fired by this menu item.

getActionCommand(). Method in class symantec.itools.awt.RollOverButton

getActionCommand(). Method in class symantec.itools.awt.Slider

getActionCommand(). Method in class symantec.itools.util.Timer

Returns the command name of the action event fired by this button.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.util.edit.AddressCodeBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.multimedia.AnimatorBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.BaseTabbedPanelBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in interface java.beans.BeanInfo

This method allows a BeanInfo object to return an arbitrary collection of other BeanInfo objects that provide additional information on the current bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.BorderPanelBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.ButtonBaseBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.util.CalendarBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.db.awt.CheckboxBeanInfo

Gets BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.shape.CircleBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.ComboBoxBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.db.awt.ComboBoxBeanInfo

Gets BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.db.beans.jdbc.ConnectionManagerBeanInfo

Gets BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.util.spinner.DaySpinnerBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.db.awt.DBTstampBeanInfo

Gets BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.DirectionButtonBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.shape.EllipseBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class geo.emblaze.Emblaze20BeanInfo

Claim there are no other relevant BeanInfo objects.

getAdditionalBeanInfo(). Method in class symantec.itools.multimedia.FireworkBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.FormattedTextFieldBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.db.awt.FormattedTextFieldBeanInfo

Gets an array of BeanInfo on the superclasses of this object.

getAdditionalBeanInfo(). Method in class symantec.itools.db.awt.GridBeanInfo

Gets BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.shape.HorizontalLineBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.HorizontalSliderBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.ImageButtonBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.ImageHTMLLinkBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.ImageListBoxBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.ImagePanelBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.db.awt.ImageViewerBeanInfo

Gets BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.multimedia.ImageViewerBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.InfoTipPanelBeanInfo

Gets an array of BeanInfo on the superclasses of this object.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.util.edit.IntlLongDistPhoneNumberBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.InvisibleButtonBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.InvisibleHTMLLinkBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.db.beans.jdbc.JdbcConnectionBeanInfo

Gets BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.KeyPressManagerPanelBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.Label3DBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.db.awt.LabelBeanInfo

Gets BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.LabelButtonBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.LabelHTMLLinkBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.shape.LineBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.db.awt.ListBeanInfo

Gets BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.db.awt.ListPlusBeanInfo

Gets BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.util.spinner.ListSpinnerBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.util.edit.LocalPhoneNumberBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.util.edit.LongDistPhoneNumberBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.util.edit.LongZipCodeBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.db.beans.binding.MediatorBeanInfo

Gets BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.db.beans.binding.MediatorDSBeanInfo

Gets BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.util.spinner.MonthSpinnerBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.multimedia.MovingAnimationBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.MultiListBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.db.awt.NervousTextBeanInfo

Gets BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.multimedia.NervousTextBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.util.spinner.NumericSpinnerBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.util.edit.PhoneNumberBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.multimedia.PlasmaBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.util.edit.PostalCodeBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.util.ProgressBarBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.db.beans.binding.QueryNavigatorBeanInfo

Gets BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.db.beans.jdbc.QueryNavigatorBeanInfo

Gets BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.db.awt.RadioBoxBeanInfo

Gets an array of BeanInfo on the superclasses of this object.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.RadioButtonGroupPanelBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.db.beans.jdbc.RecordDefinitionBeanInfo

Gets BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.db.awt.RecordNumberLabelBeanInfo

Gets BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.db.awt.RecordStateLabelBeanInfo

Gets BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.shape.RectBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.RollOverButtonBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.ScrollingPanelBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.multimedia.ScrollingTextBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.shape.ShapeBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class java.beans.SimpleBeanInfo

Claim there are no other relevant BeanInfo objects.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.SliderBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.util.edit.SocialIDNumberBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.util.edit.SocialInsuranceNumberBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.util.edit.SocialSecurityNumberBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.multimedia.SoundPlayerBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.util.spinner.SpinnerBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.SplitterPanelBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.shape.SquareBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.StateCheckBoxBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.db.awt.StateCheckBoxBeanInfo

Gets an array of BeanInfo on the superclasses of this object.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.StatusBarBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.util.StatusScrollerBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.TabPanelBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.db.awt.TextAreaBeanInfo

Gets BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.db.awt.TextFieldBeanInfo

Gets BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.util.ToolBarPanelBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.util.ToolBarSpacerBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.TreeViewBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.util.edit.USLongDistPhoneNumberBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.shape.VerticalLineBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.VerticalSliderBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.WizardBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.WrappingLabelBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAdditionalBeanInfo(). Method in class symantec.itools.awt.util.edit.ZipCodeBeanInfo

Gets a BeanInfo for the superclass of this bean.

getAddListenerMethod(). Method in class java.beans.EventSetDescriptor

getAddress(). Method in class java.net.DatagramPacket

Returns the IP address of the machine to which this datagram is being sent or from which the datagram was received.

getAddress(). Method in class java.net.InetAddress

Returns the raw IP address of this InetAddress object.

getAdjustable(). Method in class java.awt.event.AdjustmentEvent

Returns the Adjustable object where this event originated.

getAdjustmentType(). Method in class java.awt.event.AdjustmentEvent

Returns the type of adjustment which caused the value changed event.

getAdler(). Method in class java.util.zip.Deflater

Returns the ADLER-32 value of the uncompressed data.

getAdler(). Method in class java.util.zip.Inflater

Returns the ADLER-32 value of the uncompressed data.

getAlgorithm(). Method in interface java.security.Key

Returns the standard algorithm name this key is for.

getAlgorithm(). Method in class java.security.KeyPairGenerator

Returns the standard name of the algorithm for this key generator.

getAlgorithm(). Method in class java.security.MessageDigest

Returns a string that identifies the algorithm, independent of implementation details.

getAlgorithm(). Method in class java.security.Signature

Returns the name of the algorithm for this signature object.

getAlgorithmProperty(String, String). Static method in class java.security.Security

Gets a specified property for an algorithm.

getAliasName(). Method in class symantec.itools.db.beans.binding.QueryNavigator

Gets the name given to the set of records managed by this QueryNavigator.

getAlignment(). Method in class java.awt.FlowLayout

Gets the alignment for this layout.

getAlignment(). Method in class java.awt.Label

Gets the current alignment of this label.

getAlignmentX(). Method in class java.awt.Component

Returns the alignment along the x axis.

getAlignmentX(). Method in class java.awt.Container

Returns the alignment along the x axis.

getAlignmentY(). Method in class java.awt.Component

Returns the alignment along the y axis.

getAlignmentY(). Method in class java.awt.Container

Returns the alignment along the y axis.

getAlignStyle(). Method in interface symantec.itools.awt.AlignStyle

Gets the current label alignment style.

getAlignStyle(). Method in class symantec.itools.awt.BorderPanel

Gets the current border label alignment.

getAlignStyle(). Method in class symantec.itools.awt.Label3D

Gets the current alignment style.

getAlignStyle(). Method in class symantec.itools.awt.LabelButton

Gets the current text alignment style.

getAlignStyle(). Method in class symantec.itools.awt.util.ProgressBar

Get the current style of the progress bar's alignment

getAlignStyle(). Method in class symantec.itools.awt.WrappingLabel

Gets the current text alignment setting.

getAllByName(String). Static method in class java.net.InetAddress

Determines all the IP addresses of a host, given the host's name.

getAllowUserInteraction(). Method in class java.net.URLConnection

Returns the value of the allowUserInteraction field for this object.

getAlpha(int). Method in class java.awt.image.ColorModel

The subclass must provide a function which provides the alpha color compoment for the specified pixel.

getAlpha(int). Method in class java.awt.image.DirectColorModel

Return the alpha transparency value for the specified pixel in the range 0-255.

getAlpha(int). Method in class java.awt.image.IndexColorModel

Returns the alpha transparency value for the specified pixel in the range 0-255.

getAlphaMask(). Method in class java.awt.image.DirectColorModel

Returns the mask indicating which bits in a pixel contain the alpha transparency component.

getAlphas(byte[]). Method in class java.awt.image.IndexColorModel

Copies the array of alpha transparency values into the given array.

getAmPmStrings(). Method in class java.text.DateFormatSymbols

Gets ampm strings.

getAppendButton(). Method in class symantec.itools.db.awt.Grid

Gets whether the Grid has this button.

getApplet(). Static method in class symantec.itools.lang.Context

Returns the current applet, or null if being used with an application.

getApplet(String). Method in interface java.applet.AppletContext

Finds and returns the applet in the document represented by this applet context with the given name.

getAppletContext(). Method in class java.applet.Applet

Determines this applet's context, which allows the applet to query and affect the environment in which it runs.

getAppletContext(). Method in interface java.applet.AppletStub

Gets a handler to the applet's context.

getAppletInfo(). Method in class java.applet.Applet

Returns information about this applet.

getApplets(). Method in interface java.applet.AppletContext

Finds all the applets in the document represented by this applet context.

getAreaAffectedByPopup(). Method in class symantec.itools.awt.InfoTipPanel

Utility method for getBufferedBackgroundBounds.

getAreaAffectedByScroll(). Method in class symantec.itools.awt.InfoTipPanel

Utility method for getBufferedBackgroundBounds.

getArrowColor(). Method in class symantec.itools.awt.DirectionButton

Gets the current color of the direction arrow.

getArrowIndent(). Method in class symantec.itools.awt.DirectionButton

Returns the amount of blank space between the arrow and the button border in pixels.

getAscent(). Method in class java.awt.FontMetrics

Determines the font ascent of the font described by this font metric.

getAsciiStream(). Method in class symantec.itools.db.pro.ProjBinder

Gets the column value in a Java InputStream object.

getAsciiStream(). Method in class symantec.itools.db.pro.Projection

Gets the data value in a java.io.InputStream class.

getAsciiStream(int). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value in a Java InputStream object.

getAsciiStream(int). Method in class symantec.itools.db.pro.Record

Gets the specified column value in a Java InputStream object.

getAsciiStream(int). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value in a Java InputStream object.

getAsciiStream(int). Method in interface java.sql.ResultSet

A column value can be retrieved as a stream of ASCII characters and then read in chunks from the stream.

getAsciiStream(String). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value in a Java InputStream object.

getAsciiStream(String). Method in class symantec.itools.db.pro.Record

Gets the specified column value in a Java InputStream object.

getAsciiStream(String). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value in a Java InputStream object.

getAsciiStream(String). Method in interface java.sql.ResultSet

A column value can be retrieved as a stream of ASCII characters and then read in chunks from the stream.

getAsText(). Method in class symantec.itools.db.awt.ConnectionInfoEditor

getAsText(). Method in interface java.beans.PropertyEditor

getAsText(). Method in class java.beans.PropertyEditorSupport

getAsText(). Method in class symantec.itools.db.awt.RelationViewEditor

getAsText(). Method in class symantec.itools.db.awt.SessionEditor

getAudioClip(URL). Method in class java.applet.Applet

Returns the AudioClip object specified by the URL argument.

getAudioClip(URL). Method in interface java.applet.AppletContext

Creates an audio clip.

getAudioClip(URL, String). Method in class java.applet.Applet

Returns the AudioClip object specified by the URL and name arguments.

getAutoCommit(). Method in interface java.sql.Connection

Get the current auto-commit state.

getAutoDetail(). Method in class symantec.itools.db.pro.RelationView

Gets an AutoDetail object that can be used to add a detail RelationView to this RelationView.

getAutoDetail(ConnectionInfo, String, Properties, Properties). Method in class symantec.itools.db.pro.RelationView

Gets an AutoDetail object that can be used to add a detail RelationView to this RelationView.

getAutoDetail(String). Method in class symantec.itools.db.pro.RelationView

Gets an AutoDetail object that can be used to add a detail RelationView to this RelationView.

getAutoDisconnect(). Method in class symantec.itools.db.pro.ConnectionInfo

Returns the autoDisconnect property indicating whether to automatically disconnect from the database whenever a RelationView (that was created with this ConnectionInfo object) is closed.

getAutoExpand(). Method in class symantec.itools.db.awt.ComboBox

Gets whether to automatically add items onto the end of this list when they are added to the database.

getAutoStart(). Method in class symantec.itools.db.beans.binding.QueryNavigator

Gets whether a call to the setAliasName method automatically does a query-by-example to initialize the QueryNavigator with data.

getAutoStart(). Method in class symantec.itools.awt.util.StatusScroller

getAvailableIDs(). Static method in class java.util.TimeZone

Gets all the available IDs supported.

getAvailableIDs(int). Static method in class java.util.TimeZone

Gets the available IDs according to the given time zone offset.

getAvailableLocales(). Static method in class java.text.BreakIterator

Get the set of Locales for which TextBoundaries are installed

getAvailableLocales(). Static method in class java.util.Calendar

Gets the set of locales for which Calendars are installed.

getAvailableLocales(). Static method in class java.text.Collator

Get the set of Locales for which Collators are installed.

getAvailableLocales(). Static method in class java.text.DateFormat

Gets the set of locales for which DateFormats are installed.

getAvailableLocales(). Static method in class java.text.NumberFormat

Get the set of Locales for which NumberFormats are installed

getAvailableLocales(String). Static method in class java.text.resources.LocaleData

getBackground(). Method in class java.awt.Component

Gets the background color of this component.

getBaseUrl(). Static method in class symantec.itools.db.awt.StreamImageSource

Gets the default URL that security checks are performed against.

getBeanClass(). Method in class java.beans.BeanDescriptor

getBeanDescriptor(). Method in class symantec.itools.awt.util.edit.AddressCodeBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.multimedia.AnimatorBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.BaseTabbedPanelBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in interface java.beans.BeanInfo

getBeanDescriptor(). Method in class symantec.itools.awt.BorderPanelBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.ButtonBaseBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.util.CalendarBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.db.awt.CheckboxBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.shape.CircleBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.ComboBoxBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.db.awt.ComboBoxBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.db.beans.jdbc.ConnectionManagerBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.util.spinner.DaySpinnerBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.db.awt.DBTstampBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.DirectionButtonBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.shape.EllipseBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class geo.emblaze.Emblaze20BeanInfo

Deny knowledge about the class and customizer of the bean.

getBeanDescriptor(). Method in class symantec.itools.multimedia.FireworkBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.FormattedTextFieldBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.db.awt.FormattedTextFieldBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.db.awt.GridBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.shape.HorizontalLineBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.HorizontalSliderBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.ImageButtonBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.ImageHTMLLinkBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.ImageListBoxBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.ImagePanelBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.db.awt.ImageViewerBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.multimedia.ImageViewerBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.InfoTipPanelBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.util.edit.IntlLongDistPhoneNumberBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.InvisibleButtonBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.InvisibleHTMLLinkBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.db.beans.jdbc.JdbcConnectionBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.KeyPressManagerPanelBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.Label3DBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.db.awt.LabelBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.LabelButtonBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.LabelHTMLLinkBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.shape.LineBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.db.awt.ListBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.db.awt.ListPlusBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.util.spinner.ListSpinnerBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.util.edit.LocalPhoneNumberBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.util.edit.LongDistPhoneNumberBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.util.edit.LongZipCodeBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.db.beans.binding.MediatorBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.db.beans.binding.MediatorDSBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.util.spinner.MonthSpinnerBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.multimedia.MovingAnimationBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.MultiListBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.db.awt.NervousTextBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.multimedia.NervousTextBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.util.spinner.NumericSpinnerBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.util.edit.PhoneNumberBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.multimedia.PlasmaBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.util.edit.PostalCodeBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.util.ProgressBarBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.db.beans.binding.QueryNavigatorBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.db.beans.jdbc.QueryNavigatorBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.db.awt.RadioBoxBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.RadioButtonGroupPanelBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.db.beans.jdbc.RecordDefinitionBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.db.awt.RecordNumberLabelBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.db.awt.RecordStateLabelBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.shape.RectBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.RollOverButtonBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.ScrollingPanelBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.multimedia.ScrollingTextBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.shape.ShapeBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class java.beans.SimpleBeanInfo

Deny knowledge about the class and customizer of the bean.

getBeanDescriptor(). Method in class symantec.itools.awt.SliderBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.util.edit.SocialIDNumberBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.util.edit.SocialInsuranceNumberBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.util.edit.SocialSecurityNumberBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.multimedia.SoundPlayerBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.util.spinner.SpinnerBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.SplitterPanelBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.shape.SquareBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.StateCheckBoxBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.db.awt.StateCheckBoxBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.StatusBarBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.util.StatusScrollerBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.TabPanelBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.db.awt.TextAreaBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.db.awt.TextFieldBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.util.ToolBarPanelBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.util.ToolBarSpacerBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.TreeViewBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.util.edit.USLongDistPhoneNumberBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.shape.VerticalLineBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.VerticalSliderBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.WizardBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.WrappingLabelBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanDescriptor(). Method in class symantec.itools.awt.util.edit.ZipCodeBeanInfo

Gets the SymantecBeanDescriptor for this bean.

getBeanInfo(Class). Static method in class java.beans.Introspector

Introspect on a Java bean and learn about all its properties, exposed methods, and events.

getBeanInfo(Class, Class). Static method in class java.beans.Introspector

Introspect on a Java bean and learn all about its properties, exposed methods, below a given "stop" point.

getBeanInfoSearchPath(). Static method in class java.beans.Introspector

getBeginIndex(). Method in interface java.text.CharacterIterator

Return the start index of the text.

getBeginIndex(). Method in class java.text.FieldPosition

Retrieve the index of the first character in the requested field.

getBeginIndex(). Method in class java.text.StringCharacterIterator

Return the start index of the text.

getBestRowIdentifier(String, String, String, int, boolean). Method in interface java.sql.DatabaseMetaData

Get a description of a table's optimal set of columns that uniquely identifies a row.

getBestRowIdentifier(String, String, String, int, boolean). Method in class symantec.itools.db.pro.SessionMetaData

Gets a description of the optimal set of columns that can be used to select rows in the given table.

getBevelHeight(). Method in class symantec.itools.awt.ButtonBase

Returns the current "height" (cross-section) of a beveled edge, in pixels.

getBevelStyle(). Method in interface symantec.itools.awt.BevelStyle

Gets the current border style.

getBevelStyle(). Method in class symantec.itools.awt.BorderPanel

Gets the current border style.

getBevelStyle(). Method in class symantec.itools.awt.Label3D

Gets the current border style.

getBevelStyle(). Method in class symantec.itools.awt.util.ProgressBar

Get the current style of the progress bar's border

getBevelStyle(). Method in class symantec.itools.awt.shape.Shape

Returns the current style of the shape.

getBgHilite(). Method in class symantec.itools.awt.TreeView

getBigDecimal(int). Method in class symantec.itools.db.pro.ProjBinder

Gets the column value as a Java BigDecimal object.

getBigDecimal(int). Method in class symantec.itools.db.pro.Projection

Gets the data value as a java.math.BigDecimal class.

getBigDecimal(int, int). Method in interface java.sql.CallableStatement

Get the value of a NUMERIC parameter as a java.math.BigDecimal object.

getBigDecimal(int, int). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value as a Java BigDecimal object.

getBigDecimal(int, int). Method in class symantec.itools.db.pro.Record

Gets the specified column value as a Java BigDecimal object.

getBigDecimal(int, int). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value as a Java BigDecimal object.

getBigDecimal(int, int). Method in interface java.sql.ResultSet

Get the value of a column in the current row as a java.lang.BigDecimal object.

getBigDecimal(String, int). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value as a Java BigDecimal object.

getBigDecimal(String, int). Method in class symantec.itools.db.pro.Record

Gets the specified column value as a Java BigDecimal object.

getBigDecimal(String, int). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value as a Java BigDecimal object.

getBigDecimal(String, int). Method in interface java.sql.ResultSet

Get the value of a column in the current row as a java.lang.BigDecimal object.

getBinaryStream(). Method in class symantec.itools.db.pro.ProjBinder

Gets the column value in a Java InputStream object.

getBinaryStream(). Method in class symantec.itools.db.pro.Projection

Gets the data value in a java.io.InputStream class.

getBinaryStream(int). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value in a Java InputStream object.

getBinaryStream(int). Method in class symantec.itools.db.pro.Record

Gets the specified column value in a Java InputStream object.

getBinaryStream(int). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value in a Java InputStream object.

getBinaryStream(int). Method in interface java.sql.ResultSet

A column value can be retrieved as a stream of uninterpreted bytes and then read in chunks from the stream.

getBinaryStream(String). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value in a Java InputStream object.

getBinaryStream(String). Method in class symantec.itools.db.pro.Record

Gets the specified column value in a Java InputStream object.

getBinaryStream(String). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value in a Java InputStream object.

getBinaryStream(String). Method in interface java.sql.ResultSet

A column value can be retrieved as a stream of uninterpreted bytes and then read in chunks from the stream.

getBlockIncrement(). Method in interface java.awt.Adjustable

Gets the block value increment for the adjustable object.

getBlockIncrement(). Method in class java.awt.Scrollbar

Gets the block increment of this scroll bar.

getBlue(). Method in class java.awt.Color

Gets the blue component of this color.

getBlue(int). Method in class java.awt.image.ColorModel

The subclass must provide a function which provides the blue color compoment for the specified pixel.

getBlue(int). Method in class java.awt.image.DirectColorModel

Returns the blue color compoment for the specified pixel in the range 0-255.

getBlue(int). Method in class java.awt.image.IndexColorModel

Returns the blue color compoment for the specified pixel in the range 0-255.

getBlueMask(). Method in class java.awt.image.DirectColorModel

Returns the mask indicating which bits in a pixel contain the blue color component.

getBlues(byte[]). Method in class java.awt.image.IndexColorModel

Copies the array of blue color components into the given array.

getBoolean(). Method in class symantec.itools.db.pro.ProjBinder

Gets the column value as a Java boolean.

getBoolean(). Method in class symantec.itools.db.pro.Projection

Gets the data value as a true/false in a Java boolean.

getBoolean(int). Method in interface java.sql.CallableStatement

Get the value of a BIT parameter as a Java boolean.

getBoolean(int). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value as a Java boolean.

getBoolean(int). Method in class symantec.itools.db.pro.Record

Gets the specified column value as a Java boolean.

getBoolean(int). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value as a Java boolean.

getBoolean(int). Method in interface java.sql.ResultSet

Get the value of a column in the current row as a Java boolean.

getBoolean(Object). Method in class java.lang.reflect.Field

Get the value of a field as a boolean on specified object.

getBoolean(Object, int). Static method in class java.lang.reflect.Array

Returns the value of the indexed component in the specified array object, as a boolean.

getBoolean(String). Static method in class java.lang.Boolean

Returns is true if and only if the system property named by the argument exists and is equal to the string "true".

getBoolean(String). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value as a Java boolean.

getBoolean(String). Method in class symantec.itools.db.pro.Record

Gets the specified column value as a Java boolean.

getBoolean(String). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value as a Java boolean.

getBoolean(String). Method in interface java.sql.ResultSet

Get the value of a column in the current row as a Java boolean.

getBorderColor(). Method in class symantec.itools.awt.BorderPanel

Gets the current border color.

getBorderColor(). Method in class symantec.itools.awt.ButtonBase

Gets the current border color.

getBorderColor(). Method in class symantec.itools.awt.util.ProgressBar

Get the color for the border of BEVEL_LINE style ProgressBar.

getBorderedColor(). Method in class symantec.itools.awt.Label3D

Gets the border color.

getBorderedColor(). Method in class symantec.itools.awt.util.ProgressBar

getBorderIndent(). Method in class symantec.itools.awt.Label3D

Gets the current border indent amount.

getBorderIndent(). Method in class symantec.itools.awt.util.ProgressBar

Get the border indent amount.

getBorderType(). Method in class symantec.itools.awt.ImageListBox

Gets the current border type of the ImageListBox.

getBorderWidth(). Method in class symantec.itools.awt.ImageListBox

Get the width of the border around the component.

getBottomLeftPanel(). Method in class symantec.itools.awt.SplitterPanel

Gets the bottom left panel.

getBottomPanel(). Method in class symantec.itools.awt.SplitterPanel

Gets the bottom panel of a horizontally split SplitterPanel.

getBottomRightPanel(). Method in class symantec.itools.awt.SplitterPanel

Gets the bottom right panel.

getBoundingBox(). Method in class java.awt.Polygon

getBounds(). Method in class java.awt.Component

Gets the bounds of this component in the form of a Rectangle object.

getBounds(). Method in class java.awt.Polygon

Gets the bounding box of this polygon.

getBounds(). Method in class java.awt.Rectangle

Gets the bounding rectangle of this rectangle.

getBounds(). Method in interface java.awt.Shape

Return the bounding box of the shape.

getBoxWidth(). Method in class symantec.itools.awt.util.ProgressBar

Get the width of the boxes drawn for the progress bar.

getBuffer(). Method in class java.io.StringWriter

Return the string buffer itself.

getBufferedBackgroundBottomMostY(). Method in class symantec.itools.awt.InfoTipPanel

Utility method for getBufferedBackgroundBounds.

getBufferedBackgroundBounds(). Method in class symantec.itools.awt.InfoTipPanel

Calculates the rectangle which bounds the portion of this component's background which the text will animate over.

getBufferedBackgroundLeftMostX(). Method in class symantec.itools.awt.InfoTipPanel

Utility method for getBufferedBackgroundBounds.

getBufferedBackgroundRightMostX(). Method in class symantec.itools.awt.InfoTipPanel

Utility method for getBufferedBackgroundBounds.

getBufferedBackgroundTopMostY(). Method in class symantec.itools.awt.InfoTipPanel

Utility method for getBufferedBackgroundBounds.

getBundle(String). Static method in class java.util.ResourceBundle

Get the appropriate ResourceBundle subclass.

getBundle(String, Locale). Static method in class java.util.ResourceBundle

Get the appropriate ResourceBundle subclass.

getButtonColor(). Method in class symantec.itools.awt.ButtonBase

Gets the current button color.

getButtonsAlignment(). Method in class symantec.itools.awt.Wizard

Gets the buttons alignment of the navigation buttons.

getByName(String). Static method in class java.net.InetAddress

Determines the IP address of a host, given the host's name.

getByte(). Method in class symantec.itools.db.pro.ProjBinder

Gets the column value as a Java byte.

getByte(). Method in class symantec.itools.db.pro.Projection

Gets the data value as a Java byte with a value between 0 and 255.

getByte(int). Method in interface java.sql.CallableStatement

Get the value of a TINYINT parameter as a Java byte.

getByte(int). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value as a Java byte.

getByte(int). Method in class symantec.itools.db.pro.Record

Gets the specified column value as a Java byte.

getByte(int). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value as a Java byte.

getByte(int). Method in interface java.sql.ResultSet

Get the value of a column in the current row as a Java byte.

getByte(Object). Method in class java.lang.reflect.Field

Get the value of a field as a byte on specified object.

getByte(Object, int). Static method in class java.lang.reflect.Array

Returns the value of the indexed component in the specified array object, as a byte.

getByte(String). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value as a Java byte.

getByte(String). Method in class symantec.itools.db.pro.Record

Gets the specified column value as a Java byte.

getByte(String). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value as a Java byte.

getByte(String). Method in interface java.sql.ResultSet

Get the value of a column in the current row as a Java byte.

getBytes(). Method in class symantec.itools.db.pro.ProjBinder

Gets the column value as a Java byte array object.

getBytes(). Method in class symantec.itools.db.pro.Projection

Gets the data value as an array of bytes.

getBytes(). Method in class java.lang.String

Convert this String into bytes according to the platform's default character encoding, storing the result into a new byte array.

getBytes(int). Method in interface java.sql.CallableStatement

Get the value of a SQL BINARY or VARBINARY parameter as a Java byte[]

getBytes(int). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value as a Java byte array object.

getBytes(int). Method in class symantec.itools.db.pro.Record

Gets the specified column value as a Java byte array object.

getBytes(int). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value as a Java byte array object.

getBytes(int). Method in interface java.sql.ResultSet

Get the value of a column in the current row as a Java byte array.

getBytes(int, int, byte[], int). Method in class java.lang.String

Copies characters from this string into the destination byte array.

getBytes(String). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value as a Java byte array object.

getBytes(String). Method in class symantec.itools.db.pro.Record

Gets the specified column value as a Java byte array object.

getBytes(String). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value as a Java byte array object.

getBytes(String). Method in interface java.sql.ResultSet

Get the value of a column in the current row as a Java byte array.

getBytes(String). Method in class java.lang.String

Convert this String into bytes according to the specified character encoding, storing the result into a new byte array.

getCache(). Method in class symantec.itools.db.awt.DbDataSource

Gets the cache used to store data retrieved from database and added rows.

getCalendar(). Method in class java.text.DateFormat

Gets the calendar associated with this date/time formatter.

getCanonicalPath(). Method in class java.io.File

Returns the canonical form of this File object's pathname.

getCardinality(). Method in class symantec.itools.db.pro.AutoDetail

Gets the value of the cardinality ("cardinality") property as an integer.

getCardinality(). Method in class symantec.itools.db.pro.RelationView

Gets the Cardinality property.

getCaretPosition(). Method in class java.awt.TextComponent

Gets the position of the text insertion caret for this text component.

getCaretPosition(). Method in interface java.awt.peer.TextComponentPeer

getCaseSensitive(). Method in class symantec.itools.awt.ComboBox

getCatalog(). Method in interface java.sql.Connection

Return the Connection's current catalog name.

getCatalog(). Method in class symantec.itools.db.beans.jdbc.JdbcConnection

Gets the catalog property.

getCatalogName(int). Method in class symantec.itools.db.pro.RelationViewMetaData

Gets the name of the specified column's table's catalog, or "" if not applicable.

getCatalogName(int). Method in interface java.sql.ResultSetMetaData

What's a column's table's catalog name?

getCatalogs(). Method in interface java.sql.DatabaseMetaData

Get the catalog names available in this database.

getCatalogs(). Method in class symantec.itools.db.pro.SessionMetaData

Gets the available catalog names in the database.

getCatalogSeparator(). Method in interface java.sql.DatabaseMetaData

What's the separator between catalog and table name?

getCatalogSeparator(). Method in class symantec.itools.db.pro.SessionMetaData

Gets the separator between catalog and table name.

getCatalogTerm(). Method in interface java.sql.DatabaseMetaData

What's the database vendor's preferred term for "catalog"?

getCatalogTerm(). Method in class symantec.itools.db.pro.SessionMetaData

Gets the database vendor's preferred term for "catalog".

getCellBg(). Method in class symantec.itools.awt.MultiList

Gets the current background color of cell text.

getCellBorders(). Method in class symantec.itools.awt.ImageListBox

getCellFg(). Method in class symantec.itools.awt.MultiList

Gets the current foreground color of cell text.

getCellFont(). Method in class symantec.itools.awt.MultiList

Returns the font currently used for text in all the cells.

getCellHeight(). Method in class symantec.itools.awt.ImageListBox

Get the height of an individual row.

getCellImage(int, int). Method in class symantec.itools.awt.MultiList

Returns the image of the specified cell, if any.

getCellText(int, int). Method in class symantec.itools.awt.MultiList

Returns the text of the specified cell.

getCenterMode(). Method in class symantec.itools.awt.ImageButton

getCenterMode(). Method in class symantec.itools.multimedia.ImageViewer

getCenterMode(). Method in class symantec.itools.awt.RollOverButton

getChar(Object). Method in class java.lang.reflect.Field

Get the value of a field as a char on specified object.

getChar(Object, int). Static method in class java.lang.reflect.Array

Returns the value of the indexed component in the specified array object, as a char.

getCharacterInstance(). Static method in class java.text.BreakIterator

Create BreakIterator for character-breaks using default locale Returns an instance of a BreakIterator implementing character breaks.

getCharacterInstance(Locale). Static method in class java.text.BreakIterator

Create BreakIterator for character-breaks using specified locale Returns an instance of a BreakIterator implementing character breaks.

getChars(int, int, char[], int). Method in class java.lang.String

Copies characters from this string into the destination character array.

getChars(int, int, char[], int). Method in class java.lang.StringBuffer

Characters are copied from this string buffer into the destination character array dst.

getCheckboxGroup(). Method in class java.awt.Checkbox

Determines this check box's group.

getChecksum(). Method in class java.util.zip.CheckedInputStream

Returns the Checksum for this input stream.

getChecksum(). Method in class java.util.zip.CheckedOutputStream

Returns the Checksum for this output stream.

getChild(). Method in class java.awt.event.ContainerEvent

Returns the child component that was added or removed in this event.

getChild(). Method in class symantec.itools.awt.TreeNode

Gets the child of this node.

getChoices(). Method in interface symantec.itools.db.awt.Data

Gets an array of Data objects that define the predefined values associated with a field.

getChoices(). Method in class symantec.itools.db.awt.DefaultData

Gets an array of Data objects that define the predefined values associated with a field.

getChoices(). Method in class symantec.itools.db.awt.ImageStringData

Gets an array of Data objects that define the predefined values associated with a field.

getChoices(int, int). Method in interface symantec.itools.db.awt.DataSource

Method used to support Defaultdata class.

getChoices(int, int). Method in class symantec.itools.db.awt.DbDataSource

Method used to support Defaultdata class.

getChoices(int, int). Method in class symantec.itools.db.awt.DefaultDataSource

Method used to support Defaultdata class.

getClass(). Method in class java.lang.Object

Returns the runtime class of an object.

getClassContext(). Method in class java.lang.SecurityManager

Returns the current execution stack as an array of classes.

getClasses(). Method in class java.lang.Class

Returns an array containing Class objects representing all the public classes and interfaces that are members of the class represented by this Class object.

getClassLoader(). Method in class java.lang.Class

Determines the class loader for the class.

getClassName(). Method in class java.util.MissingResourceException

Gets parameter passed by constructor.

getClassName(). Method in class symantec.itools.db.beans.binding.QueryNavigator

The class name of new persistent objects.

getClearFrame(). Method in class symantec.itools.multimedia.Animator

getClearFrame(). Method in class symantec.itools.awt.RollOverButton

getClickCount(). Method in class java.awt.event.MouseEvent

Return the number of mouse clicks associated with this event.

getClientHost(). Static method in class java.rmi.server.RemoteServer

Return the hostname of the current client.

getClientHost(). Method in interface java.rmi.server.ServerRef

Return the hostname of the current client.

getClip(). Method in class java.awt.Graphics

Gets the current clipping area.

getClipBounds(). Method in class java.awt.Graphics

Returns the bounding rectangle of the current clipping area.

getClipRect(). Method in class java.awt.Graphics

getCodeBase(). Method in class java.applet.Applet

Gets the base URL.

getCodeBase(). Method in interface java.applet.AppletStub

Gets the base URL.

getCollationElementIterator(String). Method in class java.text.RuleBasedCollator

Return a CollationElementIterator for the given String.

getCollationKey(String). Method in class java.text.Collator

Transforms the String into a series of bits that can be compared bitwise to other CollationKeys.

getCollationKey(String). Method in class java.text.RuleBasedCollator

Transforms the string into a series of characters that can be compared with CollationKey.compareTo.

getCollectionSize(DataItem). Method in class symantec.itools.db.beans.binding.Mediator

Determines the size of each dimension of the given DataItem.

getColModif(). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Gets the number of columns modified.

getColor(). Method in class java.awt.Graphics

Gets this graphics context's current color.

getColor(String). Static method in class java.awt.Color

Finds a color in the system properties.

getColor(String, Color). Static method in class java.awt.Color

Finds a color in the system properties.

getColor(String, int). Static method in class java.awt.Color

Finds a color in the system properties.

getColorModel(). Method in class java.awt.Component

Gets the instance of ColorModel used to display the component on the output device.

getColorModel(). Method in interface java.awt.peer.ComponentPeer

getColorModel(). Method in class java.awt.image.PixelGrabber

Get the ColorModel for the pixels stored in the array.

getColorModel(). Method in class java.awt.Toolkit

Determines the color model of this toolkit's screen.

getColumnAlignment(int). Method in class symantec.itools.awt.MultiList

Gets the justification of the text for the specified column.

getColumnAlignments(). Method in class symantec.itools.awt.MultiList

Gets a string array containing the alignment of each column.

getColumnCount(). Method in class symantec.itools.db.pro.RelationViewMetaData

Gets the number of columns of attributes.

getColumnCount(). Method in interface java.sql.ResultSetMetaData

What's the number of columns in the ResultSet?

getColumnDisplaySize(int). Method in class symantec.itools.db.pro.RelationViewMetaData

Gets the column's normal maximum width, in characters.

getColumnDisplaySize(int). Method in interface java.sql.ResultSetMetaData

What's the column's normal max width in chars?

getColumnLabel(int). Method in class symantec.itools.db.pro.RelationViewMetaData

Gets the column's suggested title for display.

getColumnLabel(int). Method in interface java.sql.ResultSetMetaData

What's the suggested column title for use in printouts and displays?

getColumnList(). Method in class symantec.itools.db.pro.RelationViewMetaData

Returns a Vector of all the column names.

getColumnName(). Method in class symantec.itools.db.pro.ProjBinder

Gets a String containing the name of the column that this ProjBinder is bound to.

getColumnName(int). Method in class symantec.itools.db.pro.RelationViewMetaData

Gets the SQL name of the specified column.

getColumnName(int). Method in interface java.sql.ResultSetMetaData

What's a column's name?

getColumnPrivileges(String, String, String, String). Method in interface java.sql.DatabaseMetaData

Get a description of the access rights for a table's columns.

getColumnPrivileges(String, String, String, String). Method in class symantec.itools.db.pro.SessionMetaData

Gets a description of the access rights of a table's columns.

getColumns(). Method in class java.awt.GridLayout

Gets the number of columns in this layout.

getColumns(). Method in class symantec.itools.awt.ImageListBox

Returns the number of columns to be used by minimumSize().

getColumns(). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Gets the "columns" design-time property.

getColumns(). Method in class java.awt.TextArea

Gets the number of columns in this text area.

getColumns(). Method in class java.awt.TextField

Gets the number of columns in this text field.

getColumns(String, String, String, String). Method in interface java.sql.DatabaseMetaData

Get a description of table columns available in a catalog.

getColumns(String, String, String, String). Method in class symantec.itools.db.pro.SessionMetaData

Gets a description of available table columns in a catalog.

getColumnSize(int). Method in class symantec.itools.awt.MultiList

Get the column size in pixels for the specified column.

getColumnSizes(). Method in class symantec.itools.awt.MultiList

Returns a string array containing the width of each column in pixels.

getColumnSizesFromSplitters(). Method in class symantec.itools.awt.MultiList

Returns an array of column sizes as determined from the current splitter information.

getColumnsNumber(). Method in class symantec.itools.db.awt.Grid

Gets the number of columns this grid has.

getColumnSorter(int). Method in class symantec.itools.awt.MultiList

Gets the object used to compare cells for sorting the specified column.

getColumnType(int). Method in class symantec.itools.db.pro.RelationViewMetaData

Gets the type of the specified column, as defined in java.sql.Types.

getColumnType(int). Method in class symantec.itools.db.pro.RelationViewPlus

Gets the type of the specified column, as defined in java.sql.Types.

getColumnType(int). Method in interface java.sql.ResultSetMetaData

What's a column's SQL type?

getColumnTypeName(int). Method in class symantec.itools.db.pro.RelationViewMetaData

Gets the type name of the specified column.

getColumnTypeName(int). Method in interface java.sql.ResultSetMetaData

What's a column's data source specific type name?

getColumnValue(int). Method in class symantec.itools.db.pro.RelationViewPlus

Helper method for the getValue method.

getComboMode(). Method in class symantec.itools.awt.ImageListBox

getComment(). Method in class java.util.zip.ZipEntry

Returns the comment string for the entry, or null if none.

getComponent(). Method in class java.awt.event.ComponentEvent

Returns the component where this event originated.

getComponent(). Method in class symantec.itools.awt.InfoTipPanel

Gets the current component in the InfoTipPanel.

getComponent(). Method in class symantec.itools.awt.ScrollingPanel

Gets the current component in the ScrollingPanel.

getComponent(). Method in class symantec.itools.awt.SplitterPanel

Gets the component in this SplitterPanel.

getComponent(int). Method in class symantec.itools.awt.BorderPanel

Gets the component at the specified zero-relative component index.

getComponent(int). Method in class java.awt.Container

Gets the nth component in this container.

getComponentAt(int). Method in class symantec.itools.awt.Wizard

Gets the component for the page at the given index.

getComponentAt(int). Method in interface symantec.itools.awt.WizardInterface

Gets the component for the page at the given index.

getComponentAt(int, int). Method in class java.awt.Component

Determines if this component or one of its immediate subcomponents contains the (x, y) location, and if so, returns the containing component.

getComponentAt(int, int). Method in class java.awt.Container

Locates the component that contains the x,y position.

getComponentAt(Point). Method in class java.awt.Component

Returns the component or subcomponent that contains the specified point.

getComponentAt(Point). Method in class java.awt.Container

Gets the component that contains the specified point.

getComponentCount(). Method in class symantec.itools.awt.BorderPanel

Returns the number of components in this container.

getComponentCount(). Method in class java.awt.Container

Gets the number of components in this panel.

getComponentCount(). Method in class symantec.itools.awt.SplitterPanel

Returns number of components in this container.

getComponents(). Method in class symantec.itools.awt.BorderPanel

Returns all of the components in this container.

getComponents(). Method in class java.awt.Container

Gets all the components in this container.

getComponents(). Method in class symantec.itools.awt.SplitterPanel

Returns all of the components in this container.

getComponentType(). Method in class java.lang.Class

If this class represents an array type, returns the Class object representing the component type of the array; otherwise returns null.

getCompressedSize(). Method in class java.util.zip.ZipEntry

Returns the compressed size of the entry data, or -1 if not known.

getConnectFailedListener(). Method in class symantec.itools.db.beans.jdbc.JdbcConnection

Gets the current name of the ConnectFailedListener class.

getConnection(). Method in class symantec.itools.db.beans.binding.QueryNavigator

getConnection(). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Gets the connection obect this row uses to access the database.

getConnection(String). Static method in class java.sql.DriverManager

Attempt to establish a connection to the given database URL.

getConnection(String, Properties). Static method in class java.sql.DriverManager

Attempt to establish a connection to the given database URL.

getConnection(String, String, String). Static method in class java.sql.DriverManager

Attempt to establish a connection to the given database URL.

getConnectionBean(String). Method in class symantec.itools.db.beans.jdbc.ConnectionManager

This method is used by RecordDefinition to obtain a JdbcConnection instance.

getConnectionDescriptors(). Method in class symantec.itools.beans.SymantecBeanDescriptor

Gets the ConnectionDescriptors for this bean class.

getConnectionInfo(). Method in class symantec.itools.db.awt.List

Gets the ConnectionInfo this component uses to connect with the database.

getConnectionInfo(). Method in class symantec.itools.db.pro.RelationView

Gets the ConnectionInfo object.

getConnectionInfo(). Method in class symantec.itools.db.pro.Request

Gets the Connection information used to open the database when the execute method is called.

getConnectionManager(). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Gets the "connection manager" run-time property.

getConnectionManagerClassName(). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Gets the "connection manager class" design-time property.

getConnectionName(). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Gets the "connection name" design-time property.

getConnectionProps(). Method in class symantec.itools.db.beans.jdbc.JdbcConnection

This method will be called by the connect() method to return a Properties object containing java.sql.Driver specific connection properties.

getConstraints(Component). Method in class java.awt.GridBagLayout

Gets the constraints for the specified component.

getConstructor(Class[]). Method in class java.lang.Class

Returns a Constructor object that reflects the specified public constructor of the class represented by this Class object.

getConstructors(). Method in class java.lang.Class

Returns an array containing Constructor objects reflecting all the public constructors of the class represented by this Class object.

getContainer(). Method in class java.awt.event.ContainerEvent

Returns the container where this event originated.

getContent(). Method in class java.net.URL

Returns the contents of this URL.

getContent(). Method in class java.net.URLConnection

Retrieves the contents of this URL connection.

getContent(URLConnection). Method in class java.net.ContentHandler

Given a URL connect stream positioned at the beginning of the representation of an object, this method reads that stream and creates an object from it.

getContentEncoding(). Method in class java.net.URLConnection

Returns the value of the content-encoding header field.

getContentLength(). Method in class java.net.URLConnection

Returns the value of the content-length header field.

getContents(). Method in class java.text.resources.DateFormatZoneData

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_ar

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_be

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_bg

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_ca

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_cs

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_da

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_de

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_de_AT

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_de_CH

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_el

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_en

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_en_CA

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_en_GB

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_en_IE

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_es

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_et

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_fi

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_fr

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_fr_BE

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_fr_CA

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_fr_CH

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_hr

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_hu

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_is

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_it

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_it_CH

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_iw

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_ja

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_ko

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_lt

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_lv

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_mk

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_nl

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_nl_BE

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_no

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_no_NO_NY

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_pl

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_pt

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_ro

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_ru

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_sh

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_sk

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_sl

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_sq

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_sr

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_sv

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_tr

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_uk

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_zh

Overrides ListResourceBundle

getContents(). Method in class java.text.resources.DateFormatZoneData_zh_TW

Overrides ListResourceBundle

getContents(). Method in class java.util.ListResourceBundle

See class description.

getContents(Object). Method in class java.awt.datatransfer.Clipboard

Returns a transferable object representing the current contents of the clipboard.

getContentType(). Method in class java.net.URLConnection

Returns the value of the content-type header field.

getContentTypeFor(String). Method in interface java.net.FileNameMap

getCoordinates(). Method in class symantec.itools.db.awt.BasicCell

Gets the cell coordinates for the cell.

getCoordinates(). Method in class symantec.itools.db.awt.ButtonCell

Gets the cell coordinates for the cell.

getCoordinates(). Method in interface symantec.itools.db.awt.TableCell

Gets the cell coordinates for the cell.

getCount(). Method in class symantec.itools.awt.TreeView

Returns the total number of nodes in the tree.

getCountry(). Method in class java.util.Locale

Getter for programmatic name of field, an uppercased two-letter ISO-3166 code.

getCrc(). Method in class java.util.zip.ZipEntry

Returns the CRC-32 checksum of the uncompressed entry data, or -1 if not known.

getCrossReference(String, String, String, String, String, String). Method in interface java.sql.DatabaseMetaData

Get a description of the foreign key columns in the foreign key table that reference the primary key columns of the primary key table (describe how one table imports another's key.) This should normally return a single foreign key/primary key pair (most tables only import a foreign key from a table once.) They are ordered by FKTABLE_CAT, FKTABLE_SCHEM, FKTABLE_NAME, and KEY_SEQ.

getCrossReference(String, String, String, String, String, String). Method in class symantec.itools.db.pro.SessionMetaData

Gets information about the foreign key in foreignTable which references the primary key for primaryTable.

getCurrencyInstance(). Static method in class java.text.NumberFormat

Returns a currency format for the current default locale.

getCurrencyInstance(Locale). Static method in class java.text.NumberFormat

Returns a currency format for the specified locale.

getCurrent(). Method in class java.awt.CheckboxGroup

getCurrent(). Method in class symantec.itools.awt.util.spinner.Spinner

Gets the current value of the spinner.

getCurrentImageIndex(). Method in class symantec.itools.multimedia.SlideShow

Return the current image index being displayed.

getCurrentObject(). Method in class symantec.itools.db.beans.binding.QueryNavigator

Gets the data object currently in focus.

getCurrentPanelNdx(). Method in class symantec.itools.awt.TabPanel

Returns the zero-relative index of the currently selected panel.

getCurrentRecordNumber(). Method in class symantec.itools.db.pro.RelationView

Gets the record number of the current record being referenced by this RelationView object.

getCurrentRecordNumberString(). Method in class symantec.itools.db.pro.RelationView

Gets this RelationView's current record number as a String.

getCurrentRecordState(). Method in class symantec.itools.db.pro.RelationView

Gets the state of the current Record.

getCurrentRowNumber(). Method in class symantec.itools.db.beans.binding.QueryNavigator

Gets the index of the current row.

getCurrentRowNumber(). Method in class symantec.itools.db.pro.RelationViewPlus

Reserved.

getCurrentTab(). Method in class symantec.itools.awt.BaseTabbedPanel

Determine the currently shown tab.

getCurrentText(). Method in class symantec.itools.awt.util.spinner.ListSpinner

Gets the currently selected string from the list.

getCurrentText(). Method in class symantec.itools.awt.util.spinner.NumericSpinner

Gets the current text from the Spinner.

getCurrentText(). Method in class symantec.itools.awt.util.spinner.Spinner

Gets the currently selected string from the list.

getCursor(). Method in class java.awt.Component

Gets the cursor set on this component.

getCursorName(). Method in interface java.sql.ResultSet

Get the name of the SQL cursor used by this ResultSet.

getCursorType(). Method in class java.awt.Frame

getCustomEditor(). Method in interface java.beans.PropertyEditor

A PropertyEditor may choose to make available a full custom Component that edits its property value.

getCustomEditor(). Method in class java.beans.PropertyEditorSupport

A PropertyEditor may chose to make available a full custom Component that edits its property value.

getCustomizerClass(). Method in class java.beans.BeanDescriptor

getData(). Method in class symantec.itools.db.awt.BasicCell

Gets the data object for the cell (Normally retrieved via the data source.

getData(). Method in class symantec.itools.db.awt.ButtonCell

Gets the data object for the cell (Normally retrieved via the data source.

getData(). Method in class symantec.itools.db.awt.Checkbox

Gets the value of this component.

getData(). Method in class symantec.itools.db.awt.ComboBox

Gets the value of this component.

getData(). Method in class java.net.DatagramPacket

Returns the data received or the data to be sent.

getData(). Method in class symantec.itools.db.awt.DBTstamp

Gets the value of this component.

getData(). Method in class symantec.itools.db.awt.FormattedTextField

Gets the value of this component.

getData(). Method in class symantec.itools.db.awt.ImageViewer

Gets the value of this component.

getData(). Method in class symantec.itools.db.awt.Label

Gets the value of this component.

getData(). Method in class symantec.itools.db.awt.List

Gets the value of this component.

getData(). Method in class symantec.itools.db.awt.ListPlus

Gets the value of this component.

getData(). Method in class symantec.itools.db.awt.NervousText

Gets the value of this component.

getData(). Method in interface symantec.itools.db.awt.ProjectionBean

Gets the value of this component.

getData(). Method in class symantec.itools.db.awt.RadioBox

Gets the value of this component.

getData(). Method in class symantec.itools.db.awt.StateCheckBox

Gets the value of this component.

getData(). Method in interface symantec.itools.db.awt.TableCell

Gets the data object for the cell (Normally retrieved via the data source.

getData(). Method in class symantec.itools.db.awt.TextArea

Gets the value of this component.

getData(). Method in class symantec.itools.db.awt.TextField

Gets the value of this component.

getData(Coordinate). Method in interface symantec.itools.db.awt.DataSource

Gets the data for a cell.

getData(Coordinate). Method in class symantec.itools.db.awt.DbDataSource

Gets the data for a cell.

getData(Coordinate). Method in class symantec.itools.db.awt.DefaultDataSource

Gets the data for a cell.

getData(int, int). Method in interface symantec.itools.db.awt.DataSource

Gets the data for a cell.

getData(int, int). Method in class symantec.itools.db.awt.DbaDataStore

Gets the data element for the specified position.

getData(int, int). Method in class symantec.itools.db.awt.DbDataSource

Gets the data for a cell.

getData(int, int). Method in interface symantec.itools.db.awt.DbDataStore

Gets the data element for the specified result set position

getData(int, int). Method in class symantec.itools.db.awt.DefaultDataSource

Gets the data for a cell.

getDataAt(int). Method in class symantec.itools.db.awt.ComboBox

Gets the value stored at a particular row.

getDataAt(int). Method in class symantec.itools.db.awt.ListPlus

Gets the value stored at a particular row.

getDataBaseDisplayFormat(). Method in class symantec.itools.db.awt.DBTstamp

Gets the current format for displaying database timestamp values.

getDataBaseEntryFormat(). Method in class symantec.itools.db.awt.DBTstamp

Gets the current format for entering database timestamp values.

getDatabaseMetaData(). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Helper method.

getDatabaseProductName(). Method in interface java.sql.DatabaseMetaData

What's the name of this database product?

getDatabaseProductName(). Method in class symantec.itools.db.pro.SessionMetaData

Gets the name of the database product.

getDatabaseProductVersion(). Method in interface java.sql.DatabaseMetaData

What's the version of this database product?

getDatabaseProductVersion(). Method in class symantec.itools.db.pro.SessionMetaData

Gets the version of the database product.

getDataBinding(). Method in class symantec.itools.db.awt.Checkbox

Gets the name of the data item this component is bound to.

getDataBinding(). Method in class symantec.itools.db.awt.ComboBox

Gets the name of the data item this component is bound to.

getDataBinding(). Method in class symantec.itools.db.awt.DBTstamp

Gets the name of the data item this component is bound to.

getDataBinding(). Method in class symantec.itools.db.awt.FormattedTextField

Gets the name of the data item this component is bound to.

getDataBinding(). Method in class symantec.itools.db.awt.Grid

Gets the name of the data item this component is bound to.

getDataBinding(). Method in class symantec.itools.db.awt.ImageViewer

Gets the name of the data item this component is bound to.

getDataBinding(). Method in class symantec.itools.db.awt.Label

Gets the name of the data item this component is bound to.

getDataBinding(). Method in class symantec.itools.db.awt.ListPlus

Gets the name of the data item this component is bound to.

getDataBinding(). Method in class symantec.itools.db.beans.binding.Mediator

Returns the full name of the current input DataItem.

getDataBinding(). Method in class symantec.itools.db.beans.binding.MediatorDS

Returns the full name of the current input DataItem.

getDataBinding(). Method in class symantec.itools.db.awt.NervousText

Gets the name of the data item this component is bound to.

getDataBinding(). Method in class symantec.itools.db.awt.RadioBox

Gets the name of the data item this component is bound to.

getDataBinding(). Method in class symantec.itools.db.awt.TextArea

Gets the name of the data item this component is bound to.

getDataBinding(). Method in class symantec.itools.db.awt.TextField

Gets the name of the data item this component is bound to.

getDataBus(). Method in class symantec.itools.db.beans.binding.Mediator

Gets the current DataBus.

getDataItemName(DataItem). Method in class symantec.itools.db.beans.binding.MediatorDS

Gets the name of the given data item.

getDataModel(). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Gets metadata information for this record.

getDataName(). Method in class symantec.itools.db.beans.binding.QueryNavigator

Gets the database table name.

getDataName(String). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Returns a string that names this record and all of its columns.

getDataName(String). Method in class symantec.itools.db.pro.RelationViewPlus

Gets the full data name of this RelationViewPlus object.

getDataObject(). Method in class symantec.itools.awt.TreeNode

Gets the object associated with this node.

getDataSize(). Method in class java.sql.DataTruncation

Get the number of bytes of data that should have been transferred.

getDataSource(). Method in class symantec.itools.db.awt.RecordNumberLabel

Gets the data source that this component is bound with.

getDataSource(). Method in class symantec.itools.db.awt.RecordStateLabel

Gets the data source that this component is bound with.

getDataString(). Method in class symantec.itools.db.awt.BasicCell

Gets the cell data as a String.

getDataString(Data). Method in class symantec.itools.db.awt.BasicCell

Gets the specified Data as a String.

getDate(). Method in class symantec.itools.awt.util.Calendar

Returns the date that the calendar is set to.

getDate(). Method in class java.util.Date

Returns the day of the month represented by this date.

getDate(). Method in class symantec.itools.db.pro.ProjBinder

Gets the column value as a Java Date object.

getDate(). Method in class symantec.itools.db.pro.Projection

Gets the data value as a java.sql.Date class.

getDate(). Method in class java.sql.Time

Returns the day of the month represented by this date.

getDate(). Method in class symantec.itools.db.awt.Tstamp

Returns the current Tstamp value as a Date.

getDate(). Method in class java.net.URLConnection

Returns the value of the date header field.

getDate(int). Method in interface java.sql.CallableStatement

Get the value of a SQL DATE parameter as a java.sql.Date object

getDate(int). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value as a Java Date object.

getDate(int). Method in class symantec.itools.db.pro.Record

Gets the specified column value as a Java Date object.

getDate(int). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value as a Java Date object.

getDate(int). Method in interface java.sql.ResultSet

Get the value of a column in the current row as a java.sql.Date object.

getDate(String). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value as a Java Date object.

getDate(String). Method in class symantec.itools.db.pro.Record

Gets the specified column value as a Java Date object.

getDate(String). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value as a Java Date object.

getDate(String). Method in interface java.sql.ResultSet

Get the value of a column in the current row as a java.sql.Date object.

getDateFormatSymbols(). Method in class java.text.SimpleDateFormat

Gets the date/time formatting data.

getDateInstance(). Static method in class java.text.DateFormat

Gets the date formatter with the default formatting style for the default locale.

getDateInstance(int). Static method in class java.text.DateFormat

Gets the date formatter with the given formatting style for the default locale.

getDateInstance(int, Locale). Static method in class java.text.DateFormat

Gets the date formatter with the given formatting style for the given locale.

getDateTimeInstance(). Static method in class java.text.DateFormat

Gets the date/time formatter with the default formatting style for the default locale.

getDateTimeInstance(int, int). Static method in class java.text.DateFormat

Gets the date/time formatter with the given date and time formatting styles for the default locale.

getDateTimeInstance(int, int, Locale). Static method in class java.text.DateFormat

Gets the date/time formatter with the given formatting styles for the given locale.

getDay(). Method in class java.util.Date

Returns the day of the week represented by this date.

getDay(). Method in class java.sql.Time

Returns the day of the week represented by this date.

getDBString(). Method in class symantec.itools.db.pro.ConnectionInfo

Returns the database string that will be used to connect to a database.

getDecimalFormatSymbols(). Method in class java.text.DecimalFormat

Returns the decimal format symbols, which is generally not changed by the programmer or user.

getDecimalSeparator(). Method in class java.text.DecimalFormatSymbols

character used for decimal sign.

getDeclaredClasses(). Method in class java.lang.Class

Returns an array of Class objects reflecting all the classes and interfaces declared as members of the class represented by this Class object.

getDeclaredConstructor(Class[]). Method in class java.lang.Class

Returns a Constructor object that reflects the specified declared constructor of the class or interface represented by this Class object.

getDeclaredConstructors(). Method in class java.lang.Class

Returns an array of Constructor objects reflecting all the constructors declared by the class represented by this Class object.

getDeclaredField(String). Method in class java.lang.Class

Returns a Field object that reflects the specified declared field of the class or interface represented by this Class object.

getDeclaredFields(). Method in class java.lang.Class

Returns an array of Field objects reflecting all the fields declared by the class or interface represented by this Class object.

getDeclaredMethod(String, Class[]). Method in class java.lang.Class

Returns a Method object that reflects the specified declared method of the class or interface represented by this Class object.

getDeclaredMethods(). Method in class java.lang.Class

Returns an array of Method objects reflecting all the methods declared by the class or interface represented by this Class object.

getDeclaringClass(). Method in class java.lang.Class

If the class or interface represented by this Class object is a member of another class, returns the Class object representing the class of which it is a member (its declaring class).

getDeclaringClass(). Method in class java.lang.reflect.Constructor

Returns the Class object representing the class that declares the constructor represented by this Constructor object.

getDeclaringClass(). Method in class java.lang.reflect.Field

Returns the Class object representing the class or interface that declares the field represented by this Field object.

getDeclaringClass(). Method in interface java.lang.reflect.Member

Returns the Class object representing the class or interface that declares the member or constructor represented by this Member.

getDeclaringClass(). Method in class java.lang.reflect.Method

Returns the Class object representing the class or interface that declares the method represented by this Method object.

getDecoder(). Method in class symantec.itools.db.awt.StreamImageSource

Creates the proper decoder based on the type of image specified in the constructor.

getDecomposition(). Method in class java.text.Collator

Get the decomposition mode of this Collator.

getDefault(). Static method in class java.util.Locale

Common method of getting the current default Locale.

getDefault(). Static method in class java.util.TimeZone

Gets the default TimeZone for this host.

getDefaultAllowUserInteraction(). Static method in class java.net.URLConnection

Returns the default value of the allowUserInteraction field.

getDefaultColumnAlignment(). Method in class symantec.itools.awt.MultiList

Gets the default column alignment.

getDefaultColumnSorter(). Method in class symantec.itools.awt.MultiList

Gets the default object used to compare column cells for sorting.

getDefaultCursor(). Static method in class java.awt.Cursor

Return the system default cursor.

getDefaultData(). Method in class symantec.itools.db.awt.DefaultDataSource

Gets the default data for the data source.

getDefaultEventIndex(). Method in interface java.beans.BeanInfo

A bean may have a "default" event that is the event that will mostly commonly be used by human's when using the bean.

getDefaultEventIndex(). Method in class java.beans.SimpleBeanInfo

Deny knowledge of a default event.

getDefaultFont(). Static method in class symantec.itools.awt.util.Util

Retrieves a default dialog font.

getDefaultPropertyIndex(). Method in interface java.beans.BeanInfo

A bean may have a "default" property that is the property that will mostly commonly be initially chosen for update by human's who are customizing the bean.

getDefaultPropertyIndex(). Method in class symantec.itools.awt.BorderPanelBeanInfo

Returns the index of the property expected to be changed most often by the designer.

getDefaultPropertyIndex(). Method in class symantec.itools.awt.util.CalendarBeanInfo

Returns the index of the property expected to be changed most often by the designer.

getDefaultPropertyIndex(). Method in class symantec.itools.db.awt.CheckboxBeanInfo

Returns the index of the property expected to be changed most often by the designer.

getDefaultPropertyIndex(). Method in class symantec.itools.awt.ComboBoxBeanInfo

Returns the index of the property expected to be changed most often by the designer.

getDefaultPropertyIndex(). Method in class symantec.itools.db.awt.ComboBoxBeanInfo

Returns the index of the property expected to be changed most often by the designer.

getDefaultPropertyIndex(). Method in class symantec.itools.db.beans.jdbc.ConnectionManagerBeanInfo

Returns the index of the property expected to be changed most often by the designer.

getDefaultPropertyIndex(). Method in class symantec.itools.db.awt.GridBeanInfo

Returns the index of the property expected to be changed most often by the designer.

getDefaultPropertyIndex(). Method in class symantec.itools.db.awt.ImageViewerBeanInfo

Returns the index of the property expected to be changed most often by the designer.

getDefaultPropertyIndex(). Method in class symantec.itools.awt.InfoTipPanelBeanInfo

Returns the index of the property expected to be changed most often by the designer.

getDefaultPropertyIndex(). Method in class symantec.itools.awt.InvisibleHTMLLinkBeanInfo

Returns the index of the property expected to be changed most often by the designer.

getDefaultPropertyIndex(). Method in class symantec.itools.db.beans.jdbc.JdbcConnectionBeanInfo

Returns the index of the property expected to be changed most often by the designer.

getDefaultPropertyIndex(). Method in class symantec.itools.awt.Label3DBeanInfo

Returns the index of the property expected to be changed most often by the designer.

getDefaultPropertyIndex(). Method in class symantec.itools.db.awt.LabelBeanInfo

Returns the index of the property expected to be changed most often by the designer.

getDefaultPropertyIndex(). Method in class symantec.itools.awt.LabelButtonBeanInfo

Returns the index of the property expected to be changed most often by the designer.

getDefaultPropertyIndex(). Method in class symantec.itools.db.awt.ListBeanInfo

Returns the index of the property expected to be changed most often by the designer.

getDefaultPropertyIndex(). Method in class symantec.itools.db.awt.ListPlusBeanInfo

Returns the index of the property expected to be changed most often by the designer.

getDefaultPropertyIndex(). Method in class symantec.itools.db.beans.binding.MediatorBeanInfo

Returns the index of the property expected to be changed most often by the designer.

getDefaultPropertyIndex(). Method in class symantec.itools.db.beans.binding.MediatorDSBeanInfo

Returns the index of the property expected to be changed most often by the designer.

getDefaultPropertyIndex(). Method in class symantec.itools.db.awt.NervousTextBeanInfo

Returns the index of the property expected to be changed most often by the designer.

getDefaultPropertyIndex(). Method in class symantec.itools.multimedia.NervousTextBeanInfo

Returns the index of the property expected to be changed most often by the designer.

getDefaultPropertyIndex(). Method in class symantec.itools.db.beans.binding.QueryNavigatorBeanInfo

Returns the index of the property expected to be changed most often by the designer.

getDefaultPropertyIndex(). Method in class symantec.itools.db.beans.jdbc.QueryNavigatorBeanInfo

Returns the index of the property expected to be changed most often by the designer.

getDefaultPropertyIndex(). Method in class symantec.itools.db.beans.jdbc.RecordDefinitionBeanInfo

Returns the index of the property expected to be changed most often by the designer.

getDefaultPropertyIndex(). Method in class symantec.itools.db.awt.RecordNumberLabelBeanInfo

Returns the index of the property expected to be changed most often by the designer.

getDefaultPropertyIndex(). Method in class symantec.itools.db.awt.RecordStateLabelBeanInfo

Returns the index of the property expected to be changed most often by the designer.

getDefaultPropertyIndex(). Method in class java.beans.SimpleBeanInfo

Deny knowledge of a default property.

getDefaultPropertyIndex(). Method in class symantec.itools.awt.StatusBarBeanInfo

Returns the index of the property expected to be changed most often by the designer.

getDefaultPropertyIndex(). Method in class symantec.itools.awt.util.StatusScrollerBeanInfo

Returns the index of the property expected to be changed most often by the designer.

getDefaultPropertyIndex(). Method in class symantec.itools.awt.TabPanelBeanInfo

Returns the index of the property expected to be changed most often by the designer.

getDefaultPropertyIndex(). Method in class symantec.itools.db.awt.TextAreaBeanInfo

Returns the index of the property expected to be changed most often by the designer.

getDefaultPropertyIndex(). Method in class symantec.itools.db.awt.TextFieldBeanInfo

Returns the index of the property expected to be changed most often by the designer.

getDefaultPropertyIndex(). Method in class symantec.itools.awt.WizardBeanInfo

Returns the index of the property expected to be changed most often by the designer.

getDefaultPropertyIndex(). Method in class symantec.itools.awt.WrappingLabelBeanInfo

Returns the index of the property expected to be changed most often by the designer.

getDefaultRequestProperty(String). Static method in class java.net.URLConnection

Returns the value of the default request property.

getDefaultStream(). Static method in class java.rmi.server.LogStream

Return the current default stream for new logs.

getDefaultToolkit(). Static method in class java.awt.Toolkit

Gets the default toolkit.

getDefaultTransactionIsolation(). Method in interface java.sql.DatabaseMetaData

What's the database's default transaction isolation level? The values are defined in java.sql.Connection.

getDefaultTransactionIsolation(). Method in class symantec.itools.db.pro.SessionMetaData

Determines the database's default transaction isolation level.

getDefaultUseCaches(). Method in class java.net.URLConnection

Returns the default value of a URLConnection's useCaches flag.

getDelay(). Method in class symantec.itools.multimedia.Animator

Returns the current delay between animation frames.

getDelay(). Method in class symantec.itools.awt.util.spinner.SpinButtonPanel

Returns the current delay between notification events of the spinner buttons in milliseconds.

getDelay(). Method in class symantec.itools.awt.util.spinner.Spinner

Returns the current delay between notification events of the spinner buttons in milliseconds.

getDelay(). Method in class symantec.itools.awt.util.StatusScroller

Gets the time between the display of each character in milliseconds.

getDelay(). Method in class symantec.itools.util.Timer

Obtains the delay time setting for this timer.

getDeleteButton(). Method in class symantec.itools.db.awt.Grid

Gets whether the Grid has this button.

getDeleteStatement(). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Gets a pre-compiled SQL statement to use for deleting the current row from the database.

getDepth(). Method in class symantec.itools.awt.TreeNode

Gets the depth of this node as previously noted.

getDescent(). Method in class java.awt.FontMetrics

Determines the font descent of the font described by this font metric.

getDescription(int). Method in class symantec.itools.multimedia.SlideShow

Return the description of the image at the given index.

getDesignTimeProperties(). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Gets the temporary table that contains design-time properties.

getDetailProperties(). Method in class symantec.itools.db.pro.AutoDetail

Gets the properties of this Detail object.

getDigit(). Method in class java.text.DecimalFormatSymbols

character used for a digit in a pattern.

getDirection(). Method in class symantec.itools.awt.DirectionButton

Returns the direction the button is currently pointing.

getDirectory(). Method in class java.awt.FileDialog

Gets the directory of this file dialog.

getDirList(). Method in class symantec.itools.db.awt.FtpClient

Retrieves a list of directories in the host's current directory.

getDirName(String). Method in class symantec.itools.db.awt.FtpClient

Returns just the directory name of a host file list entry.

getDisplayCountry(). Method in class java.util.Locale

Getter for display of field to user.

getDisplayCountry(Locale). Method in class java.util.Locale

Getter for display of field to user.

getDisplayFormat(). Method in class symantec.itools.db.awt.Tstamp

Returns the current display format.

getDisplayLanguage(). Method in class java.util.Locale

Getter for display of field to user.

getDisplayLanguage(Locale). Method in class java.util.Locale

Getter for display of field to user.

getDisplayName(). Method in class java.beans.FeatureDescriptor

getDisplayName(). Method in class java.util.Locale

Getter for display of the entire locale to user.

getDisplayName(Locale). Method in class java.util.Locale

Getter for display of the entire locale to user.

getDisplayVariant(). Method in class java.util.Locale

Getter for display of field to user.

getDisplayVariant(Locale). Method in class java.util.Locale

Getter for display of field to user If the localized name is not found, returns the variant code.

getDocumentBase(). Method in class java.applet.Applet

Gets the document URL.

getDocumentBase(). Method in interface java.applet.AppletStub

Gets the document URL.

getDocumentBase(). Static method in class symantec.itools.lang.Context

Returns the current document base.

getDoInput(). Method in class java.net.URLConnection

Returns the value of this URLConnection's doInput flag.

getDoOutput(). Method in class java.net.URLConnection

Returns the value of this URLConnection's doOutput flag.

getDouble(). Method in class symantec.itools.db.pro.ProjBinder

Gets the column value as a Java double.

getDouble(). Method in class symantec.itools.db.pro.Projection

Gets the data value as a Java double.

getDouble(int). Method in interface java.sql.CallableStatement

Get the value of a DOUBLE parameter as a Java double.

getDouble(int). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value as a Java double.

getDouble(int). Method in class symantec.itools.db.pro.Record

Gets the specified column value as a Java double.

getDouble(int). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value as a Java double.

getDouble(int). Method in interface java.sql.ResultSet

Get the value of a column in the current row as a Java double.

getDouble(Object). Method in class java.lang.reflect.Field

Get the value of a field as a double on specified object.

getDouble(Object, int). Static method in class java.lang.reflect.Array

Returns the value of the indexed component in the specified array object, as a double.

getDouble(String). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value as a Java double.

getDouble(String). Method in class symantec.itools.db.pro.Record

Gets the specified column value as a Java double.

getDouble(String). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value as a Java double.

getDouble(String). Method in interface java.sql.ResultSet

Get the value of a column in the current row as a Java double.

getDownFileName(). Method in class symantec.itools.awt.RollOverButton

Gets the file name of the image to display while the button is being pressed.

getDownImage(). Method in class symantec.itools.awt.RollOverButton

Gets the image displayed while the button is being pressed.

getDownURL(). Method in class symantec.itools.awt.RollOverButton

Gets the URL of the image to display while the button is being pressed.

getDrawBoxes(). Method in class symantec.itools.awt.util.ProgressBar

getDriver(String). Static method in class java.sql.DriverManager

Attempt to locate a driver that understands the given URL.

getDriverMajorVersion(). Method in interface java.sql.DatabaseMetaData

What's this JDBC driver's major version number?

getDriverMajorVersion(). Method in class symantec.itools.db.pro.SessionMetaData

Gets the major version number of the JDBC driver.

getDriverMinorVersion(). Method in interface java.sql.DatabaseMetaData

What's this JDBC driver's minor version number?

getDriverMinorVersion(). Method in class symantec.itools.db.pro.SessionMetaData

Gets the minor version number of the JDBC driver.

getDriverName(). Method in interface java.sql.DatabaseMetaData

What's the name of this JDBC driver?

getDriverName(). Method in class symantec.itools.db.beans.jdbc.JdbcConnection

Gets the driverName property.

getDriverName(). Method in class symantec.itools.db.pro.SessionMetaData

Gets the name of the JDBC driver.

getDrivers(). Static method in class java.sql.DriverManager

Return an Enumeration of all the currently loaded JDBC drivers which the current caller has access to.

getDriverVersion(). Method in interface java.sql.DatabaseMetaData

What's the version of this JDBC driver?

getDriverVersion(). Method in class symantec.itools.db.pro.SessionMetaData

Gets the version of the JDBC driver.

getDynamicUpdate(). Method in class symantec.itools.db.awt.Checkbox

Indicates when the component commits its changes.

getDynamicUpdate(). Method in class symantec.itools.db.awt.ComboBox

Indicates when the component commits its changes.

getDynamicUpdate(). Method in class symantec.itools.db.awt.DBTstamp

Indicates when the component commits its changes.

getDynamicUpdate(). Method in class symantec.itools.db.awt.FormattedTextField

Indicates when the component commits its changes.

getDynamicUpdate(). Method in class symantec.itools.db.awt.ImageViewer

Indicates when the component commits its changes.

getDynamicUpdate(). Method in class symantec.itools.db.awt.Label

Indicates when the component commits its changes.

getDynamicUpdate(). Method in class symantec.itools.db.awt.List

Indicates when the component commits its changes.

getDynamicUpdate(). Method in class symantec.itools.db.awt.NervousText

Indicates when the component commits its changes.

getDynamicUpdate(). Method in class symantec.itools.db.awt.RadioBox

Indicates when the component commits its changes.

getDynamicUpdate(). Method in class symantec.itools.db.awt.StateCheckBox

Indicates when the component commits its changes.

getDynamicUpdate(). Method in class symantec.itools.db.awt.TextArea

Indicates when the component commits its changes.

getDynamicUpdate(). Method in class symantec.itools.db.awt.TextField

Indicates when the component commits its changes.

getEchoChar(). Method in class java.awt.TextField

Gets the character that is to be used for echoing.

getEditable(). Method in class symantec.itools.awt.ComboBox

getEditable(). Method in class symantec.itools.awt.util.spinner.Spinner

getEdited(int). Method in class symantec.itools.awt.ImageListBox

getEditFont(). Method in class symantec.itools.db.awt.DBTstamp

Gets the font used for editable text.

getEditFont(). Method in class symantec.itools.awt.FormattedTextField

getEditorSearchPath(). Static method in class java.beans.PropertyEditorManager

getElementAt(int). Method in class symantec.itools.db.beans.binding.QueryNavigator

Gets the object stored in the QueryNavigator at the given position.

getEmptyMeansNull(). Method in class symantec.itools.db.awt.Checkbox

Gets the value of the Empty Means Null property.

getEmptyMeansNull(). Method in class symantec.itools.db.awt.ComboBox

Gets the value of the Empty Means Null property.

getEmptyMeansNull(). Method in class symantec.itools.db.awt.DBTstamp

Gets the value of the Empty Means Null property.

getEmptyMeansNull(). Method in class symantec.itools.db.awt.FormattedTextField

Gets the value of the Empty Means Null property.

getEmptyMeansNull(). Method in class symantec.itools.db.awt.List

Gets the value of the Empty Means Null property.

getEmptyMeansNull(). Method in class symantec.itools.db.beans.binding.Mediator

Gets the way empty values are treated.

getEmptyMeansNull(). Method in class symantec.itools.db.awt.ProjectionBeanHelper

Gets the value of the Empty Means Null property.

getEmptyMeansNull(). Method in class symantec.itools.db.awt.RadioBox

Gets the value of the Empty Means Null property.

getEmptyMeansNull(). Method in class symantec.itools.db.awt.StateCheckBox

Gets the value of the Empty Means Null property.

getEmptyMeansNull(). Method in class symantec.itools.db.awt.TextArea

Gets the value of the Empty Means Null property.

getEmptyMeansNull(). Method in class symantec.itools.db.awt.TextField

Gets the value of the Empty Means Null property.

getEnabled(). Method in class symantec.itools.util.Timer

getEnabledTextColor(int). Method in class symantec.itools.awt.ImageListBox

Gets the text color for an item at the given index.

getEncoded(). Method in interface java.security.Key

Returns the encoded key.

getEncoding(). Method in class java.io.InputStreamReader

Return the name of the encoding being used by this stream.

getEncoding(). Method in class java.io.OutputStreamWriter

Return the name of the encoding being used by this stream.

getEndIndex(). Method in interface java.text.CharacterIterator

Return the end index of the text.

getEndIndex(). Method in class java.text.FieldPosition

Retrieve the index of the character following the last character in the requested field.

getEndIndex(). Method in class java.text.StringCharacterIterator

Return the end index of the text.

getEnforceMinDim(). Method in class symantec.itools.awt.SplitterPanel

getEntry(String). Method in class java.util.zip.ZipFile

Returns the ZIP file entry for the given path name.

getEntryFieldText(). Method in class symantec.itools.awt.util.spinner.Spinner

Returns the text that is in the entry TextField.

getEntryFormat(). Method in class symantec.itools.db.awt.Tstamp

Returns the current entry format.

getenv(String). Static method in class java.lang.System

Gets an environment variable.

getEras(). Method in class java.text.DateFormatSymbols

Gets era strings.

getError(int). Method in class symantec.itools.db.awt.FtpClient

Gets the error message corresponding to the given FTP error number.

getErrorCode(). Method in class java.sql.SQLException

Get the vendor specific exception code

getErrorOffset(). Method in class java.text.ParseException

Returns the position where the error was found.

getErrorsAny(). Method in class java.awt.MediaTracker

Returns a list of all media that have encountered an error.

getErrorsID(int). Method in class java.awt.MediaTracker

Returns a list of media with the specified ID that have encountered an error.

getErrorStream(). Method in class java.lang.Process

Gets the error stream of the subprocess.

getEventSetDescriptors(). Method in interface java.beans.BeanInfo

getEventSetDescriptors(). Method in class symantec.itools.db.beans.jdbc.JdbcConnectionBeanInfo

Gets an array of descriptions of the events generated by this bean.

getEventSetDescriptors(). Method in class java.beans.SimpleBeanInfo

Deny knowledge of event sets.

getException(). Method in class java.lang.ExceptionInInitializerError

Returns the exception that occurred during a static initialization that caused this Error to be created.

getExceptionTypes(). Method in class java.lang.reflect.Constructor

Returns an array of Class objects that represent the types of the checked exceptions thrown by the underlying constructor represented by this Constructor object.

getExceptionTypes(). Method in class java.lang.reflect.Method

Returns an array of Class objects that represent the types of the checked exceptions thrown by the underlying method represented by this Method object.

getExpiration(). Method in class java.net.URLConnection

Returns the value of the expires header field.

getExportedKeys(String, String, String). Method in interface java.sql.DatabaseMetaData

Get a description of the foreign key columns that reference a table's primary key columns (the foreign keys exported by a table).

getExportedKeys(String, String, String). Method in class symantec.itools.db.pro.SessionMetaData

Gets information about the foreign keys in other tables which reference the primary key in the specified table.

getExpr(). Method in class symantec.itools.beans.ConnectionDescriptor

Gets the current expression string.

getExtra(). Method in class java.util.zip.ZipEntry

Returns the extra field data for the entry, or null if none.

getExtraNameCharacters(). Method in interface java.sql.DatabaseMetaData

Get all the "extra" characters that can be used in unquoted identifier names (those beyond a-z, A-Z, 0-9 and _).

getExtraNameCharacters(). Method in class symantec.itools.db.pro.SessionMetaData

Gets all of the non-standard characters that may be used in indentifier names.

getFadeToColor(). Method in class symantec.itools.awt.image.FadeFilter

Gets the color used to fade to when filtering.

getFailureHandler(). Static method in class java.rmi.server.RMISocketFactory

Returns the handler for socket creation failure.

getFalseValue(). Method in class symantec.itools.db.awt.Checkbox

Gets the string sent to the database server to indicate that this checkbox is unchecked.

getFamily(). Method in class java.awt.Font

Gets the platform specific family name of the font.

getFD(). Method in class java.io.FileInputStream

Returns the opaque file descriptor object associated with this stream.

getFD(). Method in class java.io.FileOutputStream

Returns the file descriptor associated with this stream.

getFD(). Method in class java.io.RandomAccessFile

Returns the opaque file descriptor object associated with this stream.

getFgHilite(). Method in class symantec.itools.awt.TreeView

getField(). Method in class java.text.FieldPosition

Retrieve the field identifier.

getField(String). Method in class java.lang.Class

Returns a Field object that reflects the specified public member field of the class or interface represented by this Class object.

getFields(). Method in class java.lang.Class

Returns an array containing Field objects reflecting all the accessible public fields of the class or interface represented by this Class object.

getFile(). Method in class java.awt.FileDialog

Gets the selected file of this file dialog.

getFile(). Method in class java.net.URL

Returns the file name of this URL.

getFile(String). Method in class symantec.itools.db.awt.FtpClient

Implements the RETR (get file) command, returning a DataInputStream for the specified host file.

getFileDescriptor(). Method in class java.net.DatagramSocketImpl

Get the datagram socket file descriptor

getFileDescriptor(). Method in class java.net.SocketImpl

Returns the value of this socket's fd field.

getFileList(). Method in class symantec.itools.db.awt.FtpClient

Retrieves a list of files in the host's current directory.

getFileName(). Method in class symantec.itools.multimedia.ImageViewer

Obtain the filename associated with the current image.

getFileName(String). Method in class symantec.itools.db.awt.FtpClient

Returns just the file name of a host file list entry.

getFilenameFilter(). Method in class java.awt.FileDialog

Determines this file dialog's filename filter.

getFilePointer(). Method in class java.io.RandomAccessFile

Returns the current offset in this file.

getFillColor(). Method in class symantec.itools.awt.shape.Shape

Returns the current fill color of the shape.

getFillMode(). Method in class symantec.itools.awt.shape.Shape

getFilterInstance(ImageConsumer). Method in class java.awt.image.ImageFilter

Returns a unique instance of an ImageFilter object which will actually perform the filtering for the specified ImageConsumer.

getFirstDayOfWeek(). Method in class java.util.Calendar

Gets what the first day of the week is; e.g., Sunday in US, Monday in France.

getFloat(). Method in class symantec.itools.db.pro.ProjBinder

Gets the column value as a Java float.

getFloat(). Method in class symantec.itools.db.pro.Projection

Gets the data value as a Java float.

getFloat(int). Method in interface java.sql.CallableStatement

Get the value of a FLOAT parameter as a Java float.

getFloat(int). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value as a Java float.

getFloat(int). Method in class symantec.itools.db.pro.Record

Gets the specified column value as a Java float.

getFloat(int). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value as a Java float.

getFloat(int). Method in interface java.sql.ResultSet

Get the value of a column in the current row as a Java float.

getFloat(Object). Method in class java.lang.reflect.Field

Get the value of a field as a float on specified object.

getFloat(Object, int). Static method in class java.lang.reflect.Array

Returns the value of the indexed component in the specified array object, as a float.

getFloat(String). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value as a Java float.

getFloat(String). Method in class symantec.itools.db.pro.Record

Gets the specified column value as a Java float.

getFloat(String). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value as a Java float.

getFloat(String). Method in interface java.sql.ResultSet

Get the value of a column in the current row as a Java float.

getFocusOwner(). Method in class java.awt.Window

Returns the child component of this Window which has focus if and only if this Window is active.

getFollowRedirects(). Static method in class java.net.HttpURLConnection

getFont(). Method in class java.awt.Component

Gets the font of this component.

getFont(). Method in class java.awt.FontMetrics

Gets the font described by this font metric.

getFont(). Method in class java.awt.Graphics

Gets the current font.

getFont(). Method in class java.awt.MenuComponent

Gets the font used for this menu component.

getFont(). Method in interface java.awt.MenuContainer

getFont(String). Static method in class java.awt.Font

Gets a font from the system properties list.

getFont(String, Font). Static method in class java.awt.Font

Gets the specified font from the system properties list.

getFontHeight(Font). Static method in class symantec.itools.awt.util.Util

Determines the height of the font specified.

getFontHeight(FontMetrics). Static method in class symantec.itools.awt.util.Util

Determines the height of the font given the metrics of that font.

getFontHeight(Graphics). Static method in class symantec.itools.awt.util.Util

Determines the height of the font being used by the given graphics context.

getFontList(). Method in class java.awt.Toolkit

Returns the names of the available fonts in this toolkit.

For 1.1, the following font names are deprecated (the replacement name follows):

•	TimesRoman (use Serif)

•	Helvetica (use SansSerif)

•	Courier (use Monospaced)

The ZapfDingbats font is also deprecated in 1.1, but only as a separate fontname.

getFontMetrics(). Method in class java.awt.Graphics

Gets the font metrics of the current font.

getFontMetrics(Font). Method in class java.awt.Component

Gets the font metrics for the specified font.

getFontMetrics(Font). Method in interface java.awt.peer.ComponentPeer

getFontMetrics(Font). Method in class java.awt.Graphics

Gets the font metrics for the specified font.

getFontMetrics(Font). Method in class java.awt.Toolkit

Gets the screen metrics of the font.

getFontPeer(String, int). Method in class java.awt.Toolkit

Creates this toolkit's implementation of Font using the specified peer interface.

getForeground(). Method in class java.awt.Component

Gets the foreground color of this component.

getForm(). Method in class symantec.itools.beans.ConnectionDescriptor

Gets the current form string.

getFormat(). Method in interface java.security.Certificate

Returns the name of the coding format.

getFormat(). Method in interface java.security.Key

Returns the format used to encode the key or null if the key does not support encoding.

getFormats(). Method in class java.text.ChoiceFormat

Get the formats passed in the constructor.

getFormats(). Method in class java.text.MessageFormat

Gets formats that were set with setFormats.

getFormattedText(). Method in class symantec.itools.awt.FormattedTextField

Gets the displayed contents of the component.

getFrame(). Method in class symantec.itools.awt.ButtonBase

Gets the frame specifier for showing a URL document in a browser or applet viewer.

getFrame(). Method in class symantec.itools.awt.InvisibleHTMLLink

Gets the frame specifier for showing a URL document in a browser or applet viewer.

getFrame(). Method in class symantec.itools.awt.RollOverButton

Gets the frame specifier for showing a URL document in a browser or applet viewer.

getFrame(). Method in class symantec.itools.multimedia.ScrollingText

Obtain the display location of linked pages.

getG(). Method in interface java.security.interfaces.DSAParams

Returns the base, g.

getGapColor(). Method in class symantec.itools.awt.SplitterPanel

Gets the color of the gap between panels and around the outside border.

getGapWidth(). Method in class symantec.itools.awt.util.ProgressBar

Get the gap width of the boxes drawn for the progress bar.

getGetMethods(). Method in class symantec.itools.db.beans.binding.Mediator

Gets the methods used to get a component's value.

getGotoButton(). Method in class symantec.itools.db.awt.Grid

Gets whether the Grid has this button.

getGraphics(). Method in class java.awt.Component

Creates a graphics context for this component.

getGraphics(). Method in interface java.awt.peer.ComponentPeer

getGraphics(). Method in class java.awt.Image

Creates a graphics context for drawing to an off-screen image.

getGraphics(). Method in class java.awt.PrintJob

Gets a Graphics object that will draw to the next page.

getGraphics(Image, Component). Static method in class symantec.itools.awt.util.Util

Preserves the font information of a graphics object retrieved from an image.

getGreatestMinimum(int). Method in class java.util.Calendar

Gets the highest minimum value for the given field if varies.

getGreatestMinimum(int). Method in class java.util.GregorianCalendar

Returns highest minimum value for the given field if varies.

getGreen(). Method in class java.awt.Color

Gets the green component of this color.

getGreen(int). Method in class java.awt.image.ColorModel

The subclass must provide a function which provides the green color compoment for the specified pixel.

getGreen(int). Method in class java.awt.image.DirectColorModel

Returns the green color compoment for the specified pixel in the range 0-255.

getGreen(int). Method in class java.awt.image.IndexColorModel

Returns the green color compoment for the specified pixel in the range 0-255.

getGreenMask(). Method in class java.awt.image.DirectColorModel

Returns the mask indicating which bits in a pixel contain the green color component.

getGreens(byte[]). Method in class java.awt.image.IndexColorModel

Copies the array of green color components into the given array.

getGregorianChange(). Method in class java.util.GregorianCalendar

Gets the Gregorian Calendar change date.

getGroupingSeparator(). Method in class java.text.DecimalFormatSymbols

character used for thousands separator.

getGroupingSize(). Method in class java.text.DecimalFormat

Return the grouping size.

getGuarantor(). Method in interface java.security.Certificate

Returns the guarantor of the certificate, that is, the principal guaranteeing that the public key associated with this certificate is that of the principal associated with this certificate.

getHAdjustable(). Method in class java.awt.ScrollPane

Returns the Adjustable object which represents the state of the horizontal scrollbar.

getHeaderField(int). Method in class java.net.URLConnection

Returns the value for the nth header field.

getHeaderField(String). Method in class java.net.URLConnection

Returns the value of the specified header field.

getHeaderFieldDate(String, long). Method in class java.net.URLConnection

Returns the value of the named field parsed as date.

getHeaderFieldInt(String, int). Method in class java.net.URLConnection

Returns the value of the named field parsed as a number.

getHeaderFieldKey(int). Method in class java.net.URLConnection

Returns the key for the nth header field.

getHeading(int). Method in class symantec.itools.awt.MultiList

Returns the heading text of the specified column.

getHeadingBg(). Method in class symantec.itools.awt.MultiList

Returns the color of the column heading text background.

getHeadingFg(). Method in class symantec.itools.awt.MultiList

Returns the color of the column heading text foreground.

getHeadingFont(). Method in class symantec.itools.awt.MultiList

Returns the font for column heading text.

getHeadings(). Method in class symantec.itools.awt.MultiList

Gets a String array of all of the column headings.

getHeight(). Method in class java.awt.FontMetrics

Gets the standard height of a line of text in this font.

getHeight(). Method in class java.awt.image.PixelGrabber

Get the height of the pixel buffer (after adjusting for image height).

getHeight(ImageObserver). Method in class java.awt.Image

Determines the height of the image.

getHelpMenu(). Method in class java.awt.MenuBar

Gets the help menu on the menu bar.

getHgap(). Method in class java.awt.BorderLayout

Returns the horizontal gap between components.

getHgap(). Method in class java.awt.CardLayout

Gets the horizontal gap between components.

getHgap(). Method in class java.awt.FlowLayout

Gets the horizontal gap between components.

getHgap(). Method in class java.awt.GridLayout

Gets the horizontal gap between components.

getHighlightBounds(int, int). Method in class symantec.itools.awt.InfoTipPanel

Determines the rectangle which bounds the area that should be highlighted.

getHighlightText(). Method in class symantec.itools.awt.InfoTipPanel

Gets the current value of the "Highlight Text" property which determines whether the text will be highlighted with the current textHighlightColor or not.

getHiliteColor(). Method in class symantec.itools.multimedia.ScrollingText

Obtain the current color for text highlighting

getHorizontalGap(). Method in class symantec.itools.awt.ScrollingPanel

getHost(). Method in class java.net.URL

Returns the host name of this URL, if applicable.

getHostAddress(). Method in class java.net.InetAddress

Returns the IP address string "%d.%d.%d.%d"

getHostName(). Method in class java.net.InetAddress

Returns the fully qualified host name for this address.

getHours(). Method in class java.sql.Date

Returns the hour represented by this date.

getHours(). Method in class java.util.Date

Returns the hour represented by this date.

getHSBColor(float, float, float). Static method in class java.awt.Color

Creates a Color object based on values supplied for the HSB color model.

getHScrollbarHeight(). Method in class java.awt.ScrollPane

Returns the height that would be occupied by a horizontal scrollbar, which is independent of whether it is currently displayed by the scroll pane or not.

getHScrollbarHeight(). Method in interface java.awt.peer.ScrollPanePeer

getHumanPresentableName(). Method in class java.awt.datatransfer.DataFlavor

Returns the human presentable name for the data foramt that this DataFlavor represents.

getIcon(int). Method in class symantec.itools.multimedia.AnimatorBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in interface java.beans.BeanInfo

This method returns an image object that can be used to represent the bean in toolboxes, toolbars, etc.

getIcon(int). Method in class symantec.itools.awt.BorderPanelBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.util.CalendarBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.db.awt.CheckboxBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.shape.CircleBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.ComboBoxBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.db.awt.ComboBoxBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.db.beans.jdbc.ConnectionManagerBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.util.spinner.DaySpinnerBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.db.awt.DBTstampBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.DirectionButtonBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.shape.EllipseBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class geo.emblaze.Emblaze20BeanInfo

Claim there are no icons available.

getIcon(int). Method in class symantec.itools.multimedia.FireworkBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.FormattedTextFieldBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.db.awt.FormattedTextFieldBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.db.awt.GridBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.shape.HorizontalLineBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.HorizontalSliderBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.ImageButtonBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.ImageHTMLLinkBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.ImageListBoxBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.ImagePanelBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.db.awt.ImageViewerBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.multimedia.ImageViewerBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.InfoTipPanelBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.util.edit.IntlLongDistPhoneNumberBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.InvisibleButtonBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.InvisibleHTMLLinkBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.db.beans.jdbc.JdbcConnectionBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.KeyPressManagerPanelBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.Label3DBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.db.awt.LabelBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.LabelButtonBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.LabelHTMLLinkBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.shape.LineBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.db.awt.ListBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.db.awt.ListPlusBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.util.spinner.ListSpinnerBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.util.edit.LocalPhoneNumberBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.util.edit.LongZipCodeBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.db.beans.binding.MediatorBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.db.beans.binding.MediatorDSBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.util.spinner.MonthSpinnerBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.multimedia.MovingAnimationBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.MultiListBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.db.awt.NervousTextBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.multimedia.NervousTextBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.util.spinner.NumericSpinnerBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.multimedia.PlasmaBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.util.edit.PostalCodeBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.util.ProgressBarBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.db.beans.binding.QueryNavigatorBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.db.beans.jdbc.QueryNavigatorBeanInfo

Claim there are no icons available.

getIcon(int). Method in class symantec.itools.db.awt.RadioBoxBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.RadioButtonGroupPanelBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.db.beans.jdbc.RecordDefinitionBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.db.awt.RecordNumberLabelBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.db.awt.RecordStateLabelBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.shape.RectBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.RollOverButtonBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.ScrollingPanelBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.multimedia.ScrollingTextBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class java.beans.SimpleBeanInfo

Claim there are no icons available.

getIcon(int). Method in class symantec.itools.awt.util.edit.SocialInsuranceNumberBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.util.edit.SocialSecurityNumberBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.multimedia.SoundPlayerBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.SplitterPanelBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.shape.SquareBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.StateCheckBoxBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.db.awt.StateCheckBoxBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.StatusBarBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.util.StatusScrollerBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.TabPanelBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.db.awt.TextAreaBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.db.awt.TextFieldBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.util.ToolBarPanelBeanInfo

Claim there are no icons available.

getIcon(int). Method in class symantec.itools.awt.util.ToolBarSpacerBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.TreeViewBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.util.edit.USLongDistPhoneNumberBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.shape.VerticalLineBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.VerticalSliderBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.WizardBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.WrappingLabelBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIcon(int). Method in class symantec.itools.awt.util.edit.ZipCodeBeanInfo

Gets an image that may be used to visually represent this bean (in the toolbar, on a form, etc).

getIconImage(). Method in class java.awt.Frame

Gets the icon image for this frame.

getID(). Method in class java.awt.AWTEvent

Returns the event type.

getID(). Method in class java.util.TimeZone

Gets the ID of this time zone.

getIdentifier(). Method in class symantec.itools.db.beans.jdbc.JdbcConnection

Gets the identifier property.

getIdentifierQuoteString(). Method in interface java.sql.DatabaseMetaData

What's the string used to quote SQL identifiers? This returns a space " " if identifier quoting isn't supported.

getIdentifierQuoteString(). Method in class symantec.itools.db.pro.SessionMetaData

Determines the string used to quote SQL identifiers.

getIdentity(Principal). Method in class java.security.IdentityScope

Retrieves the identity whose name is the same as that of the specified principal.

getIdentity(PublicKey). Method in class java.security.IdentityScope

Retrieves the identity with the specified public key.

getIdentity(String). Method in class java.security.IdentityScope

Returns the identity in this scope with the specified name (if any).

getIfModifiedSince(). Method in class java.net.URLConnection

Returns the value of this object's ifModifiedSince field.

getImage(). Method in class symantec.itools.awt.ImagePanel

Returns the image being displayed in this panel.

getImage(). Method in class symantec.itools.db.awt.ImageViewer

Gets this component's Image.

getImage(). Method in class symantec.itools.multimedia.ImageViewer

Obtain the image currently being displayed.

getImage(). Method in class symantec.itools.awt.multiList.TextAndImageCell

Returns this cell's image.

getImage(). Method in class symantec.itools.awt.TreeNode

Gets the proper image for this node in its current state, expanded or collapsed.

getImage(Coordinate). Method in interface symantec.itools.db.awt.DataSource

Gets an image representation of a cell's data

getImage(Coordinate). Method in class symantec.itools.db.awt.DbDataSource

Gets an image representation of a cell's data

getImage(Coordinate). Method in class symantec.itools.db.awt.DefaultDataSource

Gets an image representation of a cell's data

getImage(int). Method in class symantec.itools.awt.ImageListBox

Gets the image associated with the specified zero-relative index.

getImage(String). Method in class java.awt.Toolkit

Returns an image which gets pixel data from the specified file.

getImage(URL). Method in class java.applet.Applet

Returns an Image object that can then be painted on the screen.

getImage(URL). Method in interface java.applet.AppletContext

Returns an Image object that can then be painted on the screen.

getImage(URL). Method in class java.awt.Toolkit

Returns an image which gets pixel data from the specified URL.

getImage(URL, String). Method in class java.applet.Applet

Returns an Image object that can then be painted on the screen.

getImageList(). Method in class symantec.itools.multimedia.Animator

Returns the image list.

getImageStyle(). Method in class symantec.itools.awt.ImageButton

Gets the current panel image style.

getImageType(). Method in class symantec.itools.db.awt.ImageViewer

Gets the type of image loaded.

getImageURL(). Method in class symantec.itools.awt.ImageButton

Returns the URL of the image being displayed in the button.

getImageURL(). Method in class symantec.itools.awt.ImagePanel

Returns the URL of the image being displayed in this panel.

getImageURL(). Method in class symantec.itools.multimedia.ImageViewer

Obtain the URL associated with the current image.

getImageURL(int). Method in class symantec.itools.awt.ImageListBox

Gets the URL of the image displayed at the given zero-based index.

getImportedKeys(String, String, String). Method in interface java.sql.DatabaseMetaData

Get a description of the primary key columns that are referenced by a table's foreign key columns (the primary keys imported by a table).

getImportedKeys(String, String, String). Method in class symantec.itools.db.pro.SessionMetaData

Gets information about the foreign keys in the specified table, and the primary keys to which they refer.

getInCheck(). Method in class java.lang.SecurityManager

Tests if there is a security check in progress.

getIncrement(). Method in class symantec.itools.awt.util.spinner.NumericSpinner

Gets the increment/decrement value.

getIndex(). Method in interface java.text.CharacterIterator

Return the current index.

getIndex(). Method in class java.sql.DataTruncation

Get the index of the column or parameter that was truncated.

getIndex(). Method in class java.text.ParsePosition

Retrieve the current parse position.

getIndex(). Method in class java.text.StringCharacterIterator

Return the current index.

getIndexedPropertyType(). Method in class java.beans.IndexedPropertyDescriptor

getIndexedReadMethod(). Method in class java.beans.IndexedPropertyDescriptor

getIndexedWriteMethod(). Method in class java.beans.IndexedPropertyDescriptor

getIndexFromOne(). Method in class symantec.itools.db.awt.ListPlus

Gets the one-relative index of the currently selected list item.

getIndexFromOne(). Method in class symantec.itools.db.awt.ListPlus

getIndexInfo(String, String, String, boolean, boolean). Method in interface java.sql.DatabaseMetaData

Get a description of a table's indices and statistics.

getIndexInfo(String, String, String, boolean, boolean). Method in class symantec.itools.db.pro.SessionMetaData

Gets information about indexes for the specified table.

getInetAddress(). Method in class java.net.ServerSocket

Returns the local address of this server socket.

getInetAddress(). Method in class java.net.Socket

Returns the address to which the socket is connected.

getInetAddress(). Method in class java.net.SocketImpl

Returns the value of this socket's address field.

getInfinity(). Method in class java.text.DecimalFormatSymbols

character used to represent infinity.

getInfo(). Method in class java.security.Identity

Returns general information previously specified for this identity.

getInfo(). Method in class java.security.Provider

Returns a human-readable description of the provider and its services.

getInfoTipPanel(). Static method in class symantec.itools.awt.InfoTipManager

Creates a new panel for the InfoTip as needed, and then returns it.

getInit(). Method in class symantec.itools.beans.ConnectionDescriptor

Gets the current init string.

getInitialRecordPos(). Method in class symantec.itools.db.pro.Request

Gets the value of the initial record position ("recPosition") property.

getInitialRecordPosition(). Method in class symantec.itools.db.pro.RelationView

Gets the value of the InitialRecordPosition property.

getInputStream(). Method in class symantec.itools.db.awt.ImageViewer

Gets the image input stream.

getInputStream(). Method in class java.lang.Process

Gets the input stream of the subprocess.

getInputStream(). Method in interface java.rmi.server.RemoteCall

Get the InputStream that the stub/skeleton should get results/arguments from.

getInputStream(). Method in class java.net.Socket

Returns an input stream for this socket.

getInputStream(). Method in class java.net.SocketImpl

Returns an input stream for this socket.

getInputStream(). Method in class java.net.URLConnection

Returns an input stream that reads from this open connection.

getInputStream(ZipEntry). Method in class java.util.zip.ZipFile

Returns an input stream for reading the contents of the specified ZIP file entry.

getInsertButton(). Method in class symantec.itools.db.awt.Grid

Gets whether the Grid has this button.

getInsertStatement(). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Gets a pre-compiled SQL statement to use for inserting the current row into the database.

getInsets(). Method in class java.awt.Container

Determines the insets of this container, which indicate the size of the container's border.

getInsets(). Method in interface java.awt.peer.ContainerPeer

getInstance(). Static method in class java.util.Calendar

Gets a Calendar using the default timezone and locale.

getInstance(). Static method in class java.text.Collator

Gets the Collator for the current default locale.

getInstance(). Static method in class java.text.DateFormat

Get a default date/time formatter that uses the SHORT style for both the date and the time.

getInstance(). Static method in class java.text.NumberFormat

Returns the default number format for the current default locale.

getInstance(Locale). Static method in class java.util.Calendar

Gets a Calendar using the default timezone and given locale.

getInstance(Locale). Static method in class java.text.Collator

Gets the Collator for the desired locale.

getInstance(Locale). Static method in class java.text.NumberFormat

Returns the default number format for the specified locale.

getInstance(String). Static method in class java.security.KeyPairGenerator

Generates a KeyPairGenerator object that implements the algorithm requested, as available in the environment.

getInstance(String). Static method in class java.security.MessageDigest

Generates a MessageDigest object that implements the specified digest algorithm.

getInstance(String). Static method in class java.security.Signature

Generates a Signature object that implements the specified algorithm.

getInstance(String, String). Static method in class java.security.KeyPairGenerator

Generates a KeyPairGenerator object implementing the specified algorithm, as supplied from the specified provider, if such an algorithm is available from the provider.

getInstance(String, String). Static method in class java.security.MessageDigest

Generates a MessageDigest object implementing the specified algorithm, as supplied from the specified provider, if such an algorithm is available from the provider.

getInstance(String, String). Static method in class java.security.Signature

Generates a Signature object implementing the specified algorithm, as supplied from the specified provider, if such an algorithm is available from the provider.

getInstance(TimeZone). Static method in class java.util.Calendar

Gets a Calendar using the given timezone and default locale.

getInstance(TimeZone, Locale). Static method in class java.util.Calendar

Gets a Calendar using the given timezone and given locale.

getInstanceOf(Object, Class). Static method in class java.beans.Beans

From a given bean, obtain an object representing a specified type view of that source object.

getInt(). Method in class symantec.itools.db.pro.ProjBinder

Gets the column value as a Java int.

getInt(). Method in class symantec.itools.db.pro.Projection

Gets the data value as a Java int.

getInt(int). Method in interface java.sql.CallableStatement

Get the value of an INTEGER parameter as a Java int.

getInt(int). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value as a Java int.

getInt(int). Method in class symantec.itools.db.pro.Record

Gets the specified column value as a Java int.

getInt(int). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value as a Java int.

getInt(int). Method in interface java.sql.ResultSet

Get the value of a column in the current row as a Java int.

getInt(Object). Method in class java.lang.reflect.Field

Get the value of a field as a int on specified object.

getInt(Object, int). Static method in class java.lang.reflect.Array

Returns the value of the indexed component in the specified array object, as an int.

getInt(String). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value as a Java int.

getInt(String). Method in class symantec.itools.db.pro.Record

Gets the specified column value as a Java int.

getInt(String). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value as a Java int.

getInt(String). Method in interface java.sql.ResultSet

Get the value of a column in the current row as a Java int.

getInteger(String). Static method in class java.lang.Integer

Determines the integer value of the system property with the specified name.

getInteger(String, int). Static method in class java.lang.Integer

Determines the integer value of the system property with the specified name.

getInteger(String, Integer). Static method in class java.lang.Integer

Determines the integer value of the system property with the specified name.

getInterface(). Method in class java.net.MulticastSocket

Retrieve the address of the network interface used for multicast packets.

getInterfaces(). Method in class java.lang.Class

Determines the interfaces implemented by the class or interface represented by this object.

getInternalInsets(). Method in class symantec.itools.awt.BorderPanel

Gets the current internal border insets.

getIPadBottom(). Method in class symantec.itools.awt.BorderPanel

Gets the current bottom border inset padding amount, in pixels.

getIPadSides(). Method in class symantec.itools.awt.BorderPanel

Gets the current side border inset padding amount, in pixels.

getIPadTop(). Method in class symantec.itools.awt.BorderPanel

Gets the current top border inset padding amount, in pixels.

getISO3Country(). Method in class java.util.Locale

Getter for the three-letter ISO country abbreviation of the locale.

getISO3Language(). Method in class java.util.Locale

Getter for the three-letter ISO language abbreviation of the locale.

getItem(). Method in class java.awt.event.ItemEvent

Returns the item where the event occurred.

getItem(int). Method in class java.awt.Choice

Gets the string at the specified index in this Choice menu.

getItem(int). Method in class symantec.itools.awt.ComboBox

getItem(int). Method in class symantec.itools.awt.ImageListBox

getItem(int). Method in class java.awt.List

Gets the item associated with the specified index.

getItem(int). Method in class java.awt.Menu

Gets the item located at the specified index of this menu.

getItemCount(). Method in class java.awt.Choice

Returns the number of items in this Choice menu.

getItemCount(). Method in class java.awt.List

Gets the number of items in the list.

getItemCount(). Method in class java.awt.Menu

Get the number of items in this menu.

getItems(). Method in class java.awt.List

Gets the items in the list.

getItemSelectable(). Method in class java.awt.event.ItemEvent

Returns the ItemSelectable object where this event originated.

getJavaInitializationString(). Method in class symantec.itools.db.awt.ConnectionInfoEditor

This method is intended for use when generating Java code to set the value of the property.

getJavaInitializationString(). Method in interface java.beans.PropertyEditor

This method is intended for use when generating Java code to set the value of the property.

getJavaInitializationString(). Method in class java.beans.PropertyEditorSupport

This method is intended for use when generating Java code to set the value of the property.

getJavaInitializationString(). Method in class symantec.itools.db.awt.RelationViewEditor

This method is intended for use when generating Java code to set the value of the property.

getJavaInitializationString(). Method in class symantec.itools.db.awt.SessionEditor

This method is intended for use when generating Java code to set the value of the property.

getjdbcDataSource(). Method in class symantec.itools.db.awt.Grid

Gets the QueryNavigator this component is using as a JDBC data source.

getJoin(). Method in class symantec.itools.db.beans.jdbc.QueryNavigator

getJoinColumns(). Method in class symantec.itools.db.awt.List

Gets the list of columns that this component will be bound to.

getJoinColumns(). Method in class symantec.itools.db.pro.RelationView

Gets the list of parent RelationView columns that this RelationView is joined on.

getJoinValues(). Method in class symantec.itools.db.beans.jdbc.QueryNavigator

getKey(). Method in class java.awt.MenuShortcut

Return the raw keycode of this MenuShortcut.

getKey(). Method in class java.util.MissingResourceException

Gets parameter passed by constructor.

getKey(). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

A value that identifies this record definition.

getKeyChar(). Method in class java.awt.event.KeyEvent

Returns the character associated with the key in this event.

getKeyCode(). Method in class java.awt.event.KeyEvent

Returns the integer key-code associated with the key in this event.

getKeyModifiersText(int). Static method in class java.awt.event.KeyEvent

Returns a String describing the modifier key(s), such as "Shift", or "Ctrl+Shift".

getKeys(). Method in class java.util.ListResourceBundle

Implementation of ResourceBundle.getKeys.

getKeys(). Method in class java.text.resources.LocaleData

Implementation of ResourceBundle.getKeys.

getKeys(). Method in class java.util.PropertyResourceBundle

Implementation of ResourceBundle.getKeys.

getKeys(). Method in class java.util.ResourceBundle

Return an enumeration of the keys.

getKeyText(int). Static method in class java.awt.event.KeyEvent

Returns a String describing the keyCode, such as "HOME", "F1" or "A".

getLabel(). Method in class symantec.itools.awt.BorderPanel

Returns the text label displayed in the border.

getLabel(). Method in class java.awt.Button

Gets the label of this button.

getLabel(). Method in class java.awt.Checkbox

Gets the label of this check box.

getLabel(). Method in class symantec.itools.awt.ImageListBox

Returns the current list box label.

getLabel(). Method in class java.awt.MenuItem

Gets the label for this menu item.

getLabel(int). Method in class symantec.itools.awt.BaseTabbedPanel

Gets the label of the tab at the specified index.

getLabelColor(). Method in class symantec.itools.awt.BorderPanel

Gets the current border label color.

getLabelTopMargin(). Method in class symantec.itools.awt.BorderPanel

Returns the current margin above the label.

getLabelWidthMargin(). Method in class symantec.itools.awt.BorderPanel

Returns the current label width margin.

getLanguage(). Method in class java.util.Locale

Getter for programmatic name of field, an lowercased two-letter ISO-639 code.

getLastModified(). Method in class java.net.URLConnection

Returns the value of the last-modified header field.

getLayout(). Method in class symantec.itools.awt.BorderPanel

Gets the current border panel layout manager.

getLayout(). Method in class java.awt.Container

Gets the layout manager for this container.

getLayout(). Method in class symantec.itools.awt.Wizard

Gets the layout manager for this container.

getLayoutAlignmentX(Container). Method in class java.awt.BorderLayout

Returns the alignment along the x axis.

getLayoutAlignmentX(Container). Method in class java.awt.CardLayout

Returns the alignment along the x axis.

getLayoutAlignmentX(Container). Method in class java.awt.GridBagLayout

Returns the alignment along the x axis.

getLayoutAlignmentX(Container). Method in interface java.awt.LayoutManager2

Returns the alignment along the x axis.

getLayoutAlignmentY(Container). Method in class java.awt.BorderLayout

Returns the alignment along the y axis.

getLayoutAlignmentY(Container). Method in class java.awt.CardLayout

Returns the alignment along the y axis.

getLayoutAlignmentY(Container). Method in class java.awt.GridBagLayout

Returns the alignment along the y axis.

getLayoutAlignmentY(Container). Method in interface java.awt.LayoutManager2

Returns the alignment along the y axis.

getLayoutDimensions(). Method in class java.awt.GridBagLayout

Determines column widths and row heights for the layout grid.

GetLayoutInfo(Container, int). Method in class java.awt.GridBagLayout

Print the layout constraints.

getLayoutOrigin(). Method in class java.awt.GridBagLayout

Determines the origin of the layout grid.

getLayoutWeights(). Method in class java.awt.GridBagLayout

Determines the weights of the layout grid's columns and rows.

getLeading(). Method in class java.awt.FontMetrics

Determines the standard leading of the font described by this font metric.

getLeastMaximum(int). Method in class java.util.Calendar

Gets the lowest maximum value for the given field if varies.

getLeastMaximum(int). Method in class java.util.GregorianCalendar

Returns lowest maximum value for the given field if varies.

getLeftPanel(). Method in class symantec.itools.awt.SplitterPanel

Gets the left panel of a vertically split SplitterPanel.

getLength(). Method in class java.net.DatagramPacket

Returns the length of the data to be sent or the length of the data received.

getLength(Object). Static method in class java.lang.reflect.Array

Returns the length of the specified array object, as an int.

getLimits(). Method in class java.text.ChoiceFormat

Get the limits passed in the constructor.

getLineIncrement(). Method in class java.awt.Scrollbar

getLineInstance(). Static method in class java.text.BreakIterator

Create BreakIterator for line-breaks using default locale.

getLineInstance(Locale). Static method in class java.text.BreakIterator

Create BreakIterator for line-breaks using default locale.

getLineNumber(). Static method in class symantec.itools.lang.Debug

Get the current line number This has only been tested with the Sun JDK 1.1.5 and VCafe JDK 1.1.4 on Windows.

getLineNumber(). Method in class java.io.LineNumberInputStream

Returns the current line number.

getLineNumber(). Method in class java.io.LineNumberReader

Get the current line number.

getLineThickness(). Method in class symantec.itools.awt.shape.Line

Gets the thickness of the line to draw.

getLink(). Method in class symantec.itools.db.beans.binding.QueryNavigator

getLinkToList(). Method in class symantec.itools.multimedia.ScrollingText

Obtain the current set of URL links.

getLinkURL(). Method in class symantec.itools.awt.ButtonBase

Returns the URL of the document to link to when the button is clicked.

getListenerMethodDescriptors(). Method in class java.beans.EventSetDescriptor

getListenerMethods(). Method in class java.beans.EventSetDescriptor

getListenerType(). Method in class java.beans.EventSetDescriptor

getListItems(). Method in class symantec.itools.awt.ComboBox

Returns the current list as an array.

getListItems(). Method in class symantec.itools.awt.ImageListBox

Returns the current list as an array.

getListItems(). Method in class symantec.itools.awt.util.spinner.ListSpinner

Returns the current list as an array of Strings.

getListItems(). Method in class symantec.itools.awt.MultiList

Returns the text contents of all the cells as a string array.

getListText(int). Method in class symantec.itools.awt.ComboBox

Returns the text associated with a drop-down item.

getLocalAddress(). Method in class java.net.DatagramSocket

Gets the local address to which the socket is bound.

getLocalAddress(). Method in class java.net.Socket

Gets the local address to which the socket is bound.

getLocale(). Method in class java.applet.Applet

Gets the Locale for the applet, if it has been set.

getLocale(). Method in class java.awt.Component

Gets the locale of this component.

getLocale(). Method in class java.text.MessageFormat

Gets the locale.

getLocale(). Method in class java.awt.Window

Gets the Locale object that is associated with this window, if the locale has been set.

getLocalHost(). Static method in class java.net.InetAddress

Returns the local host.

getLocalizedInputStream(InputStream). Method in class java.lang.Runtime

Creates a localized version of an input stream.

getLocalizedMessage(). Method in class java.lang.Throwable

Creates a localized description of this Throwable.

getLocalizedOutputStream(OutputStream). Method in class java.lang.Runtime

Creates a localized version of an output stream.

getLocalPatternChars(). Method in class java.text.DateFormatSymbols

Gets localized date-time pattern characters.

getLocalPort(). Method in class java.net.DatagramSocket

Returns the port number on the local host to which this socket is bound.

getLocalPort(). Method in class java.net.DatagramSocketImpl

Get the local port.

getLocalPort(). Method in class java.net.ServerSocket

Returns the port on which this socket is listening.

getLocalPort(). Method in class java.net.Socket

Returns the local port to which this socket is bound.

getLocalPort(). Method in class java.net.SocketImpl

Returns the value of this socket's localport field.

getLocation(). Method in class java.awt.Component

Gets the location of this component in the form of a point specifying the component's top-left corner.

getLocation(). Method in class java.awt.Point

Returns the location of this point.

getLocation(). Method in class java.awt.Rectangle

Returns the location of this rectangle.

getLocationOnScreen(). Method in class java.awt.Component

Gets the location of this component in the form of a point specifying the component's top-left corner in the screen's coordinate space.

getLocationOnScreen(). Method in interface java.awt.peer.ComponentPeer

getLockedColumn(). Method in class symantec.itools.db.awt.Grid

Gets the column which does not scroll.

getLog(). Static method in class java.rmi.server.RemoteServer

Returns stream for the RMI call log.

getLoginTimeout(). Static method in class java.sql.DriverManager

Get the maximum time in seconds that all drivers can wait when attempting to log in to a database.

getLogStream(). Static method in class java.sql.DriverManager

Get the logging/tracing PrintStream that is used by the DriverManager and all drivers.

getLong(). Method in class symantec.itools.db.pro.ProjBinder

Gets the column value as a Java long.

getLong(). Method in class symantec.itools.db.pro.Projection

Gets the data value as a Java long.

getLong(int). Method in interface java.sql.CallableStatement

Get the value of a BIGINT parameter as a Java long.

getLong(int). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value as a Java long.

getLong(int). Method in class symantec.itools.db.pro.Record

Gets the specified column value as a Java long.

getLong(int). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value as a Java long.

getLong(int). Method in interface java.sql.ResultSet

Get the value of a column in the current row as a Java long.

getLong(Object). Method in class java.lang.reflect.Field

Get the value of a field as a long on specified object.

getLong(Object, int). Static method in class java.lang.reflect.Array

Returns the value of the indexed component in the specified array object, as a long.

getLong(String). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value as a Java long.

getLong(String). Static method in class java.lang.Long

Determines the long value of the system property with the specified name.

getLong(String). Method in class symantec.itools.db.pro.Record

Gets the specified column value as a Java long.

getLong(String). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value as a Java long.

getLong(String). Method in interface java.sql.ResultSet

Get the value of a column in the current row as a Java long.

getLong(String, Long). Static method in class java.lang.Long

Determines the long value of the system property with the specified name.

getLong(String, long). Static method in class java.lang.Long

Determines the long value of the system property with the specified name.

getLookupName(). Method in class symantec.itools.db.awt.ComboBox

Gets the value of the Lookup Name property.

getLookupName(). Method in class symantec.itools.db.awt.ListPlus

Gets the value of the Lookup Name property.

getLookUpRelationView(). Method in class symantec.itools.db.awt.List

Gets the RelationView this component is bound with.

getLowestSetBit(). Method in class java.math.BigInteger

Returns the index of the rightmost (lowest-order) one bit in this number (i.e., the number of zero bits to the right of the rightmost one bit).

getMajorVersion(). Method in interface java.sql.Driver

Get the driver's major version number.

getManager(). Static method in class symantec.itools.db.beans.jdbc.ConnectionManager

Programmers should always use this method to obtain a ConnectionManager instance.

getManager(String). Static method in class symantec.itools.db.beans.jdbc.ConnectionManager

Programmers should always use this method to obtain a ConnectionManager instance.

getMapSize(). Method in class java.awt.image.IndexColorModel

Returns the size of the color component arrays in this IndexColorModel.

getMarkedAsDeleted(). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Gets whether this record has been marked as deleted.

getMarkedAsModified(). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Gets whether this record has been marked as modified.

getMarkedAsNew(). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Gets whether this record has been marked as just inserted.

getMask(). Method in class symantec.itools.awt.FormattedTextField

Gets the current valid string format mask.

getMask(int, int). Method in class symantec.itools.db.awt.DbDataSource

Stubbed out function for future expansion.

getMaskTemplateString(). Method in class symantec.itools.awt.FormattedTextField

Returns a string defining an input template.

getMasterAliasName(). Method in class symantec.itools.db.beans.binding.QueryNavigator

getMax(). Method in class symantec.itools.awt.util.spinner.Spinner

Gets the current maximum value the spinner may have.

getMaxAdvance(). Method in class java.awt.FontMetrics

Gets the maximum advance width of any character in this Font.

getMaxAscent(). Method in class java.awt.FontMetrics

Determines the maximum ascent of the font described by this font metric.

getMaxBinaryLiteralLength(). Method in interface java.sql.DatabaseMetaData

How many hex characters can you have in an inline binary literal?

getMaxBinaryLiteralLength(). Method in class symantec.itools.db.pro.SessionMetaData

Determines the maximum number of hex characters in an inline binary literal.

getMaxCatalogNameLength(). Method in interface java.sql.DatabaseMetaData

What's the maximum length of a catalog name?

getMaxCatalogNameLength(). Method in class symantec.itools.db.pro.SessionMetaData

Determines the maximum length of a catalog name (in bytes).

getMaxCharLiteralLength(). Method in interface java.sql.DatabaseMetaData

What's the max length for a character literal?

getMaxCharLiteralLength(). Method in class symantec.itools.db.pro.SessionMetaData

Determines the maximum length of a character literal.

getMaxColumnNameLength(). Method in interface java.sql.DatabaseMetaData

What's the limit on column name length?

getMaxColumnNameLength(). Method in class symantec.itools.db.pro.SessionMetaData

Determines the maximum length of a column name.

getMaxColumnsInGroupBy(). Method in interface java.sql.DatabaseMetaData

What's the maximum number of columns in a "GROUP BY" clause?

getMaxColumnsInGroupBy(). Method in class symantec.itools.db.pro.SessionMetaData

Determines the maximum number of columns in a "GROUP BY" clause.

getMaxColumnsInIndex(). Method in interface java.sql.DatabaseMetaData

What's the maximum number of columns allowed in an index?

getMaxColumnsInIndex(). Method in class symantec.itools.db.pro.SessionMetaData

Determines the maximum number of columns allowed in an index.

getMaxColumnsInOrderBy(). Method in interface java.sql.DatabaseMetaData

What's the maximum number of columns in an "ORDER BY" clause?

getMaxColumnsInOrderBy(). Method in class symantec.itools.db.pro.SessionMetaData

Determines the maximum number of columns in an "ORDER BY" clause.

getMaxColumnsInSelect(). Method in interface java.sql.DatabaseMetaData

What's the maximum number of columns in a "SELECT" list?

getMaxColumnsInSelect(). Method in class symantec.itools.db.pro.SessionMetaData

Determines the maximum number of columns in a "SELECT" list.

getMaxColumnsInTable(). Method in interface java.sql.DatabaseMetaData

What's the maximum number of columns in a table?

getMaxColumnsInTable(). Method in class symantec.itools.db.pro.SessionMetaData

Determines the maximum number of columns in a table.

getMaxConnections(). Method in interface java.sql.DatabaseMetaData

How many active connections can we have at a time to this database?

getMaxConnections(). Method in class symantec.itools.db.pro.SessionMetaData

Determines the maximum number of active connections can we have at a time to this database.

getMaxCursorNameLength(). Method in interface java.sql.DatabaseMetaData

What's the maximum cursor name length?

getMaxCursorNameLength(). Method in class symantec.itools.db.pro.SessionMetaData

Determines the maximum length of a cursor name.

getMaxDecent(). Method in class java.awt.FontMetrics

For backward compatibility only.

getMaxDescent(). Method in class java.awt.FontMetrics

Determines the maximum descent of the font described by this font metric.

getMaxFieldSize(). Method in interface java.sql.Statement

The maxFieldSize limit (in bytes) is the maximum amount of data returned for any column value; it only applies to BINARY, VARBINARY, LONGVARBINARY, CHAR, VARCHAR, and LONGVARCHAR columns.

getMaximum(). Method in interface java.awt.Adjustable

Gets the maximum value of the adjustable object.

getMaximum(). Method in class java.awt.Scrollbar

Gets the maximum value of this scroll bar.

getMaximum(int). Method in class java.util.Calendar

Gets the maximum value for the given time field.

getMaximum(int). Method in class java.util.GregorianCalendar

Returns maximum value for the given field.

getMaximumFractionDigits(). Method in class java.text.NumberFormat

Returns the maximum number of digits allowed in the fraction portion of a number.

getMaximumIntegerDigits(). Method in class java.text.NumberFormat

Returns the maximum number of digits allowed in the integer portion of a number.

getMaximumSize(). Method in class java.awt.Component

Gets the maximum size of this component.

getMaximumSize(). Method in class java.awt.Container

Returns the maximum size of this container.

getMaxIndexLength(). Method in interface java.sql.DatabaseMetaData

What's the maximum length of an index (in bytes)?

getMaxIndexLength(). Method in class symantec.itools.db.pro.SessionMetaData

Determines the maximum size of an index (in bytes).

getMaxPriority(). Method in class java.lang.ThreadGroup

Returns the maximum priority of this thread group.

getMaxProcedureNameLength(). Method in interface java.sql.DatabaseMetaData

What's the maximum length of a procedure name?

getMaxProcedureNameLength(). Method in class symantec.itools.db.pro.SessionMetaData

Determines the maximum length of a procedure name (in bytes).

getMaxRows(). Method in interface java.sql.Statement

The maxRows limit is the maximum number of rows that a ResultSet can contain.

getMaxRowSize(). Method in interface java.sql.DatabaseMetaData

What's the maximum length of a single row?

getMaxRowSize(). Method in class symantec.itools.db.pro.SessionMetaData

Determines the maximum length of a single row (in bytes).

getMaxSchemaNameLength(). Method in interface java.sql.DatabaseMetaData

What's the maximum length allowed for a schema name?

getMaxSchemaNameLength(). Method in class symantec.itools.db.pro.SessionMetaData

Determines the maximum length of a schema name (in bytes).

getMaxStatementLength(). Method in interface java.sql.DatabaseMetaData

What's the maximum length of a SQL statement?

getMaxStatementLength(). Method in class symantec.itools.db.pro.SessionMetaData

Determines the maximum length of a SQL statement (in bytes).

getMaxStatements(). Method in interface java.sql.DatabaseMetaData

How many active statements can we have open at one time to this database?

getMaxStatements(). Method in class symantec.itools.db.pro.SessionMetaData

Determines the maximum number of active statements can we have at a time to this database.

getMaxTableNameLength(). Method in interface java.sql.DatabaseMetaData

What's the maximum length of a table name?

getMaxTableNameLength(). Method in class symantec.itools.db.pro.SessionMetaData

Determines the maximum length of a table name (in bytes).

getMaxTablesInSelect(). Method in interface java.sql.DatabaseMetaData

What's the maximum number of tables in a SELECT?

getMaxTablesInSelect(). Method in class symantec.itools.db.pro.SessionMetaData

Determines the maximum number of tables in a SELECT..

getMaxUserNameLength(). Method in interface java.sql.DatabaseMetaData

What's the maximum length of a user name?

getMaxUserNameLength(). Method in class symantec.itools.db.pro.SessionMetaData

Determines the maximum length of a user name (in bytes).

getMaxValue(). Method in class symantec.itools.awt.Slider

Returns the current maximum value of the slider.

getMediator(). Method in class symantec.itools.db.awt.ProjectionBeanHelper

Gets the mediator used to bind the component to a data source.

getMenu(int). Method in class java.awt.MenuBar

Gets the specified menu.

getMenuBar(). Method in class java.awt.Frame

Gets the menu bar for this frame.

getMenuCount(). Method in class java.awt.MenuBar

Gets the number of menus on the menu bar.

getMenuShortcutKeyMask(). Method in class java.awt.Toolkit

Determines which modifier key is the appropriate accelerator key for menu shortcuts.

getMessage(). Method in class java.io.InvalidClassException

Produce the message, include the classname if present.

getMessage(). Method in class java.rmi.RemoteException

Produce the message, include the message from the nested exception if there is one.

getMessage(). Method in class java.rmi.server.ServerCloneException

Produce the message, include the message from the nested exception if there is one.

getMessage(). Method in class java.lang.Throwable

Returns the detail message of this throwable object.

getMessage(). Method in class java.io.WriteAbortedException

Produce the message, include the message from the nested exception if there is one.

getMessageDigest(). Method in class java.security.DigestInputStream

Returns the message digest associated with this stream.

getMessageDigest(). Method in class java.security.DigestOutputStream

Returns the message digest associated with this stream.

getMessageList(). Method in class symantec.itools.multimedia.ScrollingText

Obtain the current list of messages.

GetMessgr(). Method in class symantec.itools.db.pro.AutoDetail

Returns the RemoteObject used to communicate with the dbANYWHERE server.

getMetaData(). Method in interface java.sql.Connection

A Connection's database is able to provide information describing its tables, its supported SQL grammar, its stored procedures, the capabilities of this connection, etc.

getMetaData(). Method in class symantec.itools.db.beans.jdbc.JdbcConnection

Returns the metadata of the connection.

getMetaData(). Method in class symantec.itools.db.pro.Record

Gets a RelationViewMetaData object, which can be used to get information about the structure of the RelationView object.

getMetaData(). Method in class symantec.itools.db.pro.RelationView

Gets a RelationViewMetaData object, which can be used to get information about the structure of this RelationView object.

getMetaData(). Method in interface java.sql.ResultSet

The number, types and properties of a ResultSet's columns are provided by the getMetaData method.

getMetaData(ConnectionInfo). Method in class symantec.itools.db.pro.Session

Gets a SessionMetaData object.

getMetaTable(). Method in class symantec.itools.db.awt.DbDataSource

Gets the object that provides meta information.

getMethod(). Method in class java.beans.MethodDescriptor

getMethod(). Method in class java.util.zip.ZipEntry

Returns the compression method of the entry, or -1 if not specified.

getMethod(String, Class[]). Method in class java.lang.Class

Returns a Method object that reflects the specified public member method of the class or interface represented by this Class object.

getMethodDescriptors(). Method in class symantec.itools.awt.util.edit.AddressCodeBeanInfo

Deny knowledge of methods.

getMethodDescriptors(). Method in class symantec.itools.multimedia.AnimatorBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.awt.BaseTabbedPanelBeanInfo

Deny knowledge of methods.

getMethodDescriptors(). Method in interface java.beans.BeanInfo

getMethodDescriptors(). Method in class symantec.itools.awt.BorderPanelBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.awt.ButtonBaseBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.awt.util.CalendarBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.db.awt.CheckboxBeanInfo

Gets an empty MethodDescriptor array.

getMethodDescriptors(). Method in class symantec.itools.awt.ComboBoxBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.db.awt.ComboBoxBeanInfo

Gets an empty MethodDescriptor array.

getMethodDescriptors(). Method in class symantec.itools.db.beans.jdbc.ConnectionManagerBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.db.awt.DBTstampBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.awt.DirectionButtonBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class geo.emblaze.Emblaze20BeanInfo

Deny knowledge of methods.

getMethodDescriptors(). Method in class symantec.itools.multimedia.FireworkBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.awt.FormattedTextFieldBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.db.awt.FormattedTextFieldBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.db.awt.GridBeanInfo

Gets an empty MethodDescriptor array.

getMethodDescriptors(). Method in class symantec.itools.awt.HorizontalSliderBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.awt.ImageButtonBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.awt.ImageHTMLLinkBeanInfo

Deny knowledge of methods.

getMethodDescriptors(). Method in class symantec.itools.awt.ImageListBoxBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.awt.ImagePanelBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.db.awt.ImageViewerBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.multimedia.ImageViewerBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.awt.InfoTipPanelBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.awt.util.edit.IntlLongDistPhoneNumberBeanInfo

Deny knowledge of methods.

getMethodDescriptors(). Method in class symantec.itools.awt.InvisibleButtonBeanInfo

Deny knowledge of methods.

getMethodDescriptors(). Method in class symantec.itools.awt.InvisibleHTMLLinkBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.db.beans.jdbc.JdbcConnectionBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.awt.KeyPressManagerPanelBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.awt.Label3DBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.db.awt.LabelBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.awt.LabelButtonBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.awt.LabelHTMLLinkBeanInfo

Deny knowledge of methods.

getMethodDescriptors(). Method in class symantec.itools.awt.shape.LineBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.db.awt.ListBeanInfo

Gets an empty MethodDescriptor array.

getMethodDescriptors(). Method in class symantec.itools.db.awt.ListPlusBeanInfo

Gets an empty MethodDescriptor array.

getMethodDescriptors(). Method in class symantec.itools.awt.util.spinner.ListSpinnerBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.awt.util.edit.LocalPhoneNumberBeanInfo

Deny knowledge of methods.

getMethodDescriptors(). Method in class symantec.itools.awt.util.edit.LongDistPhoneNumberBeanInfo

Deny knowledge of methods.

getMethodDescriptors(). Method in class symantec.itools.awt.util.edit.LongZipCodeBeanInfo

Deny knowledge of methods.

getMethodDescriptors(). Method in class symantec.itools.db.beans.binding.MediatorBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.multimedia.MovingAnimationBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.awt.MultiListBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.db.awt.NervousTextBeanInfo

Gets an empty MethodDescriptor array.

getMethodDescriptors(). Method in class symantec.itools.multimedia.NervousTextBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.awt.util.spinner.NumericSpinnerBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.awt.util.edit.PhoneNumberBeanInfo

Deny knowledge of methods.

getMethodDescriptors(). Method in class symantec.itools.multimedia.PlasmaBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.awt.util.edit.PostalCodeBeanInfo

Deny knowledge of methods.

getMethodDescriptors(). Method in class symantec.itools.awt.util.ProgressBarBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.db.beans.binding.QueryNavigatorBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.db.beans.jdbc.QueryNavigatorBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.db.awt.RadioBoxBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.awt.RadioButtonGroupPanelBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.db.beans.jdbc.RecordDefinitionBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.db.awt.RecordNumberLabelBeanInfo

Gets an empty MethodDescriptor array.

getMethodDescriptors(). Method in class symantec.itools.db.awt.RecordStateLabelBeanInfo

Gets an empty MethodDescriptor array.

getMethodDescriptors(). Method in class symantec.itools.awt.RollOverButtonBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.awt.ScrollingPanelBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.multimedia.ScrollingTextBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.awt.shape.ShapeBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class java.beans.SimpleBeanInfo

Deny knowledge of methods.

getMethodDescriptors(). Method in class symantec.itools.awt.SliderBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.awt.util.edit.SocialIDNumberBeanInfo

Deny knowledge of methods.

getMethodDescriptors(). Method in class symantec.itools.awt.util.edit.SocialInsuranceNumberBeanInfo

Deny knowledge of methods.

getMethodDescriptors(). Method in class symantec.itools.awt.util.edit.SocialSecurityNumberBeanInfo

Deny knowledge of methods.

getMethodDescriptors(). Method in class symantec.itools.multimedia.SoundPlayerBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.awt.util.spinner.SpinnerBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.awt.SplitterPanelBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.awt.StateCheckBoxBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.db.awt.StateCheckBoxBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.awt.StatusBarBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.awt.util.StatusScrollerBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.awt.TabPanelBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.db.awt.TextAreaBeanInfo

Gets an empty MethodDescriptor array.

getMethodDescriptors(). Method in class symantec.itools.db.awt.TextFieldBeanInfo

Gets an empty MethodDescriptor array.

getMethodDescriptors(). Method in class symantec.itools.awt.util.ToolBarPanelBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.awt.util.ToolBarSpacerBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.awt.TreeViewBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.awt.util.edit.USLongDistPhoneNumberBeanInfo

Deny knowledge of methods.

getMethodDescriptors(). Method in class symantec.itools.awt.VerticalSliderBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.awt.WizardBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.awt.WrappingLabelBeanInfo

Gets an array of descriptions of the methods used for "connections" by Visual Café's Interaction Wizard.

getMethodDescriptors(). Method in class symantec.itools.awt.util.edit.ZipCodeBeanInfo

Deny knowledge of methods.

getMethods. Variable in class symantec.itools.db.beans.binding.Mediator

The methods used to get a component's value.

getMethods. Variable in class symantec.itools.db.beans.binding.MediatorDS

The methods used to get a component's value.

getMethods(). Method in class java.lang.Class

Returns an array containing Method objects reflecting all the public member methods of the class or interface represented by this Class object, including those declared by the class or interface and and those inherited from superclasses and superinterfaces.

getMimeType(). Method in class java.awt.datatransfer.DataFlavor

Returns the MIME type string for this DataFlavor

getMin(). Method in class symantec.itools.awt.util.spinner.Spinner

Gets the current minimum value the spinner may have.

getMinColumnWidth(). Method in class symantec.itools.awt.MultiList

Returns the minimum allowable column width in pixels.

getMinimalDaysInFirstWeek(). Method in class java.util.Calendar

Gets what the minimal days required in the first week of the year are; e.g., if the first week is defined as one that contains the first day of the first month of a year, getMinimalDaysInFirstWeek returns 1.

getMinimum(). Method in interface java.awt.Adjustable

Gets the minimum value of the adjustable object.

getMinimum(). Method in class java.awt.Scrollbar

Gets the minimum value of this scroll bar.

getMinimum(int). Method in class java.util.Calendar

Gets the minimum value for the given time field.

getMinimum(int). Method in class java.util.GregorianCalendar

Returns minimum value for the given field.

getMinimumFractionDigits(). Method in class java.text.NumberFormat

Returns the minimum number of digits allowed in the fraction portion of a number.

getMinimumHeight(). Method in class symantec.itools.awt.ScrollingPanel

Gets the value used for the minimumSize() height of the ScrollingPanel.

getMinimumIntegerDigits(). Method in class java.text.NumberFormat

Returns the minimum number of digits allowed in the integer portion of a number.

getMinimumSize(). Method in class symantec.itools.awt.BaseTabbedPanel

Returns the minimum dimensions to properly display this component.

getMinimumSize(). Method in class symantec.itools.awt.BorderPanel

Returns the minimum dimensions to properly display this component.

getMinimumSize(). Method in class symantec.itools.awt.ButtonBase

Returns the minimum dimensions to properly display this component.

getMinimumSize(). Method in class symantec.itools.awt.ComboBox

Returns the minimum dimensions to properly display this component.

getMinimumSize(). Method in class java.awt.Component

Gets the mininimum size of this component.

getMinimumSize(). Method in interface java.awt.peer.ComponentPeer

getMinimumSize(). Method in class java.awt.Container

Returns the minimum size of this container.

getMinimumSize(). Method in class symantec.itools.awt.DirectionButton

Returns the minimum dimensions to properly display this component.

getMinimumSize(). Method in class symantec.itools.awt.FormattedTextField

Returns the minimum dimensions to properly display this component.

getMinimumSize(). Method in class symantec.itools.awt.util.spinner.HorizontalSpinButtonPanel

Returns the minimum dimensions to properly display this component.

getMinimumSize(). Method in class symantec.itools.awt.ImageListBox

Returns the minimum dimensions to properly display this component.

getMinimumSize(). Method in class symantec.itools.awt.InfoTipPanel

Returns the minimum dimensions to properly display this component.

getMinimumSize(). Method in class symantec.itools.awt.Label3D

Returns the minimum dimensions to properly display this component.

getMinimumSize(). Method in class symantec.itools.awt.shape.Line

Returns the minimum dimensions to properly display this component.

getMinimumSize(). Method in class java.awt.List

Determines the minimum size of this scrolling list.

getMinimumSize(). Method in class symantec.itools.multimedia.NervousText

Returns the minimum dimensions to properly display this component.

getMinimumSize(). Method in class symantec.itools.awt.util.ProgressBar

Returns the minimum dimensions to properly display this component.

getMinimumSize(). Method in class symantec.itools.awt.RollOverButton

Returns the minimum dimensions to properly display this component.

getMinimumSize(). Method in class symantec.itools.awt.ScrollingPanel

Returns the minimum size of this container.

getMinimumSize(). Method in class symantec.itools.awt.shape.Shape

Returns the minimum dimensions to properly display this component.

getMinimumSize(). Method in class symantec.itools.multimedia.SlideShow

Returns the minimum dimensions to properly display this component.

getMinimumSize(). Method in class symantec.itools.awt.util.spinner.Spinner

Returns the minimum size of this container.

getMinimumSize(). Method in class symantec.itools.awt.TabPanel

Returns the minimum dimensions to properly display this component.

getMinimumSize(). Method in class java.awt.TextArea

Determines the minimum size of this text area.

getMinimumSize(). Method in class java.awt.TextField

Gets the minumum dimensions for this text field.

getMinimumSize(). Method in class symantec.itools.awt.util.ToolBarSpacer

Returns the minimum dimensions to properly display this component.

getMinimumSize(). Method in class symantec.itools.awt.TreeView

Returns the minimum dimensions to properly display this component.

getMinimumSize(). Method in class symantec.itools.awt.util.spinner.VerticalSpinButtonPanel

Returns the minimum dimensions to properly display this component.

getMinimumSize(). Method in class symantec.itools.awt.Wizard

Returns the minimum dimensions to properly display this component.

getMinimumSize(int). Method in class symantec.itools.awt.ImageListBox

Returns the minimum dimensions needed to show the given number of rows in the list.

getMinimumSize(int). Method in class java.awt.List

Gets the minumum dimensions for a list with the specified number of rows.

getMinimumSize(int). Method in interface java.awt.peer.ListPeer

getMinimumSize(int). Method in class java.awt.TextField

Gets the minumum dimensions for a text field with the specified number of columns.

getMinimumSize(int). Method in interface java.awt.peer.TextFieldPeer

getMinimumSize(int, int). Method in class java.awt.TextArea

Determines the minimum size of a text area with the specified number of rows and columns.

getMinimumSize(int, int). Method in interface java.awt.peer.TextAreaPeer

getMinimumWidth(). Method in class symantec.itools.awt.ScrollingPanel

Gets the current value used for the minimumSize() width of the ScrollingPanel.

getMinorVersion(). Method in interface java.sql.Driver

Get the driver's minor version number.

GetMinSize(Container, GridBagLayoutInfo). Method in class java.awt.GridBagLayout

getMinusSign(). Method in class java.text.DecimalFormatSymbols

character used to represent minus sign.

getMinutes(). Method in class java.sql.Date

Returns the number of minutes past the hour represented by this date.

getMinutes(). Method in class java.util.Date

Returns the number of minutes past the hour represented by this date.

getMinValue(). Method in class symantec.itools.awt.Slider

Returns the current minimum value of the slider.

getMode(). Method in class java.awt.FileDialog

Indicates whether this file dialog box is for loading from a file or for saving to a file.

getModifiers(). Method in class java.awt.event.ActionEvent

Returns the modifiers held down during this action event.

getModifiers(). Method in class java.lang.Class

Returns the Java language modifiers for this class or interface, encoded in an integer.

getModifiers(). Method in class java.lang.reflect.Constructor

Returns the Java language modifiers for the constructor represented by this Constructor object, as an integer.

getModifiers(). Method in class java.lang.reflect.Field

Returns the Java language modifiers for the field represented by this Field object, as an integer.

getModifiers(). Method in class java.awt.event.InputEvent

Returns the modifiers flag for this event.

getModifiers(). Method in interface java.lang.reflect.Member

Returns the Java language modifiers for the member or constructor represented by this Member, as an integer.

getModifiers(). Method in class java.lang.reflect.Method

Returns the Java language modifiers for the method represented by this Method object, as an integer.

getMonth(). Method in class java.util.Date

Returns the month represented by this date.

getMonth(). Method in class java.sql.Time

Returns the month represented by this date.

getMonths(). Method in class java.text.DateFormatSymbols

Gets month strings.

getMoreResults(). Method in interface java.sql.Statement

getMoreResults moves to a Statement's next result.

getMouseListener(). Method in class symantec.itools.awt.SplitterPanel

Returns the mouse event handling object.

getMoveSplitCursor(). Method in class symantec.itools.awt.SplitterPanel

The cursor to use when dragging the split between panels.

getMultiplier(). Method in class java.text.DecimalFormat

Get the multiplier for use in percent, permill, etc.

getMultiView(). Method in class symantec.itools.db.pro.RelationView

Gets the containing MultiView object.

getName(). Method in interface java.security.acl.Acl

Returns the name of this ACL.

getName(). Method in class java.lang.Class

Returns the fully-qualified name of the type (class, interface, array, or primitive) represented by this Class object, as a String.

getName(). Method in class java.awt.datatransfer.Clipboard

Returns the name of this clipboard object.

getName(). Method in class java.awt.Component

Gets the name of the component.

getName(). Method in class symantec.itools.db.pro.ConnectionInfo

Gets the user-defined name for this object.

getName(). Method in class java.lang.reflect.Constructor

Returns the name of this constructor, as a string.

getName(). Method in class java.beans.FeatureDescriptor

getName(). Method in class java.lang.reflect.Field

Returns the name of the field represented by this Field object.

getName(). Method in class java.io.File

Returns the name of the file represented by this object.

getName(). Method in class java.awt.Font

Gets the logical name of the font.

getName(). Method in class java.security.Identity

Returns this identity's name.

getName(). Method in interface java.lang.reflect.Member

Returns the simple name of the underlying member or constructor represented by this Member.

getName(). Method in class java.awt.MenuComponent

Gets the name of the menu component.

getName(). Method in class java.lang.reflect.Method

Returns the name of the method represented by this Method object, as a String.

getName(). Method in class java.io.ObjectStreamClass

The name of the class described by this descriptor.

getName(). Method in interface java.security.Principal

Returns the name of this principal.

getName(). Method in class java.security.Provider

Returns the name of this provider.

getName(). Method in class symantec.itools.db.beans.binding.QueryNavigator

Get the name assigned to this component.

getName(). Method in class symantec.itools.db.pro.RelationView

Gets the unique name associated with this RelationView within the MultiView object.

getName(). Method in class symantec.itools.db.pro.Session

Gets the user-defined name for this object.

getName(). Method in class java.lang.Thread

Returns this thread's name.

getName(). Method in class java.lang.ThreadGroup

Returns the name of this thread group.

getName(). Method in class java.util.zip.ZipEntry

Returns the name of the entry.

getName(). Method in class java.util.zip.ZipFile

Returns the path name of the ZIP file.

getNaN(). Method in class java.text.DecimalFormatSymbols

character used to represent NaN.

getNanos(). Method in class java.sql.Timestamp

Get the Timestamp's nanos value

getNativeContainer(Component). Static method in class java.awt.Toolkit

Give native peers the ability to query the native container given a native component (eg the direct parent may be lightweight).

getNegativePrefix(). Method in class java.text.DecimalFormat

Get the negative prefix.

getNegativeSuffix(). Method in class java.text.DecimalFormat

Get the negative suffix.

getNewRecord(). Method in class symantec.itools.db.awt.DbaDataStore

Gets the next new Record within the RelationView's Record buffers.

getNewRecord(). Method in class symantec.itools.db.pro.RelationView

Gets the next new Record within this view's Record buffers.

getNewValue(). Method in class java.beans.PropertyChangeEvent

getNextEntry(). Method in class java.util.zip.ZipInputStream

Reads the next ZIP file entry and positions stream at the beginning of the entry data.

getNextEvent(). Method in class java.awt.EventQueue

Remove an event from the queue and return it.

getNextException(). Method in class java.sql.SQLException

Get the exception chained to this one.

getNextPage(). Method in class symantec.itools.awt.SimpleWizardController

Return the next page.

getNextPage(). Method in interface symantec.itools.awt.WizardController

Return the next page.

getNextWarning(). Method in class java.sql.SQLWarning

Get the warning chained to this one

getNotifyDelay(). Method in class symantec.itools.awt.ButtonBase

Returns the current delay in milliseconds between notification events.

getNotifyWhilePressed(). Method in class symantec.itools.awt.ButtonBase

getNotifyWhilePressed(). Method in class symantec.itools.awt.util.spinner.SpinButtonPanel

getNotifyWhilePressed(). Method in class symantec.itools.awt.util.spinner.Spinner

getNumberFormat(). Method in class java.text.DateFormat

Gets the number formatter which this date/time formatter uses to format and parse a time.

getNumberInstance(). Static method in class java.text.NumberFormat

Returns a general-purpose number format for the current default locale.

getNumberInstance(Locale). Static method in class java.text.NumberFormat

Returns a general-purpose number format for the specified locale.

getNumberOfCols(). Method in class symantec.itools.db.awt.Grid

Returns the current number of columns.

getNumberOfCols(). Method in class symantec.itools.awt.MultiList

Returns the current number of columns.

getNumberOfImages(). Method in class symantec.itools.multimedia.SlideShow

Return the number of images in the slide show set.

getNumberOfRows(). Method in class symantec.itools.db.awt.Grid

Returns the current number of rows.

getNumberOfRows(). Method in class symantec.itools.awt.MultiList

Gets the current number of rows.

getNumericFunctions(). Method in interface java.sql.DatabaseMetaData

Get a comma separated list of math functions.

getNumericFunctions(). Method in class symantec.itools.db.pro.SessionMetaData

Gets a comma-separated list of all math functions this database supports.

getNumericValue(char). Static method in class java.lang.Character

Returns the Unicode numeric value of the character as a nonnegative integer.

getNumLoops(). Method in class symantec.itools.multimedia.Animator

Returns the current animation set loop count.

getNumVisibleRows(). Method in class symantec.itools.awt.MultiList

Returns the number of visible rows that can fit in the MulitList.

getObject(int). Method in interface java.sql.CallableStatement

Get the value of a parameter as a Java object.

getObject(int). Method in interface java.sql.ResultSet

Get the value of a column in the current row as a Java object.

getObject(String). Method in class java.util.ResourceBundle

Get an object from a ResourceBundle.

getObject(String). Method in interface java.sql.ResultSet

Get the value of a column in the current row as a Java object.

getOffset(int, int, int, int, int, int). Method in class java.util.SimpleTimeZone

Overrides TimeZone Gets the time zone offset, for current date, modified in case of daylight savings.

getOffset(int, int, int, int, int, int). Method in class java.util.TimeZone

Gets the time zone offset, for current date, modified in case of daylight savings.

getOldValue(). Method in class java.beans.PropertyChangeEvent

getOperation(). Method in class java.rmi.server.Operation

Returns the name of the method.

getOperations(). Method in interface java.rmi.server.Skeleton

getOptConc(). Method in class symantec.itools.db.pro.Request

Gets the value of the optimistic concurrency property ("optConc") as an integer.

getOptimisticConcurrency(). Method in class symantec.itools.db.pro.RelationView

Gets the Optimistic Concurrency property.

getOrientation(). Method in interface java.awt.Adjustable

Gets the orientation of the adjustable object.

getOrientation(). Method in interface symantec.itools.awt.Orientation

Gets the component's current orientation.

getOrientation(). Method in class java.awt.Scrollbar

Determines the orientation of this scroll bar.

getOrientation(). Method in class symantec.itools.awt.util.spinner.SpinButtonPanel

Gets whether the spinner buttons are laid out one above the other or one beside the other.

getOrientation(). Method in class symantec.itools.awt.util.spinner.Spinner

Gets whether the spinner buttons are laid out one above the other or one beside the other.

getOrientation(). Method in class symantec.itools.awt.util.ToolBarPanel

Gets the orientation of the toolbar.

getOutput(). Method in class symantec.itools.db.beans.binding.Mediator

Gets the current output component.

getOutputSize(). Method in class symantec.itools.db.beans.binding.Mediator

Gets the data dimension of the output component.

getOutputStream(). Method in class symantec.itools.db.awt.ImageViewer

Gets the image output stream.

getOutputStream(). Method in class java.rmi.server.LogStream

Return the current stream to which output from this log is sent.

getOutputStream(). Method in class java.lang.Process

Gets the output stream of the subprocess.

getOutputStream(). Method in interface java.rmi.server.RemoteCall

Return the output stream the stub/skeleton should put arguments/results into.

getOutputStream(). Method in class java.net.Socket

Returns an output stream for this socket.

getOutputStream(). Method in class java.net.SocketImpl

Returns an output stream for this socket.

getOutputStream(). Method in class java.net.URLConnection

Returns an output stream that writes to this connection.

getOverFileName(). Method in class symantec.itools.awt.RollOverButton

Gets the file name of the image to display while the mouse is over the button.

getOverImage(). Method in class symantec.itools.awt.RollOverButton

Gets the image displayed while the mouse is over the button.

getOverURL(). Method in class symantec.itools.awt.RollOverButton

Gets the URL of the image to display while the mouse is over the button.

getP(). Method in interface java.security.interfaces.DSAParams

Returns the prime, p.

getPaddingBottom(). Method in class symantec.itools.awt.BorderPanel

Gets the current bottom border outside padding amount, in pixels.

getPaddingLeft(). Method in class symantec.itools.awt.BorderPanel

Gets the current left border outside padding amount, in pixels.

getPaddingRight(). Method in class symantec.itools.awt.BorderPanel

Gets the current right border outside padding amount, in pixels.

getPaddingTop(). Method in class symantec.itools.awt.BorderPanel

Gets the current top border outside padding amount, in pixels.

getPageCount(). Method in class symantec.itools.awt.Wizard

Gets the number of pages in the Wizard.

getPageCount(). Method in interface symantec.itools.awt.WizardInterface

Gets the number of pages in the Wizard.

getPageDimension(). Method in class java.awt.PrintJob

Returns the dimensions of the page in pixels.

getPageIncrement(). Method in class java.awt.Scrollbar

getPageIndex(Component). Method in class symantec.itools.awt.Wizard

Gets the index for a specific page.

getPageResolution(). Method in class java.awt.PrintJob

Returns the resolution of the page in pixels per inch.

getPanelLabel(int). Method in class symantec.itools.awt.TabPanel

Gets the current tab label associated with the current panels at the given index.

getPanelLabels(). Method in class symantec.itools.awt.TabPanel

Gets the current tab labels associated with the panel positions.

getPanelTabIndex(Component). Method in class symantec.itools.awt.TabPanel

Gets the index for a specific panel.

getParameter(). Method in class java.sql.DataTruncation

Is this a truncated parameter value?

getParameter(String). Method in class java.applet.Applet

Returns the value of the named parameter in the HTML tag.

getParameter(String). Method in interface java.applet.AppletStub

Returns the value of the named parameter in the HTML tag.

getParameter(String). Method in class java.security.Signature

Gets the value of the specified algorithm parameter.

getParameterDescriptors(). Method in class java.beans.MethodDescriptor

getParameterInfo(). Method in class java.applet.Applet

Returns information about the parameters than are understood by this applet.

getParameterTypes(). Method in class java.lang.reflect.Constructor

Returns an array of Class objects that represent the formal parameter types, in declaration order, of the constructor represented by this Constructor object.

getParameterTypes(). Method in class java.lang.reflect.Method

Returns an array of Class objects that represent the formal parameter types, in declaration order, of the method represented by this Method object.

getParams(). Method in interface java.security.interfaces.DSAKey

Returns the DSA-specific key parameters.

getParent(). Method in class java.awt.Component

Gets the parent of this component.

getParent(). Method in class java.io.File

Returns the parent part of the pathname of this File object, or null if the name has no parent part.

getParent(). Method in class java.awt.MenuComponent

Returns the parent container for this menu component.

getParent(). Method in class java.lang.ThreadGroup

Returns the parent of this thread group.

getParent(). Method in class symantec.itools.awt.TreeNode

Gets the parent of this node.

getParentRelationView(). Method in class symantec.itools.db.pro.RelationView

Returns this RelationView's parent RelationView.

getPassword(). Method in class symantec.itools.db.pro.ConnectionInfo

Returns the password for the user.

getPassword(). Method in class symantec.itools.db.beans.jdbc.JdbcConnection

Gets the password property.

getPath(). Method in class java.io.File

Returns the pathname of the file represented by this object.

getPatternSeparator(). Method in class java.text.DecimalFormatSymbols

character used to separate positive and negative subpatterns in a pattern.

getPeer(). Method in class java.awt.Component

getPeer(). Method in class java.awt.Font

Gets the peer of the font.

getPeer(). Method in class java.awt.MenuComponent

getPercent(). Method in class symantec.itools.awt.image.DarkenFilter

Gets the percentage to fade when filtering.

getPercent(). Method in class java.text.DecimalFormatSymbols

character used for percent sign.

getPercent(). Method in class symantec.itools.awt.image.FadeFilter

Gets the percentage to fade when filtering.

getPercent(). Method in class symantec.itools.awt.image.LightenFilter

Gets the percentage to fade when filtering.

getPercentInstance(). Static method in class java.text.NumberFormat

Returns a percentage format for the current default locale.

getPercentInstance(Locale). Static method in class java.text.NumberFormat

Returns a percentage format for the specified locale.

getPerMill(). Method in class java.text.DecimalFormatSymbols

character used for mille percent sign.

getPermissions(Principal). Method in interface java.security.acl.Acl

Returns an enumeration for the set of allowed permissions for the specified principal (representing an entity such as an individual or a group).

getPixels(). Method in class java.awt.image.PixelGrabber

Get the pixel buffer.

getPixelSize(). Method in class java.awt.image.ColorModel

Returns the number of bits per pixel described by this ColorModel.

getPoint(). Method in class java.awt.event.MouseEvent

Returns the x,y position of the event relative to the source component.

getPort(). Method in class java.net.DatagramPacket

Returns the port number on the remote host to which this datagram is being sent or from which the datagram was received.

getPort(). Method in class java.net.Socket

Returns the remote port to which this socket is connected.

getPort(). Method in class java.net.SocketImpl

Returns the value of this socket's port field.

getPort(). Method in class java.net.URL

Returns the port number of this URL.

getPositivePrefix(). Method in class java.text.DecimalFormat

Get the positive prefix.

getPositiveSuffix(). Method in class java.text.DecimalFormat

Get the positive suffix.

getPrecision(int). Method in class symantec.itools.db.pro.RelationViewMetaData

Gets the specified column's number of decimal digits.

getPrecision(int). Method in interface java.sql.ResultSetMetaData

What's a column's number of decimal digits?

getPredefinedCursor(int). Static method in class java.awt.Cursor

Returns a cursor object with the specified predefined type.

getPreferredSize(). Method in class symantec.itools.awt.BaseTabbedPanel

Returns the recommended dimensions to properly display this component.

getPreferredSize(). Method in class symantec.itools.awt.BorderPanel

Returns the recommended dimensions to properly display this component.

getPreferredSize(). Method in class symantec.itools.awt.ButtonBase

Returns the recommended dimensions to properly display this component.

getPreferredSize(). Method in class symantec.itools.awt.ComboBox

Returns the recommended dimensions to properly display this component.

getPreferredSize(). Method in class java.awt.Component

Gets the preferred size of this component.

getPreferredSize(). Method in interface java.awt.peer.ComponentPeer

getPreferredSize(). Method in class java.awt.Container

Returns the preferred size of this container.

getPreferredSize(). Method in class symantec.itools.awt.DirectionButton

Returns the recommended dimensions to properly display this component.

getPreferredSize(). Method in class symantec.itools.awt.FormattedTextField

Returns the recommended dimensions to properly display this component.

getPreferredSize(). Method in class symantec.itools.db.awt.Grid

Returns the preferred size of this component.

getPreferredSize(). Method in class symantec.itools.awt.util.spinner.HorizontalSpinButtonPanel

Returns the recommended dimensions to properly display this component.

getPreferredSize(). Method in class symantec.itools.awt.ImageButton

Returns the recommended dimensions to properly display this component.

getPreferredSize(). Method in class symantec.itools.awt.ImageListBox

Returns the recommended dimensions to properly display this component.

getPreferredSize(). Method in class symantec.itools.awt.InfoTipPanel

Returns the recommended dimensions to properly display this component.

getPreferredSize(). Method in class symantec.itools.awt.Label3D

Returns the recommended dimensions to properly display this component.

getPreferredSize(). Method in class symantec.itools.awt.LabelButton

Returns the recommended dimensions to properly display this component.

getPreferredSize(). Method in class symantec.itools.awt.shape.Line

Returns the recommended dimensions to properly display this component.

getPreferredSize(). Method in class java.awt.List

Gets the preferred size of this scrolling list.

getPreferredSize(). Method in class symantec.itools.multimedia.NervousText

Returns the recommended dimensions to properly display this component.

getPreferredSize(). Method in class symantec.itools.awt.util.ProgressBar

Returns the recommended dimensions to properly display this component.

getPreferredSize(). Method in class symantec.itools.awt.RollOverButton

Returns the recommended dimensions to properly display this component.

getPreferredSize(). Method in class symantec.itools.awt.ScrollingPanel

Returns the preferred size of this container.

getPreferredSize(). Method in class symantec.itools.awt.shape.Shape

Returns the recommended dimensions to properly display this component.

getPreferredSize(). Method in class symantec.itools.multimedia.SlideShow

Returns the recommended dimensions to properly display this component.

getPreferredSize(). Method in class symantec.itools.awt.util.spinner.SpinButtonPanel

Returns the preferred size of this container.

getPreferredSize(). Method in class symantec.itools.awt.util.spinner.Spinner

Returns the preferred size of this container.

getPreferredSize(). Method in class symantec.itools.awt.TabPanel

Returns the recommended dimensions to properly display this component.

getPreferredSize(). Method in class java.awt.TextArea

Determines the preferred size of this text area.

getPreferredSize(). Method in class java.awt.TextField

Gets the preferred size of this text field.

getPreferredSize(). Method in class symantec.itools.awt.util.ToolBarPanel

Returns the recommended dimensions to properly display this component.

getPreferredSize(). Method in class symantec.itools.awt.util.ToolBarSpacer

Returns the recommended dimensions to properly display this component.

getPreferredSize(). Method in class symantec.itools.awt.TreeView

Returns the recommended dimensions to properly display this component.

getPreferredSize(). Method in class symantec.itools.awt.util.spinner.VerticalSpinButtonPanel

Returns the recommended dimensions to properly display this component.

getPreferredSize(). Method in class symantec.itools.awt.Wizard

Returns the recommended dimensions to properly display this component.

getPreferredSize(int). Method in class symantec.itools.awt.ImageListBox

Returns the preferred dimensions needed for the list with the specified number of rows.

getPreferredSize(int). Method in class java.awt.List

Gets the preferred dimensions for a list with the specified number of rows.

getPreferredSize(int). Method in interface java.awt.peer.ListPeer

getPreferredSize(int). Method in class java.awt.TextField

Gets the preferred size of this text field with the specified number of columns.

getPreferredSize(int). Method in interface java.awt.peer.TextFieldPeer

getPreferredSize(int, int). Method in class java.awt.TextArea

Determines the preferred size of a text area with the specified number of rows and columns.

getPreferredSize(int, int). Method in interface java.awt.peer.TextAreaPeer

getPreviewMode(). Method in class symantec.itools.multimedia.Animator

getPreviewMode(). Method in class symantec.itools.multimedia.Plasma

getPreviousPage(). Method in class symantec.itools.awt.SimpleWizardController

Return the previous page.

getPreviousPage(). Method in interface symantec.itools.awt.WizardController

Return the previous page.

getPrimaryKeys(String, String, String). Method in interface java.sql.DatabaseMetaData

Get a description of a table's primary key columns.

getPrimaryKeys(String, String, String). Method in class symantec.itools.db.pro.SessionMetaData

Gets a description of a table's primary key columns.

getPrincipal(). Method in interface java.security.acl.AclEntry

Returns the principal for which permissions are granted or denied by this ACL entry.

getPrincipal(). Method in interface java.security.Certificate

Returns the principal of the principal-key pair being guaranteed by the guarantor.

getPrintJob(). Method in interface java.awt.PrintGraphics

Returns the PrintJob object from which this PrintGraphics object originated.

getPrintJob(Frame, String, Properties). Method in class java.awt.Toolkit

Gets a PrintJob object which is the result of initiating a print operation on the toolkit's platform.

getPriority(). Method in class java.lang.Thread

Returns this thread's priority.

getPrivate(). Method in class java.security.KeyPair

Returns the private key from this key pair.

getPrivateKey(). Method in class java.security.Signer

Returns this signer's private key.

getProcedureColumns(String, String, String, String). Method in interface java.sql.DatabaseMetaData

Get a description of a catalog's stored procedure parameters and result columns.

getProcedureColumns(String, String, String, String). Method in class symantec.itools.db.pro.SessionMetaData

Gets a description of a catalog's procedure parameters and result columns.

getProcedures(String, String, String). Method in interface java.sql.DatabaseMetaData

Get a description of stored procedures available in a catalog.

getProcedures(String, String, String). Method in class symantec.itools.db.pro.SessionMetaData

Gets descriptions of all matching procedures stored in the database.

getProcedureTerm(). Method in interface java.sql.DatabaseMetaData

What's the database vendor's preferred term for "procedure"?

getProcedureTerm(). Method in class symantec.itools.db.pro.SessionMetaData

Gets the database vendor's preferred term for "procedure".

getProgressBarColor(). Method in class symantec.itools.awt.util.ProgressBar

Get the color that the progress bar will be drawing in.

getProgressBarTextColor(). Method in class symantec.itools.awt.util.ProgressBar

getProgressPercent(). Method in class symantec.itools.awt.util.ProgressBar

Get the current percentage complete.

getProjection(). Method in class symantec.itools.db.awt.Checkbox

Returns the projection in the RelationView that this component is bound with.

getProjection(). Method in class symantec.itools.db.awt.ComboBox

Returns the projection in the RelationView that this component is bound with.

getProjection(). Method in class symantec.itools.db.awt.DBTstamp

Returns the projection in the RelationView that this component is bound with.

getProjection(). Method in class symantec.itools.db.awt.FormattedTextField

Returns the projection in the RelationView that this component is bound with.

getProjection(). Method in class symantec.itools.db.awt.ImageViewer

Returns the projection in the RelationView that this component is bound with.

getProjection(). Method in class symantec.itools.db.awt.Label

Returns the projection in the RelationView that this component is bound with.

getProjection(). Method in class symantec.itools.db.awt.List

Returns the projection in the RelationView that this component is bound with.

getProjection(). Method in class symantec.itools.db.awt.NervousText

Returns the projection in the RelationView that this component is bound with.

getProjection(). Method in class symantec.itools.db.awt.RadioBox

Returns the projection in the RelationView that this component is bound with.

getProjection(). Method in class symantec.itools.db.awt.StateCheckBox

Returns the projection in the RelationView that this component is bound with.

getProjection(). Method in class symantec.itools.db.awt.TextArea

Returns the projection in the RelationView that this component is bound with.

getProjection(). Method in class symantec.itools.db.awt.TextField

Returns the projection in the RelationView that this component is bound with.

getPropagationId(). Method in class java.beans.PropertyChangeEvent

The "propagationId" field is reserved for future use.

getProperties(). Static method in class java.lang.System

Determines the current system properties.

getProperty(String). Method in class java.util.Properties

Searches for the property with the specified key in this property list.

getProperty(String). Static method in class java.security.Security

Gets a security property.

getProperty(String). Static method in class java.lang.System

Gets the system property indicated by the specified key.

getProperty(String, ImageObserver). Method in class java.awt.Image

Gets a property of this image by name.

getProperty(String, String). Method in class java.util.Properties

Searches for the property with the specified key in this property list.

getProperty(String, String). Static method in class java.lang.System

Gets the system property indicated by the specified key.

getProperty(String, String). Static method in class java.awt.Toolkit

Gets a property with the specified key and default.

getPropertyChangeEvent(). Method in class java.beans.PropertyVetoException

getPropertyDescriptors(). Method in class symantec.itools.multimedia.AnimatorBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.BaseTabbedPanelBeanInfo

Deny knowledge of properties.

getPropertyDescriptors(). Method in interface java.beans.BeanInfo

getPropertyDescriptors(). Method in class symantec.itools.awt.BorderPanelBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.ButtonBaseBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.util.CalendarBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.db.awt.CheckboxBeanInfo

Gets an array of descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.ComboBoxBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.db.awt.ComboBoxBeanInfo

Gets an array of descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.db.beans.jdbc.ConnectionManagerBeanInfo

Gets an array of descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.db.awt.DBTstampBeanInfo

Gets an array of descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.DirectionButtonBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class geo.emblaze.Emblaze20BeanInfo

Deny knowledge of properties.

getPropertyDescriptors(). Method in class symantec.itools.multimedia.FireworkBeanInfo

Deny knowledge of properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.FormattedTextFieldBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.db.awt.FormattedTextFieldBeanInfo

Gets an array of descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.db.awt.GridBeanInfo

Gets an array of descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.shape.HorizontalLineBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.HorizontalSliderBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.ImageButtonBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.ImageHTMLLinkBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.ImageListBoxBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.ImagePanelBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.db.awt.ImageViewerBeanInfo

Gets an array of descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.multimedia.ImageViewerBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.InfoTipPanelBeanInfo

Returns desecriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.util.edit.IntlLongDistPhoneNumberBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.InvisibleButtonBeanInfo

Deny knowledge of properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.InvisibleHTMLLinkBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.db.beans.jdbc.JdbcConnectionBeanInfo

Gets an array of descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.KeyPressManagerPanelBeanInfo

Deny knowledge of properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.Label3DBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.db.awt.LabelBeanInfo

Gets an array of descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.LabelButtonBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.LabelHTMLLinkBeanInfo

Deny knowledge of properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.shape.LineBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.db.awt.ListBeanInfo

Gets an array of descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.db.awt.ListPlusBeanInfo

Gets an array of descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.util.spinner.ListSpinnerBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.util.edit.LocalPhoneNumberBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.util.edit.LongDistPhoneNumberBeanInfo

Deny knowledge of properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.util.edit.LongZipCodeBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.db.beans.binding.MediatorBeanInfo

Gets an array of descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.db.beans.binding.MediatorDSBeanInfo

Gets an array of descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.multimedia.MovingAnimationBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.MultiListBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.db.awt.NervousTextBeanInfo

Gets an array of descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.multimedia.NervousTextBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.util.spinner.NumericSpinnerBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.util.edit.PhoneNumberBeanInfo

Deny knowledge of properties.

getPropertyDescriptors(). Method in class symantec.itools.multimedia.PlasmaBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.util.edit.PostalCodeBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.util.ProgressBarBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.db.beans.binding.QueryNavigatorBeanInfo

Gets an array of descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.db.beans.jdbc.QueryNavigatorBeanInfo

Gets an array of descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.db.awt.RadioBoxBeanInfo

Gets an array of descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.RadioButtonGroupPanelBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.db.beans.jdbc.RecordDefinitionBeanInfo

Gets an array of descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.db.awt.RecordNumberLabelBeanInfo

Gets an array of descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.db.awt.RecordStateLabelBeanInfo

Gets an array of descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.RollOverButtonBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.ScrollingPanelBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.multimedia.ScrollingTextBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.shape.ShapeBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class java.beans.SimpleBeanInfo

Deny knowledge of properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.SliderBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.util.edit.SocialIDNumberBeanInfo

Deny knowledge of properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.util.edit.SocialInsuranceNumberBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.util.edit.SocialSecurityNumberBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.multimedia.SoundPlayerBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.util.spinner.SpinnerBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.SplitterPanelBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.StateCheckBoxBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.db.awt.StateCheckBoxBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.StatusBarBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.util.StatusScrollerBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.TabPanelBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.db.awt.TextAreaBeanInfo

Gets an array of descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.db.awt.TextFieldBeanInfo

Gets an array of descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.util.ToolBarPanelBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.util.ToolBarSpacerBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.TreeViewBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.util.edit.USLongDistPhoneNumberBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.shape.VerticalLineBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.VerticalSliderBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.WizardBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.WrappingLabelBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptors(). Method in class symantec.itools.awt.util.edit.ZipCodeBeanInfo

Returns descriptions of this bean's properties.

getPropertyDescriptorsFake(). Method in class symantec.itools.db.beans.jdbc.RecordDefinitionBeanInfo

Gets an empty PropertyDescriptor array.

getPropertyEditorClass(). Method in class java.beans.PropertyDescriptor

getPropertyInfo(String, Properties). Method in interface java.sql.Driver

The getPropertyInfo method is intended to allow a generic GUI tool to discover what properties it should prompt a human for in order to get enough information to connect to a database.

getPropertyName(). Method in class java.beans.PropertyChangeEvent

getPropertyType(). Method in class java.beans.PropertyDescriptor

getPropResize(). Method in class symantec.itools.awt.SplitterPanel

getProtocol(). Method in class java.net.URL

Returns the protocol name this URL.

getProvider(String). Static method in class java.security.Security

Returns the provider installed with the specified name, if any.

getProviders(). Static method in class java.security.Security

Returns all providers currently installed.

getPublic(). Method in class java.security.KeyPair

Returns the public key from this key pair.

getPublicKey(). Method in interface java.security.Certificate

Returns the key of the principal-key pair being guaranteed by the guarantor.

getPublicKey(). Method in class java.security.Identity

Returns this identity's public key.

getQ(). Method in interface java.security.interfaces.DSAParams

Returns the subprime, q.

getQBEObject(). Method in class symantec.itools.db.beans.binding.QueryNavigator

Gets the data object currently in focus in the query-by-example results.

getQueryTimeout(). Method in interface java.sql.Statement

The queryTimeout limit is the number of seconds the driver will wait for a Statement to execute.

getRawOffset(). Method in class java.util.SimpleTimeZone

Overrides TimeZone Gets the GMT offset for this time zone.

getRawOffset(). Method in class java.util.TimeZone

Gets unmodified offset, NOT modified in case of daylight savings.

getRead(). Method in class java.sql.DataTruncation

Was this a read truncation?

getReadMethod(). Method in class java.beans.PropertyDescriptor

getRecord(). Method in class symantec.itools.db.pro.RelationView

Gets the current Record.

getRed(). Method in class java.awt.Color

Gets the red component of this color.

getRed(int). Method in class java.awt.image.ColorModel

The subclass must provide a function which provides the red color compoment for the specified pixel.

getRed(int). Method in class java.awt.image.DirectColorModel

Returns the red color compoment for the specified pixel in the range 0-255.

getRed(int). Method in class java.awt.image.IndexColorModel

Returns the red color compoment for the specified pixel in the range 0-255.

getRedMask(). Method in class java.awt.image.DirectColorModel

Returns the mask indicating which bits in a pixel contain the red color component.

getReds(byte[]). Method in class java.awt.image.IndexColorModel

Copies the array of red color components into the given array.

getRef(). Method in class java.net.URL

Returns the anchor (also known as the "reference") of this URL.

getRefClass(ObjectOutput). Method in interface java.rmi.server.RemoteRef

Returns the class name of the ref type to be serialized onto the stream 'out'.

getRegistry(). Static method in class java.rmi.registry.LocateRegistry

Returns the remote object Registry for the local host.

getRegistry(int). Static method in class java.rmi.registry.LocateRegistry

Returns the remote object Registry on the current host at the specified port.

getRegistry(String). Static method in class java.rmi.registry.LocateRegistry

Returns the remote object Registry on the specified host at a default (i.e., well-known) port number.

getRegistry(String, int). Static method in class java.rmi.registry.LocateRegistry

Returns the remote object Registry on the specified host at the specified port.

getRelationView(). Method in class symantec.itools.db.awt.Checkbox

Gets the RelationView that this component is bound with.

getRelationView(). Method in class symantec.itools.db.awt.ComboBox

Gets the RelationView that this component is bound with.

getRelationView(). Method in class symantec.itools.db.awt.DBTstamp

Gets the RelationView that this component is bound with.

getRelationView(). Method in class symantec.itools.db.awt.FormattedTextField

Gets the RelationView that this component is bound with.

getRelationView(). Method in class symantec.itools.db.awt.Grid

Gets the RelationView that this component is bound with.

getRelationView(). Method in class symantec.itools.db.awt.ImageViewer

Gets the RelationView that this component is bound with.

getRelationView(). Method in class symantec.itools.db.awt.Label

Gets the RelationView that this component is bound with.

getRelationView(). Method in class symantec.itools.db.awt.List

Gets the RelationView that this component is bound with.

getRelationView(). Method in class symantec.itools.db.pro.ListBinder

Returns the current relation view.

getRelationView(). Method in class symantec.itools.db.awt.NervousText

Gets the RelationView that this component is bound with.

getRelationView(). Method in class symantec.itools.db.pro.ProjBinder

Gets the RelationView of the column that this ProjBinder is bound to.

getRelationView(). Method in class symantec.itools.db.awt.RadioBox

Gets the RelationView that this component is bound with.

getRelationView(). Method in class symantec.itools.db.pro.Record

Returns the RelationView that this Record belongs to.

getRelationView(). Method in class symantec.itools.db.awt.RecordNumberLabel

Gets the RelationView that this component is bound with.

getRelationView(). Method in class symantec.itools.db.awt.RecordStateLabel

Gets the RelationView that this component is bound with.

getRelationView(). Method in class symantec.itools.db.awt.StateCheckBox

Gets the RelationView that this component is bound with.

getRelationView(). Method in class symantec.itools.db.awt.TextArea

Gets the RelationView that this component is bound with.

getRelationView(). Method in class symantec.itools.db.awt.TextField

Returns the RelationView that this component is bound with.

getRemaining(). Method in class java.util.zip.Inflater

Returns the total number of bytes remaining in the input buffer.

getRemoveListenerMethod(). Method in class java.beans.EventSetDescriptor

getRepeat(). Method in class symantec.itools.multimedia.SoundPlayer

Gets the number of times the list of sound clips is played.

getRepeat(). Method in class symantec.itools.awt.util.StatusScroller

getRepeat(). Method in class symantec.itools.util.Timer

getRepeatMode(). Method in class symantec.itools.multimedia.Animator

getRepresentationClass(). Method in class java.awt.datatransfer.DataFlavor

Returns the Class which objects supporting this DataFlavor will return when this DataFlavor is requested.

getRequest(). Method in class symantec.itools.db.pro.Session

Creates a Request object that can be used to create a root RelationView for a new MultiView.

getRequest(String). Method in class symantec.itools.db.pro.Session

Creates a Request object that can be used to create a root RelationView for a new MultiView.

getRequestMethod(). Method in class java.net.HttpURLConnection

Get the request method.

getRequestProperties(). Method in class symantec.itools.db.pro.Request

Gets the Request object properties.

getRequestProperty(String). Method in class java.net.URLConnection

Returns the value of the named general request property for this connection.

getResource(String). Method in class java.lang.Class

Finds a resource with the specified name.

getResource(String). Method in class java.lang.ClassLoader

Find a resource with a given name.

getResourceAsStream(String). Method in class java.lang.Class

Finds a resource with a given name.

getResourceAsStream(String). Method in class java.lang.ClassLoader

Get an InputStream on a given resource.

getResponseCode(). Method in class java.net.HttpURLConnection

Gets HTTP response status.

getResponseMessage(). Method in class java.net.HttpURLConnection

Gets the HTTP response message, if any, returned along with the response code from a server.

getRestartButton(). Method in class symantec.itools.db.awt.Grid

Gets whether the Grid has this button.

getResultSet(). Method in interface java.sql.Statement

getResultSet returns the current result as a ResultSet.

getResultStream(boolean). Method in interface java.rmi.server.RemoteCall

Returns an output stream (may put out header information relating to the success of the call).

getReturnType(). Method in class java.lang.reflect.Method

Returns a Class object that represents the formal return type of the method represented by this Method object.

getRGB(). Method in class java.awt.Color

Gets the RGB value representing the color in the default RGB ColorModel.

getRGB(). Method in class java.awt.SystemColor

Gets the "current" RGB value representing the symbolic color.

getRGB(int). Method in class java.awt.image.ColorModel

Returns the color of the pixel in the default RGB color model.

getRGB(int). Method in class java.awt.image.DirectColorModel

Returns the color of the pixel in the default RGB color model.

getRGB(int). Method in class java.awt.image.IndexColorModel

Returns the color of the pixel in the default RGB color model.

getRGBdefault(). Static method in class java.awt.image.ColorModel

Return a ColorModel which describes the default format for integer RGB values used throughout the AWT image interfaces.

getRightPanel(). Method in class symantec.itools.awt.SplitterPanel

Gets the right panel of a vertically split SplitterPanel.

getRightToLeft(). Method in class symantec.itools.awt.util.StatusScroller

getRootNode(). Method in class symantec.itools.awt.TreeView

Returns the "root" node.

getRootRelView(). Method in class symantec.itools.db.pro.MultiView

Return the ultimate parent of the MultiView.

getRowDataState(int). Method in class symantec.itools.db.awt.DbDataSource

Called by DbDataStore and DbUpdater to add a new row of data to the result set.

getRows(). Method in class java.awt.GridLayout

Gets the number of rows in this layout.

getRows(). Method in class symantec.itools.awt.ImageListBox

Returns the number of currently visible lines in this list.

getRows(). Method in class java.awt.List

Get the number of visible lines in this list.

getRows(). Method in class java.awt.TextArea

Gets the number of rows in the text area.

getRowsNumber(). Method in class symantec.itools.db.awt.Grid

Gets the number of rows this Grid has.

getRowState(). Method in class symantec.itools.db.beans.binding.QueryNavigator

Gets the state of the current row.

getRowState(PersistentObject). Method in class symantec.itools.db.beans.binding.QueryNavigator

Gets the state of the given row.

getRowsToShow(). Method in class symantec.itools.awt.ImageListBox

Gets the current number of rows to display.

getRules(). Method in class java.text.RuleBasedCollator

Gets the table-based rules for the collation object.

getRuntime(). Static method in class java.lang.Runtime

Returns the runtime object associated with the current Java application.

getRunTimeProperties(). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Gets the temporary table that contains run-time properties.

getSaveButton(). Method in class symantec.itools.db.awt.Grid

Gets whether the Grid has this button.

getScale(). Method in class symantec.itools.db.awt.Checkbox

Gets the number of digits to the right of the decimal point for this component's value.

getScale(). Method in class symantec.itools.db.awt.ComboBox

Gets the number of digits to the right of the decimal point for this component's value.

getScale(). Method in class symantec.itools.db.awt.FormattedTextField

Gets the number of digits to the right of the decimal point for this component's value.

getScale(). Method in class symantec.itools.db.awt.ImageViewer

Gets the number of digits to the right of the decimal point for this component's value.

getScale(). Method in class symantec.itools.db.awt.Label

Gets the number of digits to the right of the decimal point for this component's value.

getScale(). Method in class symantec.itools.db.awt.List

Gets the number of digits to the right of the decimal point for this component's value.

getScale(). Method in class symantec.itools.db.awt.ListPlus

Gets the number of digits to the right of the decimal point for this component's value.

getScale(). Method in class symantec.itools.db.awt.NervousText

Gets the number of digits to the right of the decimal point for this component's value.

getScale(). Method in interface symantec.itools.db.awt.ProjectionBean

Gets the number of digits to the right of the decimal point for this component's value.

getScale(). Method in class symantec.itools.db.awt.RadioBox

Gets the number of digits to the right of the decimal point for this component's value.

getScale(). Method in class symantec.itools.db.awt.StateCheckBox

Gets the number of digits to the right of the decimal point for this component's value.

getScale(). Method in class symantec.itools.db.awt.TextArea

Gets the number of digits to the right of the decimal point for this component's value.

getScale(). Method in class symantec.itools.db.awt.TextField

Gets the number of digits to the right of the decimal point for this component's value.

getScale(int). Method in class symantec.itools.db.pro.RelationViewMetaData

Gets the specified column's number of digits to the right of the decimal point.

getScale(int). Method in class symantec.itools.db.pro.RelationViewPlus

Gets the number of digits to the right of the decimal point for this component's value.

getScale(int). Method in interface java.sql.ResultSetMetaData

What's a column's number of digits to right of the decimal point?

getScaledInstance(int, int, int). Method in class java.awt.Image

Creates a scaled version of this image.

getScaleMode(). Method in class symantec.itools.awt.ImageButton

getSchemaName(int). Method in class symantec.itools.db.pro.RelationViewMetaData

Gets the specified column's table's schema, or "" if not applicable.

getSchemaName(int). Method in interface java.sql.ResultSetMetaData

What's a column's table's schema?

getSchemas(). Method in interface java.sql.DatabaseMetaData

Get the schema names available in this database.

getSchemas(). Method in class symantec.itools.db.pro.SessionMetaData

Gets the available schema names in the database.

getSchemaTerm(). Method in interface java.sql.DatabaseMetaData

What's the database vendor's preferred term for "schema"?

getSchemaTerm(). Method in class symantec.itools.db.pro.SessionMetaData

Gets the database vendor's preferred term for "schema".

getScope(). Method in class java.security.Identity

Returns this identity's scope.

getScreenResolution(). Method in class java.awt.Toolkit

Returns the screen resolution in dots-per-inch.

getScreenSize(). Method in class java.awt.Toolkit

Gets the size of the screen.

getScrollbarDisplayPolicy(). Method in class java.awt.ScrollPane

Returns the display policy for the scrollbars.

getScrollbarVisibility(). Method in class java.awt.TextArea

Gets an enumerated value that indicates which scroll bars the text area uses.

getScrollClean(). Method in class symantec.itools.awt.util.StatusScroller

getScrollDirection(). Method in class symantec.itools.multimedia.ScrollingText

Obtain the current direction of scrolling.

getScrollInterval(). Method in class symantec.itools.multimedia.ScrollingText

Obtain the current scroll interval.

getScrollLineIncrement(). Method in class symantec.itools.awt.ScrollingPanel

getScrollPosition(). Method in class java.awt.ScrollPane

Returns the current x,y position within the child which is displayed at the 0,0 location of the scrolled panel's view port.

getScrollUnit(). Method in class symantec.itools.multimedia.ScrollingText

Obtain the current size of the scroll step.

getSearchable(). Method in class symantec.itools.awt.ComboBox

getSearchStringEscape(). Method in interface java.sql.DatabaseMetaData

This is the string that can be used to escape '_' or '%' in the string pattern style catalog search parameters.

getSearchStringEscape(). Method in class symantec.itools.db.pro.SessionMetaData

Gets the string to be used to escape '_' and '%' characters in string pattern based searches, such as getTables().

getSeconds(). Method in class java.sql.Date

Returns the number of seconds past the minute represented by this date.

getSeconds(). Method in class java.util.Date

Returns the number of seconds past the minute represented by this date.

getSecurityContext(). Method in class java.rmi.RMISecurityManager

Returns the security context (e.g., a URL).

getSecurityContext(). Method in class java.lang.SecurityManager

Creates an object that encapsulates the current execution environment.

getSecurityContext(ClassLoader). Method in interface java.rmi.server.LoaderHandler

Returns the security context of the given class loader (e.g., a URL)

getSecurityContext(ClassLoader). Static method in class java.rmi.server.RMIClassLoader

Returns the security context of the given class loader

getSecurityManager(). Static method in class java.lang.System

Gets the system security interface.

getSeed(int). Static method in class java.security.SecureRandom

Returns the given number of seed bytes, computed using the seed generation algorithm that this class uses to seed itself.

getSelectClause(). Method in class symantec.itools.db.awt.List

Gets the sql string to use while generating the list for this component to bind to.

getSelectClause(). Method in class symantec.itools.db.pro.RelationView

Gets the SQL string property.

getSelectedCheckbox(). Method in class java.awt.CheckboxGroup

Gets the current choice from this check box group.

getSelectedColor(). Method in class symantec.itools.awt.util.Calendar

Returns the color that highlights the selected date on the calendar.

getSelectedIndex(). Method in class java.awt.Choice

Returns the index of the currently selected item.

getSelectedIndex(). Method in class symantec.itools.awt.ComboBox

Gets the zero-relative index of the currently selected item in the drop-down list.

getSelectedIndex(). Method in class symantec.itools.awt.ImageListBox

Gets the zero-relative index of the selected item in the list.

getSelectedIndex(). Method in class java.awt.List

Gets the index of the selected item on the list,

getSelectedIndex(). Method in class symantec.itools.awt.Wizard

Returns the zero-relative index of the currently selected page.

getSelectedIndex(). Method in interface symantec.itools.awt.WizardInterface

Returns the zero-relative index of the currently selected page.

getSelectedIndexes(). Method in class symantec.itools.awt.ImageListBox

Returns the indexes of all the selected items in the list.

getSelectedIndexes(). Method in class java.awt.List

Gets the selected indexes on the list.

getSelectedIndexes(). Method in interface java.awt.peer.ListPeer

getSelectedItem(). Method in class java.awt.Choice

Gets a representation of the current choice as a string.

getSelectedItem(). Method in class symantec.itools.awt.ComboBox

Returns the selected item on the drop-down list.

getSelectedItem(). Method in class symantec.itools.awt.ImageListBox

Returns the currently selected item in the list.

getSelectedItem(). Method in class java.awt.List

Get the selected item on this scrolling list.

getSelectedItems(). Method in class symantec.itools.awt.ImageListBox

Returns all of the the selected items in the list.

getSelectedItems(). Method in class java.awt.List

Get the selected items on this scrolling list.

getSelectedNode(). Method in class symantec.itools.awt.TreeView

Gets the currently selected node.

getSelectedObjects(). Method in class java.awt.Checkbox

Returns the an array (length 1) containing the checkbox label or null if the checkbox is not selected.

getSelectedObjects(). Method in class java.awt.CheckboxMenuItem

Returns the an array (length 1) containing the checkbox menu item label or null if the checkbox is not selected.

getSelectedObjects(). Method in class java.awt.Choice

Returns an array (length 1) containing the currently selected item.

getSelectedObjects(). Method in class symantec.itools.awt.ImageListBox

Returns the selected items in the list.

getSelectedObjects(). Method in interface java.awt.ItemSelectable

Returns the selected items or null if no items are selected.

getSelectedObjects(). Method in class java.awt.List

Returns the selected items on the list in an array of Objects.

getSelectedObjects(). Method in class symantec.itools.awt.MultiList

Returns an array of Objects (Integers), one for each selected row index.

getSelectedObjects(). Method in class symantec.itools.awt.RadioButtonGroupPanel

Returns the selected items or null if no items are selected.

getSelectedObjects(). Method in class symantec.itools.awt.TreeView

Returns the selected items or null if no items are selected.

getSelectedRadioButton(). Method in class symantec.itools.awt.RadioButtonGroupPanel

Gets the current choice.

getSelectedRadioButtonIndex(). Method in class symantec.itools.awt.RadioButtonGroupPanel

Gets the index of the current choice.

getSelectedRow(). Method in class symantec.itools.awt.CompareCells

Gets the row which has been noted as selected.

getSelectedRow(). Method in class symantec.itools.awt.MultiList

Returns the zero-relative index of the currently selected row.

getSelectedRows(). Method in class symantec.itools.awt.MultiList

Returns an integer index for each selected row.

getSelectedText(). Method in class java.awt.TextComponent

Gets the selected text from the text that is presented by this text component.

getSelectedText(). Method in class symantec.itools.awt.TreeView

Gets the text of the currently selected node.

getSelectionEnd(). Method in class java.awt.TextComponent

Gets the end position of the selected text in this text component.

getSelectionEnd(). Method in interface java.awt.peer.TextComponentPeer

getSelectionStart(). Method in class java.awt.TextComponent

Gets the start position of the selected text in this text component.

getSelectionStart(). Method in interface java.awt.peer.TextComponentPeer

getSelectSQL(). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Gets a SQL SELECT statment for this record.

getSentenceInstance(). Static method in class java.text.BreakIterator

Create BreakIterator for sentence-breaks using default locale Returns an instance of a BreakIterator implementing sentence breaks.

getSentenceInstance(Locale). Static method in class java.text.BreakIterator

Create BreakIterator for sentence-breaks using specified locale Returns an instance of a BreakIterator implementing sentence breaks.

getSerialVersionUID(). Method in class java.io.ObjectStreamClass

Return the serialVersionUID for this class.

getServerURL(). Method in class symantec.itools.db.pro.Session

Returns the URL used to connect to the server.

getSession(). Method in class symantec.itools.db.pro.RelationView

Gets the Session object.

getSetMethods(). Method in class symantec.itools.db.beans.binding.Mediator

Gets the methods used to set a component's value.

getShiftOffset(). Method in class symantec.itools.multimedia.MovingAnimation

Gets the animation shift offset.

getShort(). Method in class symantec.itools.db.pro.ProjBinder

Gets the column value as a Java short.

getShort(). Method in class symantec.itools.db.pro.Projection

Gets the data value as a Java short.

getShort(int). Method in interface java.sql.CallableStatement

Get the value of a SMALLINT parameter as a Java short.

getShort(int). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value as a Java short.

getShort(int). Method in class symantec.itools.db.pro.Record

Gets the specified column value as a Java short.

getShort(int). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value as a Java short.

getShort(int). Method in interface java.sql.ResultSet

Get the value of a column in the current row as a Java short.

getShort(Object). Method in class java.lang.reflect.Field

Get the value of a field as a short on specified object.

getShort(Object, int). Static method in class java.lang.reflect.Array

Returns the value of the indexed component in the specified array object, as a short.

getShort(String). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value as a Java short.

getShort(String). Method in class symantec.itools.db.pro.Record

Gets the specified column value as a Java short.

getShort(String). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value as a Java short.

getShort(String). Method in interface java.sql.ResultSet

Get the value of a column in the current row as a Java short.

getShortcut(). Method in class java.awt.MenuItem

Get the MenuShortcut object associated with this menu item,

getShortcutMenuItem(MenuShortcut). Method in class java.awt.MenuBar

Gets the instance of MenuItem associated with the specified MenuShortcut object, or null if none has been specified.

getShortDescription(). Method in class java.beans.FeatureDescriptor

getShortMonths(). Method in class java.text.DateFormatSymbols

Gets short month strings.

getShortWeekdays(). Method in class java.text.DateFormatSymbols

Gets short weekday strings.

getShowBorder(). Method in class symantec.itools.awt.Slider

getShowFocus(). Method in class symantec.itools.awt.ButtonBase

getShowHorizontalScroll(). Method in class symantec.itools.awt.ComboBox

getShowHorizontalScroll(). Method in class symantec.itools.awt.ImageListBox

getShowHorizontalScroll(). Method in class symantec.itools.awt.ScrollingPanel

getShowProgress(). Method in class symantec.itools.awt.util.ProgressBar

getShowVerticalScroll(). Method in class symantec.itools.awt.ComboBox

getShowVerticalScroll(). Method in class symantec.itools.awt.ImageListBox

getShowVerticalScroll(). Method in class symantec.itools.awt.ScrollingPanel

getSibling(). Method in class symantec.itools.awt.TreeNode

Gets the next sibling of this node.

getSigners(). Method in class java.lang.Class

Get the signers of this class.

getSize(). Method in class java.awt.Component

Returns the size of this component in the form of a Dimension object.

getSize(). Method in class java.awt.Dimension

Gets the size of this Dimension object.

getSize(). Method in class java.awt.Font

Gets the point size of the font.

getSize(). Method in class java.awt.Rectangle

Gets the size (width and height) of this rectangle.

getSize(). Method in class java.util.zip.ZipEntry

Returns the uncompressed size of the entry data, or -1 if not known.

getSlice(int, Object[][], int). Method in class symantec.itools.db.beans.binding.Mediator

Internal helper method.

getSocketFactory(). Static method in class java.rmi.server.RMISocketFactory

Returns the socket factory used by RMI.

getSoLinger(). Method in class java.net.Socket

Returns setting for SO_LINGER.

getSortOrder(). Method in class symantec.itools.db.beans.jdbc.QueryNavigator

Gets the current SQL sort order.

getSoTimeout(). Method in class java.net.DatagramSocket

Retrive setting for SO_TIMEOUT.

getSoTimeout(). Method in class java.net.ServerSocket

Retrive setting for SO_TIMEOUT.

getSoTimeout(). Method in class java.net.Socket

Returns setting for SO_TIMEOUT.

getSource(). Method in class java.util.EventObject

getSource(). Method in class java.awt.Image

Gets the object that produces the pixels for the image.

getSourceString(). Method in class java.text.CollationKey

Returns the String that this CollationKey represents.

getSpace(). Method in class symantec.itools.awt.util.ToolBarSpacer

Gets the size of the space the spacer will occupy in pixels.

getSpecialFeature(int, int). Method in class symantec.itools.db.beans.binding.QueryNavigator

Gets a special value for the getValue method.

getSpecialFeature(int, int). Method in class symantec.itools.db.pro.RelationViewPlus

Helper method for the getValue method.

getSplitType(). Method in class symantec.itools.awt.SplitterPanel

Gets the type of split for this SplitterPanel.

getSQL(). Method in class symantec.itools.db.pro.Request

Gets the SQL string that will be sent to the database when the execute method is called.

getSQLConnection(). Method in class symantec.itools.db.beans.jdbc.JdbcConnection

This method returns the JDBC Connection object controlling the database connection.

getSQLKeywords(). Method in interface java.sql.DatabaseMetaData

Get a comma separated list of all a database's SQL keywords that are NOT also SQL92 keywords.

getSQLKeywords(). Method in class symantec.itools.db.pro.SessionMetaData

Gets a comma-separated list of all SQL keywords for this database that are not also SQL92 keywords.

getSQLState(). Method in class java.sql.SQLException

Get the SQLState

getStandardFileName(). Method in class symantec.itools.awt.RollOverButton

Gets the file name of the image to display while the mouse is not over the button.

getStandardImage(). Method in class symantec.itools.awt.RollOverButton

Gets the image displayed while the mouse is not over the button.

getStandardURL(). Method in class symantec.itools.awt.RollOverButton

Gets the URL of the image to display while the mouse is not over the button.

getState(). Method in class java.awt.Checkbox

Determines whether this check box is in the "on" or "off" state.

getState(). Method in class java.awt.CheckboxMenuItem

Determines whether the state of this check box menu item is "on" or "off."

getState(). Method in class symantec.itools.db.pro.Record

Gets the current state of this Record.

getState(). Method in class symantec.itools.awt.StateCheckBox

Gets the current checkbox state: unchecked, checked, or default.

getStateChange(). Method in class java.awt.event.ItemEvent

Returns the state change type which generated the event.

getStatement(PreparedStatement, int). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Gets the specified type of pre-compiled SQL statement for this record.

getStateString(). Method in class symantec.itools.db.pro.Record

Gets the current state of this Record as a String description.

getStateString(byte). Method in class symantec.itools.db.pro.RelationViewPlus

This method is translates the given record state value into a string.

getStatus(). Method in class java.awt.image.PixelGrabber

Return the status of the pixels.

getStatusText(). Method in class symantec.itools.awt.StatusBar

Gets the text currently displayed.

getStatusTextColor(). Method in class symantec.itools.awt.StatusBar

Gets the text color currently displayed.

getStrength(). Method in class java.text.Collator

Returns this Collator's strength property.

getString(). Method in class symantec.itools.db.pro.ProjBinder

Gets the column value as a Java String that is space padded to meet the maximum length of the variable.

getString(). Method in class symantec.itools.db.pro.Projection

Gets the data value as a Java String that is space padded to meet the maximum length of the variable.

getString(). Method in class symantec.itools.awt.util.StatusScroller

Gets the string being scrolled.

getString(int). Method in interface java.sql.CallableStatement

Get the value of a CHAR, VARCHAR, or LONGVARCHAR parameter as a Java String.

getString(int). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value as a Java String that is space padded to meet the maximum length of the variable.

getString(int). Method in class symantec.itools.db.pro.Record

Gets the specified column value as a Java String that is space padded to meet the maximum length of the variable.

getString(int). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value as a Java String that is space padded to meet the maximum length of the variable.

getString(int). Method in interface java.sql.ResultSet

Get the value of a column in the current row as a Java String.

getString(String). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value as a Java String that is space padded to meet the maximum length of the variable.

getString(String). Method in class symantec.itools.db.pro.Record

Gets the specified column value as a Java String that is space padded to meet the maximum length of the variable.

getString(String). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value as a Java String that is space padded to meet the maximum length of the variable.

getString(String). Method in class java.util.ResourceBundle

Get an object from a ResourceBundle.

getString(String). Method in interface java.sql.ResultSet

Get the value of a column in the current row as a Java String.

getStringArray(String). Method in class java.util.ResourceBundle

Get an object from a ResourceBundle.

getStringFunctions(). Method in interface java.sql.DatabaseMetaData

Get a comma separated list of string functions.

getStringFunctions(). Method in class symantec.itools.db.pro.SessionMetaData

Gets a comma-separated list of all string functions this database supports.

getStringValue(). Method in class symantec.itools.db.pro.ProjBinder

Gets the column value as a Java String object.

getStringValue(boolean). Method in class symantec.itools.db.pro.ProjBinder

Gets the column value as a Java String object.

getStringValue(int). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value as a Java String object.

getStringValue(int). Method in class symantec.itools.db.pro.ProjBinder

Gets the column value as a Java String object.

getStringValue(int). Method in class symantec.itools.db.pro.Record

Gets the specified column value as a Java String object.

getStringValue(int). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value as a Java String object.

getStringValue(int, boolean). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value as a Java String object.

getStringValue(int, boolean). Method in class symantec.itools.db.pro.ProjBinder

Gets the column value as a Java String object.

getStringValue(int, boolean). Method in class symantec.itools.db.pro.Record

Gets the specified column value as a Java String object.

getStringValue(int, boolean). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value as a Java String object.

getStringValue(int, int). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value as a Java String object.

getStringValue(int, int). Method in class symantec.itools.db.pro.ProjBinder

Gets the column value as a Java String object.

getStringValue(int, int). Method in class symantec.itools.db.pro.Record

Gets the specified column value as a Java String object.

getStringValue(int, int). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value as a Java String object.

getStringValue(int, int, boolean). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value as a Java String object.

getStringValue(int, int, boolean). Method in class symantec.itools.db.pro.ProjBinder

Gets the column value as a Java String object.

getStringValue(int, int, boolean). Method in class symantec.itools.db.pro.Record

Gets the specified column value as a Java String object.

getStringValue(int, int, boolean). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value as a Java String object.

getStringValue(int, int, int). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value as a Java String object.

getStringValue(int, int, int). Method in class symantec.itools.db.pro.Record

Gets the specified column value as a Java String object.

getStringValue(int, int, int). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value as a Java String object.

getStringValue(int, int, int, boolean). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value as a Java String object.

getStringValue(int, int, int, boolean). Method in class symantec.itools.db.pro.Record

Gets the specified column value as a Java String object.

getStringValue(int, int, int, boolean). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value as a Java String object.

getStringValue(int, String, int). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value as a Java String object.

getStringValue(int, String, int). Method in class symantec.itools.db.pro.Record

Gets the specified column value as a Java String object.

getStringValue(int, String, int). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value as a Java String object.

getStringValue(int, String, int, boolean). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value as a Java String object.

getStringValue(int, String, int, boolean). Method in class symantec.itools.db.pro.Record

Gets the specified column value as a Java String object.

getStringValue(int, String, int, boolean). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value as a Java String object.

getStringValue(String). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value as a Java String object.

getStringValue(String). Method in class symantec.itools.db.pro.Record

Gets the specified column value as a Java String object.

getStringValue(String). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value as a Java String object.

getStringValue(String, boolean). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value as a Java String object.

getStringValue(String, boolean). Method in class symantec.itools.db.pro.Record

Gets the specified column value as a Java String object.

getStringValue(String, boolean). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value as a Java String object.

getStringValue(String, int). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value as a Java String object.

getStringValue(String, int). Method in class symantec.itools.db.pro.ProjBinder

Gets the column value as a Java String object.

getStringValue(String, int). Method in class symantec.itools.db.pro.Record

Gets the specified column value as a Java String object.

getStringValue(String, int). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value as a Java String object.

getStringValue(String, int, boolean). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value as a Java String object.

getStringValue(String, int, boolean). Method in class symantec.itools.db.pro.ProjBinder

Gets the column value as a Java String object.

getStringValue(String, int, boolean). Method in class symantec.itools.db.pro.Record

Gets the specified column value as a Java String object.

getStringValue(String, int, boolean). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value as a Java String object.

getStringValue(String, int, int). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value as a Java String object.

getStringValue(String, int, int). Method in class symantec.itools.db.pro.Record

Gets the specified column value as a Java String object.

getStringValue(String, int, int). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value as a Java String object.

getStringValue(String, int, int, boolean). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value as a Java String object.

getStringValue(String, int, int, boolean). Method in class symantec.itools.db.pro.Record

Gets the specified column value as a Java String object.

getStringValue(String, int, int, boolean). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value as a Java String object.

getStringValue(String, String, int). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value as a Java String object.

getStringValue(String, String, int). Method in class symantec.itools.db.pro.Record

Gets the specified column value as a Java String object.

getStringValue(String, String, int). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value as a Java String object.

getStringValue(String, String, int, boolean). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value as a Java String object.

getStringValue(String, String, int, boolean). Method in class symantec.itools.db.pro.Record

Gets the specified column value as a Java String object.

getStringValue(String, String, int, boolean). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value as a Java String object.

getStringWidth(Font, String). Static method in class symantec.itools.awt.util.Util

Determines the width of the given string if it were drawn using the specified font.

getStringWidth(FontMetrics, String). Static method in class symantec.itools.awt.util.Util

Determines the width of the given string if it were drawn in a font with the specified metrics.

getStringWidth(Graphics, String). Static method in class symantec.itools.awt.util.Util

Determines the width of the given string if it were drawn using the specified graphics context.

getStyle(). Method in class java.awt.Font

Gets the style of the font.

getStyle(). Method in class symantec.itools.awt.ImagePanel

Gets the current panel image style.

getStyle(). Method in class symantec.itools.multimedia.ImageViewer

Gets the current panel image style.

getStyle(). Method in class symantec.itools.awt.StateCheckBox

Gets the current style: two-state or three-state.

getSub2Panel(int, int, int, int). Method in class symantec.itools.awt.SplitterPanel

Gets a panel within a doubly split SplitterPanel with specified split types.

getSubPanel(int). Method in class symantec.itools.awt.SplitterPanel

Gets a panel within a SplitterPanel.

getSubPanel(int, int). Method in class symantec.itools.awt.SplitterPanel

Gets a panel within a SplitterPanel of specified type.

getSuperclass(). Method in class java.lang.Class

If this object represents any class other than the class Object, then the object that represents the superclass of that class is returned.

getSynchronizationObject(). Method in class symantec.itools.db.awt.DbaDataStore

Obsolete.

getSyncMode(). Method in class symantec.itools.multimedia.SoundPlayer

getSystemClipboard(). Method in class java.awt.Toolkit

Gets an instance of the system clipboard which interfaces with clipboard facilities provided by the native platform.

getSystemEventQueue(). Method in class java.awt.Toolkit

Get the application's or applet's EventQueue instance.

getSystemEventQueueImpl(). Method in class java.awt.Toolkit

getSystemFunctions(). Method in interface java.sql.DatabaseMetaData

Get a comma separated list of system functions.

getSystemFunctions(). Method in class symantec.itools.db.pro.SessionMetaData

Gets a comma-separated list of all system functions this database supports.

getSystemResource(String). Static method in class java.lang.ClassLoader

Find a resource with a given name.

getSystemResourceAsStream(String). Static method in class java.lang.ClassLoader

Get an InputStream on a given resource..

getSystemScope(). Static method in class java.security.IdentityScope

Returns the system's identity scope.

getTabControl(). Method in class symantec.itools.db.awt.TextArea

Gets the behavior of the tab key.

getTableName(). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Gets the name of this RecordDefinition's table.

getTableName(int). Method in class symantec.itools.db.pro.RelationViewMetaData

Gets the name of the specified column's table, or "" if not applicable..

getTableName(int). Method in interface java.sql.ResultSetMetaData

What's a column's table name?

getTablePrivileges(String, String, String). Method in interface java.sql.DatabaseMetaData

Get a description of the access rights for each table available in a catalog.

getTablePrivileges(String, String, String). Method in class symantec.itools.db.pro.SessionMetaData

Gets a description of access rights of each table in a catalog.

getTables(String, String, String, String[]). Method in interface java.sql.DatabaseMetaData

Get a description of tables available in a catalog.

getTables(String, String, String, String[]). Method in class symantec.itools.db.pro.SessionMetaData

Gets a description of available tables in a catalog.

getTableTypes(). Method in interface java.sql.DatabaseMetaData

Get the table types available in this database.

getTableTypes(). Method in class symantec.itools.db.pro.SessionMetaData

Gets the available table types in the database.

getTabPanel(int). Method in class symantec.itools.awt.TabPanel

Gets the panel for the tab at the given index.

getTabsOnBottom(). Method in class symantec.itools.awt.TabPanel

getTabsPosition(). Method in class symantec.itools.awt.BaseTabbedPanel

Gets the current tabs position, TOP or BOTTOM.

getTabsStyle(). Method in class symantec.itools.awt.BaseTabbedPanel

Gets the current tab style, ROUNDED or SQUARE.

getTags(). Method in interface java.beans.PropertyEditor

If the property value must be one of a set of known tagged values, then this method should return an array of the tags.

getTags(). Method in class java.beans.PropertyEditorSupport

If the property value must be one of a set of known tagged values, then this method should return an array of the tag values.

getTargetException(). Method in class java.lang.reflect.InvocationTargetException

Get the thrown target exception.

getTcpNoDelay(). Method in class java.net.Socket

Tests if TCP_NODELAY is enabled.

getTemplate(). Static method in class symantec.itools.db.beans.jdbc.ConnectionManagerBeanInfo

Gets template code used to subclass this bean.

getTemplate(). Static method in class symantec.itools.db.beans.jdbc.RecordDefinitionBeanInfo

Gets template code used to subclass this bean.

getText(). Method in class java.text.BreakIterator

Get the text being scanned

getText(). Method in class symantec.itools.awt.ComboBox

Returns the text in the edit field portion of the ComboBox, unless the ComboBox is not editable.

getText(). Method in class symantec.itools.awt.FormattedTextField

Gets the unformatted string of filtered characters.

getText(). Method in class symantec.itools.awt.InfoTipPanel

Gets the current text in this InfoTipPanel.

getText(). Method in class java.awt.Label

Gets the text of this label.

getText(). Method in class symantec.itools.awt.Label3D

Gets the current label text.

getText(). Method in class symantec.itools.awt.LabelButton

Gets the current label text.

getText(). Method in class symantec.itools.multimedia.NervousText

Obtain the text that is currently being displayed.

getText(). Method in class symantec.itools.awt.multiList.TextAndImageCell

Returns this cell's text.

getText(). Method in class java.awt.TextComponent

Gets the text that is presented by this text component.

getText(). Method in interface java.awt.peer.TextComponentPeer

getText(). Method in class symantec.itools.awt.TreeNode

Gets the current text label for this node.

getText(). Method in class symantec.itools.awt.WrappingLabel

Gets the current label text.

getText(Coordinate). Method in interface symantec.itools.db.awt.DataSource

Gets the textual representation of a cell's data

getText(Coordinate). Method in class symantec.itools.db.awt.DbDataSource

Gets the textual representation of a cell's data

getText(Coordinate). Method in class symantec.itools.db.awt.DefaultDataSource

Gets the textual representation of a cell's data

getText(int). Method in class symantec.itools.awt.ImageListBox

Gets the item text associated with the specified zero-relative index.

getTextColor(). Method in class symantec.itools.awt.InfoTipPanel

Gets the current text color.

getTextColor(). Method in class symantec.itools.awt.Label3D

Gets the current label text color.

getTextColor(). Method in class symantec.itools.awt.LabelButton

Gets the current label text color.

getTextConstantXPos(). Method in class symantec.itools.awt.InfoTipPanel

Utility method for getTextStartingPoint and getTextFinishingPoint.

getTextConstantYPos(). Method in class symantec.itools.awt.InfoTipPanel

Utility method for getTextStartingPoint and getTextFinishingPoint.

getTextDelay(). Method in class symantec.itools.awt.InfoTipPanel

Get the amount of time (in milliseconds) to wait after a mouse entered event before the text is scrolled in or popped up.

getTextFinishingPoint(). Method in class symantec.itools.awt.InfoTipPanel

Calculates the point at which the text should be located when the scrolling animation has scrolled the text all the way in.

getTextHighlightColor(). Method in class symantec.itools.awt.InfoTipPanel

Gets the current highlight color which will be used if highlightText is true.

getTextLocation(). Method in class symantec.itools.awt.InfoTipPanel

Gets the current value of the "Text Location" property for this InfoTipPanel.

getTextScrollsIn(). Method in class symantec.itools.awt.InfoTipPanel

Gets the value of the "Text Scrolls In" property which tells the InfoTipPanel whether the text should be scrolled in on a mouse over rather than just appearing next to the component (without scrolling in).

getTextStartingPoint(). Method in class symantec.itools.awt.InfoTipPanel

Calculates the point at which the text should be located when the scrolling animation is initiated.

getThreadGroup(). Method in class java.lang.SecurityManager

Returns the thread group into which to instantiate any new thread being created at the time this is being called.

getThreadGroup(). Method in class java.lang.Thread

Returns this thread's thread group.

getTickFreq(). Method in class symantec.itools.awt.Slider

Returns the current tick mark display frequency.

getTickStyle(). Method in class symantec.itools.awt.Slider

Returns the current slider tick mark style.

getTime(). Method in class java.util.Calendar

Gets this Calendar's current time.

getTime(). Method in class java.util.Date

Returns the number of milliseconds since January 1, 1970, 00:00:00 GMT represented by this date.

getTime(). Method in class symantec.itools.db.pro.ProjBinder

Gets the column value as a Java Time object.

getTime(). Method in class symantec.itools.db.pro.Projection

Gets the data value as a java.sql.Time class.

getTime(). Method in class java.util.zip.ZipEntry

Returns the modification time of the entry, or -1 if not specified.

getTime(int). Method in interface java.sql.CallableStatement

Get the value of a SQL TIME parameter as a java.sql.Time object.

getTime(int). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value as a Java Time object.

getTime(int). Method in class symantec.itools.db.pro.Record

Gets the specified column value as a Java Time object.

getTime(int). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value as a Java Time object.

getTime(int). Method in interface java.sql.ResultSet

Get the value of a column in the current row as a java.sql.Time object.

getTime(String). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value as a Java Time object.

getTime(String). Method in class symantec.itools.db.pro.Record

Gets the specified column value as a Java Time object.

getTime(String). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value as a Java Time object.

getTime(String). Method in interface java.sql.ResultSet

Get the value of a column in the current row as a java.sql.Time object.

getTimeDateFunctions(). Method in interface java.sql.DatabaseMetaData

Get a comma separated list of time and date functions.

getTimeDateFunctions(). Method in class symantec.itools.db.pro.SessionMetaData

Gets a comma-separated list of all time and date functions this database supports.

getTimeInMillis(). Method in class java.util.Calendar

Gets this Calendar's current time as a long.

getTimeInstance(). Static method in class java.text.DateFormat

Gets the time formatter with the default formatting style for the default locale.

getTimeInstance(int). Static method in class java.text.DateFormat

Gets the time formatter with the given formatting style for the default locale.

getTimeInstance(int, Locale). Static method in class java.text.DateFormat

Gets the time formatter with the given formatting style for the given locale.

getTimestamp(). Method in class symantec.itools.db.pro.ProjBinder

Gets the column value as a Java Timestamp object.

getTimestamp(). Method in class symantec.itools.db.pro.Projection

Gets the data value as a java.sql.Timestamp class.

getTimestamp(). Method in class symantec.itools.db.awt.Tstamp

Returns the current Tstamp value as a Timestamp.

getTimestamp(int). Method in interface java.sql.CallableStatement

Get the value of a SQL TIMESTAMP parameter as a java.sql.Timestamp object.

getTimestamp(int). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value as a Java Timestamp object.

getTimestamp(int). Method in class symantec.itools.db.pro.Record

Gets the specified column value as a Java Timestamp object.

getTimestamp(int). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value as a Java Timestamp object.

getTimestamp(int). Method in interface java.sql.ResultSet

Get the value of a column in the current row as a java.sql.Timestamp object.

getTimestamp(String). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value as a Java Timestamp object.

getTimestamp(String). Method in class symantec.itools.db.pro.Record

Gets the specified column value as a Java Timestamp object.

getTimestamp(String). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value as a Java Timestamp object.

getTimestamp(String). Method in interface java.sql.ResultSet

Get the value of a column in the current row as a java.sql.Timestamp object.

getTimeZone(). Method in class java.util.Calendar

Gets the time zone.

getTimeZone(). Method in class java.text.DateFormat

Gets the time zone.

getTimeZone(String). Static method in class java.util.TimeZone

Gets the TimeZone for the given ID.

getTimezoneOffset(). Method in class java.util.Date

Returns the local time-zone offset.

getTitle(). Method in class java.awt.Dialog

Gets the title of the dialog.

getTitle(). Method in class java.awt.Frame

Gets the title of the frame.

getToolbarBackground(). Method in class symantec.itools.db.awt.Grid

Gets the background color of this Grid's toolbar.

getToolkit(). Method in class java.awt.Component

Gets the toolkit of this component.

getToolkit(). Method in interface java.awt.peer.ComponentPeer

getToolkit(). Method in class java.awt.Window

Returns the toolkit of this frame.

getTopLeftPanel(). Method in class symantec.itools.awt.SplitterPanel

Gets the top left panel.

getTopPanel(). Method in class symantec.itools.awt.SplitterPanel

Gets the top panel of a horizontally split SplitterPanel.

getTopRightPanel(). Method in class symantec.itools.awt.SplitterPanel

Gets the top right panel.

getTopRow(). Method in class symantec.itools.awt.ImageListBox

Returns the index of the item visible at the top of the window.

getTotalIn(). Method in class java.util.zip.Deflater

Returns the total number of bytes input so far.

getTotalIn(). Method in class java.util.zip.Inflater

Returns the total number of bytes input so far.

getTotalNumberOfRows(). Method in class symantec.itools.db.beans.binding.QueryNavigator

Determines the current total number of rows.

getTotalNumberOfRows(). Method in class symantec.itools.db.pro.RelationViewPlus

Reserved.

getTotalOut(). Method in class java.util.zip.Deflater

Returns the total number of bytes output so far.

getTotalOut(). Method in class java.util.zip.Inflater

Returns the total number of bytes output so far.

getTransactionIsolation(). Method in interface java.sql.Connection

Get this Connection's current transaction isolation mode.

getTransactionIsolation(). Method in class symantec.itools.db.beans.jdbc.JdbcConnection

Gets the transactionIsolation property.

getTransferData(DataFlavor). Method in class java.awt.datatransfer.StringSelection

If the data was requested in the "java.lang.String" flavor, return the String representing the selection.

getTransferData(DataFlavor). Method in interface java.awt.datatransfer.Transferable

Returns an object which represents the data to be transferred.

getTransferDataFlavors(). Method in class java.awt.datatransfer.StringSelection

Returns the array of flavors in which it can provide the data.

getTransferDataFlavors(). Method in interface java.awt.datatransfer.Transferable

Returns an array of DataFlavor objects indicating the flavors the data can be provided in.

getTransferSize(). Method in class java.sql.DataTruncation

Get the number of bytes of data actually transferred.

getTransparentPixel(). Method in class java.awt.image.IndexColorModel

Returns the index of the transparent pixel in this IndexColorModel or -1 if there is no transparent pixel.

getTreeLock(). Method in class java.awt.Component

Gets this component's locking object (the object that owns the thread sychronization monitor) for AWT component-tree and layout operations.

getTreeStructure(). Method in class symantec.itools.awt.TreeView

Gets a string array that reflects the current TreeView's contents.

getTriggeringEvent(). Method in class symantec.itools.db.awt.Checkbox

Gets the current value of the Triggering Event property.

getTriggeringEvent(). Method in class symantec.itools.db.awt.ComboBox

Gets the current value of the Triggering Event property.

getTriggeringEvent(). Method in class symantec.itools.db.awt.FormattedTextField

Gets the current value of the Triggering Event property.

getTriggeringEvent(). Method in class symantec.itools.db.awt.ListPlus

Gets the current value of the Triggering Event property.

getTriggeringEvent(). Method in class symantec.itools.db.awt.TextArea

Gets the current value of the Triggering Event property.

getTriggeringEvent(). Method in class symantec.itools.db.awt.TextField

Gets the current value of the Triggering Event property.

getTrueValue(). Method in class symantec.itools.db.awt.Checkbox

Gets the string sent to the database server to indicate that this checkbox is checked.

getTstamp(). Method in class symantec.itools.db.awt.Tstamp

Returns the current date/time as a string.

getTstamp(int). Method in class symantec.itools.db.awt.Tstamp

Returns the current date/time as a string formatted in the specified way.

getTstamp(String). Method in class symantec.itools.db.awt.Tstamp

Returns the current date/time as a string formatted in the specified way.

getTTL(). Method in class java.net.DatagramSocketImpl

Retrieve the TTL (time-to-live) option.

getTTL(). Method in class java.net.MulticastSocket

Get the default time-to-live for multicast packets sent out on the socket.

getType(). Method in class symantec.itools.beans.ConnectionDescriptor

Gets the current type string.

getType(). Method in class java.awt.Cursor

Returns the type for this cursor.

getType(). Method in class symantec.itools.db.awt.DBTstamp

Gets the current datatype being displayed and/or entered.

getType(). Method in class java.lang.reflect.Field

Returns a Class object that identifies the declared type for the field represented by this Field object.

getType(char). Static method in class java.lang.Character

Returns a value indicating a character category.

getTypeInfo(). Method in interface java.sql.DatabaseMetaData

Get a description of all the standard SQL types supported by this database.

getTypeInfo(). Method in class symantec.itools.db.pro.SessionMetaData

Gets information on all the standard SQL types supported by the database.

getUndeleteButton(). Method in class symantec.itools.db.awt.Grid

Gets whether the Grid has this button.

getUndoButton(). Method in class symantec.itools.db.awt.Grid

Gets whether the Grid has this button.

getUnicodeStream(). Method in class symantec.itools.db.pro.ProjBinder

Gets the column value in a Java InputStream object.

getUnicodeStream(). Method in class symantec.itools.db.pro.Projection

Gets the data value in a java.io.InputStream class.

getUnicodeStream(int). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value in a Java InputStream object.

getUnicodeStream(int). Method in class symantec.itools.db.pro.Record

Gets the specified column value in a Java InputStream object.

getUnicodeStream(int). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value in a Java InputStream object.

getUnicodeStream(int). Method in interface java.sql.ResultSet

A column value can be retrieved as a stream of Unicode characters and then read in chunks from the stream.

getUnicodeStream(String). Method in interface symantec.itools.db.pro.DataAccess

Gets the specified column value in a Java InputStream object.

getUnicodeStream(String). Method in class symantec.itools.db.pro.Record

Gets the specified column value in a Java InputStream object.

getUnicodeStream(String). Method in class symantec.itools.db.pro.RelationView

Gets the specified column value in a Java InputStream object.

getUnicodeStream(String). Method in interface java.sql.ResultSet

A column value can be retrieved as a stream of Unicode characters and then read in chunks from the stream.

getUnitIncrement(). Method in interface java.awt.Adjustable

Gets the unit value increment for the adjustable object.

getUnitIncrement(). Method in class java.awt.Scrollbar

Gets the unit increment for this scrollbar.

getUpdateCount(). Method in interface java.sql.Statement

getUpdateCount returns the current result as an update count; if the result is a ResultSet or there are no more results, -1 is returned.

getUpdateRect(). Method in class java.awt.event.PaintEvent

Returns the rectangle representing the area which needs to be repainted in response to this event.

getUpdateStatement(). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Gets a pre-compiled SQL statement to use for updating the current row in the database.

getURL(). Method in interface java.sql.DatabaseMetaData

What's the url for this database?

getURL(). Method in class symantec.itools.awt.ImageHTMLLink

getURL(). Method in class symantec.itools.multimedia.ImageViewer

getURL(). Method in class symantec.itools.awt.InvisibleHTMLLink

Returns the URL of the document to show when the button is clicked.

getURL(). Method in class symantec.itools.db.beans.jdbc.JdbcConnection

Gets the url property.

getURL(). Method in class symantec.itools.awt.LabelHTMLLink

getURL(). Method in class symantec.itools.awt.RollOverButton

Gets the URL of the document to display on mouse up.

getURL(). Method in class symantec.itools.db.pro.SessionMetaData

Determines the URL for this database.

getURL(). Method in class java.net.URLConnection

Returns the value of this URLConnection's URL field.

getURL(int). Method in class symantec.itools.multimedia.SlideShow

Return the URL of the image at the given index.

getURL(String). Static method in class symantec.itools.net.RelativeURL

Determines the absolute URL given a relative URL.

getURLList(). Method in class symantec.itools.multimedia.SoundPlayer

Gets the URL of each sound clip.

getUseCaches(). Method in class java.net.URLConnection

Returns the value of this URLConnection's useCaches field.

getUser(). Method in class symantec.itools.db.pro.ConnectionInfo

Returns the user string that will be used to open the database described within the database string.

getUserName(). Method in interface java.sql.DatabaseMetaData

What's our user name as known to the database?

getUserName(). Method in class symantec.itools.db.beans.jdbc.JdbcConnection

Gets the userName property.

getUserName(). Method in class symantec.itools.db.pro.SessionMetaData

Gets our user name in the database.

getVAdjustable(). Method in class java.awt.ScrollPane

Returns the Adjustable object which represents the state of the vertical scrollbar.

getValue(). Method in interface java.awt.Adjustable

Gets the current value of the adjustable object.

getValue(). Method in class java.awt.event.AdjustmentEvent

Returns the current value in the adjustment event.

getValue(). Method in class java.util.zip.Adler32

Returns checksum value.

getValue(). Method in interface java.util.zip.Checksum

Returns the current checksum value.

getValue(). Method in class symantec.itools.db.awt.ConnectionInfoEditor

getValue(). Method in class java.util.zip.CRC32

Returns CRC-32 value.

getValue(). Method in class java.rmi.dgc.Lease

Returns the lease duration.

getValue(). Method in class symantec.itools.awt.util.ProgressBar

Get the current percentage complete.

getValue(). Method in interface java.beans.PropertyEditor

getValue(). Method in class java.beans.PropertyEditorSupport

getValue(). Method in class symantec.itools.db.awt.RelationViewEditor

getValue(). Method in class java.awt.Scrollbar

Gets the current value of this scroll bar.

getValue(). Method in class symantec.itools.db.awt.SessionEditor

getValue(). Method in class symantec.itools.awt.Slider

Returns the current slider value.

getValue(int, int). Method in class symantec.itools.db.beans.binding.QueryNavigator

Gets the object stored in the QueryNavigator at the specified coordinates.

getValue(int, int). Method in class symantec.itools.db.pro.RelationViewPlus

Gets the value at the specified row and column.

getValue(String). Method in class java.beans.FeatureDescriptor

Retrieve a named attribute with this feature.

getValueAsObject(int, int). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Gets the object stored in the RecordDefinition at the given position as an Object.

getValueAsString(int, int). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Gets the object stored in the RecordDefinition at the given position as a String.

getValueFromFirst(int, int). Method in class symantec.itools.db.beans.binding.QueryNavigator

Gets the object stored in the QueryNavigator at the specified coordinates.

getValueIndex(String). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Returns 0.

getVariant(). Method in class java.util.Locale

Getter for programmatic name of field.

getVersion(). Method in class java.security.Provider

Returns the version number for this provider.

getVersionColumns(String, String, String). Method in interface java.sql.DatabaseMetaData

Get a description of a table's columns that are automatically updated when any value in a row is updated.

getVersionColumns(String, String, String). Method in class symantec.itools.db.pro.SessionMetaData

Gets a description of a table's column names where the column is automatically updated when ever any field in a row changes.

getVerticalAlignStyle(). Method in class symantec.itools.awt.LabelButton

Gets the current text alignment style.

getVerticalGap(). Method in class symantec.itools.awt.ScrollingPanel

getVgap(). Method in class java.awt.BorderLayout

Returns the vertical gap between components.

getVgap(). Method in class java.awt.CardLayout

Gets the vertical gap between components.

getVgap(). Method in class java.awt.FlowLayout

Gets the vertical gap between components.

getVgap(). Method in class java.awt.GridLayout

Gets the vertical gap between components.

getView(). Method in interface symantec.itools.db.awt.DataSource

Gets the TableView displaying the data for the DataSource

getView(). Method in class symantec.itools.db.awt.DbDataSource

Gets teh TableView dsplaying the data for the data source.

getView(). Method in class symantec.itools.db.awt.DefaultDataSource

Gets the TableView displaying the data for the DataSource

getViewCount(). Method in class symantec.itools.awt.TreeView

Returns the total number of viewable nodes in the tree.

getViewportSize(). Method in class java.awt.ScrollPane

Returns the current size of the scroll pane's view port.

getVisible(). Method in class java.awt.Scrollbar

getVisibleAmount(). Method in interface java.awt.Adjustable

Gets the length of the propertional indicator.

getVisibleAmount(). Method in class java.awt.Scrollbar

Gets the visible amount of this scroll bar.

getVisibleIndex(). Method in class symantec.itools.awt.ImageListBox

Gets the index of the item that was last made visible by the method makeVisible.

getVisibleIndex(). Method in class java.awt.List

Gets the index of the item that was last made visible by the method makeVisible.

getVMID(). Method in class java.rmi.dgc.Lease

Returns the client VMID associated with the lease.

getVScrollbarWidth(). Method in class java.awt.ScrollPane

Returns the width that would be occupied by a vertical scrollbar, which is independent of whether it is currently displayed by the scroll pane or not.

getVScrollbarWidth(). Method in interface java.awt.peer.ScrollPanePeer

getWarnings(). Method in interface java.sql.Connection

The first warning reported by calls on this Connection is returned.

getWarnings(). Method in interface java.sql.ResultSet

The first warning reported by calls on this ResultSet is returned.

getWarnings(). Method in interface java.sql.Statement

The first warning reported by calls on this Statement is returned.

getWarningString(). Method in class java.awt.Window

Gets the warning string that is displayed with this window.

getWeekdays(). Method in class java.text.DateFormatSymbols

Gets weekday strings.

getWhen(). Method in class java.awt.event.InputEvent

Returns the timestamp of when this event occurred.

getWhereClause(). Method in class symantec.itools.db.beans.jdbc.QueryNavigator

Gets the current SQL WHERE clause.

getWidth(). Method in class java.awt.image.PixelGrabber

Get the width of the pixel buffer (after adjusting for image width).

getWidth(ImageObserver). Method in class java.awt.Image

Determines the width of the image.

getWidths(). Method in class java.awt.FontMetrics

Gets the advance widths of the first 256 characters in the Font.

getWindow(). Method in class java.awt.event.WindowEvent

Returns the window where this event originated.

getWizardController(). Method in class symantec.itools.awt.Wizard

Get the current WizardController.

getWordInstance(). Static method in class java.text.BreakIterator

Create BreakIterator for word-breaks using default locale.

getWordInstance(Locale). Static method in class java.text.BreakIterator

Create BreakIterator for word-breaks using default locale.

getWrappable(). Method in class symantec.itools.awt.util.spinner.Spinner

getWriteMethod(). Method in class java.beans.PropertyDescriptor

getX(). Method in interface java.security.interfaces.DSAPrivateKey

Returns the value of the private key, x.

getX(). Method in class java.awt.event.MouseEvent

Returns the x position of the event relative to the source component.

getXferMode(). Method in class symantec.itools.db.awt.FtpClient

Gets the current file transfer mode.

getY(). Method in interface java.security.interfaces.DSAPublicKey

Returns the value of the public key, y.

getY(). Method in class java.awt.event.MouseEvent

Returns the y position of the event relative to the source component.

getYear(). Method in class java.util.Date

Returns the year represented by this date, minus 1900.

getYear(). Method in class java.sql.Time

Returns the year represented by this date, minus 1900.

getZeroDigit(). Method in class java.text.DecimalFormatSymbols

character used for zero.

getZoneStrings(). Method in class java.text.DateFormatSymbols

Gets timezone strings.

GIF. Static variable in class symantec.itools.db.awt.StreamImageSource

Constant indicating image is in GIF format.

go_to(int). Method in class symantec.itools.db.beans.binding.QueryNavigator

Moves the focus to the specified row.

goNext(). Method in class symantec.itools.awt.Wizard

Go to the next page.

goNext(). Method in interface symantec.itools.awt.WizardInterface

Go to the next page.

goPrevious(). Method in class symantec.itools.awt.Wizard

Go to the previous page.

goPrevious(). Method in interface symantec.itools.awt.WizardInterface

Go to the previous page.

GOT_FOCUS. Static variable in class java.awt.Event

A component gained the focus.

gotFocus(Event, Object). Method in class java.awt.Component

goTo(int). Method in class symantec.itools.db.pro.RelationView

Goes to a specific Record number within the view buffer referenced by this RelationView.

goTo(String). Method in class symantec.itools.db.pro.RelationView

Goes to a specific Record number within the view buffer referenced by this RelationView.

grabPixels(). Method in class java.awt.image.PixelGrabber

Request the Image or ImageProducer to start delivering pixels and wait for all of the pixels in the rectangle of interest to be delivered.

grabPixels(long). Method in class java.awt.image.PixelGrabber

Request the Image or ImageProducer to start delivering pixels and wait for all of the pixels in the rectangle of interest to be delivered or until the specified timeout has elapsed.

Graphics(). Constructor for class java.awt.Graphics

Constructs a new Graphics object.

Gravity. Variable in class symantec.itools.multimedia.Firework

Controls gravity of the firework simulation.

gray. Static variable in class java.awt.Color

The color gray.

green. Static variable in class java.awt.Color

The color green.

GregorianCalendar(). Constructor for class java.util.GregorianCalendar

Constructs a default GregorianCalendar using the current time in the default time zone with the default locale.

GregorianCalendar(int, int, int). Constructor for class java.util.GregorianCalendar

Constructs a GregorianCalendar with the given date set in the default time zone with the default locale.

GregorianCalendar(int, int, int, int, int). Constructor for class java.util.GregorianCalendar

Constructs a GregorianCalendar with the given date and time set for the default time zone with the default locale.

GregorianCalendar(int, int, int, int, int, int). Constructor for class java.util.GregorianCalendar

Constructs a GregorianCalendar with the given date and time set for the default time zone with the default locale.

GregorianCalendar(Locale). Constructor for class java.util.GregorianCalendar

Constructs a GregorianCalendar based on the current time in the default time zone with the given locale.

GregorianCalendar(TimeZone). Constructor for class java.util.GregorianCalendar

Constructs a GregorianCalendar based on the current time in the given time zone with the default locale.

GregorianCalendar(TimeZone, Locale). Constructor for class java.util.GregorianCalendar

Constructs a GregorianCalendar based on the current time in the given time zone with the given locale.

Grid(). Constructor for class symantec.itools.db.awt.Grid

Constructs a default Grid.

Grid(int). Constructor for class symantec.itools.db.awt.Grid

Constructs a Grid with the specified number of columns.

Grid(int, Color). Constructor for class symantec.itools.db.awt.Grid

Constructs a Grid with the specified number of columns and background color.

Grid(long). Constructor for class symantec.itools.db.awt.Grid

Constructs a Grid with the preferred height based on specified number of rows.

Grid(long, int). Constructor for class symantec.itools.db.awt.Grid

Constructs a Grid with the specified number of columns and showing the specified number of rows.

Grid(RelationView). Constructor for class symantec.itools.db.awt.Grid

Constructs a new Grid using the specified RelationView.

Grid(RelationView, int). Constructor for class symantec.itools.db.awt.Grid

Constructs a new Grid using the specified RelationView.

Grid(RelationView, RelationView, int). Constructor for class symantec.itools.db.awt.Grid

Only here to support old projects.

GridBagConstraints(). Constructor for class java.awt.GridBagConstraints

Creates a GridBagConstraint object with all of its fields set to their default value.

GridBagLayout(). Constructor for class java.awt.GridBagLayout

Creates a grid bag layout manager.

GridBeanInfo(). Constructor for class symantec.itools.db.awt.GridBeanInfo

Constructs a GridBeanInfo object.

gridheight. Variable in class java.awt.GridBagConstraints

Specifies the number of cells in a column for the component's display area.

GridLayout(). Constructor for class java.awt.GridLayout

Creates a grid layout with a default of one column per component, in a single row.

GridLayout(int, int). Constructor for class java.awt.GridLayout

Creates a grid layout with the specified number of rows and columns.

GridLayout(int, int, int, int). Constructor for class java.awt.GridLayout

Creates a grid layout with the specified number of rows and columns.

gridwidth. Variable in class java.awt.GridBagConstraints

Specifies the number of cells in a row for the component's display area.

gridx. Variable in class java.awt.GridBagConstraints

Specifies the cell at the left of the component's display area, where the leftmost cell has gridx = 0.

gridy. Variable in class java.awt.GridBagConstraints

Specifies the cell at the top of the component's display area, where the topmost cell has gridy = 0.

group. Variable in class symantec.itools.awt.RadioButtonGroupPanel

The Checkbox group for the radio buttons.

grow(int, int). Method in class java.awt.Rectangle

Grows the rectangle both horizontally and vertically.

guessContentTypeFromName(String). Static method in class java.net.URLConnection

Tries to determine the content type of an object, based on the specified "file" component of a URL.

guessContentTypeFromStream(InputStream). Static method in class java.net.URLConnection

Tries to determine the type of an input stream based on the characters at the beginning of the input stream.

GZIP_MAGIC. Static variable in class java.util.zip.GZIPInputStream

GZIP header magic number.

GZIPInputStream(InputStream). Constructor for class java.util.zip.GZIPInputStream

Creates a new input stream with a default buffer size.

GZIPInputStream(InputStream, int). Constructor for class java.util.zip.GZIPInputStream

Creates a new input stream with the specified buffer size.

GZIPOutputStream(OutputStream). Constructor for class java.util.zip.GZIPOutputStream

Creates a new output stream with a default buffer size.

GZIPOutputStream(OutputStream, int). Constructor for class java.util.zip.GZIPOutputStream

Creates a new output stream with the specified buffer size.


Index of all Fields and Methods

_ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

H

halfBorderWidth. Variable in class symantec.itools.awt.ImageListBox

Width of the left or right border, in pixels.

hAlignStyle. Variable in class symantec.itools.awt.LabelButton

The text horizontal alignment style.

HAND_CURSOR. Static variable in class java.awt.Cursor

The hand cursor type.

HAND_CURSOR. Static variable in class java.awt.Frame

handleAdjustmentEvent(AdjustmentEvent). Method in class symantec.itools.awt.TreeView

Handles adjustment events.

handleCellEvent(CellEvent). Method in interface symantec.itools.db.awt.DataSource

Called in response to circulating an event caused by an invocation of TableView.routeEvent().

handleCellEvent(CellEvent). Method in class symantec.itools.db.awt.DbDataSource

Called in response to circulating an event caused by an invocation of TableView.routeEvent().

handleCellEvent(CellEvent). Method in class symantec.itools.db.awt.DefaultDataSource

Called in response to circulating an event caused by an invocation of TableView.routeEvent().

handleCellEvent(CellEvent, TableCell). Method in class symantec.itools.db.awt.DefaultTvEventHandler

Called by the TableView when the user triggers an event that occurs within the context of a normal cell, i.e.

handleCellEvent(CellEvent, TableCell). Method in interface symantec.itools.db.awt.TvEventHandler

Called by the TableView when the user triggers an event that occurs within the context of a normal cell, i.e.

handleColHeadingEvent(CellEvent, TableCell). Method in class symantec.itools.db.awt.DefaultTvEventHandler

Called by the TableView when the user triggers an event that occurs within the context of a column heading.

handleColHeadingEvent(CellEvent, TableCell). Method in interface symantec.itools.db.awt.TvEventHandler

Called by the TableView when the user triggers an event that occurs within the context of a column heading.

handleCornerCellEvent(CellEvent, TableCell). Method in class symantec.itools.db.awt.DefaultTvEventHandler

Called by the TableView when the user triggers an event that occurs within the context of the corner cell.

handleCornerCellEvent(CellEvent, TableCell). Method in interface symantec.itools.db.awt.TvEventHandler

Called by the TableView when the user triggers an event that occurs within the context of the corner cell.

handleDataBusEvent(DataBusEvent). Method in class symantec.itools.db.beans.binding.Mediator

Handles the DataBus events, in particular the Data available events sent by the QueryNavigators.

handleDataBusEvent(DataBusEvent). Method in class symantec.itools.db.beans.binding.MediatorDS

Handles the DataBus events, in particular the Data available events sent by the QueryNavigators.

handleEvent(AWTEvent). Method in interface java.awt.peer.ComponentPeer

handleEvent(Event). Method in class java.awt.Component

handleEvent(Event). Method in class symantec.itools.awt.util.dialog.DialogBox

Processes events for this component.

handleException(Coordinate, Exception). Method in class symantec.itools.db.awt.DefaultTvEventHandler

Method called by TableView whenever an exception occurs within the framework of the grid.

handleException(Coordinate, Exception). Method in interface symantec.itools.db.awt.TvEventHandler

Called by the TableView when an exception is generated within the TableView framework.

handleException(int, int, Exception). Method in interface symantec.itools.db.awt.DataSource

Routes any exceptions generated to the TableView for proper handling which may include putting a message on status bar or logging to a file.

handleException(int, int, Exception). Method in class symantec.itools.db.awt.DbDataSource

Routes any exceptions generated to the TableView for proper handling which may include putting a message on status bar or logging to a file.

handleException(int, int, Exception). Method in class symantec.itools.db.awt.DefaultDataSource

Routes any exceptions generated to the TableView for proper handling which may include putting a message on status bar or logging to a file.

handleExceptionEvent(ExceptionEvent). Method in class symantec.itools.db.beans.binding.QueryNavigator

Handles an ExceptionEvent.

handleFocusGained(FocusEvent). Method in class symantec.itools.awt.TreeView

Handles focus gained events.

handleFocusLost(FocusEvent). Method in class symantec.itools.awt.TreeView

Handles focus lost events.

handleGetObject(String). Method in class java.util.ListResourceBundle

Override of ResourceBundle, same semantics

handleGetObject(String). Method in class java.text.resources.LocaleData

Get an object from a ResourceBundle.

handleGetObject(String). Method in class java.util.PropertyResourceBundle

Override of ResourceBundle, same semantics

handleGetObject(String). Method in class java.util.ResourceBundle

Get an object from a ResourceBundle.

handleKeyPressed(KeyEvent). Method in class symantec.itools.awt.TreeView

Handles key pressed events.

handleMousePressed(MouseEvent). Method in class symantec.itools.awt.TreeView

Handles mouse pressed events.

handleMouseReleased(MouseEvent). Method in class symantec.itools.awt.TreeView

Handles mouse released events.

handleRowHeadingEvent(CellEvent, TableCell). Method in class symantec.itools.db.awt.DefaultTvEventHandler

Called by the TableView when the user triggers an event that occurs within the context of a row heading heading.

handleRowHeadingEvent(CellEvent, TableCell). Method in interface symantec.itools.db.awt.TvEventHandler

Called by the TableView when the user triggers an event that occurs within the context of a row heading heading.

handleTabEvent(KeyEvent). Method in class symantec.itools.awt.KeyPressManagerPanel

Internally called utility routine that handles TAB key processing.

handleTableEvent(TableEvent). Method in interface symantec.itools.db.awt.DataSource

Gives a data source a chance to perform any actions in response to a table level event.

handleTableEvent(TableEvent). Method in class symantec.itools.db.awt.DbDataSource

Gives a data source a chance to perform any actions in response to a table level event.

handleTableEvent(TableEvent). Method in class symantec.itools.db.awt.DefaultDataSource

Gives a data source a chance to perform any actions in response to a table level event.

handleTableEvent(TableEvent). Method in class symantec.itools.db.awt.DefaultTvEventHandler

Called by the TableView when the users triggers an event outside the scope of any cell, usually a component located on the toolbar.

handleTableEvent(TableEvent). Method in interface symantec.itools.db.awt.TvEventHandler

Called by the TableView when the users triggers an event outside the scope of any cell, usually a component located on the toolbar.

hasChanged(). Method in class java.util.Observable

Tests if this object has changed.

hasFocus. Variable in class symantec.itools.awt.MultiList

This component has the focus.

hasFoundDI(). Method in class symantec.itools.db.beans.binding.Mediator

Determines if this Mediator has a valid DataItem.

hasFoundGetMethod. Variable in class symantec.itools.db.beans.binding.Mediator

The output component's get methods have been found and are ready to use.

hasFoundSetMethod. Variable in class symantec.itools.db.beans.binding.Mediator

The output component's set methods have been found and are ready to use.

hashCode(). Method in class java.math.BigDecimal

Computes a hash code for this object.

hashCode(). Method in class java.math.BigInteger

Computes a hash code for this object.

hashCode(). Method in class java.util.BitSet

Gets the hashcode.

hashCode(). Method in class java.lang.Boolean

Returns a hash code for this Boolean.

hashCode(). Method in class java.lang.Byte

Returns a hashcode for this Byte.

hashCode(). Method in class java.lang.Character

Returns a hash code for this Character.

hashCode(). Method in class java.text.ChoiceFormat

Generates a hash code for the message format object.

hashCode(). Method in class java.text.CollationKey

Creates a hash code for this CollationKey.

hashCode(). Method in class java.text.Collator

Generates the hash code for this Collator.

hashCode(). Method in class java.awt.Color

Computes the hash code for this color.

hashCode(). Method in class java.lang.reflect.Constructor

Returns a hashcode for this Constructor.

hashCode(). Method in class java.util.Date

Returns a hash code value for this object.

hashCode(). Method in class java.text.DateFormat

Overrides hashCode

hashCode(). Method in class java.text.DateFormatSymbols

Override hashCode.

hashCode(). Method in class java.text.DecimalFormat

Overrides hashCode

hashCode(). Method in class java.text.DecimalFormatSymbols

Override hashCode

hashCode(). Method in class java.lang.Double

Returns a hashcode for this Double.

hashCode(). Method in class java.lang.reflect.Field

Returns a hashcode for this Field.

hashCode(). Method in class java.io.File

Computes a hashcode for the file.

hashCode(). Method in class java.lang.Float

Returns a hashcode for this Float.

hashCode(). Method in class java.awt.Font

Returns a hashcode for this font.

hashCode(). Method in class java.util.GregorianCalendar

Override hashCode.

hashCode(). Method in class java.security.Identity

Returns a hashcode for this identity.

hashCode(). Method in class java.net.InetAddress

Returns a hashcode for this IP address.

hashCode(). Method in class java.lang.Integer

Returns a hashcode for this Integer.

hashCode(). Method in class java.util.Locale

Override hashCode.

hashCode(). Method in class java.lang.Long

Computes a hashcode for this Long.

hashCode(). Method in class java.text.MessageFormat

Generates a hash code for the message format object.

hashCode(). Method in class java.lang.reflect.Method

Returns a hashcode for this Method.

hashCode(). Method in class java.text.NumberFormat

Overrides hashCode

hashCode(). Method in class java.lang.Object

Returns a hash code value for the object.

hashCode(). Method in class java.rmi.server.ObjID

The hashcode is the object number.

hashCode(). Method in class java.awt.Point

Returns the hashcode for this point.

hashCode(). Method in interface java.security.Principal

Returns a hashcode for this principal.

hashCode(). Method in class java.awt.Rectangle

Returns the hashcode for this rectangle.

hashCode(). Method in class java.rmi.server.RemoteObject

Returns a hashcode for a remote object.

hashCode(). Method in class java.text.RuleBasedCollator

Generates the hash code for the table-based collation object

hashCode(). Method in class java.lang.Short

Returns a hashcode for this Short.

hashCode(). Method in class java.text.SimpleDateFormat

Override hashCode.

hashCode(). Method in class java.util.SimpleTimeZone

Override hashCode.

hashCode(). Method in class java.lang.String

Returns a hashcode for this string.

hashCode(). Method in class java.text.StringCharacterIterator

Compute a hashcode for this enumeration

hashCode(). Method in class java.rmi.server.UID

Returns a hash code value for the object.

hashCode(). Method in class java.net.URL

Creates an integer suitable for hash table indexing.

hashCode(). Method in class java.rmi.dgc.VMID

Compute hash code for this VMID.

Hashtable(). Constructor for class java.util.Hashtable

Constructs a new, empty hashtable with a default capacity and load factor.

Hashtable(int). Constructor for class java.util.Hashtable

Constructs a new, empty hashtable with the specified initial capacity and default load factor.

Hashtable(int, float). Constructor for class java.util.Hashtable

Constructs a new, empty hashtable with the specified initial capacity and the specified load factor.

hasMoreElements(). Method in interface java.util.Enumeration

Tests if this enumeration contains more elements.

hasMoreElements(). Method in class symantec.itools.awt.MatrixEnumeration

Returns true if more elements are available to enumerate.

hasMoreElements(). Method in class java.util.StringTokenizer

Returns the same value as the hasMoreTokens method.

hasMoreRows(). Method in class symantec.itools.awt.MatrixEnumeration

Returns true if more rows are available to enumerate.

hasMoreTokens(). Method in class java.util.StringTokenizer

Tests if there are more tokens available from this tokenizer's string.

hasReceivedABoolean. Variable in class symantec.itools.db.awt.Checkbox

Indicates whether the value of this component is of type Boolean.

HBar. Variable in class symantec.itools.awt.ImageListBox

The horizontal scroll bar.

HBG_BIT. Static variable in class symantec.itools.db.awt.CellHints

Bit position constant for valid "highlighted background color" value flag.

headingBg. Variable in class symantec.itools.awt.MultiList

The background color of column heading text.

headingFg. Variable in class symantec.itools.awt.MultiList

The foreground color of column heading text.

headingFont. Variable in class symantec.itools.awt.MultiList

The font used to draw heading text.

headingHeight. Variable in class symantec.itools.awt.MultiList

The heading height in pixels.

headings. Variable in class symantec.itools.awt.MultiList

The heading titles.

headingVisible. Variable in class symantec.itools.awt.MultiList

Is the heading visible.

height. Variable in class java.awt.Dimension

The height dimension.

HEIGHT. Static variable in interface java.awt.image.ImageObserver

The height of the base image is now available and can be taken from the height argument to the imageUpdate callback method.

height. Variable in class java.awt.Rectangle

The height of the rectangle.

height. Variable in class symantec.itools.awt.shape.Shape

Height of this shape.

height. Variable in class symantec.itools.awt.Slider

The current component height.

heightAdjust. Variable in class symantec.itools.awt.util.Calendar

Internal drawing calibration value.

heightOnly. Variable in class symantec.itools.awt.SplitterPanel

Internal flag indicating a reshape in height only.

heightWidthRatio. Variable in class symantec.itools.awt.util.spinner.HorizontalSpinButtonPanel

The ratio of height to width of the spinner buttons.

HELP. Static variable in interface symantec.itools.awt.WizardController

Constant wizard action value.

HELP_LABEL. Static variable in class symantec.itools.awt.Wizard

The text used for the Help button.

helpButton. Variable in class symantec.itools.awt.Wizard

The Help button.

helpEnabled. Variable in class symantec.itools.awt.SimpleWizardController

True if the Help button is enabled.

HFG_BIT. Static variable in class symantec.itools.db.awt.CellHints

Bit position constant for valid "highlighted foreground color" value flag.

hide(). Method in class java.awt.Component

hide(). Method in interface java.awt.peer.ComponentPeer

DEPRECATED: Replaced by setVisible(boolean).

hide(). Method in class symantec.itools.multimedia.Firework

Makes this component invisible.

hide(). Method in class symantec.itools.multimedia.NervousText

Makes this component invisible.

hide(). Method in class symantec.itools.multimedia.Plasma

Makes this component invisible.

hide(). Method in class symantec.itools.multimedia.ScrollingText

Makes this component invisible.

highlighted(). Method in class symantec.itools.db.awt.CellHints

Gets this CellHint's "highlighted" value.

highlightedRows. Variable in class symantec.itools.awt.MultiList

Flags indicating which rows are currently selected.

highlightText. Variable in class symantec.itools.awt.InfoTipPanel

boolean property representing whether the text will be drawn transparently rather than using the specified textHighlightColor.

hilightColor. Variable in class symantec.itools.awt.Label3D

The color of border bevel hilights.

hiliteColor. Variable in class symantec.itools.multimedia.ScrollingText

Color for highlighted text.

hlBackground(). Method in class symantec.itools.db.awt.CellHints

Gets this CellHint's "hilighted background color" value.

hlForeground(). Method in class symantec.itools.db.awt.CellHints

Gets this CellHint's "hilighted foreground color" value.

HOME. Static variable in class java.awt.Event

The Home key, a non-ASCII action key.

HORIZONTAL. Static variable in interface java.awt.Adjustable

The horizontal orientation.

HORIZONTAL. Static variable in class java.awt.GridBagConstraints

Resize the component horizontally but not vertically.

HORIZONTAL. Static variable in class java.awt.Scrollbar

A constant that indicates a horizontal scroll bar.

HORIZONTAL. Static variable in class symantec.itools.awt.util.ToolBarPanel

The constant to use to have a horizontally oriented toolbar.

HorizontalLine(). Constructor for class symantec.itools.awt.shape.HorizontalLine

Constructs a default HorizontalLine.

horizontalLine1. Variable in class symantec.itools.awt.Wizard

The horizontal line separating the pages from the navigation buttons.

HorizontalLineBeanInfo(). Constructor for class symantec.itools.awt.shape.HorizontalLineBeanInfo

Constructs a HorizontalLineBeanInfo object.

horizontalScrollbar. Variable in class symantec.itools.awt.MultiList

The horizontal scrollbar.

horizontalScrollBar. Variable in class symantec.itools.awt.TreeView

The horizontal scrollbar

HorizontalSlider(). Constructor for class symantec.itools.awt.HorizontalSlider

Constructs a default HorizontalSlider.

HorizontalSliderBeanInfo(). Constructor for class symantec.itools.awt.HorizontalSliderBeanInfo

Constructs a HorizontalSliderBeanInfo object.

HorizontalSpinButtonPanel(). Constructor for class symantec.itools.awt.util.spinner.HorizontalSpinButtonPanel

Constructs the default HorizontalSpinButtonPanel.

HOUR. Static variable in class java.util.Calendar

Useful constant for date and time.

hour. Variable in class symantec.itools.db.awt.Tstamp

The hour of the day.

HOUR0_FIELD. Static variable in class java.text.DateFormat

Useful constant for zero-based HOUR field alignment.

HOUR1_FIELD. Static variable in class java.text.DateFormat

Useful constant for one-based HOUR field alignment.

HOUR_OF_DAY. Static variable in class java.util.Calendar

Useful constant for date and time.

HOUR_OF_DAY0_FIELD. Static variable in class java.text.DateFormat

Useful constant for zero-based HOUR_OF_DAY field alignment.

HOUR_OF_DAY1_FIELD. Static variable in class java.text.DateFormat

Useful constant for one-based HOUR_OF_DAY field alignment.

hPad. Variable in class symantec.itools.awt.ComboBox

The distance between the direction button and the edit text box.

HSBtoRGB(float, float, float). Static method in class java.awt.Color

Converts the components of a color, as specified by the HSB model, to an equivalent set of values for the RGB model.

hScrollbarLineIncrement. Variable in class symantec.itools.awt.MultiList

The unit increment of the horizontal scrollbar.

HTTP_ACCEPTED. Static variable in class java.net.HttpURLConnection

HTTP_BAD_GATEWAY. Static variable in class java.net.HttpURLConnection

HTTP_BAD_METHOD. Static variable in class java.net.HttpURLConnection

HTTP_BAD_REQUEST. Static variable in class java.net.HttpURLConnection

4XX: client error

HTTP_CLIENT_TIMEOUT. Static variable in class java.net.HttpURLConnection

HTTP_CONFLICT. Static variable in class java.net.HttpURLConnection

HTTP_CREATED. Static variable in class java.net.HttpURLConnection

HTTP_ENTITY_TOO_LARGE. Static variable in class java.net.HttpURLConnection

HTTP_FORBIDDEN. Static variable in class java.net.HttpURLConnection

HTTP_GATEWAY_TIMEOUT. Static variable in class java.net.HttpURLConnection

HTTP_GONE. Static variable in class java.net.HttpURLConnection

HTTP_INTERNAL_ERROR. Static variable in class java.net.HttpURLConnection

HTTP_LENGTH_REQUIRED. Static variable in class java.net.HttpURLConnection

HTTP_MOVED_PERM. Static variable in class java.net.HttpURLConnection

HTTP_MOVED_TEMP. Static variable in class java.net.HttpURLConnection

HTTP_MULT_CHOICE. Static variable in class java.net.HttpURLConnection

3XX: relocation/redirect

HTTP_NO_CONTENT. Static variable in class java.net.HttpURLConnection

HTTP_NOT_ACCEPTABLE. Static variable in class java.net.HttpURLConnection

HTTP_NOT_AUTHORITATIVE. Static variable in class java.net.HttpURLConnection

HTTP_NOT_FOUND. Static variable in class java.net.HttpURLConnection

HTTP_NOT_MODIFIED. Static variable in class java.net.HttpURLConnection

HTTP_OK. Static variable in class java.net.HttpURLConnection

2XX: generally "OK"

HTTP_PARTIAL. Static variable in class java.net.HttpURLConnection

HTTP_PAYMENT_REQUIRED. Static variable in class java.net.HttpURLConnection

HTTP_PRECON_FAILED. Static variable in class java.net.HttpURLConnection

HTTP_PROXY_AUTH. Static variable in class java.net.HttpURLConnection

HTTP_REQ_TOO_LONG. Static variable in class java.net.HttpURLConnection

HTTP_RESET. Static variable in class java.net.HttpURLConnection

HTTP_SEE_OTHER. Static variable in class java.net.HttpURLConnection

HTTP_SERVER_ERROR. Static variable in class java.net.HttpURLConnection

5XX: server error

HTTP_UNAUTHORIZED. Static variable in class java.net.HttpURLConnection

HTTP_UNAVAILABLE. Static variable in class java.net.HttpURLConnection

HTTP_UNSUPPORTED_TYPE. Static variable in class java.net.HttpURLConnection

HTTP_USE_PROXY. Static variable in class java.net.HttpURLConnection

HTTP_VERSION. Static variable in class java.net.HttpURLConnection

HttpURLConnection(URL). Constructor for class java.net.HttpURLConnection

Constructor for the URLStreamHandler.

HUFFMAN_ONLY. Static variable in class java.util.zip.Deflater

Compression strategy for Huffman coding only.


Index of all Fields and Methods

_ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

I

iBdrSize. Variable in class symantec.itools.awt.SplitterPanel

The size of the border drawn between panels, in pixels.

iBdrSize(). Method in class symantec.itools.awt.SplitterPanel

Gets the size of the border drawn between panels.

ICON_COLOR_16x16. Static variable in interface java.beans.BeanInfo

Constant to indicate a 16 x 16 color icon.

ICON_COLOR_32x32. Static variable in interface java.beans.BeanInfo

Constant to indicate a 32 x 32 color icon.

ICON_MONO_16x16. Static variable in interface java.beans.BeanInfo

Constant to indicate a 16 x 16 monochrome icon.

ICON_MONO_32x32. Static variable in interface java.beans.BeanInfo

Constant to indicate a 32 x 32 monochrome icon.

id. Variable in class java.awt.AWTEvent

id. Variable in class java.awt.Event

Indicates which type of event the event is, and which other Event variables are relevant for the event.

IDENTICAL. Static variable in class java.text.Collator

Collator strength value.

identities(). Method in class java.security.IdentityScope

Returns an enumeration of all identities in this identity scope.

Identity(). Constructor for class java.security.Identity

Constructor for serialization only.

Identity(String). Constructor for class java.security.Identity

Constructs an identity with the specified name and no scope.

Identity(String, IdentityScope). Constructor for class java.security.Identity

Constructs an identity with the specified name and scope.

identityEquals(Identity). Method in class java.security.Identity

Tests for equality between the specified identity and this identity.

identityHashCode(Object). Static method in class java.lang.System

Returns the same hashcode for the given object as would be returned by the default method hashCode(), whether or not the given object's class overrides hashCode().

IdentityScope(). Constructor for class java.security.IdentityScope

This constructor is used for serialization only and should not be used by subclasses.

IdentityScope(String). Constructor for class java.security.IdentityScope

Constructs a new identity scope with the specified name.

IdentityScope(String, IdentityScope). Constructor for class java.security.IdentityScope

Constructs a new identity scope with the specified name and scope.

IEEEremainder(double, double). Static method in class java.lang.Math

Computes the remainder operation on two arguments as prescribed by the IEEE 754 standard.

ifModifiedSince. Variable in class java.net.URLConnection

Some protocols support skipping the fetching of the object unless the object has been modified more recently than a certain time.

iGapHeight. Variable in class symantec.itools.awt.SplitterPanel

The split height between panels, in pixels.

iGapHeight(). Method in class symantec.itools.awt.SplitterPanel

Gets the size of the split between panels.

iGapWidth. Variable in class symantec.itools.awt.SplitterPanel

The split width between panels, in pixels.

iGapWidth(). Method in class symantec.itools.awt.SplitterPanel

Gets the size of the split between panels.

ilbLabel. Variable in class symantec.itools.awt.ImageListBox

The label of this listbox (not displayed).

IllegalAccessError(). Constructor for class java.lang.IllegalAccessError

Constructs an IllegalAccessError with no detail message.

IllegalAccessError(String). Constructor for class java.lang.IllegalAccessError

Constructs an IllegalAccessError with the specified detail message.

IllegalAccessException(). Constructor for class java.lang.IllegalAccessException

Constructs an IllegalAccessException without a detail message.

IllegalAccessException(String). Constructor for class java.lang.IllegalAccessException

Constructs an IllegalAccessException with a detail message.

IllegalArgumentException(). Constructor for class java.lang.IllegalArgumentException

Constructs an IllegalArgumentException with no detail message.

IllegalArgumentException(String). Constructor for class java.lang.IllegalArgumentException

Constructs an IllegalArgumentException with the specified detail message.

IllegalComponentStateException(). Constructor for class java.awt.IllegalComponentStateException

Constructs an IllegalComponentStateException with no detail message.

IllegalComponentStateException(String). Constructor for class java.awt.IllegalComponentStateException

Constructs an IllegalComponentStateException with the specified detail message.

IllegalMonitorStateException(). Constructor for class java.lang.IllegalMonitorStateException

Constructs an IllegalMonitorStateException with no detail message.

IllegalMonitorStateException(String). Constructor for class java.lang.IllegalMonitorStateException

Constructs an IllegalMonitorStateException with the specified detail message.

IllegalStateException(). Constructor for class java.lang.IllegalStateException

Constructs an IllegalStateException with no detail message.

IllegalStateException(String). Constructor for class java.lang.IllegalStateException

Constructs an IllegalStateException with the specified detail message.

IllegalThreadStateException(). Constructor for class java.lang.IllegalThreadStateException

Constructs an IllegalThreadStateException with no detail message.

IllegalThreadStateException(String). Constructor for class java.lang.IllegalThreadStateException

Constructs an IllegalThreadStateException with the specified detail message.

im. Variable in class symantec.itools.awt.multiList.TextAndImageCell

This cell's image value.

im1. Variable in class symantec.itools.awt.TreeView

Offscreen Image used for buffering the painting process.

IMAGE. Static variable in interface symantec.itools.db.awt.Data

Type flag to indicate the data is image information.

image. Variable in class symantec.itools.multimedia.ImageViewer

Image that this viewer is displaying.

Image(). Constructor for class java.awt.Image

IMAGE_CENTERED. Static variable in class symantec.itools.awt.ImageButton

A constant indicating the image is to be centered in the size of this component.

IMAGE_CENTERED. Static variable in class symantec.itools.awt.ImagePanel

A constant indicating the image is to be centered in this panel.

IMAGE_CENTERED. Static variable in class symantec.itools.multimedia.ImageViewer

A constant indicating the image is to be centered in the size of this component.

IMAGE_NORMAL. Static variable in class symantec.itools.awt.ImageButton

A constant indicating the image is to be drawn normally in the upper left corner.

IMAGE_NORMAL. Static variable in class symantec.itools.awt.ImagePanel

A constant indicating the image is to be drawn from the upper left corner of the panel.

IMAGE_NORMAL. Static variable in class symantec.itools.multimedia.ImageViewer

A constant indicating the image is to be drawn normally in the upper left corner.

IMAGE_SCALED_TO_FIT. Static variable in class symantec.itools.awt.ImageButton

A constant indicating the image is to be scaled to fit the size of this component.

IMAGE_SCALED_TO_FIT. Static variable in class symantec.itools.awt.ImagePanel

A constant indicating the image is to be scaled to fit this panel.

IMAGE_SCALED_TO_FIT. Static variable in class symantec.itools.multimedia.ImageViewer

A constant indicating the image is to be scaled to fit the size of this component.

IMAGE_STRING. Static variable in interface symantec.itools.db.awt.Data

Type flag to indicate the data is string and image information.

IMAGE_TILED. Static variable in class symantec.itools.awt.ImageButton

A constant indicating the image is to be tiled in the size of this component.

IMAGE_TILED. Static variable in class symantec.itools.awt.ImagePanel

A constant indicating the image is to be tiled in this panel.

IMAGE_TILED. Static variable in class symantec.itools.multimedia.ImageViewer

A constant indicating the image is to be tiled in the size of this component.

IMAGE_WIDTH. Static variable in class symantec.itools.awt.ImageListBox

Defines the width of all images displayed in the list, in pixels.

IMAGEABORTED. Static variable in interface java.awt.image.ImageConsumer

The image creation process was deliberately aborted.

ImageButton(). Constructor for class symantec.itools.awt.ImageButton

Constructs a new default ImageButton.

ImageButtonBeanInfo(). Constructor for class symantec.itools.awt.ImageButtonBeanInfo

Constructs a ImageButtonBeanInfo object.

imageComplete(int). Method in interface java.awt.image.ImageConsumer

The imageComplete method is called when the ImageProducer is finished delivering all of the pixels that the source image contains, or when a single frame of a multi-frame animation has been completed, or when an error in loading or producing the image has occured.

imageComplete(int). Method in class java.awt.image.ImageFilter

Filters the information provided in the imageComplete method of the ImageConsumer interface.

imageComplete(int). Method in class java.awt.image.PixelGrabber

The imageComplete method is part of the ImageConsumer API which this class must implement to retrieve the pixels.

IMAGEERROR. Static variable in interface java.awt.image.ImageConsumer

An error was encountered while producing the image.

ImageFilter(). Constructor for class java.awt.image.ImageFilter

ImageHTMLLink(). Constructor for class symantec.itools.awt.ImageHTMLLink

Constructs an ImageHTMLLink object.

ImageHTMLLinkBeanInfo(). Constructor for class symantec.itools.awt.ImageHTMLLinkBeanInfo

Constructs a ImageHTMLLinkBeanInfo object.

imageIndex. Variable in class symantec.itools.multimedia.SlideShow

The zero-relative index of the currently displayed image.

ImageListBox(). Constructor for class symantec.itools.awt.ImageListBox

Constructs a default ImageListBox.

ImageListBox(Component, String). Constructor for class symantec.itools.awt.ImageListBox

ImageListBox(Component, String, int, boolean). Constructor for class symantec.itools.awt.ImageListBox

ImageListBox(String). Constructor for class symantec.itools.awt.ImageListBox

Constructs an ImageListBox with the specified label.

ImageListBox(String, boolean). Constructor for class symantec.itools.awt.ImageListBox

Constructs an ImageListBox with the specified label and conditionally allows multiple selections.

ImageListBox(String, int, boolean). Constructor for class symantec.itools.awt.ImageListBox

Constructs an ImageListBox with the specified label, the specified number of visible rows, and conditionally allows multiple list item selection.

ImageListBoxBeanInfo(). Constructor for class symantec.itools.awt.ImageListBoxBeanInfo

Constructs a ImageListBoxBeanInfo object.

ImagePanel(). Constructor for class symantec.itools.awt.ImagePanel

Constructs a default ImagePanel.

ImagePanelBeanInfo(). Constructor for class symantec.itools.awt.ImagePanelBeanInfo

Constructs a ImagePanelBeanInfo object.

images. Variable in class symantec.itools.multimedia.Animator

Images to be displayed.

images. Variable in class symantec.itools.multimedia.SlideShow

The displayed images, loaded from the image URL list.

ImageStringData(DataSource). Constructor for class symantec.itools.db.awt.ImageStringData

Creates a Data element using the specified data source.

ImageStringData(DataSource, Image). Constructor for class symantec.itools.db.awt.ImageStringData

Creates a Data element using the specified data source.

ImageStringData(DataSource, String). Constructor for class symantec.itools.db.awt.ImageStringData

Creates a Data element using the specified data source.

ImageStringData(DataSource, String, Image). Constructor for class symantec.itools.db.awt.ImageStringData

Creates a Data element using the specified data source.

imageStyle. Variable in class symantec.itools.awt.ImageButton

Determines how to draw the image.

imageStyle. Variable in class symantec.itools.awt.ImagePanel

The style that the image will be displayed in.

imageStyle. Variable in class symantec.itools.multimedia.ImageViewer

Determines how to draw the image.

imageUpdate(Image, int, int, int, int, int). Method in class symantec.itools.db.awt.BasicCell

Repaints the list when the cell's image has changed.

imageUpdate(Image, int, int, int, int, int). Method in class symantec.itools.db.awt.ButtonCell

Repaints the list when the cell's image has changed.

imageUpdate(Image, int, int, int, int, int). Method in class java.awt.Component

Repaints the component when the image has changed.

imageUpdate(Image, int, int, int, int, int). Method in interface java.awt.image.ImageObserver

This method is called when information about an image which was previously requested using an asynchronous interface becomes available.

imageUpdate(Image, int, int, int, int, int). Method in class symantec.itools.multimedia.MovingAnimation

Incrementally updates an image as image data becomes available.

imageUpdate(Image, int, int, int, int, int). Method in class symantec.itools.awt.multiList.TextAndImageCell

Incrementally updates an image as image data becomes available.

imageURL. Variable in class symantec.itools.awt.ImageButton

The URL for the button's image

imageViewer. Variable in class symantec.itools.multimedia.SlideShow

The sub-component that displays the images.

ImageViewer(). Constructor for class symantec.itools.db.awt.ImageViewer

Constructs a default ImageViewer.

ImageViewer(). Constructor for class symantec.itools.multimedia.ImageViewer

Create default image viewer.

ImageViewer(Image). Constructor for class symantec.itools.multimedia.ImageViewer

Create image viewer with image.

ImageViewer(String). Constructor for class symantec.itools.multimedia.ImageViewer

Crate image viewer with filename.

ImageViewer(URL). Constructor for class symantec.itools.db.awt.ImageViewer

Constructs an ImageViewer and specifies the default URL that security checks are performed against.

ImageViewer(URL). Constructor for class symantec.itools.multimedia.ImageViewer

Create image viewer with URL.

ImageViewerBeanInfo(). Constructor for class symantec.itools.db.awt.ImageViewerBeanInfo

Constructs a ImageViewerBeanInfo object.

ImageViewerBeanInfo(). Constructor for class symantec.itools.multimedia.ImageViewerBeanInfo

Constructs a ImageViewerBeanInfo object.

implAccept(Socket). Method in class java.net.ServerSocket

Subclasses of ServerSocket use this method to override accept() to return their own subclass of socket.

importedKeyCascade. Static variable in interface java.sql.DatabaseMetaData

IMPORT KEY UPDATE_RULE and DELETE_RULE - for update, change imported key to agree with primary key update; for delete, delete rows that import a deleted key.

importedKeyInitiallyDeferred. Static variable in interface java.sql.DatabaseMetaData

IMPORT KEY DEFERRABILITY - see SQL92 for definition

importedKeyInitiallyImmediate. Static variable in interface java.sql.DatabaseMetaData

IMPORT KEY DEFERRABILITY - see SQL92 for definition

importedKeyNoAction. Static variable in interface java.sql.DatabaseMetaData

IMPORT KEY UPDATE_RULE and DELETE_RULE - do not allow update or delete of primary key if it has been imported.

importedKeyNotDeferrable. Static variable in interface java.sql.DatabaseMetaData

IMPORT KEY DEFERRABILITY - see SQL92 for definition

importedKeyRestrict. Static variable in interface java.sql.DatabaseMetaData

IMPORT KEY UPDATE_RULE and DELETE_RULE - do not allow update or delete of primary key if it has been imported.

importedKeySetDefault. Static variable in interface java.sql.DatabaseMetaData

IMPORT KEY UPDATE_RULE and DELETE_RULE - change imported key to default values if its primary key has been updated or deleted.

importedKeySetNull. Static variable in interface java.sql.DatabaseMetaData

IMPORT KEY UPDATE_RULE and DELETE_RULE - change imported key to NULL if its primary key has been updated or deleted.

in. Static variable in class java.io.FileDescriptor

A handle to the standard input stream.

in. Variable in class java.io.FilterInputStream

The underlying input stream.

in. Variable in class java.io.FilterReader

The underlying character-input stream, or null if the stream has been closed

in. Variable in class java.io.PipedInputStream

in. Static variable in class java.lang.System

The "standard" input stream.

INACTIVE_CAPTION. Static variable in class java.awt.SystemColor

The array index for the inactive caption background color.

INACTIVE_CAPTION_BORDER. Static variable in class java.awt.SystemColor

The array index for the inactive caption border color.

INACTIVE_CAPTION_TEXT. Static variable in class java.awt.SystemColor

The array index for the inactive caption text color.

inactiveCaption. Static variable in class java.awt.SystemColor

The background color for inactive captions in window borders.

inactiveCaptionBorder. Static variable in class java.awt.SystemColor

The border color for inactive captios in window borders.

inactiveCaptionText. Static variable in class java.awt.SystemColor

The text color for inactive captions in window borders.

inButton. Variable in class symantec.itools.awt.ButtonBase

True if the mouse is over this button.

inCheck. Variable in class java.lang.SecurityManager

This field is true if there is a security check in progress; false otherwise.

inClass(String). Method in class java.lang.SecurityManager

Tests if the specified String is in this Class.

inClassLoader(). Method in class java.lang.SecurityManager

Tests if the current ClassLoader is equal to null.

IncompatibleClassChangeError(). Constructor for class java.lang.IncompatibleClassChangeError

Constructs an IncompatibleClassChangeError with no detail message.

IncompatibleClassChangeError(String). Constructor for class java.lang.IncompatibleClassChangeError

Constructs an IncompatibleClassChangeError with the specified detail message.

inComponent(Component, int, int). Method in class symantec.itools.awt.SplitterPanel

Utility method to determine if the given location is within the given component.

increment. Variable in class symantec.itools.awt.util.spinner.Spinner

The amount the spinner's value is changed when scrolling step is taken.

inDaylightTime(Date). Method in class java.util.SimpleTimeZone

Overrides TimeZone Queries if the given date is in Daylight Savings Time.

inDaylightTime(Date). Method in class java.util.TimeZone

Queries if the given date is in Daylight Savings Time in this time zone.

indent. Variable in class symantec.itools.awt.DirectionButton

The margin around the arrow in pixels.

indent. Variable in class symantec.itools.awt.Label3D

The amount to indent around the border: INDENT_ZERO, INDENT_ONE, or INDENT_TWO.

indent. Variable in class symantec.itools.awt.util.ProgressBar

The value of the Border Indent property.

INDENT_ONE. Static variable in class symantec.itools.awt.Label3D

Constant indicating a drawing margin of 1 pixel around the outside of the border.

INDENT_ONE. Static variable in class symantec.itools.awt.util.ProgressBar

Border Indent constant INDENT_ONE.

INDENT_TWO. Static variable in class symantec.itools.awt.Label3D

Constant indicating a drawing margin of 2 pixels around the outside of the border.

INDENT_TWO. Static variable in class symantec.itools.awt.util.ProgressBar

Border Indent constant INDENT_TWO.

INDENT_ZERO. Static variable in class symantec.itools.awt.Label3D

Constant indicating a drawing margin of 0 pixels around the outside of the border.

INDENT_ZERO. Static variable in class symantec.itools.awt.util.ProgressBar

Border Indent constant INDENT_ZERO.

index. Variable in class symantec.itools.awt.util.StatusScroller

The zero-relative index of the original first character.

IndexColorModel(int, int, byte[], byte[], byte[]). Constructor for class java.awt.image.IndexColorModel

Constructs an IndexColorModel from the given arrays of red, green, and blue components.

IndexColorModel(int, int, byte[], byte[], byte[], byte[]). Constructor for class java.awt.image.IndexColorModel

Constructs an IndexColorModel from the given arrays of red, green, blue and alpha components.

IndexColorModel(int, int, byte[], byte[], byte[], int). Constructor for class java.awt.image.IndexColorModel

Constructs an IndexColorModel from the given arrays of red, green, and blue components.

IndexColorModel(int, int, byte[], int, boolean). Constructor for class java.awt.image.IndexColorModel

Constructs an IndexColorModel from a single arrays of packed red, green, blue and optional alpha components.

IndexColorModel(int, int, byte[], int, boolean, int). Constructor for class java.awt.image.IndexColorModel

Constructs an IndexColorModel from a single arrays of packed red, green, blue and optional alpha components.

IndexedPropertyDescriptor(String, Class). Constructor for class java.beans.IndexedPropertyDescriptor

This constructor constructs an IndexedPropertyDescriptor for a property that follows the standard Java conventions by having getFoo and setFoo accessor methods, for both indexed access and array access.

IndexedPropertyDescriptor(String, Class, String, String, String, String). Constructor for class java.beans.IndexedPropertyDescriptor

This constructor takes the name of a simple property, and method names for reading and writing the property, both indexed and non-indexed.

IndexedPropertyDescriptor(String, Method, Method, Method, Method). Constructor for class java.beans.IndexedPropertyDescriptor

This constructor takes the name of a simple property, and Method objects for reading and writing the property.

indexOf(int). Method in class java.lang.String

Returns the index within this string of the first occurrence of the specified character.

indexOf(int, int). Method in class java.lang.String

Returns the index within this string of the first occurrence of the specified character, starting the search at the specified index.

indexOf(Object). Method in class java.util.Vector

Searches for the first occurence of the given argument, testing for equality using the equals method.

indexOf(Object, int). Method in class java.util.Vector

Searches for the first occurence of the given argument, beginning the search at index, and testing for equality using the equals method.

indexOf(String). Method in class java.lang.String

Returns the index within this string of the first occurrence of the specified substring.

indexOf(String, int). Method in class java.lang.String

Returns the index within this string of the first occurrence of the specified substring, starting at the specified index.

IndexOutOfBoundsException(). Constructor for class java.lang.IndexOutOfBoundsException

Constructs an IndexOutOfBoundsException with no detail message.

IndexOutOfBoundsException(String). Constructor for class java.lang.IndexOutOfBoundsException

Constructs an IndexOutOfBoundsException with the specified detail message.

inf. Variable in class java.util.zip.InflaterInputStream

Decompressor for this stream.

INFINITE. Static variable in class symantec.itools.multimedia.SoundPlayer

A constant specifying that the sound should run forever.

inflate(byte[]). Method in class java.util.zip.Inflater

Uncompresses bytes into specified buffer.

inflate(byte[], int, int). Method in class java.util.zip.Inflater

Uncompresses bytes into specified buffer.

Inflater(). Constructor for class java.util.zip.Inflater

Creates a new decompressor.

Inflater(boolean). Constructor for class java.util.zip.Inflater

Creates a new decompressor.

InflaterInputStream(InputStream). Constructor for class java.util.zip.InflaterInputStream

Creates a new input stream with a default decompressor and buffer size.

InflaterInputStream(InputStream, Inflater). Constructor for class java.util.zip.InflaterInputStream

Creates a new input stream with the specified decompressor and a default buffer size.

InflaterInputStream(InputStream, Inflater, int). Constructor for class java.util.zip.InflaterInputStream

Creates a new input stream with the specified decompressor and buffer size.

info. Static variable in class java.awt.SystemColor

The background color for info(help) text.

INFO. Static variable in class java.awt.SystemColor

The array index for the info background color.

INFO_TEXT. Static variable in class java.awt.SystemColor

The array index for the info text color.

infoText. Static variable in class java.awt.SystemColor

The text color for info(help) text.

InfoTipManager(). Constructor for class symantec.itools.awt.InfoTipManager

Do not use, this is an all-static class.

InfoTipPanel(). Constructor for class symantec.itools.awt.InfoTipPanel

Constructs a default InfoTipPanel.

InfoTipPanel(Component, String, int, boolean, int, boolean). Constructor for class symantec.itools.awt.InfoTipPanel

Constructs a new InfoTipPanel initialized with the specified component, text, minimum height and minimum width.

InfoTipPanelBeanInfo(). Constructor for class symantec.itools.awt.InfoTipPanelBeanInfo

Constructs a TextScrollingButtonBeanIn object.

inGap(int, int). Method in class symantec.itools.awt.SplitterPanel

Utility method to determine if the given location is in the gap between any nested sub-panels.

inGap1(int, int). Method in class symantec.itools.awt.SplitterPanel

Utility method to determine if the given location is in the gap between this panel's sub-panels.

init(). Method in class java.applet.Applet

Called by the browser or applet viewer to inform this applet that it has been loaded into the system.

init(). Method in interface symantec.itools.db.pro.RecordLink

Called when this object is first bound to a RelationView.

init(). Method in interface symantec.itools.db.pro.RecordSetLink

Called when this object is first bound to the RelationView.

init(ListBinder). Method in class symantec.itools.db.awt.ComboBox

Called when this component has been bound to a RelationView.

init(ListBinder). Method in class symantec.itools.db.awt.List

Called when this component has been bound to a RelationView.

init(ListBinder). Method in interface symantec.itools.db.pro.ListLink

Called when this object is first bound to a RelationView.

init(ProjBinder). Method in class symantec.itools.db.awt.DBTstamp

Called when this component has been bound to a projection within an RelationView.

init(ProjBinder). Method in class symantec.itools.db.pro.Projection

Called upon binding the object to a projection within an RelationView.

init(ProjBinder). Method in class symantec.itools.db.awt.ProjectionBeanHelper

Called when this component has been bound to a projection within an RelationView.

init(ProjBinder). Method in interface symantec.itools.db.pro.ProjLink

Called upon binding the object to a projection within an RelationView.

init(String[]). Method in class java.text.resources.LocaleData

initDataStorage(). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Initializes the data stored in this record to all nulls.

initialize(DSAParams, SecureRandom). Method in interface java.security.interfaces.DSAKeyPairGenerator

Initializes the key pair generator using p, q and g, the DSA family parameters.

initialize(int). Method in class java.security.KeyPairGenerator

Initializes the key pair generator for a certain strength using a system-provided source of randomness.

initialize(int, boolean, SecureRandom). Method in interface java.security.interfaces.DSAKeyPairGenerator

Initializes the key pair generator for a given modulus length, without parameters.

initialize(int, SecureRandom). Method in class java.security.KeyPairGenerator

Initializes the key pair generator for a certain strength.

initSign(PrivateKey). Method in class java.security.Signature

Initialize this object for signing.

initVerify(PublicKey). Method in class java.security.Signature

Initializes this object for verification.

innerSP. Variable in class symantec.itools.awt.SplitterPanel

Internal use only.

inOutBoarder(int, int). Method in class symantec.itools.awt.SplitterPanel

Utility method to determine if the given location is in the border around this component.

INPUT. Static variable in class symantec.itools.beans.ConnectionDescriptor

A constant indicating an input connection.

Input. Variable in class symantec.itools.db.beans.binding.Mediator

The input DataItem.

InputStream(). Constructor for class java.io.InputStream

InputStreamReader(InputStream). Constructor for class java.io.InputStreamReader

Create an InputStreamReader that uses the default character encoding.

InputStreamReader(InputStream, String). Constructor for class java.io.InputStreamReader

Create an InputStreamReader that uses the named character encoding.

inquireDSN(). Method in class symantec.itools.db.pro.Session

Gets a list of valid data source names (i.e.

INSERT. Static variable in class java.awt.Event

The Insert key, a non-ASCII action key.

insert(). Method in class symantec.itools.db.beans.binding.QueryNavigator

Inserts a new row in the Data Source.

insert(int, boolean). Method in class java.lang.StringBuffer

Inserts the string representation of the boolean argument into this string buffer.

insert(int, char). Method in class java.lang.StringBuffer

Inserts the string representation of the char argument into this string buffer.

insert(int, char[]). Method in class java.lang.StringBuffer

Inserts the string representation of the char array argument into this string buffer.

insert(int, double). Method in class java.lang.StringBuffer

Inserts the string representation of the double argument into this string buffer.

insert(int, float). Method in class java.lang.StringBuffer

Inserts the string representation of the float argument into this string buffer.

insert(int, int). Method in class java.lang.StringBuffer

Inserts the string representation of the second int argument into this string buffer.

insert(int, long). Method in class java.lang.StringBuffer

Inserts the string representation of the long argument into this string buffer.

insert(int, Object). Method in class java.lang.StringBuffer

Inserts the string representation of the Object argument into this string buffer.

insert(int, String). Method in class java.lang.StringBuffer

Inserts the string into this string buffer.

insert(MenuItem, int). Method in class java.awt.Menu

Inserts a menu item into this menu at the specified position.

insert(String, int). Method in class java.awt.Choice

Inserts the item into this choice at the specified position.

insert(String, int). Method in class java.awt.Menu

Inserts a menu item with the specified label into this menu at the specified position.

insert(String, int). Method in class java.awt.TextArea

Inserts the specified text at the specified position in this text area.

insert(String, int). Method in interface java.awt.peer.TextAreaPeer

insert(TreeNode, TreeNode, int). Method in class symantec.itools.awt.TreeView

Inserts a new node relative to an existing node in the tree.

INSERT_SQL. Static variable in class symantec.itools.db.beans.jdbc.RecordDefinition

Internal constant.

insertChar(int, char). Method in interface symantec.itools.db.awt.Data

Inserts a character into the string data.

insertChar(int, char). Method in class symantec.itools.db.awt.DefaultData

Inserts a character into the string data.

insertChar(int, char). Method in class symantec.itools.db.awt.ImageStringData

Inserts a character into the string data.

insertChar(int, int, int, char). Method in interface symantec.itools.db.awt.DataSource

Method used to support Defaultdata class.

insertChar(int, int, int, char). Method in class symantec.itools.db.awt.DbDataSource

Method used to support Defaultdata class.

insertChar(int, int, int, char). Method in class symantec.itools.db.awt.DefaultDataSource

Method used to support Defaultdata class.

insertElementAt(Object, int). Method in class java.util.Vector

Inserts the specified object as a component in this vector at the specified index.

insertIntern(). Method in class symantec.itools.db.beans.binding.QueryNavigator

Insert helper method.

insertIntern(). Method in class symantec.itools.db.beans.jdbc.QueryNavigator

Insert helper method.

insertItem(int, Image, String, boolean). Method in class symantec.itools.awt.ImageListBox

Inserts an item with an image at a specific zero-relative index and conditionally enables it.

insertItems(int, Vector, Image, boolean). Method in class symantec.itools.awt.ImageListBox

Inserts a vector list of items at a specific zero-relative index and conditionally enables them.

insertProviderAt(Provider, int). Static method in class java.security.Security

Adds a new provider, at a specified position.

insertResultSetRow(int, Data[]). Method in class symantec.itools.db.awt.DbDataSource

Called by DbDataStore or DbUpdater to insert a new row to the result set.

insertRow(int). Method in interface symantec.itools.db.awt.DataSource

Inserts a new row in the data source above the specified row

insertRow(int). Method in class symantec.itools.db.awt.DbaDataStore

Appends a new row.

insertRow(int). Method in class symantec.itools.db.awt.DbDataSource

Inserts a new row in the data source above the specified row

insertRow(int). Method in interface symantec.itools.db.awt.DbDataUpdater

Called by the data source when the user requests to insert a row of data.

insertRow(int). Method in class symantec.itools.db.awt.DefaultDataSource

Inserts a new row in the data source above the specified row

insertRow(int). Method in class symantec.itools.awt.Matrix

Inserts a new row at the given location.

insertRow(int, TableView). Method in class symantec.itools.db.awt.DefaultTvEventHandler

Helper function called if insert toolbar button is pressed.

insertSeparator(int). Method in class java.awt.Menu

Inserts a separator at the specified position.

insertTab(String, boolean, int). Method in class symantec.itools.awt.BaseTabbedPanel

Inserts a tab before the tab at the specified index.

insertTabPanel(String, boolean, Component, int). Method in class symantec.itools.awt.TabPanel

Inserts a tab panel based on index.

insertText(String, int). Method in class java.awt.TextArea

insertText(String, int). Method in interface java.awt.peer.TextAreaPeer

DEPRECATED: Replaced by insert(String, int).

insets. Variable in class java.awt.GridBagConstraints

This field specifies the external padding of the component, the minimum amount of space between the component and the edges of its display area.

insets(). Method in class symantec.itools.awt.BaseTabbedPanel

Returns the amount of space used by the current border.

insets(). Method in class symantec.itools.awt.BorderPanel

Returns the amount of space used by the current border.

insets(). Method in class java.awt.Container

insets(). Method in interface java.awt.peer.ContainerPeer

DEPRECATED: Replaced by getInsets().

Insets(int, int, int, int). Constructor for class java.awt.Insets

Creates and initializes a new Insets object with the specified top, left, bottom, and right insets.

inside(int, int). Method in class java.awt.Component

inside(int, int). Method in class java.awt.Polygon

inside(int, int). Method in class java.awt.Rectangle

instantiate(ClassLoader, String). Static method in class java.beans.Beans

Instantiate a bean.

InstantiationError(). Constructor for class java.lang.InstantiationError

Constructs an InstantiationError with no detail message.

InstantiationError(String). Constructor for class java.lang.InstantiationError

Constructs an InstantiationError with the specified detail message.

InstantiationException(). Constructor for class java.lang.InstantiationException

Constructs an InstantiationException with no detail message.

InstantiationException(String). Constructor for class java.lang.InstantiationException

Constructs an InstantiationException with the specified detail message.

intArrayToStringArray(int[]). Method in class symantec.itools.awt.MultiList

Converts the given array of int into a corresponding array of String.

intBitsToFloat(int). Static method in class java.lang.Float

Returns the single-float corresponding to a given bit represention.

INTEGER. Static variable in class java.sql.Types

Integer(int). Constructor for class java.lang.Integer

Constructs a newly allocated Integer object that represents the primitive int argument.

Integer(String). Constructor for class java.lang.Integer

Constructs a newly allocated Integer object that represents the value represented by the string.

INTEGER_FIELD. Static variable in class java.text.NumberFormat

Field constant used to construct a FieldPosition object.

INTERFACE. Static variable in class java.lang.reflect.Modifier

intern(). Method in class java.lang.String

Returns a canonical representation for the string object.

internalCreateColumns(int). Method in class symantec.itools.awt.MultiList

Internal helper routine.

InternalError(). Constructor for class java.lang.InternalError

Constructs an InternalError with no detail message.

InternalError(String). Constructor for class java.lang.InternalError

Constructs an InternalError with the specified detail message.

internalGet(int). Method in class java.util.Calendar

Gets the value for a given time field.

internalInsets. Variable in class symantec.itools.awt.BorderPanel

The internal border insets.

internalMax. Variable in class symantec.itools.awt.util.spinner.ListSpinner

The maximum value the list is allowed to go to.

interrupt(). Method in class java.lang.Thread

Interrupts this thread.

interrupted(). Static method in class java.lang.Thread

Tests if the current thread has been interrupted.

InterruptedException(). Constructor for class java.lang.InterruptedException

Constructs an InterruptedException with no detail message.

InterruptedException(String). Constructor for class java.lang.InterruptedException

Constructs an InterruptedException with the specified detail message.

InterruptedIOException(). Constructor for class java.io.InterruptedIOException

Constructs an InterruptedIOException with no detail message.

InterruptedIOException(String). Constructor for class java.io.InterruptedIOException

Constructs an InterruptedIOException with the specified detail message.

intersection(Rectangle). Method in class java.awt.Rectangle

Computes the intersection of this rectangle with the specified rectangle.

intersects(Rectangle). Method in class java.awt.Rectangle

Determines whether this rectangle and the specified rectangle intersect.

IntlLongDistPhoneNumber(). Constructor for class symantec.itools.awt.util.edit.IntlLongDistPhoneNumber

Create international long distance phone number text field.

IntlLongDistPhoneNumberBeanInfo(). Constructor for class symantec.itools.awt.util.edit.IntlLongDistPhoneNumberBeanInfo

Constructs a IntlLongDistPhoneNumberBeanInfo object.

IntrospectionException(String). Constructor for class java.beans.IntrospectionException

intValue(). Method in class java.math.BigDecimal

Converts this number to an int.

intValue(). Method in class java.math.BigInteger

Converts this number to an int.

intValue(). Method in class java.lang.Byte

Returns the value of this Byte as an int.

intValue(). Method in class java.lang.Double

Returns the integer value of this Double (by casting to an int).

intValue(). Method in class java.lang.Float

Returns the integer value of this Float (by casting to an int).

intValue(). Method in class java.lang.Integer

Returns the value of this Integer as an int.

intValue(). Method in class java.lang.Long

Returns the value of this Long as an int.

intValue(). Method in class java.lang.Number

Returns the value of the specified number as an int.

intValue(). Method in class java.lang.Short

Returns the value of this Short as an int.

invalidate(). Method in class java.awt.Component

Invalidates this component.

invalidate(). Method in class java.awt.Container

Invalidates the container.

invalidateLayout(Container). Method in class java.awt.BorderLayout

Invalidates the layout, indicating that if the layout manager has cached information it should be discarded.

invalidateLayout(Container). Method in class java.awt.CardLayout

Invalidates the layout, indicating that if the layout manager has cached information it should be discarded.

invalidateLayout(Container). Method in class java.awt.GridBagLayout

Invalidates the layout, indicating that if the layout manager has cached information it should be discarded.

invalidateLayout(Container). Method in interface java.awt.LayoutManager2

Invalidates the layout, indicating that if the layout manager has cached information it should be discarded.

InvalidClassException(String). Constructor for class java.io.InvalidClassException

Report a InvalidClassException for the specified reason.

InvalidClassException(String, String). Constructor for class java.io.InvalidClassException

InvalidKeyException(). Constructor for class java.security.InvalidKeyException

Constructs an InvalidKeyException with no detail message.

InvalidKeyException(String). Constructor for class java.security.InvalidKeyException

Constructs an InvalidKeyException with the specified detail message.

InvalidObjectException(String). Constructor for class java.io.InvalidObjectException

Constructs an InvalidObjectException with a detail message.

InvalidParameterException(). Constructor for class java.security.InvalidParameterException

Constructs an InvalidParameterException with no detail message.

InvalidParameterException(String). Constructor for class java.security.InvalidParameterException

Constructs an InvalidParameterException with the specified detail message.

InvisibleButton(). Constructor for class symantec.itools.awt.InvisibleButton

Constructs an InvisibleButton.

InvisibleButtonBeanInfo(). Constructor for class symantec.itools.awt.InvisibleButtonBeanInfo

Constructs a InvisibleButtonBeanInfo object.

InvisibleHTMLLink(). Constructor for class symantec.itools.awt.InvisibleHTMLLink

Constructs a default InvisibleHTMLLink.

InvisibleHTMLLinkBeanInfo(). Constructor for class symantec.itools.awt.InvisibleHTMLLinkBeanInfo

Constructs a InvisibleHTMLLinkBeanInfo object.

InvocationTargetException(). Constructor for class java.lang.reflect.InvocationTargetException

InvocationTargetException(Throwable). Constructor for class java.lang.reflect.InvocationTargetException

Constructs a InvocationTargetException with a target exception.

InvocationTargetException(Throwable, String). Constructor for class java.lang.reflect.InvocationTargetException

Constructs a InvocationTargetException with a target exception and a detail message.

invoke(Object, Object[]). Method in class java.lang.reflect.Method

Invokes the underlying method represented by this Method object, on the specified object with the specified parameters.

invoke(RemoteCall). Method in interface java.rmi.server.RemoteRef

Executes the remote call.

IOException(). Constructor for class java.io.IOException

Constructs an IOException with no detail message.

IOException(String). Constructor for class java.io.IOException

Constructs an IOException with the specified detail message.

ipadx. Variable in class java.awt.GridBagConstraints

This field specifies the internal padding of the component, how much space to add to the minimum width of the component.

ipady. Variable in class java.awt.GridBagConstraints

This field specifies the internal padding, that is, how much space to add to the minimum height of the component.

IS_NULL. Static variable in class symantec.itools.db.beans.jdbc.RecordDefinition

Internal use.

isAbsolute(). Method in class java.io.File

Tests if the file represented by this File object is an absolute pathname.

isAbstract(int). Static method in class java.lang.reflect.Modifier

Return true if the specifier integer includes the abstract modifier.

isAChildVisible(). Method in class symantec.itools.awt.TreeNode

Determines whether any child nodes are visible.

isActionKey(). Method in class java.awt.event.KeyEvent

Returns whether or not the key in this event is an "action" key, as defined in Event.java.

isActive(). Method in class java.applet.Applet

Determines if this applet is active.

isActive(). Method in interface java.applet.AppletStub

Determines if the applet is active.

isAdded. Variable in class symantec.itools.awt.ButtonBase

Keeps track of wheather or not the button is added to a container.

isAdded. Variable in class symantec.itools.awt.RadioButtonGroupPanel

is the component added to a container hierarchy?

isAdded. Variable in class symantec.itools.awt.Slider

is the component added to a container hierarchy?

isAlive(). Method in class java.lang.Thread

Tests if this thread is alive.

isAllowDynamicMoving(). Method in class symantec.itools.awt.SplitterPanel

This flag specifies if moving of a split in a splitter panel will be real time, or delayed until mouse released.

isAllowDynamicResizing(). Method in class symantec.itools.awt.util.spinner.ListSpinner

Gets whether the current value can wrap around from maximum to minimum and from minimum to maximum.

isAllowResizingOfColumns(). Method in class symantec.itools.awt.MultiList

Gets whether columns may currently be resized by the user via the user interface.

isAllowSorting(). Method in class symantec.itools.awt.MultiList

Gets the flag controlling sorting of columns when a heading is selected.

isAllSelected(). Method in class symantec.itools.awt.ImageListBox

Query if all rows are selected.

isAltDown(). Method in class java.awt.event.InputEvent

Returns whether or not the Alt modifier is down on this event.

isAncestorOf(Component). Method in class java.awt.Container

Checks if the component is contained in the component hierarchy of this container.

isApplet(). Static method in class symantec.itools.lang.Context

Returns true if this is being used with an applet, otherwise this is being used with an application.

isApplication(). Static method in class symantec.itools.lang.Context

Returns true if this is being used with an application, otherwise this is being used with an applet.

isArray(). Method in class java.lang.Class

If this Class object represents an array type, returns true, otherwise returns false.

isASiblingVisible(). Method in class symantec.itools.awt.TreeNode

Determines whether any sibling nodes are visible.

isAssignableFrom(Class). Method in class java.lang.Class

Determines if the class or interface represented by this Class object is either the same as, or is a superclass or superinterface of, the class or interface represented by the specified Class parameter.

isAtFirstImage(). Method in class symantec.itools.multimedia.SlideShow

Query if displaying first image in slide show set.

isAtLastImage(). Method in class symantec.itools.multimedia.SlideShow

Query if displaying last image in slide show set.

isAutoCommit(). Method in class symantec.itools.db.beans.jdbc.JdbcConnection

Gets the autoCommit property.

isAutoIncrement(int). Method in class symantec.itools.db.pro.RelationViewMetaData

Gets whether the column is automatically numbered (making it read-only).

isAutoIncrement(int). Method in interface java.sql.ResultSetMetaData

Is the column automatically numbered, thus read-only?

isAutoStart(). Method in class symantec.itools.awt.util.StatusScroller

Gets whether scrolling will automatically start when the applet is loaded.

isBindingNotifyEnabled(). Method in class symantec.itools.db.pro.RelationView

Gets whether ProjLink, ListLink, and RecordLink binding notifications are enabled or disabled.

isBold(). Method in class java.awt.Font

Indicates whether the font's style is bold.

isBound(). Method in class java.beans.PropertyDescriptor

Updates to "bound" properties will cause a "PropertyChange" event to get fired when the property is changed.

isBufferImageInvalid(). Method in class symantec.itools.awt.util.ProgressBar

Returns true if a buffer image has been set, but it is not the size of this component.

isButtonImageInvalid(). Method in class symantec.itools.awt.ButtonBase

Returns true if a button image has been set, but it is not the size of this component.

isCancelEnabled(). Method in class symantec.itools.awt.SimpleWizardController

Tells if the Cancel button must be enabled.

isCancelEnabled(). Method in interface symantec.itools.awt.WizardController

Tells if the Cancel button must be enabled.

isCaseSensitive(). Method in class symantec.itools.awt.ComboBox

Returns the current ComboBox case-sensitive search status.

isCaseSensitive(). Static method in class symantec.itools.lang.OS

Returns true if file system is case sensitive.

isCaseSensitive(int). Method in class symantec.itools.db.pro.RelationViewMetaData

Gets whether a column's case matters.

isCaseSensitive(int). Method in interface java.sql.ResultSetMetaData

Does a column's case matter?

isCatalogAtStart(). Method in interface java.sql.DatabaseMetaData

Does a catalog appear at the start of a qualified table name? (Otherwise it appears at the end)

isCatalogAtStart(). Method in class symantec.itools.db.pro.SessionMetaData

Gets the database vendor's preferred term for "schema".

isCellBorders(). Method in class symantec.itools.awt.ImageListBox

Gets the current default cell border display mode.

isCellTypeEditable(). Method in class symantec.itools.db.awt.BasicCell

Gets whether this cell type provides support for editing.

isCellTypeEditable(). Method in class symantec.itools.db.awt.ButtonCell

Queries whether the cell type supports user editing (normally from the keyboard.

isCellTypeEditable(). Method in interface symantec.itools.db.awt.TableCell

Queries whether the cell type supports user editing (normally from the keyboard.

isCenterMode. Variable in class symantec.itools.awt.RollOverButton

If true the image will be centered within the bounds of the button.

isCenterMode(). Method in class symantec.itools.awt.ImageButton

isCenterMode(). Method in class symantec.itools.awt.RollOverButton

Gets the flag that determines whether to center the image within the bounds of the button.

isClearFrame. Variable in class symantec.itools.awt.RollOverButton

If true the frame is cleared in between drawing different button states.

isClearFrame(). Method in class symantec.itools.multimedia.Animator

Gets the current clear frame setting.

isClearFrame(). Method in class symantec.itools.awt.RollOverButton

Gets the flag that determines if the background should be erased before the button is drawn.

isClosed(). Method in interface java.sql.Connection

Tests to see if a Connection is closed.

isColumnNeeded(ColumnMetaData, int). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Determines if a column is needed in an SQL WHERE clause.

isCombinedButton(). Method in class symantec.itools.awt.Wizard

Determines whether there is a combined Next/Finish button.

isComboMode(). Method in class symantec.itools.awt.ImageListBox

Gets the current "ComboBox mode" setting.

isConnectionClosed(). Method in class symantec.itools.db.beans.jdbc.JdbcConnection

Gets the connectionClosed property.

isConstrained(). Method in class java.beans.PropertyDescriptor

Attempted updates to "Constrained" properties will cause a "VetoableChange" event to get fired when the property is changed.

isConsumed(). Method in class java.awt.AWTEvent

isConsumed(). Method in class java.awt.event.InputEvent

Returns whether or not this event has been consumed.

isConsumer(ImageConsumer). Method in class java.awt.image.FilteredImageSource

Determines whether an ImageConsumer is on the list of consumers currently interested in data for this image.

isConsumer(ImageConsumer). Method in interface java.awt.image.ImageProducer

This method determines if a given ImageConsumer object is currently registered with this ImageProducer as one of its consumers.

isConsumer(ImageConsumer). Method in class java.awt.image.MemoryImageSource

Determine if an ImageConsumer is on the list of consumers currently interested in data for this image.

isControlDown(). Method in class java.awt.event.InputEvent

Returns whether or not the Control modifier is down on this event.

isCurrency(int). Method in class symantec.itools.db.pro.RelationViewMetaData

Gets whether the column contains a cash value.

isCurrency(int). Method in interface java.sql.ResultSetMetaData

Is the column a cash value?

isCurrentRecordReadable(). Method in class symantec.itools.db.pro.RelationView

Determines whether the current Record is in a state that allows the reading of data.

isCurrentRecordWritable(). Method in class symantec.itools.db.pro.RelationView

Determines whether the current Record is in a state that allows the setting of data.

isCurrentRow(int). Method in class symantec.itools.db.awt.DbaDataStore

Determines if the given row is the current row in the data store.

isDaemon(). Method in class java.lang.Thread

Tests if this thread is a daemon thread.

isDaemon(). Method in class java.lang.ThreadGroup

Tests if this thread group is a daemon thread group.

isDataChanged(). Method in class symantec.itools.db.pro.MultiView

Return a true/false flag indicating whether or not there are any data changes that have occured throughout the whole MultiView object.

isDataEditable(int, int). Method in interface symantec.itools.db.awt.DataSource

Gets whether a cells data is editable or non-editable

isDataEditable(int, int). Method in class symantec.itools.db.awt.DbaDataStore

Determines if the data of the cell at the given location is user-editable.

isDataEditable(int, int). Method in class symantec.itools.db.awt.DbDataSource

Gets whether a cells data is editable or non-editable

isDataEditable(int, int). Method in class symantec.itools.db.awt.DefaultDataSource

Gets whether a cells data is editable or non-editable

isDataEditable(int, int). Method in interface symantec.itools.db.awt.MetaTable

Gets whether the specified element is editable.

isDataFlavorSupported(DataFlavor). Method in class java.awt.datatransfer.StringSelection

Returns whether the requested flavor is supported by this object.

isDataFlavorSupported(DataFlavor). Method in interface java.awt.datatransfer.Transferable

Returns whether or not the specified data flavor is supported for this object.

isDecimalSeparatorAlwaysShown(). Method in class java.text.DecimalFormat

Allows you to get the behavior of the decimal separator with integers.

isDefined(char). Static method in class java.lang.Character

Determines if a character has a defined meaning in Unicode.

isDefinitelyWritable(int). Method in class symantec.itools.db.pro.RelationViewMetaData

Gets whether the specified column is definitely writable.

isDefinitelyWritable(int). Method in interface java.sql.ResultSetMetaData

Will a write on the column definitely succeed?

isDesignTime. Variable in class symantec.itools.util.Timer

True if we're in the Java development environment.

isDesignTime(). Static method in class java.beans.Beans

Test if we are in design-mode.

isDestroyed(). Method in class java.lang.ThreadGroup

Tests if this thread group has been destroyed.

isDigit(char). Static method in class java.lang.Character

Determines if the specified character is a digit.

isDirectory(). Method in class java.io.File

Tests if the file represented by this File object is a directory.

isDirectory(). Method in class java.util.zip.ZipEntry

Returns true if this is a directory entry.

isDirty(). Method in class symantec.itools.awt.ImageListBox

Query the lists all "dirty" state

isDirty(). Method in class symantec.itools.db.beans.binding.QueryNavigator

isDownButtonEnabled(). Method in class symantec.itools.awt.util.spinner.SpinButtonPanel

The enabled state of the decrementing button.

isDragging. Variable in class symantec.itools.awt.MultiList

Column splitter is being dragged to resize a column.

isDrawBoxes(). Method in class symantec.itools.awt.util.ProgressBar

Get the boolean that controls the drawing of the progress bar as a series of boxes.

isEditable(). Method in class symantec.itools.awt.ComboBox

Gets whether the ComboBox is user-editable.

isEditable(). Method in class symantec.itools.awt.util.spinner.Spinner

Returns whether the Spinner's TextField is editable.

isEditable(). Method in class java.awt.TextComponent

Indicates whether or not this text component is editable.

isEditable(int, int). Method in interface symantec.itools.db.awt.Data

Gets whether the data can be modified.

isEditable(int, int). Method in class symantec.itools.db.awt.DefaultData

Gets whether the data can be modified.

isEditable(int, int). Method in class symantec.itools.db.awt.ImageStringData

Gets whether the data can be modified.

isEdited(int). Method in class symantec.itools.awt.ImageListBox

Gets the "edited" flag state for the item at the given zero-relative index.

isEmpty(). Method in class java.util.Dictionary

Tests if this dictionary maps no keys to value.

isEmpty(). Method in class java.util.Hashtable

Tests if this hashtable maps no keys to values.

isEmpty(). Method in class java.awt.Rectangle

Determines whether this rectangle is empty.

isEmpty(). Method in class java.util.Vector

Tests if this vector has no components.

isEnabled(). Method in class java.awt.Component

Determines whether this component is enabled.

isEnabled(). Method in class java.awt.MenuItem

Checks whether this menu item is enabled.

isEnabled(). Method in class symantec.itools.util.Timer

Is the timer currently enabled

isEnabled(int). Method in class symantec.itools.awt.BaseTabbedPanel

Determines whether or not the tab at the index is enabled.

isEnabled(int). Method in class symantec.itools.awt.ImageListBox

Gets the enabled state of a specific item in the list.

isEnforceMinDim(). Method in class symantec.itools.awt.SplitterPanel

Gets the current "enforce minimum dimension" mode.

isEqual(byte[], byte[]). Static method in class java.security.MessageDigest

Compares two digests for equality.

isErrorAny(). Method in class java.awt.MediaTracker

Checks the error status of all of the images.

isErrorID(int). Method in class java.awt.MediaTracker

Checks the error status of all of the images tracked by this media tracker with the specified identifier.

isExpandable(). Method in class symantec.itools.awt.TreeNode

Determines whether this node is expandable.

isExpanded(). Method in class symantec.itools.awt.TreeNode

Determines whether this node is expanded.

isExpert(). Method in class java.beans.FeatureDescriptor

The "expert" flag is used to distinguish between those features that are intended for expert users from those that are intended for normal users.

isFile(). Method in class java.io.File

Tests if the file represented by this File object is a "normal" file.

isFillMode(). Method in class symantec.itools.awt.shape.Shape

Returns the current fill mode of the shape.

isFinal(int). Static method in class java.lang.reflect.Modifier

Return true if the specifier integer includes the final modifier.

isFinishEnabled(). Method in class symantec.itools.awt.SimpleWizardController

Tells if the Finish button must be enabled.

isFinishEnabled(). Method in interface symantec.itools.awt.WizardController

Tells if the Finish button must be enabled.

isFirstDrawnOverSecond(). Static method in class symantec.itools.util.ZOrderUtils

Determines if the first component is drawn over the second componnet.

isFocusIndicatedVisually(). Method in class symantec.itools.awt.MultiList

Returns true if this MultiList indicates it has focus visually.

isFocusTraversable(). Method in class symantec.itools.awt.ButtonBase

Returns the value of a flag that indicates whether this component can be traversed using Tab or Shift-Tab keyboard focus traversal.

isFocusTraversable(). Method in class java.awt.Component

Returns the value of a flag that indicates whether this component can be traversed using Tab or Shift-Tab keyboard focus traversal.

isFocusTraversable(). Method in interface java.awt.peer.ComponentPeer

isFocusTraversable(). Method in class symantec.itools.awt.ImageListBox

Returns the value of a flag that indicates whether this component can be traversed using Tab or Shift-Tab keyboard focus traversal.

isFocusTraversable(). Method in class symantec.itools.awt.MultiList

Returns the value of a flag that indicates whether this component can be traversed using Tab or Shift-Tab keyboard focus traversal.

isFocusTraversable(). Method in class symantec.itools.awt.TreeView

Returns the value of a flag that indicates whether this component can be traversed using Tab or Shift-Tab keyboard focus traversal.

isGroupingUsed(). Method in class java.text.NumberFormat

Returns true if grouping is used in this format.

isGuiAvailable(). Static method in class java.beans.Beans

isHeadingVisible(). Method in class symantec.itools.awt.MultiList

Returns true if heading of the MultiList is visible.

isHelpButtonVisible(). Method in class symantec.itools.awt.Wizard

Determines whether the Help button is visible.

isHelpEnabled(). Method in class symantec.itools.awt.SimpleWizardController

Tells if the Help button must be enabled.

isHelpEnabled(). Method in interface symantec.itools.awt.WizardController

Tells if the Help button must be enabled.

isHidden(). Method in class java.beans.FeatureDescriptor

The "hidden" flag is used to identify features that are intended only for tool use, and which should not be exposed to humans.

isHidden(). Method in class symantec.itools.awt.TreeNode

Gets whether this node is hidden.

isIdentifierIgnorable(char). Static method in class java.lang.Character

Determines if the specified character should be regarded as an ignorable character in a Java identifier or a Unicode identifier.

isImageInvalid(). Method in class symantec.itools.multimedia.ScrollingText

Returns true if a image has been set, but it is not the size of this component.

isInDefaultEventSet(). Method in class java.beans.EventSetDescriptor

Report if an event set is in the "default set".

isIndexSelected(int). Method in class java.awt.List

Determines if the specified item in this scrolling list is selected.

isInfinite(). Method in class java.lang.Double

Returns true if this Double value is infinitely large in magnitude.

isInfinite(). Method in class java.lang.Float

Returns true if this Float value is infinitely large in magnitude.

isInfinite(double). Static method in class java.lang.Double

Returns true if the specified number is infinitely large in magnitude.

isInfinite(float). Static method in class java.lang.Float

Returns true if the specified number is infinitely large in magnitude.

isInstance(Object). Method in class java.lang.Class

This method is the dynamic equivalent of the Java language instanceof operator.

isInstanceOf(Object, Class). Static method in class java.beans.Beans

Check if a bean can be viewed as a given target type.

isInterface(). Method in class java.lang.Class

Determines if the specified Class object represents an interface type.

isInterface(int). Static method in class java.lang.reflect.Modifier

Return true if the specifier integer includes the interface modifier.

isInterrupted(). Method in class java.lang.Thread

Tests if the current thread has been interrupted.

isISOControl(char). Static method in class java.lang.Character

Determines if the specified character is an ISO control character.

isItalic(). Method in class java.awt.Font

Indicates whether the font's style is italic.

isJavaIdentifierPart(char). Static method in class java.lang.Character

Determines if the specified character may be part of a Java identifier as other than the first character.

isJavaIdentifierStart(char). Static method in class java.lang.Character

Determines if the specified character is permissible as the first character in a Java identifier.

isJavaLetter(char). Static method in class java.lang.Character

Determines if the specified character is a "Java" letter, that is, the character is permissible as the first character in an identifier in the Java language.

isJavaLetterOrDigit(char). Static method in class java.lang.Character

Determines if the specified character is a "Java" letter or digit, that is, the character is permissible as a non-initial character in an identifier in the Java language.

isLeapYear(int). Method in class java.util.GregorianCalendar

Determines if the given year is a leap year.

isLenient(). Method in class java.util.Calendar

Tell whether date/time interpretation is to be lenient.

isLenient(). Method in class java.text.DateFormat

Tell whether date/time parsing is to be lenient.

isLetter(char). Static method in class java.lang.Character

Determines if the specified character is a letter.

isLetterOrDigit(char). Static method in class java.lang.Character

Determines if the specified character is a letter or digit.

isListDown(). Method in class symantec.itools.awt.ComboBox

Is the list up or down?

isLoaded(). Method in class symantec.itools.db.awt.ImageViewer

Determines whether the image is completely loaded or not.

isLowerCase(char). Static method in class java.lang.Character

Determines if the specified character is a lowercase character.

isMacintosh(). Static method in class symantec.itools.lang.OS

Returns true if running under the Macintosh operating system.

isMasked(int, int). Method in class symantec.itools.db.awt.DbDataSource

Is never masked.

isMember(Principal). Method in interface java.security.acl.Group

Returns true if the passed principal is a member of the group.

isMetaDown(). Method in class java.awt.event.InputEvent

Returns whether or not the Meta modifier is down on this event.

isMimeTypeEqual(DataFlavor). Method in class java.awt.datatransfer.DataFlavor

Convenience function equivalent to calling: isMimeTypeEqual(dataFlavor.getMimeType());

isMimeTypeEqual(String). Method in class java.awt.datatransfer.DataFlavor

Is the string representation of the MIME type passed in equivalent to the MIME type of this DataFlavor.

isModal(). Method in class java.awt.Dialog

Indicates whether the dialog is modal.

isMouseDrag. Variable in class symantec.itools.awt.RollOverButton

True if the mouse is being dragged in the button.

isMouseOver. Variable in class symantec.itools.awt.RollOverButton

True if the mouse is over the button.

isMouseOver. Variable in class symantec.itools.multimedia.ScrollingText

Mouse over message text.

isMouseOverText(int, int). Method in class symantec.itools.multimedia.ScrollingText

Determines if the given point is over the current text.

isMulticastAddress(). Method in class java.net.InetAddress

Utility routine to check if the InetAddress is a IP multicast address.

isMultipleMode(). Method in class java.awt.List

Determines whether this list allows multiple selections.

isMultipleMode(). Method in class symantec.itools.awt.MultiList

Returns true if this MultiList allows multiple selections.

isMultipleSelections(). Method in class symantec.itools.awt.ImageListBox

Returns true if this list allows multiple selections.

isNaN(). Method in class java.lang.Double

Returns true if this Double value is the special Not-a-Number (NaN) value.

isNaN(). Method in class java.lang.Float

Returns true if this Float value is Not-a-Number (NaN).

isNaN(double). Static method in class java.lang.Double

Returns true if the specified number is the special Not-a-Number (NaN) value.

isNaN(float). Static method in class java.lang.Float

Returns true if the specified number is the special Not-a-Number (NaN) value.

isNative(int). Static method in class java.lang.reflect.Modifier

Return true if the specifier integer includes the native modifier.

isNegative(). Method in interface java.security.acl.AclEntry

Returns true if this is a negative ACL entry (one denying the associated principal the set of permissions in the entry), false otherwise.

isNextEnabled(). Method in class symantec.itools.awt.SimpleWizardController

Tells if the Next button must be enabled.

isNextEnabled(). Method in interface symantec.itools.awt.WizardController

Tells if the Next button must be enabled.

isNotDefined. Variable in class symantec.itools.db.awt.Checkbox

True if the Checkbox value is neither true nor false.

isNotifyWhilePressed(). Method in class symantec.itools.awt.ButtonBase

Gets whether the button will continuously post events while pressed.

isNotifyWhilePressed(). Method in class symantec.itools.awt.util.spinner.SpinButtonPanel

Gets whether the spinner buttons will continually post notify events while pressed.

isNotifyWhilePressed(). Method in class symantec.itools.awt.util.spinner.Spinner

Gets the current notifyWhilePressed status.

isNull(). Method in class symantec.itools.db.pro.ProjBinder

Gets whether the column value has been defined.

isNull(). Method in class symantec.itools.db.pro.Projection

Gets a true/false value based on whether the data value contained within the object has been defined.

isNull(int). Method in interface symantec.itools.db.pro.DataAccess

Gets whether the specified column value has been defined.

isNull(int). Method in class symantec.itools.db.pro.Record

Gets whether the specified column value has been defined.

isNull(int). Method in class symantec.itools.db.pro.RelationView

Gets whether the specified column value has been defined.

isNull(String). Method in interface symantec.itools.db.pro.DataAccess

Gets whether the specified column value has been defined.

isNull(String). Method in class symantec.itools.db.pro.Record

Gets whether the specified column value has been defined.

isNull(String). Method in class symantec.itools.db.pro.RelationView

Gets whether the specified column value has been defined.

isNullable(int). Method in class symantec.itools.db.pro.RelationViewMetaData

Gets whether the column can contain a NULL.

isNullable(int). Method in interface java.sql.ResultSetMetaData

Can you put a NULL in this column?

isOuter. Variable in class symantec.itools.awt.SplitterPanel

Internal use only.

isOwner(Principal). Method in interface java.security.acl.Owner

Returns true if the given principal is an owner of the ACL.

isPaintable(). Method in interface java.beans.PropertyEditor

isPaintable(). Method in class java.beans.PropertyEditorSupport

isParseIntegerOnly(). Method in class java.text.NumberFormat

Returns true if this format will parse numbers as integers only.

isPaused(). Method in class symantec.itools.multimedia.NervousText

Obtain animator's current state.

isPlain(). Method in class java.awt.Font

Indicates whether the font's style is plain.

isPopupTrigger(). Method in class java.awt.event.MouseEvent

Returns whether or not this mouse event is the popup-menu trigger event for the platform.

isPositiveSlope(). Method in class symantec.itools.awt.shape.Line

Gets the slope type of the line to draw.

isPossibleEdit. Variable in class symantec.itools.awt.util.spinner.ListSpinner

Is possible to edit the component.

isPressed. Variable in class symantec.itools.awt.RollOverButton

True if the mouse button is being pressed.

isPreviewMode(). Method in class symantec.itools.multimedia.Animator

Gets the preview mode flag.

isPreviewMode(). Method in class symantec.itools.multimedia.Plasma

Gets the preview mode flag.

isPreviousEnabled(). Method in class symantec.itools.awt.SimpleWizardController

Tells if the Previous button must be enabled.

isPreviousEnabled(). Method in interface symantec.itools.awt.WizardController

Tells if the Previous button must be enabled.

isPrimitive(). Method in class java.lang.Class

Determines if the specified Class object represents a primitive Java type.

isPrivate(int). Static method in class java.lang.reflect.Modifier

Return true if the specifier integer includes the private modifier.

isProbablePrime(int). Method in class java.math.BigInteger

Returns true if this BigInteger is probably prime, false if it's definitely composite.

isPropResize(). Method in class symantec.itools.awt.SplitterPanel

Gets the current "resize propagation" mode.

isProtected(int). Static method in class java.lang.reflect.Modifier

Return true if the specifier integer includes the protected modifier.

isPublic(int). Static method in class java.lang.reflect.Modifier

Return true if the specified integer includes the public modifier.

isReadable(). Method in class symantec.itools.db.pro.ProjBinder

This method is used to determine whether the current Record is in a state that allows the reading of data.

isReadable(). Method in class symantec.itools.db.pro.Record

Determines whether the Record is in a state that allows the reading of data.

isReadOnly(). Method in interface java.sql.Connection

Tests to see if the connection is in read-only mode.

isReadOnly(). Method in interface java.sql.DatabaseMetaData

Is the database in read-only mode?

isReadOnly(). Method in class symantec.itools.db.beans.jdbc.JdbcConnection

Gets the readOnly property.

isReadOnly(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if the database is in read-only mode.

isReadOnly(int). Method in class symantec.itools.db.pro.RelationViewMetaData

Gets whether the specified column is definitely not writable.

isReadOnly(int). Method in interface java.sql.ResultSetMetaData

Is a column definitely not writable?

isRepeat. Variable in class symantec.itools.awt.util.StatusScroller

If true, the text will continue scrolling over and over.

isRepeat(). Method in class symantec.itools.awt.util.StatusScroller

Gets whether text will repeatedly scroll or just scroll once.

isRepeat(). Method in class symantec.itools.util.Timer

Obtains the repeat setting of the timer.

isRepeatMode(). Method in class symantec.itools.multimedia.Animator

Returns the current repeat mode setting.

isReshapeHack. Variable in class symantec.itools.multimedia.SlideShow

Internal utility flag.

isResizable(). Method in class java.awt.Dialog

Indicates whether this dialog window is resizable.

isResizable(). Method in class java.awt.Frame

Indicates whether this frame is resizable.

isRightToLeft. Variable in class symantec.itools.awt.util.StatusScroller

If true, the text will scroll from the right to the left.

isRightToLeft(). Method in class symantec.itools.awt.util.StatusScroller

Gets the direction the text will scroll.

isScaleMode(). Method in class symantec.itools.awt.ImageButton

isScrollClean. Variable in class symantec.itools.awt.util.StatusScroller

If true, the text will scroll completely off before scrolling on again.

isScrollClean(). Method in class symantec.itools.awt.util.StatusScroller

Gets whether text will scroll completely off before scrolling on again.

isSearchable(). Method in class symantec.itools.awt.ComboBox

Returns the current ComboBox "searchable" status.

isSearchable(int). Method in class symantec.itools.db.pro.RelationViewMetaData

Gets whether the column can be used in a where clause.

isSearchable(int). Method in interface java.sql.ResultSetMetaData

Can the column be used in a where clause?

isSecondDrawnOverFirst(). Static method in class symantec.itools.util.ZOrderUtils

Determines if the second component is drawn over the first componnet.

isSelected(int). Method in class symantec.itools.awt.ComboBox

Returns the selection state of the list item at the given zero-relative index.

isSelected(int). Method in class symantec.itools.awt.ImageListBox

Get the selected state of the item at the given index.

isSelected(int). Method in class java.awt.List

isSet. Variable in class java.util.Calendar

The flags which tell if a specified time field for the calendar is set.

isSet(int). Method in class java.util.Calendar

Determines if the given time field has a value set.

isShiftDown(). Method in class java.awt.event.InputEvent

Returns whether or not the Shift modifier is down on this event.

isShowBorder(). Method in class symantec.itools.awt.Slider

Returns the current border display flag.

isShowFocus(). Method in class symantec.itools.awt.ButtonBase

Gets whether this component will visually indicate when it has the focus.

isShowHorizontalScroll(). Method in class symantec.itools.awt.ComboBox

Gets the current horizontal scrollbar display option.

isShowHorizontalScroll(). Method in class symantec.itools.awt.ImageListBox

Gets the current horizontal scrollbar visibility flag.

isShowing(). Method in class java.awt.Component

Determines whether this component is showing on screen.

isShowing(). Method in class java.awt.Window

Checks if this Window is showing on screen.

isShowProgress(). Method in class symantec.itools.awt.util.ProgressBar

Get the boolean that controls the display of the progress number as a percentage.

isShowURLStatus(). Method in class symantec.itools.awt.ButtonBase

If true show the linkURL in the status area when the mouse is over the button.

isShowVerticalScroll(). Method in class symantec.itools.awt.ComboBox

Gets the current vertical scrollbar display option.

isShowVerticalScroll(). Method in class symantec.itools.awt.ImageListBox

Gets the current vertical scrollbar visibility flag.

isSigned(int). Method in class symantec.itools.db.pro.RelationViewMetaData

Gets whether the column contains a signed number.

isSigned(int). Method in interface java.sql.ResultSetMetaData

Is the column a signed number?

isSolaris(). Static method in class symantec.itools.lang.OS

Returns true if running under the Solaris operating system.

isSpace(char). Static method in class java.lang.Character

Determines if the specified character is ISO-LATIN-1 white space.

isSpaceChar(char). Static method in class java.lang.Character

Determines if the specified character is a Unicode space character.

isStatic(int). Static method in class java.lang.reflect.Modifier

Return true if the specifier integer includes the static modifier.

isSun1_1. Static variable in class symantec.itools.awt.MultiList

True if running under Java 1.1.

isSun1_1. Static variable in class symantec.itools.awt.TreeView

Checks for scrollbars that have different max value.

isSuppressRedraw. Variable in class symantec.itools.awt.MultiList

Redrawing of component is currently suppressed.

isSynchronized(int). Static method in class java.lang.reflect.Modifier

Return true if the specifier integer includes the final modifier.

isSyncMode(). Method in class symantec.itools.multimedia.SoundPlayer

Returns the number of times the list of sound clips is played.

isTabsOnBottom(). Method in class symantec.itools.awt.TabPanel

Gets whether the tabs are at the bottom of the dialog.

isTearOff(). Method in class java.awt.Menu

Indicates whether this menu is a tear-off menu.

isTemporary(). Method in class java.awt.event.FocusEvent

Returns whether or not this focus change event is a temporary change.

isTextBased(). Method in class symantec.itools.db.awt.Checkbox

Gets whether this component saves its value as a text String.

isTextBased(). Method in class symantec.itools.db.awt.ComboBox

Gets whether this component saves its value as a text String.

isTextBased(). Method in class symantec.itools.db.awt.FormattedTextField

Gets whether this component saves its value as a text String.

isTextBased(). Method in class symantec.itools.db.awt.ImageViewer

Gets whether this component saves its value as a text String.

isTextBased(). Method in class symantec.itools.db.awt.Label

Gets whether this component saves its value as a text String.

isTextBased(). Method in class symantec.itools.db.awt.List

Gets whether this component saves its value as a text String.

isTextBased(). Method in class symantec.itools.db.awt.ListPlus

Gets whether this component saves its value as a text String.

isTextBased(). Method in class symantec.itools.db.awt.NervousText

Gets whether this component saves its value as a text String.

isTextBased(). Method in interface symantec.itools.db.awt.ProjectionBean

Gets whether this component saves its value as a text String.

isTextBased(). Method in class symantec.itools.db.awt.RadioBox

Gets whether this component saves its value as a text String.

isTextBased(). Method in class symantec.itools.db.awt.StateCheckBox

Gets whether this component saves its value as a text String.

isTextBased(). Method in class symantec.itools.db.awt.TextArea

Gets whether this component saves its value as a text String.

isTextBased(). Method in class symantec.itools.db.awt.TextField

Gets whether this component saves its value as a text String.

isTimeSet. Variable in class java.util.Calendar

The flag which indicates if the current time is set for the calendar.

isTitleCase(char). Static method in class java.lang.Character

Determines if the specified character is a titlecase character.

isTransient(int). Static method in class java.lang.reflect.Modifier

Return true if the specifier integer includes the transient modifier.

isUnicast(). Method in class java.beans.EventSetDescriptor

Normally event sources are multicast.

isUnicodeIdentifierPart(char). Static method in class java.lang.Character

Determines if the specified character may be part of a Unicode identifier as other than the first character.

isUnicodeIdentifierStart(char). Static method in class java.lang.Character

Determines if the specified character is permissible as the first character in a Unicode identifier.

isUnique(). Static method in class java.rmi.dgc.VMID

Return true if an accurate address can be determined for this host.

isUpButtonEnabled(). Method in class symantec.itools.awt.util.spinner.SpinButtonPanel

The enabled state of the incrementing button.

isUpperCase(char). Static method in class java.lang.Character

Determines if the specified character is an uppercase character.

isUse3DBorder(). Method in class symantec.itools.awt.SplitterPanel

This flag specifies how to draw the border around panels.

isUseOffset(). Method in class symantec.itools.awt.ButtonBase

Gets whether objects in the button will be offset down and to the right by the bevel height amount or not.

isValid(). Method in class java.awt.Component

Determines whether this component is valid.

isValidArrowIndent(int). Method in class symantec.itools.awt.DirectionButton

Is the given arrow indent is valid for this button.

isValidBevelSize(int). Method in class symantec.itools.awt.ButtonBase

Is the given bevel size valid for this button.

isValidBevelSize(int). Method in class symantec.itools.awt.DirectionButton

Is the given bevel size valid for this button.

isValidBevelStyle(int). Method in class symantec.itools.awt.BorderPanel

Is the specified bevelStyle valid?

isValidBoxWidth(int). Method in class symantec.itools.awt.util.ProgressBar

Is the given box width valid for this component.

isValidCurrentValue(int). Method in class symantec.itools.awt.util.spinner.ListSpinner

Is the given value valid for the Current property .

isValidCurrentValue(int). Method in class symantec.itools.awt.util.spinner.Spinner

Is the given value valid for the Current property .

isValidDirection(int). Method in class symantec.itools.awt.DirectionButton

Is the given direction valid for this button.

isValidFrame(String). Method in class symantec.itools.awt.ButtonBase

Is the given frame string valid.

isValidGapWidth(int). Method in class symantec.itools.awt.util.ProgressBar

Is the given gap width valid for this component.

isValidHorizontalAlignStyle(int). Method in class symantec.itools.awt.LabelButton

Is the given Horizontal AlignStyle valid for this button.

isValidImageStyle(int). Method in class symantec.itools.awt.ImageButton

Is the given image style valid for this button.

isValidMaxValue(int). Method in class symantec.itools.awt.util.spinner.ListSpinner

Is the given value valid for the Max property .

isValidMaxValue(int). Method in class symantec.itools.awt.Slider

Is the given value valid for the Max property .

isValidMaxValue(int). Method in class symantec.itools.awt.util.spinner.Spinner

Is the given value valid for the Max property .

isValidMinValue(int). Method in class symantec.itools.awt.util.spinner.ListSpinner

Is the given value valid for the Min property .

isValidMinValue(int). Method in class symantec.itools.awt.Slider

Is the given value valid for the Min property .

isValidMinValue(int). Method in class symantec.itools.awt.util.spinner.Spinner

Is the given value valid for the Min property .

isValidOrientation(int). Method in class symantec.itools.awt.util.ToolBarPanel

Is the specified orientation type valid?

isValidSelectedRadioButtonIndex(int). Method in class symantec.itools.awt.RadioButtonGroupPanel

Is the given index value valid.

isValidSpace(int). Method in class symantec.itools.awt.util.ToolBarSpacer

Is the specified space size valid?

isValidSplitType(int). Method in class symantec.itools.awt.SplitterPanel

Checks to see if a given SplitType is a valid split type.

isValidTextLocation(int). Method in class symantec.itools.awt.InfoTipPanel

Is the given text location valid.

isValidVerticalAlignStyle(int). Method in class symantec.itools.awt.LabelButton

Is the given Vertical AlignStyle valid for this button.

isVisible(). Method in class java.awt.Component

Determines whether this component is visible.

isVisibleIndex(int). Method in class symantec.itools.awt.ImageListBox

Determines if the item at the given index is visible.

isVolatile(int). Static method in class java.lang.reflect.Modifier

Return true if the specifier integer includes the volatile modifier.

isWhitespace(char). Static method in class java.lang.Character

Determines if the specified character is white space according to Java.

isWindows(). Static method in class symantec.itools.lang.OS

Returns true if running under the Windows 95 or Windows NT operating system.

isWindows95(). Static method in class symantec.itools.lang.OS

Returns true if running under the Windows 95 operating system.

isWindowsNT(). Static method in class symantec.itools.lang.OS

Returns true if running under the Windows NT operating system.

isWrappable(). Method in class symantec.itools.awt.util.spinner.Spinner

Gets whether the value can wrap from max to min, and from min to max.

isWritable(). Method in class symantec.itools.db.pro.ProjBinder

This method is used to determine whether the current Record is in a state that allows the setting of data.

isWritable(). Method in class symantec.itools.db.pro.Record

Determines whether the Record is in a state that allows the setting of data.

isWritable(int). Method in class symantec.itools.db.pro.RelationViewMetaData

Gets whether the specified column may be writable.

isWritable(int). Method in interface java.sql.ResultSetMetaData

Is it possible for a write on the column to succeed?

ITALIAN. Static variable in class java.util.Locale

Useful constant for language.

ITALIC. Static variable in class java.awt.Font

The italicized style constant.

ITALY. Static variable in class java.util.Locale

Useful constant for country.

Item_Event. Static variable in class symantec.itools.db.awt.Checkbox

Constant value for the Triggering Event property.

Item_Event. Static variable in class symantec.itools.db.awt.ListPlus

Constant value for the Triggering Event property.

Item_Event. Static variable in class symantec.itools.db.awt.ProjectionBeanHelper

Constant value for the Triggering Event property.

ITEM_EVENT_MASK. Static variable in class java.awt.AWTEvent

The event mask for selecting item events.

ITEM_FIRST. Static variable in class java.awt.event.ItemEvent

Marks the first integer id for the range of item event ids.

ITEM_LAST. Static variable in class java.awt.event.ItemEvent

Marks the last integer id for the range of item event ids.

ITEM_STATE_CHANGED. Static variable in class java.awt.event.ItemEvent

The item state changed event type.

ItemEvent(ItemSelectable, int, Object, int). Constructor for class java.awt.event.ItemEvent

Constructs a ItemSelectEvent object with the specified ItemSelectable source, type, item, and item select state.

itemListener. Variable in class symantec.itools.awt.MultiList

The action listener to keep track of listeners for our item event.

itemListener. Variable in class symantec.itools.awt.RadioButtonGroupPanel

Listener(s) that get notified when an ItemEvent is generated.

itemListener. Variable in class symantec.itools.awt.TreeView

The action listener to keep track of listeners for our item event.

items. Variable in class symantec.itools.awt.ImageListBox

A vector of the items in the list.

itemStateChanged(ItemEvent). Method in class java.awt.AWTEventMulticaster

Handles the itemStateChanged event by invoking the itemStateChanged methods on listener-a and listener-b.

itemStateChanged(ItemEvent). Method in interface java.awt.event.ItemListener

Invoked when an item's state has been changed.

itemStateChanged(ItemEvent). Method in class symantec.itools.db.awt.ProjectionBeanHelper

Invoked when an item's state has been changed.

iwidth. Variable in class symantec.itools.awt.ComboBox

The width parameter value in the latest reshape() call.

ix. Variable in class symantec.itools.awt.ComboBox

The x parameter value in the latest reshape() call.

ixPad. Variable in class symantec.itools.awt.BorderPanel

The side border inset padding amount, in pixels.

iy. Variable in class symantec.itools.awt.ComboBox

The y parameter value in the latest reshape() call.

iyPadBottom. Variable in class symantec.itools.awt.BorderPanel

The bottom border inset padding amount, in pixels.

iyPadTop. Variable in class symantec.itools.awt.BorderPanel

The top border inset padding amount, in pixels.


Index of all Fields and Methods

_ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

J

JANUARY. Static variable in class java.util.Calendar

Useful constant for month.

JAPAN. Static variable in class java.util.Locale

Useful constant for country.

JAPANESE. Static variable in class java.util.Locale

Useful constant for language.

jdbcCompliant(). Method in interface java.sql.Driver

Report whether the Driver is a genuine JDBC COMPLIANT (tm) driver.

JdbcConnection(). Constructor for class symantec.itools.db.beans.jdbc.JdbcConnection

Default constructor.

JdbcConnection(String, String, String, String). Constructor for class symantec.itools.db.beans.jdbc.JdbcConnection

Constuctor with commonly-used properties as parameters.

JdbcConnectionBeanInfo(). Constructor for class symantec.itools.db.beans.jdbc.JdbcConnectionBeanInfo

Constructs a JdbcConnectionBeanInfo object.

join(). Method in class java.lang.Thread

Waits for this thread to die.

join(InetAddress). Method in class java.net.DatagramSocketImpl

Join the multicast group.

join(int, int). Method in class symantec.itools.db.pro.AutoDetail

Specifies how to automate a filling of a parameter in the SQL statement that this object was built upon from a resultant column that is a projection in the master RelationView.

join(int, String). Method in class symantec.itools.db.pro.AutoDetail

Specifies how to automate a filling of a parameter in the SQL statement that this object was built upon from a resultant column that is a projection in the master RelationView.

join(long). Method in class java.lang.Thread

Waits at most millis milliseconds for this thread to die.

join(long, int). Method in class java.lang.Thread

Waits at most millis milliseconds plus nanos nanoseconds for this thread to die.

join(String). Method in class symantec.itools.db.pro.AutoDetail

Specifies how to automate a filling of a parameter in the SQL statement that this object was built upon from a resultant column that is a projection in the master RelationView.

join(String). Method in class symantec.itools.db.awt.ComboBox

Adds a column to the list of columns that this component will be bound to.

join(String). Method in class symantec.itools.db.awt.List

Adds a column to the list of columns that this component will be bound to.

JOIN_ELEMENTS. Static variable in class symantec.itools.db.beans.jdbc.QueryNavigator

JOIN_SEPARATOR. Static variable in class symantec.itools.db.beans.jdbc.QueryNavigator

joinGroup(InetAddress). Method in class java.net.MulticastSocket

Joins a multicast group.

JPEG. Static variable in class symantec.itools.db.awt.StreamImageSource

Constant indicating image is in JPEG format.

JULY. Static variable in class java.util.Calendar

Useful constant for month.

JUNE. Static variable in class java.util.Calendar

Useful constant for month.


Index of all Fields and Methods

_ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

K

key. Variable in class java.awt.Event

The key code of the key that was pressed in a keyboard event.

key. Variable in class symantec.itools.awt.KeyPressManagerPanel

Listens for an key and if appropriate posts a default or cancel button action.

key. Variable in class symantec.itools.awt.TreeView

The this component's key event listener.

KEY_ACTION. Static variable in class java.awt.Event

The user has pressed a non-ASCII action key.

KEY_ACTION_RELEASE. Static variable in class java.awt.Event

The user has released a non-ASCII action key.

Key_Event. Static variable in class symantec.itools.db.awt.Checkbox

Constant value for the Triggering Event property.

Key_Event. Static variable in class symantec.itools.db.awt.ComboBox

Constant value for the Triggering Event property.

Key_Event. Static variable in class symantec.itools.db.awt.FormattedTextField

Constant value for the Triggering Event property.

Key_Event. Static variable in class symantec.itools.db.awt.ListPlus

Constant value for the Triggering Event property.

Key_Event. Static variable in class symantec.itools.db.awt.ProjectionBeanHelper

Constant value for the Triggering Event property.

Key_Event. Static variable in class symantec.itools.db.awt.TextArea

Constant value for the Triggering Event property.

Key_Event. Static variable in class symantec.itools.db.awt.TextField

Constant value for the Triggering Event property.

KEY_EVENT_MASK. Static variable in class java.awt.AWTEvent

The event mask for selecting key events.

KEY_FIRST. Static variable in class java.awt.event.KeyEvent

Marks the first integer id for the range of key event ids.

KEY_LAST. Static variable in class java.awt.event.KeyEvent

Marks the last integer id for the range of key event ids.

KEY_PRESS. Static variable in class java.awt.Event

The user has pressed a normal key.

KEY_PRESSED. Static variable in class java.awt.event.KeyEvent

The key pressed event type.

KEY_RELEASE. Static variable in class java.awt.Event

The user has released a normal key.

KEY_RELEASED. Static variable in class java.awt.event.KeyEvent

The key released event type.

KEY_TYPED. Static variable in class java.awt.event.KeyEvent

The key typed event type.

KeyAdapter(). Constructor for class java.awt.event.KeyAdapter

keyCalcIndex(int, boolean). Method in class symantec.itools.awt.ImageListBox

Determines the current index given a new absolute or relative index.

keyDown(Event, int). Method in class java.awt.Component

keyEvent(CellEvent). Method in class symantec.itools.db.awt.BasicCell

Called by the TableView when the user triggers a key event while the cell possesses the keyboard focus.

keyEvent(CellEvent). Method in class symantec.itools.db.awt.ButtonCell

Called by the TableView when the user triggers a key event while the cell possesses the keyboard focus.

keyEvent(CellEvent). Method in interface symantec.itools.db.awt.TableCell

Called by the TableView when the user triggers a key event while the cell possesses the keyboard focus.

KeyEvent(Component, int, long, int, int). Constructor for class java.awt.event.KeyEvent

KeyEvent(Component, int, long, int, int, char). Constructor for class java.awt.event.KeyEvent

Constructs a KeyEvent object with the specified source component, type, modifiers, and key.

KeyException(). Constructor for class java.security.KeyException

Constructs a KeyException with no detail message.

KeyException(String). Constructor for class java.security.KeyException

Constructs a KeyException with the specified detail message.

KeyManagementException(). Constructor for class java.security.KeyManagementException

Constructs a KeyManagementException with no detail message.

KeyManagementException(String). Constructor for class java.security.KeyManagementException

Constructs a KeyManagementException with the specified detail message.

KeyPair(PublicKey, PrivateKey). Constructor for class java.security.KeyPair

Constructs a key with the specified public key and private key.

KeyPairGenerator(String). Constructor for class java.security.KeyPairGenerator

Creates a KeyPairGenerator object for the specified algorithm.

keyPressed(KeyEvent). Method in class java.awt.AWTEventMulticaster

Handles the keyPressed event by invoking the keyPressed methods on listener-a and listener-b.

keyPressed(KeyEvent). Method in class java.awt.event.KeyAdapter

keyPressed(KeyEvent). Method in interface java.awt.event.KeyListener

Invoked when a key has been pressed.

KeyPressManagerPanel(). Constructor for class symantec.itools.awt.KeyPressManagerPanel

Constructs a Panel which handles key press events.

KeyPressManagerPanelBeanInfo(). Constructor for class symantec.itools.awt.KeyPressManagerPanelBeanInfo

Constructs a KeyPressManagerPanelBeanInfo object.

keyReleased(KeyEvent). Method in class java.awt.AWTEventMulticaster

Handles the keyReleased event by invoking the keyReleased methods on listener-a and listener-b.

keyReleased(KeyEvent). Method in class java.awt.event.KeyAdapter

keyReleased(KeyEvent). Method in interface java.awt.event.KeyListener

Invoked when a key has been released.

keyReleased(KeyEvent). Method in class symantec.itools.db.awt.ProjectionBeanHelper

Invoked when a key has been released.

keys(). Method in class java.util.Dictionary

Returns an enumeration of the keys in this dictionary.

keys(). Method in class java.util.Hashtable

Returns an enumeration of the keys in this hashtable.

keyTyped(KeyEvent). Method in class java.awt.AWTEventMulticaster

Handles the keyTyped event by invoking the keyTyped methods on listener-a and listener-b.

keyTyped(KeyEvent). Method in class java.awt.event.KeyAdapter

keyTyped(KeyEvent). Method in interface java.awt.event.KeyListener

Invoked when a key has been typed.

keyUp(Event, int). Method in class java.awt.Component

killActualInput(). Method in class symantec.itools.db.beans.binding.Mediator

Sets the input DataItem to null.

killAll(). Method in class symantec.itools.db.beans.binding.MediatorDS

Disconnects all the data inputs from this mediator.

KOREA. Static variable in class java.util.Locale

Useful constant for country.

KOREAN. Static variable in class java.util.Locale

Useful constant for language.


Index of all Fields and Methods

_ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

L

label. Variable in class symantec.itools.awt.BorderPanel

The text label to display in the border.

Label(). Constructor for class java.awt.Label

Constructs an empty label.

Label(). Constructor for class symantec.itools.db.awt.Label

Constructs a default Label.

Label(String). Constructor for class java.awt.Label

Constructs a new label with the specified string of text, left justified.

Label(String). Constructor for class symantec.itools.db.awt.Label

Constructs a Label with the text.

Label(String, int). Constructor for class java.awt.Label

Constructs a new label that presents the specified string of text with the specified alignment.

Label3D(). Constructor for class symantec.itools.awt.Label3D

Constructs an empty Label3D with black text that is center aligned and a raised border with zero border indent.

Label3D(String, int, int). Constructor for class symantec.itools.awt.Label3D

Constructs a Label3D with black text, zero border indent, and the specified text alignment and bevel styles.

Label3D(String, int, int, Color). Constructor for class symantec.itools.awt.Label3D

Constructs a Label3D with a zero border indent and the specified attributes.

Label3D(String, int, int, Color, int). Constructor for class symantec.itools.awt.Label3D

Constructs a Label3D with the specified attributes.

Label3D(String, int, int, int). Constructor for class symantec.itools.awt.Label3D

Constructs a Label3D with black text and the specified attributes.

Label3DBeanInfo(). Constructor for class symantec.itools.awt.Label3DBeanInfo

Constructs a Label3DBeanInfo object.

labelAlignment. Variable in class symantec.itools.awt.BorderPanel

The border label alignment: ALIGN_LEFT, ALIGN_CENTERED, or ALIGN_RIGHT.

LabelBeanInfo(). Constructor for class symantec.itools.db.awt.LabelBeanInfo

Constructs a LabelBeanInfo object.

LabelButton(). Constructor for class symantec.itools.awt.LabelButton

Constructs an empty LabelButton with center aligned black text.

LabelButton(String). Constructor for class symantec.itools.awt.LabelButton

Constructs a LabelButton with the specified centered, black text.

LabelButton(String, Color). Constructor for class symantec.itools.awt.LabelButton

Constructs a LabelButton with the specified centered text, with the specified color.

LabelButton(String, int). Constructor for class symantec.itools.awt.LabelButton

Constructs a LabelButton with the specified vertically centered black text, and the specified horizontal text alignment style.

LabelButton(String, int, int, Color). Constructor for class symantec.itools.awt.LabelButton

Constructs a LabelButton with the specified attributes.

LabelButtonBeanInfo(). Constructor for class symantec.itools.awt.LabelButtonBeanInfo

Constructs a LabelButtonBeanInfo object.

labelColor. Variable in class symantec.itools.awt.BorderPanel

The border label color.

LabelHTMLLink(). Constructor for class symantec.itools.awt.LabelHTMLLink

Constructs a LabelHTMLLink object.

LabelHTMLLinkBeanInfo(). Constructor for class symantec.itools.awt.LabelHTMLLinkBeanInfo

Constructs a LabelHTMLLinkBeanInfo object.

labelipadx. Static variable in class symantec.itools.awt.BorderPanel

Label horizontal coordinate inset constant, in pixels.

labelpadx. Static variable in class symantec.itools.awt.BorderPanel

Label horizontal coordinate padding constant, in pixels.

LAST. Static variable in class symantec.itools.awt.TreeView

Constant indicating that the new node is to be the last sibling of the existing node.

last(). Method in class java.text.BreakIterator

Return the last boundary.

last(). Method in interface java.text.CharacterIterator

Set the position to getEndIndex()-1, return the character at that position.

last(). Method in class java.text.StringCharacterIterator

Set the position to getEndIndex() and return the character at that position.

last(Container). Method in class java.awt.CardLayout

Flips to the last card of the container.

lastCachedRow(). Method in class symantec.itools.db.awt.DbDataSource

Gets the number of rows currently stored in the cache.

lastColumnClicked. Variable in class symantec.itools.awt.MultiList

If sorting is allowed, the column previously clicked in.

lastDownModifiers. Variable in class symantec.itools.awt.ImageListBox

Not used.

lastElement(). Method in class java.util.Vector

Returns the last component of the vector.

lastIndex. Variable in class symantec.itools.awt.ImageListBox

The zero-relative index of the item the mouse was last moved over, dragged over, or clicked on.

lastIndexOf(int). Method in class java.lang.String

Returns the index within this string of the last occurrence of the specified character.

lastIndexOf(int, int). Method in class java.lang.String

Returns the index within this string of the last occurrence of the specified character, searching backward starting at the specified index.

lastIndexOf(Object). Method in class java.util.Vector

Returns the index of the last occurrence of the specified object in this vector.

lastIndexOf(Object, int). Method in class java.util.Vector

Searches backwards for the specified object, starting from the specified index, and returns an index to it.

lastIndexOf(String). Method in class java.lang.String

Returns the index within this string of the rightmost occurrence of the specified substring.

lastIndexOf(String, int). Method in class java.lang.String

Returns the index within this string of the last occurrence of the specified substring.

lastModified(). Method in class java.io.File

Returns the time that the file represented by this File object was last modified.

lastMouseX. Variable in class symantec.itools.multimedia.ScrollingText

Last mouse cursor position.

lastMouseY. Variable in class symantec.itools.multimedia.ScrollingText

Last mouse cursor position.

LastOwnerException(). Constructor for class java.security.acl.LastOwnerException

Constructs a LastOwnerException.

lastPageFirst(). Method in class java.awt.PrintJob

Returns true if the last page will be printed first.

lastSelected. Variable in class symantec.itools.awt.ImageListBox

The zero-relative index of the currently selected item in the list.

lastSelectedDate. Variable in class symantec.itools.awt.util.Calendar

The day selected when the Caledar was last painted.

lastTempIndex. Variable in class symantec.itools.awt.ImageListBox

The zero-relative index of the item the mouse was pressed on.

layout(). Method in class symantec.itools.awt.BaseTabbedPanel

Handles the laying out of components within this component.

layout(). Method in class symantec.itools.awt.BorderPanel

Handles the laying out of components within this component.

layout(). Method in class java.awt.Component

layout(). Method in class java.awt.Container

layout(). Method in class java.awt.ScrollPane

layout(). Method in class symantec.itools.awt.SplitterPanel

Handles the laying out of components within this component.

layout(). Method in class symantec.itools.awt.Wizard

Handles the laying out of components within this component.

layoutContainer(Container). Method in class java.awt.BorderLayout

Lays out the container argument using this border layout.

layoutContainer(Container). Method in class java.awt.CardLayout

Lays out the specified container using this card layout.

layoutContainer(Container). Method in class java.awt.FlowLayout

Lays out the container.

layoutContainer(Container). Method in class java.awt.GridBagLayout

Lays out the specified container using this grid bag layout.

layoutContainer(Container). Method in class java.awt.GridLayout

Lays out the specified container using this layout.

layoutContainer(Container). Method in interface java.awt.LayoutManager

Lays out the container in the specified panel.

layoutInfo. Variable in class java.awt.GridBagLayout

Lease(VMID, long). Constructor for class java.rmi.dgc.Lease

Constructs a lease with a specific VMID and lease duration.

leave(InetAddress). Method in class java.net.DatagramSocketImpl

Leave the multicast group.

leaveGroup(InetAddress). Method in class java.net.MulticastSocket

Leave a multicast group.

left. Variable in class symantec.itools.awt.DirectionButton

The number of pixels to shrink the arrow from the left side of the button.

LEFT. Static variable in class symantec.itools.awt.DirectionButton

The point LEFT style constant.

LEFT. Static variable in class java.awt.Event

The Left Arrow key, a non-ASCII action key.

LEFT. Static variable in class java.awt.FlowLayout

This value indicates that each row of components should be left-justified.

left. Variable in class java.awt.Insets

The inset from the left.

LEFT. Static variable in class java.awt.Label

Indicates that the label should be left justified.

LEFT. Static variable in class symantec.itools.awt.MultiList

Left-justify column alignment constant.

LEFT. Static variable in class symantec.itools.awt.Wizard

Constant value indicating a layout aligned to the left.

LEFT_ALIGNMENT. Static variable in class java.awt.Component

Ease-of-use constant for getAlignmentX.

LEFT_OF_COMPONENT. Static variable in class symantec.itools.awt.InfoTipPanel

Defines the "from left" scroll direction.

len. Variable in class java.util.zip.InflaterInputStream

Length of input buffer.

length. Variable in class java.io.OptionalDataException

The number of bytes of primitive data available to be read in the current buffer.

length(). Method in class java.io.File

Returns the length of the file represented by this File object.

length(). Method in class java.io.RandomAccessFile

Returns the length of this file.

length(). Method in class java.lang.String

Returns the length of this string.

length(). Method in class java.lang.StringBuffer

Returns the length (character count) of this string buffer.

lessOrBig. Variable in class symantec.itools.awt.CompareCells

The current compare mode for the lessThan method.

lessThan(Object, Object). Method in class symantec.itools.awt.CompareCells

By default, determines whether the first object's value is less than the second's.

LETTER_NUMBER. Static variable in class java.lang.Character

lheight. Variable in class symantec.itools.awt.ComboBox

The current height of the list.

lighten(Color, double). Static method in class symantec.itools.awt.util.ColorUtils

Lightens a given color by the specified percentage.

lighten(int, int, int, double). Static method in class symantec.itools.awt.util.ColorUtils

Lightens a given color by the specified percentage.

LightenFilter(). Constructor for class symantec.itools.awt.image.LightenFilter

Constructs a default LightenFilter.

LightenFilter(double). Constructor for class symantec.itools.awt.image.LightenFilter

Constructs a LightenFilter.

lightGray. Static variable in class java.awt.Color

The color light gray.

lightness(Color). Static method in class symantec.itools.awt.util.ColorUtils

Given a Color this function determines the lightness percent.

Line(). Constructor for class symantec.itools.awt.shape.Line

Constructs a default Line with positive slope and thickness of 1 pixel.

LINE_BOTTOM_COLOR_BIT. Static variable in class symantec.itools.db.awt.CellHints

Bit position constant for valid "bottom boundry line color" value flag.

LINE_BOTTOM_STYLE_BIT. Static variable in class symantec.itools.db.awt.CellHints

Bit position constant for valid "bottom boundry line style" value flag.

LINE_LEFT_COLOR_BIT. Static variable in class symantec.itools.db.awt.CellHints

Bit position constant for valid "left boundry line color" value flag.

LINE_LEFT_STYLE_BIT. Static variable in class symantec.itools.db.awt.CellHints

Bit position constant for valid "left boundry line style" value flag.

LINE_RIGHT_COLOR_BIT. Static variable in class symantec.itools.db.awt.CellHints

Bit position constant for valid "right boundry line color" value flag.

LINE_RIGHT_STYLE_BIT. Static variable in class symantec.itools.db.awt.CellHints

Bit position constant for valid "right boundry line style" value flag.

LINE_SEPARATOR. Static variable in class java.lang.Character

LINE_SLOP. Variable in class symantec.itools.awt.ImageListBox

Extra space at end of a line.

LINE_TOP_COLOR_BIT. Static variable in class symantec.itools.db.awt.CellHints

Bit position constant for valid "top boundry line color" value flag.

LINE_TOP_STYLE_BIT. Static variable in class symantec.itools.db.awt.CellHints

Bit position constant for valid "top boundry line style" value flag.

LineBeanInfo(). Constructor for class symantec.itools.awt.shape.LineBeanInfo

Constructs a LineBeanInfo object.

lineBottomColor(). Method in class symantec.itools.db.awt.CellHints

Gets this CellHint's "bottom line of boundy" color value.

lineBottomStyle(). Method in class symantec.itools.db.awt.CellHints

Gets this CellHint's "bottom line style of boundy" color value.

lineLeftColor(). Method in class symantec.itools.db.awt.CellHints

Gets this CellHint's "left line of boundy" color value.

lineLeftStyle(). Method in class symantec.itools.db.awt.CellHints

Gets this CellHint's "left line style of boundy" color value.

lineno(). Method in class java.io.StreamTokenizer

Return the current line number.

LineNumberInputStream(InputStream). Constructor for class java.io.LineNumberInputStream

Constructs a newline number input stream that reads its input from the specified input stream.

LineNumberReader(Reader). Constructor for class java.io.LineNumberReader

Create a new line-numbering reader, using the default input-buffer size.

LineNumberReader(Reader, int). Constructor for class java.io.LineNumberReader

Create a new line-numbering reader, reading characters into a buffer of the given size.

lineRightColor(). Method in class symantec.itools.db.awt.CellHints

Gets this CellHint's "right line of boundy" color value.

lineRightStyle(). Method in class symantec.itools.db.awt.CellHints

Gets this CellHint's "right line style of boundy" color value.

lineThickness. Variable in class symantec.itools.awt.shape.Line

The thickness of the line to draw.

lineTopColor(). Method in class symantec.itools.db.awt.CellHints

Gets this CellHint's "top line of boundy" color value.

lineTopStyle(). Method in class symantec.itools.db.awt.CellHints

Gets this CellHint's "top line style of boundy" color value.

LinkageError(). Constructor for class java.lang.LinkageError

Constructs a LinkageError with no detail message.

LinkageError(String). Constructor for class java.lang.LinkageError

Constructs a LinkageError with the specified detail message.

linkToList. Variable in class symantec.itools.multimedia.ScrollingText

URL links which correspond with messages.

linkToURL(). Method in class symantec.itools.awt.ButtonBase

Tell the browser to show the document referenced by the linkURL.

linkURL. Variable in class symantec.itools.awt.ButtonBase

The URL of the document to show when the button is clicked.

linkURL. Variable in class symantec.itools.awt.RollOverButton

The URL of the document to show after the button has been pressed.

list. Variable in class symantec.itools.awt.ComboBox

The list part of this ComboBox.

list. Variable in class symantec.itools.awt.util.spinner.ListSpinner

The list of strings that get displayed in the spinner.

list. Variable in class symantec.itools.awt.multiList.TextAndImageCell

The MultiList this cell belongs to.

list(). Method in class java.awt.Component

Prints a listing of this component to the standard system output stream System.out.

list(). Method in class java.io.File

Returns a list of the files in the directory specified by this File object.

List(). Constructor for class java.awt.List

Creates a new scrolling list.

List(). Constructor for class symantec.itools.db.awt.List

Constructs a default List with no data connectivity, initially.

list(). Method in interface java.rmi.registry.Registry

Returns an array of the names in the registry.

list(). Method in class java.lang.ThreadGroup

Prints information about this thread group to the standard output.

list(FilenameFilter). Method in class java.io.File

Returns a list of the files in the directory specified by this File that satisfy the specified filter.

List(int). Constructor for class java.awt.List

Creates a new scrolling list initialized with the specified number of visible lines.

List(int). Constructor for class symantec.itools.db.awt.List

Constructs a new List with no data connectivity, initially.

List(int, boolean). Constructor for class java.awt.List

Creates a new scrolling list initialized to display the specified number of rows.

list(PrintStream). Method in class java.awt.Component

Prints a listing of this component to the specified output stream.

list(PrintStream). Method in class java.util.Properties

Prints this property list out to the specified output stream.

list(PrintStream, int). Method in class java.awt.Component

Prints out a list, starting at the specified indention, to the specified print stream.

list(PrintStream, int). Method in class java.awt.Container

Prints a listing of this container to the specified output stream.

list(PrintWriter). Method in class java.awt.Component

Prints a listing to the specified print writer.

list(PrintWriter). Method in class java.util.Properties

Prints this property list out to the specified output stream.

list(PrintWriter, int). Method in class java.awt.Component

Prints out a list, starting at the specified indention, to the specified print writer.

list(PrintWriter, int). Method in class java.awt.Container

Prints out a list, starting at the specified indention, to the specified print writer.

List(RelationView, ConnectionInfo). Constructor for class symantec.itools.db.awt.List

Constructs a new List linked to a database.

list(String). Static method in class java.rmi.Naming

Returns an array of strings of the URLs in the registry.

LIST_DESELECT. Static variable in class java.awt.Event

An item in a list has been deselected.

LIST_SELECT. Static variable in class java.awt.Event

An item in a list has been selected.

ListBeanInfo(). Constructor for class symantec.itools.db.awt.ListBeanInfo

Constructs a ListBeanInfo object.

listen(int). Method in class java.net.SocketImpl

Sets the maximum queue length for incoming connection indications (a request to connect) to the count argument.

listenerTable. Variable in class symantec.itools.beans.PropertyChangeSupport

The listener list.

listenerTable. Variable in class symantec.itools.beans.VetoableChangeSupport

The listener table.

ListPlus(). Constructor for class symantec.itools.db.awt.ListPlus

Constructs a default ListPlus with no data connectivity, initially.

ListPlus(int). Constructor for class symantec.itools.db.awt.ListPlus

Constructs a new ListPlus with no data connectivity, initially.

ListPlusBeanInfo(). Constructor for class symantec.itools.db.awt.ListPlusBeanInfo

Constructs a ListPlusBeanInfo object.

ListResourceBundle(). Constructor for class java.util.ListResourceBundle

ListSpinner(). Constructor for class symantec.itools.awt.util.spinner.ListSpinner

Constructs an empty ListSpinner.

ListSpinnerBeanInfo(). Constructor for class symantec.itools.awt.util.spinner.ListSpinnerBeanInfo

Constructs a ListSpinnerBeanInfo object.

live. Variable in class symantec.itools.util.Timer

True if the timer is enabled and running.

LOAD. Static variable in class java.awt.FileDialog

This constant value indicates that the purpose of the file dialog window is to locate a file from which to read.

load(InputStream). Method in class java.util.Properties

Reads a property list from an input stream.

load(String). Method in class java.lang.Runtime

Loads the specified filename as a dynamic library.

load(String). Static method in class java.lang.System

Loads the specified filename as a dynamic library.

LOAD_FILE. Static variable in class java.awt.Event

A file loading event.

loadClass(String). Method in class java.lang.ClassLoader

Requests the class loader to load and resolve a class with the specified name.

loadClass(String). Method in interface java.rmi.server.LoaderHandler

Load class using java.rmi.server.codebase property.

loadClass(String). Static method in class java.rmi.server.RMIClassLoader

Load a class from the URL specified in the java.rmi.server.codebase property.

loadClass(String, boolean). Method in class java.lang.ClassLoader

Resolves the specified name to a Class.

loadClass(URL, String). Method in interface java.rmi.server.LoaderHandler

Load class from codebase URL specified.

loadClass(URL, String). Static method in class java.rmi.server.RMIClassLoader

Load a class from a URL.

loadImage(String). Method in class java.beans.SimpleBeanInfo

This is a utility method to help in loading icon images.

loadImageFromURL(URL). Method in class symantec.itools.multimedia.SlideShow

Loads an image from a given URL System.err's the exception if there was a problem loading the Image.

LOADING. Static variable in class java.awt.MediaTracker

Flag indicating some media is currently being loaded.

loadLibrary(String). Method in class java.lang.Runtime

Loads the dynamic library with the specified library name.

loadLibrary(String). Static method in class java.lang.System

Loads the system library specified by the libname argument.

loadObject(Class, String). Static method in class symantec.itools.net.RelativeURL

Attempts to load an object from a .SER file.

loadSystemColors(int[]). Method in class java.awt.Toolkit

Fills in the integer array that is supplied as an argument with the current system color values.

Locale(String, String). Constructor for class java.util.Locale

Construct a locale from language, country.

Locale(String, String, String). Constructor for class java.util.Locale

Construct a locale from language, country, variant.

LocaleData(). Constructor for class java.text.resources.LocaleData

LocaleElements(). Constructor for class java.text.resources.LocaleElements

LocaleElements_ar(). Constructor for class java.text.resources.LocaleElements_ar

LocaleElements_be(). Constructor for class java.text.resources.LocaleElements_be

LocaleElements_bg(). Constructor for class java.text.resources.LocaleElements_bg

LocaleElements_ca(). Constructor for class java.text.resources.LocaleElements_ca

LocaleElements_cs(). Constructor for class java.text.resources.LocaleElements_cs

LocaleElements_da(). Constructor for class java.text.resources.LocaleElements_da

LocaleElements_de(). Constructor for class java.text.resources.LocaleElements_de

LocaleElements_de_AT(). Constructor for class java.text.resources.LocaleElements_de_AT

LocaleElements_de_CH(). Constructor for class java.text.resources.LocaleElements_de_CH

LocaleElements_el(). Constructor for class java.text.resources.LocaleElements_el

LocaleElements_en(). Constructor for class java.text.resources.LocaleElements_en

LocaleElements_en_CA(). Constructor for class java.text.resources.LocaleElements_en_CA

LocaleElements_en_GB(). Constructor for class java.text.resources.LocaleElements_en_GB

LocaleElements_en_IE(). Constructor for class java.text.resources.LocaleElements_en_IE

LocaleElements_es(). Constructor for class java.text.resources.LocaleElements_es

LocaleElements_et(). Constructor for class java.text.resources.LocaleElements_et

LocaleElements_fi(). Constructor for class java.text.resources.LocaleElements_fi

LocaleElements_fr(). Constructor for class java.text.resources.LocaleElements_fr

LocaleElements_fr_BE(). Constructor for class java.text.resources.LocaleElements_fr_BE

LocaleElements_fr_CA(). Constructor for class java.text.resources.LocaleElements_fr_CA

LocaleElements_fr_CH(). Constructor for class java.text.resources.LocaleElements_fr_CH

LocaleElements_hr(). Constructor for class java.text.resources.LocaleElements_hr

LocaleElements_hu(). Constructor for class java.text.resources.LocaleElements_hu

LocaleElements_is(). Constructor for class java.text.resources.LocaleElements_is

LocaleElements_it(). Constructor for class java.text.resources.LocaleElements_it

LocaleElements_it_CH(). Constructor for class java.text.resources.LocaleElements_it_CH

LocaleElements_iw(). Constructor for class java.text.resources.LocaleElements_iw

LocaleElements_ja(). Constructor for class java.text.resources.LocaleElements_ja

LocaleElements_ko(). Constructor for class java.text.resources.LocaleElements_ko

LocaleElements_lt(). Constructor for class java.text.resources.LocaleElements_lt

LocaleElements_lv(). Constructor for class java.text.resources.LocaleElements_lv

LocaleElements_mk(). Constructor for class java.text.resources.LocaleElements_mk

LocaleElements_nl(). Constructor for class java.text.resources.LocaleElements_nl

LocaleElements_nl_BE(). Constructor for class java.text.resources.LocaleElements_nl_BE

LocaleElements_no(). Constructor for class java.text.resources.LocaleElements_no

LocaleElements_no_NO_NY(). Constructor for class java.text.resources.LocaleElements_no_NO_NY

LocaleElements_pl(). Constructor for class java.text.resources.LocaleElements_pl

LocaleElements_pt(). Constructor for class java.text.resources.LocaleElements_pt

LocaleElements_ro(). Constructor for class java.text.resources.LocaleElements_ro

LocaleElements_ru(). Constructor for class java.text.resources.LocaleElements_ru

LocaleElements_sh(). Constructor for class java.text.resources.LocaleElements_sh

LocaleElements_sk(). Constructor for class java.text.resources.LocaleElements_sk

LocaleElements_sl(). Constructor for class java.text.resources.LocaleElements_sl

LocaleElements_sq(). Constructor for class java.text.resources.LocaleElements_sq

LocaleElements_sr(). Constructor for class java.text.resources.LocaleElements_sr

LocaleElements_sv(). Constructor for class java.text.resources.LocaleElements_sv

LocaleElements_tr(). Constructor for class java.text.resources.LocaleElements_tr

LocaleElements_uk(). Constructor for class java.text.resources.LocaleElements_uk

LocaleElements_zh(). Constructor for class java.text.resources.LocaleElements_zh

LocaleElements_zh_TW(). Constructor for class java.text.resources.LocaleElements_zh_TW

LocalPhoneNumber(). Constructor for class symantec.itools.awt.util.edit.LocalPhoneNumber

Create local phone number text field.

LocalPhoneNumberBeanInfo(). Constructor for class symantec.itools.awt.util.edit.LocalPhoneNumberBeanInfo

Constructs a LocalPhoneNumberBeanInfo object.

localPort. Variable in class java.net.DatagramSocketImpl

localport. Variable in class java.net.SocketImpl

The local port number to which this socket is connected.

locate(int, int). Method in class java.awt.Component

locate(int, int). Method in class java.awt.Container

location(). Method in class java.awt.Component

location(int, int). Method in class java.awt.GridBagLayout

Determines which cell in the layout grid contains the point specified by (x, y).

lock. Variable in class java.io.Reader

The object used to synchronize operations on this stream.

lock. Variable in class java.io.Writer

The object used to synchronize operations on this stream.

log(double). Static method in class java.lang.Math

Returns the natural logarithm (base e) of a double value.

log(String). Static method in class java.rmi.server.LogStream

Return the LogStream identified by the given name.

loggedIn(). Method in class symantec.itools.db.awt.FtpClient

Returns true if currently logged in, false otherwise.

login(String, String). Method in class symantec.itools.db.awt.FtpClient

Logs in to host with the given user name and password.

LogonDialog(Frame, String, ConnectionInfo). Constructor for class symantec.itools.db.awt.LogonDialog

Constructs a logon dialog.

logonFailed(ConnectionInfo, int). Method in interface symantec.itools.db.pro.Logon

If the object implementing this interface has registered itself with the Session object's LogonHandler, this method will be called when a logon failure has occurred.

logonFailed(ConnectionInfo, int). Method in class symantec.itools.db.awt.LogonFrame

Allows the user to try to logon to the database.

LogonFrame(). Constructor for class symantec.itools.db.awt.LogonFrame

Constructs a LogonFrame.

LONG. Static variable in class java.text.DateFormat

Constant for long style pattern.

Long(long). Constructor for class java.lang.Long

Constructs a newly allocated Long object that represents the primitive long argument.

Long(String). Constructor for class java.lang.Long

Constructs a newly allocated Long object that represents the value represented by the string.

longBitsToDouble(long). Static method in class java.lang.Double

Returns the double-float corresponding to a given bit represention.

LongDistPhoneNumber(int). Constructor for class symantec.itools.awt.util.edit.LongDistPhoneNumber

Create new formatted field.

LongDistPhoneNumberBeanInfo(). Constructor for class symantec.itools.awt.util.edit.LongDistPhoneNumberBeanInfo

Constructs a LongDistPhoneNumberBeanInfo object.

longestLineValue. Variable in class symantec.itools.awt.ImageListBox

The width of the widest list item, in pixels.

longValue(). Method in class java.math.BigDecimal

Converts this number to a long.

longValue(). Method in class java.math.BigInteger

Converts this number to a long.

longValue(). Method in class java.lang.Byte

Returns the value of this Byte as a long.

longValue(). Method in class java.lang.Double

Returns the long value of this Double (by casting to a long).

longValue(). Method in class java.lang.Float

Returns the long value of this Float (by casting to a long).

longValue(). Method in class java.lang.Integer

Returns the value of this Integer as a long.

longValue(). Method in class java.lang.Long

Returns the value of this Long as a long.

longValue(). Method in class java.lang.Number

Returns the value of the specified number as a long.

longValue(). Method in class java.lang.Short

Returns the value of this Short as a long.

LONGVARBINARY. Static variable in class java.sql.Types

LONGVARCHAR. Static variable in class java.sql.Types

LongZipCode(). Constructor for class symantec.itools.awt.util.edit.LongZipCode

Create nine digit Zip code text field.

LongZipCodeBeanInfo(). Constructor for class symantec.itools.awt.util.edit.LongZipCodeBeanInfo

Constructs a LongZipCodeBeanInfo object.

LongZipCodeMask(). Constructor for class symantec.itools.db.awt.LongZipCodeMask

Constructs a long zip code field.

lookup(Class). Static method in class java.io.ObjectStreamClass

Find the descriptor for a class that can be serialized.

lookup(String). Static method in class java.rmi.Naming

Returns the remote object for the URL.

lookup(String). Method in interface java.rmi.registry.Registry

Returns the remote object associated with the specified name in the registry.

lookupConstraints(Component). Method in class java.awt.GridBagLayout

Retrieves the constraints for the specified component.

loop(). Method in interface java.applet.AudioClip

Starts playing this audio clip in a loop.

loopslot. Variable in class symantec.itools.multimedia.MovingAnimation

Index of the image to draw.

loseFocusOnArrow(). Method in class symantec.itools.db.awt.BasicCell

Called by the TableView when the cell possesses the keyboard focus to query whether an arrow key can move the focus.

loseFocusOnArrow(). Method in class symantec.itools.db.awt.ButtonCell

Called by the TableView when the cell possesses the keyboard focus to query whether an arrow key can move the focus.

loseFocusOnArrow(). Method in interface symantec.itools.db.awt.TableCell

Called by the TableView when the cell possesses the keyboard focus to query whether an arrow key can move the focus.

LOST_FOCUS. Static variable in class java.awt.Event

A component lost the focus.

lostAuxControl(). Method in class symantec.itools.db.awt.BasicCell

Called by the TableView when it hides the auxillary control of the cell.

lostAuxControl(). Method in class symantec.itools.db.awt.ButtonCell

Called by the TableView when it hides the auxillary control of the cell.

lostAuxControl(). Method in interface symantec.itools.db.awt.TableCell

Called by the TableView when it hides the auxillary control of the cell.

lostFocus(Event, Object). Method in class java.awt.Component

lostOwnership(Clipboard, Transferable). Method in interface java.awt.datatransfer.ClipboardOwner

Notifies this object that it is no longer the owner of the contents of the clipboard.

lostOwnership(Clipboard, Transferable). Method in class java.awt.datatransfer.StringSelection

LOWERCASE_LETTER. Static variable in class java.lang.Character

lowerCaseMode(boolean). Method in class java.io.StreamTokenizer

Determines whether or not word token are automatically lowercased.

lWidth. Variable in class symantec.itools.awt.ImageListBox

Width of the list content portion of this component, in pixels.


Index of all Fields and Methods

_ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

M

m_DeletedRecordsVector. Variable in class symantec.itools.db.beans.binding.QueryNavigator

Records that have been deleted.

m_DesignTimePropertiesTable. Static variable in class symantec.itools.db.beans.jdbc.RecordDefinition

A hashtable containing temporary design-time properties.

m_DisplayFormat. Variable in class symantec.itools.db.awt.Tstamp

The current data display format.

m_DynamicUpdate. Variable in class symantec.itools.db.awt.Checkbox

Controls when the component commits its changes.

m_DynamicUpdate. Variable in class symantec.itools.db.awt.ComboBox

Controls when the component commits its changes.

m_DynamicUpdate. Variable in class symantec.itools.db.awt.FormattedTextField

Controls when the component commits its changes.

m_DynamicUpdate. Variable in class symantec.itools.db.awt.NervousText

Controls when the component commits its changes.

m_DynamicUpdate. Variable in class symantec.itools.db.awt.TextArea

Controls when the component commits its changes.

m_DynamicUpdate. Variable in class symantec.itools.db.awt.TextField

Controls when the component commits its changes.

m_EntryFormat. Variable in class symantec.itools.db.awt.Tstamp

The current data entry format.

m_Mediator. Variable in class symantec.itools.db.awt.DBTstamp

The mediator that binds this component to a data source.

m_Mediator. Variable in class symantec.itools.db.awt.Grid

The mediator used to bind this component with the data source.

m_Mediator. Variable in class symantec.itools.db.awt.ProjectionBeanHelper

The mediator used to bind this component with the data source.

m_ModifiedValues. Variable in class symantec.itools.db.beans.jdbc.RecordDefinition

Internal use.

m_ObjectEnumeration. Variable in class symantec.itools.db.beans.binding.QueryNavigator

Query-by-example results.

m_ObjectVector. Variable in class symantec.itools.db.beans.binding.QueryNavigator

Row data.

m_OriginalValues. Variable in class symantec.itools.db.beans.jdbc.RecordDefinition

Internal use.

m_POClassName. Variable in class symantec.itools.db.beans.binding.QueryNavigator

Name of the PersistentObject used to store the data.

m_POFactory. Variable in class symantec.itools.db.beans.binding.QueryNavigator

The factory used to create new persistent objects.

m_RunTimePropertiesTable. Static variable in class symantec.itools.db.beans.jdbc.RecordDefinition

A hashtable containing temporary run-time properties.

m_Statement. Variable in class symantec.itools.db.beans.jdbc.RecordDefinition

Internal use.

m_TriggeringEvent. Variable in class symantec.itools.db.awt.Checkbox

The value of the Triggering Event property.

m_TriggeringEvent. Variable in class symantec.itools.db.awt.TextArea

The type of event that triggers this component to commit its changes.

m_TriggeringEvent. Variable in class symantec.itools.db.awt.TextField

The type of event that triggers this component to commit its changes.

m_UpdatedRecordsVector. Variable in class symantec.itools.db.beans.binding.QueryNavigator

Records that have been modified.

magenta. Static variable in class java.awt.Color

The color magneta.

main(String[]). Static method in class sun.tools.ttydebug.TTY

makePadding(int). Method in class symantec.itools.awt.util.StatusScroller

Returns a String with howBig number of spaces as the content

makeVisible(int). Method in class symantec.itools.awt.ImageListBox

makeVisible(int). Method in class java.awt.List

Makes the item at the specified index visible.

makeVisible(int). Method in interface java.awt.peer.ListPeer

MalformedURLException(). Constructor for class java.net.MalformedURLException

Constructs a MalformedURLException with no detail message.

MalformedURLException(String). Constructor for class java.net.MalformedURLException

Constructs a MalformedURLException with the specified detail message.

manualRowChangeFlag(). Method in class symantec.itools.db.awt.DbaDataStore

Returns the current send notification flag.

MANY_TO_MANY. Static variable in class symantec.itools.db.pro.AutoDetail

Cardinality option constant for the resulting detail RelationView after executing a SQL statement.

MANY_TO_ONE. Static variable in class symantec.itools.db.pro.AutoDetail

Cardinality option constant for the resulting detail RelationView after executing a SQL statement.

MARCH. Static variable in class java.util.Calendar

Useful constant for month.

mark. Variable in class java.io.ByteArrayInputStream

The currently marked position in the stream.

mark(int). Method in class java.io.BufferedInputStream

Marks the current position in this input stream.

mark(int). Method in class java.io.BufferedReader

Mark the present position in the stream.

mark(int). Method in class java.io.ByteArrayInputStream

Set the current marked position in the stream.

mark(int). Method in class java.io.CharArrayReader

Mark the present position in the stream.

mark(int). Method in class java.io.FilterInputStream

Marks the current position in this input stream.

mark(int). Method in class java.io.FilterReader

Mark the present position in the stream.

mark(int). Method in class java.io.InputStream

Marks the current position in this input stream.

mark(int). Method in class java.io.LineNumberInputStream

Marks the current position in this input stream.

mark(int). Method in class java.io.LineNumberReader

Mark the present position in the stream.

mark(int). Method in class java.io.Reader

Mark the present position in the stream.

mark(int). Method in class java.io.StringReader

Mark the present position in the stream.

markClean(int). Method in class symantec.itools.db.awt.DbDataSource

Marks the row as clean.

markDeleted(int). Method in class symantec.itools.db.awt.DbDataSource

Marks the row as deleted.

markedAsDeletedString. Static variable in class symantec.itools.db.beans.binding.QueryNavigator

Row state, deleted.

markedAsExistingString. Static variable in class symantec.itools.db.beans.binding.QueryNavigator

Row state, existing.

markedAsModifiedString. Static variable in class symantec.itools.db.beans.binding.QueryNavigator

Row state, modified.

markedAsNewString. Static variable in class symantec.itools.db.beans.binding.QueryNavigator

Row state, new.

markedPos. Variable in class java.io.CharArrayReader

Position of mark in buffer

marklimit. Variable in class java.io.BufferedInputStream

The maximum read ahead allowed after a call to the mark method before subsequent calls to the reset method fail.

markModified(int). Method in class symantec.itools.db.awt.DbDataSource

Marks the row as modified.

markNew(int). Method in class symantec.itools.db.awt.DbDataSource

Marks the row as new.

markpos. Variable in class java.io.BufferedInputStream

The value of the pos field at the time the last mark method was called.

markSupported(). Method in class java.io.BufferedInputStream

Tests if this input stream supports the mark and reset methods.

markSupported(). Method in class java.io.BufferedReader

Tell whether this stream supports the mark() operation, which it does.

markSupported(). Method in class java.io.ByteArrayInputStream

Tests if ByteArrayInputStream supports mark/reset.

markSupported(). Method in class java.io.CharArrayReader

Tell whether this stream supports the mark() operation, which it does.

markSupported(). Method in class java.io.FilterInputStream

Tests if this input stream supports the mark and reset methods.

markSupported(). Method in class java.io.FilterReader

Tell whether this stream supports the mark() operation.

markSupported(). Method in class java.io.InputStream

Tests if this input stream supports the mark and reset methods.

markSupported(). Method in class java.io.PushbackInputStream

Tests if this input stream supports the mark and reset methods, which it does not.

markSupported(). Method in class java.io.PushbackReader

Tell whether this stream supports the mark() operation, which it does not.

markSupported(). Method in class java.io.Reader

Tell whether this stream supports the mark() operation.

markSupported(). Method in class java.io.StringReader

Tell whether this stream supports the mark() operation, which it does.

MarshalException(String). Constructor for class java.rmi.MarshalException

Create a new marshal exception with a descriptive string.

MarshalException(String, Exception). Constructor for class java.rmi.MarshalException

Create a new marshal exception with a descriptive string and an exception.

mask. Variable in class symantec.itools.awt.FormattedTextField

The valid string format mask used to define legal field input.

maskStripEscapes. Variable in class symantec.itools.awt.FormattedTextField

A string containing all the mask string characters except the ones immediately after ESCAPE characters.

maskStripEscapesLen. Variable in class symantec.itools.awt.FormattedTextField

The length of maskStripEscapes.

MASTER_LINK_POSITION. Static variable in class symantec.itools.db.beans.jdbc.QueryNavigator

MATH_SYMBOL. Static variable in class java.lang.Character

Matrix(). Constructor for class symantec.itools.awt.Matrix

Constructs an empty matrix.

MatrixEnumeration(Matrix). Constructor for class symantec.itools.awt.MatrixEnumeration

Constructs a matrix enumerator for the given Matrix.

max. Variable in class symantec.itools.awt.Slider

The maximum value of the slider range.

max. Variable in class symantec.itools.awt.util.spinner.Spinner

The maximum value the spinner may have.

max(BigDecimal). Method in class java.math.BigDecimal

Returns the BigDecimal whose value is the greater of this and val.

max(BigInteger). Method in class java.math.BigInteger

Returns the BigInteger whose value is the greater of this and val.

max(double, double). Static method in class java.lang.Math

Returns the greater of two double values.

max(float, float). Static method in class java.lang.Math

Returns the greater of two float values.

max(int, int). Static method in class java.lang.Math

Returns the greater of two int values.

max(long, long). Static method in class java.lang.Math

Returns the greater of two long values.

MAX_DISPLAY_SIZE. Static variable in class symantec.itools.db.awt.DbaDataStore

Obsolete.

MAX_PRIORITY. Static variable in class java.lang.Thread

The maximum priority that a thread can have.

MAX_RADIX. Static variable in class java.lang.Character

The maximum radix available for conversion to and from Strings.

MAX_VALUE. Static variable in class java.lang.Byte

The maximum value a Byte can have.

MAX_VALUE. Static variable in class java.lang.Character

The constant value of this field is the largest value of type char.

MAX_VALUE. Static variable in class java.lang.Double

The largest positive value of type double.

MAX_VALUE. Static variable in class java.lang.Float

The largest positive value of type float.

MAX_VALUE. Static variable in class java.lang.Integer

The largest value of type int.

MAX_VALUE. Static variable in class java.lang.Long

The largest value of type long.

MAX_VALUE. Static variable in class java.lang.Short

The maximum value a Short can have.

maxDimOf(Dimension, Dimension). Method in class symantec.itools.awt.SplitterPanel

Utility method to create a new Dimension that encompasses the two input Dimensions.

MAXGRIDSIZE. Static variable in class java.awt.GridBagLayout

The maximum number of grid positions (both horizontally and vertically) that can be laid out by the grid bag layout.

maxHeight. Variable in class symantec.itools.multimedia.Animator

Dimension of largest image in sequence.

maximumLayoutSize(Container). Method in class java.awt.BorderLayout

Returns the maximum dimensions for this layout given the components in the specified target container.

maximumLayoutSize(Container). Method in class java.awt.CardLayout

Returns the maximum dimensions for this layout given the components in the specified target container.

maximumLayoutSize(Container). Method in class java.awt.GridBagLayout

Returns the maximum dimensions for this layout given the components in the specified target container.

maximumLayoutSize(Container). Method in interface java.awt.LayoutManager2

Returns the maximum size of this component.

maxMonthx. Variable in class symantec.itools.awt.util.Calendar

The column index of the last day in the month.

maxMonthy. Variable in class symantec.itools.awt.util.Calendar

The row index of the last day in the month.

maxNumChars. Variable in class symantec.itools.awt.ComboBox

The number of characters of the longest item in the list.

MaxRocketExplosionEnergy. Variable in class symantec.itools.multimedia.Firework

Controls "energy" of firwork explosion.

MaxRocketNumber. Variable in class symantec.itools.multimedia.Firework

Maximum number of rockets.

MaxRocketPatchLength. Variable in class symantec.itools.multimedia.Firework

Controls the radius of the firework burst.

MaxRocketPatchNumber. Variable in class symantec.itools.multimedia.Firework

Controls the density of the firework burst.

maxVeto. Variable in class symantec.itools.awt.util.spinner.Spinner

A PropertyChangeEvent listener that constrains the "max" property as needed.

maxWidth. Variable in class symantec.itools.multimedia.Animator

Dimension of largest image in sequence.

MAY. Static variable in class java.util.Calendar

Useful constant for month.

Mediator(). Constructor for class symantec.itools.db.beans.binding.Mediator

Constructs a default Mediator.

Mediator(Object, String). Constructor for class symantec.itools.db.beans.binding.Mediator

Constructs a Mediator given its output component and the full name of the fields it is supposed to show.

MediatorBeanInfo(). Constructor for class symantec.itools.db.beans.binding.MediatorBeanInfo

Constructs a MediatorBeanInfo object.

MediatorDS(). Constructor for class symantec.itools.db.beans.binding.MediatorDS

Constructs a default MediatorDS.

MediatorDS(Object, String). Constructor for class symantec.itools.db.beans.binding.MediatorDS

Constructs a MediatorDS given its output component and the full name of the fields it is supposed to show.

MediatorDSBeanInfo(). Constructor for class symantec.itools.db.beans.binding.MediatorDSBeanInfo

Constructs a MediatorDSBeanInfo object.

MediaTracker(Component). Constructor for class java.awt.MediaTracker

Creates a media tracker to track images for a given component.

MEDIUM. Static variable in class java.text.DateFormat

Constant for medium style pattern.

members(). Method in interface java.security.acl.Group

Returns an enumeration of the members in the group.

memoryClick. Variable in class symantec.itools.awt.MultiList

Temp storage for columnClicked when repainting during a mouse drag.

MemoryImageSource(int, int, ColorModel, byte[], int, int). Constructor for class java.awt.image.MemoryImageSource

Constructs an ImageProducer object which uses an array of bytes to produce data for an Image object.

MemoryImageSource(int, int, ColorModel, byte[], int, int, Hashtable). Constructor for class java.awt.image.MemoryImageSource

Constructs an ImageProducer object which uses an array of bytes to produce data for an Image object.

MemoryImageSource(int, int, ColorModel, int[], int, int). Constructor for class java.awt.image.MemoryImageSource

Constructs an ImageProducer object which uses an array of integers to produce data for an Image object.

MemoryImageSource(int, int, ColorModel, int[], int, int, Hashtable). Constructor for class java.awt.image.MemoryImageSource

Constructs an ImageProducer object which uses an array of integers to produce data for an Image object.

MemoryImageSource(int, int, int[], int, int). Constructor for class java.awt.image.MemoryImageSource

Constructs an ImageProducer object which uses an array of integers in the default RGB ColorModel to produce data for an Image object.

MemoryImageSource(int, int, int[], int, int, Hashtable). Constructor for class java.awt.image.MemoryImageSource

Constructs an ImageProducer object which uses an array of integers in the default RGB ColorModel to produce data for an Image object.

MENU. Static variable in class java.awt.SystemColor

The array index for the menu background color.

menu. Static variable in class java.awt.SystemColor

The background color for menus.

Menu(). Constructor for class java.awt.Menu

Constructs a new menu with an empty label.

Menu(String). Constructor for class java.awt.Menu

Constructs a new menu with the specified label.

Menu(String, boolean). Constructor for class java.awt.Menu

Constructs a new menu with the specified label.

MENU_TEXT. Static variable in class java.awt.SystemColor

The array index for the menu text color.

MenuBar(). Constructor for class java.awt.MenuBar

Creates a new menu bar.

MenuComponent(). Constructor for class java.awt.MenuComponent

MenuItem(). Constructor for class java.awt.MenuItem

Constructs a new MenuItem with an empty label and no keyboard shortcut.

MenuItem(String). Constructor for class java.awt.MenuItem

Constructs a new MenuItem with the specified label and no keyboard shortcut.

MenuItem(String, MenuShortcut). Constructor for class java.awt.MenuItem

Create a menu item with an associated keyboard shortcut.

MenuShortcut(int). Constructor for class java.awt.MenuShortcut

Constructs a new MenuShortcut for the specified key.

MenuShortcut(int, boolean). Constructor for class java.awt.MenuShortcut

Constructs a new MenuShortcut for the specified key.

menuText. Static variable in class java.awt.SystemColor

The text color for menus.

MessageDigest(String). Constructor for class java.security.MessageDigest

Creates a message digest with the specified algorithm name.

MessageFormat(String). Constructor for class java.text.MessageFormat

Constructs with the specified pattern.

messageList. Variable in class symantec.itools.multimedia.ScrollingText

List of messages to scroll across the banner.

META_MASK. Static variable in class java.awt.event.ActionEvent

The meta modifier constant.

META_MASK. Static variable in class java.awt.Event

This flag indicates that the Meta key was down when the event occurred.

META_MASK. Static variable in class java.awt.event.InputEvent

The meta key modifier constant.

metaDown(). Method in class java.awt.Event

Checks if the Meta key is down.

method. Variable in class java.net.HttpURLConnection

METHOD_close. Variable in class symantec.itools.db.pro.Session

Remote method ID for dbANYWHERE's CSCLClientSession.close() method.

METHOD_createView. Variable in class symantec.itools.db.pro.Session

Remote method ID for dbANYWHERE's CSCLClientSession.createView() method.

METHOD_getMetaData. Variable in class symantec.itools.db.pro.Session

Remote method ID for dbANYWHERE's CSCLClientSession.getMetaData() method.

METHOD_inquireDSN. Variable in class symantec.itools.db.pro.Session

Remote method ID for dbANYWHERE's CSCLClientSession.inquireDSN() method.

MethodDescriptor(Method). Constructor for class java.beans.MethodDescriptor

MethodDescriptor(Method, ParameterDescriptor[]). Constructor for class java.beans.MethodDescriptor

MILLISECOND. Static variable in class java.util.Calendar

Useful constant for date and time.

MILLISECOND_FIELD. Static variable in class java.text.DateFormat

Useful constant for MILLISECOND field alignment.

min. Variable in class symantec.itools.awt.Slider

The minimum value of the slider range.

min. Variable in class symantec.itools.awt.util.spinner.Spinner

The minimum value the spinner may have.

min(BigDecimal). Method in class java.math.BigDecimal

Returns the BigDecimal whose value is the lesser of this and val.

min(BigInteger). Method in class java.math.BigInteger

Returns the BigInteger whose value is the lesser of this and val.

min(double, double). Static method in class java.lang.Math

Returns the smaller of two double values.

min(float, float). Static method in class java.lang.Math

Returns the smaller of two float values.

min(int, int). Static method in class java.lang.Math

Returns the smaller of two int values.

min(long, long). Static method in class java.lang.Math

Returns the smaller of two long values.

MIN_PRIORITY. Static variable in class java.lang.Thread

The minimum priority that a thread can have.

MIN_RADIX. Static variable in class java.lang.Character

The minimum radix available for conversion to and from Strings.

MIN_VALUE. Static variable in class java.lang.Byte

The minimum value a Byte can have.

MIN_VALUE. Static variable in class java.lang.Character

The constant value of this field is the smallest value of type char.

MIN_VALUE. Static variable in class java.lang.Double

The smallest positive value of type double.

MIN_VALUE. Static variable in class java.lang.Float

The smallest positive value of type float.

MIN_VALUE. Static variable in class java.lang.Integer

The smallest value of type int.

MIN_VALUE. Static variable in class java.lang.Long

The smallest value of type long.

MIN_VALUE. Static variable in class java.lang.Short

The minimum value a Short can have.

minColumnWidth. Variable in class symantec.itools.awt.MultiList

The minimum allowed column width, in pixels.

minDim. Variable in class symantec.itools.awt.SplitterPanel

Dimension variables.

minimumLayoutSize(Container). Method in class java.awt.BorderLayout

Determines the minimum size of the target container using this layout manager.

minimumLayoutSize(Container). Method in class java.awt.CardLayout

Calculates the minimum size for the specified panel.

minimumLayoutSize(Container). Method in class java.awt.FlowLayout

Returns the minimum dimensions needed to layout the components contained in the specified target container.

minimumLayoutSize(Container). Method in class java.awt.GridBagLayout

Determines the minimum size of the target container using this grid bag layout.

minimumLayoutSize(Container). Method in class java.awt.GridLayout

Determines the minimum size of the container argument using this grid layout.

minimumLayoutSize(Container). Method in interface java.awt.LayoutManager

Calculates the minimum size dimensions for the specified panel given the components in the specified parent container.

minimumSize(). Method in class symantec.itools.multimedia.Animator

Returns the minimum dimensions to properly display this component.

minimumSize(). Method in class symantec.itools.awt.BaseTabbedPanel

minimumSize(). Method in class symantec.itools.awt.BorderPanel

minimumSize(). Method in class symantec.itools.awt.ButtonBase

minimumSize(). Method in class symantec.itools.awt.util.Calendar

Returns the minimum dimensions to properly display this component.

minimumSize(). Method in class java.awt.Component

minimumSize(). Method in interface java.awt.peer.ComponentPeer

DEPRECATED: Replaced by getMinimumSize().

minimumSize(). Method in class java.awt.Container

minimumSize(). Method in class symantec.itools.awt.FormattedTextField

minimumSize(). Method in class symantec.itools.awt.util.spinner.HorizontalSpinButtonPanel

minimumSize(). Method in class symantec.itools.awt.ImageListBox

minimumSize(). Method in class symantec.itools.multimedia.ImageViewer

Returns the minimum dimensions to properly display this component.

minimumSize(). Method in class symantec.itools.awt.Label3D

minimumSize(). Method in class java.awt.List

minimumSize(). Method in class symantec.itools.awt.MultiList

Returns the minimum dimensions to properly display this component.

minimumSize(). Method in class symantec.itools.awt.util.ProgressBar

minimumSize(). Method in class symantec.itools.awt.ScrollingPanel

Returns the minimum dimensions to properly display this component.

minimumSize(). Method in class symantec.itools.awt.SplitterPanel

Returns the minimum dimensions to properly display this component.

minimumSize(). Method in class java.awt.TextArea

minimumSize(). Method in class java.awt.TextField

minimumSize(). Method in class symantec.itools.awt.util.ToolBarSpacer

minimumSize(). Method in class symantec.itools.awt.TreeView

minimumSize(). Method in class symantec.itools.awt.util.spinner.VerticalSpinButtonPanel

minimumSize(int). Method in class symantec.itools.awt.ImageListBox

minimumSize(int). Method in class java.awt.List

minimumSize(int). Method in interface java.awt.peer.ListPeer

DEPRECATED: Replaced by getMinimumSize(int).

minimumSize(int). Method in class java.awt.TextField

minimumSize(int). Method in interface java.awt.peer.TextFieldPeer

DEPRECATED: Replaced by getMinimumSize(int).

minimumSize(int, int). Method in class java.awt.TextArea

minimumSize(int, int). Method in interface java.awt.peer.TextAreaPeer

DEPRECATED: Replaced by getMinimumSize(int, int).

MINSIZE. Static variable in class java.awt.GridBagLayout

The smallest grid that can be laid out by the grid bag layout.

MINUTE. Static variable in class java.util.Calendar

Useful constant for date and time.

minute. Variable in class symantec.itools.db.awt.Tstamp

The minute of the hour.

MINUTE_FIELD. Static variable in class java.text.DateFormat

Useful constant for MINUTE field alignment.

minVeto. Variable in class symantec.itools.awt.util.spinner.Spinner

A PropertyChangeEvent listener that constrains the "min" property as needed.

MissingResourceException(String, String, String). Constructor for class java.util.MissingResourceException

Constructs a MissingResourceException with the specified information.

mkdir(). Method in class java.io.File

Creates a directory whose pathname is specified by this File object.

mkdirs(). Method in class java.io.File

Creates a directory whose pathname is specified by this File object, including any necessary parent directories.

mod(BigInteger). Method in class java.math.BigInteger

Returns a BigInteger whose value is this mod m.

ModalDialog(Frame). Constructor for class symantec.itools.awt.util.dialog.ModalDialog

Constructs a ModalDialog with the given parent.

ModalDialog(Frame, String). Constructor for class symantec.itools.awt.util.dialog.ModalDialog

Constructs a ModalDialog with the given parent and title.

MODIFIED_ROW. Static variable in interface symantec.itools.db.awt.DataSource

A constant indicating the row has been modified since creation.

Modifier(). Constructor for class java.lang.reflect.Modifier

MODIFIER_LETTER. Static variable in class java.lang.Character

MODIFIER_SYMBOL. Static variable in class java.lang.Character

modifiers. Variable in class java.awt.Event

The state of the modifier keys.

modInverse(BigInteger). Method in class java.math.BigInteger

Returns modular multiplicative inverse of this, mod m.

modPow(BigInteger, BigInteger). Method in class java.math.BigInteger

Returns a BigInteger whose value is (this ** exponent) mod m.

MONDAY. Static variable in class java.util.Calendar

Useful constant for days of week.

MONTH. Static variable in class java.util.Calendar

Useful constant for date and time.

month. Variable in class symantec.itools.db.awt.Tstamp

The month of the year.

MONTH_FIELD. Static variable in class java.text.DateFormat

Useful constant for MONTH field alignment.

MonthSpinner(). Constructor for class symantec.itools.awt.util.spinner.MonthSpinner

Construct MonthSpinner component.

MonthSpinnerBeanInfo(). Constructor for class symantec.itools.awt.util.spinner.MonthSpinnerBeanInfo

Constructs a MonthSpinnerBeanInfo object.

mouse. Variable in class symantec.itools.awt.StateCheckBox

The this component's mouse event listener.

mouse. Variable in class symantec.itools.awt.TreeView

The this component's mouse event listener.

MOUSE_CLICKED. Static variable in class java.awt.event.MouseEvent

The mouse clicked event type.

MOUSE_DOWN. Static variable in class java.awt.Event

The user has pressed the mouse button.

MOUSE_DRAG. Static variable in class java.awt.Event

The user has moved the mouse with a button pressed.

MOUSE_DRAGGED. Static variable in class java.awt.event.MouseEvent

The mouse dragged event type.

MOUSE_ENTER. Static variable in class java.awt.Event

The mouse has entered a component.

MOUSE_ENTERED. Static variable in class java.awt.event.MouseEvent

The mouse entered event type.

MOUSE_EVENT_MASK. Static variable in class java.awt.AWTEvent

The event mask for selecting mouse events.

MOUSE_EXIT. Static variable in class java.awt.Event

The mouse has exited a component.

MOUSE_EXITED. Static variable in class java.awt.event.MouseEvent

The mouse exited event type.

MOUSE_FIRST. Static variable in class java.awt.event.MouseEvent

Marks the first integer id for the range of mouse event ids.

MOUSE_LAST. Static variable in class java.awt.event.MouseEvent

Marks the last integer id for the range of mouse event ids.

MOUSE_MOTION_EVENT_MASK. Static variable in class java.awt.AWTEvent

The event mask for selecting mouse motion events.

MOUSE_MOVE. Static variable in class java.awt.Event

The mouse has moved with no button pressed.

MOUSE_MOVED. Static variable in class java.awt.event.MouseEvent

The mouse moved event type.

MOUSE_PRESSED. Static variable in class java.awt.event.MouseEvent

The mouse pressed event type.

MOUSE_RELEASED. Static variable in class java.awt.event.MouseEvent

The mouse released event type.

MOUSE_UP. Static variable in class java.awt.Event

The user has released the mouse button.

MouseAdapter(). Constructor for class java.awt.event.MouseAdapter

mouseCalcIndex(int). Method in class symantec.itools.awt.ImageListBox

A utility routine that determines the index of the item the mouse is in, given the vertical coordinate of the mouse.

mouseClicked(MouseEvent). Method in class java.awt.AWTEventMulticaster

Handles the mouseClicked event by invoking the mouseClicked methods on listener-a and listener-b.

mouseClicked(MouseEvent). Method in class java.awt.event.MouseAdapter

mouseClicked(MouseEvent). Method in interface java.awt.event.MouseListener

Invoked when the mouse has been clicked on a component.

mouseDown(Event, int, int). Method in class java.awt.Component

mouseDrag(Event, int, int). Method in class java.awt.Component

mouseDragged(MouseEvent). Method in class java.awt.AWTEventMulticaster

Handles the mouseDragged event by invoking the mouseDragged methods on listener-a and listener-b.

mouseDragged(MouseEvent). Method in class java.awt.event.MouseMotionAdapter

mouseDragged(MouseEvent). Method in interface java.awt.event.MouseMotionListener

Invoked when a mouse button is pressed on a component and then dragged.

mouseEnter(Event, int, int). Method in class java.awt.Component

mouseEntered(MouseEvent). Method in class java.awt.AWTEventMulticaster

Handles the mouseEntered event by invoking the mouseEntered methods on listener-a and listener-b.

mouseEntered(MouseEvent). Method in class java.awt.event.MouseAdapter

mouseEntered(MouseEvent). Method in interface java.awt.event.MouseListener

Invoked when the mouse enters a component.

mouseEvent(CellEvent). Method in class symantec.itools.db.awt.BasicCell

Called when the user triggers a mouse event on the cell.

mouseEvent(CellEvent). Method in class symantec.itools.db.awt.ButtonCell

Called when the user triggers a mouse event on the cell.

mouseEvent(CellEvent). Method in interface symantec.itools.db.awt.TableCell

Called when the user triggers a mouse event on the cell.

MouseEvent(Component, int, long, int, int, int, int, boolean). Constructor for class java.awt.event.MouseEvent

Constructs a MouseEvent object with the specified source component, type, modifiers, coordinates, and click count.

mouseExit(Event, int, int). Method in class java.awt.Component

mouseExited(MouseEvent). Method in class java.awt.AWTEventMulticaster

Handles the mouseExited event by invoking the mouseExited methods on listener-a and listener-b.

mouseExited(MouseEvent). Method in class java.awt.event.MouseAdapter

mouseExited(MouseEvent). Method in interface java.awt.event.MouseListener

Invoked when the mouse exits a component.

MouseMotionAdapter(). Constructor for class java.awt.event.MouseMotionAdapter

mouseMove(Event, int, int). Method in class java.awt.Component

mouseMoved(MouseEvent). Method in class java.awt.AWTEventMulticaster

Handles the mouseMoved event by invoking the mouseMoved methods on listener-a and listener-b.

mouseMoved(MouseEvent). Method in class java.awt.event.MouseMotionAdapter

mouseMoved(MouseEvent). Method in interface java.awt.event.MouseMotionListener

Invoked when the mouse button has been moved on a component (with no buttons no down).

mousePressed(MouseEvent). Method in class java.awt.AWTEventMulticaster

Handles the mousePressed event by invoking the mousePressed methods on listener-a and listener-b.

mousePressed(MouseEvent). Method in class java.awt.event.MouseAdapter

mousePressed(MouseEvent). Method in interface java.awt.event.MouseListener

Invoked when a mouse button has been pressed on a component.

mouseReleased(MouseEvent). Method in class java.awt.AWTEventMulticaster

Handles the mouseReleased event by invoking the mouseReleased methods on listener-a and listener-b.

mouseReleased(MouseEvent). Method in class java.awt.event.MouseAdapter

mouseReleased(MouseEvent). Method in interface java.awt.event.MouseListener

Invoked when a mouse button has been released on a component.

mouseUp(Event, int, int). Method in class java.awt.Component

move(int, int). Method in class java.awt.Component

move(int, int). Method in class java.awt.Point

Moves this point to the specificed location in the (x, y) coordinate plane.

move(int, int). Method in class java.awt.Rectangle

MOVE_CURSOR. Static variable in class java.awt.Cursor

The move cursor type.

MOVE_CURSOR. Static variable in class java.awt.Frame

moveDataToUI(int, int). Method in class symantec.itools.db.beans.binding.QueryNavigator

moveFromX. Variable in class symantec.itools.awt.SplitterPanel

Internal use only.

moveFromY. Variable in class symantec.itools.awt.SplitterPanel

Internal use only.

moveIntoGroup(Component). Method in class symantec.itools.awt.RadioButtonGroupPanel

Internal helper method.

moveplasma(). Method in class symantec.itools.multimedia.Plasma

Moves Plasma occurance location at random within component.

movePointLeft(int). Method in class java.math.BigDecimal

Returns a BigDecimal which is equivalent to this one with the decimal point moved n places to the left.

movePointRight(int). Method in class java.math.BigDecimal

Moves the decimal point the specified number of places to the right.

moveSplit(int, int). Method in class symantec.itools.awt.SplitterPanel

Moves the location of the gap between panels.

moveSplitCursor. Variable in class symantec.itools.awt.SplitterPanel

Determines the cursor to use when dragging the split between panels.

moveThumb(int, boolean). Method in class symantec.itools.awt.Slider

Handles the mouse pressing or dragging this component's thumb.

MovingAnimation(). Constructor for class symantec.itools.multimedia.MovingAnimation

Constructs a default MovingAnimation.

MovingAnimationBeanInfo(). Constructor for class symantec.itools.multimedia.MovingAnimationBeanInfo

Constructs a MovingAnimationBeanInfo object.

MulticastSocket(). Constructor for class java.net.MulticastSocket

Create a multicast socket.

MulticastSocket(int). Constructor for class java.net.MulticastSocket

Create a multicast socket and bind it to a specific port.

MultiList(). Constructor for class symantec.itools.awt.MultiList

Constructs a default MultiList.

MultiList(int). Constructor for class symantec.itools.awt.MultiList

Constructs a new MultiList with the specified number of columns.

MultiList(int, boolean). Constructor for class symantec.itools.awt.MultiList

Constructs a new MultiList with the spcified number of columns and whether multiple row selection allowed.

MultiList(int, boolean, Color). Constructor for class symantec.itools.awt.MultiList

Constructs a new MultiList with the specified number of columns, whether multiple row selection is allowed, and given background color.

MultiListBeanInfo(). Constructor for class symantec.itools.awt.MultiListBeanInfo

Constructs a MultiListBeanInfo object.

multiply(BigDecimal). Method in class java.math.BigDecimal

Returns a BigDecimal whose value is (this * val), and whose scale is this.scale() + val.scale.

multiply(BigInteger). Method in class java.math.BigInteger

Returns a BigInteger whose value is (this * val).

multiSelect. Variable in class symantec.itools.awt.MultiList

Allow multiple selections.

myComponent. Variable in class symantec.itools.awt.InfoTipPanel

Reference to the component which will be added to the InfoTipPanel and whose mouse entered and mouse exited events will control the scrolling of the text.

myMouseListener. Variable in class symantec.itools.awt.InfoTipPanel

Reference to the Mouse object which is listening to myComponent for mouse events.


Index of all Fields and Methods

_ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

N

N_RESIZE_CURSOR. Static variable in class java.awt.Cursor

The north-resize cursor type.

N_RESIZE_CURSOR. Static variable in class java.awt.Frame

name. Variable in class java.sql.DriverPropertyInfo

The name of the property.

name. Variable in class java.awt.Font

The logical name of this font.

NaN. Static variable in class java.lang.Double

A NaN value of type double.

NaN. Static variable in class java.lang.Float

The NaN value of type float.

nanosec. Variable in class symantec.itools.db.awt.Tstamp

The nanosecond of the second.

NATIVE. Static variable in class java.lang.reflect.Modifier

nativeSQL(String). Method in interface java.sql.Connection

A driver may convert the JDBC sql grammar into its system's native SQL grammar prior to sending it; nativeSQL returns the native form of the statement that the driver would have sent.

navigate(int, Integer). Method in class symantec.itools.db.beans.binding.QueryNavigator

NE_RESIZE_CURSOR. Static variable in class java.awt.Cursor

The north-east-resize cursor type.

NE_RESIZE_CURSOR. Static variable in class java.awt.Frame

needResetVector. Variable in class symantec.itools.awt.TreeView

Keeps track of if drawTree needs to call resetVector or not.

needsDictionary(). Method in class java.util.zip.Inflater

Returns true if a preset dictionary is needed for decompression.

needsGui(). Method in interface java.beans.Visibility

needsInput(). Method in class java.util.zip.Deflater

Returns true if the input data buffer is empty and setInput() should be called in order to provide more input.

needsInput(). Method in class java.util.zip.Inflater

Returns true if no data remains in the input buffer.

needsPlatformHelp(). Static method in class symantec.itools.awt.ComboBox

Use this method to set a flag for use in your handleEvent to determine if the ComboBox needs help in "un-dropping".

negate(). Method in class java.math.BigDecimal

Returns a BigDecimal whose value is -1 * this, and whose scale is this.scale().

negate(). Method in class java.math.BigInteger

Returns a BigInteger whose value is (-1 * this).

NEGATIVE_INFINITY. Static variable in class java.lang.Double

The negative infinity of type double.

NEGATIVE_INFINITY. Static variable in class java.lang.Float

The negative infinity of type float.

NegativeArraySizeException(). Constructor for class java.lang.NegativeArraySizeException

Constructs a NegativeArraySizeException with no detail message.

NegativeArraySizeException(String). Constructor for class java.lang.NegativeArraySizeException

Constructs a NegativeArraySizeException with the specified detail message.

NervousText(). Constructor for class symantec.itools.db.awt.NervousText

Constructs a new NervousText component.

NervousText(). Constructor for class symantec.itools.multimedia.NervousText

Create defalut NervousText object.

NervousTextBeanInfo(). Constructor for class symantec.itools.db.awt.NervousTextBeanInfo

Constructs a NervousTextBeanInfo object.

NervousTextBeanInfo(). Constructor for class symantec.itools.multimedia.NervousTextBeanInfo

Constructs a NervousTextBeanInfo object.

NEW_ROW. Static variable in interface symantec.itools.db.awt.DataSource

A constant indicating the row is new.

newCall(RemoteObject, Operation[], int, long). Method in interface java.rmi.server.RemoteRef

Creates an appropriate call object for a new remote method invocation on this object.

newInstance(). Method in class java.lang.Class

Creates a new instance of a class.

newInstance(Class, int). Static method in class java.lang.reflect.Array

Creates a new array with the specified component type and length.

newInstance(Class, int[]). Static method in class java.lang.reflect.Array

Creates a new array with the specified component type and dimensions.

newInstance(Object[]). Method in class java.lang.reflect.Constructor

Uses the constructor represented by this Constructor object to create and initialize a new instance of the constructor's declaring class, with the specified initialization parameters.

newLine(). Method in class java.io.BufferedWriter

Write a line separator.

newmodel. Variable in class java.awt.image.RGBImageFilter

newPixels(). Method in class java.awt.image.MemoryImageSource

Send a whole new buffer of pixels to any ImageConsumers that are currently interested in the data for this image and notify them that an animation frame is complete.

newPixels(byte[], ColorModel, int, int). Method in class java.awt.image.MemoryImageSource

Change to a new byte array to hold the pixels for this image.

newPixels(int, int, int, int). Method in class java.awt.image.MemoryImageSource

Send a rectangular region of the buffer of pixels to any ImageConsumers that are currently interested in the data for this image and notify them that an animation frame is complete.

newPixels(int, int, int, int, boolean). Method in class java.awt.image.MemoryImageSource

Send a rectangular region of the buffer of pixels to any ImageConsumers that are currently interested in the data for this image.

newPixels(int[], ColorModel, int, int). Method in class java.awt.image.MemoryImageSource

Change to a new int array to hold the pixels for this image.

newSet. Variable in class symantec.itools.db.beans.binding.QueryNavigator

Flag to indicate whether getTotalNumberOfRows() should calc the total number of rows or use the previous value.

newTreeNode(String, TreeView). Method in class symantec.itools.awt.TreeView

Generates a new tree node.

newWidth. Variable in class symantec.itools.awt.TreeView

for horizontal scrollbar

NEXT. Static variable in class symantec.itools.awt.TreeView

Constant indicating that the new node is to be the next sibling of the existing node.

NEXT. Static variable in interface symantec.itools.awt.WizardController

Constant wizard action value.

next(). Method in class java.text.BreakIterator

Return the boundary following the current boundary.

next(). Method in interface java.text.CharacterIterator

Increment the iterator's index by one and return the character at the new index.

next(). Method in class java.text.CollationElementIterator

Get the ordering priority of the next character in the string.

next(). Method in class symantec.itools.db.beans.binding.QueryNavigator

Move the focus to the next row.

next(). Method in class symantec.itools.db.pro.RelationView

Navigate to the next Record within the view buffer.

next(). Method in interface java.sql.ResultSet

A ResultSet is initially positioned before its first row; the first call to next makes the first row the current row; the second call makes the second row the current row, etc.

next(). Method in class java.text.StringCharacterIterator

Increment the iterator's index by one and return the character at the new index.

next(Container). Method in class java.awt.CardLayout

Flips to the next card of the specified container.

next(int). Method in class java.text.BreakIterator

Return the nth boundary from the current boundary

next(int). Method in class java.util.Random

Generates the next pseudorandom number.

next(int). Method in class java.security.SecureRandom

Generates an integer containing the user-specified number of pseudo-random bits (right justified, with leading zeros).

NEXT_LABEL. Static variable in class symantec.itools.awt.Wizard

The text used for the Next button.

nextButton. Variable in class symantec.itools.awt.Wizard

The Next button.

nextBytes(byte[]). Method in class java.util.Random

Generates a user specified number of random bytes.

nextBytes(byte[]). Method in class java.security.SecureRandom

Generates a user-specified number of random bytes.

nextDouble(). Method in class java.util.Random

Returns the next pseudorandom, uniformly distributed double value between 0.0 and 1.0 from this random number generator's sequence.

nextDouble(double). Static method in class java.text.ChoiceFormat

Finds the least double greater than d.

nextDouble(double, boolean). Static method in class java.text.ChoiceFormat

nextElement(). Method in interface java.util.Enumeration

Returns the next element of this enumeration.

nextElement(). Method in class symantec.itools.awt.MatrixEnumeration

Returns the next element.

nextElement(). Method in class java.util.StringTokenizer

Returns the same value as the nextToken method, except that its declared return value is Object rather than String.

nextEnabled. Variable in class symantec.itools.awt.SimpleWizardController

True if the Next button is enabled.

nextFloat(). Method in class java.util.Random

Returns the next pseudorandom, uniformly distributed float value between 0.0 and 1.0 from this random number generator's sequence.

nextFocus(). Method in class java.awt.Component

nextGaussian(). Method in class java.util.Random

Returns the next pseudorandom, Gaussian ("normally") distributed double value with mean 0.0 and standard deviation 1.0 from this random number generator's sequence.

nextImage(). Method in class symantec.itools.multimedia.SlideShow

Display the next image in the slide show set.

nextInt(). Method in class java.util.Random

Returns the next pseudorandom, uniformly distributed int value from this random number generator's sequence.

nextLong(). Method in class java.util.Random

Returns the next pseudorandom, uniformly distributed long value from this random number generator's sequence.

nextPage. Variable in class symantec.itools.awt.SimpleWizardController

The next page, or null if none.

nextPageIndex. Variable in class symantec.itools.awt.SimpleWizardController

The index of the next page, or -1 if none.

nextPos(). Method in class symantec.itools.multimedia.ScrollingText

Increment scroll step.

nextRow(). Method in class symantec.itools.awt.MatrixEnumeration

Skips enumeration ahead to the start of the next row.

nextToken(). Method in class java.io.StreamTokenizer

Parses the next token from the input stream of this tokenizer.

nextToken(). Method in class java.util.StringTokenizer

Returns the next token from this string tokenizer.

nextToken(String). Method in class java.util.StringTokenizer

Returns the next token in this string tokenizer's string.

NO_COMPRESSION. Static variable in class java.util.zip.Deflater

Compression level for no compression.

NO_DECOMPOSITION. Static variable in class java.text.Collator

Decomposition mode value.

NoClassDefFoundError(). Constructor for class java.lang.NoClassDefFoundError

Constructs a NoClassDefFoundError with no detail message.

NoClassDefFoundError(String). Constructor for class java.lang.NoClassDefFoundError

Constructs a NoClassDefFoundError with the specified detail message.

NODE_COLLAPSED. Static variable in class symantec.itools.awt.TreeView

Constand used to detail that the node referenced in a NODE_TOGGLED ItemEvent has been collapsed.

NODE_EXPANDED. Static variable in class symantec.itools.awt.TreeView

Constand used to detail that the node referenced in a NODE_TOGGLED ItemEvent has been expanded.

NODE_TOGGLED. Static variable in class symantec.itools.awt.TreeView

Constand used to describe ItemEvents sent when a node is toggled.

NON_SPACING_MARK. Static variable in class java.lang.Character

NONE. Static variable in class java.awt.GridBagConstraints

Do not resize the component.

NONEXISTS_ROW. Static variable in interface symantec.itools.db.awt.DataSource

A constant indicating the row does not exist.

NORM_PRIORITY. Static variable in class java.lang.Thread

The default priority that is assigned to a thread.

normalizeMimeType(String). Method in class java.awt.datatransfer.DataFlavor

Called for each MIME type string to give DataFlavor subtypes the opportunity to change how the normalization of MIME types is accomplished.

normalizeMimeTypeParameter(String, String). Method in class java.awt.datatransfer.DataFlavor

Called on DataFlavor for every MIME Type parameter to allow DataFlavor subclasses to handle special parameters like the text/plain charset parameters, whose values are case insensitive.

NoRouteToHostException(). Constructor for class java.net.NoRouteToHostException

Construct a new NoRouteToHostException with no detailed message.

NoRouteToHostException(String). Constructor for class java.net.NoRouteToHostException

Constructs a new NoRouteToHostException with the specified detail message as to why the remote host cannot be reached.

NORTH. Static variable in class java.awt.BorderLayout

The north layout constraint (top of container).

NORTH. Static variable in class java.awt.GridBagConstraints

Put the component at the top of its display area, centered horizontally.

NORTHEAST. Static variable in class java.awt.GridBagConstraints

Put the component at the top-right corner of its display area.

NORTHWEST. Static variable in class java.awt.GridBagConstraints

Put the component at the top-left corner of its display area.

NoSuchAlgorithmException(). Constructor for class java.security.NoSuchAlgorithmException

Constructs a NoSuchAlgorithmException with no detail message.

NoSuchAlgorithmException(String). Constructor for class java.security.NoSuchAlgorithmException

Constructs a NoSuchAlgorithmException with the specified detail message.

NoSuchElementException(). Constructor for class java.util.NoSuchElementException

Constructs a NoSuchElementException with no detail message.

NoSuchElementException(String). Constructor for class java.util.NoSuchElementException

Constructs a NoSuchElementException with the specified detail message.

NoSuchFieldError(). Constructor for class java.lang.NoSuchFieldError

Constructs a NoSuchFieldException with no detail message.

NoSuchFieldError(String). Constructor for class java.lang.NoSuchFieldError

Constructs a NoSuchFieldException with the specified detail message.

NoSuchFieldException(). Constructor for class java.lang.NoSuchFieldException

Constructor.

NoSuchFieldException(String). Constructor for class java.lang.NoSuchFieldException

Constructor with a detail message.

NoSuchMethodError(). Constructor for class java.lang.NoSuchMethodError

NoSuchMethodError(String). Constructor for class java.lang.NoSuchMethodError

Constructs a NoSuchMethodException with the specified detail message.

NoSuchMethodException(). Constructor for class java.lang.NoSuchMethodException

Constructs a NoSuchMethodException without a detail message.

NoSuchMethodException(String). Constructor for class java.lang.NoSuchMethodException

Constructs a NoSuchMethodException with a detail message.

NoSuchObjectException(String). Constructor for class java.rmi.NoSuchObjectException

Create a new NoSuchObjectException with a description.

NoSuchProviderException(). Constructor for class java.security.NoSuchProviderException

Constructs a NoSuchProviderException with no detail message.

NoSuchProviderException(String). Constructor for class java.security.NoSuchProviderException

Constructs a NoSuchProviderException with the specified detail message.

not(). Method in class java.math.BigInteger

Returns a BigInteger whose value is (~this).

NotActiveException(). Constructor for class java.io.NotActiveException

Constructor to create a new NotActiveException with no reason.

NotActiveException(String). Constructor for class java.io.NotActiveException

Constructor to create a new NotActiveException with the reason given.

NotBoundException(). Constructor for class java.rmi.NotBoundException

NotBoundException(String). Constructor for class java.rmi.NotBoundException

notified. Variable in class symantec.itools.awt.ButtonBase

True if a notification has been posted in response to a mouse down.

notify(). Method in class java.lang.Object

Wakes up a single thread that is waiting on this object's monitor.

notifyAll(). Method in class java.lang.Object

Wakes up all threads that are waiting on this object's monitor.

notifyDataChange(). Method in class symantec.itools.db.awt.ProjectionBeanHelper

This method is called by the component when it may need to be re-bound to the data source.

notifyDataChange(ProjBinder). Method in class symantec.itools.db.awt.DBTstamp

This method is called to update the value of this dbAWARE component.

notifyDataChange(ProjBinder). Method in class symantec.itools.db.pro.Projection

Called when the dbANYWHERE server has detected a data change made within the scope of the current row for the RelationView that was bound to the object.

notifyDataChange(ProjBinder). Method in class symantec.itools.db.awt.ProjectionBeanHelper

This method is called to update the value of this dbAWARE component.

notifyDataChange(ProjBinder). Method in interface symantec.itools.db.pro.ProjLink

Called when the dbANYWHERE server has detected a data change made within the scope of the current row for the RelationView that was bound to the object.

notifyDataItemChanged(DataItemChangedEvent). Method in class symantec.itools.db.beans.binding.Mediator

Handles DataItem changed events from the input DataItem.

notifyDataItemChanged(DataItemChangedEvent). Method in class symantec.itools.db.beans.binding.MediatorDS

Handles DataItem changed events from the input DataItem.

notifyDelay. Variable in class symantec.itools.awt.ButtonBase

The delay in milliseconds between notifications while the button is pressed.

notifyEnabled(boolean). Method in class symantec.itools.db.beans.binding.Mediator

Controls component updating.

notifyEnabled(boolean). Method in class symantec.itools.db.beans.binding.MediatorDS

Controls component updating.

notifyHelper(int, int, int, boolean). Method in class symantec.itools.awt.ImageListBox

Utility routine to generate action and/or item events in response to key or mouse events.

notifyListChange(ListBinder). Method in class symantec.itools.db.awt.ComboBox

This method is called to update the value of this dbAWARE component.

notifyListChange(ListBinder). Method in class symantec.itools.db.awt.List

This method is called to update the value of this dbAWARE component.

notifyListChange(ListBinder). Method in interface symantec.itools.db.pro.ListLink

Called when the dbANYWHERE server has detected a data change made within the RelationView bound to this object.

notifyObservers(). Method in class java.util.Observable

If this object has changed, as indicated by the hasChanged method, then notify all of its observers and then call the clearChanged method to indicate that this object has no longer changed.

notifyObservers(Object). Method in class java.util.Observable

If this object has changed, as indicated by the hasChanged method, then notify all of its observers and then call the clearChanged method to indicate that this object has no longer changed.

notifyOn. Variable in class symantec.itools.db.beans.binding.Mediator

Flag which controls component updating.

notifyOnDS. Variable in class symantec.itools.db.beans.binding.MediatorDS

Flag that controls component updating.

notifyRecordChange(Record). Method in interface symantec.itools.db.pro.RecordLink

This method is called when the current Record in the RelationView is changed.

notifyRecordSetChange(RelationView). Method in interface symantec.itools.db.pro.RecordSetLink

Called when a RelationView's RecordSet is changed.

notifySetData(ProjBinder). Method in class symantec.itools.db.awt.DBTstamp

This method is called to ensure the value of this dbAWARE component is not lost.

notifySetData(ProjBinder). Method in class symantec.itools.db.pro.Projection

Called when the dbANYWHERE server has detected a change in the current row for the RelationView to insure that data changes are not lost.

notifySetData(ProjBinder). Method in class symantec.itools.db.awt.ProjectionBeanHelper

This method is called to ensure the value of this dbAWARE component is not lost.

notifySetData(ProjBinder). Method in interface symantec.itools.db.pro.ProjLink

Called when the dbANYWHERE server has detected a change in the current row for the RelationView to insure that data changes are not lost.

notifyTimer. Variable in class symantec.itools.awt.ButtonBase

Timer used to time notification events while button pressed.

notifyWhilePressed. Variable in class symantec.itools.awt.ButtonBase

If true the button will continuously post events while pressed.

notifyWhilePressed. Variable in class symantec.itools.awt.util.spinner.SpinButtonPanel

Whether the spinner buttons will continually post notify events while pressed.

NotOwnerException(). Constructor for class java.security.acl.NotOwnerException

Constructs a NotOwnerException.

NotSerializableException(). Constructor for class java.io.NotSerializableException

NotSerializableException(String). Constructor for class java.io.NotSerializableException

NOVEMBER. Static variable in class java.util.Calendar

Useful constant for month.

npoints. Variable in class java.awt.Polygon

The total number of points.

nTopRow. Variable in class symantec.itools.awt.ImageListBox

Zero-relative index of the item displayed in the top row.

Null. Static variable in class symantec.itools.db.awt.Checkbox

A constant value indicating how an empty string will be saved in the database.

Null. Static variable in class symantec.itools.db.awt.ComboBox

A constant value indicating how an empty string will be saved in the database.

Null. Static variable in class symantec.itools.db.awt.DBTstamp

A constant indicating how an empty string will be set when updating data on the dbANYWHERE server.

Null. Static variable in class symantec.itools.db.awt.FormattedTextField

A constant value indicating how an empty string will be saved in the database.

Null. Static variable in class symantec.itools.db.awt.List

A constant value indicating how an empty string will be saved in the database.

Null. Static variable in class symantec.itools.db.beans.binding.Mediator

A constant indicating how an empty string will be set when updating data on the dbANYWHERE server.

Null. Static variable in class symantec.itools.db.awt.NervousText

A constant value indicating how an empty string will be saved in the database.

NULL. Static variable in class symantec.itools.db.awt.ProjectionBeanHelper

A constant value indicating how an empty string will be saved in the database.

Null. Static variable in class symantec.itools.db.awt.RadioBox

A constant value indicating how an empty string will be saved in the database.

Null. Static variable in class symantec.itools.db.awt.StateCheckBox

A constant indicating how an empty string will be set when updating data on the dbANYWHERE server.

Null. Static variable in class symantec.itools.db.awt.TextArea

A constant value indicating how an empty string will be saved in the database.

Null. Static variable in class symantec.itools.db.awt.TextField

A constant value indicating how an empty string will be saved in the database.

NULL. Static variable in class java.sql.Types

NULLORDER. Static variable in class java.text.CollationElementIterator

Null order which indicates the end of string is reached by the cursor.

nullPlusNonNullIsNull(). Method in interface java.sql.DatabaseMetaData

Are concatenations between NULL and non-NULL values NULL? A JDBC-Compliant driver always returns true.

nullPlusNonNullIsNull(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if concatenations between NULL and non-NULL values result in NULL.

NullPointerException(). Constructor for class java.lang.NullPointerException

Constructs a NullPointerException with no detail message.

NullPointerException(String). Constructor for class java.lang.NullPointerException

Constructs a NullPointerException with the specified detail message.

nullPoly. Variable in class symantec.itools.awt.BaseTabbedPanel

An empty polygon.

nullsAreSortedAtEnd(). Method in interface java.sql.DatabaseMetaData

Are NULL values sorted at the end regardless of sort order?

nullsAreSortedAtEnd(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if SQL NULL values are sorted to the end independent of sorting order.

nullsAreSortedAtStart(). Method in interface java.sql.DatabaseMetaData

Are NULL values sorted at the start regardless of sort order?

nullsAreSortedAtStart(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if SQL NULL values are sorted to the start independent of sorting order.

nullsAreSortedHigh(). Method in interface java.sql.DatabaseMetaData

Are NULL values sorted high?

nullsAreSortedHigh(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if SQL NULL values are sorted high.

nullsAreSortedLow(). Method in interface java.sql.DatabaseMetaData

Are NULL values sorted low?

nullsAreSortedLow(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if SQL NULL values are sorted low.

NUM_COLORS. Static variable in class java.awt.SystemColor

The number of system colors in the array.

NUM_LOCK. Static variable in class java.awt.Event

The Num Lock key, a non-ASCII action key.

Number(). Constructor for class java.lang.Number

numberAdjust. Variable in class symantec.itools.awt.util.Calendar

Internal drawing calibration value.

numberFormat. Variable in class java.text.DateFormat

The number formatter that DateFormat uses to format numbers in dates and times.

NumberFormat(). Constructor for class java.text.NumberFormat

NumberFormatException(). Constructor for class java.lang.NumberFormatException

Constructs a NumberFormatException with no detail message.

NumberFormatException(String). Constructor for class java.lang.NumberFormatException

Constructs a NumberFormatException with the specified detail message.

numberOfSpecialFeatures. Variable in class symantec.itools.db.beans.binding.QueryNavigator

Number of additional items of information kept on the results.

numberOfSpecialFeatures. Variable in class symantec.itools.db.pro.RelationViewPlus

The number of special feature values records have.

NUMERIC. Static variable in class java.sql.Types

NumericSpinner(). Constructor for class symantec.itools.awt.util.spinner.NumericSpinner

Constructs an empty NumericSpinner.

NumericSpinnerBeanInfo(). Constructor for class symantec.itools.awt.util.spinner.NumericSpinnerBeanInfo

Constructs a NumericSpinnerBeanInfo object.

numLoops. Variable in class symantec.itools.multimedia.Animator

Number of times to show the animation sequence.

nval. Variable in class java.io.StreamTokenizer

If the current token is a number, this field contains the value of that number.

NW_RESIZE_CURSOR. Static variable in class java.awt.Cursor

The north-west-resize cursor type.

NW_RESIZE_CURSOR. Static variable in class java.awt.Frame


Index of all Fields and Methods

_ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

O

oBdrSize. Variable in class symantec.itools.awt.SplitterPanel

The size of the border drawn around the outside of the SplitterPanel, in pixels.

oBdrSize(). Method in class symantec.itools.awt.SplitterPanel

Gets the size of the border drawn around the outside of the SplitterPanel.

Object(). Constructor for class java.lang.Object

OBJECT_BIT. Static variable in class symantec.itools.db.awt.CellHints

Bit position constant for valid "storage object" value flag.

ObjectInputStream(InputStream). Constructor for class java.io.ObjectInputStream

Create an ObjectInputStream that reads from the specified InputStream.

ObjectOutputStream(OutputStream). Constructor for class java.io.ObjectOutputStream

Creates an ObjectOutputStream that writes to the specified OutputStream.

objectsEqual(Object, Object). Static method in class symantec.itools.util.GeneralUtils

Compares two objects passed in for equality.

ObjectStreamException(). Constructor for class java.io.ObjectStreamException

Create an ObjectStreamException.

ObjectStreamException(String). Constructor for class java.io.ObjectStreamException

Create an ObjectStreamException with the specified argument.

ObjID(). Constructor for class java.rmi.server.ObjID

Generate unique object identifier.

ObjID(int). Constructor for class java.rmi.server.ObjID

Generate a "well-known" object ID.

Observable(). Constructor for class java.util.Observable

Construct an Observable with zero Observers

OCTOBER. Static variable in class java.util.Calendar

Useful constant for month.

offScreenImage. Variable in class symantec.itools.awt.InfoTipPanel

Off screen buffer used for animation.

offscreenImage. Variable in class symantec.itools.awt.MultiList

The offscreen image.

offscreenImageGraphics. Variable in class symantec.itools.awt.MultiList

The graphics context used to draw into the offscreen image.

oGapHeight. Variable in class symantec.itools.awt.SplitterPanel

The gap height inside the border, in pixels.

oGapHeight(). Method in class symantec.itools.awt.SplitterPanel

Gets the size of the split around the inside of the SplitterPanel border.

oGapThis(Event). Method in class symantec.itools.awt.SplitterPanel

oGapThis(int, int). Method in class symantec.itools.awt.SplitterPanel

Override this method if you want a behavior when events occur in the outer gap.

oGapWidth. Variable in class symantec.itools.awt.SplitterPanel

The gap width inside the border, in pixels.

oGapWidth(). Method in class symantec.itools.awt.SplitterPanel

Gets the size of the split around the inside of the SplitterPanel border.

okButton. Variable in class symantec.itools.awt.util.dialog.DialogBox

An available button.

okToUseGui(). Method in interface java.beans.Visibility

This method instructs the bean that it is OK to use the Gui.

oldText. Variable in class symantec.itools.awt.util.spinner.ListSpinner

Text value at the time focus was gained.

on(boolean). Method in class java.security.DigestInputStream

Turns the digest function on or off.

on(boolean). Method in class java.security.DigestOutputStream

Turns the digest function on or off.

ONE_TO_MANY. Static variable in class symantec.itools.db.pro.AutoDetail

Cardinality option constant for the resulting detail RelationView after executing a SQL statement.

ONE_TO_ONE. Static variable in class symantec.itools.db.pro.AutoDetail

Cardinality option constant for the resulting detail RelationView after executing a SQL statement.

openConnection(). Method in class java.net.URL

Returns a URLConnection object that represents a connection to the remote object referred to by the URL.

openConnection(URL). Method in class java.net.URLStreamHandler

Opens a connection to the object referenced by the URL argument.

openStream(). Method in class java.net.URL

Opens a connection to this URL and returns an InputStream for reading from that connection.

Operation(String). Constructor for class java.rmi.server.Operation

Creates a new Operation object.

OPERATOR_LINK_POSITION. Static variable in class symantec.itools.db.beans.jdbc.QueryNavigator

optSize(int, int, int, int, int, int). Method in class symantec.itools.awt.SplitterPanel

Utility method to calculate the optimum width or height of a sub-panel.

or(BigInteger). Method in class java.math.BigInteger

Returns a BigInteger whose value is (this | val).

or(BitSet). Method in class java.util.BitSet

Logically ORs this bit set with the specified set of bits.

orange. Static variable in class java.awt.Color

The color orange.

ordinaryChar(int). Method in class java.io.StreamTokenizer

Specifies that the character argument is "ordinary" in this tokenizer.

ordinaryChars(int, int). Method in class java.io.StreamTokenizer

Specifies that all characters c in the range low <= c <= high are "ordinary" in this tokenizer.

orientation. Variable in class symantec.itools.awt.util.spinner.SpinButtonPanel

Current spinner button layout.

orientation. Variable in class symantec.itools.awt.util.spinner.Spinner

Reserved.

orientation. Variable in class symantec.itools.awt.util.ToolBarPanel

The orientation for the toolbar.

ORIENTATION_DEFAULT. Static variable in class symantec.itools.awt.util.spinner.Spinner

The default spinner orientation.

ORIENTATION_HORIZONTAL. Static variable in interface symantec.itools.awt.Orientation

Constant specifying horizontal orientation.

ORIENTATION_VERTICAL. Static variable in interface symantec.itools.awt.Orientation

Constant specifying vertical orientation.

origmodel. Variable in class java.awt.image.RGBImageFilter

OSName. Static variable in class symantec.itools.lang.Debug

The value of the system property "os.name";

OSPlatform. Static variable in class symantec.itools.lang.Debug

The value of the system property "os.arch";

OSVersion. Static variable in class symantec.itools.lang.Debug

The value of the system property "os.version";

OTHER. Static variable in class java.sql.Types

OTHER indicates that the SQL type is database specific and gets mapped to a Java object which can be accessed via getObject and setObject.

OTHER_LETTER. Static variable in class java.lang.Character

OTHER_NUMBER. Static variable in class java.lang.Character

OTHER_PUNCTUATION. Static variable in class java.lang.Character

OTHER_SYMBOL. Static variable in class java.lang.Character

out. Static variable in class java.io.FileDescriptor

A handle to the standard output stream.

out. Variable in class java.io.FilterOutputStream

The underlying output stream.

out. Variable in class java.io.FilterWriter

The underlying character-output stream.

out. Variable in class java.io.PipedInputStream

out. Static variable in class java.lang.System

The "standard" output stream.

outerSP. Variable in class symantec.itools.awt.SplitterPanel

Internal use only.

OutOfMemoryError(). Constructor for class java.lang.OutOfMemoryError

Constructs an OutOfMemoryError with no detail message.

OutOfMemoryError(String). Constructor for class java.lang.OutOfMemoryError

Constructs an OutOfMemoryError with the specified detail message.

outpixbuf. Variable in class java.awt.image.ReplicateScaleFilter

OUTPUT. Static variable in class symantec.itools.beans.ConnectionDescriptor

A constant indicating an output connection.

output. Variable in class symantec.itools.db.beans.binding.Mediator

The output component in which the Mediator is going to display the data.

output. Variable in class symantec.itools.db.beans.binding.MediatorDS

The output component in which the Mediator is going to display the data.

OutputStream(). Constructor for class java.io.OutputStream

OutputStreamWriter(OutputStream). Constructor for class java.io.OutputStreamWriter

Create an OutputStreamWriter that uses the default character encoding.

OutputStreamWriter(OutputStream, String). Constructor for class java.io.OutputStreamWriter

Create an OutputStreamWriter that uses the named character encoding.

overFileName. Variable in class symantec.itools.awt.RollOverButton

The file name of the image to display while the mouse is over the button.

overImage. Variable in class symantec.itools.awt.RollOverButton

The image displayed while the mouse is over the button.

overURL. Variable in class symantec.itools.awt.RollOverButton

The URL of the image to use while the mouse is over the button.

owner. Variable in class java.awt.datatransfer.Clipboard


Index of all Fields and Methods

_ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

P

pack(). Method in class java.awt.Window

Causes subcomponents of this window to be laid out at their preferred size.

packagePrefix. Static variable in interface java.rmi.server.LoaderHandler

Find loader handler package prefix: assumes that the implementation of the LoaderHandler class is located in the package defined by the prefix.

packagePrefix. Static variable in interface java.rmi.server.RemoteRef

Find server package prefix: assumes that the implementation of server ref classes (e.g., UnicastRef, UnicastServerRef) are located in the package defined by the prefix.

padbottom. Variable in class symantec.itools.awt.BorderPanel

The bottom border outside padding amount, in pixels.

padleft. Variable in class symantec.itools.awt.BorderPanel

The left border outside padding amount, in pixels.

padright. Variable in class symantec.itools.awt.BorderPanel

The right border outside padding amount, in pixels.

padtop. Variable in class symantec.itools.awt.BorderPanel

The top border outside padding amount, in pixels.

pageHidden(Component). Method in class symantec.itools.awt.SimpleWizardController

Called before the page is hidden.

pageHidden(Component). Method in interface symantec.itools.awt.WizardController

Called before the page is hidden.

pageShown(Component). Method in class symantec.itools.awt.SimpleWizardController

Called after a page is shown.

pageShown(Component). Method in interface symantec.itools.awt.WizardController

Called after a page is shown.

PAINT. Static variable in class java.awt.event.PaintEvent

The paint event type.

paint(Graphics). Method in class symantec.itools.multimedia.Animator

Paints this component using the given graphics context.

paint(Graphics). Method in class symantec.itools.awt.BaseTabbedPanel

Paints this component using the given graphics context.

paint(Graphics). Method in class symantec.itools.awt.BorderPanel

Paints this component using the given graphics context.

paint(Graphics). Method in class symantec.itools.awt.ButtonBase

Paints this component using the given graphics context.

paint(Graphics). Method in class symantec.itools.awt.util.Calendar

Paints this component using the given graphics context.

paint(Graphics). Method in class java.awt.Canvas

This method is called to repaint this canvas.

paint(Graphics). Method in class symantec.itools.awt.ComboBox

Paints this component using the given graphics context.

paint(Graphics). Method in class java.awt.Component

Paints this component.

paint(Graphics). Method in interface java.awt.peer.ComponentPeer

paint(Graphics). Method in class java.awt.Container

Paints the container.

paint(Graphics). Method in class symantec.itools.awt.shape.Ellipse

Paints the ellipse using the given graphics context.

paint(Graphics). Method in class symantec.itools.multimedia.Firework

Paints a black background for this firework.

paint(Graphics). Method in class symantec.itools.db.awt.Grid

Paints this component using the given graphics context.

paint(Graphics). Method in class symantec.itools.awt.HorizontalSlider

Paints this component using the given graphics context.

paint(Graphics). Method in class symantec.itools.awt.ImageListBox

Paints this component using the given graphics context.

paint(Graphics). Method in class symantec.itools.awt.ImagePanel

Paints this component using the given graphics context.

paint(Graphics). Method in class symantec.itools.db.awt.ImageViewer

Paints this component using the given graphics context.

paint(Graphics). Method in class symantec.itools.multimedia.ImageViewer

Paints this component using the given graphics context.

paint(Graphics). Method in class symantec.itools.awt.InfoTipPanel

Paints this component using the given graphics context.

paint(Graphics). Method in class symantec.itools.awt.Label3D

Paints this component using the given graphics context.

paint(Graphics). Method in class symantec.itools.awt.shape.Line

Paints the line using the given graphics context.

paint(Graphics). Method in class symantec.itools.multimedia.MovingAnimation

Paints this component using the given graphics context.

paint(Graphics). Method in class symantec.itools.awt.MultiList

Paints this component using the given graphics context.

paint(Graphics). Method in class symantec.itools.multimedia.NervousText

Paints this component using the given graphics context.

paint(Graphics). Method in class symantec.itools.multimedia.Plasma

Paints this component using the given graphics context.

paint(Graphics). Method in class symantec.itools.awt.util.ProgressBar

Paints this component using the given graphics context.

paint(Graphics). Method in class symantec.itools.awt.shape.Rect

Paints the rectangle using the given graphics context.

paint(Graphics). Method in class symantec.itools.awt.RollOverButton

Paints this component using the given graphics context.

paint(Graphics). Method in class symantec.itools.multimedia.ScrollingText

Paints this component using the given graphics context.

paint(Graphics). Method in class symantec.itools.awt.shape.Shape

Paints this component using the given graphics context.

paint(Graphics). Method in class symantec.itools.awt.Slider

This method is called to repaint this canvas.

paint(Graphics). Method in class symantec.itools.awt.SplitterPanel

Paints this component using the given graphics context.

paint(Graphics). Method in class symantec.itools.awt.StateCheckBox

Paints this component using the given graphics context.

paint(Graphics). Method in class symantec.itools.awt.TreeView

Paints this component using the given graphics context.

paint(Graphics). Method in class symantec.itools.awt.VerticalSlider

Paints this component using the given graphics context.

paint(Graphics). Method in class symantec.itools.awt.WrappingLabel

Paints this component using the given graphics context.

PAINT_FIRST. Static variable in class java.awt.event.PaintEvent

Marks the first integer id for the range of paint event ids.

PAINT_LAST. Static variable in class java.awt.event.PaintEvent

Marks the last integer id for the range of paint event ids.

paintAll(Graphics). Method in class java.awt.Component

Paints this component and all of its subcomponents.

paintComponent(Component, Component, Rectangle, Graphics). Static method in class symantec.itools.awt.TransparencyTrickUtils

paintComponents(Graphics). Method in class java.awt.Container

Paints each of the components in this container.

paintComponentsBehind(Component, Graphics). Static method in class symantec.itools.awt.TransparencyTrickUtils

PaintEvent(Component, int, Rectangle). Constructor for class java.awt.event.PaintEvent

Constructs a PaintEvent object with the specified source component and type.

paintSelection(int[]). Method in class symantec.itools.awt.MultiList

Paints the specified rows as selected.

paintValue(Graphics, Rectangle). Method in interface java.beans.PropertyEditor

Paint a representation of the value into a given area of screen real estate.

paintValue(Graphics, Rectangle). Method in class java.beans.PropertyEditorSupport

Paint a representation of the value into a given area of screen real estate.

panel. Variable in class symantec.itools.awt.BorderPanel

The panel within the border.

Panel(). Constructor for class java.awt.Panel

Creates a new panel using the default layout manager.

Panel(LayoutManager). Constructor for class java.awt.Panel

Creates a new panel with the specified layout manager.

panel1. Variable in class symantec.itools.awt.Wizard

The panel that contains the pages.

panel2. Variable in class symantec.itools.awt.Wizard

The top-level panel below the horizontal line.

panel3. Variable in class symantec.itools.awt.Wizard

The panel that contains the navigation (Back,Next,Finish) buttons.

panel4. Variable in class symantec.itools.awt.Wizard

The panel that contains the Cancel and Help buttons.

PARAGRAPH_SEPARATOR. Static variable in class java.lang.Character

ParameterDescriptor(). Constructor for class java.beans.ParameterDescriptor

paramString(). Method in class java.awt.event.ActionEvent

paramString(). Method in class java.awt.event.AdjustmentEvent

paramString(). Method in class java.awt.AWTEvent

paramString(). Method in class java.awt.Button

Returns the parameter string representing the state of this button.

paramString(). Method in class java.awt.Checkbox

Returns the parameter string representing the state of this check box.

paramString(). Method in class java.awt.CheckboxMenuItem

Returns the parameter string representing the state of this check box menu item.

paramString(). Method in class java.awt.Choice

Returns the parameter string representing the state of this choice menu.

paramString(). Method in class java.awt.Component

Returns the parameter string representing the state of this component.

paramString(). Method in class java.awt.event.ComponentEvent

paramString(). Method in class java.awt.Container

Returns the parameter string representing the state of this container.

paramString(). Method in class java.awt.event.ContainerEvent

paramString(). Method in class java.awt.Dialog

Returns the parameter string representing the state of this dialog window.

paramString(). Method in class java.awt.Event

Returns the parameter string representing this event.

paramString(). Method in class java.awt.FileDialog

Returns the parameter string representing the state of this file dialog window.

paramString(). Method in class java.awt.event.FocusEvent

paramString(). Method in class java.awt.Frame

Returns the parameter String of this Frame.

paramString(). Method in class symantec.itools.awt.ImageListBox

Returns a string representing the state of this object.

paramString(). Method in class java.awt.event.ItemEvent

paramString(). Method in class java.awt.event.KeyEvent

paramString(). Method in class java.awt.Label

Returns the parameter string representing the state of this label.

paramString(). Method in class java.awt.List

Returns the parameter string representing the state of this scrolling list.

paramString(). Method in class java.awt.Menu

Gets the parameter string representing the state of this menu.

paramString(). Method in class java.awt.MenuComponent

Returns the parameter string representing the state of this menu component.

paramString(). Method in class java.awt.MenuItem

Returns the parameter string representing the state of this menu item.

paramString(). Method in class java.awt.MenuShortcut

paramString(). Method in class java.awt.event.MouseEvent

paramString(). Method in class java.awt.event.PaintEvent

paramString(). Method in class java.awt.Scrollbar

Returns the parameter string representing the state of this scroll bar.

paramString(). Method in class java.awt.ScrollPane

Returns the parameter string representing the state of this container.

paramString(). Method in class java.awt.TextArea

Returns the parameter string representing the state of this text area.

paramString(). Method in class java.awt.TextComponent

Returns the parameter string representing the state of this text component.

paramString(). Method in class java.awt.event.TextEvent

paramString(). Method in class java.awt.TextField

Returns the parameter string representing the state of this text field.

paramString(). Method in class java.awt.event.WindowEvent

paramString(). Method in class symantec.itools.awt.WrappingLabel

Returns an empty string.

parent. Variable in class java.util.ResourceBundle

The parent bundle is consulted by getObject when this bundle does not contain a particular resource.

parentOf(ThreadGroup). Method in class java.lang.ThreadGroup

Tests if this thread group is either the thread group argument or one of its ancestor thread groups.

parse(String). Static method in class java.util.Date

Given a string representing a time, parse it and return the time value.

parse(String). Method in class java.text.DateFormat

Parse a date/time string.

parse(String). Method in class java.text.MessageFormat

Parses the string.

parse(String). Method in class java.text.NumberFormat

Convenience method.

parse(String, ParsePosition). Method in class java.text.ChoiceFormat

Returns a Long if possible (e.g.

parse(String, ParsePosition). Method in class java.text.DateFormat

Parse a date/time string according to the given parse position.

parse(String, ParsePosition). Method in class java.text.DecimalFormat

Returns a Long if possible (e.g.

parse(String, ParsePosition). Method in class java.text.MessageFormat

Parses the string.

parse(String, ParsePosition). Method in class java.text.NumberFormat

Returns a Long if possible (e.g.

parse(String, ParsePosition). Method in class java.text.SimpleDateFormat

Overrides DateFormat

parseByte(String). Static method in class java.lang.Byte

Assuming the specified String represents a byte, returns that byte's value.

parseByte(String, int). Static method in class java.lang.Byte

Assuming the specified String represents a byte, returns that byte's value.

ParseException(String, int). Constructor for class java.text.ParseException

Constructs a ParseException with the specified detail message and offset.

parseInt(String). Static method in class java.lang.Integer

Parses the string argument as a signed decimal integer.

parseInt(String, int). Static method in class java.lang.Integer

Parses the string argument as a signed integer in the radix specified by the second argument.

parseLevel(String). Static method in class java.rmi.server.LogStream

Convert a string name of a logging level to its internal integer representation.

parseLong(String). Static method in class java.lang.Long

Parses the string argument as a signed decimal long.

parseLong(String, int). Static method in class java.lang.Long

Parses the string argument as a signed long in the radix specified by the second argument.

parseNumbers(). Method in class java.io.StreamTokenizer

Specifies that numbers should be parsed by this tokenizer.

parseObject(String). Method in class java.text.Format

Parses a string to produce an object.

parseObject(String, ParsePosition). Method in class java.text.DateFormat

Parse a date/time string into an Object.

parseObject(String, ParsePosition). Method in class java.text.Format

Parses a string to produce an object.

parseObject(String, ParsePosition). Method in class java.text.MessageFormat

Parses the string.

parseObject(String, ParsePosition). Method in class java.text.NumberFormat

Parses a string to produce an object.

ParsePosition(int). Constructor for class java.text.ParsePosition

Create a new ParsePosition with the given initial index.

parseShort(String). Static method in class java.lang.Short

Assuming the specified String represents a short, returns that short's value.

parseShort(String, int). Static method in class java.lang.Short

Assuming the specified String represents a short, returns that short's value.

parseSubname(StringTokenizer). Method in class symantec.itools.db.pro.Session

This parses the subname protocal part of a URL.

parseTreeStructure(String[]). Method in class symantec.itools.awt.TreeView

Internal helper method.

parseURL(String). Method in class symantec.itools.db.pro.Session

This parses the protocal part of the given URL.

parseURL(URL, String, int, int). Method in class java.net.URLStreamHandler

Parses the string representation of a URL into a URL object.

pathSeparator. Static variable in class java.io.File

The system-dependent path separator string.

pathSeparatorChar. Static variable in class java.io.File

The system-dependent path separator character.

PAUSE. Static variable in class java.awt.Event

The Pause key, a non-ASCII action key.

pause(). Method in class symantec.itools.util.Timer

Pauses the timer.

pause(boolean). Method in class symantec.itools.multimedia.NervousText

peek(). Method in class java.util.Stack

Looks at the object at the top of this stack without removing it from the stack.

peek(InetAddress). Method in class java.net.DatagramSocketImpl

Peek at the packet to see who it is from.

peekEvent(). Method in class java.awt.EventQueue

Return the first event without removing it.

peekEvent(int). Method in class java.awt.EventQueue

percent. Variable in class symantec.itools.awt.image.DarkenFilter

The percentage to fade when filtering.

percent. Variable in class symantec.itools.awt.image.FadeFilter

The percentage to fade when filtering.

percent. Variable in class symantec.itools.awt.image.LightenFilter

The percentage to lighen when filtering.

permissions(). Method in interface java.security.acl.AclEntry

Returns an enumeration of the permissions in this ACL entry.

PGDN. Static variable in class java.awt.Event

The Page Down key, a non-ASCII action key.

PGUP. Static variable in class java.awt.Event

The Page Up key, a non-ASCII action key.

PhoneNumber(int). Constructor for class symantec.itools.awt.util.edit.PhoneNumber

Create new formatted field.

PhoneNumberBeanInfo(). Constructor for class symantec.itools.awt.util.edit.PhoneNumberBeanInfo

Constructs a PhoneNumberBeanInfo object.

PI. Static variable in class java.lang.Math

The double value that is closer than any other to pi, the ratio of the circumference of a circle to its diameter.

pink. Static variable in class java.awt.Color

The color pink.

PIPE_SIZE. Static variable in class java.io.PipedInputStream

PipedInputStream(). Constructor for class java.io.PipedInputStream

Creates a piped input stream that is not yet connected to a piped output stream.

PipedInputStream(PipedOutputStream). Constructor for class java.io.PipedInputStream

Creates a piped input stream connected to the specified piped output stream.

PipedOutputStream(). Constructor for class java.io.PipedOutputStream

Creates a piped output stream that is not yet connected to a piped input stream.

PipedOutputStream(PipedInputStream). Constructor for class java.io.PipedOutputStream

Creates a piped output stream connected to the specified piped input stream.

PipedReader(). Constructor for class java.io.PipedReader

Create a reader that is not yet connected to a piped writer.

PipedReader(PipedWriter). Constructor for class java.io.PipedReader

Create a reader for the specified piped character-output stream.

PipedWriter(). Constructor for class java.io.PipedWriter

Create a writer that is not yet connected to a piped reader.

PipedWriter(PipedReader). Constructor for class java.io.PipedWriter

Create a writer for the specified piped character-input stream.

pixel_bits. Variable in class java.awt.image.ColorModel

PixelGrabber(Image, int, int, int, int, boolean). Constructor for class java.awt.image.PixelGrabber

Create a PixelGrabber object to grab the (x, y, w, h) rectangular section of pixels from the specified image.

PixelGrabber(Image, int, int, int, int, int[], int, int). Constructor for class java.awt.image.PixelGrabber

Create a PixelGrabber object to grab the (x, y, w, h) rectangular section of pixels from the specified image into the given array.

PixelGrabber(ImageProducer, int, int, int, int, int[], int, int). Constructor for class java.awt.image.PixelGrabber

Create a PixelGrabber object to grab the (x, y, w, h) rectangular section of pixels from the image produced by the specified ImageProducer into the given array.

placeComponents(). Method in class symantec.itools.awt.SplitterPanel

Utility method to lay out this component.

PLAIN. Static variable in class java.awt.Font

The plain style constant.

plainTextFlavor. Static variable in class java.awt.datatransfer.DataFlavor

The DataFlavor representing plain text with unicode encoding, where:

representationClass = InputStream

mimeType = "text/plain; charset=unicode"

Plasma(). Constructor for class symantec.itools.multimedia.Plasma

Create default plasma component.

PlasmaBeanInfo(). Constructor for class symantec.itools.multimedia.PlasmaBeanInfo

Constructs a PlasmaBeanInfo object.

play(). Method in interface java.applet.AudioClip

Starts playing this audio clip.

play(). Method in class symantec.itools.multimedia.SoundPlayer

Starts playing the sound clips.

play(URL). Method in class java.applet.Applet

Plays the audio clip at the specified absolute URL.

play(URL, String). Method in class java.applet.Applet

Plays the audio clip given the URL and a specifier that is relative to it.

PM. Static variable in class java.util.Calendar

Useful constant for hour in 12-hour clock.

Point(). Constructor for class java.awt.Point

Constructs and initializes a point at the origin (0, 0) of the coordinate space.

Point(int, int). Constructor for class java.awt.Point

Constructs and initializes a point at the specified (x, y) location in the coordinate space.

Point(Point). Constructor for class java.awt.Point

Constructs and initializes a point with the same location as the specified Point object.

poly. Variable in class symantec.itools.awt.shape.Line

The polygon that defines the line when lineThickness is larger than 1.

Polygon(). Constructor for class java.awt.Polygon

Creates an empty polygon.

Polygon(int[], int[], int). Constructor for class java.awt.Polygon

Constructs and initializes a polygon from the specified parameters.

pop(). Method in class java.util.Stack

Removes the object at the top of this stack and returns that object as the value of this function.

popDownText(). Method in class symantec.itools.awt.InfoTipPanel

Basically just erases the text next to the component (in the location specified by textLocation).

PopupMenu(). Constructor for class java.awt.PopupMenu

Creates a new popup menu.

PopupMenu(String). Constructor for class java.awt.PopupMenu

Creates a new popup menu with the specified name.

popUpText(). Method in class symantec.itools.awt.InfoTipPanel

Draws the text next to the component (in the location specified by textLocation).

port. Variable in class java.net.SocketImpl

The port number on the remote host to which this socket is connected.

pos. Variable in class java.io.BufferedInputStream

The current position in the buffer.

pos. Variable in class java.io.ByteArrayInputStream

The index of the next character to read from the input stream buffer.

pos. Variable in class java.io.CharArrayReader

Current buffer position

pos. Variable in class java.io.PushbackInputStream

The position within the pushback buffer from which the next byte will be read.

pos. Variable in class java.io.StringBufferInputStream

The index of the next character to read from the input stream buffer.

PositionOutOfRangeException(). Constructor for class symantec.itools.db.beans.binding.PositionOutOfRangeException

Constructs a default PositionOutOfRangeException.

POSITIVE_INFINITY. Static variable in class java.lang.Double

The positive infinity of type double.

POSITIVE_INFINITY. Static variable in class java.lang.Float

The positive infinity of type float.

PostalCode(). Constructor for class symantec.itools.awt.util.edit.PostalCode

Create postal code text field.

PostalCodeBeanInfo(). Constructor for class symantec.itools.awt.util.edit.PostalCodeBeanInfo

Constructs a PostalCodeBeanInfo object.

postEvent(AWTEvent). Method in class java.awt.EventQueue

Post a 1.1-style event to the EventQueue.

postEvent(Event). Method in class java.awt.Component

postEvent(Event). Method in class java.awt.MenuComponent

Posts the specified event to the menu.

postEvent(Event). Method in interface java.awt.MenuContainer

postEvent(Event). Method in class java.awt.Window

pow(double, double). Static method in class java.lang.Math

Returns of value of the first argument raised to the power of the second argument.

pow(int). Method in class java.math.BigInteger

Returns a BigInteger whose value is (this ** exponent).

PRC. Static variable in class java.util.Locale

Useful constant for country.

predefined. Static variable in class java.awt.Cursor

prefDim. Variable in class symantec.itools.awt.SplitterPanel

Dimension variables.

preferredLayoutSize(Container). Method in class java.awt.BorderLayout

Determines the preferred size of the target container using this layout manager, based on the components in the container.

preferredLayoutSize(Container). Method in class java.awt.CardLayout

Determines the preferred size of the container argument using this card layout.

preferredLayoutSize(Container). Method in class java.awt.FlowLayout

Returns the preferred dimensions for this layout given the components in the specified target container.

preferredLayoutSize(Container). Method in class java.awt.GridBagLayout

Determines the preferred size of the target container using this grid bag layout.

preferredLayoutSize(Container). Method in class java.awt.GridLayout

Determines the preferred size of the container argument using this grid layout.

preferredLayoutSize(Container). Method in interface java.awt.LayoutManager

Calculates the preferred size dimensions for the specified panel given the components in the specified parent container.

PREFERREDSIZE. Static variable in class java.awt.GridBagLayout

preferredSize(). Method in class symantec.itools.multimedia.Animator

Returns the recommended dimensions to properly display this component.

preferredSize(). Method in class symantec.itools.awt.BaseTabbedPanel

preferredSize(). Method in class symantec.itools.awt.BorderPanel

preferredSize(). Method in class symantec.itools.awt.ButtonBase

preferredSize(). Method in class symantec.itools.awt.util.Calendar

Returns the recommended dimensions to properly display this component.

preferredSize(). Method in class java.awt.Component

preferredSize(). Method in interface java.awt.peer.ComponentPeer

DEPRECATED: Replaced by getPreferredSize().

preferredSize(). Method in class java.awt.Container

preferredSize(). Method in class symantec.itools.awt.FormattedTextField

preferredSize(). Method in class symantec.itools.awt.util.spinner.HorizontalSpinButtonPanel

preferredSize(). Method in class symantec.itools.awt.ImageListBox

preferredSize(). Method in class symantec.itools.multimedia.ImageViewer

Returns the recommended dimensions to properly display this component.

preferredSize(). Method in class symantec.itools.awt.Label3D

preferredSize(). Method in class java.awt.List

preferredSize(). Method in class symantec.itools.awt.MultiList

Returns the recommended dimensions to properly display this component.

preferredSize(). Method in class symantec.itools.awt.util.ProgressBar

preferredSize(). Method in class symantec.itools.awt.RollOverButton

preferredSize(). Method in class symantec.itools.awt.ScrollingPanel

Returns the recommended dimensions to properly display this component.

preferredSize(). Method in class symantec.itools.awt.shape.Shape

preferredSize(). Method in class symantec.itools.multimedia.SlideShow

preferredSize(). Method in class symantec.itools.awt.SplitterPanel

Returns the recommended dimensions to properly display this component.

preferredSize(). Method in class symantec.itools.awt.StateCheckBox

Returns the recommended dimensions to properly display this component.

preferredSize(). Method in class java.awt.TextArea

preferredSize(). Method in class java.awt.TextField

preferredSize(). Method in class symantec.itools.awt.util.ToolBarSpacer

preferredSize(). Method in class symantec.itools.awt.TreeView

preferredSize(). Method in class symantec.itools.awt.util.spinner.VerticalSpinButtonPanel

preferredSize(int). Method in class symantec.itools.awt.ImageListBox

preferredSize(int). Method in class java.awt.List

preferredSize(int). Method in interface java.awt.peer.ListPeer

DEPRECATED: Replaced by getPreferredSize(int).

preferredSize(int). Method in class java.awt.TextField

preferredSize(int). Method in interface java.awt.peer.TextFieldPeer

DEPRECATED: Replaced by getPreferredSize(int).

preferredSize(int, int). Method in class java.awt.TextArea

preferredSize(int, int). Method in interface java.awt.peer.TextAreaPeer

DEPRECATED: Replaced by getPreferredSize(int, int).

prepareCall(String). Method in interface java.sql.Connection

A SQL stored procedure call statement is handled by creating a CallableStatement for it.

prepareImage(Image, ImageObserver). Method in class java.awt.Component

Prepares an image for rendering on this component.

prepareImage(Image, int, int, ImageObserver). Method in class java.awt.Component

Prepares an image for rendering on this component at the specified width and height.

prepareImage(Image, int, int, ImageObserver). Method in interface java.awt.peer.ComponentPeer

prepareImage(Image, int, int, ImageObserver). Method in class java.awt.Toolkit

Prepares an image for rendering.

preparePage(Component, int). Method in class symantec.itools.awt.SimpleWizardController

Called before a page is shown.

preparePage(Component, int). Method in interface symantec.itools.awt.WizardController

Called before a page is shown.

prepareStatement(String). Method in interface java.sql.Connection

A SQL statement with or without IN parameters can be pre-compiled and stored in a PreparedStatement object.

prepareStatement(String). Method in class symantec.itools.db.beans.jdbc.JdbcConnection

This method prepares a SQL statement

prepareStatement(String). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Helper method.

pressed. Variable in class symantec.itools.awt.ButtonBase

True if the button is currently pressed.

pressed. Variable in class symantec.itools.awt.InvisibleButton

True if the button is currently pressed.

pressedAdjustment. Variable in class symantec.itools.awt.ButtonBase

A drawing location adjustment for the 3-D bevel while button is pressed.

pressedImage. Variable in class symantec.itools.awt.ImageButton

The image displayed when the button is pressed

pressedTextColor. Variable in class symantec.itools.awt.LabelButton

The color used for text when this component is pressed.

prev(). Method in class symantec.itools.db.pro.RelationView

Navigate to the previous Record within the view buffer.

previewMode. Variable in class symantec.itools.multimedia.Animator

Preview this component at design time.

PREVIOUS. Static variable in interface symantec.itools.awt.WizardController

Constant wizard action value.

previous(). Method in class java.text.BreakIterator

Return the boundary preceding the current boundary.

previous(). Method in interface java.text.CharacterIterator

Decrement the iterator's index by one and return the character at the new index.

previous(). Method in class symantec.itools.db.beans.binding.QueryNavigator

Move the focus to the previous row.

previous(). Method in class java.text.StringCharacterIterator

Decrement the iterator's index by one and return the character at the new index.

previous(Container). Method in class java.awt.CardLayout

Flips to the previous card of the specified container.

PREVIOUS_LABEL. Static variable in class symantec.itools.awt.Wizard

The text used for the Back button.

previousButton. Variable in class symantec.itools.awt.Wizard

The Back button.

previousDouble(double). Static method in class java.text.ChoiceFormat

Finds the greatest double less than d.

previousEnabled. Variable in class symantec.itools.awt.SimpleWizardController

True if the Previous button is enabled.

previousImage(). Method in class symantec.itools.multimedia.SlideShow

Display the previous image in the slide show set.

previousPage. Variable in class symantec.itools.awt.SimpleWizardController

The previous ("back") page, or null if none.

previousPageIndex. Variable in class symantec.itools.awt.SimpleWizardController

The index of the previous ("back") page, or -1 if none.

prevPos. Variable in class symantec.itools.awt.Slider

The position of the slider thumb last time control painted.

prevSelectRow. Variable in class symantec.itools.awt.ImageListBox

The zero-relative index of the row at which the mouse was previously released.

prevSelectTime. Variable in class symantec.itools.awt.ImageListBox

The time at which the mouse was released, in milliseconds.

PRIMARY. Static variable in class java.text.Collator

Collator strength value.

primaryOrder(int). Static method in class java.text.CollationElementIterator

Get the primary order of a collation order.

print(boolean). Method in class java.io.PrintStream

Print a boolean value.

print(boolean). Method in class java.io.PrintWriter

Print a boolean.

print(char). Method in class java.io.PrintStream

Print a character.

print(char). Method in class java.io.PrintWriter

Print a character.

print(char[]). Method in class java.io.PrintStream

Print an array of characters.

print(char[]). Method in class java.io.PrintWriter

Print an array of chracters.

print(double). Method in class java.io.PrintStream

Print a double-precision floating-point number.

print(double). Method in class java.io.PrintWriter

Print a double.

print(float). Method in class java.io.PrintStream

Print a floating-point number.

print(float). Method in class java.io.PrintWriter

Print a float.

print(Graphics). Method in class java.awt.Component

Prints this component.

print(Graphics). Method in interface java.awt.peer.ComponentPeer

print(Graphics). Method in class java.awt.Container

Prints the container.

print(int). Method in class java.io.PrintStream

Print an integer.

print(int). Method in class java.io.PrintWriter

Print an integer.

print(long). Method in class java.io.PrintStream

Print a long integer.

print(long). Method in class java.io.PrintWriter

Print a long.

print(Object). Method in class java.io.PrintStream

Print an object.

print(Object). Method in class java.io.PrintWriter

Print an object.

print(String). Method in class java.io.PrintStream

Print a string.

print(String). Method in class java.io.PrintWriter

Print a String.

PRINT_SCREEN. Static variable in class java.awt.Event

The Print Screen key, a non-ASCII action key.

printAll(Graphics). Method in class java.awt.Component

Prints this component and all of its subcomponents.

printComponents(Graphics). Method in class java.awt.Container

Prints each of the components in this container.

printComponents(Graphics). Method in class java.awt.ScrollPane

Prints the component in this scroll pane.

PrintJob(). Constructor for class java.awt.PrintJob

println(). Method in class java.io.PrintStream

Finish the current line by writing a line separator.

println(). Method in class java.io.PrintWriter

Finish the line.

println(boolean). Method in class java.io.PrintStream

Print a boolean, and then finish the line.

println(boolean). Method in class java.io.PrintWriter

Print a boolean, and then finish the line.

println(char). Method in class java.io.PrintStream

Print a character, and then finish the line.

println(char). Method in class java.io.PrintWriter

Print a character, and then finish the line.

println(char[]). Method in class java.io.PrintStream

Print an array of characters, and then finish the line.

println(char[]). Method in class java.io.PrintWriter

Print an array of characters, and then finish the line.

println(double). Method in class java.io.PrintStream

Print a double, and then finish the line.

println(double). Method in class java.io.PrintWriter

Print a double, and then finish the line.

println(float). Method in class java.io.PrintStream

Print a float, and then finish the line.

println(float). Method in class java.io.PrintWriter

Print a float, and then finish the line.

println(int). Method in class java.io.PrintStream

Print an integer, and then finish the line.

println(int). Method in class java.io.PrintWriter

Print an integer, and then finish the line.

println(long). Method in class java.io.PrintStream

Print a long, and then finish the line.

println(long). Method in class java.io.PrintWriter

Print a long, and then finish the line.

println(Object). Method in class java.io.PrintStream

Print an Object, and then finish the line.

println(Object). Method in class java.io.PrintWriter

Print an Object, and then finish the line.

println(String). Static method in class java.sql.DriverManager

Print a message to the current JDBC log stream

println(String). Method in class java.io.PrintStream

Print a String, and then finish the line.

println(String). Method in class java.io.PrintWriter

Print a String, and then finish the line.

printRow(int). Method in class symantec.itools.awt.Matrix

Prints the specified row to System.out.

printStackTrace(). Method in class java.lang.Throwable

Prints this Throwable and its backtrace to the standard error stream.

printStackTrace(PrintStream). Method in class java.lang.Throwable

Prints this Throwable and its backtrace to the specified print stream.

printStackTrace(PrintWriter). Method in class java.lang.Throwable

Prints this Throwable and its backtrace to the specified print writer.

PrintStream(OutputStream). Constructor for class java.io.PrintStream

Create a new print stream.

PrintStream(OutputStream, boolean). Constructor for class java.io.PrintStream

Create a new PrintStream.

printToConsole(String). Method in class sun.tools.ttydebug.TTY

printTree(TreeNode). Method in class symantec.itools.awt.TreeView

Print out the text of each node in the TreeView beginning with the given node.

printTree(TreeNode, boolean). Method in class symantec.itools.awt.TreeView

Print out the text of each node in the TreeView beginning with the given node.

printTstamp(). Method in class symantec.itools.db.awt.Tstamp

Updates the text displayed using the current date/time value and display format.

PrintWriter(OutputStream). Constructor for class java.io.PrintWriter

Create a new PrintWriter, without automatic line flushing, from an existing OutputStream.

PrintWriter(OutputStream, boolean). Constructor for class java.io.PrintWriter

Create a new PrintWriter from an existing OutputStream.

PrintWriter(Writer). Constructor for class java.io.PrintWriter

Create a new PrintWriter, without automatic line flushing.

PrintWriter(Writer, boolean). Constructor for class java.io.PrintWriter

Create a new PrintWriter.

PRIVATE. Static variable in class java.lang.reflect.Modifier

PRIVATE_USE. Static variable in class java.lang.Character

procedureColumnIn. Static variable in interface java.sql.DatabaseMetaData

COLUMN_TYPE - IN parameter.

procedureColumnInOut. Static variable in interface java.sql.DatabaseMetaData

COLUMN_TYPE - INOUT parameter.

procedureColumnOut. Static variable in interface java.sql.DatabaseMetaData

COLUMN_TYPE - OUT parameter.

procedureColumnResult. Static variable in interface java.sql.DatabaseMetaData

COLUMN_TYPE - result column in ResultSet.

procedureColumnReturn. Static variable in interface java.sql.DatabaseMetaData

COLUMN_TYPE - procedure return value.

procedureColumnUnknown. Static variable in interface java.sql.DatabaseMetaData

COLUMN_TYPE - nobody knows.

procedureNoNulls. Static variable in interface java.sql.DatabaseMetaData

TYPE NULLABLE - does not allow NULL values.

procedureNoResult. Static variable in interface java.sql.DatabaseMetaData

PROCEDURE_TYPE - Does not return a result.

procedureNullable. Static variable in interface java.sql.DatabaseMetaData

TYPE NULLABLE - allows NULL values.

procedureNullableUnknown. Static variable in interface java.sql.DatabaseMetaData

TYPE NULLABLE - nullability unknown.

procedureResultUnknown. Static variable in interface java.sql.DatabaseMetaData

PROCEDURE_TYPE - May return a result.

procedureReturnsResult. Static variable in interface java.sql.DatabaseMetaData

PROCEDURE_TYPE - Returns a result.

Process(). Constructor for class java.lang.Process

processActionEvent(ActionEvent). Method in class java.awt.Button

Processes action events occurring on this button by dispatching them to any registered ActionListener objects.

processActionEvent(ActionEvent). Method in class java.awt.List

Processes action events occurring on this component by dispatching them to any registered ActionListener objects.

processActionEvent(ActionEvent). Method in class java.awt.MenuItem

Processes action events occurring on this menu item, by dispatching them to any registered ActionListener objects.

processActionEvent(ActionEvent). Method in class java.awt.TextField

Processes action events occurring on this text field by dispatching them to any registered ActionListener objects.

processAdjustmentEvent(AdjustmentEvent). Method in class java.awt.Scrollbar

Processes adjustment events occurring on this scrollbar by dispatching them to any registered AdjustmentListener objects.

processChar(int). Method in class symantec.itools.awt.FormattedTextField

Handles KEY_PRESS processing.

processComponentEvent(ComponentEvent). Method in class java.awt.Component

Processes component events occurring on this component by dispatching them to any registered ComponentListener objects.

processContainerEvent(ContainerEvent). Method in class java.awt.Container

Processes container events occurring on this container by dispatching them to any registered ContainerListener objects.

processEmptyStringData(String, RelationView, int, int, int). Static method in class symantec.itools.db.pro.RelationView

A utility method which process an Empty or NULL data String and returns the appropriate data value to send to database based on type, treatBlankAsNull flag, and isNull().

processEvent(AWTEvent). Method in class java.awt.Button

Processes events on this button.

processEvent(AWTEvent). Method in class java.awt.Checkbox

Processes events on this check box.

processEvent(AWTEvent). Method in class java.awt.CheckboxMenuItem

Processes events on this check box menu item.

processEvent(AWTEvent). Method in class java.awt.Choice

Processes events on this choice.

processEvent(AWTEvent). Method in class java.awt.Component

Processes events occurring on this component.

processEvent(AWTEvent). Method in class java.awt.Container

Processes events on this container.

processEvent(AWTEvent). Method in class java.awt.List

Processes events on this scrolling list.

processEvent(AWTEvent). Method in class java.awt.MenuComponent

Processes events occurring on this menu component.

processEvent(AWTEvent). Method in class java.awt.MenuItem

Processes events on this menu item.

processEvent(AWTEvent). Method in class java.awt.Scrollbar

Processes events on this scroll bar.

processEvent(AWTEvent). Method in class java.awt.TextComponent

Processes events on this textcomponent.

processEvent(AWTEvent). Method in class java.awt.TextField

Processes events on this text field.

processEvent(AWTEvent). Method in class java.awt.Window

Processes events on this window.

processFocusEvent(FocusEvent). Method in class java.awt.Component

Processes focus events occurring on this component by dispatching them to any registered FocusListener objects.

processItemEvent(ItemEvent). Method in class java.awt.Checkbox

Processes item events occurring on this check box by dispatching them to any registered ItemListener objects.

processItemEvent(ItemEvent). Method in class java.awt.CheckboxMenuItem

Processes item events occurring on this check box menu item by dispatching them to any registered ItemListener objects.

processItemEvent(ItemEvent). Method in class java.awt.Choice

Processes item events occurring on this Choice menu by dispatching them to any registered ItemListener objects.

processItemEvent(ItemEvent). Method in class java.awt.List

Processes item events occurring on this list by dispatching them to any registered ItemListener objects.

processKeyEvent(KeyEvent). Method in class java.awt.Component

Processes key events occurring on this component by dispatching them to any registered <codeKeyListener objects.

processMouseEvent(MouseEvent). Method in class java.awt.Component

Processes mouse events occurring on this component by dispatching them to any registered MouseListener objects.

processMouseMotionEvent(MouseEvent). Method in class java.awt.Component

Processes mouse motion events occurring on this component by dispatching them to any registered MouseMotionListener objects.

processTextEvent(TextEvent). Method in class java.awt.TextComponent

Processes text events occurring on this text component by dispatching them to any registered TextListener objects.

processWindowEvent(WindowEvent). Method in class java.awt.Window

Processes window events occurring on this window by dispatching them to any registered WindowListener objects.

progress. Variable in class symantec.itools.awt.util.ProgressBar

The value of the Progress Percent property.

ProgressBar(). Constructor for class symantec.itools.awt.util.ProgressBar

Constructs a progress bar with a centered progress %, line border and zero indentation.

ProgressBar(int, int, int). Constructor for class symantec.itools.awt.util.ProgressBar

Constructs a progress bar with the style and indentation variables specified.

ProgressBarBeanInfo(). Constructor for class symantec.itools.awt.util.ProgressBarBeanInfo

Constructs a ProgressBarBeanInfo object.

progressColor. Variable in class symantec.itools.awt.util.ProgressBar

The value of the Progress Bar Color property.

Projection(). Constructor for class symantec.itools.db.pro.Projection

Constructs a Projection object.

PROP_AUTOCOMMIT. Static variable in class symantec.itools.db.beans.jdbc.JdbcConnection

Programatic property name.

PROP_CATALOG. Static variable in class symantec.itools.db.beans.jdbc.JdbcConnection

Programatic property name.

PROP_CONNCLOSED. Static variable in class symantec.itools.db.beans.jdbc.JdbcConnection

Programatic property name.

PROP_DRIVERNAME. Static variable in class symantec.itools.db.beans.jdbc.JdbcConnection

Programatic property name.

PROP_PASSWORD. Static variable in class symantec.itools.db.beans.jdbc.JdbcConnection

Programatic property name.

PROP_READONLY. Static variable in class symantec.itools.db.beans.jdbc.JdbcConnection

Programatic property name.

PROP_TRANS_ISOLATION. Static variable in class symantec.itools.db.beans.jdbc.JdbcConnection

Programatic property name.

PROP_URL. Static variable in class symantec.itools.db.beans.jdbc.JdbcConnection

Programatic property name.

PROP_USERNAME. Static variable in class symantec.itools.db.beans.jdbc.JdbcConnection

Programatic property name.

propagateChanges(). Method in class symantec.itools.awt.SplitterPanel

Utility method to update the gap/border/etc properties in sub-panels.

propagateChangesSP(SplitterPanel). Method in class symantec.itools.awt.SplitterPanel

Utility method to update the gap/border/etc properties in another panel.

PROPERTIES. Static variable in interface java.awt.image.ImageObserver

The properties of the image are now available.

Properties(). Constructor for class java.util.Properties

Creates an empty property list with no default values.

Properties(Properties). Constructor for class java.util.Properties

Creates an empty property list with the specified defaults.

propertyChange(PropertyChangeEvent). Method in class symantec.itools.multimedia.Animator

A method of the PropertyChangeListener interface.

propertyChange(PropertyChangeEvent). Method in class symantec.itools.db.beans.jdbc.JdbcConnection

Implementation of the PropertyChangeListener interface.

propertyChange(PropertyChangeEvent). Method in interface java.beans.PropertyChangeListener

This method gets called when a bound property is changed.

PropertyChangeEvent(Object, String, Object, Object). Constructor for class java.beans.PropertyChangeEvent

PropertyChangeSupport(Object). Constructor for class java.beans.PropertyChangeSupport

PropertyChangeSupport(Object). Constructor for class symantec.itools.beans.PropertyChangeSupport

Constructs a PropertyChangeSupport object.

PropertyDescriptor(String, Class). Constructor for class java.beans.PropertyDescriptor

Constructs a PropertyDescriptor for a property that follows the standard Java convention by having getFoo and setFoo accessor methods.

PropertyDescriptor(String, Class, String, String). Constructor for class java.beans.PropertyDescriptor

This constructor takes the name of a simple property, and method names for reading and writing the property.

PropertyDescriptor(String, Method, Method). Constructor for class java.beans.PropertyDescriptor

This constructor takes the name of a simple property, and Method objects for reading and writing the property.

PropertyEditorManager(). Constructor for class java.beans.PropertyEditorManager

PropertyEditorSupport(). Constructor for class java.beans.PropertyEditorSupport

Constructor for use by derived PropertyEditor classes.

PropertyEditorSupport(Object). Constructor for class java.beans.PropertyEditorSupport

Constructor for use when a PropertyEditor is delegating to us.

propertyNames(). Method in class java.util.Properties

Returns an enumeration of all the keys in this property list, including the keys in the default property list.

PropertyResourceBundle(InputStream). Constructor for class java.util.PropertyResourceBundle

Creates a property resource

PropertyVetoException(String, PropertyChangeEvent). Constructor for class java.beans.PropertyVetoException

propResize. Variable in class symantec.itools.awt.SplitterPanel

The "resize propagation" mode flag.

PROTECTED. Static variable in class java.lang.reflect.Modifier

ProtocolException(). Constructor for class java.net.ProtocolException

Constructs a new ProtocolException with no detail message.

ProtocolException(String). Constructor for class java.net.ProtocolException

Constructs a new ProtocolException with the specified detail message.

Provider(String, double, String). Constructor for class java.security.Provider

Constructs a provider with the specified name, version number, and information.

ProviderException(). Constructor for class java.security.ProviderException

Constructs a ProviderException with no detail message.

ProviderException(String). Constructor for class java.security.ProviderException

Constructs a ProviderException with the specified detail message.

PUBLIC. Static variable in interface java.lang.reflect.Member

Identifies the set of all public members of a class or interface, including inherited members.

PUBLIC. Static variable in class java.lang.reflect.Modifier

push(Object). Method in class java.util.Stack

Pushes an item onto the top of this stack.

pushBack(). Method in class java.io.StreamTokenizer

Causes the next call to the nextToken method of this tokenizer to return the current value in the ttype field, and not to modify the value in the nval or sval field.

PushbackInputStream(InputStream). Constructor for class java.io.PushbackInputStream

Creates a new pushback input stream with a one-byte pushback buffer.

PushbackInputStream(InputStream, int). Constructor for class java.io.PushbackInputStream

Creates a new pushback input stream with a pushback buffer of the specified size.

PushbackReader(Reader). Constructor for class java.io.PushbackReader

Create a new pushback reader with a one-character pushback buffer.

PushbackReader(Reader, int). Constructor for class java.io.PushbackReader

Create a new pushback reader with a pushback buffer of the given size.

put(Object, Object). Method in class java.util.Dictionary

Maps the specified key to the specified value in this dictionary.

put(Object, Object). Method in class java.util.Hashtable

Maps the specified key to the specified value in this hashtable.

putNextEntry(ZipEntry). Method in class java.util.zip.ZipOutputStream

Begins writing a new ZIP file entry and positions the stream to the start of the entry data.


Index of all Fields and Methods

_ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Q

QueryNavigator(). Constructor for class symantec.itools.db.beans.binding.QueryNavigator

Constructs a default QueryNavigator.

QueryNavigator(). Constructor for class symantec.itools.db.beans.jdbc.QueryNavigator

The default constructor.

QueryNavigatorBeanInfo(). Constructor for class symantec.itools.db.beans.binding.QueryNavigatorBeanInfo

Constructs a QueryNavigatorBeanInfo object.

QueryNavigatorBeanInfo(). Constructor for class symantec.itools.db.beans.jdbc.QueryNavigatorBeanInfo

Constructs a QueryNavigatorBeanInfo object.

querySimilarObjects(). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Performs a "query by example" using this record as the example.

querySimilarObjects(String, String[]). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Performs a "query by example" using this record as the example and constraining the query as specified.

quit(). Method in class symantec.itools.db.awt.FtpClient

Performs an FTP QUIT command and then closes the host connection.

quitEvent(). Method in class sun.tools.ttydebug.TTY

quoteChar(int). Method in class java.io.StreamTokenizer

Specifies that matching pairs of this character delimit string constants in this tokenizer.


Index of all Fields and Methods

_ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

R

RadioBox(). Constructor for class symantec.itools.db.awt.RadioBox

Constructs a new RadioBox.

RadioBox(Container). Constructor for class symantec.itools.db.awt.RadioBox

For backward compatbilty only

RadioBoxBeanInfo(). Constructor for class symantec.itools.db.awt.RadioBoxBeanInfo

Constructs a RadioBoxBeanInfo object.

RadioButton(). Constructor for class symantec.itools.db.awt.RadioButton

Constructs a default RadioButton.

RadioButton(String, CheckboxGroup, boolean). Constructor for class symantec.itools.db.awt.RadioButton

Constructs a RadioButton with the given label that belongs to the specified RadioBox and has a specific initial value.

RadioButtonGroupPanel(). Constructor for class symantec.itools.awt.RadioButtonGroupPanel

Constructs a RadioButtonGroupPanel.

RadioButtonGroupPanelBeanInfo(). Constructor for class symantec.itools.awt.RadioButtonGroupPanelBeanInfo

Constructs a RadioButtonGroupPanelBeanInfo object.

raiseException(Exception). Method in class symantec.itools.db.awt.Tstamp

Internal utility method.

random(). Static method in class java.lang.Math

Returns a random number between 0.0 and 1.0.

Random(). Constructor for class java.util.Random

Creates a new random number generator.

Random(long). Constructor for class java.util.Random

Creates a new random number generator using a single long seed.

RandomAccessFile(File, String). Constructor for class java.io.RandomAccessFile

Creates a random access file stream to read from, and optionally to write to, the file specified by the File argument.

RandomAccessFile(String, String). Constructor for class java.io.RandomAccessFile

Creates a random access file stream to read from, and optionally to write to, a file with the specified name.

RANDOMPIXELORDER. Static variable in interface java.awt.image.ImageConsumer

The pixels will be delivered in a random order.

rangeCheckAlignment(int). Method in class symantec.itools.awt.MultiList

Ensures the given column alignment value is valid.

rangeCheckColumn(int). Method in class symantec.itools.awt.MultiList

Ensures the given column index is valid.

rbList. Variable in class symantec.itools.awt.RadioButtonGroupPanel

Vector of Checkboxes added to the panel.

read(). Method in class java.io.BufferedInputStream

Reads the next byte of data from this buffered input stream.

read(). Method in class java.io.BufferedReader

Read a single character.

read(). Method in class java.io.ByteArrayInputStream

Reads the next byte of data from this input stream.

read(). Method in class java.io.CharArrayReader

Read a single character.

read(). Method in class java.util.zip.CheckedInputStream

Reads a byte.

read(). Method in class java.security.DigestInputStream

Reads a byte, and updates the message digest (if the digest function is on).

read(). Method in class java.io.FileInputStream

Reads a byte of data from this input stream.

read(). Method in class java.io.FilterInputStream

Reads the next byte of data from this input stream.

read(). Method in class java.io.FilterReader

Read a single character.

read(). Method in class java.util.zip.InflaterInputStream

Reads a byte of uncompressed data.

read(). Method in class java.io.InputStream

Reads the next byte of data from this input stream.

read(). Method in class java.io.InputStreamReader

Read a single character.

read(). Method in class java.io.LineNumberInputStream

Reads the next byte of data from this input stream.

read(). Method in class java.io.LineNumberReader

Read a single character.

read(). Method in interface java.io.ObjectInput

Reads a byte of data.

read(). Method in class java.io.ObjectInputStream

Reads a byte of data.

read(). Method in class java.io.PipedInputStream

Reads the next byte of data from this piped input stream.

read(). Method in class java.io.PushbackInputStream

Reads the next byte of data from this input stream.

read(). Method in class java.io.PushbackReader

Read a single character.

read(). Method in class java.io.RandomAccessFile

Reads a byte of data from this file.

read(). Method in class java.io.Reader

Read a single character.

read(). Method in class java.io.SequenceInputStream

Reads the next byte of data from this input stream.

read(). Method in class java.io.StringBufferInputStream

Reads the next byte of data from this input stream.

read(). Method in class java.io.StringReader

Read a single character.

read(byte[]). Method in class java.io.DataInputStream

Reads up to byte.length bytes of data from this data input stream into an array of bytes.

read(byte[]). Method in class java.io.FileInputStream

Reads up to b.length bytes of data from this input stream into an array of bytes.

read(byte[]). Method in class java.io.FilterInputStream

Reads up to byte.length bytes of data from this input stream into an array of bytes.

read(byte[]). Method in class java.io.InputStream

Reads up to b.length bytes of data from this input stream into an array of bytes.

read(byte[]). Method in interface java.io.ObjectInput

Reads into an array of bytes.

read(byte[]). Method in class java.io.RandomAccessFile

Reads up to b.length bytes of data from this file into an array of bytes.

read(byte[], int, int). Method in class java.io.BufferedInputStream

Reads bytes into a portion of an array.

read(byte[], int, int). Method in class java.io.ByteArrayInputStream

Reads up to len bytes of data into an array of bytes from this input stream.

read(byte[], int, int). Method in class java.util.zip.CheckedInputStream

Reads into an array of bytes.

read(byte[], int, int). Method in class java.io.DataInputStream

Reads up to len bytes of data from this data input stream into an array of bytes.

read(byte[], int, int). Method in class java.security.DigestInputStream

Reads into a byte array, and updates the message digest (if the digest function is on).

read(byte[], int, int). Method in class java.io.FileInputStream

Reads up to len bytes of data from this input stream into an array of bytes.

read(byte[], int, int). Method in class java.io.FilterInputStream

Reads up to len bytes of data from this input stream into an array of bytes.

read(byte[], int, int). Method in class java.util.zip.GZIPInputStream

Reads uncompressed data into an array of bytes.

read(byte[], int, int). Method in class java.util.zip.InflaterInputStream

Reads uncompressed data into an array of bytes.

read(byte[], int, int). Method in class java.io.InputStream

Reads up to len bytes of data from this input stream into an array of bytes.

read(byte[], int, int). Method in class java.io.LineNumberInputStream

Reads up to len bytes of data from this input stream into an array of bytes.

read(byte[], int, int). Method in interface java.io.ObjectInput

Reads into an array of bytes.

read(byte[], int, int). Method in class java.io.ObjectInputStream

Reads into an array of bytes.

read(byte[], int, int). Method in class java.io.PipedInputStream

Reads up to len bytes of data from this piped input stream into an array of bytes.

read(byte[], int, int). Method in class java.io.PushbackInputStream

Reads up to len bytes of data from this input stream into an array of bytes.

read(byte[], int, int). Method in class java.io.RandomAccessFile

Reads up to len bytes of data from this file into an array of bytes.

read(byte[], int, int). Method in class java.io.SequenceInputStream

Reads up to len bytes of data from this input stream into an array of bytes.

read(byte[], int, int). Method in class java.io.StringBufferInputStream

Reads up to len bytes of data from this input stream into an array of bytes.

read(byte[], int, int). Method in class java.util.zip.ZipInputStream

Reads from the current ZIP entry into an array of bytes.

read(char[]). Method in class java.io.Reader

Read characters into an array.

read(char[], int, int). Method in class java.io.BufferedReader

Read characters into a portion of an array.

read(char[], int, int). Method in class java.io.CharArrayReader

Read characters into a portion of an array.

read(char[], int, int). Method in class java.io.FilterReader

Read characters into a portion of an array.

read(char[], int, int). Method in class java.io.InputStreamReader

Read characters into a portion of an array.

read(char[], int, int). Method in class java.io.LineNumberReader

Read characters into a portion of an array.

read(char[], int, int). Method in class java.io.PipedReader

Read characters into a portion of an array.

read(char[], int, int). Method in class java.io.PushbackReader

Read characters into a portion of an array.

read(char[], int, int). Method in class java.io.Reader

Read characters into a portion of an array.

read(char[], int, int). Method in class java.io.StringReader

Read characters into a portion of an array.

read(DataInput). Static method in class java.rmi.server.UID

Get the uid from the input stream.

read(ObjectInput). Static method in class java.rmi.server.ObjID

The read method constructs an object id whose contents is read from the specified input stream.

readBoolean(). Method in interface java.io.DataInput

Reads a boolean value from the input stream.

readBoolean(). Method in class java.io.DataInputStream

Reads a boolean from this data input stream.

readBoolean(). Method in class java.io.ObjectInputStream

Reads in a boolean.

readBoolean(). Method in class java.io.RandomAccessFile

Reads a boolean from this file.

readByte(). Method in interface java.io.DataInput

Reads a signed 8-bit value from the input stream.

readByte(). Method in class java.io.DataInputStream

Reads a signed 8-bit value from this data input stream.

readByte(). Method in class java.io.ObjectInputStream

Reads an 8 bit byte.

readByte(). Method in class java.io.RandomAccessFile

Reads a signed 8-bit value from this file.

readChar(). Method in interface java.io.DataInput

Reads a Unicode char value from the input stream.

readChar(). Method in class java.io.DataInputStream

Reads a Unicode character from this data input stream.

readChar(). Method in class java.io.ObjectInputStream

Reads a 16 bit char.

readChar(). Method in class java.io.RandomAccessFile

Reads a Unicode character from this file.

readData(). Method in class symantec.itools.db.awt.BasicCell

Reads this cell's data from the data source.

readData(int, int). Method in interface symantec.itools.db.awt.DataSource

Gets the data for a cell that should only be used for reading.

readData(int, int). Method in class symantec.itools.db.awt.DbDataSource

Gets the data for a cell that should only be used for reading.

readData(int, int). Method in class symantec.itools.db.awt.DefaultDataSource

Gets the data for a cell that should only be used for reading.

readDate(String, String). Method in class symantec.itools.db.awt.Tstamp

Utility method that parses the given date using the specified format.

readDouble(). Method in interface java.io.DataInput

Reads a double value from the input stream.

readDouble(). Method in class java.io.DataInputStream

Reads a double from this data input stream.

readDouble(). Method in class java.io.ObjectInputStream

Reads a 64 bit double.

readDouble(). Method in class java.io.RandomAccessFile

Reads a double from this file.

Reader(). Constructor for class java.io.Reader

Create a new character-stream reader whose critical sections will synchronize on the reader itself.

Reader(Object). Constructor for class java.io.Reader

Create a new character-stream reader whose critical sections will synchronize on the given object.

readExternal(ObjectInput). Method in interface java.io.Externalizable

The object implements the readExternal method to restore its contents by calling the methods of DataInput for primitive types and readObject for objects, strings and arrays.

readFloat(). Method in interface java.io.DataInput

Reads a float value from the input stream.

readFloat(). Method in class java.io.DataInputStream

Reads a float from this data input stream.

readFloat(). Method in class java.io.ObjectInputStream

Reads a 32 bit float.

readFloat(). Method in class java.io.RandomAccessFile

Reads a float from this file.

readFully(byte[]). Method in interface java.io.DataInput

Reads b.length bytes into the byte array.

readFully(byte[]). Method in class java.io.DataInputStream

Reads b.length bytes from this data input stream into the byte array.

readFully(byte[]). Method in class java.io.ObjectInputStream

Reads bytes, blocking until all bytes are read.

readFully(byte[]). Method in class java.io.RandomAccessFile

Reads b.length bytes from this file into the byte array.

readFully(byte[], int, int). Method in interface java.io.DataInput

Reads b.length bytes into the byte array.

readFully(byte[], int, int). Method in class java.io.DataInputStream

Reads exactly len bytes from this data input stream into the byte array.

readFully(byte[], int, int). Method in class java.io.ObjectInputStream

Reads bytes, blocking until all bytes are read.

readFully(byte[], int, int). Method in class java.io.RandomAccessFile

Reads exactly len bytes from this file into the byte array.

readInt(). Method in interface java.io.DataInput

Reads an int value from the input stream.

readInt(). Method in class java.io.DataInputStream

Reads a signed 32-bit integer from this data input stream.

readInt(). Method in class java.io.ObjectInputStream

Reads a 32 bit int.

readInt(). Method in class java.io.RandomAccessFile

Reads a signed 32-bit integer from this file.

readLine(). Method in class java.io.BufferedReader

Read a line of text.

readLine(). Method in interface java.io.DataInput

Reads the next line of text from the input stream.

readLine(). Method in class java.io.DataInputStream

Reads the next line of text from this data input stream.

readLine(). Method in class java.io.LineNumberReader

Read a line of text.

readLine(). Method in class java.io.ObjectInputStream

Reads in a line that has been terminated by a \n, \r, \r\n or EOF.

readLine(). Method in class java.io.RandomAccessFile

Reads the next line of text from this file.

readLong(). Method in interface java.io.DataInput

Reads a long value from the input stream.

readLong(). Method in class java.io.DataInputStream

Reads a signed 64-bit integer from this data input stream.

readLong(). Method in class java.io.ObjectInputStream

Reads a 64 bit long.

readLong(). Method in class java.io.RandomAccessFile

Reads a signed 64-bit integer from this file.

readObject(). Method in interface java.io.ObjectInput

Read and return an object.

readObject(). Method in class java.io.ObjectInputStream

Read an object from the ObjectInputStream.

readShort(). Method in interface java.io.DataInput

Reads a 16-bit value from the input stream.

readShort(). Method in class java.io.DataInputStream

Reads a signed 16-bit number from this data input stream.

readShort(). Method in class java.io.ObjectInputStream

Reads a 16 bit short.

readShort(). Method in class java.io.RandomAccessFile

Reads a signed 16-bit number from this file.

readStreamHeader(). Method in class java.io.ObjectInputStream

The readStreamHeader method is provided to allow subclasses to read and verify their own stream headers.

readUnsignedByte(). Method in interface java.io.DataInput

Reads an unsigned 8-bit value from the input stream.

readUnsignedByte(). Method in class java.io.DataInputStream

Reads an unsigned 8-bit number from this data input stream.

readUnsignedByte(). Method in class java.io.ObjectInputStream

Reads an unsigned 8 bit byte.

readUnsignedByte(). Method in class java.io.RandomAccessFile

Reads an unsigned 8-bit number from this file.

readUnsignedShort(). Method in interface java.io.DataInput

Reads an unsigned 16-bit value from the input stream.

readUnsignedShort(). Method in class java.io.DataInputStream

Reads an unsigned 16-bit number from this data input stream.

readUnsignedShort(). Method in class java.io.ObjectInputStream

Reads an unsigned 16 bit short.

readUnsignedShort(). Method in class java.io.RandomAccessFile

Reads an unsigned 16-bit number from this file.

readUTF(). Method in interface java.io.DataInput

Reads in a string that has been encoded using a modified UTF-8 format.

readUTF(). Method in class java.io.DataInputStream

Reads in a string that has been encoded using a modified UTF-8 format from this data input stream.

readUTF(). Method in class java.io.ObjectInputStream

Reads a UTF format String.

readUTF(). Method in class java.io.RandomAccessFile

Reads in a string from this file.

readUTF(DataInput). Static method in class java.io.DataInputStream

Reads in a string from the specified data input stream.

ready(). Method in class java.io.BufferedReader

Tell whether this stream is ready to be read.

ready(). Method in class java.io.CharArrayReader

Tell whether this stream is ready to be read.

ready(). Method in class java.io.FilterReader

Tell whether this stream is ready to be read.

ready(). Method in class java.io.InputStreamReader

Tell whether this stream is ready to be read.

ready(). Method in class java.io.PushbackReader

Tell whether this stream is ready to be read.

ready(). Method in class java.io.Reader

Tell whether this stream is ready to be read.

ready(). Method in class java.io.StringReader

Tell whether this stream is ready to be read.

REAL. Static variable in class java.sql.Types

rebind(String, Remote). Static method in class java.rmi.Naming

Rebind the name to a new object; replaces any existing binding.

rebind(String, Remote). Method in interface java.rmi.registry.Registry

Rebind the name to a new object, replacing any existing binding.

REC_POS_FIRST. Static variable in class symantec.itools.db.pro.Request

Initial record position option for resulting RelationView.

REC_POS_NEW. Static variable in class symantec.itools.db.pro.Request

Initial record position option for resulting RelationView.

REC_POS_NOPOS. Static variable in class symantec.itools.db.pro.Request

Default initial record position option for resulting RelationView.

receive(DatagramPacket). Method in class java.net.DatagramSocket

Receives a datagram packet from this socket.

receive(DatagramPacket). Method in class java.net.DatagramSocketImpl

Receive the datagram packet.

receive(int). Method in class java.io.PipedInputStream

Receives a byte of data.

RecordDefinition(). Constructor for class symantec.itools.db.beans.jdbc.RecordDefinition

Constructs a default RecordDefinition.

RecordDefinitionBeanInfo(). Constructor for class symantec.itools.db.beans.jdbc.RecordDefinitionBeanInfo

Constructs a RecordDefinitionBeanInfo object.

RecordNumberLabel(). Constructor for class symantec.itools.db.awt.RecordNumberLabel

Constructs a new RecordNumberLabel.

RecordNumberLabelBeanInfo(). Constructor for class symantec.itools.db.awt.RecordNumberLabelBeanInfo

Constructs a RecordNumberLabelBeanInfo object.

RecordStateLabel(). Constructor for class symantec.itools.db.awt.RecordStateLabel

Constructs a new RecordNumberLabel.

RecordStateLabelBeanInfo(). Constructor for class symantec.itools.db.awt.RecordStateLabelBeanInfo

Constructs a RecordStateLabelBeanInfo object.

recount(). Method in class symantec.itools.awt.TreeView

Internal helper method.

RECSTATE_DB_DELETED. Static variable in class symantec.itools.db.pro.Record

A constant indicating the record has been deleted.

RECSTATE_DELETED. Static variable in class symantec.itools.db.pro.Record

A constant indicating the record has been marked for deletion.

RECSTATE_EXISTING. Static variable in class symantec.itools.db.pro.Record

A constant indicating the record exists in the database.

RECSTATE_INVALID. Static variable in class symantec.itools.db.pro.Record

A constant indicating the record is in an undefined state.

RECSTATE_MODIFIED. Static variable in class symantec.itools.db.pro.Record

A constant indicating the record has been modified.

RECSTATE_NEW. Static variable in class symantec.itools.db.pro.Record

A constant indicating the record has no data and doesn't exist in the database.

RECSTATE_NEW_MODIFIED. Static variable in class symantec.itools.db.pro.Record

A constant indicating the record is new with data.

Rect(). Constructor for class symantec.itools.awt.shape.Rect

Constructs a default Rectangle.

Rectangle(). Constructor for class java.awt.Rectangle

Constructs a new rectangle whose top-left corner is at (0, 0) in the coordinate space, and whose width and height are zero.

Rectangle(Dimension). Constructor for class java.awt.Rectangle

Constructs a new rectangle whose top left corner is (0, 0) and whose width and height are specified by the dimension argument.

Rectangle(int, int). Constructor for class java.awt.Rectangle

Constructs a new rectangle whose top-left corner is at (0, 0) in the coordinate space, and whose width and height are specified by the arguments of the same name.

Rectangle(int, int, int, int). Constructor for class java.awt.Rectangle

Constructs a new rectangle whose top-left corner is specified as (x, y) and whose width and height are specified by the arguments of the same name.

Rectangle(Point). Constructor for class java.awt.Rectangle

Constructs a new rectangle whose top-left corner is the specified point, and whose width and height are zero.

Rectangle(Point, Dimension). Constructor for class java.awt.Rectangle

Constructs a new rectangle whose top-left corner is specified by the point argument, and whose width and height are specified by the dimension argument.

Rectangle(Rectangle). Constructor for class java.awt.Rectangle

Constructs a new rectangle, initialized to match the values of the specificed rectangle.

RectBeanInfo(). Constructor for class symantec.itools.awt.shape.RectBeanInfo

Constructs a RectBeanInfo object.

recursionLevel. Variable in class symantec.itools.db.beans.binding.Mediator

Helper value for the createDataItemFromArray method.

red. Static variable in class java.awt.Color

The color red.

redoAutoNumbering(). Method in class symantec.itools.db.awt.DefaultDataSource

Redoes the numbering if the autoNumber property is true

redraw(). Method in class symantec.itools.awt.MultiList

Paints this component into an offscreen image for cleaner screen repaints.

redraw(). Method in class symantec.itools.awt.TreeView

Lays out the vertical scrollbar as needed, then draws the TreeView into an offscreen image.

redraw(Graphics). Method in class symantec.itools.awt.TreeView

Lays out the vertical scrollbar as needed, then draws the TreeView into an offscreen image.

redrawTriggered. Variable in class symantec.itools.awt.TreeView

Flag indicating repaint() shoud redraw the entire image even if the component size has not changed.

redrawWasSupressed. Variable in class symantec.itools.awt.MultiList

Redraw would have occurred if it hadn't been suppressed.

ref. Variable in class java.rmi.server.RemoteObject

refresh(). Method in interface symantec.itools.db.awt.DataSource

Requests the data source reread it data.

refresh(). Method in class symantec.itools.db.awt.DbaDataStore

Requests the data store get the values from the database again.

refresh(). Method in class symantec.itools.db.awt.DbDataSource

Requests the data source reread it data.

refresh(). Method in interface symantec.itools.db.awt.DbDataStore

Requests the data store get the values from the database again.

refresh(). Method in class symantec.itools.db.awt.DefaultDataSource

Requests the data source reread it data.

regionMatches(boolean, int, String, int, int). Method in class java.lang.String

Tests if two string regions are equal.

regionMatches(int, String, int, int). Method in class java.lang.String

Tests if two string regions are equal.

registerDriver(Driver). Static method in class java.sql.DriverManager

A newly loaded driver class should call registerDriver to make itself known to the DriverManager.

registerEditor(Class, Class). Static method in class java.beans.PropertyEditorManager

Register an editor class to be used to editor values of a given target class.

registerListeners(). Method in class symantec.itools.db.awt.Checkbox

Registers the standard event listener(s) for this component.

registerListeners(). Method in class symantec.itools.db.awt.ComboBox

Registers the standard event listener(s) for this component.

registerListeners(). Method in class symantec.itools.db.awt.FormattedTextField

Registers the standard event listener(s) for this component.

registerListeners(). Method in class symantec.itools.db.awt.ImageViewer

Registers the standard event listener(s) for this component.

registerListeners(). Method in class symantec.itools.db.awt.Label

Registers the standard event listener(s) for this component.

registerListeners(). Method in class symantec.itools.db.awt.List

Registers the standard event listener(s) for this component.

registerListeners(). Method in class symantec.itools.db.awt.ListPlus

Registers the standard event listener(s) for this component.

registerListeners(). Method in class symantec.itools.db.awt.NervousText

Registers the standard event listener(s) for this component.

registerListeners(). Method in interface symantec.itools.db.awt.ProjectionBean

Registers the standard event listener(s) for this component.

registerListeners(). Method in class symantec.itools.db.awt.RadioBox

Registers the standard event listener(s) for this component.

registerListeners(). Method in class symantec.itools.db.awt.StateCheckBox

Registers the standard event listener(s) for this component.

registerListeners(). Method in class symantec.itools.db.awt.TextArea

Registers the standard event listener(s) for this component.

registerListeners(). Method in class symantec.itools.db.awt.TextField

Registers the standard event listener(s) for this component.

registerOutParameter(int, int). Method in interface java.sql.CallableStatement

Before executing a stored procedure call, you must explicitly call registerOutParameter to register the java.sql.Type of each out parameter.

registerOutParameter(int, int, int). Method in interface java.sql.CallableStatement

Use this version of registerOutParameter for registering Numeric or Decimal out parameters.

registerValidation(ObjectInputValidation, int). Method in class java.io.ObjectInputStream

Register an object to be validated before the graph is returned.

REGISTRY_ID. Static variable in class java.rmi.server.ObjID

well-known id for the registry

REGISTRY_PORT. Static variable in interface java.rmi.registry.Registry

Well known port for registry

registryImpl(int). Method in interface java.rmi.registry.RegistryHandler

Constructs and exports a Registry on the specified port.

registryStub(String, int). Method in interface java.rmi.registry.RegistryHandler

Returns a "stub" for contacting a remote registry on the specified host and port.

rehash(). Method in class java.util.Hashtable

Rehashes the contents of the hashtable into a hashtable with a larger capacity.

RelationView(AutoDetail). Constructor for class symantec.itools.db.pro.RelationView

Constructs a detail RelationView using the information in the given AutoDetail object.

RelationView(Request). Constructor for class symantec.itools.db.pro.RelationView

Constructs a RelationView using the information in the given Request.

RelationViewEditor(). Constructor for class symantec.itools.db.awt.RelationViewEditor

Constructs a default RelationViewEditor.

RelationViewPlus(AutoDetail). Constructor for class symantec.itools.db.pro.RelationViewPlus

Constructs the detail RelationViewPlus object using the given AutoDetail information.

RelationViewPlus(Request). Constructor for class symantec.itools.db.pro.RelationViewPlus

Constructs the RelationViewPlus object using the given Request information.

RELATIVE. Static variable in class java.awt.GridBagConstraints

Specify that this component is the next-to-last component in its column or row (gridwidth, gridheight), or that this component be placed next to the previously added component (gridx, gridy).

RelativeURL(). Constructor for class symantec.itools.net.RelativeURL

Don’t use, this is an all-static class.

releaseConnection(). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Releases the connection this RecordDefinition uses.

releaseConnection(String). Method in class symantec.itools.db.beans.jdbc.ConnectionManager

This method is used by a RecordDefinition to release its JdbcConnection.

released. Variable in class symantec.itools.awt.ButtonBase

True if the button has been released.

releaseInputStream(). Method in interface java.rmi.server.RemoteCall

Release the input stream.

releaseOutputStream(). Method in interface java.rmi.server.RemoteCall

Release the output stream; in some transports this would release the stream.

REMAINDER. Static variable in class java.awt.GridBagConstraints

Specify that this component is the last component in its column or row.

remainder(BigInteger). Method in class java.math.BigInteger

Returns a BigInteger whose value is (this % val).

remoteEquals(RemoteRef). Method in interface java.rmi.server.RemoteRef

Compares two remote objects for equality.

RemoteException(). Constructor for class java.rmi.RemoteException

Create a remote exception

RemoteException(String). Constructor for class java.rmi.RemoteException

Create a remote exception with the specified string

RemoteException(String, Throwable). Constructor for class java.rmi.RemoteException

Create a remote exception with the specified string, and the exception specified.

remoteHashCode(). Method in interface java.rmi.server.RemoteRef

Returns a hashcode for a remote object.

RemoteObject(). Constructor for class java.rmi.server.RemoteObject

Create a remote object.

RemoteObject(RemoteRef). Constructor for class java.rmi.server.RemoteObject

Create a remote object, initialized with the specified remote reference.

RemoteServer(). Constructor for class java.rmi.server.RemoteServer

RemoteServer(RemoteRef). Constructor for class java.rmi.server.RemoteServer

RemoteStub(). Constructor for class java.rmi.server.RemoteStub

Constructor for RemoteStub.

RemoteStub(RemoteRef). Constructor for class java.rmi.server.RemoteStub

Constructor for RemoteStub, with the specified remote reference.

remoteToString(). Method in interface java.rmi.server.RemoteRef

Returns a String that represents the reference of this remote object.

remove(ActionListener, ActionListener). Static method in class java.awt.AWTEventMulticaster

Removes the old action-listener from action-listener-l and returns the resulting multicast listener.

remove(AdjustmentListener, AdjustmentListener). Static method in class java.awt.AWTEventMulticaster

Removes the old adjustment-listener from adjustment-listener-l and returns the resulting multicast listener.

remove(Component). Method in class symantec.itools.awt.BaseTabbedPanel

Removes the specified component from this container.

remove(Component). Method in class symantec.itools.awt.BorderPanel

Removes the specified component from this container.

remove(Component). Method in class java.awt.Container

Removes the specified component from this container.

remove(Component). Method in class symantec.itools.awt.InfoTipPanel

Removes the specified component from this container.

remove(Component). Method in class symantec.itools.awt.SplitterPanel

Removes the specified component from this container.

remove(Component). Method in class symantec.itools.awt.TabPanel

Removes the specified component from this container.

remove(Component). Method in class symantec.itools.awt.Wizard

Removes the specified component from this container.

remove(ComponentListener, ComponentListener). Static method in class java.awt.AWTEventMulticaster

Removes the old component-listener from component-listener-l and returns the resulting multicast listener.

remove(ContainerListener, ContainerListener). Static method in class java.awt.AWTEventMulticaster

Removes the old container-listener from container-listener-l and returns the resulting multicast listener.

remove(EventListener). Method in class java.awt.AWTEventMulticaster

Removes a listener from this multicaster and returns the resulting multicast listener.

remove(FocusListener, FocusListener). Static method in class java.awt.AWTEventMulticaster

Removes the old focus-listener from focus-listener-l and returns the resulting multicast listener.

remove(int). Method in class symantec.itools.awt.BorderPanel

Removes the component at the specified index from this container.

remove(int). Method in class java.awt.Choice

Removes an item from the choice menu at the specified position.

remove(int). Method in interface java.awt.peer.ChoicePeer

remove(int). Method in class java.awt.Container

Removes the component, specified by index, from this container.

remove(int). Method in class symantec.itools.awt.KeyPressManagerPanel

Removes the component at the specified zero-relative index from this container.

remove(int). Method in class java.awt.List

Remove the item at the specified position from this scrolling list.

remove(int). Method in class java.awt.Menu

Removes the menu item at the specified index from this menu.

remove(int). Method in class java.awt.MenuBar

Removes the menu located at the specified index from this menu bar.

remove(int). Method in class symantec.itools.awt.RadioButtonGroupPanel

Removes the component at the specified index from this container.

remove(ItemListener, ItemListener). Static method in class java.awt.AWTEventMulticaster

Removes the old item-listener from item-listener-l and returns the resulting multicast listener.

remove(KeyListener, KeyListener). Static method in class java.awt.AWTEventMulticaster

Removes the old key-listener from key-listener-l and returns the resulting multicast listener.

remove(MenuComponent). Method in class java.awt.Component

Removes the specified popup menu from the component.

remove(MenuComponent). Method in class java.awt.Frame

Removes the specified menu bar from this frame.

remove(MenuComponent). Method in class java.awt.Menu

Removes the specified menu item from this menu.

remove(MenuComponent). Method in class java.awt.MenuBar

Removes the specified menu component from this menu bar.

remove(MenuComponent). Method in interface java.awt.MenuContainer

remove(MouseListener, MouseListener). Static method in class java.awt.AWTEventMulticaster

Removes the old mouse-listener from mouse-listener-l and returns the resulting multicast listener.

remove(MouseMotionListener, MouseMotionListener). Static method in class java.awt.AWTEventMulticaster

Removes the old mouse-motion-listener from mouse-motion-listener-l and returns the resulting multicast listener.

remove(Object). Method in class java.util.Dictionary

Removes the key (and its corresponding value) from this dictionary.

remove(Object). Method in class java.util.Hashtable

Removes the key (and its corresponding value) from this hashtable.

remove(String). Method in class java.awt.Choice

Remove the first occurrence of item from the Choice menu.

remove(String). Method in class java.awt.List

Removes the first occurrence of an item from the list.

remove(String). Method in class symantec.itools.awt.TreeView

Removes the node with the given text from the TreeView.

remove(TextListener, TextListener). Static method in class java.awt.AWTEventMulticaster

remove(TreeNode). Method in class symantec.itools.awt.TreeView

Removes the given node from the TreeView.

remove(WindowListener, WindowListener). Static method in class java.awt.AWTEventMulticaster

Removes the old window-listener from window-listener-l and returns the resulting multicast listener.

removeActionListener(ActionListener). Method in class java.awt.Button

Removes the specified action listener so that it no longer receives action events from this button.

removeActionListener(ActionListener). Method in class symantec.itools.awt.ButtonBase

Removes the specified action listener so it no longer receives action events from this button.

removeActionListener(ActionListener). Method in class symantec.itools.awt.util.Calendar

Removes the specified action listener so it no longer receives action events from this button.

removeActionListener(ActionListener). Method in class symantec.itools.awt.ComboBox

Removes the specified action listener so it no longer receives action events.

removeActionListener(ActionListener). Method in class symantec.itools.awt.ImageListBox

Removes the specified action listener so it no longer receives action events from this component.

removeActionListener(ActionListener). Method in class symantec.itools.awt.InvisibleButton

Removes the specified action listener so it no longer receives action events from this button.

removeActionListener(ActionListener). Method in class java.awt.List

Removes the specified action listener so that it no longer receives action events from this list.

removeActionListener(ActionListener). Method in class java.awt.MenuItem

Removes the specified action listener so it no longer receives action events from this menu item.

removeActionListener(ActionListener). Method in class symantec.itools.awt.MultiList

Removes the specified action listener so it no longer receives action events from this object.

removeActionListener(ActionListener). Method in class symantec.itools.awt.RollOverButton

Removes the specified action listener so it no longer receives action events from this button.

removeActionListener(ActionListener). Method in class symantec.itools.awt.Slider

Removes the specified action listener so it no longer receives action events from this component.

removeActionListener(ActionListener). Method in class symantec.itools.multimedia.SlideShow

Removes the specified action listener so it no longer receives action events from this button.

removeActionListener(ActionListener). Method in class symantec.itools.awt.util.spinner.SpinButtonPanel

Removes the specified action listener so it no longer receives action events from this component.

removeActionListener(ActionListener). Method in class symantec.itools.awt.util.spinner.Spinner

Removes the specified action listener so it no longer receives action events from this component.

removeActionListener(ActionListener). Method in class symantec.itools.awt.StateCheckBox

Removes the specified action listener so it no longer receives action events from this button.

removeActionListener(ActionListener). Method in class java.awt.TextField

Removes the specified action listener so that it no longer receives action events from this text field.

removeActionListener(ActionListener). Method in class symantec.itools.util.Timer

Removes the specified action listener so it no longer receives action events from this button.

removeActionListener(ActionListener). Method in class symantec.itools.awt.TreeView

Removes the specified action listener so it no longer receives action events from this button.

removeActionListener(ActionListener). Method in class symantec.itools.awt.Wizard

Removes the specified action listener so that it no longer receives action events from the Finish button.

removeAdjustmentListener(AdjustmentListener). Method in interface java.awt.Adjustable

Removes an adjustment listener.

removeAdjustmentListener(AdjustmentListener). Method in class java.awt.Scrollbar

Removes the specified adjustment listener so that it no longer receives instances of AdjustmentEvent from this scroll bar.

removeAlignStyleListener(PropertyChangeListener). Method in class symantec.itools.awt.LabelButton

Removes a listener for the AlignStyle property changes.

removeAlignStyleListener(VetoableChangeListener). Method in class symantec.itools.awt.LabelButton

Removes a vetoable listener for the AlignStyle property changes.

removeAll(). Method in class symantec.itools.awt.BaseTabbedPanel

Removes all the components from this container.

removeAll(). Method in class symantec.itools.awt.BorderPanel

Removes all the components from this container.

removeAll(). Method in class java.awt.Choice

Removes all items from the choice menu.

removeAll(). Method in class java.awt.Container

Removes all the components from this container.

removeAll(). Method in class symantec.itools.awt.InfoTipPanel

Removes all the components from this container.

removeAll(). Method in class symantec.itools.awt.KeyPressManagerPanel

Removes all the components from this container.

removeAll(). Method in class java.awt.List

Removes all items from this list.

removeAll(). Method in interface java.awt.peer.ListPeer

removeAll(). Method in class java.awt.Menu

Removes all items from this menu.

removeAll(). Method in class symantec.itools.awt.RadioButtonGroupPanel

Removes all the components from this container.

removeAll(). Method in class symantec.itools.awt.SplitterPanel

Removes all the components from this container.

removeAllElements(). Method in class symantec.itools.awt.Matrix

Removes all elements of the matrix.

removeAllElements(). Method in class java.util.Vector

Removes all components from this vector and sets its size to zero.

removeAllPages(). Method in class symantec.itools.awt.Wizard

Removes all pages and their associated components, clearing the Wizard entirely.

removeAllTabPanels(). Method in class symantec.itools.awt.TabPanel

Removes all tabs and their associated panels, clearing the TabPanel entirely.

removeAllTabs(). Method in class symantec.itools.awt.BaseTabbedPanel

Removes all tabs.

removeArrowIndentListener(PropertyChangeListener). Method in class symantec.itools.awt.DirectionButton

Removes a listener for the ArrowIndent property changes.

removeArrowIndentListener(VetoableChangeListener). Method in class symantec.itools.awt.DirectionButton

Removes a vetoable listener for the ArrowIndent property changes.

removeBevelHeightListener(PropertyChangeListener). Method in class symantec.itools.awt.ButtonBase

Removes a listener for the BevelHeight property changes.

removeBevelHeightListener(VetoableChangeListener). Method in class symantec.itools.awt.ButtonBase

Removes a vetoable listener for the BevelHeight property changes.

removeBevelStyleListener(PropertyChangeListener). Method in class symantec.itools.awt.BorderPanel

Removes a listener for Orienation changes.

removeBevelStyleListener(VetoableChangeListener). Method in class symantec.itools.awt.BorderPanel

Removes a vetoable listener for BevelStyle changes.

removeBoxWidthListener(PropertyChangeListener). Method in class symantec.itools.awt.util.ProgressBar

Removes a listener for the BoxWidth property changes.

removeBoxWidthListener(VetoableChangeListener). Method in class symantec.itools.awt.util.ProgressBar

Removes a vetoable listener for the BoxWidth property changes.

removeCancelButton(). Method in class symantec.itools.awt.KeyPressManagerPanel

Removes Escape key association with current Cancel button/event.

removeCertificate(Certificate). Method in class java.security.Identity

Removes a certificate from this identity.

removeCharAtIndex(String, int). Static method in class symantec.itools.util.GeneralUtils

Remove a character at the given index from the given string

removeComponentListener(ComponentListener). Method in class java.awt.Component

Removes the specified component listener so that it no longer receives component events from this component.

removeConnectFailedListener(ConnectFailedListener). Method in class symantec.itools.db.beans.jdbc.JdbcConnection

Removes the specified ConnectFailedListener from the internal list.

removeConsumer(ImageConsumer). Method in class java.awt.image.FilteredImageSource

Removes an ImageConsumer from the list of consumers interested in data for this image.

removeConsumer(ImageConsumer). Method in interface java.awt.image.ImageProducer

This method removes the given ImageConsumer object from the list of consumers currently registered to receive image data.

removeConsumer(ImageConsumer). Method in class java.awt.image.MemoryImageSource

Remove an ImageConsumer from the list of consumers interested in data for this image.

removeContainerListener(ContainerListener). Method in class symantec.itools.awt.BorderPanel

Removes the specified container listener so it no longer receives container events from this container.

removeContainerListener(ContainerListener). Method in class java.awt.Container

Removes the specified container listener so it no longer receives container events from this container.

removeCurrentListener(PropertyChangeListener). Method in class symantec.itools.awt.util.spinner.Spinner

Removes a listener for the current property changes.

removeCurrentListener(VetoableChangeListener). Method in class symantec.itools.awt.util.spinner.Spinner

Removes a vetoable listener for the current property changes.

removeCurrentTabListener(PropertyChangeListener). Method in class symantec.itools.awt.BaseTabbedPanel

Removes a listener for the CurrentTab property changes.

removeCurrentTabListener(VetoableChangeListener). Method in class symantec.itools.awt.BaseTabbedPanel

Removes a vetoable listener for the CurrentTab property changes.

removeDefaultButton(). Method in class symantec.itools.awt.KeyPressManagerPanel

Removes Enter/Return key association with current default button/event.

removeDirectionListener(PropertyChangeListener). Method in class symantec.itools.awt.DirectionButton

Removes a listener for the Direction property changes.

removeDirectionListener(VetoableChangeListener). Method in class symantec.itools.awt.DirectionButton

Removes a vetoable listener for the Direction property changes.

removeElement(Object). Method in class java.util.Vector

Removes the first occurrence of the argument from this vector.

removeElementAt(int). Method in class java.util.Vector

Deletes the component at the specified index.

removeElementAt(int, int). Method in class symantec.itools.awt.Matrix

Deletes the element at the specified row and column.

removeEntry(Principal, AclEntry). Method in interface java.security.acl.Acl

Removes an ACL entry from this ACL.

removeExceptionEventListener(ExceptionEventListener). Method in class symantec.itools.db.beans.binding.QueryNavigator

Removes a listener for ExceptionEvents.

removeFocusListener(FocusListener). Method in class java.awt.Component

Removes the specified focus listener so that it no longer receives focus events from this component.

removeFrameListener(PropertyChangeListener). Method in class symantec.itools.awt.ButtonBase

Removes a listener for the Frame property changes.

removeFrameListener(VetoableChangeListener). Method in class symantec.itools.awt.ButtonBase

Removes a vetoable listener for the Frame property changes.

removeGapWidthListener(PropertyChangeListener). Method in class symantec.itools.awt.util.ProgressBar

Removes a listener for the GapWidth property changes.

removeGapWidthListener(VetoableChangeListener). Method in class symantec.itools.awt.util.ProgressBar

Removes a vetoable listener for the GapWidth property changes.

removeIdentity(Identity). Method in class java.security.IdentityScope

Removes an identity from this identity scope.

removeImage(Image). Method in class java.awt.MediaTracker

Remove the specified image from this media tracker.

removeImage(Image, int). Method in class java.awt.MediaTracker

Remove the specified image from the specified tracking ID of this media tracker.

removeImage(Image, int, int, int). Method in class java.awt.MediaTracker

Remove the specified image with the specified width, height, and ID from this media tracker.

removeImageStyleListener(PropertyChangeListener). Method in class symantec.itools.awt.ImageButton

Removes a listener for the ImageStyle property changes.

removeImageStyleListener(VetoableChangeListener). Method in class symantec.itools.awt.ImageButton

Removes a vetoable listener for the ImageStyle property changes.

removeInternal(EventListener, EventListener). Static method in class java.awt.AWTEventMulticaster

Returns the resulting multicast listener after removing the old listener from listener-l.

removeItemListener(ItemListener). Method in class java.awt.Checkbox

Removes the specified item listener so that the item listener no longer receives item events from this check box.

removeItemListener(ItemListener). Method in class java.awt.CheckboxMenuItem

Removes the specified item listener so that it no longer receives item events from this check box menu item.

removeItemListener(ItemListener). Method in class java.awt.Choice

Removes the specified item listener so that it no longer receives item events from this Choice menu.

removeItemListener(ItemListener). Method in class symantec.itools.awt.ImageListBox

Removes the specified item listener so it no longer receives item events.

removeItemListener(ItemListener). Method in interface java.awt.ItemSelectable

Removes an item listener.

removeItemListener(ItemListener). Method in class java.awt.List

Removes the specified item listener so that it no longer receives item events from this list.

removeItemListener(ItemListener). Method in class symantec.itools.awt.MultiList

Removes the specified item listener so it no longer receives item events from this object.

removeItemListener(ItemListener). Method in class symantec.itools.awt.RadioButtonGroupPanel

Removes the specified Item listener so it no longer receives Item events from this component.

removeItemListener(ItemListener). Method in class symantec.itools.awt.TreeView

Removes an item listener.

removeKeyListener(KeyListener). Method in class java.awt.Component

Removes the specified key listener so that it no longer receives key events from this component.

removeLayoutComponent(Component). Method in class java.awt.BorderLayout

Removes the specified component from this border layout.

removeLayoutComponent(Component). Method in class java.awt.CardLayout

Removes the specified component from the layout.

removeLayoutComponent(Component). Method in class java.awt.FlowLayout

Removes the specified component from the layout.

removeLayoutComponent(Component). Method in class java.awt.GridBagLayout

Removes the specified component from this layout.

removeLayoutComponent(Component). Method in class java.awt.GridLayout

Removes the specified component from the layout.

removeLayoutComponent(Component). Method in interface java.awt.LayoutManager

Removes the specified component from the layout.

removeMaxListener(PropertyChangeListener). Method in class symantec.itools.awt.util.spinner.ListSpinner

Removes a listener for the max property changes.

removeMaxListener(PropertyChangeListener). Method in class symantec.itools.awt.util.spinner.Spinner

Removes a listener for the max property changes.

removeMaxListener(VetoableChangeListener). Method in class symantec.itools.awt.util.spinner.ListSpinner

Removes a vetoable listener for the max property changes.

removeMaxListener(VetoableChangeListener). Method in class symantec.itools.awt.util.spinner.Spinner

Removes a vetoable listener for the max property changes.

removeMaxValueListener(PropertyChangeListener). Method in class symantec.itools.awt.Slider

Removes a listener for the max property changes.

removeMaxValueListener(VetoableChangeListener). Method in class symantec.itools.awt.Slider

Removes a vetoable listener for the max property changes.

removeMember(Principal). Method in interface java.security.acl.Group

Removes the specified member from the group.

removeMinListener(PropertyChangeListener). Method in class symantec.itools.awt.util.spinner.Spinner

Removes a listener for the min property changes.

removeMinListener(VetoableChangeListener). Method in class symantec.itools.awt.util.spinner.Spinner

Removes a vetoable listener for the min property changes.

removeMinValueListener(PropertyChangeListener). Method in class symantec.itools.awt.Slider

Removes a listener for the min property changes.

removeMinValueListener(VetoableChangeListener). Method in class symantec.itools.awt.Slider

Removes a vetoable listener for the min property changes.

removeMouseListener(MouseListener). Method in class java.awt.Component

Removes the specified mouse listener so that it no longer receives mouse events from this component.

removeMouseMotionListener(MouseMotionListener). Method in class java.awt.Component

Removes the specified mouse motion listener so that it no longer receives mouse motion events from this component.

removeNotify(). Method in class symantec.itools.awt.BaseTabbedPanel

Tells this component that it is being removed from a container.

removeNotify(). Method in class symantec.itools.awt.BorderPanel

Tells this component that it is being removed from a container.

removeNotify(). Method in class symantec.itools.awt.ButtonBase

Tells this component that it is being removed from a container.

removeNotify(). Method in class symantec.itools.awt.util.Calendar

Tells this component that it is being removed from a container.

removeNotify(). Method in class symantec.itools.awt.ComboBox

Tells this component that it is being removed from a container.

removeNotify(). Method in class java.awt.Component

Notifies this component that it has been removed from its container and if a peers exists, it destroys it.

removeNotify(). Method in class java.awt.Container

Notifies this container and all of its subcomponents to remove their peers.

removeNotify(). Method in class symantec.itools.awt.DirectionButton

Tells this component that it is being removed from a container.

removeNotify(). Method in class symantec.itools.multimedia.Firework

Tells this component that it is being removed from a container.

removeNotify(). Method in class symantec.itools.awt.FormattedTextField

Tells this component that it is being removed from a container.

removeNotify(). Method in class symantec.itools.awt.HorizontalSlider

Tells this component that it is being removed from a container.

removeNotify(). Method in class symantec.itools.awt.ImageButton

Tells this component that it is being removed from a container.

removeNotify(). Method in class symantec.itools.awt.ImageListBox

Tells this component that it is being removed from a container.

removeNotify(). Method in class symantec.itools.awt.InfoTipPanel

Tells this component that it is being removed from a container.

removeNotify(). Method in class symantec.itools.awt.InvisibleButton

Tells this component that it is being removed from a container.

removeNotify(). Method in class symantec.itools.awt.InvisibleHTMLLink

Tells this component that it is being removed from a container.

removeNotify(). Method in class symantec.itools.awt.LabelButton

Tells this component that it is being removed from a container.

removeNotify(). Method in class java.awt.List

Removes the peer for this list.

removeNotify(). Method in class symantec.itools.awt.util.spinner.ListSpinner

Tells this component that it is being removed from a container.

removeNotify(). Method in class java.awt.Menu

Removes the menu's peer.

removeNotify(). Method in class java.awt.MenuBar

Removes the menu bar's peer.

removeNotify(). Method in class java.awt.MenuComponent

Removes the menu component's peer.

removeNotify(). Method in class symantec.itools.awt.MultiList

Tells this component that it is being removed from a container.

removeNotify(). Method in class symantec.itools.multimedia.NervousText

Tells this component that it is being removed from a container.

removeNotify(). Method in class symantec.itools.multimedia.Plasma

Tells this component that it is being removed from a container.

removeNotify(). Method in class symantec.itools.awt.util.ProgressBar

Tells this component that it is being removed from a container.

removeNotify(). Method in class symantec.itools.awt.RadioButtonGroupPanel

Tells this component that it is being removed from a container.

removeNotify(). Method in class symantec.itools.awt.RollOverButton

Tells this component that it is being removed from a container.

removeNotify(). Method in class symantec.itools.multimedia.ScrollingText

Tells this component that it is being removed from a container.

removeNotify(). Method in class symantec.itools.awt.Slider

Tells this component that it is being removed from a container.

removeNotify(). Method in class symantec.itools.awt.util.spinner.SpinButtonPanel

Tells this component that it is being removed from a container.

removeNotify(). Method in class symantec.itools.awt.util.spinner.Spinner

Tells this component that it is being removed from a container.

removeNotify(). Method in class symantec.itools.awt.SplitterPanel

Tells this component that it is being removed from a container.

removeNotify(). Method in class symantec.itools.awt.StateCheckBox

Tells this component that it is being removed from a container.

removeNotify(). Method in class java.awt.TextComponent

Removes the TextComponent's peer.

removeNotify(). Method in class symantec.itools.awt.util.ToolBarPanel

Tells this component that it is being removed from a container.

removeNotify(). Method in class symantec.itools.awt.util.ToolBarSpacer

Tells this component that it is being removed from a container.

removeNotify(). Method in class symantec.itools.awt.TreeView

Tells this component that it is being removed from a container.

removeNotify(). Method in class symantec.itools.awt.VerticalSlider

Tells this component that it is being removed from a container.

removeNotify(). Method in class symantec.itools.awt.Wizard

Tells this component that it is being removed from a container.

removeOrientationListener(PropertyChangeListener). Method in class symantec.itools.awt.util.ToolBarPanel

Removes a listener for Orienation changes.

removeOrientationListener(VetoableChangeListener). Method in class symantec.itools.awt.util.ToolBarPanel

Removes a vetoable listener for Orienation changes.

removePageAt(int). Method in class symantec.itools.awt.Wizard

Removes a page and its associated component at the given index.

removePermission(Permission). Method in interface java.security.acl.AclEntry

Removes the specified permission from this ACL entry.

removePropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.multimedia.Animator

Removes a listener for all event changes.

removePropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.BaseTabbedPanel

Removes a listener for all property changes.

removePropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.BorderPanel

Removes a listener for all event changes.

removePropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.ButtonBase

Removes a listener for all event changes.

removePropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.util.Calendar

Removes a listener for all property change events.

removePropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.ComboBox

Removes a listener for all event changes.

removePropertyChangeListener(PropertyChangeListener). Method in interface java.beans.Customizer

Remove a listener for the PropertyChange event.

removePropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.DirectionButton

Removes a listener for all event changes.

removePropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.ImageButton

Removes a listener for all event changes.

removePropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.ImageListBox

Removes a listener for all event changes.

removePropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.ImagePanel

Removes a listener for all event changes.

removePropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.multimedia.ImageViewer

Removes a listener for all event changes.

removePropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.InfoTipPanel

Removes a listener for all event changes.

removePropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.InvisibleButton

Removes a listener for all event changes.

removePropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.InvisibleHTMLLink

Removes a listener for all event changes.

removePropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.Label3D

Removes a listener for all event changes.

removePropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.LabelButton

Removes a listener for all event changes.

removePropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.shape.Line

Removes a listener for all property change events.

removePropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.util.spinner.ListSpinner

Removes a listener for all property change events.

removePropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.multimedia.MovingAnimation

Removes a listener for all event changes.

removePropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.MultiList

Removes a listener for all property change events.

removePropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.multimedia.NervousText

Removes a listener for all event changes.

removePropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.util.spinner.NumericSpinner

Removes a listener for all property change events.

removePropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.util.ProgressBar

Removes a listener for all event changes.

removePropertyChangeListener(PropertyChangeListener). Method in class java.beans.PropertyChangeSupport

Remove a PropertyChangeListener from the listener list.

removePropertyChangeListener(PropertyChangeListener). Method in interface java.beans.PropertyEditor

Remove a listener for the PropertyChange event.

removePropertyChangeListener(PropertyChangeListener). Method in class java.beans.PropertyEditorSupport

Remove a listener for the PropertyChange event.

removePropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.RadioButtonGroupPanel

Removes a listener for all event changes.

removePropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.RollOverButton

Removes a listener for all event changes.

removePropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.multimedia.ScrollingText

Removes a listener for all event changes.

removePropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.shape.Shape

Removes a listener for all property change events.

removePropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.Slider

Removes a listener for all event changes.

removePropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.multimedia.SlideShow

Removes a listener for all event changes.

removePropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.multimedia.SoundPlayer

Removes a listener for all event changes.

removePropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.util.spinner.SpinButtonPanel

Removes a listener for all property change events.

removePropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.util.spinner.Spinner

Removes a listener for all property change events.

removePropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.SplitterPanel

Removes a listener for all event changes.

removePropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.StateCheckBox

Removes a listener for all event changes.

removePropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.StatusBar

Removes a listener for all event changes.

removePropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.util.StatusScroller

Removes a listener for all property change events.

removePropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.TabPanel

Removes a listener for all event changes.

removePropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.util.Timer

Removes a listener for all property change events.

removePropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.util.ToolBarPanel

Removes a listener for all event changes.

removePropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.util.ToolBarSpacer

Removes a listener for all event changes.

removePropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.Wizard

Removes a listener for all event changes.

removePropertyChangeListener(PropertyChangeListener). Method in class symantec.itools.awt.WrappingLabel

Removes a listener for all event changes.

removePropertyChangeListener(String, PropertyChangeListener). Method in class symantec.itools.beans.PropertyChangeSupport

Removes a PropertyChangeListener from the listener list.

removeProvider(String). Static method in class java.security.Security

Removes the provider with the specified name.

removeRow(int). Method in class symantec.itools.awt.Matrix

Deletes all elements on the specified row.

removeRow(int). Method in class symantec.itools.awt.MultiList

Removes a single row from the MultiList.

removeSelected(). Method in class symantec.itools.awt.TreeView

Removes the currently selected node from the TreeView.

removeSelectedRadioButtonIndexListener(PropertyChangeListener). Method in class symantec.itools.awt.RadioButtonGroupPanel

Removes a listener for the SelectedRadioButtonIndex property changes.

removeSelectedRadioButtonIndexListener(VetoableChangeListener). Method in class symantec.itools.awt.RadioButtonGroupPanel

Removes a vetoable listener for the SelectedRadioButtonIndex property changes.

removeSelectionBorder(). Method in class symantec.itools.awt.MultiList

If there is a selected row, it removes the selection border from it.

removeSpaceListener(PropertyChangeListener). Method in class symantec.itools.awt.util.ToolBarSpacer

Removes a listener for Space changes.

removeSpaceListener(VetoableChangeListener). Method in class symantec.itools.awt.util.ToolBarSpacer

Removes a vetoable listener for Space changes.

removeSplitTypeListener(PropertyChangeListener). Method in class symantec.itools.awt.SplitterPanel

Removes a property listener for SplitType changes.

removeSplitTypeListener(VetoableChangeListener). Method in class symantec.itools.awt.SplitterPanel

Removes a vetoable listener for SplitType changes.

removeTab(int). Method in class symantec.itools.awt.BaseTabbedPanel

Removes the tab at the specified index.

removeTabPanel(int). Method in class symantec.itools.awt.TabPanel

Removes a tab and its associated panel at the given index.

removeTextListener(TextListener). Method in class java.awt.TextComponent

Removes the specified text event listener so that it no longer receives text events from this textcomponent

removeTextLocationListener(PropertyChangeListener). Method in class symantec.itools.awt.InfoTipPanel

Removes a listener for the TextLocation property changes.

removeTextLocationListener(VetoableChangeListener). Method in class symantec.itools.awt.InfoTipPanel

Removes a vetoable listener for the TextLocation property changes.

removeTriggerUIListener(TriggerUIListener). Method in class symantec.itools.db.beans.binding.QueryNavigator

Removes a listener for the trigger method of the data source.

removeTriggerUIListener(TriggerUIListener). Method in class symantec.itools.db.pro.RelationViewPlus

Removes a TriggerUIEvent listener registered with this component.

removeVerticalAlignStyleListener(PropertyChangeListener). Method in class symantec.itools.awt.LabelButton

Removes a listener for the VerticalAlignStyle property changes.

removeVerticalAlignStyleListener(VetoableChangeListener). Method in class symantec.itools.awt.LabelButton

Removes a vetoable listener for the VerticalAlignStyle property changes.

removeVetoableChangeListener(String, VetoableChangeListener). Method in class symantec.itools.beans.VetoableChangeSupport

Removes a VetoableChangeListener from the listener list.

removeVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.multimedia.Animator

Removes a vetoable listener for all event changes.

removeVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.BaseTabbedPanel

Removes a vetoable listener for all property changes.

removeVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.BorderPanel

Removes a vetoable listener for all event changes.

removeVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.ButtonBase

Removes a vetoable listener for all event changes.

removeVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.util.Calendar

Removes a listener for all vetoable property change events.

removeVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.ComboBox

Removes a vetoable listener for all event changes.

removeVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.DirectionButton

Removes a vetoable listener for all event changes.

removeVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.ImageButton

Removes a vetoable listener for all event changes.

removeVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.ImageListBox

Removes a vetoable listener for all event changes.

removeVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.ImagePanel

Removes a vetoable listener for all event changes.

removeVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.multimedia.ImageViewer

Removes a vetoable listener for all event changes.

removeVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.InfoTipPanel

Removes a vetoable listener for all event changes.

removeVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.InvisibleButton

Removes a vetoable listener for all event changes.

removeVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.InvisibleHTMLLink

Removes a vetoable listener for all event changes.

removeVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.Label3D

Removes a vetoable listener for all event changes.

removeVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.LabelButton

Removes a vetoable listener for all event changes.

removeVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.shape.Line

Removes a listener for all vetoable property change events.

removeVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.util.spinner.ListSpinner

Removes a listener for all vetoable property change events.

removeVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.db.beans.binding.Mediator

Removes a vetoable change listener for the DataBus property.

removeVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.multimedia.MovingAnimation

Removes a vetoable listener for all event changes.

removeVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.MultiList

Removes a listener for all vetoable property change events.

removeVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.multimedia.NervousText

Removes a vetoable listener for all event changes.

removeVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.util.spinner.NumericSpinner

Removes a listener for all vetoable property change events.

removeVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.util.ProgressBar

Removes a vetoable listener for all event changes.

removeVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.RadioButtonGroupPanel

Removes a vetoable listener for all event changes.

removeVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.RollOverButton

Removes a vetoable listener for all event changes.

removeVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.multimedia.ScrollingText

Removes a vetoable listener for all event changes.

removeVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.shape.Shape

Removes a listener for all vetoable property change events.

removeVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.Slider

Removes a vetoable listener for all event changes.

removeVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.multimedia.SlideShow

Removes a vetoable listener for all event changes.

removeVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.multimedia.SoundPlayer

Removes a vetoable listener for all event changes.

removeVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.util.spinner.SpinButtonPanel

Removes a listener for all vetoable property change events.

removeVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.util.spinner.Spinner

Removes a listener for all vetoable property change events.

removeVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.SplitterPanel

Removes a vetoable listener for all event changes.

removeVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.StateCheckBox

Removes a vetoable listener for all event changes.

removeVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.StatusBar

Removes a vetoable listener for all event changes.

removeVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.util.StatusScroller

Removes a listener for all vetoable property change events.

removeVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.TabPanel

Removes a vetoable listener for all event changes.

removeVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.util.Timer

Removes a listener for all vetoable property change events.

removeVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.util.ToolBarPanel

Removes a vetoable listener for all event changes.

removeVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.util.ToolBarSpacer

Removes a vetoable listener for all event changes.

removeVetoableChangeListener(VetoableChangeListener). Method in class java.beans.VetoableChangeSupport

Remove a VetoableChangeListener from the listener list.

removeVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.Wizard

Removes a vetoable listener for all event changes.

removeVetoableChangeListener(VetoableChangeListener). Method in class symantec.itools.awt.WrappingLabel

Removes a vetoable listener for all event changes.

removeWindowListener(WindowListener). Method in class java.awt.Window

Removes the specified window listener so that it no longer receives window events from this window.

renameTo(File). Method in class java.io.File

Renames the file specified by this File object to have the pathname given by the File argument.

repaint(). Method in class java.awt.Component

Repaints this component.

repaint(boolean). Method in class symantec.itools.awt.TreeView

Repaints this component.

repaint(int, int, int, int). Method in class java.awt.Component

Repaints the specified rectangle of this component.

repaint(long). Method in class java.awt.Component

Repaints the component.

repaint(long, int, int, int, int). Method in class java.awt.Component

Repaints the specified rectangle of this component within tm milliseconds.

repaint(long, int, int, int, int). Method in interface java.awt.peer.ComponentPeer

repaintFocus(). Method in class symantec.itools.awt.MultiList

Internal helper routine.

repeat. Variable in class symantec.itools.util.Timer

The value of the Repeat property.

repeating. Variable in class symantec.itools.util.Timer

Internal use.

replace(char, char). Method in class java.lang.String

Returns a new string resulting from replacing all occurrences of oldChar in this string with newChar.

replaceDesignTimeProperties(RecordDefinition. DesignTimeProperties). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Sets the design-time properties to the given new values.

replaceItem(String, int). Method in class java.awt.List

Replaces the item at the specified index in the scrolling list with the new string.

replaceObject(Object). Method in class java.io.ObjectOutputStream

This method will allow trusted subclasses of ObjectOutputStream to substitute one object for another during serialization.

replaceRange(String, int, int). Method in class java.awt.TextArea

Replaces text between the indicated start and end positions with the specified replacement text.

replaceRange(String, int, int). Method in interface java.awt.peer.TextAreaPeer

replaceRunTimeProperties(RecordDefinition. RunTimeProperties). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Sets the run-time properties to the given new values.

replaceText(String, int, int). Method in class java.awt.TextArea

replaceText(String, int, int). Method in interface java.awt.peer.TextAreaPeer

DEPRECATED: Replaced by ReplaceRange(String, int, int).

ReplicateScaleFilter(int, int). Constructor for class java.awt.image.ReplicateScaleFilter

Constructs a ReplicateScaleFilter that scales the pixels from its source Image as specified by the width and height parameters.

Request(Session, ConnectionInfo). Constructor for class symantec.itools.db.pro.Request

Constructs a Request for the given session that has the specified connection information.

requestDataItem(DataBusEvent). Method in class symantec.itools.db.beans.binding.Mediator

Changes the value of the DataItem when requested by the DataBus.

requestDataItem(DataBusEvent). Method in class symantec.itools.db.beans.binding.MediatorDS

Changes the value of the DataItem when requested by the DataBus.

requestFocus(). Method in class java.awt.Component

Requests that this component get the input focus.

requestFocus(). Method in interface java.awt.peer.ComponentPeer

requestTopDownLeftRightResend(ImageConsumer). Method in class java.awt.image.FilteredImageSource

Requests that a given ImageConsumer have the image data delivered one more time in top-down, left-right order.

requestTopDownLeftRightResend(ImageConsumer). Method in interface java.awt.image.ImageProducer

This method is used by an ImageConsumer to request that the ImageProducer attempt to resend the image data one more time in TOPDOWNLEFTRIGHT order so that higher quality conversion algorithms which depend on receiving pixels in order can be used to produce a better output version of the image.

requestTopDownLeftRightResend(ImageConsumer). Method in class java.awt.image.MemoryImageSource

Requests that a given ImageConsumer have the image data delivered one more time in top-down, left-right order.

required. Variable in class java.sql.DriverPropertyInfo

"required" is true if a value must be supplied for this property during Driver.connect.

resendTopDownLeftRight(ImageProducer). Method in class java.awt.image.ImageFilter

Responds to a request for a TopDownLeftRight (TDLR) ordered resend of the pixel data from an ImageConsumer.

RESERVED_ID_MAX. Static variable in class java.awt.AWTEvent

The maximum value for reserved AWT event IDs.

reset(). Method in class java.util.zip.Adler32

Resets checksum to initial value.

reset(). Method in class symantec.itools.db.awt.BasicCell

Resets the values of the cell to their default values.

reset(). Method in class java.io.BufferedInputStream

Repositions this stream to the position at the time the mark method was last called on this input stream.

reset(). Method in class java.io.BufferedReader

Reset the stream to the most recent mark.

reset(). Method in class symantec.itools.db.awt.ButtonCell

Resets the values of the cell to their default values.

reset(). Method in class java.io.ByteArrayInputStream

Resets the buffer to the marked position.

reset(). Method in class java.io.ByteArrayOutputStream

Resets the count field of this byte array output stream to zero, so that all currently accumulated output in the ouput stream is discarded.

reset(). Method in class java.io.CharArrayReader

Reset the stream to the most recent mark, or to the beginning if it has never been marked.

reset(). Method in class java.io.CharArrayWriter

Resets the buffer so that you can use it again without throwing away the already allocated buffer.

reset(). Method in interface java.util.zip.Checksum

Resets the checksum to its initial value.

reset(). Method in class java.text.CollationElementIterator

Resets the cursor to the beginning of the string.

reset(). Method in class java.util.zip.CRC32

Resets CRC-32 to initial value.

reset(). Method in class java.util.zip.Deflater

Resets deflater so that a new set of input data can be processed.

reset(). Method in class java.io.FilterInputStream

Repositions this stream to the position at the time the mark method was last called on this input stream.

reset(). Method in class java.io.FilterReader

Reset the stream.

reset(). Method in class java.util.zip.Inflater

Resets inflater so that a new set of input data can be processed.

reset(). Method in class java.io.InputStream

Repositions this stream to the position at the time the mark method was last called on this input stream.

reset(). Method in class java.io.LineNumberInputStream

Repositions this stream to the position at the time the mark method was last called on this input stream.

reset(). Method in class java.io.LineNumberReader

Reset the stream to the most recent mark.

reset(). Method in class java.security.MessageDigest

Resets the digest for further use.

reset(). Method in class java.io.ObjectOutputStream

Reset will disregard the state of any objects already written to the stream.

reset(). Method in class java.io.Reader

Reset the stream.

reset(). Method in class java.io.StringBufferInputStream

Resets the input stream to begin reading from the first character of this input stream's underlying buffer.

reset(). Method in class java.io.StringReader

Reset the stream to the most recent mark, or to the beginning of the string if it has never been marked.

reset(). Method in interface symantec.itools.db.awt.TableCell

Resets the values of the cell to their default values.

resetChainInfo(). Method in class symantec.itools.awt.SimpleWizardController

Reset the chain information set by setPreviousPageIndex, setNextPageIndex, setPreviousPage, setNextPage, and setXxxEnabled.

resetChainInfo(). Method in interface symantec.itools.awt.WizardController

Reset the chain information set by setPreviousPageIndex, setNextPageIndex, setPreviousPage and setNextPage.

resetCursor(). Method in class symantec.itools.awt.SplitterPanel

Utility method to set the cursor to the default one.

resetKeyManager(). Method in class symantec.itools.awt.KeyPressManagerPanel

Resets all KeyPressManager associations (default button, cancel button, tab stop list).

resetState(). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Resets the current record state and sets the original (old) record values to the current modified (new) values.

resetSyntax(). Method in class java.io.StreamTokenizer

Resets this tokenizer's syntax table so that all characters are "ordinary." See the ordinaryChar method for more information on a character being ordinary.

resetVector(). Method in class symantec.itools.awt.TreeView

Internal helper method.

reshape(int, int, int, int). Method in class symantec.itools.awt.BorderPanel

reshape(int, int, int, int). Method in class symantec.itools.awt.shape.Circle

Moves and/or resizes this component.

reshape(int, int, int, int). Method in class symantec.itools.awt.ComboBox

Moves and/or resizes this component.

reshape(int, int, int, int). Method in class java.awt.Component

reshape(int, int, int, int). Method in interface java.awt.peer.ComponentPeer

DEPRECATED: Replaced by setBounds(int, int, int, int).

reshape(int, int, int, int). Method in class symantec.itools.multimedia.Firework

Moves and/or resizes this component.

reshape(int, int, int, int). Method in class symantec.itools.awt.shape.HorizontalLine

Moves and/or resizes this component.

reshape(int, int, int, int). Method in class symantec.itools.awt.util.spinner.HorizontalSpinButtonPanel

Moves and/or resizes this component.

reshape(int, int, int, int). Method in class symantec.itools.awt.ImageListBox

Moves and/or resizes this component.

reshape(int, int, int, int). Method in class symantec.itools.multimedia.Plasma

Moves and/or resizes this component.

reshape(int, int, int, int). Method in class java.awt.Rectangle

reshape(int, int, int, int). Method in class symantec.itools.multimedia.ScrollingText

Moves and/or resizes this component.

reshape(int, int, int, int). Method in class symantec.itools.awt.shape.Shape

Moves and/or resizes this component.

reshape(int, int, int, int). Method in class symantec.itools.multimedia.SlideShow

reshape(int, int, int, int). Method in class symantec.itools.awt.SplitterPanel

Moves and/or resizes this component.

reshape(int, int, int, int). Method in class symantec.itools.awt.shape.Square

Moves and/or resizes this component.

reshape(int, int, int, int). Method in class symantec.itools.awt.StateCheckBox

Moves and/or resizes this component.

reshape(int, int, int, int). Method in class symantec.itools.awt.shape.VerticalLine

Moves and/or resizes this component.

reshape(int, int, int, int). Method in class symantec.itools.awt.util.spinner.VerticalSpinButtonPanel

Moves and/or resizes this component.

reshape(int, int, int, int). Method in class symantec.itools.awt.WrappingLabel

Moves and/or resizes this component.

reshapeHeight(int, int). Method in class symantec.itools.awt.SplitterPanel

Reshapes the height and/or vertical position.

reshapeInternals(). Method in class symantec.itools.awt.ComboBox

A utility routine to resize the sub-components that make up a ComboBox.

reshapeWidth(int, int). Method in class symantec.itools.awt.SplitterPanel

Reshapes the width and/or horizontal position.

resize(Dimension). Method in class java.applet.Applet

Requests that this applet be resized.

resize(Dimension). Method in class java.awt.Component

resize(int, int). Method in class java.applet.Applet

Requests that this applet be resized.

resize(int, int). Method in class java.awt.Component

resize(int, int). Method in class java.awt.Rectangle

resize(int, int). Method in class symantec.itools.awt.WrappingLabel

Resizes this component.

RESIZE_FUDGE_FACTOR. Static variable in class symantec.itools.awt.MultiList

Fudge factor for resizing of columns.

resizeColumn(int, int). Method in class symantec.itools.db.awt.Grid

Sets the width of a column.

resizeHeadings(int). Method in class symantec.itools.awt.MultiList

Internal helper routine.

resolveClass(Class). Method in class java.lang.ClassLoader

Resolves the class so that an instance of the class can be created, or so that one of its methods can be called.

resolveClass(ObjectStreamClass). Method in class java.io.ObjectInputStream

Subclasses may implement this method to allow classes to be fetched from an alternate source.

resolveObject(Object). Method in class java.io.ObjectInputStream

This method will allow trusted subclasses of ObjectInputStream to substitute one object for another during deserialization.

ResourceBundle(). Constructor for class java.util.ResourceBundle

responseCode. Variable in class java.net.HttpURLConnection

responseMessage. Variable in class java.net.HttpURLConnection

restart(). Method in class symantec.itools.db.pro.MultiView

Restarts the multiview to pick up changes made by the latest save as well as any external changes to the database.

restart(). Method in class symantec.itools.db.beans.binding.QueryNavigator

Starts and executes a query-by-example.

restart(). Method in class symantec.itools.util.Timer

Restarts the timer immediately with the current delay value.

restart(). Method in class symantec.itools.awt.Wizard

Restarts the wizard after usage.

restart(String). Method in class symantec.itools.db.pro.MultiView

Restarts the multiview after modifying the root RelationView's SQL select statement with the newWhereClause.

restartMultiView(). Method in class symantec.itools.db.pro.RelationView

A convenience function which calls the restart method on the containing MultiView.

restartMultiView(String). Method in class symantec.itools.db.pro.RelationView

A convenience function which calls the restart method on the containing MultiView.

resume(). Method in class java.lang.Thread

Resumes a suspended thread.

resume(). Method in class java.lang.ThreadGroup

Resumes all processes in this thread group.

resume(). Method in class symantec.itools.util.Timer

Resumes the timer.

reverse(). Method in class symantec.itools.awt.CompareCells

Toggles the comparison done by the lessThan method.

reverse(). Method in class java.lang.StringBuffer

The character sequence contained in this string buffer is replaced by the reverse of the sequence.

reverseContainersZOrder(Container). Static method in class symantec.itools.util.ZOrderUtils

Reverses the order of all components in a container.

rewind(). Method in class symantec.itools.db.pro.RelationView

Resets this RelationView to its initial record state.

RGBImageFilter(). Constructor for class java.awt.image.RGBImageFilter

RGBtoHSB(int, int, int, float[]). Static method in class java.awt.Color

Converts the components of a color, as specified by the RGB model, to an equivalent set of values for hue, saturation, and brightness, the three components of the HSB model.

right. Variable in class symantec.itools.awt.DirectionButton

The number of pixels to shrink the arrow from the right side of the button.

RIGHT. Static variable in class symantec.itools.awt.DirectionButton

The point RIGHT style constant.

RIGHT. Static variable in class java.awt.Event

The Right Arrow key, a non-ASCII action key.

RIGHT. Static variable in class java.awt.FlowLayout

This value indicates that each row of components should be right-justified.

right. Variable in class java.awt.Insets

The inset from the right.

RIGHT. Static variable in class java.awt.Label

Indicates that the label should be right justified.

RIGHT. Static variable in class symantec.itools.awt.MultiList

Right-justify column alignment constant.

RIGHT. Static variable in class symantec.itools.awt.Wizard

Constant value indicating a layout aligned to the right.

RIGHT_ALIGNMENT. Static variable in class java.awt.Component

Ease-of-use constant for getAlignmentX.

RIGHT_OF_COMPONENT. Static variable in class symantec.itools.awt.InfoTipPanel

Defines the "from right" scroll direction.

rint(double). Static method in class java.lang.Math

returns the closest integer to the argument.

RMISecurityException(String). Constructor for class java.rmi.RMISecurityException

Constructs a RMISecurityException with no detail message.

RMISecurityException(String, String). Constructor for class java.rmi.RMISecurityException

Constructs a RMISecurityException with the specified detail message.

RMISecurityManager(). Constructor for class java.rmi.RMISecurityManager

Construct and initialize.

RMISocketFactory(). Constructor for class java.rmi.server.RMISocketFactory

RocketStyleVariability. Variable in class symantec.itools.multimedia.Firework

Chance of different rocket style.

roll(int, boolean). Method in class java.util.Calendar

Time Field Rolling function.

roll(int, boolean). Method in class java.util.GregorianCalendar

Overrides Calendar Time Field Rolling function.

rollback(). Method in interface java.sql.Connection

Rollback drops all changes made since the previous commit/rollback and releases any database locks currently held by the Connection.

rollback(). Method in interface symantec.itools.db.awt.Data

Requests the value of the data be returned to the last save point.

rollback(). Method in class symantec.itools.db.awt.DbDataSource

Rolls the current cell to its original value.

rollback(). Method in class symantec.itools.db.awt.DefaultData

Requests the value of the data be returned to the last save point.

rollback(). Method in class symantec.itools.db.awt.ImageStringData

Requests the value of the data be returned to the last save point.

rollback(). Method in class symantec.itools.db.beans.jdbc.JdbcConnection

Rollbacks all changes to the database.

rollback(int, int). Method in class symantec.itools.db.awt.DbDataSource

Rolls the current cell to its original value.

rollbackCurrentData(). Method in interface symantec.itools.db.awt.DataSource

Requests the current data element be reset to the previously committed state

rollbackCurrentData(). Method in class symantec.itools.db.awt.DbDataSource

Rolls the current cell to its original value.

rollbackCurrentData(). Method in class symantec.itools.db.awt.DefaultDataSource

Requests the current data element be reset to the previously committed state

RollOverButton(). Constructor for class symantec.itools.awt.RollOverButton

Constructs a default RollOverButton.

RollOverButton(Image, Image, Image). Constructor for class symantec.itools.awt.RollOverButton

Constructs a RollOverButton with an image given for each button state.

RollOverButton(String, String, String). Constructor for class symantec.itools.awt.RollOverButton

Constructs a RollOverButton with an image file name given for each button state.

RollOverButton(URL, URL, URL). Constructor for class symantec.itools.awt.RollOverButton

Constructs a RollOverButton with an image file URL given for each button state.

RollOverButtonBeanInfo(). Constructor for class symantec.itools.awt.RollOverButtonBeanInfo

Constructs a RollOverButtonBeanInfo object.

rootNode. Variable in class symantec.itools.awt.TreeView

root node of tree

ROOTTEMPLATE. Static variable in class symantec.itools.beans.SymantecBeanDescriptor

A constant that specifies root template

round(double). Static method in class java.lang.Math

Returns the closest long to the argument.

round(float). Static method in class java.lang.Math

Returns the closest int to the argument.

ROUND_CEILING. Static variable in class java.math.BigDecimal

If the BigDecimal is positive, behave as for ROUND_UP; if negative, behave as for ROUND_DOWN.

ROUND_DOWN. Static variable in class java.math.BigDecimal

Never increment the digit prior to a discarded fraction (i.e., truncate).

ROUND_FLOOR. Static variable in class java.math.BigDecimal

If the BigDecimal is positive, behave as for ROUND_DOWN; if negative behave as for ROUND_UP.

ROUND_HALF_DOWN. Static variable in class java.math.BigDecimal

Behave as for ROUND_UP if the discarded fraction is > .5; otherwise, behave as for ROUND_DOWN.

ROUND_HALF_EVEN. Static variable in class java.math.BigDecimal

Behave as for ROUND_HALF_UP if the digit to the left of the discarded fraction is odd; behave as for ROUND_HALF_DOWN if it's even.

ROUND_HALF_UP. Static variable in class java.math.BigDecimal

Behave as for ROUND_UP if the discarded fraction is >= .5; otherwise, behave as for ROUND_DOWN.

ROUND_UNNECESSARY. Static variable in class java.math.BigDecimal

This "pseudo-rounding-mode" is actually an assertion that the requested operation has an exact result, hence no rounding is necessary.

ROUND_UP. Static variable in class java.math.BigDecimal

Always increment the digit prior to a non-zero discarded fraction.

ROUNDED. Static variable in class symantec.itools.awt.BaseTabbedPanel

Style constant indicating tabs are to have rounded corners.

row. Variable in class symantec.itools.db.awt.Coordinate

The row of the coordinate.

row(). Method in class symantec.itools.db.awt.BasicCell

Gets the row number for the cell.

row(). Method in class symantec.itools.db.awt.ButtonCell

Gets the row number for the cell.

row(). Method in class symantec.itools.db.awt.Coordinate

Get the row of the coordinate.

row(). Method in interface symantec.itools.db.awt.TableCell

Gets the row number for the cell.

ROW_CHANGE_EVENT. Static variable in interface symantec.itools.db.awt.DataSource

TableView level event that signifies that the current row has changed.

ROW_HEADING. Static variable in interface symantec.itools.db.awt.TableCell

Cell type for a row heading cell.

rowHeights. Variable in class java.awt.GridBagLayout

rows(). Method in interface symantec.itools.db.awt.DataSource

Gets the number of rows of data stored in the data source

rows(). Method in class symantec.itools.db.awt.DbDataSource

Gets the number of rows of data stored in the data source

rows(). Method in class symantec.itools.db.awt.DefaultDataSource

Gets the number of rows of data stored in the data source

rows(). Method in class symantec.itools.awt.Matrix

Returns the number of rows in the matrix.

rowsRetrieved(). Method in class symantec.itools.db.awt.DbaDataStore

Returns the number of rows actually retrieved from the database.

rowsRetrieved(). Method in interface symantec.itools.db.awt.DbDataStore

Gets the number of rows actually retrieved from the database.

rowState(int). Method in interface symantec.itools.db.awt.DataSource

Gets the state of the row.

rowState(int). Method in class symantec.itools.db.awt.DbaDataStore

Gets the current state of the specified row.

rowState(int). Method in class symantec.itools.db.awt.DbDataSource

Gets the state of the row.

rowState(int). Method in interface symantec.itools.db.awt.DbDataStore

Gets the state of the specified row number as defined in the RowState class

rowState(int). Method in class symantec.itools.db.awt.DefaultDataSource

Gets the state of the row.

rowsToShow. Variable in class symantec.itools.awt.ImageListBox

The number of rows to show when this component is automatically laid out.

rowWeights. Variable in class java.awt.GridBagLayout

RuleBasedCollator(String). Constructor for class java.text.RuleBasedCollator

RuleBasedCollator constructor.

run(). Method in class symantec.itools.multimedia.Animator

Body of Animation Thread.

run(). Method in class symantec.itools.multimedia.Firework

Firework thread body.

run(). Method in class symantec.itools.awt.InfoTipPanel

Standard method in the java.lang.Runnable interface.

run(). Method in class symantec.itools.multimedia.MovingAnimation

Body of MovingAnimation Thread.

run(). Method in class symantec.itools.multimedia.NervousText

NervousText thread body.

run(). Method in class symantec.itools.multimedia.Plasma

Plasma thread body.

run(). Method in interface java.lang.Runnable

When an object implementing interface Runnable is used to create a thread, starting the thread causes the object's run method to be called in that separately executing thread.

run(). Method in class symantec.itools.multimedia.ScrollingText

ScrollingText thread body.

run(). Method in class symantec.itools.awt.util.StatusScroller

The body of the StatusScroller Thread.

run(). Method in class java.lang.Thread

If this thread was constructed using a separate Runnable run object, then that Runnable object's run method is called; otherwise, this method does nothing and returns.

run(). Method in class symantec.itools.util.Timer

The thread body.

runFinalization(). Method in class java.lang.Runtime

Runs the finalization methods of any objects pending finalization.

runFinalization(). Static method in class java.lang.System

Runs the finalization methods of any objects pending finalization.

runFinalizersOnExit(boolean). Static method in class java.lang.Runtime

Enable or disable finalization on exit; doing so specifies that the finalizers of all objects that have finalizers that have not yet been automatically invoked are to be run before the Java runtime exits.

runFinalizersOnExit(boolean). Static method in class java.lang.System

Enable or disable finalization on exit; doing so specifies that the finalizers of all objects that have finalizers that have not yet been automatically invoked are to be run before the Java runtime exits.

running. Variable in class symantec.itools.awt.ButtonBase

True if the notify timer is running.

RuntimeException(). Constructor for class java.lang.RuntimeException

Constructs a RuntimeException with no detail message.

RuntimeException(String). Constructor for class java.lang.RuntimeException

Constructs a RuntimeException with the specified detail message.


Index of all Fields and Methods

_ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

S

S_RESIZE_CURSOR. Static variable in class java.awt.Cursor

The south-resize cursor type.

S_RESIZE_CURSOR. Static variable in class java.awt.Frame

sameFile(URL). Method in class java.net.URL

Compares two URLs, excluding the "ref" fields.

SATURDAY. Static variable in class java.util.Calendar

Useful constant for days of week.

SAVE. Static variable in class java.awt.FileDialog

This constant value indicates that the purpose of the file dialog window is to locate a file to which to write.

save(). Method in interface symantec.itools.db.awt.DataSource

Requests the data source save the current state as appopriate.

save(). Method in class symantec.itools.db.awt.DbaDataStore

Saves the current state as appopriate.

save(). Method in class symantec.itools.db.awt.DbDataSource

Requests the data source save the current state as appopriate.

save(). Method in interface symantec.itools.db.awt.DbDataUpdater

Called by the data source when the user requests the data be saved back to the database.

save(). Method in class symantec.itools.db.awt.DefaultDataSource

Requests the data source save the current state as appopriate.

save(). Method in class symantec.itools.db.pro.MultiView

Execute a transaction to store all of the data changes in the MultiView to the backend database.

save(). Method in class symantec.itools.db.beans.binding.QueryNavigator

Saves the current row in the Data Base.

save(). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Saves the current row in the database using the provided connection.

save(ObjectOutputStream, String, EventListener). Static method in class java.awt.AWTEventMulticaster

save(OutputStream, String). Method in class java.util.Properties

Stores this property list to the specified output stream.

SAVE_FILE. Static variable in class java.awt.Event

A file saving event.

saveAll(). Method in class symantec.itools.db.beans.binding.QueryNavigator

Saves all the rows to the database.

saveAll(int). Method in class symantec.itools.db.beans.binding.QueryNavigator

saveIntern(). Method in class symantec.itools.db.beans.binding.QueryNavigator

Save helper method.

saveInternal(ObjectOutputStream, String). Method in class java.awt.AWTEventMulticaster

saveMultiView(). Method in class symantec.itools.db.pro.RelationView

Saves all of the changes made throughout the containing MultiView object.

saveRow(int, TableView). Method in class symantec.itools.db.awt.DefaultTvEventHandler

Helper function called for each selected row if save toolbar button is pressed.

saveView(TableView). Method in class symantec.itools.db.awt.DefaultTvEventHandler

Helper function called if save toolbar button is pressed and no rows are selected.

sbHLineIncrement. Variable in class symantec.itools.awt.TreeView

Horizontal scroll bar unit increment.

sbHPosition. Variable in class symantec.itools.awt.MultiList

The horizontal scrollbar value.

sbHShow. Variable in class symantec.itools.awt.MultiList

Horizontal scrollbar is visible.

sbHShow. Variable in class symantec.itools.awt.TreeView

show or hide horizontal scrollbar

sbHSize. Variable in class symantec.itools.awt.TreeView

size of horizontal scrollbar

sbVPosition. Variable in class symantec.itools.awt.MultiList

The vertical scrollbar value.

sbVShow. Variable in class symantec.itools.awt.MultiList

Vertical scrollbar is visible.

sbVShow. Variable in class symantec.itools.awt.TreeView

show or hide vertical scrollbar

sc. Variable in class symantec.itools.awt.util.Calendar

The spinner that displays/controls the year.

scale(). Method in class java.math.BigDecimal

Returns the scale of this number.

SCALE_AREA_AVERAGING. Static variable in class java.awt.Image

Use the Area Averaging image scaling algorithm.

SCALE_DEFAULT. Static variable in class java.awt.Image

Use the default image-scaling algorithm.

SCALE_FAST. Static variable in class java.awt.Image

Choose an image-scaling algorithm that gives higher priority to scaling speed than smoothness of the scaled image.

SCALE_REPLICATE. Static variable in class java.awt.Image

Use the image scaling algorithm embodied in the ReplicateScaleFilter class.

SCALE_SMOOTH. Static variable in class java.awt.Image

Choose an image-scaling algorithm that gives higher priority to image smoothness than scaling speed.

SCROLL_ABSOLUTE. Static variable in class java.awt.Event

The user has moved the bubble (thumb) in a scroll bar, moving to an "absolute" position, rather than to an offset from the last postion.

SCROLL_BEGIN. Static variable in class java.awt.Event

The scroll begin event.

SCROLL_END. Static variable in class java.awt.Event

The scroll end event.

SCROLL_LEFT. Static variable in class symantec.itools.multimedia.ScrollingText

Constant which indicates that the banner should scroll from right to left

SCROLL_LINE_DOWN. Static variable in class java.awt.Event

The user has activated the line down area of a scroll bar.

SCROLL_LINE_UP. Static variable in class java.awt.Event

The user has activated the line up area of a scroll bar.

SCROLL_LOCK. Static variable in class java.awt.Event

The Scroll Lock key, a non-ASCII action key.

SCROLL_PAGE_DOWN. Static variable in class java.awt.Event

The user has activated the page down area of a scroll bar.

SCROLL_PAGE_UP. Static variable in class java.awt.Event

The user has activated the page up area of a scroll bar.

SCROLL_RIGHT. Static variable in class symantec.itools.multimedia.ScrollingText

Constant which indicates that the banner should scroll from left to right

SCROLLBAR. Static variable in class java.awt.SystemColor

The array index for the scrollbar background color.

scrollbar. Static variable in class java.awt.SystemColor

The background color for scrollbars.

Scrollbar(). Constructor for class java.awt.Scrollbar

Constructs a new vertical scroll bar.

Scrollbar(int). Constructor for class java.awt.Scrollbar

Constructs a new scroll bar with the specified orientation.

Scrollbar(int, int, int, int, int). Constructor for class java.awt.Scrollbar

Constructs a new scroll bar with the specified orientation, initial value, page size, and minimum and maximum values.

scrollbarHeight. Variable in class symantec.itools.awt.MultiList

The height of the horizontal scrollbar.

SCROLLBARS_ALWAYS. Static variable in class java.awt.ScrollPane

Specifies that horizontal/vertical scrollbars should always be shown regardless of the respective sizes of the scrollpane and child.

SCROLLBARS_AS_NEEDED. Static variable in class java.awt.ScrollPane

Specifies that horizontal/vertical scrollbar should be shown only when the size of the child exceeds the size of the scrollpane in the horizontal/vertical dimension.

SCROLLBARS_BOTH. Static variable in class java.awt.TextArea

Create and display both vertical and horizontal scrollbars.

SCROLLBARS_HORIZONTAL_ONLY. Static variable in class java.awt.TextArea

Create and display horizontal scrollbar only.

SCROLLBARS_NEVER. Static variable in class java.awt.ScrollPane

Specifies that horizontal/vertical scrollbars should never be shown regardless of the respective sizes of the scrollpane and child.

SCROLLBARS_NONE. Static variable in class java.awt.TextArea

Do not create or display any scrollbars for the text area.

SCROLLBARS_VERTICAL_ONLY. Static variable in class java.awt.TextArea

Create and display vertical scrollbar only.

scrollDirection. Variable in class symantec.itools.multimedia.ScrollingText

Current scroll direction.

scrollDown(). Method in class symantec.itools.awt.util.spinner.ListSpinner

Decrements the spinner's value and handles wrapping as needed.

scrollDown(). Method in class symantec.itools.awt.ScrollingPanel

Scrolls down by the number of pixels specified in the method setScrollLineIncrement().

scrollDown(). Method in class symantec.itools.awt.util.spinner.Spinner

Decrements the spinner's value and handles wrapping as needed.

scrollHorizontal(int, boolean). Method in class symantec.itools.awt.ImageListBox

Scrolls the ImageListBox horizontally

scrollHorizontalAbsolute(int). Method in class symantec.itools.awt.ScrollingPanel

Scrolls to an absolute horizontal position.

SCROLLING_IN. Static variable in class symantec.itools.awt.InfoTipPanel

Defines the "scrolling in" scroll state.

SCROLLING_OUT. Static variable in class symantec.itools.awt.InfoTipPanel

Defines the "scrolling out" scroll state.

ScrollingPanel(). Constructor for class symantec.itools.awt.ScrollingPanel

Constructs a default ScrollingPanel.

ScrollingPanel(Component, int, int). Constructor for class symantec.itools.awt.ScrollingPanel

Constructs a new ScrollingPanel initialized with the specified component, minimum height and minimum width.

ScrollingPanel(int). Constructor for class symantec.itools.awt.ScrollingPanel

Constructs a new ScrollingPanel initialized with the specified scrollbarDisplayPolicy.

ScrollingPanelBeanInfo(). Constructor for class symantec.itools.awt.ScrollingPanelBeanInfo

Constructs a ScrollingPanelBeanInfo object.

ScrollingText(). Constructor for class symantec.itools.multimedia.ScrollingText

Construct default scrolling text banner.

ScrollingTextBeanInfo(). Constructor for class symantec.itools.multimedia.ScrollingTextBeanInfo

Constructs a ScrollingTextBeanInfo object.

scrollLeft(). Method in class symantec.itools.awt.ScrollingPanel

Scrolls left by the number of pixels specified in the method setScrollLineIncrement().

scrollOneDirection(Point). Method in class symantec.itools.awt.InfoTipPanel

Starts the text scrolling in the current direction, starting from the point specified by the parameter startingPoint.

scrollPageDown(). Method in class symantec.itools.awt.ScrollingPanel

Scrolls one "page" down.

scrollPageLeft(). Method in class symantec.itools.awt.ScrollingPanel

Scrolls one "page" left.

scrollPageRight(). Method in class symantec.itools.awt.ScrollingPanel

Scrolls one "page" right.

scrollPageUp(). Method in class symantec.itools.awt.ScrollingPanel

Scrolls one "page" up.

ScrollPane(). Constructor for class java.awt.ScrollPane

Create a new scrollpane container with a scrollbar display policy of "as needed".

ScrollPane(int). Constructor for class java.awt.ScrollPane

Create a new scrollpane container.

scrollRight(). Method in class symantec.itools.awt.ScrollingPanel

Scrolls right by the number of pixels specified in the method setScrollLineIncrement().

scrollString(). Method in class symantec.itools.awt.util.StatusScroller

Handles the manipulation of the string buffer to give the desired scrolling effect.

scrollText(). Method in class symantec.itools.awt.InfoTipPanel

Start the text scrolling in or out from the appropriate location.

scrollThread. Variable in class symantec.itools.multimedia.ScrollingText

Thread which runs the scrolling animation.

scrollUnit. Variable in class symantec.itools.multimedia.ScrollingText

Distance to scroll on each update.

scrollUp(). Method in class symantec.itools.awt.util.spinner.ListSpinner

Increments the spinner's value and handles wrapping as needed.

scrollUp(). Method in class symantec.itools.awt.ScrollingPanel

Scrolls up by the number of pixels specified in the method setScrollLineIncrement().

scrollUp(). Method in class symantec.itools.awt.util.spinner.Spinner

Increments the spinner's value and handles wrapping as needed.

scrollVertical(int, boolean). Method in class symantec.itools.awt.ImageListBox

Scrolls the ImageListBox vertically.

scrollVerticalAbsolute(int). Method in class symantec.itools.awt.ScrollingPanel

Scrolls to an absolute vertical position.

SE_RESIZE_CURSOR. Static variable in class java.awt.Cursor

The south-east-resize cursor type.

SE_RESIZE_CURSOR. Static variable in class java.awt.Frame

search(Object). Method in class java.util.Stack

Returns where an object is on this stack.

searchI. Variable in class symantec.itools.awt.ComboBox

The list item currently being checked for search match.

searchIndex. Variable in class symantec.itools.awt.ComboBox

Where the selected area starts in the user-entered text.

searchLen. Variable in class symantec.itools.awt.ComboBox

The number of items in the list to seach (all).

SECOND. Static variable in class java.util.Calendar

Useful constant for date and time.

second. Variable in class symantec.itools.db.awt.Tstamp

The second of the minute.

SECOND_FIELD. Static variable in class java.text.DateFormat

Useful constant for SECOND field alignment.

SECONDARY. Static variable in class java.text.Collator

Collator strength value.

secondaryOrder(int). Static method in class java.text.CollationElementIterator

Get the secondary order of a collation order.

SecureRandom(). Constructor for class java.security.SecureRandom

This empty constructor automatically seeds the generator.

SecureRandom(byte[]). Constructor for class java.security.SecureRandom

This constructor uses a user-provided seed in preference to the self-seeding algorithm referred to in the empty constructor description.

SecurityException(). Constructor for class java.lang.SecurityException

Constructs a SecurityException with no detail message.

SecurityException(String). Constructor for class java.lang.SecurityException

Constructs a SecurityException with the specified detail message.

SecurityManager(). Constructor for class java.lang.SecurityManager

Constructs a new SecurityManager.

seek(long). Method in class java.io.RandomAccessFile

Sets the offset from the beginning of this file at which the next read or write occurs.

SEL_CHANGED. Static variable in class symantec.itools.awt.TreeView

select(int). Method in class java.awt.Choice

Sets the selected item in this Choice menu to be the item at the specified position.

select(int). Method in interface java.awt.peer.ChoicePeer

select(int). Method in class symantec.itools.awt.ComboBox

Selects the drop-down list item with the specified zero-relative index.

select(int). Method in class symantec.itools.awt.ImageListBox

select(int). Method in class java.awt.List

Selects the item at the specified index in the scrolling list.

select(int). Method in interface java.awt.peer.ListPeer

select(int, int). Method in class java.awt.TextComponent

Selects the text between the specified start and end positions.

select(int, int). Method in interface java.awt.peer.TextComponentPeer

select(String). Method in class java.awt.Choice

Sets the selected item in this Choice menu to be the item whose name is equal to the specified string.

select(String). Method in class symantec.itools.awt.ComboBox

Selects the first drop-down item in the list which has exactly matching text.

select(String). Method in class symantec.itools.awt.ImageListBox

selectAll(). Method in class symantec.itools.awt.ImageListBox

Selects all the items in the list.

selectAll(). Method in class symantec.itools.awt.MultiList

Selects all rows in a MultiList.

selectAll(). Method in class java.awt.TextComponent

Selects all the text in this text component.

SELECTED. Static variable in class java.awt.event.ItemEvent

The item selected state change type.

selectedColor. Variable in class symantec.itools.awt.util.Calendar

The color used to highlight the selected date on the calendar.

selectedNode. Variable in class symantec.itools.awt.TreeView

highlighted node

selectedRow. Variable in class symantec.itools.awt.MultiList

The most recently selected row.

selectHeight. Variable in class symantec.itools.awt.util.Calendar

Internal drawing calibration value.

selectMultiple(int, boolean, boolean). Method in class symantec.itools.awt.ImageListBox

Selects an item at the specified index in a multiple-selection-enabled ImageListBox using Shift, Ctrl or Ctrl-Shift modifiers to mimic mouse selecting with the Shift, Ctrl or Ctrl-Shift modifiers.

selectRow(int). Method in class symantec.itools.awt.MultiList

Selects the row, if it is not already selected.

selRow. Variable in class symantec.itools.awt.CompareCells

The zero-relative index of the currently selected row, or -1 if none.

send(DatagramPacket). Method in class java.net.DatagramSocket

Sends a datagram packet from this socket.

send(DatagramPacket). Method in class java.net.DatagramSocketImpl

Sends a datagram packet.

send(DatagramPacket, byte). Method in class java.net.MulticastSocket

Sends a datagram packet to the destination, with a TTL (time- to-live) other than the default for the socket.

sendAction(Button). Method in class symantec.itools.awt.KeyPressManagerPanel

This helper method sends an action event to the specified button.

sendActionEvent(). Method in class symantec.itools.awt.StateCheckBox

Sends an action performed event to any action listeners, as needed.

sendActionEvent(). Method in class symantec.itools.awt.TreeView

Sends an action performed event to any action listeners, as needed.

separator. Static variable in class java.io.File

The system-dependent path separator character.

separatorChar. Static variable in class java.io.File

The system-dependent path separator string.

SEPTEMBER. Static variable in class java.util.Calendar

Useful constant for month.

SequenceInputStream(Enumeration). Constructor for class java.io.SequenceInputStream

Constructs a new sequence input stream initialized to the specified enumeration of input streams.

SequenceInputStream(InputStream, InputStream). Constructor for class java.io.SequenceInputStream

Constructs a new sequence input stream initialized to read first from the input stream s1, and then from the input stream s2.

ServerCloneException(String). Constructor for class java.rmi.server.ServerCloneException

Create A remote exception with the specified string

ServerCloneException(String, Exception). Constructor for class java.rmi.server.ServerCloneException

Create A remote exception with the specified string, and the exception specified.

ServerError(String, Error). Constructor for class java.rmi.ServerError

Create a new "server error" exception with the string and the specified exception.

ServerException(String). Constructor for class java.rmi.ServerException

Create a new server exception with a descriptive string.

ServerException(String, Exception). Constructor for class java.rmi.ServerException

Create a new server exception with a descriptive string and an exception.

ServerNotActiveException(). Constructor for class java.rmi.server.ServerNotActiveException

Create a new exception.

ServerNotActiveException(String). Constructor for class java.rmi.server.ServerNotActiveException

ServerRuntimeException(String, Exception). Constructor for class java.rmi.ServerRuntimeException

Create a new runtime exception with the strings and the specified exception.

ServerSocket(int). Constructor for class java.net.ServerSocket

Creates a server socket on a specified port.

ServerSocket(int, int). Constructor for class java.net.ServerSocket

Creates a server socket and binds it to the specified local port number.

ServerSocket(int, int, InetAddress). Constructor for class java.net.ServerSocket

Create a server with the specified port, listen backlog, and local IP address to bind to.

Session(). Constructor for class symantec.itools.db.pro.Session

Constructs an empty, un-connected session.

Session(String). Constructor for class symantec.itools.db.pro.Session

Session(String, boolean). Constructor for class symantec.itools.db.pro.Session

Constructs a Session with a basic dbANYWHERE connection.

SessionEditor(). Constructor for class symantec.itools.db.awt.SessionEditor

Constructs a default SessionEditor object.

set(int). Method in class java.util.BitSet

Sets a bit.

set(int). Method in class symantec.itools.db.awt.CellHints

Sets the sepecified flag bit.

set(int, int). Method in class java.util.Calendar

Sets the time field with the given value.

set(int, int, int). Method in class java.util.Calendar

Sets the values for the fields year, month, and date.

set(int, int, int, int, int). Method in class java.util.Calendar

Sets the values for the fields year, month, date, hour, and minute.

set(int, int, int, int, int, int). Method in class java.util.Calendar

Sets the values for the fields year, month, date, hour, minute, and second.

set(Object, int, Object). Static method in class java.lang.reflect.Array

Sets the value of the indexed component of the specified array object to the specified new value.

set(Object, Object). Method in class java.lang.reflect.Field

Sets the field represented by this Field object on the specified object argument to the specified new value.

set(String, String, int, String, String). Method in class java.net.URL

Sets the fields of the URL.

setActionCommand(String). Method in class java.awt.Button

Sets the command name for the action event fired by this button.

setActionCommand(String). Method in class symantec.itools.awt.ButtonBase

Sets the command name of the action event fired by this button.

setActionCommand(String). Method in class symantec.itools.awt.util.Calendar

Sets the command name of the action event fired by this button.

setActionCommand(String). Method in class symantec.itools.awt.ComboBox

Sets the command name of the action event fired by this button.

setActionCommand(String). Method in class symantec.itools.awt.InvisibleButton

Sets the command name of the action event fired by this button.

setActionCommand(String). Method in class java.awt.MenuItem

Sets the command name of the action event that is fired by this menu item.

setActionCommand(String). Method in class symantec.itools.awt.RollOverButton

Sets the command name of the action event fired by this button.

setActionCommand(String). Method in class symantec.itools.awt.Slider

Sets the command name of the action event fired by this component.

setActionCommand(String). Method in class symantec.itools.util.Timer

Sets the command name of the action event fired by this button.

setAddress(InetAddress). Method in class java.net.DatagramPacket

setAliasName(String). Method in class symantec.itools.db.beans.binding.QueryNavigator

Set the alias name for a QueryNavigator.

setAlignment(int). Method in class java.awt.FlowLayout

Sets the alignment for this layout.

setAlignment(int). Method in class java.awt.Label

Sets the alignment for this label to the specified alignment.

setAlignment(int). Method in interface java.awt.peer.LabelPeer

setAlignStyle(int). Method in interface symantec.itools.awt.AlignStyle

Sets the new label alignment style.

setAlignStyle(int). Method in class symantec.itools.awt.BorderPanel

Sets the border label alignment.

setAlignStyle(int). Method in class symantec.itools.awt.Label3D

Sets the text alignment style.

setAlignStyle(int). Method in class symantec.itools.awt.LabelButton

Sets the text horizontal alignment style.

setAlignStyle(int). Method in class symantec.itools.awt.util.ProgressBar

Set the style of the progress bar's alignment.

setAlignStyle(int). Method in class symantec.itools.awt.WrappingLabel

Sets the text alignment.

setAllowDynamicMoving(boolean). Method in class symantec.itools.awt.SplitterPanel

This flag specifies if moving of a split in a splitter panel will be real time, or delayed until mouse released.

setAllowDynamicResizing(boolean). Method in class symantec.itools.awt.util.spinner.ListSpinner

Conditionally allows resizing of the edit box if needed when new values are entered.

setAllowResizingOfColumns(boolean). Method in class symantec.itools.awt.MultiList

Sets the flag to allow resizing of columns via the user interface.

setAllowSorting(boolean). Method in class symantec.itools.awt.MultiList

Sets the flag to allow sorting of columns when a heading is selected.

setAllowUserInteraction(boolean). Method in class java.net.URLConnection

Set the value of the allowUserInteraction field of this URLConnection.

setAmPmStrings(String[]). Method in class java.text.DateFormatSymbols

Sets ampm strings.

setAnimated(boolean). Method in class java.awt.image.MemoryImageSource

Change this memory image into a multi-frame animation or a single-frame static image depending on the animated parameter.

setAppendButton(boolean). Method in class symantec.itools.db.awt.Grid

Sets whether the Grid has this button.

setApplet(Applet). Static method in class symantec.itools.lang.Context

Notes the applet this class is being used with.

setApplet(Applet). Method in class symantec.itools.db.beans.binding.QueryNavigator

Used for debugging.

setAppletContext(Applet). Method in class symantec.itools.awt.util.StatusScroller

Sets the AppletContext that has the status area for scrolling text.

setAppletContext(AppletContext). Method in class symantec.itools.awt.ButtonBase

Sets the applet context used to view documents.

setAppletContext(AppletContext). Method in class symantec.itools.awt.InvisibleHTMLLink

Sets the applet context used to view documents.

setAppletContext(AppletContext). Method in class symantec.itools.awt.RollOverButton

Sets the applet context used to view documents.

setAppletContext(AppletContext). Method in class symantec.itools.multimedia.ScrollingText

Specify the current applet context.

setAppletContext(AppletContext). Method in class symantec.itools.awt.util.StatusScroller

Sets the AppletContext that has the status area for scrolling text.

setArrowColor(Color). Method in class symantec.itools.awt.DirectionButton

Sets the color of the direction arrow.

setArrowIndent(int). Method in class symantec.itools.awt.DirectionButton

Sets the amount of blank space between the arrow and the button border in pixels.

setAsciiStream(InputStream, int). Method in class symantec.itools.db.pro.ProjBinder

Sets the column value from a Java InputStream object.

setAsciiStream(InputStream, int). Method in class symantec.itools.db.pro.Projection

Sets a java.io.InputStream class as the data value.

setAsciiStream(int, InputStream, int). Method in interface symantec.itools.db.pro.DataAccess

Sets the specified column value from a Java InputStream object.

setAsciiStream(int, InputStream, int). Method in interface java.sql.PreparedStatement

When a very large ASCII value is input to a LONGVARCHAR parameter, it may be more practical to send it via a java.io.InputStream.

setAsciiStream(int, InputStream, int). Method in class symantec.itools.db.pro.Record

Sets the specified column value from a Java InputStream object.

setAsciiStream(int, InputStream, int). Method in class symantec.itools.db.pro.RelationView

Sets the specified column value from a Java InputStream object.

setAsciiStream(String, InputStream, int). Method in interface symantec.itools.db.pro.DataAccess

Sets the specified column value from a Java InputStream object.

setAsciiStream(String, InputStream, int). Method in class symantec.itools.db.pro.Record

Sets the specified column value from a Java InputStream object.

setAsciiStream(String, InputStream, int). Method in class symantec.itools.db.pro.RelationView

Sets the specified column value from a Java InputStream object.

setAsText(String). Method in class symantec.itools.db.awt.ConnectionInfoEditor

Set the property value by parsing a given String.

setAsText(String). Method in interface java.beans.PropertyEditor

Set the property value by parsing a given String.

setAsText(String). Method in class java.beans.PropertyEditorSupport

Set the property value by parsing a given String.

setAsText(String). Method in class symantec.itools.db.awt.RelationViewEditor

Set the property value by parsing a given String.

setAsText(String). Method in class symantec.itools.db.awt.SessionEditor

Set the property value by parsing a given String.

setAutoCommit(boolean). Method in interface java.sql.Connection

If a connection is in auto-commit mode, then all its SQL statements will be executed and committed as individual transactions.

setAutoCommit(boolean). Method in class symantec.itools.db.beans.jdbc.JdbcConnection

Sets the autoCommit property.

setAutoDisconnect(boolean). Method in class symantec.itools.db.pro.ConnectionInfo

Sets the autoDisconnect property for this ConnectionInfo object.

setAutoExpand(boolean). Method in class symantec.itools.db.awt.ComboBox

Sets whether to automatically add items onto the end of this list when they are added to the database.

setAutoStart(boolean). Method in class symantec.itools.db.beans.binding.QueryNavigator

Controls whether a call to the setAliasName method automatically does a query-by-example to initialize the QueryNavigator with data.

setAutoStart(boolean). Method in class symantec.itools.awt.util.StatusScroller

Controls whether scrolling will automatically start when the applet is loaded.

setBackground(Color). Method in class symantec.itools.awt.BorderPanel

Sets this component's background color.

setBackground(Color). Method in class java.awt.Component

Sets the background color of this component.

setBackground(Color). Method in interface java.awt.peer.ComponentPeer

setBackground(Graphics). Method in class symantec.itools.db.awt.CellHints

Sets the given Graphics object's background color to the value indicated by this CellHint.

setBaseUrl(URL). Static method in class symantec.itools.db.awt.ImageViewer

Sets the default URL that security checks are performed against.

setBaseUrl(URL). Static method in class symantec.itools.db.awt.StreamImageSource

Sets the default URL that security checks are performed against.

setBdrSizes(int). Method in class symantec.itools.awt.SplitterPanel

Sets the size of the border drawn between panels and around the outside of the SplitterPanel.

setBdrSizes(int, int). Method in class symantec.itools.awt.SplitterPanel

Sets the size of the border drawn between panels and around the outside of the SplitterPanel.

setBeanInfoSearchPath(String[]). Static method in class java.beans.Introspector

Change the list of package names that will be used for finding BeanInfo classes.

setBevelHeight(int). Method in class symantec.itools.awt.ButtonBase

Sets the "height" (cross-section) of a beveled edge, in pixels.

setBevelStyle(int). Method in interface symantec.itools.awt.BevelStyle

Sets the new border style.

setBevelStyle(int). Method in class symantec.itools.awt.BorderPanel

Sets the border style.

setBevelStyle(int). Method in class symantec.itools.awt.shape.HorizontalLine

Sets the border style of the shape.

setBevelStyle(int). Method in class symantec.itools.awt.Label3D

Sets the border style.

setBevelStyle(int). Method in class symantec.itools.awt.util.ProgressBar

Set the style of the progress bar's border.

setBevelStyle(int). Method in class symantec.itools.awt.shape.Shape

Sets the border style of the shape.

setBevelStyle(int). Method in class symantec.itools.awt.shape.VerticalLine

Sets the border style of the shape.

setBigDecimal(BigDecimal). Method in class symantec.itools.db.pro.ProjBinder

Sets the column value to a Java BigDecimal object.

setBigDecimal(BigDecimal). Method in class symantec.itools.db.pro.Projection

Sets a java.math.BigDecimal class value.

setBigDecimal(int, BigDecimal). Method in interface symantec.itools.db.pro.DataAccess

Sets the specified column value to a Java BigDecimal object.

setBigDecimal(int, BigDecimal). Method in interface java.sql.PreparedStatement

Set a parameter to a java.lang.BigDecimal value.

setBigDecimal(int, BigDecimal). Method in class symantec.itools.db.pro.Record

Sets the specified column value to a Java BigDecimal object.

setBigDecimal(int, BigDecimal). Method in class symantec.itools.db.pro.RelationView

Sets the specified column value to a Java BigDecimal object.

setBigDecimal(String, BigDecimal). Method in interface symantec.itools.db.pro.DataAccess

Sets the specified column value to a Java BigDecimal object.

setBigDecimal(String, BigDecimal). Method in class symantec.itools.db.pro.Record

Sets the specified column value to a Java BigDecimal object.

setBigDecimal(String, BigDecimal). Method in class symantec.itools.db.pro.RelationView

Sets the specified column value to a Java BigDecimal object.

setBinaryStream(InputStream, int). Method in class symantec.itools.db.pro.ProjBinder

Sets the column value from a Java InputStream object.

setBinaryStream(InputStream, int). Method in class symantec.itools.db.pro.Projection

Sets a java.io.InputStream class as the data value.

setBinaryStream(int, InputStream, int). Method in interface symantec.itools.db.pro.DataAccess

Sets the specified column value from a Java InputStream object.

setBinaryStream(int, InputStream, int). Method in interface java.sql.PreparedStatement

When a very large binary value is input to a LONGVARBINARY parameter, it may be more practical to send it via a java.io.InputStream.

setBinaryStream(int, InputStream, int). Method in class symantec.itools.db.pro.Record

Sets the specified column value from a Java InputStream object.

setBinaryStream(int, InputStream, int). Method in class symantec.itools.db.pro.RelationView

Sets the specified column value from a Java InputStream object.

setBinaryStream(String, InputStream, int). Method in interface symantec.itools.db.pro.DataAccess

Sets the specified column value from a Java InputStream object.

setBinaryStream(String, InputStream, int). Method in class symantec.itools.db.pro.Record

Sets the specified column value from a Java InputStream object.

setBinaryStream(String, InputStream, int). Method in class symantec.itools.db.pro.RelationView

Sets the specified column value from a Java InputStream object.

setBinding(RelationView, String). Method in class symantec.itools.db.awt.Checkbox

Binds this component to a given projection within the specified RelationView.

setBinding(RelationView, String). Method in class symantec.itools.db.awt.ComboBox

Binds this component to a given projection within the specified relation view.

setBinding(RelationView, String). Method in class symantec.itools.db.awt.FormattedTextField

Binds this component to a given projection within the specified relation view.

setBinding(RelationView, String). Method in class symantec.itools.db.awt.ImageViewer

Binds this component to a given projection within the specified relation view.

setBinding(RelationView, String). Method in class symantec.itools.db.awt.Label

Binds this component to a given projection within the specified relation view.

setBinding(RelationView, String). Method in class symantec.itools.db.awt.List

Binds this component to a given projection within the specified relation view.

setBinding(RelationView, String). Method in class symantec.itools.db.awt.NervousText

Binds this component to a given projection within the specified relation view.

setBinding(RelationView, String). Method in class symantec.itools.db.awt.RadioBox

Binds this component to a given projection within the specified relation view.

setBinding(RelationView, String). Method in class symantec.itools.db.awt.StateCheckBox

Binds this component to a given projection within the specified relation view.

setBinding(RelationView, String). Method in class symantec.itools.db.awt.TextArea

Binds this component to a given projection within the specified relation view.

setBinding(RelationView, String). Method in class symantec.itools.db.awt.TextField

Binds this component to a given projection within the specified relation view.

setBit(int). Method in class java.math.BigInteger

Returns a BigInteger whose value is equivalent to this number with the designated bit set.

SETBLANKTODEFAULT. Static variable in class symantec.itools.db.pro.ProjBinder

A constant indicating how empty or null string data should be translated before being sent to the database.

SETBLANKTODEFAULT. Static variable in class symantec.itools.db.pro.Record

A constant indicating how empty or null string data should be translated before being sent to the database.

SETBLANKTODEFAULT. Static variable in class symantec.itools.db.pro.RelationView

A constant indicating how empty or null string data should be translated before being sent to the database.

SETBLANKTOEMPTY. Static variable in class symantec.itools.db.pro.ProjBinder

A constant indicating how empty or null string data should be translated before being sent to the database.

SETBLANKTOEMPTY. Static variable in class symantec.itools.db.pro.Record

A constant indicating how empty or null string data should be translated before being sent to the database.

SETBLANKTOEMPTY. Static variable in class symantec.itools.db.pro.RelationView

A constant indicating how empty or null string data should be translated before being sent to the database.

SETBLANKTONULL. Static variable in class symantec.itools.db.pro.ProjBinder

A constant indicating how empty or null string data should be translated before being sent to the database.

SETBLANKTONULL. Static variable in class symantec.itools.db.pro.Record

A constant indicating how empty or null string data should be translated before being sent to the database.

SETBLANKTONULL. Static variable in class symantec.itools.db.pro.RelationView

A constant indicating how empty or null string data should be translated before being sent to the database.

setBlockIncrement(int). Method in interface java.awt.Adjustable

Sets the block value increment for the adjustable object.

setBlockIncrement(int). Method in class java.awt.Scrollbar

Sets the block increment for this scroll bar.

setBoolean(boolean). Method in class symantec.itools.db.pro.ProjBinder

Sets the column value to a Java boolean.

setBoolean(boolean). Method in class symantec.itools.db.pro.Projection

Sets a true/false data value.

setBoolean(int, boolean). Method in interface symantec.itools.db.pro.DataAccess

Sets the specified column value to a Java boolean.

setBoolean(int, boolean). Method in interface java.sql.PreparedStatement

Set a parameter to a Java boolean value.

setBoolean(int, boolean). Method in class symantec.itools.db.pro.Record

Sets the specified column value to a Java boolean.

setBoolean(int, boolean). Method in class symantec.itools.db.pro.RelationView

Sets the specified column value to a Java boolean.

setBoolean(Object, boolean). Method in class java.lang.reflect.Field

Set the value of a field as a boolean on specified object.

setBoolean(Object, int, boolean). Static method in class java.lang.reflect.Array

Sets the value of the indexed component of the specified array object to the specified boolean value.

setBoolean(String, boolean). Method in interface symantec.itools.db.pro.DataAccess

Sets the specified column value to a Java boolean.

setBoolean(String, boolean). Method in class symantec.itools.db.pro.Record

Sets the specified column value to a Java boolean.

setBoolean(String, boolean). Method in class symantec.itools.db.pro.RelationView

Sets the specified column value to a Java boolean.

setBorderColor(Color). Method in class symantec.itools.awt.BorderPanel

Sets the current border color.

setBorderColor(Color). Method in class symantec.itools.awt.ButtonBase

Sets the current border color.

setBorderColor(Color). Method in class symantec.itools.awt.util.ProgressBar

Set the color for the border of BEVEL_LINE style ProgressBar.

setBorderColor(Color, boolean). Method in class symantec.itools.awt.BorderPanel

setBorderedColor(Color). Method in class symantec.itools.awt.Label3D

Sets the border color.

setBorderedColor(Color). Method in class symantec.itools.awt.util.ProgressBar

setBorderIndent(int). Method in class symantec.itools.awt.Label3D

Sets the border indent amount.

setBorderIndent(int). Method in class symantec.itools.awt.util.ProgressBar

Set the border indent amount.

setBorderIndent(int, boolean). Method in class symantec.itools.awt.util.ProgressBar

Set the border indent amount and optionally repaint.

setBorderType(int). Method in class symantec.itools.awt.ImageListBox

Sets the border type of the ImageListBox.

setBound(boolean). Method in class java.beans.PropertyDescriptor

Updates to "bound" properties will cause a "PropertyChange" event to get fired when the property is changed.

setBounds(int, int, int, int). Method in class symantec.itools.awt.BorderPanel

Moves and/or resizes this component.

setBounds(int, int, int, int). Method in class java.awt.Component

Moves and resizes this component.

setBounds(int, int, int, int). Method in interface java.awt.peer.ComponentPeer

setBounds(int, int, int, int). Method in class symantec.itools.awt.InfoTipPanel

Reshapes the Component to the specified bounding box.

setBounds(int, int, int, int). Method in class java.awt.Rectangle

Sets the bounding rectangle of this rectangle to the specified values for x, y, width, and height.

setBounds(int, int, int, int). Method in class symantec.itools.multimedia.SlideShow

Reshapes the Component to the specified bounding box.

setBounds(Rectangle). Method in class java.awt.Component

Moves and resizes this component to conform to the new bounding rectangle r.

setBounds(Rectangle). Method in class java.awt.Rectangle

Sets the bounding rectangle of this rectangle to match the specified rectangle.

setBoxWidth(int). Method in class symantec.itools.awt.util.ProgressBar

Set the width of the boxes drawn for the progress bar.

setButtonColor(Color). Method in class symantec.itools.awt.ButtonBase

Sets the current button color.

setButtonsAlignment(int). Method in class symantec.itools.awt.Wizard

Sets the buttons alignment of the navigation buttons.

setByte(byte). Method in class symantec.itools.db.pro.ProjBinder

Sets the column value to a Java byte.

setByte(byte). Method in class symantec.itools.db.pro.Projection

Sets a Java byte data value ranging from 0 to 255.

setByte(int, byte). Method in interface symantec.itools.db.pro.DataAccess

Sets the specified column value to a Java byte.

setByte(int, byte). Method in interface java.sql.PreparedStatement

Set a parameter to a Java byte value.

setByte(int, byte). Method in class symantec.itools.db.pro.Record

Sets the specified column value to a Java byte.

setByte(int, byte). Method in class symantec.itools.db.pro.RelationView

Sets the specified column value to a Java byte.

setByte(Object, byte). Method in class java.lang.reflect.Field

Set the value of a field as a byte on specified object.

setByte(Object, int, byte). Static method in class java.lang.reflect.Array

Sets the value of the indexed component of the specified array object to the specified boolean value.

setByte(String, byte). Method in interface symantec.itools.db.pro.DataAccess

Sets the specified column value to a Java byte.

setByte(String, byte). Method in class symantec.itools.db.pro.Record

Sets the specified column value to a Java byte.

setByte(String, byte). Method in class symantec.itools.db.pro.RelationView

Sets the specified column value to a Java byte.

setBytes(byte[]). Method in class symantec.itools.db.pro.ProjBinder

Sets the column value to a Java byte array object.

setBytes(byte[]). Method in class symantec.itools.db.pro.Projection

Sets a binary Java byte array as the data value.

setBytes(int, byte[]). Method in interface symantec.itools.db.pro.DataAccess

Sets the specified column value to a Java byte array object.

setBytes(int, byte[]). Method in interface java.sql.PreparedStatement

Set a parameter to a Java array of bytes.

setBytes(int, byte[]). Method in class symantec.itools.db.pro.Record

Sets the specified column value to a Java byte array object.

setBytes(int, byte[]). Method in class symantec.itools.db.pro.RelationView

Sets the specified column value to a Java byte array object.

setBytes(String, byte[]). Method in interface symantec.itools.db.pro.DataAccess

Sets the specified column value to a Java byte array object.

setBytes(String, byte[]). Method in class symantec.itools.db.pro.Record

Sets the specified column value to a Java byte array object.

setBytes(String, byte[]). Method in class symantec.itools.db.pro.RelationView

Sets the specified column value to a Java byte array object.

setCalendar(Calendar). Method in class java.text.DateFormat

Set the calendar to be used by this date format.

setCanAddChild(boolean). Method in class symantec.itools.beans.SymantecBeanDescriptor

Sets the "can add a child" attribute.

setCancelButton(Button). Method in class symantec.itools.awt.KeyPressManagerPanel

Sets the button to press when the Escape key is pressed.

setCancelButton(Button, Event, Container, boolean). Method in class symantec.itools.awt.KeyPressManagerPanel

setCancelEnabled(boolean). Method in class symantec.itools.awt.SimpleWizardController

Set the state of the Cancel button.

setCancelEnabled(boolean). Method in class symantec.itools.awt.Wizard

Enables or disables the Cancel button.

setCancelEnabled(boolean). Method in interface symantec.itools.awt.WizardController

Enables or disables the Cancel button.

setCancelEnabled(boolean). Method in interface symantec.itools.awt.WizardInterface

Enables or disables the Cancel button.

setCardinality(String). Method in class symantec.itools.db.pro.AutoDetail

Sets the value of the cardinality ("cardinality") property from a string.

setCaretPosition(int). Method in class java.awt.TextComponent

Sets the position of the text insertion caret for this text component.

setCaretPosition(int). Method in interface java.awt.peer.TextComponentPeer

setCaseSensitive(boolean). Method in class symantec.itools.awt.ComboBox

Conditionally set the ComboBox to be case sensitive during searches.

setCatalog(String). Method in interface java.sql.Connection

A sub-space of this Connection's database may be selected by setting a catalog name.

setCatalog(String). Method in class symantec.itools.db.beans.jdbc.JdbcConnection

Sets the catalog property.

setCellBg(Color). Method in class symantec.itools.awt.MultiList

Sets the background color of cell text.

setCellBorder(int, boolean). Method in class symantec.itools.awt.ImageListBox

Conditionally show a border around the cell at the specified index.

setCellBorders(boolean). Method in class symantec.itools.awt.ImageListBox

Sets the ImageListBox cell border display default, and resets all items to have the border conditionally.

setCellColors(Color, Color). Method in class symantec.itools.awt.MultiList

Sets foreground and background colors of cell text.

setCellFg(Color). Method in class symantec.itools.awt.MultiList

Sets the foreground color of cell text.

setCellFont(Font). Method in class symantec.itools.awt.MultiList

Sets the font used for text in all the cells.

setCellStorage(Object). Method in class symantec.itools.db.awt.CellHints

Sets the object stored in this CellHint.

setCenterMode(boolean). Method in class symantec.itools.awt.ImageButton

setCenterMode(boolean). Method in class symantec.itools.multimedia.ImageViewer

setCenterMode(boolean). Method in class symantec.itools.awt.RollOverButton

Sets the flag to center the image within the bounds of the button.

setChanged(). Method in class java.util.Observable

Indicates that this object has changed.

setChar(Object, char). Method in class java.lang.reflect.Field

Set the value of a field as a char on specified object.

setChar(Object, int, char). Static method in class java.lang.reflect.Array

Sets the value of the indexed component of the specified array object to the specified byte value.

setCharAt(int, char). Method in class java.lang.StringBuffer

The character at the specified index of this string buffer is set to ch.

setCheckboxGroup(CheckboxGroup). Method in class java.awt.Checkbox

Sets this check box's group to be the specified check box group.

setCheckboxGroup(CheckboxGroup). Method in interface java.awt.peer.CheckboxPeer

setChoices(double[], String[]). Method in class java.text.ChoiceFormat

Set the choices to be used in formatting.

setClassName(String). Method in class symantec.itools.db.beans.binding.QueryNavigator

The class name of new persistent objects.

setClearFrame(boolean). Method in class symantec.itools.multimedia.Animator

Sets whether or not the animation frame area is cleared between each frame.

setClearFrame(boolean). Method in class symantec.itools.awt.RollOverButton

Sets the flag to erase the background before drawing the button.

setClip(int, int, int, int). Method in class java.awt.Graphics

Sets the current clip to the rectangle specified by the given coordinates.

setClip(Shape). Method in class java.awt.Graphics

Sets the current clipping area to an arbitrary clip shape.

setCol(int). Method in class symantec.itools.db.awt.BasicCell

Sets the column number for the cell.

setCol(int). Method in class symantec.itools.db.awt.ButtonCell

Sets the column number for the cell.

setCol(int). Method in class symantec.itools.db.awt.Coordinate

Changes the column to a new value.

setCol(int). Method in interface symantec.itools.db.awt.TableCell

Sets the column number for the cell.

setCollapsedImage(Image). Method in class symantec.itools.awt.TreeNode

Sets the image to use for this node when it is not expanded.

setColor(Color). Method in class java.awt.Graphics

Sets this graphics context's current color to the specified color.

setColorModel(ColorModel). Method in interface java.awt.image.ImageConsumer

The ColorModel object used for the majority of the pixels reported using the setPixels method calls.

setColorModel(ColorModel). Method in class java.awt.image.ImageFilter

Filter the information provided in the setColorModel method of the ImageConsumer interface.

setColorModel(ColorModel). Method in class java.awt.image.PixelGrabber

The setColorModel method is part of the ImageConsumer API which this class must implement to retrieve the pixels.

setColorModel(ColorModel). Method in class java.awt.image.RGBImageFilter

If the ColorModel is an IndexColorModel, and the subclass has set the canFilterIndexColorModel flag to true, we substitute a filtered version of the color model here and wherever that original ColorModel object appears in the setPixels methods.

setColtoShow(int). Method in class symantec.itools.db.awt.DbaDataStore

Sets the number of columns to show.

setColumnAlignment(int, int). Method in class symantec.itools.awt.MultiList

Sets the alignment of the text in the specified column.

setColumnAlignments(String[]). Method in class symantec.itools.awt.MultiList

Sets the alignment of each column.

setColumns(int). Method in class java.awt.GridLayout

Sets the number of columns in this layout to the specified value.

setColumns(int). Method in class symantec.itools.awt.ImageListBox

Sets the number of columns to be used by getMinimumSize().

setColumns(int). Method in class symantec.itools.awt.MultiList

setColumns(int). Method in class java.awt.TextArea

Sets the number of columns for this text area.

setColumns(int). Method in class java.awt.TextField

Sets the number of columns in this text field.

setColumns(String[]). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Sets the "columns" design-time property.

setColumnSizes(String[]). Method in class symantec.itools.awt.MultiList

Sets the the width of each column in pixels.

setColumnsNamesToShow(String). Method in class symantec.itools.db.awt.DbaDataStore

Specifies the names of the columns to show.

setColumnsNumber(int). Method in class symantec.itools.db.awt.Grid

Initializes this Grid to have the specified number of columns.

setColumnSorter(int, CompareCells). Method in class symantec.itools.awt.MultiList

Sets the object used to compare cells for sorting the specified column.

setColumnsToShow(). Method in class symantec.itools.db.awt.DbaDataStore

Hides or shows columns depending of the Data Binding that was given to the Grid.

setColumnValue(int, Object). Method in class symantec.itools.db.pro.RelationViewPlus

Helper method for the setValue method.

setCombinedButton(boolean). Method in class symantec.itools.awt.Wizard

Sets a combined Next/Finish button or two buttons depending on the value of the parameter.

setComboMode(boolean). Method in class symantec.itools.awt.ImageListBox

Sets ImageListBox "ComboBox mode".

setComment(String). Method in class java.util.zip.ZipEntry

Sets the optional comment string for the entry.

setComment(String). Method in class java.util.zip.ZipOutputStream

Sets the ZIP file comment.

setComponent(Component). Method in class symantec.itools.awt.InfoTipPanel

Sets the component in this InfoTipPanel.

setComponent(Component). Method in class symantec.itools.awt.ScrollingPanel

Sets the component in this ScrollingPanel.

setComponentAt(int, Component). Method in class symantec.itools.awt.Wizard

Replaces a page at the index specified.

setConnectFailedListener(String). Method in class symantec.itools.db.beans.jdbc.JdbcConnection

Sets the name of the ConnectFailedListener class.

setConnectionClosed(boolean). Method in class symantec.itools.db.beans.jdbc.JdbcConnection

Sets the ConnectionClosed property.

setConnectionInfo(ConnectionInfo). Method in class symantec.itools.db.awt.List

Sets the ConnectionInfo this component uses to connect with the database.

setConnectionInfo(ConnectionInfo). Method in class symantec.itools.db.pro.Request

Sets the Connection information used to open the database when the execute method is called.

setConnectionManagerClassName(String). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Sets the "connection manager class" design-time property.

setConnectionName(String). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Sets the "connection name" design-time property.

setConstrained(boolean). Method in class java.beans.PropertyDescriptor

Attempted updates to "Constrained" properties will cause a "VetoableChange" event to get fired when the property is changed.

setConstraints(Component, GridBagConstraints). Method in class java.awt.GridBagLayout

Sets the constraints for the specified component in this layout.

setContentHandlerFactory(ContentHandlerFactory). Static method in class java.net.URLConnection

Sets the ContentHandlerFactory of an application.

setContents(Transferable, ClipboardOwner). Method in class java.awt.datatransfer.Clipboard

Sets the current contents of the clipboard to the specified transferable object and registers the specified clipboard owner as the owner of the new contents.

setControl(Component). Method in class symantec.itools.db.awt.CellHints

Sets the component in this cell.

setCoordinates(Coordinate). Method in class symantec.itools.db.awt.BasicCell

Sets the cell coordinates for the cell.

setCoordinates(Coordinate). Method in class symantec.itools.db.awt.ButtonCell

Sets the cell coordinates for the cell.

setCoordinates(Coordinate). Method in interface symantec.itools.db.awt.TableCell

Sets the cell coordinates for the cell.

setCrc(long). Method in class java.util.zip.ZipEntry

Sets the CRC-32 checksum of the uncompressed entry data.

setCurrent(Checkbox). Method in class java.awt.CheckboxGroup

setCurrent(int). Method in class symantec.itools.awt.util.spinner.Spinner

Sets the value of the spinner.

setCurrentBitSet(BitSet). Method in class symantec.itools.awt.CompareCells

Notes which rows are hilighted before a sort is performed.

setCurrentPanelNdx(int). Method in class symantec.itools.awt.TabPanel

Selects the specified tab and shows its associated panel.

setCurrentRow(int). Method in interface symantec.itools.db.awt.DataSource

Informs the data source of the current row of the TableView.

setCurrentRow(int). Method in class symantec.itools.db.awt.DbaDataStore

Sets the current row in the data store.

setCurrentRow(int). Method in class symantec.itools.db.awt.DbDataSource

Informs the data source of the current row of the TableView.

setCurrentRow(int). Method in interface symantec.itools.db.awt.DbDataStore

Sets the current row in the data store.

setCurrentRow(int). Method in class symantec.itools.db.awt.DefaultDataSource

Informs the data source of the current row of the TableView.

setCurrentTab(int). Method in class symantec.itools.awt.BaseTabbedPanel

Shows the tab at the specified index.

setCursor(Cursor). Method in class java.awt.Component

Set the cursor image to a predefined cursor.

setCursor(Cursor). Method in interface java.awt.peer.ComponentPeer

setCursor(Cursor). Method in class symantec.itools.awt.SplitterPanel

Sets the currently used cursor.

setCursor(int). Method in class java.awt.Frame

setCursorName(String). Method in interface java.sql.Statement

setCursorname defines the SQL cursor name that will be used by subsequent Statement execute methods.

setDaemon(boolean). Method in class java.lang.Thread

Marks this thread as either a daemon thread or a user thread.

setDaemon(boolean). Method in class java.lang.ThreadGroup

Changes the daemon status of this thread group.

setData(byte[]). Method in class java.net.DatagramPacket

setData(Coordinate, Data). Method in interface symantec.itools.db.awt.DataSource

Sets the data value for a cell.

setData(Coordinate, Data). Method in class symantec.itools.db.awt.DbDataSource

Sets the data value for a cell.

setData(Coordinate, Data). Method in class symantec.itools.db.awt.DefaultDataSource

Sets the data value for a cell.

setData(int, int, Data). Method in interface symantec.itools.db.awt.DataSource

Sets the data value for a cell.

setData(int, int, Data). Method in class symantec.itools.db.awt.DbDataSource

Sets the data value for a cell.

setData(int, int, Data). Method in class symantec.itools.db.awt.DefaultDataSource

Sets the data value for a cell.

setData(Object). Method in class symantec.itools.db.awt.Checkbox

Sets the value of this component to the given value.

setData(Object). Method in class symantec.itools.db.awt.ComboBox

Sets the value of this component to the given value.

setData(Object). Method in class symantec.itools.db.awt.DBTstamp

Sets the value of this component to the given value.

setData(Object). Method in class symantec.itools.db.awt.FormattedTextField

Sets the value of this component to the given value.

setData(Object). Method in class symantec.itools.db.awt.ImageViewer

Sets the value of this component to the given value.

setData(Object). Method in class symantec.itools.db.awt.Label

Sets the value of this component to the given value.

setData(Object). Method in class symantec.itools.db.awt.List

Sets the value of this component to the given value.

setData(Object). Method in class symantec.itools.db.awt.ListPlus

Sets the value of this component to the given value.

setData(Object). Method in class symantec.itools.db.awt.NervousText

Sets the value of this component to the given value.

setData(Object). Method in interface symantec.itools.db.awt.ProjectionBean

Sets the value of this component to the given value.

setData(Object). Method in class symantec.itools.db.awt.RadioBox

Sets the value of this component to the given value.

setData(Object). Method in class symantec.itools.db.awt.RecordNumberLabel

Sets the value of this component to the given value.

setData(Object). Method in class symantec.itools.db.awt.StateCheckBox

Sets the value of this component to the given value.

setData(Object). Method in class symantec.itools.db.awt.TextArea

Sets the value of this component to the given value.

setData(Object). Method in class symantec.itools.db.awt.TextField

Sets the value of this component to the given value.

setDataAt(int, Object). Method in class symantec.itools.db.awt.ComboBox

Sets the value stored at a particular row.

setDataAt(int, Object). Method in class symantec.itools.db.awt.ListPlus

Sets the value stored at a particular row.

setDataAtIf(int, Object). Method in class symantec.itools.db.awt.ComboBox

Sets the value stored at a particular row if it is not equal to the current value.

setDataBaseDisplayFormat(String). Method in class symantec.itools.db.awt.DBTstamp

Sets the format for displaying database timestamp values.

setDataBaseEntryFormat(String). Method in class symantec.itools.db.awt.DBTstamp

Sets the format for entering database timestamp values.

setDataBinding(String). Method in class symantec.itools.db.awt.Checkbox

Sets the name of the data item to bind this component to.

setDataBinding(String). Method in class symantec.itools.db.awt.ComboBox

Sets the name of the data item to bind this component to.

setDataBinding(String). Method in class symantec.itools.db.awt.DBTstamp

Sets the name of the data item to bind this component to.

setDataBinding(String). Method in class symantec.itools.db.awt.FormattedTextField

Sets the name of the data item to bind this component to.

setDataBinding(String). Method in class symantec.itools.db.awt.Grid

Sets the name of the data item to bind this component to.

setDataBinding(String). Method in class symantec.itools.db.awt.ImageViewer

Sets the name of the data item to bind this component to.

setDataBinding(String). Method in class symantec.itools.db.awt.Label

Sets the name of the data item to bind this component to.

setDataBinding(String). Method in class symantec.itools.db.awt.ListPlus

Sets the name of the data item to bind this component to.

setDataBinding(String). Method in class symantec.itools.db.beans.binding.Mediator

Sets the name of the input DataItem and searches the DataBus for it.

setDataBinding(String). Method in class symantec.itools.db.beans.binding.MediatorDS

Sets the name of the input DataItem and searches the DataBus for it.

setDataBinding(String). Method in class symantec.itools.db.awt.NervousText

Sets the name of the data item to bind this component to.

setDataBinding(String). Method in class symantec.itools.db.awt.RadioBox

Sets the name of the data item to bind this component to.

setDataBinding(String). Method in class symantec.itools.db.awt.TextArea

Sets the name of the data item to bind this component to.

setDataBinding(String). Method in class symantec.itools.db.awt.TextField

Sets the name of the data item to bind this component to.

setDataBus(DataBus). Method in class symantec.itools.db.beans.binding.Mediator

Connects to the DataBus.

setDataBus(DataBus). Method in class symantec.itools.db.beans.binding.MediatorDS

Connects to the DataBus.

setDataItemName(DataItem, String). Method in class symantec.itools.db.beans.binding.MediatorDS

Sets the name of the given data item.

setDataModel(PersistentObjectModel). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Sets metadata information for this record.

setDataObject(Object). Method in class symantec.itools.awt.TreeNode

Sets an object to associate with this node.

setDataSource(DataSource). Method in class symantec.itools.db.awt.DbaDataStore

Obsolete.

setDataSource(String). Method in class symantec.itools.db.awt.RecordNumberLabel

Sets the data source that this component is bound with.

setDataSource(String). Method in class symantec.itools.db.awt.RecordStateLabel

Sets the data source that this component is bound with.

setDate(Date). Method in class symantec.itools.db.pro.ProjBinder

Sets the column value to a Java Date object.

setDate(Date). Method in class symantec.itools.db.pro.Projection

Sets a java.sql.Date class value as the data value.

setDate(int). Method in class java.util.Date

Sets the day of the month of this date to the specified value.

setDate(int). Method in class java.sql.Time

Sets the day of the month of this date to the specified value.

setDate(int, Date). Method in interface symantec.itools.db.pro.DataAccess

Sets the specified column value to a Java Date object.

setDate(int, Date). Method in interface java.sql.PreparedStatement

Set a parameter to a java.sql.Date value.

setDate(int, Date). Method in class symantec.itools.db.pro.Record

Sets the specified column value to a Java Date object.

setDate(int, Date). Method in class symantec.itools.db.pro.RelationView

Sets the specified column value to a Java Date object.

setDate(String). Method in class symantec.itools.awt.util.Calendar

Sets the date selected on the calendar.

setDate(String, Date). Method in interface symantec.itools.db.pro.DataAccess

Sets the specified column value to a Java Date object.

setDate(String, Date). Method in class symantec.itools.db.pro.Record

Sets the specified column value to a Java Date object.

setDate(String, Date). Method in class symantec.itools.db.pro.RelationView

Sets the specified column value to a Java Date object.

setDateFormatSymbols(DateFormatSymbols). Method in class java.text.SimpleDateFormat

Allows you to set the date/time formatting data.

setDbDataSource(DbDataSource). Method in class symantec.itools.db.awt.DbaDataStore

Sets the database data source that requests data and possibly caches the SQL data.

setDbDataSource(DbDataSource). Method in interface symantec.itools.db.awt.DbDataStore

Sets the database data source that requests data and possibly caches the SQL data.

setDbDataSource(DbDataSource). Method in interface symantec.itools.db.awt.DbDataUpdater

Called by DbDataSource to allow the updater to store a reference to the data source.

setDbDataSource(DbDataSource). Method in interface symantec.itools.db.awt.MetaTable

Allows implementations to set a reference to the data source for use in later calls.

setDBString(String). Method in class symantec.itools.db.pro.ConnectionInfo

Sets the database string that will be used to connect to a database.

setDecimalFormatSymbols(DecimalFormatSymbols). Method in class java.text.DecimalFormat

Sets the decimal format symbols, which is generally not changed by the programmer or user.

setDecimalSeparator(char). Method in class java.text.DecimalFormatSymbols

setDecimalSeparatorAlwaysShown(boolean). Method in class java.text.DecimalFormat

Allows you to set the behavior of the decimal separator with integers.

setDecomposition(int). Method in class java.text.Collator

Set the decomposition mode of this Collator.

setDefault(Locale). Static method in class java.util.Locale

Sets the default.

setDefault(TimeZone). Static method in class java.util.TimeZone

Sets time zone to using the given TimeZone.

setDefaultAllowUserInteraction(boolean). Static method in class java.net.URLConnection

Sets the default value of the allowUserInteraction field for all future URLConnection objects to the specified value.

setDefaultButton(Button). Method in class symantec.itools.awt.KeyPressManagerPanel

Sets the button to press when the Enter or Return key is pressed.

setDefaultButton(Button, Event, Container, boolean). Method in class symantec.itools.awt.KeyPressManagerPanel

setDefaultCell(TableCell). Method in class symantec.itools.db.awt.CellHints

Sets the default table cell for this CellHint.

setDefaultColumnAlignment(int). Method in class symantec.itools.awt.MultiList

Sets the default column alignment.

setDefaultColumnSorter(CompareCells). Method in class symantec.itools.awt.MultiList

Sets the default object used to compare column cells for sorting.

setDefaultConnection(ConnectionInfo). Method in class symantec.itools.db.pro.Session

Installs a ConnectionInfo object containing the default database connection information used in getting Request objects.

setDefaultData(). Method in interface symantec.itools.db.awt.DataSource

Requests the DataSource set an appropriate default data type .

setDefaultData(). Method in class symantec.itools.db.awt.DbDataSource

Requests the DataSource set an appropriate default data type

setDefaultData(). Method in class symantec.itools.db.awt.DefaultDataSource

Requests the DataSource set an appropriate default data type

setDefaultData(Data). Method in interface symantec.itools.db.awt.DataSource

Sets the Data type for cell data when no data value has been set.

setDefaultData(Data). Method in class symantec.itools.db.awt.DbDataSource

Sets the Data type for cell data when no data value has been set.

setDefaultData(Data). Method in class symantec.itools.db.awt.DefaultDataSource

Sets the Data type for cell data when no data value has been set.

setDefaultFlag(). Method in class symantec.itools.db.awt.BasicCell

Sets whether this cell is the defualt maintained by the TableView.

setDefaultFlag(). Method in class symantec.itools.db.awt.ButtonCell

Sets the cell as a default cell used by the TableView and data sources to conserve resources.

setDefaultFlag(). Method in interface symantec.itools.db.awt.TableCell

Sets the cell as a default cell used by the TableView and data sources to conserve resources.

setDefaultRequestProperty(String, String). Static method in class java.net.URLConnection

Sets the default value of a general request property.

setDefaultStream(PrintStream). Static method in class java.rmi.server.LogStream

Set the default stream for new logs.

setDefaultUseCaches(boolean). Method in class java.net.URLConnection

Sets the default value of the useCaches field to the specified value.

setDelay(int). Method in class symantec.itools.multimedia.Animator

Sets the delay between animation frames.

setDelay(int). Method in class symantec.itools.awt.util.spinner.SpinButtonPanel

Sets the notification event delay of the spinner buttons in milliseconds.

setDelay(int). Method in class symantec.itools.awt.util.spinner.Spinner

Sets the notification event delay of the spinner buttons in milliseconds.

setDelay(int). Method in class symantec.itools.awt.util.StatusScroller

Sets the time between the display of each character in milliseconds.

setDelay(int). Method in class symantec.itools.util.Timer

Sets the delay time for this timer.

setDeleteButton(boolean). Method in class symantec.itools.db.awt.Grid

Sets whether the Grid has this button.

setDescription(int, String). Method in class symantec.itools.multimedia.SlideShow

Set the description of the image at the given index.

setDesignTime(boolean). Static method in class java.beans.Beans

Used to indicate whether of not we are running in an application builder environment.

setDetailProperties(Properties). Method in class symantec.itools.db.pro.AutoDetail

Sets additional properties of this Detail object.

setDictionary(byte[]). Method in class java.util.zip.Deflater

Sets preset dictionary for compression.

setDictionary(byte[]). Method in class java.util.zip.Inflater

Sets the preset dictionary to the given array of bytes.

setDictionary(byte[], int, int). Method in class java.util.zip.Deflater

Sets preset dictionary for compression.

setDictionary(byte[], int, int). Method in class java.util.zip.Inflater

Sets the preset dictionary to the given array of bytes.

setDigit(char). Method in class java.text.DecimalFormatSymbols

setDimensions(int, int). Method in class java.awt.image.CropImageFilter

Override the source image's dimensions and pass the dimensions of the rectangular cropped region to the ImageConsumer.

setDimensions(int, int). Method in interface java.awt.image.ImageConsumer

The dimensions of the source image are reported using the setDimensions method call.

setDimensions(int, int). Method in class java.awt.image.ImageFilter

Filters the information provided in the setDimensions method of the ImageConsumer interface.

setDimensions(int, int). Method in class java.awt.image.PixelGrabber

The setDimensions method is part of the ImageConsumer API which this class must implement to retrieve the pixels.

setDimensions(int, int). Method in class java.awt.image.ReplicateScaleFilter

Override the dimensions of the source image and pass the dimensions of the new scaled size to the ImageConsumer.

setDirection(int). Method in class symantec.itools.awt.DirectionButton

Sets the direction of the arrow after construction.

setDirectory(String). Method in class java.awt.FileDialog

Sets the directory of this file dialog window to be the specified directory.

setDirectory(String). Method in interface java.awt.peer.FileDialogPeer

setDirty(). Method in class symantec.itools.awt.ImageListBox

setDirty(boolean). Method in class symantec.itools.awt.ImageListBox

Set the list to be "dirty" (true) to force a complete paint on next repaint, or "clean" (false) to avoid a complete paint on the next repaint.

setDisplaced(int, Object, PersistentObject). Method in class symantec.itools.db.beans.binding.QueryNavigator

setDisplaced(int, Object, PersistentObject). Method in class symantec.itools.db.beans.jdbc.QueryNavigator

setDisplayAs(String). Method in class symantec.itools.db.awt.AgeField

Sets the unit of time displayed.

setDisplayFormat(String). Method in class symantec.itools.db.awt.DBTstamp

Sets the display and input format.

setDisplayFormat(String). Method in class symantec.itools.db.awt.Tstamp

Sets the display and input format.

setDisplayName(String). Method in class java.beans.FeatureDescriptor

setDisplayOption(boolean). Method in class symantec.itools.db.awt.ImageViewer

Sets whether the image will be displayed while it is loading.

setDocumentBase(URL). Static method in class symantec.itools.lang.Context

Manually sets the current document base.

setDoInput(boolean). Method in class java.net.URLConnection

Sets the value of the doInput field for this URLConnection to the specified value.

setDoOutput(boolean). Method in class java.net.URLConnection

Sets the value of the doOutput field for this URLConnection to the specified value.

setDouble(double). Method in class symantec.itools.db.pro.ProjBinder

Sets the column value to a Java double.

setDouble(double). Method in class symantec.itools.db.pro.Projection

Sets a Java double data value.

setDouble(int, double). Method in interface symantec.itools.db.pro.DataAccess

Sets the specified column value to a Java double.

setDouble(int, double). Method in interface java.sql.PreparedStatement

Set a parameter to a Java double value.

setDouble(int, double). Method in class symantec.itools.db.pro.Record

Sets the specified column value to a Java double.

setDouble(int, double). Method in class symantec.itools.db.pro.RelationView

Sets the specified column value to a Java double.

setDouble(Object, double). Method in class java.lang.reflect.Field

Set the value of a field as a double on specified object.

setDouble(Object, int, double). Static method in class java.lang.reflect.Array

Sets the value of the indexed component of the specified array object to the specified double value.

setDouble(String, double). Method in interface symantec.itools.db.pro.DataAccess

Sets the specified column value to a Java double.

setDouble(String, double). Method in class symantec.itools.db.pro.Record

Sets the specified column value to a Java double.

setDouble(String, double). Method in class symantec.itools.db.pro.RelationView

Sets the specified column value to a Java double.

setDownButtonEnabled(boolean). Method in class symantec.itools.awt.util.spinner.SpinButtonPanel

This enables or disables the decrementing button only.

setDownFileName(String). Method in class symantec.itools.awt.RollOverButton

Sets the file name of the image to display while the button is being pressed.

setDownImage(Image). Method in class symantec.itools.awt.RollOverButton

Sets the image to display while the button is being pressed.

setDownURL(URL). Method in class symantec.itools.awt.RollOverButton

Sets the URL of the image to display while the button is being pressed.

setDrawBoxes(boolean). Method in class symantec.itools.awt.util.ProgressBar

Set the boolean that controls the drawing of the progress bar as a series of boxes.

setDriverName(String). Method in class symantec.itools.db.beans.jdbc.JdbcConnection

Sets the driverName property.

setDynamicUpdate(boolean). Method in class symantec.itools.db.awt.Checkbox

Sets when the component commits its changes.

setDynamicUpdate(boolean). Method in class symantec.itools.db.awt.ComboBox

Sets when the component commits its changes.

setDynamicUpdate(boolean). Method in class symantec.itools.db.awt.DBTstamp

Sets when the component commits its changes.

setDynamicUpdate(boolean). Method in class symantec.itools.db.awt.FormattedTextField

Sets when the component commits its changes.

setDynamicUpdate(boolean). Method in class symantec.itools.db.awt.ImageViewer

Sets when the component commits its changes.

setDynamicUpdate(boolean). Method in class symantec.itools.db.awt.Label

Sets when the component commits its changes.

setDynamicUpdate(boolean). Method in class symantec.itools.db.awt.List

Sets when the component commits its changes.

setDynamicUpdate(boolean). Method in class symantec.itools.db.awt.NervousText

Sets when the component commits its changes.

setDynamicUpdate(boolean). Method in class symantec.itools.db.awt.RadioBox

Sets when the component commits its changes.

setDynamicUpdate(boolean). Method in class symantec.itools.db.awt.StateCheckBox

Sets when the component commits its changes.

setDynamicUpdate(boolean). Method in class symantec.itools.db.awt.TextArea

Sets when the component commits its changes.

setDynamicUpdate(boolean). Method in class symantec.itools.db.awt.TextField

Sets when the component commits its changes.

setEchoChar(char). Method in class java.awt.TextField

Sets the echo character for this text field.

setEchoChar(char). Method in interface java.awt.peer.TextFieldPeer

setEchoCharacter(char). Method in class java.awt.TextField

setEchoCharacter(char). Method in interface java.awt.peer.TextFieldPeer

DEPRECATED: Replaced by setEchoChar(char echoChar).

setEditable(boolean). Method in class symantec.itools.awt.ComboBox

Conditionally sets the ComboBox to be user-editable.

setEditable(boolean). Method in class symantec.itools.db.awt.DBTstamp

Conditionally sets the contents of this component to user-editable.

setEditable(boolean). Method in class symantec.itools.awt.FormattedTextField

Sets whether the text field is editable.

setEditable(boolean). Method in class symantec.itools.db.awt.FormattedTextField

Contitionally sets this field to be user-editable.

setEditable(boolean). Method in class symantec.itools.awt.util.spinner.Spinner

Conditionally enables editing of the Spinner's TextField.

setEditable(boolean). Method in class symantec.itools.db.awt.TextArea

Sets whether this component determines is user-editablity from the database it's bound with, or whether it will simple not be editable.

setEditable(boolean). Method in class java.awt.TextComponent

Sets the flag that determines whether or not this text component is editable.

setEditable(boolean). Method in interface java.awt.peer.TextComponentPeer

setEditable(boolean). Method in class symantec.itools.db.awt.TextField

Sets whether this component determines is user-editablity from the database it's bound with, or whether it will simple not be editable.

setEdited(int, boolean). Method in class symantec.itools.awt.ImageListBox

Set a flag indicating that the item at the given zero-relative index has been edited.

setEditFont(Font). Method in class symantec.itools.db.awt.DBTstamp

Sets the font used for editable text.

setEditFont(Font). Method in class symantec.itools.awt.FormattedTextField

setEditorSearchPath(String[]). Static method in class java.beans.PropertyEditorManager

Change the list of package names that will be used for finding property editors.

setElementAt(Object, int). Method in class java.util.Vector

Sets the component at the specified index of this vector to be the specified object.

setEmptyMeansNull(boolean). Method in class symantec.itools.db.awt.Checkbox

Sets the value of the Empty Means Null property.

setEmptyMeansNull(boolean). Method in class symantec.itools.db.awt.ComboBox

Sets the value of the Empty Means Null property.

setEmptyMeansNull(boolean). Method in class symantec.itools.db.awt.DBTstamp

Sets the value of the Empty Means Null property.

setEmptyMeansNull(boolean). Method in class symantec.itools.db.awt.FormattedTextField

Sets the value of the Empty Means Null property.

setEmptyMeansNull(boolean). Method in class symantec.itools.db.awt.List

Sets the value of the Empty Means Null property.

setEmptyMeansNull(boolean). Method in class symantec.itools.db.beans.binding.Mediator

Sets the way to treat empty values.

setEmptyMeansNull(boolean). Method in class symantec.itools.db.awt.ProjectionBeanHelper

Sets the value of the Empty Means Null property.

setEmptyMeansNull(boolean). Method in class symantec.itools.db.awt.RadioBox

Sets the value of the Empty Means Null property.

setEmptyMeansNull(boolean). Method in class symantec.itools.db.awt.StateCheckBox

Sets the value of the Empty Means Null property.

setEmptyMeansNull(boolean). Method in class symantec.itools.db.awt.TextArea

Sets the value of the Empty Means Null property.

setEmptyMeansNull(boolean). Method in class symantec.itools.db.awt.TextField

Sets the value of the Empty Means Null property.

setEnabled(boolean). Method in class symantec.itools.awt.ButtonBase

Enables this component so that it will respond to user input.

setEnabled(boolean). Method in class java.awt.Component

Enables or disables this component, depending on the value of the parameter b.

setEnabled(boolean). Method in interface java.awt.peer.ComponentPeer

setEnabled(boolean). Method in class java.awt.MenuItem

Sets whether or not this menu item can be chosen.

setEnabled(boolean). Method in interface java.awt.peer.MenuItemPeer

setEnabled(boolean). Method in class symantec.itools.awt.util.spinner.SpinButtonPanel

Enables or disables this component so that it will respond to user input or not.

setEnabled(boolean, int). Method in class symantec.itools.awt.BaseTabbedPanel

Conditionally enables the tab at the specified index.

setEnabled(int). Method in class symantec.itools.awt.ComboBox

Enables a drop-down list item at a given zero-relative index.

setEnabled(int, boolean). Method in class symantec.itools.awt.ComboBox

Conditionally enables a drop-down list item at a given zero-relative index.

setEnabled(int, boolean). Method in class symantec.itools.awt.ImageListBox

Conditionally enables the specified item in the list.

setEnabledTextColor(int, Color). Method in class symantec.itools.awt.ImageListBox

Sets the text color for an item at the given index.

setEndRule(int, int, int, int). Method in class java.util.SimpleTimeZone

Sets the daylight savings ending rule.

setEnforceMinDim(boolean). Method in class symantec.itools.awt.SplitterPanel

Sets the "enforce minimum dimension" mode.

setEntryFormat(String). Method in class symantec.itools.db.awt.Tstamp

Sets the entry format.

setEras(String[]). Method in class java.text.DateFormatSymbols

Sets era strings.

setErr(PrintStream). Static method in class java.lang.System

Reassigns the "standard" error output stream.

setError(). Method in class java.io.PrintStream

Indicate that an error has occurred.

setError(). Method in class java.io.PrintWriter

Indicate that an error has occurred.

setEscapeProcessing(boolean). Method in interface java.sql.Statement

If escape scanning is on (the default), the driver will do escape substitution before sending the SQL to the database.

setExpandedImage(Image). Method in class symantec.itools.awt.TreeNode

Sets the image to use for this node when it is expanded.

setExpert(boolean). Method in class java.beans.FeatureDescriptor

The "expert" flag is used to distinguish between features that are intended for expert users from those that are intended for normal users.

setExpr(String). Method in class symantec.itools.beans.ConnectionDescriptor

Specifies the code fragment that is used to create this connection.

setExtra(byte[]). Method in class java.util.zip.ZipEntry

Sets the optional extra field data for the entry.

setFadeToColor(Color). Method in class symantec.itools.awt.image.FadeFilter

Sets the color to fade to when filtering.

setFailureHandler(RMIFailureHandler). Static method in class java.rmi.server.RMISocketFactory

Set the failure handler to be called by the RMI runtime if socket creation fails.

setFalseValue(String). Method in class symantec.itools.db.awt.Checkbox

Sets the string sent to the database server to indicate that this checkbox is unchecked.

setFalseValue(String). Method in class symantec.itools.db.awt.StateCheckBox

Establishes what database value will be interpreted as the value: false.

setFile(String). Method in class java.awt.FileDialog

Sets the selected file for this file dialog window to be the specified file.

setFile(String). Method in interface java.awt.peer.FileDialogPeer

setFileName(String). Method in class symantec.itools.multimedia.ImageViewer

Specify or change the image filename.

setFilenameFilter(FilenameFilter). Method in class java.awt.FileDialog

Sets the filename filter for this file dialog window to the specified filter.

setFilenameFilter(FilenameFilter). Method in interface java.awt.peer.FileDialogPeer

setFillColor(Color). Method in class symantec.itools.awt.shape.Shape

Sets the fill color of the shape.

setFillMask(). Method in class symantec.itools.awt.FormattedTextField

Clears the contents of the field and sets the text field's contents to be an input template.

setFillMode(boolean). Method in class symantec.itools.awt.shape.Shape

Sets the fill mode of the shape.

setFinishEnabled(boolean). Method in class symantec.itools.awt.SimpleWizardController

Set the state of the Finish button.

setFinishEnabled(boolean). Method in class symantec.itools.awt.Wizard

Enables or disables the Finish button.

setFinishEnabled(boolean). Method in interface symantec.itools.awt.WizardController

Enables or disables the Finish button.

setFinishEnabled(boolean). Method in interface symantec.itools.awt.WizardInterface

Enables or disables the Finish button.

setFirstDayOfWeek(int). Method in class java.util.Calendar

Sets what the first day of the week is; e.g., Sunday in US, Monday in France.

setFirstImage(URL). Method in class symantec.itools.multimedia.SlideShow

Reset slide show and add first image.

setFlags(String). Method in class symantec.itools.beans.SymantecBeanDescriptor

Sets the "flags" attribute.

setFloat(float). Method in class symantec.itools.db.pro.ProjBinder

Sets the column value to a Java float.

setFloat(float). Method in class symantec.itools.db.pro.Projection

Sets a Java float data value.

setFloat(int, float). Method in interface symantec.itools.db.pro.DataAccess

Sets the specified column value to a Java float.

setFloat(int, float). Method in interface java.sql.PreparedStatement

Set a parameter to a Java float value.

setFloat(int, float). Method in class symantec.itools.db.pro.Record

Sets the specified column value to a Java float.

setFloat(int, float). Method in class symantec.itools.db.pro.RelationView

Sets the specified column value to a Java float.

setFloat(Object, float). Method in class java.lang.reflect.Field

Set the value of a field as a float on specified object.

setFloat(Object, int, float). Static method in class java.lang.reflect.Array

Sets the value of the indexed component of the specified array object to the specified float value.

setFloat(String, float). Method in interface symantec.itools.db.pro.DataAccess

Sets the specified column value to a Java float.

setFloat(String, float). Method in class symantec.itools.db.pro.Record

Sets the specified column value to a Java float.

setFloat(String, float). Method in class symantec.itools.db.pro.RelationView

Sets the specified column value to a Java float.

setFocusIndicatedVisually(boolean). Method in class symantec.itools.awt.MultiList

Sets whether this MultiList should visually indicate focus.

setFolder(String). Method in class symantec.itools.beans.SymantecBeanDescriptor

Sets the "folder" attribute.

setFollowRedirects(boolean). Static method in class java.net.HttpURLConnection

Sets whether HTTP redirects (requests with response code 3xx) should be automatically followed by this class.

setFont(Font). Method in class symantec.itools.awt.ComboBox

Sets the font of the component.

setFont(Font). Method in class java.awt.Component

Sets the font of this component.

setFont(Font). Method in interface java.awt.peer.ComponentPeer

setFont(Font). Method in class java.awt.Graphics

Sets this graphics context's font to the specified font.

setFont(Font). Method in class symantec.itools.awt.ImageListBox

Set the font for the items in the list box.

setFont(Font). Method in class symantec.itools.awt.InfoTipPanel

Sets the font of the component.

setFont(Font). Method in class java.awt.MenuComponent

Sets the font to be used for this menu component to the specified font.

setForeground(Color). Method in class symantec.itools.db.awt.Checkbox

Sets the value of the Foreground color property.

setForeground(Color). Method in class java.awt.Component

Sets the foreground color of this component.

setForeground(Color). Method in interface java.awt.peer.ComponentPeer

setForeground(Graphics). Method in class symantec.itools.db.awt.CellHints

Sets the given Graphics object's foreground color to the value indicated by this CellHint.

setForm(String). Method in class symantec.itools.beans.ConnectionDescriptor

Sets the form string.

setFormat(int, Format). Method in class java.text.MessageFormat

Sets formats individually to use on parameters.

setFormats(Format[]). Method in class java.text.MessageFormat

Sets formats to use on parameters.

setFrame(String). Method in class symantec.itools.awt.ButtonBase

Sets the frame specifier for showing a URL document in a browser or applet viewer.

setFrame(String). Method in class symantec.itools.awt.InvisibleHTMLLink

Sets the frame specifier for showing a URL document in a browser or applet viewer.

setFrame(String). Method in class symantec.itools.awt.RollOverButton

Sets the frame specifier for showing a URL document in a browser or applet viewer.

setFrame(String). Method in class symantec.itools.multimedia.ScrollingText

Specify the display location of linked pages.

setFullBufferUpdates(boolean). Method in class java.awt.image.MemoryImageSource

Specify whether this animated memory image should always be updated by sending the complete buffer of pixels whenever there is a change.

setGapColor(Color). Method in class symantec.itools.awt.SplitterPanel

Sets the color of the gap between panels and around the outside border.

setGapSizes(int). Method in class symantec.itools.awt.SplitterPanel

Sets the size of the split between panels and around the inside of the SplitterPanel border.

setGapSizes(int, int). Method in class symantec.itools.awt.SplitterPanel

Sets the size of the split between panels and around the inside of the SplitterPanel border.

setGapSizes(int, int, int, int). Method in class symantec.itools.awt.SplitterPanel

Sets the size of the split between panels and around the inside of the SplitterPanel border.

setGapWidth(int). Method in class symantec.itools.awt.util.ProgressBar

Set the gap width between boxes drawn for the progress bar.

setGetMethods(String[]). Method in class symantec.itools.db.beans.binding.Mediator

Sets the methods used to get a component's value.

setGotoButton(boolean). Method in class symantec.itools.db.awt.Grid

Sets whether the Grid has this button.

setGregorianChange(Date). Method in class java.util.GregorianCalendar

Sets the GregorianCalendar change date.

setGroupingSeparator(char). Method in class java.text.DecimalFormatSymbols

setGroupingSize(int). Method in class java.text.DecimalFormat

Set the grouping size.

setGroupingUsed(boolean). Method in class java.text.NumberFormat

Set whether or not grouping will be used in this format.

setGuiAvailable(boolean). Static method in class java.beans.Beans

Used to indicate whether of not we are running in an environment where GUI interaction is available.

setHeading(String, int). Method in class symantec.itools.awt.MultiList

Sets a column's heading text.

setHeading(String, int, int). Method in class symantec.itools.awt.MultiList

Sets a column's heading text and width.

setHeadingBg(Color). Method in class symantec.itools.awt.MultiList

Sets the column heading text background color.

setHeadingColors(Color, Color). Method in class symantec.itools.awt.MultiList

Sets the column heading foreground and background colors.

setHeadingFg(Color). Method in class symantec.itools.awt.MultiList

Sets the column heading text foreground color.

setHeadingFont(Font). Method in class symantec.itools.awt.MultiList

Sets the font for column heading text.

setHeadings(String[]). Method in class symantec.itools.awt.MultiList

Initializes all the column headings with the given list.

setHeadingVisible(boolean). Method in class symantec.itools.awt.MultiList

Sets whether this MultiList should draw the column headings or not.

setHelpButtonVisible(boolean). Method in class symantec.itools.awt.Wizard

Shows or hides the Help button depending on the value of the parameter.

setHelpEnabled(boolean). Method in class symantec.itools.awt.SimpleWizardController

Set the state of the Help button.

setHelpEnabled(boolean). Method in class symantec.itools.awt.Wizard

Enables or disables the Help button.

setHelpEnabled(boolean). Method in interface symantec.itools.awt.WizardController

Enables or disables the Help button.

setHelpEnabled(boolean). Method in interface symantec.itools.awt.WizardInterface

Enables or disables the Help button.

setHelpMenu(Menu). Method in class java.awt.MenuBar

Sets the help menu on this menu bar to be the specified menu.

setHgap(int). Method in class java.awt.BorderLayout

Sets the horizontal gap between components.

setHgap(int). Method in class java.awt.CardLayout

Sets the horizontal gap between components.

setHgap(int). Method in class java.awt.FlowLayout

Sets the horizontal gap between components.

setHgap(int). Method in class java.awt.GridLayout

Sets the horizontal gap between components to the specified value.

setHidden(boolean). Method in class java.beans.FeatureDescriptor

The "hidden" flag is used to identify features that are intended only for tool use, and which should not be exposed to humans.

setHidden(boolean). Method in class symantec.itools.awt.TreeNode

Sets whether this node is hidden.

setHighlightText(boolean). Method in class symantec.itools.awt.InfoTipPanel

Sets the "Highlight Text" property which determines whether the text will be highlighted with the current textHighlightColor or not.

setHiliteColor(Color). Method in class symantec.itools.multimedia.ScrollingText

Set the highlight color for text.

setHints(int). Method in class java.awt.image.AreaAveragingScaleFilter

Detect if the data is being delivered with the necessary hints to allow the averaging algorithm to do its work.

setHints(int). Method in interface java.awt.image.ImageConsumer

The ImageProducer can deliver the pixels in any order, but the ImageConsumer may be able to scale or convert the pixels to the destination ColorModel more efficiently or with higher quality if it knows some information about how the pixels will be delivered up front.

setHints(int). Method in class java.awt.image.ImageFilter

Filters the information provided in the setHints method of the ImageConsumer interface.

setHints(int). Method in class java.awt.image.PixelGrabber

The setHints method is part of the ImageConsumer API which this class must implement to retrieve the pixels.

setHints(TableCell). Method in class symantec.itools.db.awt.CellHints

Initializes this CellHint for the given TableCell.

setHorizontalGap(int). Method in class symantec.itools.awt.ScrollingPanel

setHours(int). Method in class java.sql.Date

Sets the hour of this date to the specified value.

setHours(int). Method in class java.util.Date

Sets the hour of this date to the specified value.

setHumanPresentableName(String). Method in class java.awt.datatransfer.DataFlavor

Sets the human presentable name for the data format that this DataFlavor represents.

setIconImage(Image). Method in class java.awt.Frame

Sets the image to display when this frame is iconized.

setIconImage(Image). Method in interface java.awt.peer.FramePeer

setID(String). Method in class java.util.TimeZone

Sets the time zone ID.

setIdentifier(String). Method in class symantec.itools.db.beans.jdbc.JdbcConnection

Sets the identifier property.

setIfModifiedSince(long). Method in class java.net.URLConnection

Sets the value of the ifModifiedSince field of this URLConnection to the specified value.

setImage(Image). Method in interface symantec.itools.db.awt.Data

Sets a new image for the field.

setImage(Image). Method in class symantec.itools.db.awt.DefaultData

Sets a new image for the field.

setImage(Image). Method in class symantec.itools.db.awt.ImageStringData

Sets a new image for the field.

setImage(Image). Method in class symantec.itools.db.awt.ImageViewer

Sets this component's Image.

setImage(Image). Method in class symantec.itools.multimedia.ImageViewer

Set or change the current image.

setImage(int). Method in class symantec.itools.multimedia.SlideShow

Display the image at the given index.

setImage(int, Image). Method in class symantec.itools.awt.ComboBox

Changes the image associated with a drop-down item.

setImage(int, Image). Method in class symantec.itools.awt.ImageListBox

Change the image associated with an item at a specific zero-relative index.

setImage(int, int, Image). Method in interface symantec.itools.db.awt.DataSource

Method used to support Defaultdata class.

setImage(int, int, Image). Method in class symantec.itools.db.awt.DbDataSource

Method used to support Defaultdata class.

setImage(int, int, Image). Method in class symantec.itools.db.awt.DefaultDataSource

Method used to support Defaultdata class.

setImageHelper(Image). Method in class symantec.itools.awt.RollOverButton

A function used to consolidate shared code between the three image setting functions.

setImageList(URL[]). Method in class symantec.itools.multimedia.Animator

Sets the image list.

setImageStyle(int). Method in class symantec.itools.awt.ImageButton

Sets the new panel image style.

setImageType(byte[]). Method in class symantec.itools.db.awt.ImageViewer

Sets the type of image loaded.

setImageType(int). Method in class symantec.itools.db.awt.ImageViewer

Sets the type of image loaded.

setImageURL(int, URL). Method in class symantec.itools.awt.ImageListBox

Sets the URL of the image to display at the given zero based index

setImageURL(URL). Method in class symantec.itools.awt.ImageButton

Sets the URL of the image to display in the button.

setImageURL(URL). Method in class symantec.itools.awt.ImagePanel

Sets the URL of the image to display in this panel.

setImageURL(URL). Method in class symantec.itools.multimedia.ImageViewer

Specify or change the image URL.

setImageURL(URL). Method in class symantec.itools.awt.InfoTipPanel

Sets the URL of the image to display in this panel.

setIn(InputStream). Static method in class java.lang.System

Reassigns the "standard" input stream.

setIncrement(int). Method in class symantec.itools.awt.util.spinner.NumericSpinner

Sets the value to increment/decrement the Spinner by.

setInDefaultEventSet(boolean). Method in class java.beans.EventSetDescriptor

Mark an event set as being in the "default" set (or not).

setIndex(int). Method in interface java.text.CharacterIterator

Set the position to the specified position in the text and return that character.

setIndex(int). Method in class java.text.ParsePosition

Set the current parse position.

setIndex(int). Method in class java.text.StringCharacterIterator

Set the position to specified position in the text and return that character.

setIndexFromOne(int). Method in class symantec.itools.db.awt.ListPlus

setIndexFromOne(int). Method in class symantec.itools.db.awt.ListPlus

Selects a list item using its one-relative index.

setinequalout(). Method in class symantec.itools.db.awt.Tstamp

Sets the text entry format to the same as the display format.

setInfinity(String). Method in class java.text.DecimalFormatSymbols

setInfo(String). Method in class java.security.Identity

Specifies a general information string for this identity.

setInit(String). Method in class symantec.itools.beans.ConnectionDescriptor

Specifies any initialization code that needs to be present prior to the code generated from the connection expression.

setInitialRecordPosition(String). Method in class symantec.itools.db.pro.Request

Sets the value of the initial record position ("recPosition") property from a string.

setInput(byte[]). Method in class java.util.zip.Deflater

Sets input data for compression.

setInput(byte[]). Method in class java.util.zip.Inflater

Sets input data for decompression.

setInput(byte[], int, int). Method in class java.util.zip.Deflater

Sets input data for compression.

setInput(byte[], int, int). Method in class java.util.zip.Inflater

Sets input data for decompression.

setInputStream(ByteArrayInputStream). Method in class symantec.itools.db.awt.ImageViewer

Sets the image input stream.

setInsertButton(boolean). Method in class symantec.itools.db.awt.Grid

Sets whether the Grid has this button.

setInt(int). Method in class symantec.itools.db.pro.ProjBinder

Sets the column value to a Java int.

setInt(int). Method in class symantec.itools.db.pro.Projection

Sets a Java int data value.

setInt(int, int). Method in interface symantec.itools.db.pro.DataAccess

Sets the specified column value to a Java int.

setInt(int, int). Method in interface java.sql.PreparedStatement

Set a parameter to a Java int value.

setInt(int, int). Method in class symantec.itools.db.pro.Record

Sets the specified column value to a Java int.

setInt(int, int). Method in class symantec.itools.db.pro.RelationView

Sets the specified column value to a Java int.

setInt(Object, int). Method in class java.lang.reflect.Field

Set the value of a field as an int on specified object.

setInt(Object, int, int). Static method in class java.lang.reflect.Array

Sets the value of the indexed component of the specified array object to the specified int value.

setInt(String, int). Method in interface symantec.itools.db.pro.DataAccess

Sets the specified column value to a Java int.

setInt(String, int). Method in class symantec.itools.db.pro.Record

Sets the specified column value to a Java int.

setInt(String, int). Method in class symantec.itools.db.pro.RelationView

Sets the specified column value to a Java int.

setInterface(InetAddress). Method in class java.net.MulticastSocket

Set the outgoing network interface for multicast packets on this socket, to other than the system default.

setInternalInsets(Insets). Method in class symantec.itools.awt.BorderPanel

Sets the internal border insets.

setIPadBottom(int). Method in class symantec.itools.awt.BorderPanel

Sets the bottom border inset padding amount, in pixels.

setIPadSides(int). Method in class symantec.itools.awt.BorderPanel

Sets the side border inset padding amount, in pixels.

setIPadTop(int). Method in class symantec.itools.awt.BorderPanel

Sets the top border inset padding amount, in pixels.

setIsLoaded(boolean). Method in class symantec.itools.db.awt.ImageViewer

Sets the "is loaded" flag.

setjdbcDataSource(Object). Method in class symantec.itools.db.awt.Grid

Sets the data source that this component should use.

setJoin(String[]). Method in class symantec.itools.db.beans.jdbc.QueryNavigator

setJoinColumns(String[]). Method in class symantec.itools.db.awt.List

Sets the list of columns that this component will be bound to.

setKeyChar(char). Method in class java.awt.event.KeyEvent

setKeyCode(int). Method in class java.awt.event.KeyEvent

setKeyPair(KeyPair). Method in class java.security.Signer

Sets the key pair (public key and private key) for this signer.

setLabel(String). Method in class symantec.itools.awt.BorderPanel

Sets the text label to display in the border.

setLabel(String). Method in class java.awt.Button

Sets the button's label to be the specified string.

setLabel(String). Method in interface java.awt.peer.ButtonPeer

setLabel(String). Method in class java.awt.Checkbox

Sets this check box's label to be the string argument.

setLabel(String). Method in interface java.awt.peer.CheckboxPeer

setLabel(String). Method in class symantec.itools.awt.ImageListBox

Sets the current list box label.

setLabel(String). Method in class java.awt.MenuItem

Sets the label for this menu item to the specified label.

setLabel(String). Method in interface java.awt.peer.MenuItemPeer

setLabel(String, int). Method in class symantec.itools.awt.BaseTabbedPanel

Changes the label of the tab at the specified index.

setLabelColor(Color). Method in class symantec.itools.awt.BorderPanel

Sets the border label color.

setLayout(LayoutManager). Method in class symantec.itools.awt.BaseTabbedPanel

Takes no action.

setLayout(LayoutManager). Method in class symantec.itools.awt.BorderPanel

Sets the layout manager to be used to layout this container.

setLayout(LayoutManager). Method in class symantec.itools.awt.util.Calendar

Takes no action.

setLayout(LayoutManager). Method in class symantec.itools.awt.ComboBox

Takes no action.

setLayout(LayoutManager). Method in class java.awt.Container

Sets the layout manager for this container.

setLayout(LayoutManager). Method in class symantec.itools.awt.InfoTipPanel

Takes no action.

setLayout(LayoutManager). Method in class symantec.itools.awt.MultiList

Takes no action.

setLayout(LayoutManager). Method in class java.awt.ScrollPane

Sets the layout manager for this container.

setLayout(LayoutManager). Method in class symantec.itools.awt.util.spinner.SpinButtonPanel

Takes no action.

setLayout(LayoutManager). Method in class symantec.itools.awt.util.spinner.Spinner

Takes no action.

setLayout(LayoutManager). Method in class symantec.itools.awt.SplitterPanel

Takes no action.

setLayout(LayoutManager). Method in class symantec.itools.awt.StatusBar

Takes no action.

setLayout(LayoutManager). Method in class symantec.itools.awt.util.ToolBarPanel

Takes no action.

setLayout(LayoutManager). Method in class symantec.itools.awt.TreeView

Takes no action.

setLayout(LayoutManager). Method in class symantec.itools.awt.Wizard

Takes no action.

setLength(int). Method in class java.net.DatagramPacket

setLength(int). Method in class java.lang.StringBuffer

Sets the length of this String buffer.

setLenient(boolean). Method in class java.util.Calendar

Specify whether or not date/time interpretation is to be lenient.

setLenient(boolean). Method in class java.text.DateFormat

Specify whether or not date/time parsing is to be lenient.

setLevel(int). Method in class java.util.zip.Deflater

Sets the current compression level to the specified value.

setLevel(int). Method in class java.util.zip.ZipOutputStream

Sets the compression level for subsequent entries which are DEFLATED.

setLineIncrement(int). Method in class java.awt.Scrollbar

setLineIncrement(int). Method in interface java.awt.peer.ScrollbarPeer

setLineNumber(int). Method in class java.io.LineNumberInputStream

Sets the line number to the specified argument.

setLineNumber(int). Method in class java.io.LineNumberReader

Set the current line number.

setLineThickness(int). Method in class symantec.itools.awt.shape.Line

Sets the thikcness of the line to draw.

setLink(SynchronizerLink). Method in class symantec.itools.db.beans.binding.QueryNavigator

setLinkToList(URL[]). Method in class symantec.itools.multimedia.ScrollingText

Specify the list of URLs for message links.

setLinkURL(URL). Method in class symantec.itools.awt.ButtonBase

Sets the URL of the document to link to when the button is clicked.

setListDown(boolean). Method in class symantec.itools.awt.ComboBox

Handles dropping and "un-dropping" the ComboBox list.

setListItems(String[]). Method in class symantec.itools.awt.ComboBox

Adds the string array to the list.

setListItems(String[]). Method in class symantec.itools.db.awt.ComboBox

Adds the string array to the list.

setListItems(String[]). Method in class symantec.itools.awt.ImageListBox

Initializes the list with the string array.

setListItems(String[]). Method in class symantec.itools.awt.util.spinner.ListSpinner

Adds the given string array to the end of the list.

setListItems(String[]). Method in class symantec.itools.awt.MultiList

Initializes all the MultiList cells with text.

setListText(int, String). Method in class symantec.itools.awt.ComboBox

Changes the text associated with a drop-down item.

setLocale(Locale). Method in class java.awt.Component

Sets the locale of this component.

setLocale(Locale). Method in class java.text.MessageFormat

Constructs with the specified pattern and formats for the arguments in that pattern.

setLocalPatternChars(String). Method in class java.text.DateFormatSymbols

Sets localized date-time pattern characters.

setLocation(int, int). Method in class java.awt.Component

Moves this component to a new location.

setLocation(int, int). Method in class java.awt.Point

Changes the point to have the specificed location.

setLocation(int, int). Method in class java.awt.Rectangle

Moves the rectangle to the specified location.

setLocation(Point). Method in class java.awt.Component

Moves this component to a new location.

setLocation(Point). Method in class java.awt.Point

Sets the location of the point to the specificed location.

setLocation(Point). Method in class java.awt.Rectangle

Moves the rectangle to the specified location.

setLockedColumn(int). Method in class symantec.itools.db.awt.Grid

Sets the column which does not scroll.

setLog(OutputStream). Static method in class java.rmi.server.RemoteServer

Log RMI calls to the output stream out.

setLoginTimeout(int). Static method in class java.sql.DriverManager

Set the maximum time in seconds that all drivers can wait when attempting to log in to a database.

setLogonObject(Logon). Method in class symantec.itools.db.pro.Session

Installs an object implementing the Logon interface as the new LogonFailure Handler.

setLogStream(PrintStream). Static method in class java.sql.DriverManager

Set the logging/tracing PrintStream that is used by the DriverManager and all drivers.

setLong(int, long). Method in interface symantec.itools.db.pro.DataAccess

Sets the specified column value to a Java long.

setLong(int, long). Method in interface java.sql.PreparedStatement

Set a parameter to a Java long value.

setLong(int, long). Method in class symantec.itools.db.pro.Record

Sets the specified column value to a Java long.

setLong(int, long). Method in class symantec.itools.db.pro.RelationView

Sets the specified column value to a Java long.

setLong(long). Method in class symantec.itools.db.pro.ProjBinder

Sets the column value to a Java long.

setLong(long). Method in class symantec.itools.db.pro.Projection

Sets a Java long data value.

setLong(Object, int, long). Static method in class java.lang.reflect.Array

Sets the value of the indexed component of the specified array object to the specified long value.

setLong(Object, long). Method in class java.lang.reflect.Field

Set the value of a field as a long on specified object.

setLong(String, long). Method in interface symantec.itools.db.pro.DataAccess

Sets the specified column value to a Java long.

setLong(String, long). Method in class symantec.itools.db.pro.Record

Sets the specified column value to a Java long.

setLong(String, long). Method in class symantec.itools.db.pro.RelationView

Sets the specified column value to a Java long.

setLookupName(String). Method in class symantec.itools.db.awt.ComboBox

Sets the value of the Lookup Name property.

setLookupName(String). Method in class symantec.itools.db.awt.ListPlus

Sets the value of the Lookup Name property.

setLookUpRelationView(RelationView). Method in class symantec.itools.db.awt.List

Sets the RelationView this component is bound with.

setMarkedAsDeleted(). Method in class symantec.itools.db.beans.binding.QueryNavigator

Flags the current row as deleted.

setMarkedAsDeleted(boolean). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Marks or unmarks a row as having been just deleted.

setMarkedAsModified(boolean). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Marks or unmarks a row as having been just modified.

setMarkedAsNew(boolean). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Marks or unmarks a row as having been just inserted.

setMask(String). Method in class symantec.itools.db.awt.DateMask

Takes no action.

setMask(String). Method in class symantec.itools.awt.FormattedTextField

Sets the valid string format mask for this field.

setMask(String). Method in class symantec.itools.db.awt.FormattedTextField

Sets the valid string format mask for this field.

setMask(String). Method in class symantec.itools.awt.util.edit.IntlLongDistPhoneNumber

Takes no action.

setMask(String). Method in class symantec.itools.awt.util.edit.LocalPhoneNumber

Takes no action.

setMask(String). Method in class symantec.itools.awt.util.edit.LongZipCode

Takes no action.

setMask(String). Method in class symantec.itools.db.awt.LongZipCodeMask

Takes no action.

setMask(String). Method in class symantec.itools.awt.util.edit.PostalCode

Takes no action.

setMask(String). Method in class symantec.itools.awt.util.edit.SocialInsuranceNumber

Takes no action.

setMask(String). Method in class symantec.itools.awt.util.edit.SocialSecurityNumber

Takes no action.

setMask(String). Method in class symantec.itools.db.awt.SSNMask

Takes no action.

setMask(String). Method in class symantec.itools.db.awt.TimeMask

Takes no action.

setMask(String). Method in class symantec.itools.db.awt.TimestampMask

Takes no action.

setMask(String). Method in class symantec.itools.awt.util.edit.USLongDistPhoneNumber

Takes no action.

setMask(String). Method in class symantec.itools.db.awt.USPhoneMask

Takes no action.

setMask(String). Method in class symantec.itools.awt.util.edit.ZipCode

Takes no action.

setMask(String). Method in class symantec.itools.db.awt.ZipCodeMask

Takes no action.

setMasterAliasName(String). Method in class symantec.itools.db.beans.binding.QueryNavigator

setMasterName(String). Method in class symantec.itools.db.beans.binding.QueryNavigator

setMax(int). Method in class symantec.itools.awt.util.spinner.ListSpinner

Sets the maximum value the spinner may have.

setMax(int). Method in class symantec.itools.awt.util.spinner.NumericSpinner

Sets the maximum value the spinner may have.

setMax(int). Method in class symantec.itools.awt.util.spinner.Spinner

Sets the maximum value the spinner may have.

setMaxFieldSize(int). Method in interface java.sql.Statement

The maxFieldSize limit (in bytes) is set to limit the size of data that can be returned for any column value; it only applies to BINARY, VARBINARY, LONGVARBINARY, CHAR, VARCHAR, and LONGVARCHAR fields.

setMaximum(int). Method in interface java.awt.Adjustable

Sets the maximum value of the adjustable object.

setMaximum(int). Method in class java.awt.Scrollbar

Sets the maximum value of this scroll bar.

setMaximumFractionDigits(int). Method in class java.text.NumberFormat

Sets the maximum number of digits allowed in the fraction portion of a number.

setMaximumIntegerDigits(int). Method in class java.text.NumberFormat

Sets the maximum number of digits allowed in the integer portion of a number.

setMaxPriority(int). Method in class java.lang.ThreadGroup

Sets the maximum priority of the group.

setMaxRows(int). Method in interface java.sql.Statement

The maxRows limit is set to limit the number of rows that any ResultSet can contain.

setMaxValue(int). Method in class symantec.itools.awt.Slider

Sets the maximum value of the slider.

setMenuBar(MenuBar). Method in class java.awt.Frame

Sets the menu bar for this frame to the specified menu bar.

setMenuBar(MenuBar). Method in interface java.awt.peer.FramePeer

setMessageDigest(MessageDigest). Method in class java.security.DigestInputStream

Associates the specified message digest with this stream.

setMessageDigest(MessageDigest). Method in class java.security.DigestOutputStream

Associates the specified message digest with this stream.

setMessageList(String[]). Method in class symantec.itools.multimedia.ScrollingText

Specify the current list of messages.

setMethod(int). Method in class java.util.zip.ZipEntry

Sets the compression method for the entry.

setMethod(int). Method in class java.util.zip.ZipOutputStream

Sets the default compression method for subsequent entries.

setMethods. Variable in class symantec.itools.db.beans.binding.Mediator

The methods used to set a component's value.

setMethods. Variable in class symantec.itools.db.beans.binding.MediatorDS

The methods used to set a component's value.

setMin(int). Method in class symantec.itools.awt.util.spinner.NumericSpinner

Sets the minimum value the spinner may have.

setMin(int). Method in class symantec.itools.awt.util.spinner.Spinner

Sets the minimum value the spinner may have.

setMinColumnWidth(int). Method in class symantec.itools.awt.MultiList

Sets the minimum allowable column width.

setMinimalDaysInFirstWeek(int). Method in class java.util.Calendar

Sets what the minimal days required in the first week of the year are; For example, if the first week is defined as one that contains the first day of the first month of a year, call the method with value 1.

setMinimum(int). Method in interface java.awt.Adjustable

Sets the minimum value of the adjustable object.

setMinimum(int). Method in class java.awt.Scrollbar

Sets the minimum value of this scroll bar.

setMinimumFractionDigits(int). Method in class java.text.NumberFormat

Sets the minimum number of digits allowed in the fraction portion of a number.

setMinimumHeight(int). Method in class symantec.itools.awt.ScrollingPanel

Sets the value to be used for the minimumSize() height of the ScrollingPanel.

setMinimumIntegerDigits(int). Method in class java.text.NumberFormat

Sets the minimum number of digits allowed in the integer portion of a number.

setMinimumSize(Dimension). Method in class symantec.itools.awt.SplitterPanel

Sets the minimum size of this SplitterPanel.

setMinimumWidth(int). Method in class symantec.itools.awt.ScrollingPanel

Sets the value to be used for the minimumSize() width of the ScrollingPanel.

setMinusSign(char). Method in class java.text.DecimalFormatSymbols

setMinutes(int). Method in class java.sql.Date

Sets the minutes of this date to the specified value.

setMinutes(int). Method in class java.util.Date

Sets the minutes of this date to the specified value.

setMinValue(int). Method in class symantec.itools.awt.Slider

Sets the minimum value of the slider.

setModal(boolean). Method in class java.awt.Dialog

Specifies whether this dialog is modal.

setMode(int). Method in class java.awt.FileDialog

Sets the mode of the file dialog.

setModifiers(int). Method in class java.awt.event.KeyEvent

Change the modifiers for a KeyEvent.

setMonth(int). Method in class java.util.Date

Sets the month of this date to the specified value.

setMonth(int). Method in class java.sql.Time

Sets the month of this date to the specified value.

setMonths(String[]). Method in class java.text.DateFormatSymbols

Sets month strings.

setMoveSplitCursor(Cursor). Method in class symantec.itools.awt.SplitterPanel

Determines the cursor to use when dragging the split between panels.

setMoveSplitCursor(int). Method in class symantec.itools.awt.SplitterPanel

Determines the cursor to use when dragging the split between panels.

setMultiColumnMode(boolean). Method in class symantec.itools.awt.ImageListBox

Sets the mode of the ImageListBox to "MultiColumnListBox mode".

setMultipleMode(boolean). Method in class java.awt.List

Sets the flag that determines whether this list allows multiple selections.

setMultipleMode(boolean). Method in interface java.awt.peer.ListPeer

setMultipleMode(boolean). Method in class symantec.itools.awt.MultiList

Sets whether this MultiList should allow multiple selections or not.

setMultipleSelections(boolean). Method in class symantec.itools.awt.ImageListBox

Sets whether this list should allow multiple selections or not.

setMultipleSelections(boolean). Method in class java.awt.List

setMultipleSelections(boolean). Method in interface java.awt.peer.ListPeer

DEPRECATED: Replaced by setMultipleMode(boolean).

setMultiplier(int). Method in class java.text.DecimalFormat

Set the multiplier for use in percent, permill, etc.

setName(Principal, String). Method in interface java.security.acl.Acl

Sets the name of this ACL.

setName(String). Method in class java.awt.Component

Sets the name of the component to the specified string.

setName(String). Method in class symantec.itools.db.pro.ConnectionInfo

Sets the user-defined name for this object.

setName(String). Method in class java.beans.FeatureDescriptor

setName(String). Method in class java.awt.MenuComponent

Sets the name of the component to the specified string.

setName(String). Method in class symantec.itools.db.beans.binding.QueryNavigator

Sets the name assigned to this component.

setName(String). Method in class symantec.itools.db.pro.RelationView

Sets the name associated with this RelationView within the MultiView object.

setName(String). Method in class symantec.itools.db.pro.RelationViewPlus

Sets the name associated with this RelationViewPlus object.

setName(String). Method in class symantec.itools.db.pro.Session

Sets the user-defined name for this object.

setName(String). Method in class java.lang.Thread

Changes the name of this thread to be equal to the argument name.

setNaN(String). Method in class java.text.DecimalFormatSymbols

setNanos(int). Method in class java.sql.Timestamp

Set the Timestamp's nanos value

setNegativePermissions(). Method in interface java.security.acl.AclEntry

Sets this ACL entry to be a negative one.

setNegativePrefix(String). Method in class java.text.DecimalFormat

Set the negative prefix.

setNegativeSuffix(String). Method in class java.text.DecimalFormat

Set the positive suffix.

setNextEnabled(boolean). Method in class symantec.itools.awt.SimpleWizardController

Set the state of the Next button.

setNextEnabled(boolean). Method in class symantec.itools.awt.Wizard

Enables or disables the Next button.

setNextEnabled(boolean). Method in interface symantec.itools.awt.WizardController

Enables or disables the Next button.

setNextEnabled(boolean). Method in interface symantec.itools.awt.WizardInterface

Enables or disables the Next button.

setNextException(SQLException). Method in class java.sql.SQLException

Add an SQLException to the end of the chain.

setNextPage(Component). Method in class symantec.itools.awt.SimpleWizardController

Set a next page.

setNextPage(Component). Method in class symantec.itools.awt.Wizard

Sets the page to show when goNext is called.

setNextPage(Component). Method in interface symantec.itools.awt.WizardController

Set a next page.

setNextPage(Component). Method in interface symantec.itools.awt.WizardInterface

Sets the page to show when goNext is called.

setNextPageIndex(int). Method in class symantec.itools.awt.SimpleWizardController

Set an index for the next page.

setNextPageIndex(int). Method in class symantec.itools.awt.Wizard

Sets the index of the page to show when goNext is called.

setNextPageIndex(int). Method in interface symantec.itools.awt.WizardController

Set an index for the next page.

setNextPageIndex(int). Method in interface symantec.itools.awt.WizardInterface

Sets the index of the page to show when goNext is called.

setNextWarning(SQLWarning). Method in class java.sql.SQLWarning

Add an SQLWarning to the end of the chain.

setNotifyDelay(int). Method in class symantec.itools.awt.ButtonBase

Sets the notification event delay in milliseconds.

setNotifyWhilePressed(boolean). Method in class symantec.itools.awt.ButtonBase

Sets whether the button will continually post notify events while pressed.

setNotifyWhilePressed(boolean). Method in class symantec.itools.awt.util.spinner.SpinButtonPanel

Sets whether the spinner buttons will continually post notify events while pressed.

setNotifyWhilePressed(boolean). Method in class symantec.itools.awt.util.spinner.Spinner

Sets whether the spinner buttons will continually post notify events while pressed.

setNull(int). Method in class symantec.itools.db.pro.ProjBinder

Sets whether the column value has been defined.

setNull(int). Method in class symantec.itools.db.pro.Projection

Clears the data value held by the object, and sets it to undefined.

setNull(int, int). Method in interface symantec.itools.db.pro.DataAccess

Sets whether the specified column value has been defined.

setNull(int, int). Method in interface java.sql.PreparedStatement

Set a parameter to SQL NULL.

setNull(int, int). Method in class symantec.itools.db.pro.Record

Sets whether the specified column value has been defined.

setNull(int, int). Method in class symantec.itools.db.pro.RelationView

Sets whether the specified column value has been defined.

setNull(String, int). Method in interface symantec.itools.db.pro.DataAccess

Sets whether the specified column value has been defined.

setNull(String, int). Method in class symantec.itools.db.pro.Record

Sets whether the specified column value has been defined.

setNull(String, int). Method in class symantec.itools.db.pro.RelationView

Sets whether the specified column value has been defined.

setNumberFormat(NumberFormat). Method in class java.text.DateFormat

Allows you to set the number formatter.

setNumberOfCols(int). Method in class symantec.itools.awt.MultiList

Sets the number of columns.

setNumLoops(int). Method in class symantec.itools.multimedia.Animator

Sets the number of loops to perform when displaying the animation set.

setObject(int, Object). Method in interface java.sql.PreparedStatement

Set the value of a parameter using an object; use the java.lang equivalent objects for integral values.

setObject(int, Object, int). Method in interface java.sql.PreparedStatement

This method is like setObject above, but assumes a scale of zero.

setObject(int, Object, int, int). Method in interface java.sql.PreparedStatement

Set the value of a parameter using an object; use the java.lang equivalent objects for integral values.

setObject(Object). Method in interface java.beans.Customizer

Set the object to be customized.

setObjectInStatement(PreparedStatement, Object, int, int, int). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Sets a parameter in the given statement to the provided value.

setOptimisticConcurrency(String). Method in class symantec.itools.db.pro.Request

Sets the value of the optimistic concurrency property ("optConc") from a string.

setOrientation(int). Method in interface symantec.itools.awt.Orientation

Sets the component's new orientation.

setOrientation(int). Method in class java.awt.Scrollbar

Sets the orientation for this scroll bar.

setOrientation(int). Method in class symantec.itools.awt.util.spinner.SpinButtonPanel

Sets whether the spinner buttons are laid out one above the other or one beside the other.

setOrientation(int). Method in class symantec.itools.awt.util.spinner.Spinner

Sets whether the spinner buttons are laid out one above the other or one beside the other.

setOrientation(int). Method in class symantec.itools.awt.util.ToolBarPanel

Sets the orientation of the toolbar.

setOtherValue(String). Method in class symantec.itools.db.awt.StateCheckBox

Establishes what database value will be interpreted as the value: other (the third state of this three-state checkbox).

setOut(PrintStream). Static method in class java.lang.System

Reassigns the "standard" output stream.

setOutput(Object). Method in class symantec.itools.db.beans.binding.Mediator

Sets the output component in which the Mediator is going to display the data.

setOutput(Object). Method in class symantec.itools.db.beans.binding.MediatorDS

Sets the QueryNavigator to use with this MediatorDS.

setOutputSize(Dimension). Method in class symantec.itools.db.beans.binding.Mediator

Sets the data dimension of the output component.

setOutputStream(OutputStream). Method in class java.rmi.server.LogStream

Set the stream to which output from this log is sent.

setOverFileName(String). Method in class symantec.itools.awt.RollOverButton

Sets the file name of the image to display while the mouse is over the button.

setOverImage(Image). Method in class symantec.itools.awt.RollOverButton

Sets the image to display while the mouse is over the button.

setOverURL(URL). Method in class symantec.itools.awt.RollOverButton

Sets the URL of the image to display while the mouse is over the button.

setPadding(int, int, int, int). Method in class symantec.itools.awt.BorderPanel

Sets the border padding amounts.

setPaddingBottom(int). Method in class symantec.itools.awt.BorderPanel

Sets the bottom border outside padding amount, in pixels.

setPaddingLeft(int). Method in class symantec.itools.awt.BorderPanel

Sets the left border outside padding amount, in pixels.

setPaddingRight(int). Method in class symantec.itools.awt.BorderPanel

Sets the right border outside padding amount, in pixels.

setPaddingTop(int). Method in class symantec.itools.awt.BorderPanel

Sets the top border outside padding amount, in pixels.

setPageIncrement(int). Method in class java.awt.Scrollbar

setPageIncrement(int). Method in interface java.awt.peer.ScrollbarPeer

setPaintMode(). Method in class java.awt.Graphics

Sets the paint mode of this graphics context to overwrite the destination with this graphics context's current color.

setPanel(Component). Method in class symantec.itools.awt.BaseTabbedPanel

Adds the panel to the base panel and shows it.

setPanelLabel(String, int). Method in class symantec.itools.awt.TabPanel

Sets the tab label associated with the current panels at the given index.

setPanelLabels(String[]). Method in class symantec.itools.awt.TabPanel

Sets the tab labels associated with the panel positions.

setParameter(String, Object). Method in class java.security.Signature

Sets the specified algorithm parameter to the specified value.

setParameters(PreparedStatement, int, int, boolean). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Replaces the '?' patterns in the WHERE clause with record values.

setParameterValues(PreparedStatement). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Sets the parameters in the given statement using the values from this record.

setParent(ResourceBundle). Method in class java.util.ResourceBundle

Set the parent bundle of this bundle.

setParseIntegerOnly(boolean). Method in class java.text.NumberFormat

Sets whether or not numbers should be parsed as integers only.

setPassword(String). Method in class symantec.itools.db.pro.ConnectionInfo

Sets the password for the user.

setPassword(String). Method in class symantec.itools.db.beans.jdbc.JdbcConnection

Sets the password property.

setPatternSeparator(char). Method in class java.text.DecimalFormatSymbols

setPaused(boolean). Method in class symantec.itools.multimedia.NervousText

Temporarily suspend the animation of the nervous text.

setPercent(char). Method in class java.text.DecimalFormatSymbols

setPercent(double). Method in class symantec.itools.awt.image.DarkenFilter

Sets the percentage to fade when filtering.

setPercent(double). Method in class symantec.itools.awt.image.FadeFilter

Sets the percentage to fade when filtering.

setPercent(double). Method in class symantec.itools.awt.image.LightenFilter

Sets the percentage to fade when filtering.

setPerMill(char). Method in class java.text.DecimalFormatSymbols

setPixels(int, int, int, int, ColorModel, byte[], int, int). Method in class java.awt.image.AreaAveragingScaleFilter

Combine the components for the delivered byte pixels into the accumulation arrays and send on any averaged data for rows of pixels that are complete.

setPixels(int, int, int, int, ColorModel, byte[], int, int). Method in class java.awt.image.CropImageFilter

Determine whether the delivered byte pixels intersect the region to be extracted and passes through only that subset of pixels that appear in the output region.

setPixels(int, int, int, int, ColorModel, byte[], int, int). Method in interface java.awt.image.ImageConsumer

The pixels of the image are delivered using one or more calls to the setPixels method.

setPixels(int, int, int, int, ColorModel, byte[], int, int). Method in class java.awt.image.ImageFilter

Filters the information provided in the setPixels method of the ImageConsumer interface which takes an array of bytes.

setPixels(int, int, int, int, ColorModel, byte[], int, int). Method in class java.awt.image.PixelGrabber

The setPixels method is part of the ImageConsumer API which this class must implement to retrieve the pixels.

setPixels(int, int, int, int, ColorModel, byte[], int, int). Method in class java.awt.image.ReplicateScaleFilter

Choose which rows and columns of the delivered byte pixels are needed for the destination scaled image and pass through just those rows and columns that are needed, replicated as necessary.

setPixels(int, int, int, int, ColorModel, byte[], int, int). Method in class java.awt.image.RGBImageFilter

If the ColorModel object is the same one that has already been converted, then simply passes the pixels through with the converted ColorModel.

setPixels(int, int, int, int, ColorModel, int[], int, int). Method in class java.awt.image.AreaAveragingScaleFilter

Combine the components for the delivered int pixels into the accumulation arrays and send on any averaged data for rows of pixels that are complete.

setPixels(int, int, int, int, ColorModel, int[], int, int). Method in class java.awt.image.CropImageFilter

Determine if the delivered int pixels intersect the region to be extracted and pass through only that subset of pixels that appear in the output region.

setPixels(int, int, int, int, ColorModel, int[], int, int). Method in interface java.awt.image.ImageConsumer

The pixels of the image are delivered using one or more calls to the setPixels method.

setPixels(int, int, int, int, ColorModel, int[], int, int). Method in class java.awt.image.ImageFilter

Filters the information provided in the setPixels method of the ImageConsumer interface which takes an array of integers.

setPixels(int, int, int, int, ColorModel, int[], int, int). Method in class java.awt.image.PixelGrabber

The setPixels method is part of the ImageConsumer API which this class must implement to retrieve the pixels.

setPixels(int, int, int, int, ColorModel, int[], int, int). Method in class java.awt.image.ReplicateScaleFilter

Choose which rows and columns of the delivered int pixels are needed for the destination scaled image and pass through just those rows and columns that are needed, replicated as necessary.

setPixels(int, int, int, int, ColorModel, int[], int, int). Method in class java.awt.image.RGBImageFilter

If the ColorModel object is the same one that has already been converted, then simply passes the pixels through with the converted ColorModel, otherwise converts the buffer of integer pixels to the default RGB ColorModel and passes the converted buffer to the filterRGBPixels method to be converted one by one.

setPort(int). Method in class java.net.DatagramPacket

setPositivePrefix(String). Method in class java.text.DecimalFormat

Set the positive prefix.

setPositiveSlope(boolean). Method in class symantec.itools.awt.shape.Line

Sets the slope type of the line to draw.

setPositiveSuffix(String). Method in class java.text.DecimalFormat

Set the positive suffix.

setPreferredSize(Dimension). Method in class symantec.itools.awt.SplitterPanel

Sets the preferred size of this SplitterPanel.

setPreviewMode(boolean). Method in class symantec.itools.multimedia.Animator

Sets the preview mode flag.

setPreviewMode(boolean). Method in class symantec.itools.multimedia.Plasma

Sets the preview mode flag.

setPreviousEnabled(boolean). Method in class symantec.itools.awt.SimpleWizardController

Set the state of the Previous button.

setPreviousEnabled(boolean). Method in class symantec.itools.awt.Wizard

Enables or disables the Previous button.

setPreviousEnabled(boolean). Method in interface symantec.itools.awt.WizardController

Enables or disables the Previous button.

setPreviousEnabled(boolean). Method in interface symantec.itools.awt.WizardInterface

Enables or disables the Previous button.

setPreviousPage(Component). Method in class symantec.itools.awt.SimpleWizardController

Set a previous page.

setPreviousPage(Component). Method in class symantec.itools.awt.Wizard

Sets the page to show when goPrevious is called.

setPreviousPage(Component). Method in interface symantec.itools.awt.WizardController

Set a previous page.

setPreviousPage(Component). Method in interface symantec.itools.awt.WizardInterface

Sets the page to show when goPrevious is called.

setPreviousPageIndex(int). Method in class symantec.itools.awt.SimpleWizardController

Set an index for the previous page.

setPreviousPageIndex(int). Method in class symantec.itools.awt.Wizard

Sets the index of the page to show when goPrevious is called.

setPreviousPageIndex(int). Method in interface symantec.itools.awt.WizardController

Set an index for the previous page.

setPreviousPageIndex(int). Method in interface symantec.itools.awt.WizardInterface

Sets the index of the page to show when goPrevious is called.

setPrincipal(Principal). Method in interface java.security.acl.AclEntry

Specifies the principal for which permissions are granted or denied by this ACL entry.

setPriority(int). Method in class java.lang.Thread

Changes the priority of this thread.

setProgressBarColor(Color). Method in class symantec.itools.awt.util.ProgressBar

Set the color that the progress bar will be drawn in.

setProgressBarTextColor(Color). Method in class symantec.itools.awt.util.ProgressBar

setProgressPercent(int). Method in class symantec.itools.awt.util.ProgressBar

Set the percentage complete for the process being tracked.

setProjection(String). Method in class symantec.itools.db.awt.Checkbox

Binds this component to the given projection within the RelationView the component is currently bound with.

setProjection(String). Method in class symantec.itools.db.awt.ComboBox

Sets the projection in the RelationView that this component is bound with.

setProjection(String). Method in class symantec.itools.db.awt.DBTstamp

Binds this component to the given projection within the RelationView the component is currently bound with.

setProjection(String). Method in class symantec.itools.db.awt.FormattedTextField

Binds this component to the given projection within the RelationView the component is currently bound with.

setProjection(String). Method in class symantec.itools.db.awt.ImageViewer

Binds this component to the given projection within the RelationView the component is currently bound with.

setProjection(String). Method in class symantec.itools.db.awt.Label

Binds this component to the given projection within the RelationView the component is currently bound with.

setProjection(String). Method in class symantec.itools.db.awt.List

Binds this component to the given projection within the RelationView the component is currently bound with.

setProjection(String). Method in class symantec.itools.db.awt.NervousText

Binds this component to the given projection within the RelationView the component is currently bound with.

setProjection(String). Method in class symantec.itools.db.awt.RadioBox

Binds this component to the given projection within the RelationView the component is currently bound with.

setProjection(String). Method in class symantec.itools.db.awt.StateCheckBox

Binds this component to the given projection within the RelationView the component is currently bound with.

setProjection(String). Method in class symantec.itools.db.awt.TextArea

Binds this component to the given projection within the RelationView the component is currently bound with.

setProjection(String). Method in class symantec.itools.db.awt.TextField

Binds this component to the given projection within the RelationView the component is currently bound with.

setPropagationId(Object). Method in class java.beans.PropertyChangeEvent

setProperties(Hashtable). Method in class java.awt.image.CropImageFilter

Passes along the properties from the source object after adding a property indicating the cropped region.

setProperties(Hashtable). Method in interface java.awt.image.ImageConsumer

Sets the extensible list of properties associated with this image.

setProperties(Hashtable). Method in class java.awt.image.ImageFilter

Passes the properties from the source object along after adding a property indicating the stream of filters it has been run through.

setProperties(Hashtable). Method in class java.awt.image.PixelGrabber

The setProperties method is part of the ImageConsumer API which this class must implement to retrieve the pixels.

setProperties(Hashtable). Method in class java.awt.image.ReplicateScaleFilter

Passes along the properties from the source object after adding a property indicating the scale applied.

setProperties(Properties). Static method in class java.lang.System

Sets the system properties to the Properties argument.

setProperty(String, String). Static method in class java.security.Security

Sets a security property.

setPropertyEditorClass(Class). Method in class java.beans.PropertyDescriptor

Normally PropertyEditors will be found using the PropertyEditorManager.

setPropResize(boolean). Method in class symantec.itools.awt.SplitterPanel

Sets the "resize propagation" mode.

setPublicKey(PublicKey). Method in class java.security.Identity

Sets this identity's public key.

setQueryParameters(PreparedStatement). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Sets the desired query parameter values in the given statement.

setQueryTimeout(int). Method in interface java.sql.Statement

The queryTimeout limit is the number of seconds the driver will wait for a Statement to execute.

setRawOffset(int). Method in class java.util.SimpleTimeZone

Overrides TimeZone Sets the base time zone offset to GMT.

setRawOffset(int). Method in class java.util.TimeZone

Sets the base time zone offset to GMT.

setReadOnly(boolean). Method in class symantec.itools.db.awt.Checkbox

Sets whether the data value of this component may be modified.

setReadOnly(boolean). Method in class symantec.itools.db.awt.ComboBox

Sets whether the data value of this component may be modified.

setReadOnly(boolean). Method in interface java.sql.Connection

You can put a connection in read-only mode as a hint to enable database optimizations.

setReadOnly(boolean). Method in class symantec.itools.db.awt.FormattedTextField

Sets whether the data value of this component may be modified.

setReadOnly(boolean). Method in class symantec.itools.db.awt.ImageViewer

Sets whether the data value of this component may be modified.

setReadOnly(boolean). Method in class symantec.itools.db.beans.jdbc.JdbcConnection

Sets the readOnly property.

setReadOnly(boolean). Method in class symantec.itools.db.awt.Label

Sets whether the data value of this component may be modified.

setReadOnly(boolean). Method in class symantec.itools.db.awt.List

Sets whether the data value of this component may be modified.

setReadOnly(boolean). Method in class symantec.itools.db.awt.ListPlus

Sets whether the data value of this component may be modified.

setReadOnly(boolean). Method in class symantec.itools.db.awt.NervousText

Sets whether the data value of this component may be modified.

setReadOnly(boolean). Method in interface symantec.itools.db.awt.ProjectionBean

Sets whether the data value of this component may be modified.

setReadOnly(boolean). Method in class symantec.itools.db.awt.RadioBox

Sets whether the data value of this component may be modified.

setReadOnly(boolean). Method in class symantec.itools.db.awt.StateCheckBox

Sets whether the data value of this component may be modified.

setReadOnly(boolean). Method in class symantec.itools.db.awt.TextArea

Sets whether the data value of this component may be modified.

setReadOnly(boolean). Method in class symantec.itools.db.awt.TextField

Sets whether the data value of this component may be modified.

setRef(RemoteStub, RemoteRef). Static method in class java.rmi.server.RemoteStub

setRelationView(RelationView). Method in class symantec.itools.db.awt.Checkbox

Sets the RelationView that this component is bound with.

setRelationView(RelationView). Method in class symantec.itools.db.awt.ComboBox

Sets the RelationView that this component is bound with.

setRelationView(RelationView). Method in class symantec.itools.db.awt.DBTstamp

Sets the RelationView that this component is bound with.

setRelationView(RelationView). Method in class symantec.itools.db.awt.FormattedTextField

Sets the RelationView that this component is bound with.

setRelationView(RelationView). Method in class symantec.itools.db.awt.Grid

Sets the RelationView that this component is bound with.

setRelationView(RelationView). Method in class symantec.itools.db.awt.ImageViewer

Sets the RelationView that this component is bound with.

setRelationView(RelationView). Method in class symantec.itools.db.awt.Label

Sets the RelationView that this component is bound with.

setRelationView(RelationView). Method in class symantec.itools.db.awt.List

Sets the RelationView that this component is bound with.

setRelationView(RelationView). Method in class symantec.itools.db.awt.NervousText

Sets the RelationView that this component is bound with.

setRelationView(RelationView). Method in class symantec.itools.db.awt.RadioBox

Sets the RelationView that this component is bound with.

setRelationView(RelationView). Method in class symantec.itools.db.awt.RecordNumberLabel

Sets the RelationView that this component is bound with.

setRelationView(RelationView). Method in class symantec.itools.db.awt.RecordStateLabel

Sets the RelationView that this component is bound with.

setRelationView(RelationView). Method in class symantec.itools.db.awt.StateCheckBox

Sets the RelationView that this component is bound with.

setRelationView(RelationView). Method in class symantec.itools.db.awt.TextArea

Sets the RelationView that this component is bound with.

setRelationView(RelationView). Method in class symantec.itools.db.awt.TextField

Sets the RelationView that this component is bound with.

setRepeat(boolean). Method in class symantec.itools.awt.util.StatusScroller

Controls whether text will repeatedly scroll or just scroll once.

setRepeat(boolean). Method in class symantec.itools.util.Timer

Changes the repeat setting of the timer.

setRepeat(int). Method in class symantec.itools.multimedia.SoundPlayer

Sets the number of times the list of sound clips is played.

setRepeatMode(boolean). Method in class symantec.itools.multimedia.Animator

Sets the repeat mode setting.

setRequestMethod(String). Method in class java.net.HttpURLConnection

Set the method for the URL request, one of:

•	GET

•	POST

•	HEAD

•	OPTIONS

•	PUT

•	DELETE

•	TRACE

are legal, subject to protocol restrictions.

setRequestProperties(Properties). Method in class symantec.itools.db.pro.Request

Sets additional properties of the Request object.

setRequestProperty(String, String). Method in class java.net.URLConnection

Sets the general request property.

setResizable(boolean). Method in class java.awt.Dialog

Sets the resizable flag.

setResizable(boolean). Method in interface java.awt.peer.DialogPeer

setResizable(boolean). Method in class java.awt.Frame

Sets the resizable flag, which determines whether this frame is resizable.

setResizable(boolean). Method in interface java.awt.peer.FramePeer

setRestartButton(boolean). Method in class symantec.itools.db.awt.Grid

Sets whether the Grid has this button.

setRightToLeft(boolean). Method in class symantec.itools.awt.util.StatusScroller

Controls the direction the text will scroll.

setRootTemplate(String). Method in class symantec.itools.beans.SymantecBeanDescriptor

Sets the "ROOTTEMPLATE" attribute.

setRow(int). Method in class symantec.itools.db.awt.BasicCell

Sets the row number for the cell.

setRow(int). Method in class symantec.itools.db.awt.ButtonCell

Sets the row number for the cell.

setRow(int). Method in class symantec.itools.db.awt.Coordinate

Changes the row to a new value.

setRow(int). Method in interface symantec.itools.db.awt.TableCell

Sets the row number for the cell.

setRowAndCol(int, int). Method in class symantec.itools.db.awt.DefaultData

Sets the coordinates of this datum.

setRows(int). Method in class java.awt.GridLayout

Sets the number of rows in this layout to the specified value.

setRows(int). Method in class java.awt.TextArea

Sets the number of rows for this text area.

setRowsNumber(int). Method in class symantec.itools.db.awt.Grid

Initializes this Grid to have the specified number of rows.

setRowsToShow(int). Method in class symantec.itools.awt.ImageListBox

Sets the number of rows to display in the ImageListBox.

setSaveButton(boolean). Method in class symantec.itools.db.awt.Grid

Sets whether the Grid has this button.

setScale(int). Method in class java.math.BigDecimal

Returns a BigDecimal whose scale is the specified value, and whose value is exactly equal to this number's.

setScale(int, int). Method in class java.math.BigDecimal

Returns a BigDecimal whose scale is the specified value, and whose integer value is determined by multiplying or dividing this BigDecimal's integer value by the appropriate power of ten to maintain the overall value.

setScaleMode(boolean). Method in class symantec.itools.awt.ImageButton

setScrollClean(boolean). Method in class symantec.itools.awt.util.StatusScroller

Controls whether text will scroll completely off before scrolling on again.

setScrollDirection(int). Method in class symantec.itools.multimedia.ScrollingText

Specify the banner's current scroll direction.

setScrollInterval(int). Method in class symantec.itools.multimedia.ScrollingText

Set sleep time between scroll steps.

setScrollLineIncrement(int). Method in class symantec.itools.awt.ScrollingPanel

setScrollPosition(int, int). Method in class java.awt.ScrollPane

Scrolls to the specified position within the child component.

setScrollPosition(int, int). Method in interface java.awt.peer.ScrollPanePeer

setScrollPosition(Point). Method in class java.awt.ScrollPane

Scrolls to the specified position within the child component.

setScrollUnit(int). Method in class symantec.itools.multimedia.ScrollingText

Specify the size of each scroll step.

setSearchable(boolean). Method in class symantec.itools.awt.ComboBox

Conditionally sets the ComboBox to be searchable.

setSeconds(int). Method in class java.sql.Date

Sets the seconds of this date to the specified value.

setSeconds(int). Method in class java.util.Date

Sets the seconds of this date to the specified value.

setSecurityManager(SecurityManager). Static method in class java.lang.System

Sets the System security.

setSeed(byte[]). Method in class java.security.SecureRandom

Reseeds this random object.

setSeed(long). Method in class java.util.Random

Sets the seed of this random number generator using a single long seed.

setSeed(long). Method in class java.security.SecureRandom

Reseeds this random object, using the eight bytes contained in the given long seed.

setSelectedCheckbox(Checkbox). Method in class java.awt.CheckboxGroup

Sets the currently selected check box in this group to be the specified check box.

setSelectedColor(Color). Method in class symantec.itools.awt.util.Calendar

Sets the color used to highlight the selected date on the calendar.

setSelectedIndex(int, boolean). Method in class symantec.itools.awt.ImageListBox

Select the item at the specified index.

setSelectedItem(String, boolean). Method in class symantec.itools.awt.ImageListBox

Sets the slelection state of the first item in the list which has exactly matching text.

setSelectedNode(TreeNode). Method in class symantec.itools.awt.TreeView

Handles selecting the given node.

setSelectedRadioButton(Checkbox). Method in class symantec.itools.awt.RadioButtonGroupPanel

Sets the current choice to the specified RadioButton.

setSelectedRadioButtonIndex(int). Method in class symantec.itools.awt.RadioButtonGroupPanel

Sets the current choice to the specified RadioButton.

setSelectedRow(int). Method in class symantec.itools.awt.CompareCells

Notes which row is selected before a sort is performed.

setSelectedRow(int). Method in class symantec.itools.awt.MultiList

Sets the specified row as the selected row.

setSelectionEnd(int). Method in class java.awt.TextComponent

Sets the selection end for this text component to the specified position.

setSelectionStart(int). Method in class java.awt.TextComponent

Sets the selection start for this text component to the specified position.

setSetMethods(String[]). Method in class symantec.itools.db.beans.binding.Mediator

Sets the methods used to set a component's value.

setShiftOffset(int). Method in class symantec.itools.multimedia.MovingAnimation

Sets the animation shift offset.

setShort(int, short). Method in interface symantec.itools.db.pro.DataAccess

Sets the specified column value to a Java short.

setShort(int, short). Method in interface java.sql.PreparedStatement

Set a parameter to a Java short value.

setShort(int, short). Method in class symantec.itools.db.pro.Record

Sets the specified column value to a Java short.

setShort(int, short). Method in class symantec.itools.db.pro.RelationView

Sets the specified column value to a Java short.

setShort(Object, int, short). Static method in class java.lang.reflect.Array

Sets the value of the indexed component of the specified array object to the specified short value.

setShort(Object, short). Method in class java.lang.reflect.Field

Set the value of a field as a short on specified object.

setShort(short). Method in class symantec.itools.db.pro.ProjBinder

Sets the column value to a Java short.

setShort(short). Method in class symantec.itools.db.pro.Projection

Sets a Java short data value.

setShort(String, short). Method in interface symantec.itools.db.pro.DataAccess

Sets the specified column value to a Java short.

setShort(String, short). Method in class symantec.itools.db.pro.Record

Sets the specified column value to a Java short.

setShort(String, short). Method in class symantec.itools.db.pro.RelationView

Sets the specified column value to a Java short.

setShortcut(MenuShortcut). Method in class java.awt.MenuItem

Set the MenuShortcut object associated with this menu item.

setShortDescription(String). Method in class java.beans.FeatureDescriptor

You can associate a short descriptive string with a feature.

setShortMonths(String[]). Method in class java.text.DateFormatSymbols

Sets short month strings.

setShortWeekdays(String[]). Method in class java.text.DateFormatSymbols

Sets short weekday strings.

setShowBorder(boolean). Method in class symantec.itools.awt.Slider

Sets the border display flag.

setShowFocus(boolean). Method in class symantec.itools.awt.ButtonBase

Sets whether this component will visually indicate when it has the focus.

setShowHorizontalScroll(boolean). Method in class symantec.itools.awt.ComboBox

Sets whether or not the horizontal scrollbar should be made visible when necessary or should never be made visible.

setShowHorizontalScroll(boolean). Method in class symantec.itools.awt.ImageListBox

Sets the horizontal scrollbar visibility flag.

setShowHorizontalScroll(boolean). Method in class symantec.itools.awt.ScrollingPanel

setShowProgress(boolean). Method in class symantec.itools.awt.util.ProgressBar

Set the boolean that controls the display of the progress number as an percentage.

setShowURLStatus(boolean). Method in class symantec.itools.awt.ButtonBase

Sets whether the linkURL will be displayed in the status area when the mouse is over the button.

setShowVerticalScroll(boolean). Method in class symantec.itools.awt.ComboBox

Sets whether or not the vertical scrollbar should be made visible when necessary or should never be made visible.

setShowVerticalScroll(boolean). Method in class symantec.itools.awt.ImageListBox

Sets the vertical scrollbar visibility flag.

setShowVerticalScroll(boolean). Method in class symantec.itools.awt.ScrollingPanel

setSigners(Class, Object[]). Method in class java.lang.ClassLoader

Sets the signers of a class.

setSize(Dimension). Method in class java.awt.Component

Resizes this component so that it has width d.width and height d.height.

setSize(Dimension). Method in class java.awt.Dimension

Set the size of this Dimension object to the specified size.

setSize(Dimension). Method in class java.awt.Rectangle

Sets the size of this rectangle to match the specified dimension.

setSize(int). Method in class java.util.Vector

Sets the size of this vector.

setSize(int, int). Method in class java.awt.Component

Resizes this component so that it has width width and height.

setSize(int, int). Method in class java.awt.Dimension

Set the size of this Dimension object to the specified width and height.

setSize(int, int). Method in class java.awt.Rectangle

Sets the size of this rectangle to the specified width and height.

setSize(long). Method in class java.util.zip.ZipEntry

Sets the uncompressed size of the entry data.

setSocketFactory(RMISocketFactory). Static method in class java.rmi.server.RMISocketFactory

Set the socket factory from which RMI gets sockets.

setSocketFactory(SocketImplFactory). Static method in class java.net.ServerSocket

Sets the server socket implementation factory for the application.

setSocketImplFactory(SocketImplFactory). Static method in class java.net.Socket

Sets the client socket implementation factory for the application.

setSoLinger(boolean, int). Method in class java.net.Socket

Enable/disable SO_LINGER with the specified linger time.

setSortOrder(String[]). Method in class symantec.itools.db.beans.jdbc.QueryNavigator

Sets the current SQL sort order.

setSoTimeout(int). Method in class java.net.DatagramSocket

Enable/disable SO_TIMEOUT with the specified timeout, in milliseconds.

setSoTimeout(int). Method in class java.net.ServerSocket

Enable/disable SO_TIMEOUT with the specified timeout, in milliseconds.

setSoTimeout(int). Method in class java.net.Socket

Enable/disable SO_TIMEOUT with the specified timeout, in milliseconds.

setSpace(int). Method in class symantec.itools.awt.util.ToolBarSpacer

Sets the size of the space the spacer will occupy in pixels.

setSpecialFeature(int, int, Object). Method in class symantec.itools.db.beans.binding.QueryNavigator

Sets a special value for the setValue method.

setSpecialFeature(int, int, Object). Method in class symantec.itools.db.pro.RelationViewPlus

Helper method for the setValue method.

setSQL(String). Method in class symantec.itools.db.awt.ComboBox

Sets the sql string to use while generating the list for this component to bind to.

setSQL(String). Method in class symantec.itools.db.awt.List

Sets the sql string to use while generating the list for this component to bind to.

setSQL(String). Method in class symantec.itools.db.pro.Request

Sets the SQL string that will be sent to the database when the execute method is called.

setStandardFileName(String). Method in class symantec.itools.awt.RollOverButton

Sets the file name of the image to display while the mouse is not over the button.

setStandardImage(Image). Method in class symantec.itools.awt.RollOverButton

Sets the image to display while the mouse is not over the button.

setStandardURL(URL). Method in class symantec.itools.awt.RollOverButton

Sets the URL of the image to display while the mouse is not over the button.

setStartRule(int, int, int, int). Method in class java.util.SimpleTimeZone

Sets the daylight savings starting rule.

setStartYear(int). Method in class java.util.SimpleTimeZone

Sets the daylight savings starting year.

setState(boolean). Method in class java.awt.Checkbox

Sets the state of this check box to the specified state.

setState(boolean). Method in class symantec.itools.db.awt.Checkbox

Sets the value of this component to the given state.

setState(boolean). Method in class java.awt.CheckboxMenuItem

Sets this check box menu item to the specifed state.

setState(boolean). Method in interface java.awt.peer.CheckboxMenuItemPeer

setState(boolean). Method in interface java.awt.peer.CheckboxPeer

setState(int). Method in class symantec.itools.awt.StateCheckBox

Sets the current checkbox state to unchecked, checked, or default.

setStaticSize(int, int). Method in class symantec.itools.db.awt.Grid

Initializes this Grid to the specified size.

setStatusText(String). Method in class symantec.itools.awt.StatusBar

Sets the text that is displayed.

setStatusTextColor(Color). Method in class symantec.itools.awt.StatusBar

Sets the color of the text that is displayed.

setStrategy(int). Method in class java.util.zip.Deflater

Sets the compression strategy to the specified value.

setStrength(int). Method in class java.text.Collator

Sets this Collator's strength property.

setString(int, String). Method in interface symantec.itools.db.pro.DataAccess

Sets the specified column value to a Java String.

setString(int, String). Method in interface java.sql.PreparedStatement

Set a parameter to a Java String value.

setString(int, String). Method in class symantec.itools.db.pro.Record

Sets the specified column value to a Java String.

setString(int, String). Method in class symantec.itools.db.pro.RelationView

Sets the specified column value to a Java String.

setString(String). Method in class symantec.itools.db.pro.ProjBinder

Sets the column value to a Java String.

setString(String). Method in class symantec.itools.db.pro.Projection

Sets a Java String data value.

setString(String). Method in class symantec.itools.awt.util.StatusScroller

Sets the string to be scrolled in the browser or applet viewer.

setString(String, String). Method in interface symantec.itools.db.pro.DataAccess

Sets the specified column value to a Java String.

setString(String, String). Method in class symantec.itools.db.pro.Record

Sets the specified column value to a Java String.

setString(String, String). Method in class symantec.itools.db.pro.RelationView

Sets the specified column value to a Java String.

setStub(AppletStub). Method in class java.applet.Applet

Sets this applet's stub.

setStyle(int). Method in class symantec.itools.awt.ImagePanel

Sets the new panel image style.

setStyle(int). Method in class symantec.itools.multimedia.ImageViewer

Sets the new panel image style.

setStyle(int). Method in class symantec.itools.awt.InfoTipPanel

Sets the new panel image style.

setStyle(int). Method in class symantec.itools.awt.StateCheckBox

Sets the current style to two-state or three-state.

setSuppressRepaints(boolean). Method in class symantec.itools.awt.BaseTabbedPanel

Sets whether to suppress repainting when making changes to this component that affect its display.

setSupressRedraw(boolean). Method in class symantec.itools.awt.MultiList

Sets the internal flag to supress redraw.

setSyncMode(boolean). Method in class symantec.itools.multimedia.SoundPlayer

Sets whether to play the sound clips one after the other, or all simultaneously.

setSystemScope(IdentityScope). Static method in class java.security.IdentityScope

Sets the system's identity scope.

setTab(String, boolean, int). Method in class symantec.itools.awt.BaseTabbedPanel

Labels and conditionally enables the tab at the specified index.

setTabControl(boolean). Method in class symantec.itools.db.awt.TextArea

Controls the behavior of the tab key.

setTableName(String). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Sets the name of this RecordDefinition's table.

setTableView(TableView). Method in interface symantec.itools.db.awt.DataSource

Sets the TableView displaying the data.

setTableView(TableView). Method in class symantec.itools.db.awt.DbDataSource

Sets the TableView displaying the data.

setTableView(TableView). Method in class symantec.itools.db.awt.DefaultDataSource

Sets the TableView displaying the data.

setTableView(TableView, DataSource). Method in class symantec.itools.db.awt.BasicCell

Allows the cell to set instance variables for view and data source.

setTableView(TableView, DataSource). Method in class symantec.itools.db.awt.ButtonCell

Allows the cell to set instance variables for view and data source.

setTableView(TableView, DataSource). Method in interface symantec.itools.db.awt.TableCell

Allows the cell to set instance variables for view and data source.

setTabPanel(String, boolean, Component, int). Method in class symantec.itools.awt.TabPanel

Replaces a tab and its associated panel at the index specified.

setTabsInfo(int, int). Method in class symantec.itools.awt.BaseTabbedPanel

Sets the position and style of all the tabs.

setTabsOnBottom(boolean). Method in class symantec.itools.awt.TabPanel

Puts the tabs on the top or bottom of the dialog.

setTabsPosition(int). Method in class symantec.itools.awt.BaseTabbedPanel

Sets the position of the all tabs to the top or bottom of this panel.

setTabsStyle(int). Method in class symantec.itools.awt.BaseTabbedPanel

Sets the style of the tabs to ROUNDED or SQUARE.

setTcpNoDelay(boolean). Method in class java.net.Socket

Enable/disable TCP_NODELAY (disable/enable Nagle's algorithm).

setText(char). Method in interface symantec.itools.db.awt.Data

Sets the string value for the field using a character.

setText(char). Method in class symantec.itools.db.awt.DefaultData

Sets the string value for the field using a character.

setText(char). Method in class symantec.itools.db.awt.ImageStringData

Sets the string value for the field using a character.

setText(CharacterIterator). Method in class java.text.BreakIterator

Set a new text for scanning.

setText(int, int, char). Method in interface symantec.itools.db.awt.DataSource

Method used to support Defaultdata class.

setText(int, int, char). Method in class symantec.itools.db.awt.DbDataSource

Method used to support Defaultdata class.

setText(int, int, char). Method in class symantec.itools.db.awt.DefaultDataSource

Method used to support Defaultdata class.

setText(int, int, String). Method in interface symantec.itools.db.awt.DataSource

Method used to support Defaultdata class.

setText(int, int, String). Method in class symantec.itools.db.awt.DbDataSource

Method used to support Defaultdata class.

setText(int, int, String). Method in class symantec.itools.db.awt.DefaultDataSource

Method used to support Defaultdata class.

setText(int, String). Method in class symantec.itools.awt.ImageListBox

Changes the text associated with the item at the specified zero-relative index.

setText(String). Method in class symantec.itools.db.awt.AgeField

Sets the text that is presented by this text component to be the specified text.

setText(String). Method in class java.text.BreakIterator

Set a new text string to be scanned.

setText(String). Method in class symantec.itools.awt.ComboBox

Sets the text in the edit field portion of the ComboBox is not editable.

setText(String). Method in interface symantec.itools.db.awt.Data

Sets the string value for the data.

setText(String). Method in class symantec.itools.db.awt.DefaultData

Sets the string value for the data.

setText(String). Method in class symantec.itools.awt.FormattedTextField

Sets the text of this TextComponent to the specified text after passing the specified text throught the filter.

setText(String). Method in class symantec.itools.db.awt.ImageStringData

Sets the string value for the data.

setText(String). Method in class symantec.itools.awt.InfoTipPanel

Sets the text in this InfoTipPanel.

setText(String). Method in class java.awt.Label

Sets the text for this label to the specified text.

setText(String). Method in class symantec.itools.awt.Label3D

Sets the label text.

setText(String). Method in class symantec.itools.awt.LabelButton

Sets the label text.

setText(String). Method in interface java.awt.peer.LabelPeer

setText(String). Method in class symantec.itools.multimedia.NervousText

Specify the text that will be displayed by NervousText.

setText(String). Method in class java.awt.TextComponent

Sets the text that is presented by this text component to be the specified text.

setText(String). Method in interface java.awt.peer.TextComponentPeer

setText(String). Method in class symantec.itools.awt.TreeNode

Sets a new text label for this node.

setText(String). Method in class symantec.itools.awt.WrappingLabel

Sets the label text.

setTextColor(Color). Method in class symantec.itools.awt.InfoTipPanel

Sets the text color.

setTextColor(Color). Method in class symantec.itools.awt.Label3D

Sets the label text color.

setTextColor(Color). Method in class symantec.itools.awt.LabelButton

Sets the label text color.

setTextDelay(int). Method in class symantec.itools.awt.InfoTipPanel

Set the amount of time (in milliseconds) to wait after a mouse entered event before the text is scrolled in or popped up.

setTextHighlightColor(Color). Method in class symantec.itools.awt.InfoTipPanel

Sets the current highlight color which will be used if highlightText is true.

setTextLocation(int). Method in class symantec.itools.awt.InfoTipPanel

Sets where the text will be located in this InfoTipPanel.

setTextScrollsIn(boolean). Method in class symantec.itools.awt.InfoTipPanel

Sets the "Text Scrolls In" property which tells the InfoTipPanel whether the text should be scrolled in on a mouse over rather than just appearing next to the component (without scrolling in).

setTickFreq(int). Method in class symantec.itools.awt.Slider

Sets the tick mark display frequency.

setTickStyle(int). Method in class symantec.itools.awt.HorizontalSlider

Sets the current slider tick mark style.

setTickStyle(int). Method in class symantec.itools.awt.Slider

Sets the current slider tick mark style.

setTickStyle(int). Method in class symantec.itools.awt.VerticalSlider

Sets the current slider tick mark style.

setTime(Date). Method in class java.util.Calendar

Sets this Calendar's current time with the given Date.

setTime(int, Time). Method in interface symantec.itools.db.pro.DataAccess

Sets the specified column value to a Java Time object.

setTime(int, Time). Method in interface java.sql.PreparedStatement

Set a parameter to a java.sql.Time value.

setTime(int, Time). Method in class symantec.itools.db.pro.Record

Sets the specified column value to a Java Time object.

setTime(int, Time). Method in class symantec.itools.db.pro.RelationView

Sets the specified column value to a Java Time object.

setTime(long). Method in class java.sql.Date

Set a Date using a milliseconds time value

setTime(long). Method in class java.util.Date

Sets this date to represent the specified number of milliseconds since January 1, 1970 00:00:00 GMT.

setTime(long). Method in class java.sql.Time

Set a Time using a milliseconds time value

setTime(long). Method in class java.util.zip.ZipEntry

Sets the modification time of the entry.

setTime(String, Time). Method in interface symantec.itools.db.pro.DataAccess

Sets the specified column value to a Java Time object.

setTime(String, Time). Method in class symantec.itools.db.pro.Record

Sets the specified column value to a Java Time object.

setTime(String, Time). Method in class symantec.itools.db.pro.RelationView

Sets the specified column value to a Java Time object.

setTime(Time). Method in class symantec.itools.db.pro.ProjBinder

Sets the column value to a Java Time object.

setTime(Time). Method in class symantec.itools.db.pro.Projection

Sets a java.sql.Time class value as the data value.

setTimeInMillis(long). Method in class java.util.Calendar

Sets this Calendar's current time from the given long value.

setTimestamp(int, Timestamp). Method in interface symantec.itools.db.pro.DataAccess

Sets the specified column value to a Java Timestamp object.

setTimestamp(int, Timestamp). Method in interface java.sql.PreparedStatement

Set a parameter to a java.sql.Timestamp value.

setTimestamp(int, Timestamp). Method in class symantec.itools.db.pro.Record

Sets the specified column value to a Java Timestamp object.

setTimestamp(int, Timestamp). Method in class symantec.itools.db.pro.RelationView

Sets the specified column value to a Java Timestamp object.

setTimestamp(String, Timestamp). Method in interface symantec.itools.db.pro.DataAccess

Sets the specified column value to a Java Timestamp object.

setTimestamp(String, Timestamp). Method in class symantec.itools.db.pro.Record

Sets the specified column value to a Java Timestamp object.

setTimestamp(String, Timestamp). Method in class symantec.itools.db.pro.RelationView

Sets the specified column value to a Java Timestamp object.

setTimestamp(Timestamp). Method in class symantec.itools.db.pro.ProjBinder

Sets the column value to a Java Timestamp object.

setTimestamp(Timestamp). Method in class symantec.itools.db.pro.Projection

Sets a java.sql.Timestamp class value as the data value.

setTimeZone(TimeZone). Method in class java.util.Calendar

Sets the time zone with the given time zone value.

setTimeZone(TimeZone). Method in class java.text.DateFormat

Sets the time zone for the calendar of this DateFormat object.

setTitle(String). Method in class java.awt.Dialog

Sets the title of the Dialog.

setTitle(String). Method in interface java.awt.peer.DialogPeer

setTitle(String). Method in class java.awt.Frame

Sets the title for this frame to the specified title.

setTitle(String). Method in interface java.awt.peer.FramePeer

setToolbar(String). Method in class symantec.itools.beans.SymantecBeanDescriptor

Sets the "toolbar" attribute.

setToolbarBackground(Color). Method in class symantec.itools.db.awt.Grid

Sets the background color of this Grid's toolbar.

setTopRow(int). Method in class symantec.itools.awt.ImageListBox

Forces the item at the specified index to be visible at the top of the window.

setTransactionIsolation(int). Method in interface java.sql.Connection

You can call this method to try to change the transaction isolation level using one of the TRANSACTION_* values.

setTransactionIsolation(int). Method in class symantec.itools.db.beans.jdbc.JdbcConnection

Sets the transactionIsolation property.

setTreatBlankAs(int). Method in class symantec.itools.db.awt.ComboBox

Specifies how an empty string will be set when updating data on the dbANYWHERE server.

setTreatBlankAs(int). Method in class symantec.itools.db.awt.DBTstamp

Specifies how an empty string will be set when updating data on the dbANYWHERE server.

setTreatBlankAs(int). Method in class symantec.itools.db.awt.FormattedTextField

Specifies how an empty string will be set when updating data on the dbANYWHERE server.

setTreatBlankAs(int). Method in class symantec.itools.db.awt.NervousText

Specifies how an empty string will be set when updating data on the dbANYWHERE server.

setTreatBlankAs(int). Method in class symantec.itools.db.awt.StateCheckBox

Specifies how an empty string will be set when updating data on the dbANYWHERE server.

setTreatBlankAs(String). Method in class symantec.itools.db.awt.Checkbox

Specifies how an empty string will be set when updating data on the database server.

setTreatBlankAs(String). Method in class symantec.itools.db.awt.ImageViewer

Specifies how an empty string will be set when updating data on the dbANYWHERE server.

setTreatBlankAs(String). Method in class symantec.itools.db.awt.Label

Specifies how an empty string will be set when updating data on the dbANYWHERE server.

setTreatBlankAs(String). Method in class symantec.itools.db.awt.List

Specifies how an empty string will be set when updating data on the dbANYWHERE server.

setTreatBlankAs(String). Method in class symantec.itools.db.awt.RadioBox

Specifies how an empty string will be set when updating data on the dbANYWHERE server.

setTreatBlankAs(String). Method in class symantec.itools.db.awt.TextArea

Specifies how an empty string will be set when updating data on the dbANYWHERE server.

setTreatBlankAs(String). Method in class symantec.itools.db.awt.TextField

Specifies how an empty string will be set when updating data on the dbANYWHERE server.

setTreeStructure(String[]). Method in class symantec.itools.awt.TreeView

Initializes the TreeView from a string array.

setTriggeringEvent(int). Method in class symantec.itools.db.awt.Checkbox

Sets the value of the Triggering Event property.

setTriggeringEvent(int). Method in class symantec.itools.db.awt.ComboBox

Sets the value of the Triggering Event property.

setTriggeringEvent(int). Method in class symantec.itools.db.awt.FormattedTextField

Sets the value of the Triggering Event property.

setTriggeringEvent(int). Method in class symantec.itools.db.awt.ListPlus

Sets the value of the Triggering Event property.

setTriggeringEvent(int). Method in class symantec.itools.db.awt.TextArea

Sets the value of the Triggering Event property.

setTriggeringEvent(int). Method in class symantec.itools.db.awt.TextField

Sets the value of the Triggering Event property.

setTrueValue(String). Method in class symantec.itools.db.awt.Checkbox

Sets the string sent to the database server to indicate that this checkbox is checked.

setTrueValue(String). Method in class symantec.itools.db.awt.StateCheckBox

Establishes what database value will be interpreted as the value: true.

setTstamp(Date). Method in class symantec.itools.db.awt.Tstamp

Sets the value to the given date.

setTstamp(String). Method in class symantec.itools.db.awt.Tstamp

Sets the value to the given date.

setTstamp(String, String). Method in class symantec.itools.db.awt.Tstamp

Sets the value to the given date in the given format.

setTTL(byte). Method in class java.net.DatagramSocketImpl

Set the TTL (time-to-live) option.

setTTL(byte). Method in class java.net.MulticastSocket

Set the default time-to-live for multicast packets sent out on this socket.

setType(String). Method in class symantec.itools.beans.ConnectionDescriptor

Specifies the Java type of the parameter or return value of this connection.

setType(String). Method in class symantec.itools.db.awt.DBTstamp

Sets the datatype being displayed and/or entered.

setUndeleteButton(boolean). Method in class symantec.itools.db.awt.Grid

Sets whether the Grid has this button.

setUndoButton(boolean). Method in class symantec.itools.db.awt.Grid

Sets whether the Grid has this button.

setUnicast(boolean). Method in class java.beans.EventSetDescriptor

Mark an event set as unicast (or not).

setUnicodeStream(InputStream, int). Method in class symantec.itools.db.pro.ProjBinder

Sets the column value from a Java InputStream object.

setUnicodeStream(InputStream, int). Method in class symantec.itools.db.pro.Projection

Sets a java.io.InputStream class as the data value.

setUnicodeStream(int, InputStream, int). Method in interface symantec.itools.db.pro.DataAccess

Sets the specified column value from a Java InputStream object.

setUnicodeStream(int, InputStream, int). Method in interface java.sql.PreparedStatement

When a very large UNICODE value is input to a LONGVARCHAR parameter, it may be more practical to send it via a java.io.InputStream.

setUnicodeStream(int, InputStream, int). Method in class symantec.itools.db.pro.Record

Sets the specified column value from a Java InputStream object.

setUnicodeStream(int, InputStream, int). Method in class symantec.itools.db.pro.RelationView

Sets the specified column value from a Java InputStream object.

setUnicodeStream(String, InputStream, int). Method in interface symantec.itools.db.pro.DataAccess

Sets the specified column value from a Java InputStream object.

setUnicodeStream(String, InputStream, int). Method in class symantec.itools.db.pro.Record

Sets the specified column value from a Java InputStream object.

setUnicodeStream(String, InputStream, int). Method in class symantec.itools.db.pro.RelationView

Sets the specified column value from a Java InputStream object.

setUnitIncrement(Adjustable, int). Method in interface java.awt.peer.ScrollPanePeer

setUnitIncrement(int). Method in interface java.awt.Adjustable

Sets the unit value increment for the adjustable object.

setUnitIncrement(int). Method in class java.awt.Scrollbar

Sets the unit increment for this scroll bar.

setUpButtonEnabled(boolean). Method in class symantec.itools.awt.util.spinner.SpinButtonPanel

This enables or disables the incrementing button only.

setupColumn(TableView, int). Method in class symantec.itools.db.awt.DbaDataStore

Sets up the specified column in the given view as needed.

setupcos(). Method in class symantec.itools.multimedia.Plasma

Setup Plasma cosine table.

setUpdateRect(Rectangle). Method in class java.awt.event.PaintEvent

Sets the rectangle representing the area which needs to be repainted in response to this event.

setupSource(DbDataStore, DbDataUpdater, MetaTable). Method in class symantec.itools.db.awt.DbDataSource

Sets the data store, updater and meta information classes for the data source.

setupTableView(TableView). Method in interface symantec.itools.db.awt.DataSource

Called by the TableView to configure the interface if the DataSource supports meta information

setupTableView(TableView). Method in class symantec.itools.db.awt.DbaDataStore

Configures the given TableView the desired way.

setupTableView(TableView). Method in class symantec.itools.db.awt.DbDataSource

Sets the TableView displaying the data.

setupTableView(TableView). Method in class symantec.itools.db.awt.DefaultDataSource

Called by the TableView to configure the interface if the DataSource supports meta information

setupTableView(TableView). Method in interface symantec.itools.db.awt.MetaTable

Requests the TableView be configured for viewing.

setupView(TableView). Method in class symantec.itools.db.awt.DefaultTvEventHandler

Called by the TableView when an event handler is installed.

setupView(TableView). Method in interface symantec.itools.db.awt.TvEventHandler

Called by the TableView when an event handler is installed.

setURL(String). Method in class symantec.itools.db.beans.jdbc.JdbcConnection

Sets the url property.

setURL(URL). Method in class symantec.itools.awt.ImageHTMLLink

setURL(URL). Method in class symantec.itools.multimedia.ImageViewer

setURL(URL). Method in class symantec.itools.awt.InvisibleHTMLLink

Sets the URL of the document to show when the button is clicked.

setURL(URL). Method in class symantec.itools.awt.LabelHTMLLink

setURL(URL). Method in class symantec.itools.awt.RollOverButton

Sets the URL of the document to display on mouse up.

setURL(URL, String, String, int, String, String). Method in class java.net.URLStreamHandler

Sets the fields of the URL argument to the indicated values.

setURLList(URL[]). Method in class symantec.itools.multimedia.SoundPlayer

Initializes the list of sound clips using the given list of sound clip data URLs.

setURLStreamHandlerFactory(URLStreamHandlerFactory). Static method in class java.net.URL

Sets an application's URLStreamHandlerFactory.

setUse3DBorder(boolean). Method in class symantec.itools.awt.SplitterPanel

This flag specifies how to draw the border around panels.

setUseCaches(boolean). Method in class java.net.URLConnection

Sets the value of the useCaches field of this URLConnection to the specified value.

setUseOffset(boolean). Method in class symantec.itools.awt.ButtonBase

Sets whether objects in the button will be offset down and to the right by the bevel height amount or not.

setUser(String). Method in class symantec.itools.db.pro.ConnectionInfo

Sets the user string that will be used to open the database described within the database string.

setUserName(String). Method in class symantec.itools.db.beans.jdbc.JdbcConnection

Sets the userName property.

setValue(Adjustable, int). Method in interface java.awt.peer.ScrollPanePeer

setValue(int). Method in interface java.awt.Adjustable

Sets the current value of the adjustable object.

setValue(int). Method in class symantec.itools.awt.util.ProgressBar

Set the current percentage complete.

setValue(int). Method in class java.awt.Scrollbar

Sets the value of this scroll bar to the specified value.

setValue(int). Method in class symantec.itools.awt.Slider

Sets the slider value.

setValue(Object). Method in class symantec.itools.db.awt.ConnectionInfoEditor

Set (or change) the object that is to be edited.

setValue(Object). Method in interface java.beans.PropertyEditor

Set (or change) the object that is to be edited.

setValue(Object). Method in class java.beans.PropertyEditorSupport

Set (or change) the object that is to be edited.

setValue(Object). Method in class symantec.itools.db.awt.RelationViewEditor

Set (or change) the object that is to be edited.

setValue(Object). Method in class symantec.itools.db.awt.SessionEditor

Set (or change) the object that is to be edited.

setValue(Object, int, int). Method in class symantec.itools.db.beans.binding.QueryNavigator

Sets the object stored in the QueryNavigator at the specified coordinates.

setValue(Object, int, int). Method in class symantec.itools.db.pro.RelationViewPlus

Sets the value at the specified row and column.

setValue(String, Object). Method in class java.beans.FeatureDescriptor

Associate a named attribute with this feature.

setValueAsInteger(int, Integer). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Sets the object stored in the RecordDefinition at the given position.

setValueAsObject(int, Object). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Sets the object stored in the RecordDefinition at the given position as an Object.

setValueAsString(int, String). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Sets the object stored in the RecordDefinition at the given position.

setValueFromFirst(Object, int, int). Method in class symantec.itools.db.beans.binding.QueryNavigator

Sets the object stored in the QueryNavigator at the specified coordinates.

setValueFromString(int, String). Method in interface symantec.itools.db.pro.DataAccess

Sets the specified column value to a Java String object.

setValueFromString(int, String). Method in class symantec.itools.db.pro.Record

Sets the specified column value to a Java String object.

setValueFromString(int, String). Method in class symantec.itools.db.pro.RelationView

Sets the specified column value to a Java String object.

setValueFromString(int, String, int). Method in interface symantec.itools.db.pro.DataAccess

Sets the specified column value to a Java String object.

setValueFromString(int, String, int). Method in class symantec.itools.db.pro.Record

Sets the specified column value to a Java String object.

setValueFromString(int, String, int). Method in class symantec.itools.db.pro.RelationView

Sets the specified column value to a Java String object.

setValueFromString(int, String, int, int). Method in interface symantec.itools.db.pro.DataAccess

Sets the specified column value to a Java String object.

setValueFromString(int, String, int, int). Method in class symantec.itools.db.pro.Record

Sets the specified column value to a Java String object.

setValueFromString(int, String, int, int). Method in class symantec.itools.db.pro.RelationView

Sets the specified column value to a Java String object.

setValueFromString(int, String, int, int, int). Method in interface symantec.itools.db.pro.DataAccess

Sets the specified column value to a Java String object.

setValueFromString(int, String, int, int, int). Method in class symantec.itools.db.pro.Record

Sets the specified column value to a Java String object.

setValueFromString(int, String, int, int, int). Method in class symantec.itools.db.pro.RelationView

Sets the specified column value to a Java String object.

setValueFromString(int, String, String, int). Method in interface symantec.itools.db.pro.DataAccess

Sets the specified column value to a Java String object.

setValueFromString(int, String, String, int). Method in class symantec.itools.db.pro.Record

Sets the specified column value to a Java String object.

setValueFromString(int, String, String, int). Method in class symantec.itools.db.pro.RelationView

Sets the specified column value to a Java String object.

setValueFromString(int, String, String, int, int). Method in interface symantec.itools.db.pro.DataAccess

Sets the specified column value to a Java String object.

setValueFromString(int, String, String, int, int). Method in class symantec.itools.db.pro.Record

Sets the specified column value to a Java String object.

setValueFromString(int, String, String, int, int). Method in class symantec.itools.db.pro.RelationView

Sets the specified column value to a Java String object.

setValueFromString(String). Method in class symantec.itools.db.pro.ProjBinder

Sets the column value to a Java String object.

setValueFromString(String, int). Method in class symantec.itools.db.pro.ProjBinder

Sets the column value to a Java String object.

setValueFromString(String, int, int). Method in class symantec.itools.db.pro.ProjBinder

Sets the column value to a Java String object.

setValueFromString(String, int, int, int). Method in class symantec.itools.db.pro.ProjBinder

Sets the column value to a Java String object.

setValueFromString(String, String). Method in interface symantec.itools.db.pro.DataAccess

Sets the specified column value to a Java String object.

setValueFromString(String, String). Method in class symantec.itools.db.pro.Record

Sets the specified column value to a Java String object.

setValueFromString(String, String). Method in class symantec.itools.db.pro.RelationView

Sets the specified column value to a Java String object.

setValueFromString(String, String, int). Method in interface symantec.itools.db.pro.DataAccess

Sets the specified column value to a Java String object.

setValueFromString(String, String, int). Method in class symantec.itools.db.pro.ProjBinder

Sets the column value to a Java String object.

setValueFromString(String, String, int). Method in class symantec.itools.db.pro.Record

Sets the specified column value to a Java String object.

setValueFromString(String, String, int). Method in class symantec.itools.db.pro.RelationView

Sets the specified column value to a Java String object.

setValueFromString(String, String, int, int). Method in interface symantec.itools.db.pro.DataAccess

Sets the specified column value to a Java String object.

setValueFromString(String, String, int, int). Method in class symantec.itools.db.pro.ProjBinder

Sets the column value to a Java String object.

setValueFromString(String, String, int, int). Method in class symantec.itools.db.pro.Record

Sets the specified column value to a Java String object.

setValueFromString(String, String, int, int). Method in class symantec.itools.db.pro.RelationView

Sets the specified column value to a Java String object.

setValueFromString(String, String, int, int, int). Method in interface symantec.itools.db.pro.DataAccess

Sets the specified column value to a Java String object.

setValueFromString(String, String, int, int, int). Method in class symantec.itools.db.pro.Record

Sets the specified column value to a Java String object.

setValueFromString(String, String, int, int, int). Method in class symantec.itools.db.pro.RelationView

Sets the specified column value to a Java String object.

setValueFromString(String, String, String, int). Method in interface symantec.itools.db.pro.DataAccess

Sets the specified column value to a Java String object.

setValueFromString(String, String, String, int). Method in class symantec.itools.db.pro.Record

Sets the specified column value to a Java String object.

setValueFromString(String, String, String, int). Method in class symantec.itools.db.pro.RelationView

Sets the specified column value to a Java String object.

setValueFromString(String, String, String, int, int). Method in interface symantec.itools.db.pro.DataAccess

Sets the specified column value to a Java String object.

setValueFromString(String, String, String, int, int). Method in class symantec.itools.db.pro.Record

Sets the specified column value to a Java String object.

setValueFromString(String, String, String, int, int). Method in class symantec.itools.db.pro.RelationView

Sets the specified column value to a Java String object.

setValues(int, int, int, int). Method in class java.awt.Scrollbar

Sets the values of four properties for this scroll bar.

setValues(int, int, int, int). Method in interface java.awt.peer.ScrollbarPeer

setVerticalAlignStyle(int). Method in class symantec.itools.awt.LabelButton

Sets the text vertical alignment style.

setVerticalGap(int). Method in class symantec.itools.awt.ScrollingPanel

setVgap(int). Method in class java.awt.BorderLayout

Sets the vertical gap between components.

setVgap(int). Method in class java.awt.CardLayout

Sets the vertical gap between components.

setVgap(int). Method in class java.awt.FlowLayout

Sets the vertical gap between components.

setVgap(int). Method in class java.awt.GridLayout

Sets the vertical gap between components to the specified value.

setVisible(boolean). Method in class java.awt.Component

Shows or hides this component depending on the value of parameter b.

setVisible(boolean). Method in interface java.awt.peer.ComponentPeer

setVisibleAmount(int). Method in interface java.awt.Adjustable

Sets the length of the proportionl indicator of the adjustable object.

setVisibleAmount(int). Method in class java.awt.Scrollbar

Sets the visible amount of this scroll bar.

setVisibleIndex(int). Method in class symantec.itools.awt.ImageListBox

Forces the item at the specified index to be visible in the window.

setWeekdays(String[]). Method in class java.text.DateFormatSymbols

Sets weekday strings.

setWhereClause(String). Method in class symantec.itools.db.beans.jdbc.QueryNavigator

Sets the current SQL WHERE clause.

setWinHelp(String). Method in class symantec.itools.beans.SymantecBeanDescriptor

Sets the "winhelp" attribute.

setWizardController(WizardController). Method in class symantec.itools.awt.Wizard

Sets a customized WizardController.

setWrappable(boolean). Method in class symantec.itools.awt.util.spinner.Spinner

Sets whether the value can wrap from max to min, and from min to max.

setWriter(File, Object, String). Static method in class symantec.itools.lang.Debug

Set the file to write the debug log to

setWriter(OutputStream, Object, String). Static method in class symantec.itools.lang.Debug

Set the stream to write the debug log to

setWriter(String, Object, String). Static method in class symantec.itools.lang.Debug

Set the file name to write the debug log to

setWriter(URL, Object, String). Static method in class symantec.itools.lang.Debug

Set the url to write the debug log to

setWriter(Writer, Object, String). Static method in class symantec.itools.lang.Debug

Set the writer to write the debug log to.

setXferMode(int). Method in class symantec.itools.db.awt.FtpClient

Sets FTP file transfer mode to either ASCII or binary.

setXORMode(Color). Method in class java.awt.Graphics

Sets the paint mode of this graphics context to alternate between this graphics context's current color and the new specified color.

setYear(int). Method in class java.util.Date

Sets the year of this date to be the specified value plus 1900.

setYear(int). Method in class java.sql.Time

Sets the year of this date to be the specified value plus 1900.

setZeroDigit(char). Method in class java.text.DecimalFormatSymbols

setZoneStrings(String[][]). Method in class java.text.DateFormatSymbols

Sets timezone strings.

shadowColor. Variable in class symantec.itools.awt.Label3D

The color of border bevel shawdows.

Shape(). Constructor for class symantec.itools.awt.shape.Shape

Construct default Shape with BEVEL_LINE style.

ShapeBeanInfo(). Constructor for class symantec.itools.awt.shape.ShapeBeanInfo

Constructs a ShapeBeanInfo object.

SHIFT_MASK. Static variable in class java.awt.event.ActionEvent

The shift modifier constant.

SHIFT_MASK. Static variable in class java.awt.Event

This flag indicates that the Shift key was down when the event occurred.

SHIFT_MASK. Static variable in class java.awt.event.InputEvent

The shift key modifier constant.

shiftDown(). Method in class java.awt.Event

Checks if the Shift key is down.

shiftLeft(int). Method in class java.math.BigInteger

Returns a BigInteger whose value is (this << n).

shiftOffset. Variable in class symantec.itools.multimedia.MovingAnimation

The amount each image is shifted horizontally from the previous image.

shiftRight(int). Method in class java.math.BigInteger

Returns a BigInteger whose value is (this >> n).

shiftSelect(int, boolean). Method in class symantec.itools.awt.ImageListBox

Selects an index in a multiple-selection-enabled ImageListBox using Shift or Ctrl-Shift modifiers to mimic mouse selecting with the Shift or Ctrl-Shift modifiers.

SHORT. Static variable in class java.text.DateFormat

Constant for short style pattern.

Short(short). Constructor for class java.lang.Short

Constructs a Short object initialized to the specified short value.

Short(String). Constructor for class java.lang.Short

Constructs a Short object initialized to the value specified by the String parameter.

shortcuts(). Method in class java.awt.MenuBar

Gets an enumeration of all menu shortcuts this menu bar is managing.

shortValue(). Method in class java.lang.Byte

Returns the value of this Byte as a short.

shortValue(). Method in class java.lang.Double

Returns the value of this Double as a short (by casting to a short).

shortValue(). Method in class java.lang.Float

Returns the value of this Float as a short (by casting to a short).

shortValue(). Method in class java.lang.Integer

Returns the value of this Integer as a short.

shortValue(). Method in class java.lang.Long

Returns the value of this Long as a short.

shortValue(). Method in class java.lang.Number

Returns the value of the specified number as a short.

shortValue(). Method in class java.lang.Short

Returns the value of this Short as a short.

shouldColumnBeInWhereClause(ColumnMetaData, int). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Determines if the specified column should be included in an SQL WHERE clause.

show(). Method in class java.awt.Component

show(). Method in interface java.awt.peer.ComponentPeer

DEPRECATED: Replaced by setVisible(boolean).

show(). Method in class java.awt.Dialog

Shows the dialog.

show(). Method in class symantec.itools.awt.util.dialog.DialogBox

Makes this component visible.

show(). Method in class symantec.itools.multimedia.Firework

Makes this component visible.

show(). Method in class symantec.itools.awt.ImageListBox

Makes this component visible.

show(). Method in class symantec.itools.multimedia.NervousText

Makes this component visible.

show(). Method in class symantec.itools.multimedia.Plasma

Makes this component visible.

show(). Method in class symantec.itools.multimedia.ScrollingText

Makes this component visible.

show(). Method in class java.awt.Window

Shows this window, and brings it to the front.

show(boolean). Method in class java.awt.Component

show(Component, int, int). Method in class java.awt.PopupMenu

Shows the popup menu at the x, y position relative to an origin component.

show(Container, String). Method in class java.awt.CardLayout

Flips to the component that was added to this layout with the specified name, using addLayoutComponent.

show(Event). Method in interface java.awt.peer.PopupMenuPeer

showBorder. Variable in class symantec.itools.awt.Slider

Flag indicating if border should be drawn.

showDocument(URL). Method in interface java.applet.AppletContext

Replaces the Web page currently being viewed with the given URL.

showDocument(URL, String). Method in interface java.applet.AppletContext

Requests that the browser or applet viewer show the Web page indicated by the url argument.

showFocus. Variable in class symantec.itools.awt.ButtonBase

If true this component will visually indicate when it has the focus.

showHScroll. Variable in class symantec.itools.awt.ComboBox

If true the horizontal scroll bar is shown as needed.

showPanel(Component). Method in class symantec.itools.awt.BaseTabbedPanel

Adds the panel to the base panel and shows it.

showStatus(String). Method in class java.applet.Applet

Requests that the argument string be displayed in the "status window".

showStatus(String). Method in interface java.applet.AppletContext

Requests that the argument string be displayed in the "status window".

showTab(int). Method in class symantec.itools.awt.BaseTabbedPanel

showTabPanel(int). Method in class symantec.itools.awt.TabPanel

Selects the tab at the given index, showing it and its associated panel.

showURLStatus. Variable in class symantec.itools.awt.ButtonBase

If true show the linkURL in the status area when the mouse is over the button.

showVScroll. Variable in class symantec.itools.awt.ComboBox

If true the vertical scroll bar is shown as needed.

shrinkTriangle(int, int, int, int). Method in class symantec.itools.awt.DirectionButton

Sets the extra amount, in pixels, to shrink the arrow triangle.

SIGN. Variable in class symantec.itools.awt.FormattedTextField

Character mask constant, input must be a sign (+ or -) character.

SIGN. Static variable in class java.security.Signature

Possible state value, signifying that this signature object has been initialized for signing.

sign(). Method in class java.security.Signature

Returns the signature bytes of all the data updated.

Signature(String). Constructor for class java.security.Signature

Creates a Signature object for the specified algorithm.

SignatureException(). Constructor for class java.security.SignatureException

Constructs a SignatureException with no detail message.

SignatureException(String). Constructor for class java.security.SignatureException

Constructs a SignatureException with the specified detail message.

Signer(). Constructor for class java.security.Signer

Creates a signer.

Signer(String). Constructor for class java.security.Signer

Creates a signer with the specified identity name.

Signer(String, IdentityScope). Constructor for class java.security.Signer

Creates a signer with the specified identity name and scope.

signum(). Method in class java.math.BigDecimal

Returns the signum function of this number (i.e., -1, 0 or 1 as the value of this number is negative, zero or positive).

signum(). Method in class java.math.BigInteger

Returns the signum function of this number (i.e., -1, 0 or 1 as the value of this number is negative, zero or positive).

SILENT. Static variable in class java.rmi.server.LogStream

constants for logging levels

SimpleBeanInfo(). Constructor for class java.beans.SimpleBeanInfo

SimpleDateFormat(). Constructor for class java.text.SimpleDateFormat

Construct a SimpleDateFormat using the default pattern for the default locale.

SimpleDateFormat(String). Constructor for class java.text.SimpleDateFormat

Construct a SimpleDateFormat using the given pattern in the default locale.

SimpleDateFormat(String, DateFormatSymbols). Constructor for class java.text.SimpleDateFormat

Construct a SimpleDateFormat using the given pattern and locale-specific symbol data.

SimpleDateFormat(String, Locale). Constructor for class java.text.SimpleDateFormat

Construct a SimpleDateFormat using the given pattern and locale.

SimpleTimeZone(int, String). Constructor for class java.util.SimpleTimeZone

Constructs a SimpleTimeZone with the given base time zone offset from GMT and time zone ID.

SimpleTimeZone(int, String, int, int, int, int, int, int, int, int). Constructor for class java.util.SimpleTimeZone

Constructs a SimpleTimeZone with the given base time zone offset from GMT, time zone ID, time to start and end the daylight time.

SimpleWizardController(WizardInterface). Constructor for class symantec.itools.awt.SimpleWizardController

Create a SimpleWizardController.

SIMPLIFIED_CHINESE. Static variable in class java.util.Locale

Useful constant for language.

simulateClick(). Method in class symantec.itools.awt.ButtonBase

Makes the button act as if it was pressed, drawing as if it were clicked and sending an action event as if it were clicked.

sin(double). Static method in class java.lang.Math

Returns the trigonometric sine of an angle.

SINGLEFRAME. Static variable in interface java.awt.image.ImageConsumer

The image contain a single static image.

SINGLEFRAMEDONE. Static variable in interface java.awt.image.ImageConsumer

One frame of the image is complete but there are more frames to be delivered.

SINGLEPASS. Static variable in interface java.awt.image.ImageConsumer

The pixels will be delivered in a single pass.

size. Variable in class java.awt.Font

The point size of this font.

size(). Method in class java.util.BitSet

Calculates and returns the set's size in bits.

size(). Method in class java.io.ByteArrayOutputStream

Returns the current size of the buffer.

size(). Method in class java.io.CharArrayWriter

Returns the current size of the buffer.

size(). Method in class java.awt.Component

size(). Method in class java.io.DataOutputStream

Returns the number of bytes written to this data output stream.

size(). Method in class java.util.Dictionary

Returns the number of keys in this dictionary.

size(). Method in class java.util.Hashtable

Returns the number of keys in this hashtable.

size(). Method in class java.security.IdentityScope

Returns the number of identities within this identity scope.

size(). Method in class java.util.Vector

Returns the number of components in this vector.

sizepanel(boolean). Method in class symantec.itools.awt.BorderPanel

Sizes the border panel from the padding, inset, and label margin information.

SkeletonMismatchException(String). Constructor for class java.rmi.server.SkeletonMismatchException

Create a new SkeletonMismatchException exception with a descriptive string.

SkeletonNotFoundException(String). Constructor for class java.rmi.server.SkeletonNotFoundException

Create a new SkeletonNotFoundException exception with a descriptive string.

SkeletonNotFoundException(String, Exception). Constructor for class java.rmi.server.SkeletonNotFoundException

Create a new SkeletonNotFoundException with a descriptive string and an exception.

skip(long). Method in class java.io.BufferedInputStream

Skips over and discards n bytes of data from the input stream.

skip(long). Method in class java.io.BufferedReader

Skip characters.

skip(long). Method in class java.io.ByteArrayInputStream

Skips n bytes of input from this input stream.

skip(long). Method in class java.io.CharArrayReader

Skip characters.

skip(long). Method in class java.util.zip.CheckedInputStream

Skips specified number of bytes of input.

skip(long). Method in class java.io.FileInputStream

Skips over and discards n bytes of data from the input stream.

skip(long). Method in class java.io.FilterInputStream

Skips over and discards n bytes of data from the input stream.

skip(long). Method in class java.io.FilterReader

Skip characters.

skip(long). Method in class java.util.zip.InflaterInputStream

Skips specified number of bytes of uncompressed data.

skip(long). Method in class java.io.InputStream

Skips over and discards n bytes of data from this input stream.

skip(long). Method in class java.io.LineNumberInputStream

Skips over and discards n bytes of data from the input stream.

skip(long). Method in class java.io.LineNumberReader

Skip characters.

skip(long). Method in interface java.io.ObjectInput

Skips n bytes of input.

skip(long). Method in class java.io.Reader

Skip characters.

skip(long). Method in class java.io.StringBufferInputStream

Skips n bytes of input from this input stream.

skip(long). Method in class java.io.StringReader

Skip characters.

skip(long). Method in class java.util.zip.ZipInputStream

Skips specified number of bytes in the current ZIP entry.

skipBytes(int). Method in interface java.io.DataInput

Skips exactly n bytes of input.

skipBytes(int). Method in class java.io.DataInputStream

Skips exactly n bytes of input in the underlying input stream.

skipBytes(int). Method in class java.io.ObjectInputStream

Skips bytes, block until all bytes are skipped.

skipBytes(int). Method in class java.io.RandomAccessFile

Skips exactly n bytes of input.

sLabel3D. Variable in class symantec.itools.awt.Label3D

The label text.

sLabelButton. Variable in class symantec.itools.awt.LabelButton

The button label text.

slashSlashComments(boolean). Method in class java.io.StreamTokenizer

Determines whether or not the tokenizer recognizes C++-style comments.

slashStarComments(boolean). Method in class java.io.StreamTokenizer

Determines whether or not the tokenizer recognizes C-style comments.

sLastText. Variable in class symantec.itools.awt.ComboBox

The latest user-entered text.

sleep(long). Static method in class java.lang.Thread

Causes the currently executing thread to sleep (temporarily cease execution) for the specified number of milliseconds.

sleep(long, int). Static method in class java.lang.Thread

Causes the currently executing thread to sleep (cease execution) for the specified number of milliseconds plus the specified number of nanoseconds.

sleepTime. Variable in class symantec.itools.multimedia.ScrollingText

Controls the speed of the scroll.

Slider(). Constructor for class symantec.itools.awt.Slider

Constructs the Slider.

SliderBeanInfo(). Constructor for class symantec.itools.awt.SliderBeanInfo

Constructs a SliderBeanInfo object.

SlideShow(). Constructor for class symantec.itools.multimedia.SlideShow

Constructs a new SlideShow.

slopeType. Variable in class symantec.itools.awt.shape.Line

The slope type of the line to be drawn (either positive (true) or negative (false)).

SMALLINT. Static variable in class java.sql.Types

SocialIDNumber(int). Constructor for class symantec.itools.awt.util.edit.SocialIDNumber

Create new formatted field.

SocialIDNumberBeanInfo(). Constructor for class symantec.itools.awt.util.edit.SocialIDNumberBeanInfo

Constructs a SocialIDNumberBeanInfo object.

SocialInsuranceNumber(). Constructor for class symantec.itools.awt.util.edit.SocialInsuranceNumber

Create social insurance number text field.

SocialInsuranceNumberBeanInfo(). Constructor for class symantec.itools.awt.util.edit.SocialInsuranceNumberBeanInfo

Constructs a SocialInsuranceNumberBeanInfo object.

SocialSecurityNumber(). Constructor for class symantec.itools.awt.util.edit.SocialSecurityNumber

Create social security number text field.

SocialSecurityNumberBeanInfo(). Constructor for class symantec.itools.awt.util.edit.SocialSecurityNumberBeanInfo

Constructs a SocialSecurityNumberBeanInfo object.

Socket(). Constructor for class java.net.Socket

Creates an unconnected socket, with the system-default type of SocketImpl.

Socket(InetAddress, int). Constructor for class java.net.Socket

Creates a stream socket and connects it to the specified port number at the specified IP address.

Socket(InetAddress, int, boolean). Constructor for class java.net.Socket

Creates a socket and connects it to the specified port number at the specified IP address.

Socket(InetAddress, int, InetAddress, int). Constructor for class java.net.Socket

Creates a socket and connects it to the specified remote address on the specified remote port.

Socket(SocketImpl). Constructor for class java.net.Socket

Creates an unconnected Socket with a user-specified SocketImpl.

Socket(String, int). Constructor for class java.net.Socket

Creates a stream socket and connects it to the specified port number on the named host.

Socket(String, int, boolean). Constructor for class java.net.Socket

Creates a stream socket and connects it to the specified port number on the named host.

Socket(String, int, InetAddress, int). Constructor for class java.net.Socket

Creates a socket and connects it to the specified remote host on the specified remote port.

SocketException(). Constructor for class java.net.SocketException

Constructs a new ProtocolException with no detail message.

SocketException(String). Constructor for class java.net.SocketException

Constructs a new ProtocolException with the specified detail message.

SocketImpl(). Constructor for class java.net.SocketImpl

SocketSecurityException(String). Constructor for class java.rmi.server.SocketSecurityException

Create A remote exception with the specified string

SocketSecurityException(String, Exception). Constructor for class java.rmi.server.SocketSecurityException

Create A remote exception with the specified string, and the exception specified.

SOMEBITS. Static variable in interface java.awt.image.ImageObserver

More pixels needed for drawing a scaled variation of the image are available.

sort(CompareFunc, int). Method in class symantec.itools.awt.Matrix

Sorts all rows into ascending order.

SoundPlayer(). Constructor for class symantec.itools.multimedia.SoundPlayer

Constructs a SoundPlayer.

SoundPlayerBeanInfo(). Constructor for class symantec.itools.multimedia.SoundPlayerBeanInfo

Constructs a SoundPlayerBeanInfo object.

source. Variable in class java.util.EventObject

sourceActionEvent(). Method in class symantec.itools.awt.ButtonBase

Fire an action event to the listeners.

sourceActionEvent(). Method in class symantec.itools.awt.util.Calendar

Fire an action event to the listeners

sourceActionEvent(). Method in class symantec.itools.awt.ComboBox

Fire an action event to the listeners with the actionCommand

sourceActionEvent(). Method in class symantec.itools.awt.InvisibleButton

Fire an action event to the listeners

sourceActionEvent(). Method in class symantec.itools.awt.RollOverButton

Fire an action event to the listeners

sourceActionEvent(). Method in class symantec.itools.awt.Slider

Fire an action event to the listeners

sourceActionEvent(). Method in class symantec.itools.util.Timer

Fires an action event to the listeners.

sourceActionEvent(int). Method in class symantec.itools.awt.MultiList

Fires an action event to the listeners.

sourceActionEvent(String). Method in class symantec.itools.awt.ComboBox

Fire an action event to the listeners

sourceActionEvent(String). Method in class symantec.itools.db.awt.ComboBox

Fire an action event to the listeners

sourceActionEvent(String). Method in class symantec.itools.awt.ImageListBox

Fire an action event to the listeners

sourceActionEvent(String). Method in class symantec.itools.multimedia.SlideShow

Fire an action event to the listeners

sourceActionEvent(String). Method in class symantec.itools.awt.util.spinner.SpinButtonPanel

Fire an action event to the listeners

sourceActionEvent(String). Method in class symantec.itools.awt.util.spinner.Spinner

Fire an action event to the listeners

sourceItemEvent(). Method in class symantec.itools.awt.ImageListBox

Fire an item event to the listeners

sourceItemEvent(Checkbox). Method in class symantec.itools.awt.RadioButtonGroupPanel

Fires an item event to the listeners.

sourceItemEvent(int). Method in class symantec.itools.awt.MultiList

Fires an item event to the listeners.

SOUTH. Static variable in class java.awt.BorderLayout

The south layout constraint (bottom of container).

SOUTH. Static variable in class java.awt.GridBagConstraints

Put the component at the bottom of its display area, centered horizontally.

SOUTHEAST. Static variable in class java.awt.GridBagConstraints

Put the component at the bottom-right corner of its display area.

SOUTHWEST. Static variable in class java.awt.GridBagConstraints

Put the component at the bottom-left corner of its display area.

space. Variable in class symantec.itools.awt.util.ToolBarSpacer

The size of the space the spacer will occupy in pixels..

SPACE_SEPARATOR. Static variable in class java.lang.Character

spComponent. Variable in class symantec.itools.awt.SplitterPanel

The component contained within this panel.

SpecialFeatures. Variable in class symantec.itools.db.beans.binding.QueryNavigator

Name of additional information kept on the results.

SpinButtonPanel(). Constructor for class symantec.itools.awt.util.spinner.SpinButtonPanel

Constructs a SpinButtonPanel.

Spinner(). Constructor for class symantec.itools.awt.util.spinner.Spinner

Constructs a default spinner.

SpinnerBeanInfo(). Constructor for class symantec.itools.awt.util.spinner.SpinnerBeanInfo

Constructs a SpinnerBeanInfo object.

split(int). Method in class symantec.itools.awt.SplitterPanel

Splits a SplitterPanel into two panels.

split(int, Component, Component). Method in class symantec.itools.awt.SplitterPanel

Splits a SplitterPanel into two panels and adds two components.

SPLIT3_BOTTOM. Static variable in class symantec.itools.awt.SplitterPanel

Panel split constant for the SplitterPanel constructor.

SPLIT3_LEFT. Static variable in class symantec.itools.awt.SplitterPanel

Panel split constant for the SplitterPanel constructor.

SPLIT3_RIGHT. Static variable in class symantec.itools.awt.SplitterPanel

Panel split constant for the SplitterPanel constructor.

SPLIT3_TOP. Static variable in class symantec.itools.awt.SplitterPanel

Panel split constant for the SplitterPanel constructor.

SPLIT_BOTH. Static variable in class symantec.itools.awt.SplitterPanel

Panel split constant for the SplitterPanel constructor.

SPLIT_BOTH_V. Static variable in class symantec.itools.awt.SplitterPanel

Panel split constant for the SplitterPanel constructor.

SPLIT_HOR. Static variable in class symantec.itools.awt.SplitterPanel

Indicates a horizontal panel split.

SPLIT_HORIZONTAL. Static variable in class symantec.itools.awt.SplitterPanel

Horizontal panel split constant for the SplitterPanel constructor.

SPLIT_NONE. Static variable in class symantec.itools.awt.SplitterPanel

Panel contains no subpanels, initial state.

SPLIT_VER. Static variable in class symantec.itools.awt.SplitterPanel

Indicates a vertical panel split.

SPLIT_VERTICAL. Static variable in class symantec.itools.awt.SplitterPanel

Vertical panel split constant for the SplitterPanel constructor.

SplitterPanel(). Constructor for class symantec.itools.awt.SplitterPanel

Constructs a new default SplitterPanel.

SplitterPanel(int). Constructor for class symantec.itools.awt.SplitterPanel

Constructs a new SplitterPanel which is split into panels.

SplitterPanel(int, Component, Component, Component, Component). Constructor for class symantec.itools.awt.SplitterPanel

Constructs a new SplitterPanel which is split into panels to which components are added.

SplitterPanel(int, int). Constructor for class symantec.itools.awt.SplitterPanel

Constructs a new SplitterPanel of the specified size which is ready to be split into panels.

SplitterPanel(int, int, int). Constructor for class symantec.itools.awt.SplitterPanel

Constructs a new SplitterPanel of specified size which is split into panels.

SplitterPanelBeanInfo(). Constructor for class symantec.itools.awt.SplitterPanelBeanInfo

Constructs a SplitterPanelBeanInfo object.

splitters. Variable in class symantec.itools.awt.MultiList

The location of the boundries between columns, in pixels.

splitType. Variable in class symantec.itools.awt.SplitterPanel

The type of split for this SplitterPanel.

SQLException(). Constructor for class java.sql.SQLException

Construct an SQLException; reason defaults to null, SQLState defaults to null and vendorCode defaults to 0.

SQLException(String). Constructor for class java.sql.SQLException

Construct an SQLException with a reason; SQLState defaults to null and vendorCode defaults to 0.

SQLException(String, String). Constructor for class java.sql.SQLException

Construct an SQLException with a reason and SQLState; vendorCode defaults to 0.

SQLException(String, String, int). Constructor for class java.sql.SQLException

Construct a fully-specified SQLException

sqlTypeConvert(int). Static method in class symantec.itools.db.pro.RelationView

A utility method which returns the String equivalent of the int data type name that is passed in.

sqlTypeConvert(String). Static method in class symantec.itools.db.pro.RelationView

A utility method which returns the Java int equivalent of the String data type name that is passed in.

SQLWarning(). Constructor for class java.sql.SQLWarning

Construct an SQLWarning ; reason defaults to null, SQLState defaults to null and vendorCode defaults to 0.

SQLWarning(String). Constructor for class java.sql.SQLWarning

Construct an SQLWarning with a reason; SQLState defaults to null and vendorCode defaults to 0.

SQLWarning(String, String). Constructor for class java.sql.SQLWarning

Construct an SQLWarning with a reason and SQLState; vendorCode defaults to 0.

SQLWarning(String, String, int). Constructor for class java.sql.SQLWarning

Construct a fully specified SQLWarning.

sqrt(double). Static method in class java.lang.Math

Returns the square root of a double value.

SQUARE. Static variable in class symantec.itools.awt.BaseTabbedPanel

Style constant indicating tabs are to have square corners.

Square(). Constructor for class symantec.itools.awt.shape.Square

Constructs a default Square.

SquareBeanInfo(). Constructor for class symantec.itools.awt.shape.SquareBeanInfo

Constructs a SquareBeanInfo object.

srccols. Variable in class java.awt.image.ReplicateScaleFilter

srcHeight. Variable in class java.awt.image.ReplicateScaleFilter

srcrows. Variable in class java.awt.image.ReplicateScaleFilter

srcWidth. Variable in class java.awt.image.ReplicateScaleFilter

sSearchItem. Variable in class symantec.itools.awt.ComboBox

The list item string used to match during searches.

sSearchOrig. Variable in class symantec.itools.awt.ComboBox

The user-entered string used to match during searches.

sSearchText. Variable in class symantec.itools.awt.ComboBox

The case-normalized user-entered string used to match during searches.

sslength. Variable in class symantec.itools.awt.util.StatusScroller

Status string length, in characters.

SSNMask(). Constructor for class symantec.itools.db.awt.SSNMask

Constructs a long zip code field.

stack. Variable in class symantec.itools.awt.SimpleWizardController

The stack containing the history of the pages shown.

Stack(). Constructor for class java.util.Stack

StackOverflowError(). Constructor for class java.lang.StackOverflowError

Constructs a StackOverflowError with no detail message.

StackOverflowError(String). Constructor for class java.lang.StackOverflowError

Constructs a StackOverflowError with the specified detail message.

standardFileName. Variable in class symantec.itools.awt.RollOverButton

The file name of the image to display while the mouse is not over the button.

standardImage. Variable in class symantec.itools.awt.RollOverButton

The image displayed while the mouse is not over the button.

standardURL. Variable in class symantec.itools.awt.RollOverButton

The URL of the image to use in while the mouse is not over the button.

start(). Method in class java.applet.Applet

Called by the browser or applet viewer to inform this applet that it should start its execution.

start(). Method in class symantec.itools.awt.util.StatusScroller

Starts the status text scrolling.

start(). Method in class java.lang.Thread

Causes this thread to begin execution; the Java Virtual Machine calls the run method of this thread.

start(). Method in class symantec.itools.util.Timer

Starts the timer with existing settings.

start(boolean). Method in class symantec.itools.util.Timer

Starts the timer using the specified repeat setting.

start(int). Method in class symantec.itools.util.Timer

Starts the timer using the specified delay.

start(int, boolean). Method in class symantec.itools.util.Timer

Starts the timer using the specified delay and repeat settings.

START_PUNCTUATION. Static variable in class java.lang.Character

startAnimation(). Method in class symantec.itools.multimedia.Animator

Starts the animation.

startGrabbing(). Method in class java.awt.image.PixelGrabber

Request the PixelGrabber to start fetching the pixels.

startPlasma(). Method in class symantec.itools.multimedia.Plasma

Resume plasma animation.

startProduction(ImageConsumer). Method in class java.awt.image.FilteredImageSource

Adds an ImageConsumer to the list of consumers interested in data for this image, and immediately starts delivery of the image data through the ImageConsumer interface.

startProduction(ImageConsumer). Method in interface java.awt.image.ImageProducer

This method both registers the given ImageConsumer object as a consumer and starts an immediate reconstruction of the image data which will then be delivered to this consumer and any other consumer which may have already been registered with the producer.

startProduction(ImageConsumer). Method in class java.awt.image.MemoryImageSource

Adds an ImageConsumer to the list of consumers interested in data for this image, and immediately start delivery of the image data through the ImageConsumer interface.

startQueryByExample(). Method in class symantec.itools.db.beans.binding.QueryNavigator

Constructs a query-by-example row.

startScrolling(int, boolean). Method in class symantec.itools.awt.InfoTipPanel

Starts the text scrolling in the direction indicated by the parameter newScrollState.

startScrollingText(). Method in class symantec.itools.multimedia.ScrollingText

Resumes the animation of the scrolling text.

startsWith(String). Method in class java.lang.String

Tests if this string starts with the specified prefix.

startsWith(String, int). Method in class java.lang.String

Tests if this string starts with the specified prefix.

state. Variable in class java.security.Signature

Current state of this signature object.

STATE_CHECKED. Static variable in class symantec.itools.awt.StateCheckBox

A state constant indicating that the current state is "checked".

STATE_DEFAULT. Static variable in class symantec.itools.awt.StateCheckBox

A state constant indicating that the current state is "default".

STATE_UNCHECKED. Static variable in class symantec.itools.awt.StateCheckBox

A state constant indicating that the current state is "unchecked".

StateCheckBox(). Constructor for class symantec.itools.awt.StateCheckBox

Constructs a two-state StateCheckBox that is currently unchecked.

StateCheckBox(). Constructor for class symantec.itools.db.awt.StateCheckBox

Constructs a three-state StateCheckBox that is currently unchecked.

StateCheckBoxBeanInfo(). Constructor for class symantec.itools.awt.StateCheckBoxBeanInfo

Constructs a StateCheckBoxBeanInfo object.

StateCheckBoxBeanInfo(). Constructor for class symantec.itools.db.awt.StateCheckBoxBeanInfo

Constructs a StateCheckBoxBeanInfo object.

STATIC. Static variable in class java.lang.reflect.Modifier

STATICIMAGEDONE. Static variable in interface java.awt.image.ImageConsumer

The image is complete and there are no more pixels or frames to be delivered.

stats(). Method in class symantec.itools.db.awt.BasicCell

Gets a string with the coordinates and the string data for cell.

stats(). Method in class symantec.itools.db.awt.ButtonCell

Gets the key statistics of the cell in a String format.

stats(). Method in interface symantec.itools.db.awt.TableCell

Gets the key statistics of the cell in a String format.

status(). Method in class java.awt.image.PixelGrabber

DEPRECATED: Replaced by getStatus().

statusAll(boolean). Method in class java.awt.MediaTracker

Calculates and returns the bitwise inclusive OR of the status of all media that are tracked by this media tracker.

StatusBar(). Constructor for class symantec.itools.awt.StatusBar

Constructs a default StatusBar.

StatusBarBeanInfo(). Constructor for class symantec.itools.awt.StatusBarBeanInfo

Constructs a StatusBarBeanInfo object.

statusID(int, boolean). Method in class java.awt.MediaTracker

Calculates and returns the bitwise inclusive OR of the status of all media with the specified identifier that are tracked by this media tracker.

StatusScroller(). Constructor for class symantec.itools.awt.util.StatusScroller

Constructs a StatusScroller.

StatusScrollerBeanInfo(). Constructor for class symantec.itools.awt.util.StatusScrollerBeanInfo

Constructs a StatusScrollerBeanInfo object.

statusString. Variable in class symantec.itools.awt.util.StatusScroller

The string to scroll.

stdFont. Static variable in class symantec.itools.db.awt.CellHints

The standard cell font.

stop(). Method in class java.applet.Applet

Called by the browser or applet viewer to inform this applet that it should stop its execution.

stop(). Method in interface java.applet.AudioClip

Stops playing this audio clip.

stop(). Method in class symantec.itools.multimedia.SoundPlayer

Immediately stops the playing of sound clips.

stop(). Method in class symantec.itools.awt.util.StatusScroller

Stops the status text scrolling.

stop(). Method in class java.lang.Thread

Forces the thread to stop executing.

stop(). Method in class java.lang.ThreadGroup

Stops all processes in this thread group.

stop(). Method in class symantec.itools.util.Timer

Stops the timer.

stop(int). Method in class symantec.itools.multimedia.SoundPlayer

Stops the playing of sound clips after the specified number of milliseconds.

stop(Throwable). Method in class java.lang.Thread

Forces the thread to stop executing.

stopAnimation(). Method in class symantec.itools.multimedia.Animator

Stops the animation.

stopPlasma(). Method in class symantec.itools.multimedia.Plasma

Suspend plasma animation.

stopScrolling(). Method in class symantec.itools.awt.InfoTipPanel

Stops the scrolling text animation (if any).

stopScrollingText(). Method in class symantec.itools.multimedia.ScrollingText

Suspends the animation of the scrolling text.

storeBackground(). Method in class symantec.itools.awt.InfoTipPanel

Utility method for run.

STORED. Static variable in class java.util.zip.ZipEntry

Compression method for uncompressed entries.

STORED. Static variable in class java.util.zip.ZipOutputStream

Compression method for uncompressed (STORED) entries.

storesLowerCaseIdentifiers(). Method in interface java.sql.DatabaseMetaData

Does the database treat mixed case unquoted SQL identifiers as case insensitive and store them in lower case?

storesLowerCaseIdentifiers(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if database SQL un-quoted identifiers are case-insensitive and stored in all lower-case.

storesLowerCaseQuotedIdentifiers(). Method in interface java.sql.DatabaseMetaData

Does the database treat mixed case quoted SQL identifiers as case insensitive and store them in lower case?

storesLowerCaseQuotedIdentifiers(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if database SQL quoted identifiers are case-insensitive and stored in all lower-case.

storesMixedCaseIdentifiers(). Method in interface java.sql.DatabaseMetaData

Does the database treat mixed case unquoted SQL identifiers as case insensitive and store them in mixed case?

storesMixedCaseIdentifiers(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if database SQL un-quoted identifiers are case-insensitive and stored in mixed-case.

storesMixedCaseQuotedIdentifiers(). Method in interface java.sql.DatabaseMetaData

Does the database treat mixed case quoted SQL identifiers as case insensitive and store them in mixed case?

storesMixedCaseQuotedIdentifiers(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if database SQL quoted identifiers are case-insensitive and stored in mixed-case.

storesUpperCaseIdentifiers(). Method in interface java.sql.DatabaseMetaData

Does the database treat mixed case unquoted SQL identifiers as case insensitive and store them in upper case?

storesUpperCaseIdentifiers(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if database SQL un-quoted identifiers are case-insensitive and stored in all upper-case.

storesUpperCaseQuotedIdentifiers(). Method in interface java.sql.DatabaseMetaData

Does the database treat mixed case quoted SQL identifiers as case insensitive and store them in upper case?

storesUpperCaseQuotedIdentifiers(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if database SQL quoted identifiers are case-insensitive and stored in all upper-case.

StreamCorruptedException(). Constructor for class java.io.StreamCorruptedException

Create a StreamCorruptedException with no reason.

StreamCorruptedException(String). Constructor for class java.io.StreamCorruptedException

Create a StreamCorruptedException with a reason.

StreamImageSource(InputStream, int). Constructor for class symantec.itools.db.awt.StreamImageSource

Costructs a StreamImageSource using the specified stream that will deliver an image of the specified type.

StreamImageSource(URL, InputStream, int). Constructor for class symantec.itools.db.awt.StreamImageSource

Costructs a StreamImageSource using the specified stream that will deliver an image of the specified type.

StreamTokenizer(InputStream). Constructor for class java.io.StreamTokenizer

Creates a stream tokenizer that parses the specified input stream.

StreamTokenizer(Reader). Constructor for class java.io.StreamTokenizer

Create a tokenizer that parses the given character stream.

STRING. Static variable in interface symantec.itools.db.awt.Data

Type flag to indicate the data is string information.

String(). Constructor for class java.lang.String

Allocates a new String containing no characters.

String(byte[]). Constructor for class java.lang.String

Construct a new String by converting the specified array of bytes using the platform's default character encoding.

String(byte[], int). Constructor for class java.lang.String

Allocates a new String containing characters constructed from an array of 8-bit integer values.

String(byte[], int, int). Constructor for class java.lang.String

Construct a new String by converting the specified subarray of bytes using the platform's default character encoding.

String(byte[], int, int, int). Constructor for class java.lang.String

Allocates a new String constructed from a subarray of an array of 8-bit integer values.

String(byte[], int, int, String). Constructor for class java.lang.String

Construct a new String by converting the specified subarray of bytes using the specified character encoding.

String(byte[], String). Constructor for class java.lang.String

Construct a new String by converting the specified array of bytes using the specified character encoding.

String(char[]). Constructor for class java.lang.String

Allocates a new String so that it represents the sequence of characters currently contained in the character array argument.

String(char[], int, int). Constructor for class java.lang.String

Allocates a new String that contains characters from a subarray of the character array argument.

String(String). Constructor for class java.lang.String

Allocates a new string that contains the same sequence of characters as the string argument.

String(StringBuffer). Constructor for class java.lang.String

Allocates a new string that contains the sequence of characters currently contained in the string buffer argument.

StringBuffer(). Constructor for class java.lang.StringBuffer

Constructs a string buffer with no characters in it and an initial capacity of 16 characters.

StringBuffer(int). Constructor for class java.lang.StringBuffer

Constructs a string buffer with no characters in it and an initial capacity specified by the length argument.

StringBuffer(String). Constructor for class java.lang.StringBuffer

Constructs a string buffer so that it represents the same sequence of characters as the string argument.

StringBufferInputStream(String). Constructor for class java.io.StringBufferInputStream

Creates a string input stream to read data from the specified string.

StringCharacterIterator(String). Constructor for class java.text.StringCharacterIterator

Construct an iterator with an initial index of 0.

StringCharacterIterator(String, int). Constructor for class java.text.StringCharacterIterator

Construct an iterator with the specified initial index.

StringCharacterIterator(String, int, int, int). Constructor for class java.text.StringCharacterIterator

Construct an iterator over the given range of the given string, with the index set at the specified position.

stringFlavor. Static variable in class java.awt.datatransfer.DataFlavor

The DataFlavor representing a Java Unicode String class, where:

representationClass = java.lang.String

mimeType = "application/x-java-serialized-object"

StringIndexOutOfBoundsException(). Constructor for class java.lang.StringIndexOutOfBoundsException

Constructs a StringIndexOutOfBoundsException with no detail message.

StringIndexOutOfBoundsException(int). Constructor for class java.lang.StringIndexOutOfBoundsException

Constructs a new StringIndexOutOfBoundsException class with an argument indicating the illegal index.

StringIndexOutOfBoundsException(String). Constructor for class java.lang.StringIndexOutOfBoundsException

Constructs a StringIndexOutOfBoundsException with the specified detail message.

StringReader(String). Constructor for class java.io.StringReader

Create a new string reader.

StringSelection(String). Constructor for class java.awt.datatransfer.StringSelection

Creates a transferable object capable of transferring the specified string in plain text format.

StringTokenizer(String). Constructor for class java.util.StringTokenizer

Constructs a string tokenizer for the specified string.

StringTokenizer(String, String). Constructor for class java.util.StringTokenizer

Constructs a string tokenizer for the specified string.

StringTokenizer(String, String, boolean). Constructor for class java.util.StringTokenizer

Constructs a string tokenizer for the specified string.

stringWidth(String). Method in class java.awt.FontMetrics

Returns the total advance width for showing the specified String in this Font.

StringWriter(). Constructor for class java.io.StringWriter

Create a new string writer, using the default initial string-buffer size.

StringWriter(int). Constructor for class java.io.StringWriter

Create a new string writer, using the specified initial string-buffer size.

stripMask(String). Method in class symantec.itools.awt.FormattedTextField

Strips escape characters from the given string.

StubNotFoundException(String). Constructor for class java.rmi.StubNotFoundException

Create a new StubNotFoundException with a descriptive string.

StubNotFoundException(String, Exception). Constructor for class java.rmi.StubNotFoundException

Create a new StubNotFoundException with a descriptive string and an exception.

style. Variable in class symantec.itools.awt.BorderPanel

The border style: BEVEL_RAISED, BEVEL_LOWERED, BEVEL_LINE, or BEVEL_NONE.

style. Variable in class java.awt.Font

The style of the font.

style. Variable in class symantec.itools.awt.shape.Shape

Border style of this shape.

style. Variable in class symantec.itools.awt.Slider

The current slider tick mark style.

sub1. Variable in class symantec.itools.awt.SplitterPanel

Sub-panel 1 of 2.

sub2. Variable in class symantec.itools.awt.SplitterPanel

Sub-panel 2 of 2.

substituteColorModel(ColorModel, ColorModel). Method in class java.awt.image.RGBImageFilter

Registers two ColorModel objects for substitution.

substring(int). Method in class java.lang.String

Returns a new string that is a substring of this string.

subString(int, int). Method in interface symantec.itools.db.awt.Data

Gets a substring from the string data for the field.

subString(int, int). Method in class symantec.itools.db.awt.DefaultData

Gets a substring from the string data for the field.

subString(int, int). Method in class symantec.itools.db.awt.ImageStringData

Gets a substring from the string data for the field.

substring(int, int). Method in class java.lang.String

Returns a new string that is a substring of this string.

subString(int, int, int, int). Method in interface symantec.itools.db.awt.DataSource

Method used to support Defaultdata class.

subString(int, int, int, int). Method in class symantec.itools.db.awt.DbDataSource

Method used to support Defaultdata class.

subString(int, int, int, int). Method in class symantec.itools.db.awt.DefaultDataSource

Method used to support Defaultdata class.

subtract(BigDecimal). Method in class java.math.BigDecimal

Returns a BigDecimal whose value is (this - val), and whose scale is MAX(this.scale(), val.scale).

subtract(BigInteger). Method in class java.math.BigInteger

Returns a BigInteger whose value is (this - val).

suicide(). Method in class symantec.itools.db.beans.binding.Mediator

Detaches from the databus and destroys itself.

SUNDAY. Static variable in class java.util.Calendar

Useful constant for days of week.

supports(Coordinate, int). Method in interface symantec.itools.db.awt.DataSource

Gets whether the data source supports a specified type of data.

supports(Coordinate, int). Method in class symantec.itools.db.awt.DbDataSource

Gets whether the data source supports a specified type of data

supports(Coordinate, int). Method in class symantec.itools.db.awt.DefaultDataSource

Gets whether the data source supports a specified type of data

supportsAlterTableWithAddColumn(). Method in interface java.sql.DatabaseMetaData

Is "ALTER TABLE" with add column supported?

supportsAlterTableWithAddColumn(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if "ALTER TABLE" with add column is supported.

supportsAlterTableWithDropColumn(). Method in interface java.sql.DatabaseMetaData

Is "ALTER TABLE" with drop column supported?

supportsAlterTableWithDropColumn(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if "ALTER TABLE" with drop column is supported.

supportsANSI92EntryLevelSQL(). Method in interface java.sql.DatabaseMetaData

Is the ANSI92 entry level SQL grammar supported? All JDBC-Compliant drivers must return true.

supportsANSI92EntryLevelSQL(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if the ANSI92 entry-level SQL grammar is supported.

supportsANSI92FullSQL(). Method in interface java.sql.DatabaseMetaData

Is the ANSI92 full SQL grammar supported?

supportsANSI92FullSQL(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if the ANSI92 full SQL grammar is supported.

supportsANSI92IntermediateSQL(). Method in interface java.sql.DatabaseMetaData

Is the ANSI92 intermediate SQL grammar supported?

supportsANSI92IntermediateSQL(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if the ANSI92 intermediate SQL grammar is supported.

supportsCaching(). Method in class symantec.itools.db.awt.DbaDataStore

Called by a DbDataSource to determine if the store provides its own caching services.

supportsCaching(). Method in interface symantec.itools.db.awt.DbDataStore

Called by a DbDataSource to determine if the store provides its own caching services.

supportsCatalogsInDataManipulation(). Method in interface java.sql.DatabaseMetaData

Can a catalog name be used in a data manipulation statement?

supportsCatalogsInDataManipulation(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if catalog names can be used in data manipulation statements.

supportsCatalogsInIndexDefinitions(). Method in interface java.sql.DatabaseMetaData

Can a catalog name be used in an index definition statement?

supportsCatalogsInIndexDefinitions(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if catalog names can be used in index definition manipulation statements.

supportsCatalogsInPrivilegeDefinitions(). Method in interface java.sql.DatabaseMetaData

Can a catalog name be used in a privilege definition statement?

supportsCatalogsInPrivilegeDefinitions(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if catalog names can be used in privilege definition statements.

supportsCatalogsInProcedureCalls(). Method in interface java.sql.DatabaseMetaData

Can a catalog name be used in a procedure call statement?

supportsCatalogsInProcedureCalls(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if catalog names can be used in procedure call statements.

supportsCatalogsInTableDefinitions(). Method in interface java.sql.DatabaseMetaData

Can a catalog name be used in a table definition statement?

supportsCatalogsInTableDefinitions(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if catalog names can be used in table definition statements.

supportsChoice(). Method in interface symantec.itools.db.awt.Data

Gets whether the data supports multiple predefined choice data.

supportsChoice(). Method in class symantec.itools.db.awt.DefaultData

Gets whether the data supports multiple predefined choice data.

supportsChoice(). Method in class symantec.itools.db.awt.ImageStringData

Gets whether the data supports multiple predefined choice data.

supportsChoice(int, int). Method in interface symantec.itools.db.awt.DataSource

Method used to support Defaultdata class.

supportsChoice(int, int). Method in class symantec.itools.db.awt.DbDataSource

Method used to support Defaultdata class.

supportsChoice(int, int). Method in class symantec.itools.db.awt.DefaultDataSource

Method used to support Defaultdata class.

supportsColumnAliasing(). Method in interface java.sql.DatabaseMetaData

Is column aliasing supported?

If so, the SQL AS clause can be used to provide names for computed columns or to provide alias names for columns as required.

supportsColumnAliasing(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if column aliasing is supported.

supportsConvert(). Method in interface java.sql.DatabaseMetaData

Is the CONVERT function between SQL types supported?

supportsConvert(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if the "CONVERT" function supported, which converts between SQL types.

supportsConvert(int, int). Method in interface java.sql.DatabaseMetaData

Is CONVERT between the given SQL types supported?

supportsConvert(int, int). Method in class symantec.itools.db.pro.SessionMetaData

Determines if the "CONVERT" function supported for the given SQL types.

supportsCoreSQLGrammar(). Method in interface java.sql.DatabaseMetaData

Is the ODBC Core SQL grammar supported?

supportsCoreSQLGrammar(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if the ODBC Core SQL grammar is supported.

supportsCorrelatedSubqueries(). Method in interface java.sql.DatabaseMetaData

Are correlated subqueries supported? A JDBC-Compliant driver always returns true.

supportsCorrelatedSubqueries(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if correlated subqueries are supported.

supportsCustomEditor(). Method in interface java.beans.PropertyEditor

supportsCustomEditor(). Method in class java.beans.PropertyEditorSupport

supportsDataDefinitionAndDataManipulationTransactions(). Method in interface java.sql.DatabaseMetaData

Are both data definition and data manipulation statements within a transaction supported?

supportsDataDefinitionAndDataManipulationTransactions(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if both data definition and data manipulation statements are supported within transactions.

supportsDataManipulationTransactionsOnly(). Method in interface java.sql.DatabaseMetaData

Are only data manipulation statements within a transaction supported?

supportsDataManipulationTransactionsOnly(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if only data manipulation statements are supported within transactions (and not data definition statements).

supportsDifferentTableCorrelationNames(). Method in interface java.sql.DatabaseMetaData

If table correlation names are supported, are they restricted to be different from the names of the tables?

supportsDifferentTableCorrelationNames(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if the supported table correlation names are restricted to be different from the names of the tables.

supportsExpressionsInOrderBy(). Method in interface java.sql.DatabaseMetaData

Are expressions in "ORDER BY" lists supported?

supportsExpressionsInOrderBy(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if expressions in "ORDER BY" lists are supported.

supportsExtendedSQLGrammar(). Method in interface java.sql.DatabaseMetaData

Is the ODBC Extended SQL grammar supported?

supportsExtendedSQLGrammar(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if the ODBC Extended SQL grammar is supported.

supportsFullOuterJoins(). Method in interface java.sql.DatabaseMetaData

Are full nested outer joins supported?

supportsFullOuterJoins(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if full nested outer joins are supported.

supportsGroupBy(). Method in interface java.sql.DatabaseMetaData

Is some form of "GROUP BY" clause supported?

supportsGroupBy(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if some form of "GROUP BY" clause is supported.

supportsGroupByBeyondSelect(). Method in interface java.sql.DatabaseMetaData

Can a "GROUP BY" clause add columns not in the SELECT provided it specifies all the columns in the SELECT?

supportsGroupByBeyondSelect(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if a "GROUP BY" clause can add columns not in the SELECT.

supportsGroupByUnrelated(). Method in interface java.sql.DatabaseMetaData

Can a "GROUP BY" clause use columns not in the SELECT?

supportsGroupByUnrelated(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if a "GROUP BY" clause can use columns not in the SELECT.

supportsIntegrityEnhancementFacility(). Method in interface java.sql.DatabaseMetaData

Is the SQL Integrity Enhancement Facility supported?

supportsIntegrityEnhancementFacility(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if the SQL Integrity Enhancement Facility is supported.

supportsLikeEscapeClause(). Method in interface java.sql.DatabaseMetaData

Is the escape character in "LIKE" clauses supported? A JDBC-Compliant driver always returns true.

supportsLikeEscapeClause(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if an escape character can be used in "LIKE" clauses.

supportsLimitedOuterJoins(). Method in interface java.sql.DatabaseMetaData

Is there limited support for outer joins? (This will be true if supportFullOuterJoins is true.)

supportsLimitedOuterJoins(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if there is limited support for outer joins.

supportsMeta(). Method in interface symantec.itools.db.awt.DataSource

Gets whether the DataSource has the ability to configure a TableView

supportsMeta(). Method in class symantec.itools.db.awt.DbDataSource

Gets whether the DataSource has the ability to configure a TableView.

supportsMeta(). Method in class symantec.itools.db.awt.DefaultDataSource

Gets whether the DataSource has the ability to configure a TableView.

supportsMinimumSQLGrammar(). Method in interface java.sql.DatabaseMetaData

Is the ODBC Minimum SQL grammar supported? All JDBC-Compliant drivers must return true.

supportsMinimumSQLGrammar(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if the ODBC Minimum SQL grammar is supported.

supportsMixedCaseIdentifiers(). Method in interface java.sql.DatabaseMetaData

Does the database treat mixed case unquoted SQL identifiers as case sensitive and as a result store them in mixed case? A JDBC-Compliant driver will always return false.

supportsMixedCaseIdentifiers(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if database SQL un-quoted identifiers are case-sensitive and stored in mixed case.

supportsMixedCaseQuotedIdentifiers(). Method in interface java.sql.DatabaseMetaData

Does the database treat mixed case quoted SQL identifiers as case sensitive and as a result store them in mixed case? A JDBC-Compliant driver will always return true.

supportsMixedCaseQuotedIdentifiers(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if database SQL quoted identifiers are case-sensitive and stored in mixed case.

supportsMultipleResultSets(). Method in interface java.sql.DatabaseMetaData

Are multiple ResultSets from a single execute supported?

supportsMultipleResultSets(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if multiple ResultSets from a single execute are supported.

supportsMultipleTransactions(). Method in interface java.sql.DatabaseMetaData

Can we have multiple transactions open at once (on different connections)?

supportsMultipleTransactions(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if multiple transactions open at once (on different connections) are supported.

supportsNonNullableColumns(). Method in interface java.sql.DatabaseMetaData

Can columns be defined as non-nullable? A JDBC-Compliant driver always returns true.

supportsNonNullableColumns(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if columns can be defined that don't take NULL values.

supportsOpenCursorsAcrossCommit(). Method in interface java.sql.DatabaseMetaData

Can cursors remain open across commits?

supportsOpenCursorsAcrossCommit(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if cursors always remain open across commits.

supportsOpenCursorsAcrossRollback(). Method in interface java.sql.DatabaseMetaData

Can cursors remain open across rollbacks?

supportsOpenCursorsAcrossRollback(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if cursors always remain open across rollbacks.

supportsOpenStatementsAcrossCommit(). Method in interface java.sql.DatabaseMetaData

Can statements remain open across commits?

supportsOpenStatementsAcrossCommit(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if statments always remain open across commits.

supportsOpenStatementsAcrossRollback(). Method in interface java.sql.DatabaseMetaData

Can statements remain open across rollbacks?

supportsOpenStatementsAcrossRollback(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if statements always remain open across rollbacks.

supportsOrderByUnrelated(). Method in interface java.sql.DatabaseMetaData

Can an "ORDER BY" clause use columns not in the SELECT?

supportsOrderByUnrelated(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if an "ORDER BY" clause can use columns not in the SELECT.

supportsOuterJoins(). Method in interface java.sql.DatabaseMetaData

Is some form of outer join supported?

supportsOuterJoins(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if some form of outer join is supported.

supportsPositionedDelete(). Method in interface java.sql.DatabaseMetaData

Is positioned DELETE supported?

supportsPositionedDelete(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if positioned DELETE is supported.

supportsPositionedUpdate(). Method in interface java.sql.DatabaseMetaData

Is positioned UPDATE supported?

supportsPositionedUpdate(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if positioned UPDATE is supported.

supportsSchemasInDataManipulation(). Method in interface java.sql.DatabaseMetaData

Can a schema name be used in a data manipulation statement?

supportsSchemasInDataManipulation(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if schema names can be used in data manipulation statements.

supportsSchemasInIndexDefinitions(). Method in interface java.sql.DatabaseMetaData

Can a schema name be used in an index definition statement?

supportsSchemasInIndexDefinitions(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if schema names can be used in index definition statements.

supportsSchemasInPrivilegeDefinitions(). Method in interface java.sql.DatabaseMetaData

Can a schema name be used in a privilege definition statement?

supportsSchemasInPrivilegeDefinitions(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if schema names can be used in privilege definition statements.

supportsSchemasInProcedureCalls(). Method in interface java.sql.DatabaseMetaData

Can a schema name be used in a procedure call statement?

supportsSchemasInProcedureCalls(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if schema names can be used in procedure call statements.

supportsSchemasInTableDefinitions(). Method in interface java.sql.DatabaseMetaData

Can a schema name be used in a table definition statement?

supportsSchemasInTableDefinitions(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if schema names can be used in table definition statements.

supportsSelectForUpdate(). Method in interface java.sql.DatabaseMetaData

Is SELECT for UPDATE supported?

supportsSelectForUpdate(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if SELECT for UPDATE is supported.

supportsStoredProcedures(). Method in interface java.sql.DatabaseMetaData

Are stored procedure calls using the stored procedure escape syntax supported?

supportsStoredProcedures(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if stored procedure calls using the stored procedure escape syntax are supported.

supportsSubqueriesInComparisons(). Method in interface java.sql.DatabaseMetaData

Are subqueries in comparison expressions supported? A JDBC-Compliant driver always returns true.

supportsSubqueriesInComparisons(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if subqueries in comparison expressions are supported.

supportsSubqueriesInExists(). Method in interface java.sql.DatabaseMetaData

Are subqueries in 'exists' expressions supported? A JDBC-Compliant driver always returns true.

supportsSubqueriesInExists(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if subqueries in "exists" expressions are supported.

supportsSubqueriesInIns(). Method in interface java.sql.DatabaseMetaData

Are subqueries in 'in' statements supported? A JDBC-Compliant driver always returns true.

supportsSubqueriesInIns(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if subqueries in "in" statements are supported.

supportsSubqueriesInQuantifieds(). Method in interface java.sql.DatabaseMetaData

Are subqueries in quantified expressions supported? A JDBC-Compliant driver always returns true.

supportsSubqueriesInQuantifieds(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if subqueries in quantified expressions are supported.

supportsTableCorrelationNames(). Method in interface java.sql.DatabaseMetaData

Are table correlation names supported? A JDBC-Compliant driver always returns true.

supportsTableCorrelationNames(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if table correlation names are supported.

supportsTransactionIsolationLevel(int). Method in interface java.sql.DatabaseMetaData

Does the database support the given transaction isolation level?

supportsTransactionIsolationLevel(int). Method in class symantec.itools.db.pro.SessionMetaData

Determines if the database supports the given transaction isolation level.

supportsTransactions(). Method in interface java.sql.DatabaseMetaData

Are transactions supported? If not, commit is a noop and the isolation level is TRANSACTION_NONE.

supportsTransactions(). Method in class symantec.itools.db.pro.SessionMetaData

Determines the database supports transactions.

supportsUnion(). Method in interface java.sql.DatabaseMetaData

Is SQL UNION supported?

supportsUnion(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if SQL UNION is supported.

supportsUnionAll(). Method in interface java.sql.DatabaseMetaData

Is SQL UNION ALL supported?

supportsUnionAll(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if SQL UNION ALL is supported.

suppressRepaints. Variable in class symantec.itools.awt.BaseTabbedPanel

A flag indicating repaints should be suppress during the setLabel() and setEnabled() methods.

SURROGATE. Static variable in class java.lang.Character

suspend(). Method in class java.lang.Thread

Suspends this thread.

suspend(). Method in class java.lang.ThreadGroup

Suspends all processes in this thread group.

suspended. Variable in class symantec.itools.multimedia.ScrollingText

State of scrolling animation.

sval. Variable in class java.io.StreamTokenizer

If the current token is a word token, this field contains a string giving the characters of the word token.

SW_RESIZE_CURSOR. Static variable in class java.awt.Cursor

The south-west-resize cursor type.

SW_RESIZE_CURSOR. Static variable in class java.awt.Frame

SymantecBeanDescriptor(Class). Constructor for class symantec.itools.beans.SymantecBeanDescriptor

Constructs a SymantecBeanDescriptor for a bean class.

SymantecBeanDescriptor(Class, Class). Constructor for class symantec.itools.beans.SymantecBeanDescriptor

Create a SymantecBeanDescriptor for a bean that has a customizer.

sync(). Method in class java.io.FileDescriptor

Force all system buffers to synchronize with the underlying device.

sync(). Method in class java.awt.Toolkit

Synchronizes this toolkit's graphics state.

SyncFailedException(String). Constructor for class java.io.SyncFailedException

Constructs an SyncFailedException with a detail message.

SYNCHRONIZED. Static variable in class java.lang.reflect.Modifier


Index of all Fields and Methods

_ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

T

TAB. Static variable in class java.awt.Event

The Tab key.

tabIsEnabled(int). Method in class symantec.itools.awt.BaseTabbedPanel

tableIndexClustered. Static variable in interface java.sql.DatabaseMetaData

INDEX INFO TYPE - this identifies a clustered index

tableIndexHashed. Static variable in interface java.sql.DatabaseMetaData

INDEX INFO TYPE - this identifies a hashed index

tableIndexOther. Static variable in interface java.sql.DatabaseMetaData

INDEX INFO TYPE - this identifies some other form of index

tableIndexStatistic. Static variable in interface java.sql.DatabaseMetaData

INDEX INFO TYPE - this identifies table statistics that are returned in conjuction with a table's index descriptions

TableSeparator. Static variable in class symantec.itools.db.beans.jdbc.RecordDefinition

String separating the table name from the rest of the table data.

TabPanel(). Constructor for class symantec.itools.awt.TabPanel

Constructs a TabPanel with tabs on top, rounded

TabPanel(boolean). Constructor for class symantec.itools.awt.TabPanel

Obsolete.

TabPanel(int, int). Constructor for class symantec.itools.awt.TabPanel

Constructs a TabPanel with the tabs in the given position and having the specified look.

TabPanelBeanInfo(). Constructor for class symantec.itools.awt.TabPanelBeanInfo

Constructs a TabPanelBeanInfo object.

TAIWAN. Static variable in class java.util.Locale

Useful constant for country.

tan(double). Static method in class java.lang.Math

Returns the trigonometric tangent of an angle.

target. Variable in class java.awt.Event

The target component.

target. Variable in class symantec.itools.util.Timer

Reserved.

tempBevelHeight. Variable in class symantec.itools.awt.ButtonBase

Internal use.

tempIndent. Variable in class symantec.itools.awt.DirectionButton

Internal use.

tempMaxValue. Variable in class symantec.itools.awt.Slider

Internal use.

tempMinValue. Variable in class symantec.itools.awt.Slider

Internal use.

tempSelectionIndex. Variable in class symantec.itools.awt.RadioButtonGroupPanel

Internal use.

tempTickFreq. Variable in class symantec.itools.awt.Slider

Internal use.

tempValue. Variable in class symantec.itools.awt.Slider

Internal use.

TERTIARY. Static variable in class java.text.Collator

Collator strength value.

tertiaryOrder(int). Static method in class java.text.CollationElementIterator

Get the tertiary order of a collation order.

testBit(int). Method in class java.math.BigInteger

Returns true iff the designated bit is set.

Text. Variable in class symantec.itools.db.awt.Checkbox

The current value of this component as a String.

text. Variable in class symantec.itools.awt.InfoTipPanel

The text which will be scrolled on mouse entered and mouse exited events from myComponent.

text. Variable in class symantec.itools.awt.util.spinner.Spinner

Reserved.

text. Variable in class symantec.itools.awt.StatusBar

The text to display.

TEXT. Static variable in class java.awt.SystemColor

The array index for the text background color.

text. Static variable in class java.awt.SystemColor

The background color for text components.

text. Variable in class symantec.itools.awt.multiList.TextAndImageCell

This cell's text value.

text. Variable in class symantec.itools.awt.WrappingLabel

The text string being displayed.

TEXT_CURSOR. Static variable in class java.awt.Cursor

The text cursor type.

TEXT_CURSOR. Static variable in class java.awt.Frame

Text_Event. Static variable in class symantec.itools.db.awt.FormattedTextField

Constant value for the Triggering Event property.

Text_Event. Static variable in class symantec.itools.db.awt.ProjectionBeanHelper

Constant value for the Triggering Event property.

Text_Event. Static variable in class symantec.itools.db.awt.TextArea

Constant value for the Triggering Event property.

Text_Event. Static variable in class symantec.itools.db.awt.TextField

Constant value for the Triggering Event property.

TEXT_EVENT_MASK. Static variable in class java.awt.AWTEvent

The event mask for selecting text events.

TEXT_FIRST. Static variable in class java.awt.event.TextEvent

Marks the first integer id for the range of adjustment event ids.

TEXT_HIGHLIGHT. Static variable in class java.awt.SystemColor

The array index for the text highlight color.

TEXT_HIGHLIGHT_TEXT. Static variable in class java.awt.SystemColor

The array index for the text highlight text color.

TEXT_INACTIVE_TEXT. Static variable in class java.awt.SystemColor

The array index for the text inactive text color.

TEXT_LAST. Static variable in class java.awt.event.TextEvent

Marks the last integer id for the range of adjustment event ids.

TEXT_TEXT. Static variable in class java.awt.SystemColor

The array index for the text text color.

TEXT_VALUE_CHANGED. Static variable in class java.awt.event.TextEvent

The adjustment value changed event.

TextAndImageCell(MultiList). Constructor for class symantec.itools.awt.multiList.TextAndImageCell

Constructs a default TextAndImageCell.

TextAndImageCell(MultiList, Image). Constructor for class symantec.itools.awt.multiList.TextAndImageCell

Constructs a TextAndImageCell with the given image value.

TextAndImageCell(MultiList, String). Constructor for class symantec.itools.awt.multiList.TextAndImageCell

Constructs a TextAndImageCell with the given text value.

TextAndImageCell(MultiList, String, Image). Constructor for class symantec.itools.awt.multiList.TextAndImageCell

Constructs a TextAndImageCell with the given text and image values.

textAnimationThread. Variable in class symantec.itools.awt.InfoTipPanel

The thread which will animate the scrolling text.

TextArea(). Constructor for class java.awt.TextArea

Constructs a new text area.

TextArea(). Constructor for class symantec.itools.db.awt.TextArea

Constructs a default TextArea.

TextArea(int, int). Constructor for class java.awt.TextArea

Constructs a new empty TextArea with the specified number of rows and columns.

TextArea(int, int). Constructor for class symantec.itools.db.awt.TextArea

Constructs a TextArea with the specified number of rows and columns.

TextArea(String). Constructor for class java.awt.TextArea

Constructs a new text area with the specified text.

TextArea(String). Constructor for class symantec.itools.db.awt.TextArea

Constructs a TextArea with the specified initial value.

TextArea(String, int, int). Constructor for class java.awt.TextArea

Constructs a new text area with the specified text, and with the specified number of rows and columns.

TextArea(String, int, int). Constructor for class symantec.itools.db.awt.TextArea

Constructs a TextArea with the specified text and number of rows and columns.

TextArea(String, int, int, int). Constructor for class java.awt.TextArea

Constructs a new text area with the specified text, and with the rows, columns, and scroll bar visibility as specified.

TextAreaBeanInfo(). Constructor for class symantec.itools.db.awt.TextAreaBeanInfo

Constructs a TextAreaBeanInfo object.

textAscent. Variable in class symantec.itools.awt.InfoTipPanel

Ascent of current message text.

textColor. Variable in class symantec.itools.awt.InfoTipPanel

The color used for text when this component is enabled.

textColor. Variable in class symantec.itools.awt.Label3D

The label text color.

textColor. Variable in class symantec.itools.awt.LabelButton

The color used for text when this component is enabled.

textColor. Variable in class symantec.itools.awt.StatusBar

The color of the displayed text.

textDelay. Variable in class symantec.itools.awt.InfoTipPanel

int property which represents how long (in milliseconds) to pause before starting to scroll/pop-up text on a mouse entered event.

textDescent. Variable in class symantec.itools.awt.InfoTipPanel

Descent of current message text.

TextEvent(Object, int). Constructor for class java.awt.event.TextEvent

Constructs a TextEvent object with the specified TextComponent source, and type.

TextField(). Constructor for class java.awt.TextField

Constructs a new text field.

TextField(). Constructor for class symantec.itools.db.awt.TextField

Constructs a default TextField.

TextField(int). Constructor for class java.awt.TextField

Constructs a new empty TextField with the specified number of columns.

TextField(int). Constructor for class symantec.itools.db.awt.TextField

Constructs a TextField with the specified number of columns.

TextField(String). Constructor for class java.awt.TextField

Constructs a new text field initialized with the specified text.

TextField(String). Constructor for class symantec.itools.db.awt.TextField

Constructs a TextField with the specified initial value.

TextField(String, int). Constructor for class java.awt.TextField

Constructs a new text field initialized with the specified text to be displayed, and wide enough to hold the specified number of characters.

TextField(String, int). Constructor for class symantec.itools.db.awt.TextField

Constructs a TextField with the specified text and number of columns.

TextFieldBeanInfo(). Constructor for class symantec.itools.db.awt.TextFieldBeanInfo

Constructs a TextFieldBeanInfo object.

textHeight. Variable in class symantec.itools.awt.InfoTipPanel

Height of current message text.

textHeight. Variable in class symantec.itools.multimedia.ScrollingText

Height of current message text.

textHighlight. Variable in class symantec.itools.awt.ImageListBox

The background color for highlighted text.

textHighlight. Static variable in class java.awt.SystemColor

The background color for highlighted text.

textHighlightColor. Variable in class symantec.itools.awt.InfoTipPanel

Color which will be used to highlight the text if highlightText flag is set.

textHighlightText. Variable in class symantec.itools.awt.ImageListBox

The text color for highlighted text.

textHighlightText. Static variable in class java.awt.SystemColor

The text color for highlighted text.

textImage. Variable in class symantec.itools.multimedia.ScrollingText

The offscreen buffer to draw in.

textInactiveText. Static variable in class java.awt.SystemColor

The text color for inactive text.

textListener. Variable in class java.awt.TextComponent

textScrollsIn. Variable in class symantec.itools.awt.InfoTipPanel

boolean property representing whether the text will be scrolled in from the edge of the panel on a mouse over, or popped up beside the component.

textText. Static variable in class java.awt.SystemColor

The text color for text components.

textValueChanged(TextEvent). Method in class java.awt.AWTEventMulticaster

textValueChanged(TextEvent). Method in class symantec.itools.db.awt.ProjectionBeanHelper

Invoked when the value of the text has changed.

textValueChanged(TextEvent). Method in interface java.awt.event.TextListener

Invoked when the value of the text has changed.

textWidth. Variable in class symantec.itools.awt.InfoTipPanel

Width of current message text.

textWidth. Variable in class symantec.itools.multimedia.ScrollingText

Width of current message text.

textWidth. Variable in class symantec.itools.awt.util.spinner.Spinner

Reserved.

textX. Variable in class symantec.itools.multimedia.ScrollingText

Current horizontal text position.

textY. Variable in class symantec.itools.multimedia.ScrollingText

Current vertical text position.

TF_BOTTOM. Variable in class symantec.itools.awt.BaseTabbedPanel

Internal tab margin constant.

TF_BTN_HEIGHT. Variable in class symantec.itools.awt.BaseTabbedPanel

Internal tab margin constant.

TF_LEFT. Variable in class symantec.itools.awt.BaseTabbedPanel

Internal tab margin constant.

TF_RIGHT. Variable in class symantec.itools.awt.BaseTabbedPanel

Internal tab margin constant.

TF_TOP. Variable in class symantec.itools.awt.BaseTabbedPanel

Internal tab margin constant.

thread. Variable in class symantec.itools.awt.util.StatusScroller

The thread that handles scrolling the text.

thread. Variable in class symantec.itools.util.Timer

The timer's thread.

Thread(). Constructor for class java.lang.Thread

Allocates a new Thread object.

Thread(Runnable). Constructor for class java.lang.Thread

Allocates a new Thread object.

Thread(Runnable, String). Constructor for class java.lang.Thread

Allocates a new Thread object.

Thread(String). Constructor for class java.lang.Thread

Allocates a new Thread object.

Thread(ThreadGroup, Runnable). Constructor for class java.lang.Thread

Allocates a new Thread object.

Thread(ThreadGroup, Runnable, String). Constructor for class java.lang.Thread

Allocates a new Thread object so that it has target as its run object, has the specified name as its name, and belongs to the thread group referred to by group.

Thread(ThreadGroup, String). Constructor for class java.lang.Thread

Allocates a new Thread object.

ThreadDeath(). Constructor for class java.lang.ThreadDeath

threadDeathEvent(RemoteThread). Method in class sun.tools.ttydebug.TTY

ThreadGroup(String). Constructor for class java.lang.ThreadGroup

Constructs a new thread group.

ThreadGroup(ThreadGroup, String). Constructor for class java.lang.ThreadGroup

Creates a new thread group.

THREE_STATE. Static variable in class symantec.itools.awt.StateCheckBox

A style constant indicating that this is a three-state checkbox.

Throwable(). Constructor for class java.lang.Throwable

Constructs a new Throwable with no detail message.

Throwable(String). Constructor for class java.lang.Throwable

Constructs a new Throwable with the specified detail message.

THURSDAY. Static variable in class java.util.Calendar

Useful constant for days of week.

tick. Variable in class symantec.itools.awt.Slider

The tick marks for this slider.

TICK_BOTH. Static variable in class symantec.itools.awt.Slider

Defines the slider tick style where the tick marks appear both to the left and right of the slider thumb.

TICK_BOTTOM. Static variable in class symantec.itools.awt.Slider

Defines the slider tick style where the tick marks appear below the slider thumb.

TICK_HEIGHT. Static variable in class symantec.itools.awt.HorizontalSlider

Length of the gauge ticks in pixels.

TICK_LEFT. Static variable in class symantec.itools.awt.Slider

Defines the slider tick style where the tick marks appear to the left of the slider thumb.

TICK_NONE. Static variable in class symantec.itools.awt.Slider

Defines the slider tick style where no tick marks are drawn.

TICK_RIGHT. Static variable in class symantec.itools.awt.Slider

Defines the slider tick style where the tick marks appear to the right of the slider thumb.

TICK_TOP. Static variable in class symantec.itools.awt.Slider

Defines the slider tick style where the tick marks appear above the slider thumb.

TICK_WIDTH. Static variable in class symantec.itools.awt.VerticalSlider

Length of the gauge ticks in pixels.

time. Variable in class java.util.Calendar

The current time set for the calendar.

Time. Static variable in class symantec.itools.db.awt.DBTstamp

A constant indicating that the value should be displayed/entered as a time.

TIME. Static variable in class java.sql.Types

Time(int, int, int). Constructor for class java.sql.Time

Construct a Time Object

Time(long). Constructor for class java.sql.Time

Construct a Time using a milliseconds time value

TimeMask(). Constructor for class symantec.itools.db.awt.TimeMask

Constructs a long zip code field.

Timer(). Constructor for class symantec.itools.util.Timer

Creates a timer with the default delay.

Timer(boolean). Constructor for class symantec.itools.util.Timer

Creates a timer with specified repeat setting and the default delay.

Timer(Component). Constructor for class symantec.itools.util.Timer

Timer(Component, int). Constructor for class symantec.itools.util.Timer

Timer(Component, int, boolean). Constructor for class symantec.itools.util.Timer

Timer(Component, int, boolean, int). Constructor for class symantec.itools.util.Timer

Timer(int). Constructor for class symantec.itools.util.Timer

Creates a timer with specified delay.

Timer(int, boolean). Constructor for class symantec.itools.util.Timer

Creates a timer with specified delay and repeat setting.

Timestamp. Static variable in class symantec.itools.db.awt.DBTstamp

A constant indicating that the value should be displayed/entered as a timestamp.

TIMESTAMP. Static variable in class java.sql.Types

Timestamp(int, int, int, int, int, int, int). Constructor for class java.sql.Timestamp

Construct a Timestamp Object

Timestamp(long). Constructor for class java.sql.Timestamp

Construct a Timestamp using a milliseconds time value.

TimestampMask(). Constructor for class symantec.itools.db.awt.TimestampMask

Constructs a long zip code field.

TimeZone(). Constructor for class java.util.TimeZone

TIMEZONE_FIELD. Static variable in class java.text.DateFormat

Useful constant for TIMEZONE field alignment.

TINYINT. Static variable in class java.sql.Types

TITLECASE_LETTER. Static variable in class java.lang.Character

to_b. Variable in class symantec.itools.awt.image.FadeFilter

The blue value of the color to fade to when filtering.

to_g. Variable in class symantec.itools.awt.image.FadeFilter

The green value of the color to fade to when filtering.

to_r. Variable in class symantec.itools.awt.image.FadeFilter

The red value of the color to fade to when filtering.

toBack(). Method in class java.awt.Window

Sends this window to the back.

toBack(). Method in interface java.awt.peer.WindowPeer

toBigInteger(). Method in class java.math.BigDecimal

Converts this number to a BigInteger.

toBinaryString(int). Static method in class java.lang.Integer

Creates a string representation of the integer argument as an unsigned integer in base 2.

toBinaryString(long). Static method in class java.lang.Long

Creates a string representation of the long argument as an unsigned integer in base 2.

toByteArray(). Method in class java.math.BigInteger

Returns the two's-complement representation of this number.

toByteArray(). Method in class java.io.ByteArrayOutputStream

Creates a newly allocated byte array.

toByteArray(). Method in class java.text.CollationKey

Converts the CollationKey to a sequence of bits.

toCharArray(). Method in class java.io.CharArrayWriter

Returns a copy of the input data.

toCharArray(). Method in class java.lang.String

Converts this string to a new character array.

toExternalForm(). Method in class java.net.URL

Constructs a string representation of this URL.

toExternalForm(URL). Method in class java.net.URLStreamHandler

Converts a URL of a specific protocol to a String.

toFront(). Method in class java.awt.Window

Brings this window to the front.

toFront(). Method in interface java.awt.peer.WindowPeer

toggle(). Method in class symantec.itools.awt.TreeNode

Toggles the node state between collapsed and expanded, if the node is expandable.

toGMTString(). Method in class java.util.Date

Creates a string representation of this date.

toHexString(int). Static method in class java.lang.Integer

Creates a string representation of the integer argument as an unsigned integer in base 16.

toHexString(long). Static method in class java.lang.Long

Creates a string representation of the long argument as an unsigned integer in base 16.

toImage(). Method in interface symantec.itools.db.awt.Data

Gets teh current image value for the field.

toImage(). Method in class symantec.itools.db.awt.DefaultData

Gets teh current image value for the field.

toImage(). Method in class symantec.itools.db.awt.ImageStringData

Gets teh current image value for the field.

toImage(int, int). Method in interface symantec.itools.db.awt.DataSource

Method used to support Defaultdata class.

toImage(int, int). Method in class symantec.itools.db.awt.DbDataSource

Method used to support Defaultdata class.

toImage(int, int). Method in class symantec.itools.db.awt.DefaultDataSource

Method used to support Defaultdata class.

tokenizeStringArrayIfNeeded(String[]). Method in class symantec.itools.awt.MultiList

Handles cases where the user might pass either an array of items, or a single string with itemds separated by the ';' character.

toLocaleString(). Method in class java.util.Date

Creates a string representation of this date in an implementation-dependent form.

toLocalizedPattern(). Method in class java.text.DecimalFormat

Synthesizes a localized pattern string that represents the current state of this Format object.

toLocalizedPattern(). Method in class java.text.SimpleDateFormat

Return a localized pattern string describing this date format.

toLowerCase(). Method in class java.lang.String

Converts this String to lowercase.

toLowerCase(char). Static method in class java.lang.Character

The given character is mapped to its lowercase equivalent; if the character has no lowercase equivalent, the character itself is returned.

toLowerCase(Locale). Method in class java.lang.String

Converts all of the characters in this String to lower case using the rules of the given locale.

toOctalString(int). Static method in class java.lang.Integer

Creates a string representation of the integer argument as an unsigned integer in base 8.

toOctalString(long). Static method in class java.lang.Long

Creates a string representation of the long argument as an unsigned integer in base 8.

TOOLBAR. Static variable in class symantec.itools.beans.SymantecBeanDescriptor

A constant that specifies the "toolbar" key.

ToolBarPanel(). Constructor for class symantec.itools.awt.util.ToolBarPanel

Create ToolBarPanel.

ToolBarPanel(int, int). Constructor for class symantec.itools.awt.util.ToolBarPanel

Create ToolBarPanel.

ToolBarPanelBeanInfo(). Constructor for class symantec.itools.awt.util.ToolBarPanelBeanInfo

Constructs a ToolBarPanelBeanInfo object.

ToolBarSpacer(). Constructor for class symantec.itools.awt.util.ToolBarSpacer

Create a ToolBarSpacer.

ToolBarSpacerBeanInfo(). Constructor for class symantec.itools.awt.util.ToolBarSpacerBeanInfo

Constructs a ToolBarSpacerBeanInfo object.

Toolkit(). Constructor for class java.awt.Toolkit

TooManyListenersException(). Constructor for class java.util.TooManyListenersException

Constructs a TooManyListenersException with no detail message.

TooManyListenersException(String). Constructor for class java.util.TooManyListenersException

Constructs a TooManyListenersException with the specified detail message.

TOP. Static variable in class symantec.itools.awt.BaseTabbedPanel

Position constant indicating tabs are to be put at the top of this panel.

top. Variable in class symantec.itools.awt.DirectionButton

The number of pixels to shrink the arrow from the top side of the button.

top. Variable in class java.awt.Insets

The inset from the top.

TOP_ALIGNMENT. Static variable in class java.awt.Component

Ease-of-use constant for getAlignmentY().

toPattern(). Method in class java.text.ChoiceFormat

Gets the pattern.

toPattern(). Method in class java.text.DecimalFormat

Synthesizes a pattern string that represents the current state of this Format object.

toPattern(). Method in class java.text.MessageFormat

Gets the pattern.

toPattern(). Method in class java.text.SimpleDateFormat

Return a pattern string describing this date format.

TOPDOWNLEFTRIGHT. Static variable in interface java.awt.image.ImageConsumer

The pixels will be delivered in top-down, left-to-right order.

topRow. Variable in class symantec.itools.awt.util.Calendar

Internal drawing calibration value.

topRow. Variable in class symantec.itools.awt.MultiList

The zero-relative index of the first visible row in the list.

topVisibleNode. Variable in class symantec.itools.awt.TreeView

first node in window

toString(). Method in interface java.security.acl.Acl

Returns a string representation of the ACL contents.

toString(). Method in interface java.security.acl.AclEntry

Returns a string representation of the contents of this ACL entry.

toString(). Method in class java.awt.AWTEvent

Returns a string representation of the object.

toString(). Method in class symantec.itools.db.awt.BasicCell

Inherited from java.lang.Object.

toString(). Method in class java.math.BigDecimal

Returns the string representation of this number.

toString(). Method in class java.math.BigInteger

Returns the string representation of this number, radix 10.

toString(). Method in class java.util.BitSet

Converts the BitSet to a String.

toString(). Method in class java.lang.Boolean

Returns a String object representing this Boolean's value.

toString(). Method in class java.awt.BorderLayout

Returns a string representation of the state of this border layout.

toString(). Method in class java.lang.Byte

Returns a String object representing this Byte's value.

toString(). Method in class java.io.ByteArrayOutputStream

Converts the buffer's contents into a string, translating bytes into characters according to the platform's default character encoding.

toString(). Method in class java.awt.CardLayout

Returns a string representation of the state of this card layout.

toString(). Method in class java.lang.Character

Returns a String object representing this character's value.

toString(). Method in class java.io.CharArrayWriter

Converts input data to a string.

toString(). Method in class java.awt.CheckboxGroup

Returns a string representation of this check box group, including the value of its current selection.

toString(). Method in class java.lang.Class

Converts the object to a string.

toString(). Method in class java.awt.Color

Creates a string that represents this color and indicates the values of its RGB components.

toString(). Method in class java.awt.Component

Returns a string representation of this component and its values.

toString(). Method in class java.lang.reflect.Constructor

Return a string describing this Constructor.

toString(). Method in class symantec.itools.db.awt.Coordinate

Gets a string representation of the coordinate.

toString(). Method in interface symantec.itools.db.awt.Data

Gets the current string value for the field.

toString(). Method in class java.sql.Date

Format a date in JDBC date escape format

toString(). Method in class java.util.Date

Creates a canonical string representation of the date.

toString(). Method in class symantec.itools.db.awt.DefaultData

Gets the current string value for the field.

toString(). Method in class java.security.DigestInputStream

Prints a string representation of this digest input stream and its associated message digest object.

toString(). Method in class java.security.DigestOutputStream

Prints a string representation of this digest output stream and its associated message digest object.

toString(). Method in class java.awt.Dimension

Returns a string that represents this Dimension object's values.

toString(). Method in class java.lang.Double

Returns a String representation of this Double object.

toString(). Method in class java.awt.Event

Returns a representation of this event's values as a string.

toString(). Method in class java.util.EventObject

Returns a string representation of the object.

toString(). Method in class java.lang.reflect.Field

Return a string describing this Field.

toString(). Method in class java.io.File

Returns a string representation of this object.

toString(). Method in class java.lang.Float

Returns a String representation of this Float object.

toString(). Method in class java.awt.FlowLayout

Returns a string representation of this FlowLayout object and its values.

toString(). Method in class java.awt.Font

Converts this object to a String representation.

toString(). Method in class java.awt.FontMetrics

Returns a representation of this FontMetric object's values as a string.

toString(). Method in class java.awt.Graphics

Returns a String object representing this Graphics object's value.

toString(). Method in class java.awt.GridBagLayout

Returns a string representation of this grid bag layout's values.

toString(). Method in class java.awt.GridLayout

Returns the string representation of this grid layout's values.

toString(). Method in class java.util.Hashtable

Returns a rather long string representation of this hashtable.

toString(). Method in class java.security.Identity

Returns a short string describing this identity, telling its name and its scope (if any).

toString(). Method in class java.security.IdentityScope

Returns a string representation of this identity scope, including its name, its scope name, and the number of identities in this identity scope.

toString(). Method in class symantec.itools.db.awt.ImageStringData

Gets the current string value for the field.

toString(). Method in class java.net.InetAddress

Converts this IP address to a String.

toString(). Method in class java.awt.Insets

Returns a String object representing this Insets object's values.

toString(). Method in class java.lang.Integer

Returns a String object representing this Integer's value.

toString(). Method in class java.util.Locale

Getter for the programmatic name of the entire locale, with the language, country and variant separated by underbars.

toString(). Method in class java.rmi.server.LogStream

Return log name as string representation

toString(). Method in class java.lang.Long

Returns a String object representing this Long's value.

toString(). Method in class symantec.itools.awt.Matrix

Returns a string representation of this component.

toString(). Method in class java.awt.MenuComponent

Returns a representation of this menu component as a string.

toString(). Method in class java.awt.MenuShortcut

Returns an internationalized description of the MenuShortcut.

toString(). Method in class java.security.MessageDigest

Returns a string representation of this message digest object.

toString(). Method in class java.lang.reflect.Method

Returns a string describing this Method.

toString(). Method in class java.lang.Object

Returns a string representation of the object.

toString(). Method in class java.io.ObjectStreamClass

Return a string describing this ObjectStreamClass.

toString(). Method in class java.rmi.server.ObjID

Returns a string containing the object id representation.

toString(). Method in class java.rmi.server.Operation

Returns a string representation of the object.

toString(). Method in interface java.security.acl.Permission

Prints a string representation of this permission.

toString(). Method in class java.awt.Point

Returns a representation of this point and its location in the (x, y) coordinate space as a string.

toString(). Method in interface java.security.Principal

Returns a string representation of this principal.

toString(). Method in class symantec.itools.db.pro.Projection

Gets the value as a Java String that is space padded to meet the maximum length of the variable.

toString(). Method in class java.security.Provider

Returns a string with the name and the version number of this provider.

toString(). Method in class symantec.itools.db.beans.binding.QueryNavigator

Returns a string representation of the object.

toString(). Method in class symantec.itools.awt.RadioButtonGroupPanel

Returns the String representation of this RadioButtonGroup's values.

toString(). Method in class java.awt.Rectangle

Returns a string representation of this rectangle and its values.

toString(). Method in class java.rmi.server.RemoteObject

Returns a String that represents the value of this remote object.

toString(). Method in class java.net.ServerSocket

Returns the implementation address and implementation port of this socket as a String.

toString(). Method in class java.lang.Short

Returns a String object representing this Short's value.

toString(). Method in class java.security.Signature

Returns a string representation of this signature object, providing information that includes the state of the object and the name of the algorithm used.

toString(). Method in class java.security.Signer

Returns a string of information about the signer.

toString(). Method in class java.net.Socket

Converts this socket to a String.

toString(). Method in class java.net.SocketImpl

Returns the address and port of this socket as a String.

toString(). Method in class symantec.itools.awt.SplitterPanel

Returns a string representation of this component.

toString(). Method in class java.io.StreamTokenizer

Returns the string representation of the current stream token.

toString(). Method in class java.lang.String

This object (which is already a string!) is itself returned.

toString(). Method in class java.lang.StringBuffer

Converts to a string representing the data in this string buffer.

toString(). Method in class java.io.StringWriter

Return the buffer's current value as a string.

toString(). Method in class java.awt.SystemColor

Returns the String representation of this Color's values.

toString(). Method in class symantec.itools.awt.multiList.TextAndImageCell

Returns a string representation of this component.

toString(). Method in class java.lang.Thread

Returns a string representation of this thread, including the thread's name, priority, and thread group.

toString(). Method in class java.lang.ThreadGroup

Returns a string representation of this Thread group.

toString(). Method in class java.lang.Throwable

Returns a short description of this throwable object.

toString(). Method in class java.sql.Time

Format a time in JDBC date escape format

toString(). Method in class java.sql.Timestamp

Format a timestamp in JDBC timestamp escape format

toString(). Method in class java.rmi.server.UID

Returns a string representation of the object.

toString(). Method in class java.net.URL

Constructs a string representation of this URL.

toString(). Method in class java.net.URLConnection

Returns a String representation of this URL connection.

toString(). Method in class java.util.Vector

Returns a string representation of this vector.

toString(). Method in class java.rmi.dgc.VMID

Return string representation of this VMID.

toString(). Method in class java.util.zip.ZipEntry

Returns a string representation of the ZIP entry.

toString(boolean). Method in interface java.security.Certificate

Returns a string that represents the contents of the certificate.

toString(boolean). Method in class java.security.Identity

Returns a string representation of this identity, with optionally more details than that provided by the toString method without any arguments.

toString(byte). Static method in class java.lang.Byte

Returns a new String object representing the specified Byte.

toString(double). Static method in class java.lang.Double

Creates a string representation of the double argument.

toString(float). Static method in class java.lang.Float

Returns a String representation for the specified float value.

toString(int). Method in class java.math.BigInteger

Returns the string representation of this number in the given radix.

toString(int). Method in class java.io.ByteArrayOutputStream

Creates a newly allocated string.

toString(int). Static method in class java.lang.Integer

Returns a new String object representing the specified integer.

toString(int). Static method in class java.lang.reflect.Modifier

Return a string describing the access modifier flags in the specified modifier.

toString(int, int). Method in interface symantec.itools.db.awt.DataSource

Method used to support Defaultdata class.

toString(int, int). Method in class symantec.itools.db.awt.DbDataSource

Method used to support Defaultdata class.

toString(int, int). Method in class symantec.itools.db.awt.DefaultDataSource

Method used to support Defaultdata class.

toString(int, int). Static method in class java.lang.Integer

Creates a string representation of the first argument in the radix specified by the second argument.

toString(long). Static method in class java.lang.Long

Returns a new String object representing the specified integer.

toString(long, int). Static method in class java.lang.Long

Creates a string representation of the first argument in the radix specified by the second argument.

toString(short). Static method in class java.lang.Short

Returns a new String object representing the specified Short.

toString(String). Method in class java.io.ByteArrayOutputStream

Converts the buffer's contents into a string, translating bytes into characters according to the specified character encoding.

totalMemory(). Method in class java.lang.Runtime

Returns the total amount of memory in the Java Virtual Machine.

toTitleCase(char). Static method in class java.lang.Character

Converts the character argument to titlecase.

toUpperCase(). Method in class java.lang.String

Converts this string to uppercase.

toUpperCase(char). Static method in class java.lang.Character

Converts the character argument to uppercase.

toUpperCase(Locale). Method in class java.lang.String

Converts all of the characters in this String to upper case using the rules of the given locale.

traceInstructions(boolean). Method in class java.lang.Runtime

Enables/Disables tracing of instructions.

traceMethodCalls(boolean). Method in class java.lang.Runtime

Enables/Disables tracing of method calls.

TRACK. Static variable in class java.awt.event.AdjustmentEvent

The absolute tracking adjustment type.

TRADITIONAL_CHINESE. Static variable in class java.util.Locale

Useful constant for language.

TRANSACTION_DEFAULT. Static variable in class symantec.itools.db.beans.jdbc.JdbcConnection

TransactionIsolation property value; use the drivers default level.

TRANSACTION_NONE. Static variable in interface java.sql.Connection

Transactions are not supported.

TRANSACTION_NONE. Static variable in class symantec.itools.db.beans.jdbc.JdbcConnection

TransactionIsolation property value; transactions are not supported.

TRANSACTION_READ_COMMITTED. Static variable in interface java.sql.Connection

Dirty reads are prevented; non-repeatable reads and phantom reads can occur.

TRANSACTION_READ_COMMITTED. Static variable in class symantec.itools.db.beans.jdbc.JdbcConnection

TransactionIsolation property value; dirty reads are prevented; non-repeatable reads and phantom reads can occur.

TRANSACTION_READ_UNCOMMITTED. Static variable in interface java.sql.Connection

Dirty reads, non-repeatable reads and phantom reads can occur.

TRANSACTION_READ_UNCOMMITTED. Static variable in class symantec.itools.db.beans.jdbc.JdbcConnection

TransactionIsolation property value; dirty reads, non-repeatable reads and phantom reads can occur.

TRANSACTION_REPEATABLE_READ. Static variable in interface java.sql.Connection

Dirty reads and non-repeatable reads are prevented; phantom reads can occur.

TRANSACTION_REPEATABLE_READ. Static variable in class symantec.itools.db.beans.jdbc.JdbcConnection

TransactionIsolation property value; dirty reads and non-repeatable reads are prevented; phantom reads can occur.

TRANSACTION_SERIALIZABLE. Static variable in interface java.sql.Connection

Dirty reads, non-repeatable reads and phantom reads are prevented.

TRANSACTION_SERIALIZABLE. Static variable in class symantec.itools.db.beans.jdbc.JdbcConnection

TransactionIsolation property value; dirty reads, non-repeatable reads and phantom reads are prevented.

transferFocus(). Method in class java.awt.Component

Transfers the focus to the next component.

TRANSIENT. Static variable in class java.lang.reflect.Modifier

translate(int, int). Method in class java.awt.Event

Translates this event so that its x and y coordinates are increased by dx and dy, respectively.

translate(int, int). Method in class java.awt.Graphics

Translates the origin of the graphics context to the point (x, y) in the current coordinate system.

translate(int, int). Method in class java.awt.Point

Translates this point, at location (x, y), by dx along the x axis and dy along the y axis so that it now represents the point (x + dx, y + dy).

translate(int, int). Method in class java.awt.Polygon

Translates the vertices by deltaX along the x axis and by deltaY along the y axis.

translate(int, int). Method in class java.awt.Rectangle

Translates the rectangle the indicated distance, to the right along the x coordinate axis, and downward along the y coordinate axis.

translatePoint(int, int). Method in class java.awt.event.MouseEvent

Translates the coordinate position of the event by x, y.

traverse(TreeNode). Method in class symantec.itools.awt.TreeView

Internal helper method.

TreeNode(). Constructor for class symantec.itools.awt.TreeNode

Constructs a default TreeNode.

TreeNode(String). Constructor for class symantec.itools.awt.TreeNode

TreeNode(String, Image, Image). Constructor for class symantec.itools.awt.TreeNode

TreeNode(String, Image, Image, TreeView). Constructor for class symantec.itools.awt.TreeNode

Constructs a TreeNode with the given text label, and collapsed and expanded images.

TreeNode(String, TreeView). Constructor for class symantec.itools.awt.TreeNode

Constructs a TreeNode with the given text label.

TreeView(). Constructor for class symantec.itools.awt.TreeView

Constructs an empty TreeView.

TreeView(TreeNode). Constructor for class symantec.itools.awt.TreeView

Constructs a TreeView with the given node.

TreeViewBeanInfo(). Constructor for class symantec.itools.awt.TreeViewBeanInfo

Constructs a TreeViewBeanInfo object.

TriggeringEvent. Variable in class symantec.itools.db.awt.ComboBox

The value of the Triggering Event property.

TriggeringEvent. Variable in class symantec.itools.db.awt.FormattedTextField

The value of the Triggering Event property.

TriggeringEvent. Variable in class symantec.itools.db.awt.ListPlus

The value of the Triggering Event property.

triggerListeners. Variable in class symantec.itools.db.pro.RelationViewPlus

TriggerUIEvent listeners.

triggerRedraw(). Method in class symantec.itools.awt.MultiList

Triggers an entire redraw of this component, unless redrawing is currently suppressed.

triggerRedraw(). Method in class symantec.itools.awt.TreeView

Triggers redrawing the entire image, even if the size of the component has not changed.

triggerRepaint(). Method in class symantec.itools.awt.BaseTabbedPanel

Helper method to trigger a repaint if it hasn't been suppressed.

triggerUI(). Method in class symantec.itools.db.pro.RelationViewPlus

Fires a TriggerUIEvent event, sending it to all listeners.

TriggerUI(int, int). Method in class symantec.itools.db.beans.binding.QueryNavigator

Generates and dispatches a TriggerUIEvent.

trim(). Method in class java.lang.String

Removes white space from both ends of this string.

trimToSize(). Method in class java.util.Vector

Trims the capacity of this vector to be the vector's current size.

TRUE. Static variable in class java.lang.Boolean

The Boolean object corresponding to the primitive value true.

truncateContents(String). Method in class symantec.itools.awt.util.spinner.ListSpinner

Gets the current contets and truncates the string appropriately.

Tstamp(). Constructor for class symantec.itools.db.awt.Tstamp

Constructs a default Tstamp.

Tstamp(Date). Constructor for class symantec.itools.db.awt.Tstamp

Constructs a Tstamp with the given date.

Tstamp(String). Constructor for class symantec.itools.db.awt.Tstamp

Constructs a Tstamp with the given date.

Tstamp(String, String). Constructor for class symantec.itools.db.awt.Tstamp

Constructs a Tstamp with the given date in the given format.

Tstamp(Timestamp). Constructor for class symantec.itools.db.awt.Tstamp

Constructs a Tstamp with the given date/time.

TT_EOF. Static variable in class java.io.StreamTokenizer

A constant indicating that the end of the stream has been read.

TT_EOL. Static variable in class java.io.StreamTokenizer

A constant indicating that the end of the line has been read.

TT_NUMBER. Static variable in class java.io.StreamTokenizer

A constant indicating that a number token has been read.

TT_WORD. Static variable in class java.io.StreamTokenizer

A constant indicating that a word token has been read.

TTY(String, String, String, String, PrintStream, PrintStream, boolean). Constructor for class sun.tools.ttydebug.TTY

ttype. Variable in class java.io.StreamTokenizer

After a call to the nextToken method, this field contains the type of the token just read.

TUESDAY. Static variable in class java.util.Calendar

Useful constant for days of week.

TWO_STATE. Static variable in class symantec.itools.awt.StateCheckBox

A style constant indicating that this is a two-state checkbox.

TYPE. Static variable in class java.lang.Boolean

The Class object representing the primitive type boolean.

TYPE. Static variable in class java.lang.Byte

The Class object representing the primitive type byte.

TYPE. Static variable in class java.lang.Character

The Class object representing the primitive type char.

TYPE. Static variable in class java.lang.Double

The Class object representing the primitive type double.

TYPE. Static variable in class java.lang.Float

The Class object representing the primitive type float.

TYPE. Static variable in class java.lang.Integer

The Class object representing the primitive type int.

TYPE. Static variable in class java.lang.Long

The Class object representing the primitive type long.

type. Variable in class symantec.itools.awt.util.ProgressBar

The value of the Bevel Style property.

TYPE. Static variable in class java.lang.Short

The Class object representing the primitive type short.

TYPE. Static variable in class java.lang.Void

The Class object representing the primitive Java type void.

type(). Method in class symantec.itools.db.awt.BasicCell

Gets the type of cell.

type(). Method in class symantec.itools.db.awt.ButtonCell

Gets the type of cell.

type(). Method in interface symantec.itools.db.awt.Data

Gets the value of the type flag to indicate the type of information held by the data object.

type(). Method in class symantec.itools.db.awt.DefaultData

Gets the value of the type flag to indicate the type of information held by the data object.

type(). Method in class symantec.itools.db.awt.ImageStringData

Gets the value of the type flag to indicate the type of information held by the data object.

type(). Method in interface symantec.itools.db.awt.TableCell

Gets the type of cell.

type(int). Method in class symantec.itools.db.awt.BasicCell

Sets the type of cell.

type(int). Method in class symantec.itools.db.awt.ButtonCell

Sets the type of cell.

type(int). Method in interface symantec.itools.db.awt.TableCell

Sets the type of cell.

type(int, int). Method in interface symantec.itools.db.awt.DataSource

Method used to support Defaultdata class.

type(int, int). Method in class symantec.itools.db.awt.DbDataSource

Method used to support Defaultdata class.

type(int, int). Method in class symantec.itools.db.awt.DefaultDataSource

Method used to support Defaultdata class.

typeNoNulls. Static variable in interface java.sql.DatabaseMetaData

TYPE NULLABLE - does not allow NULL values.

TypeNotSupported(). Constructor for class symantec.itools.db.awt.TypeNotSupported

Constructs a default TypeNotSupported exception.

TypeNotSupported(String). Constructor for class symantec.itools.db.awt.TypeNotSupported

Constructs a TypeNotSupported exception with a message.

typeNullable. Static variable in interface java.sql.DatabaseMetaData

TYPE NULLABLE - allows NULL values.

typeNullableUnknown. Static variable in interface java.sql.DatabaseMetaData

TYPE NULLABLE - nullability unknown.

typePredBasic. Static variable in interface java.sql.DatabaseMetaData

TYPE INFO SEARCHABLE - Supported except for WHERE ..

typePredChar. Static variable in interface java.sql.DatabaseMetaData

TYPE INFO SEARCHABLE - Only supported with WHERE ..

typePredNone. Static variable in interface java.sql.DatabaseMetaData

TYPE INFO SEARCHABLE - No support.

typeSearchable. Static variable in interface java.sql.DatabaseMetaData

TYPE INFO SEARCHABLE - Supported for all WHERE ...


Index of all Fields and Methods

_ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

U

UID(). Constructor for class java.rmi.server.UID

Create a pure identifier that is unique with respect to the host on which it is generated.

UID(short). Constructor for class java.rmi.server.UID

Create a "well-known" ID.

UK. Static variable in class java.util.Locale

Useful constant for country.

UNASSIGNED. Static variable in class java.lang.Character

unbind(String). Static method in class java.rmi.Naming

Unbind the name.

unbind(String). Method in interface java.rmi.registry.Registry

Unbind the name.

unBindObj(Object). Method in class symantec.itools.db.pro.RelationView

Removes an object from a binding to a projection within the RelationView.

unBindProj(int). Method in class symantec.itools.db.pro.RelationView

Removes all objects that are bound to a column (projection) within this RelationView.

uncaughtException(Thread, Throwable). Method in class java.lang.ThreadGroup

Called by the Java Virtual Machine when a thread in this thread group stops because of an uncaught exception.

UNDECIMBER. Static variable in class java.util.Calendar

Useful constant for month.

UndefinedProperty. Static variable in class java.awt.Image

The UndefinedProperty object should be returned whenever a property which was not defined for a particular image is fetched.

undeleteRow(int). Method in interface symantec.itools.db.awt.DataSource

Undeletes a row in the data source

undeleteRow(int). Method in class symantec.itools.db.awt.DbaDataStore

Undeletes a row.

undeleteRow(int). Method in class symantec.itools.db.awt.DbDataSource

Undeletes a row in the data source

undeleteRow(int). Method in interface symantec.itools.db.awt.DbDataUpdater

Called by the data source when a row is marked for undeletion.

undeleteRow(int). Method in class symantec.itools.db.awt.DefaultDataSource

Undeletes a row in the data source

undeleteRow(int, TableView). Method in class symantec.itools.db.awt.DefaultTvEventHandler

Helper function called for each selected row if undelete toolbar button is pressed.

undoChanges(). Method in class symantec.itools.db.beans.binding.QueryNavigator

Undoes the changes on the current row.

undoChanges(). Method in class symantec.itools.db.beans.jdbc.RecordDefinition

Undoes the changes to the current row.

undoDataChanges(). Method in class symantec.itools.db.pro.MultiView

Revert all of the data changes throughout the MultiView to the original data that was seen by the user when the MultiView was started.

undoRecord(). Method in class symantec.itools.db.pro.RelationView

Reverts to the original data values of the current Record.

undoRow(int). Method in interface symantec.itools.db.awt.DataSource

Requests that any actions performed on a row be undone.

undoRow(int). Method in class symantec.itools.db.awt.DbaDataStore

Requests that any actions performed on a row be undone.

undoRow(int). Method in class symantec.itools.db.awt.DbDataSource

Requests that any actions performed on a row be undone.

undoRow(int). Method in interface symantec.itools.db.awt.DbDataStore

Requests that any actions performed on a row be undone.

undoRow(int). Method in class symantec.itools.db.awt.DefaultDataSource

Requests that any actions performed on a row be undone.

UNEXPECTED_ERROR_MESSAGE. Static variable in class symantec.itools.db.beans.jdbc.RecordDefinition

Internal use.

UnexpectedException(String). Constructor for class java.rmi.UnexpectedException

Create a new UnexpectedException with a description.

UnexpectedException(String, Exception). Constructor for class java.rmi.UnexpectedException

Create a new UnexpectedException with a description, and detail exception.

unformattedCurrent. Variable in class symantec.itools.awt.FormattedTextField

The valid characters currently in the textfield, with no formatting.

unfreezeRockets(). Method in class symantec.itools.multimedia.Firework

Resume the firework animation.

UnicastRemoteObject(). Constructor for class java.rmi.server.UnicastRemoteObject

Create and export a new UnicastRemoteObject object using an anonymous port.

UNINITIALIZED. Static variable in class java.security.Signature

Possible state value, signifying that this signature object has not yet been initialized.

union(Rectangle). Method in class java.awt.Rectangle

Computes the union of this rectangle with the specified rectangle.

UNIQUE. Static variable in class symantec.itools.db.pro.Request

Optimistic concurrency option setting for resulting RelationView.

UNIQUE_MODIFIED. Static variable in class symantec.itools.db.pro.Request

Default optimistic concurrency option setting for resulting RelationView.

UNIT_DECREMENT. Static variable in class java.awt.event.AdjustmentEvent

The unit decrement adjustment type.

UNIT_INCREMENT. Static variable in class java.awt.event.AdjustmentEvent

The unit increment adjustment type.

UnknownError(). Constructor for class java.lang.UnknownError

Constructs an UnknownError with no detail message.

UnknownError(String). Constructor for class java.lang.UnknownError

Constructs an UnknownError with the specified detail message.

UnknownHostException(). Constructor for class java.net.UnknownHostException

Constructs a new UnknownHostException with no detail message.

UnknownHostException(String). Constructor for class java.net.UnknownHostException

Constructs a new UnknownHostException with the specified detail message.

UnknownHostException(String). Constructor for class java.rmi.UnknownHostException

Create a new UnknownHostException with a description.

UnknownHostException(String, Exception). Constructor for class java.rmi.UnknownHostException

Create a new UnknownHostException with a description and detail exception.

UnknownServiceException(). Constructor for class java.net.UnknownServiceException

Constructs a new UnknownServiceException with no detail message.

UnknownServiceException(String). Constructor for class java.net.UnknownServiceException

Constructs a new UnknownServiceException with the specified detail message.

UnmarshalException(String). Constructor for class java.rmi.UnmarshalException

Create a new marshal exception with a descriptive string.

UnmarshalException(String, Exception). Constructor for class java.rmi.UnmarshalException

Create a new marshal exception with a descriptive string and an exception.

unread(byte[]). Method in class java.io.PushbackInputStream

Pushes back an array of bytes by copying it to the front of the pushback buffer.

unread(byte[], int, int). Method in class java.io.PushbackInputStream

Pushes back a portion of an array of bytes by copying it to the front of the pushback buffer.

unread(char[]). Method in class java.io.PushbackReader

Push back an array of characters by copying it to the front of the pushback buffer.

unread(char[], int, int). Method in class java.io.PushbackReader

Push back a portion of an array of characters by copying it to the front of the pushback buffer.

unread(int). Method in class java.io.PushbackInputStream

Pushes back a byte by copying it to the front of the pushback buffer.

unread(int). Method in class java.io.PushbackReader

Push back a single character.

unreferenced(). Method in interface java.rmi.server.Unreferenced

Called when there are no current references to this remote object.

UnsatisfiedLinkError(). Constructor for class java.lang.UnsatisfiedLinkError

Constructs an UnsatisfiedLinkError with no detail message.

UnsatisfiedLinkError(String). Constructor for class java.lang.UnsatisfiedLinkError

Constructs an UnsatisfiedLinkError with the specified detail message.

UnsupportedEncodingException(). Constructor for class java.io.UnsupportedEncodingException

no detailed message

UnsupportedEncodingException(String). Constructor for class java.io.UnsupportedEncodingException

detailed message

UnsupportedFlavorException(DataFlavor). Constructor for class java.awt.datatransfer.UnsupportedFlavorException

Constructs an UnsupportedFlavorException.

UP. Static variable in class symantec.itools.awt.DirectionButton

The point UP style constant.

UP. Static variable in class java.awt.Event

The Up Arrow key, a non-ASCII action key.

UPDATE. Static variable in class java.awt.event.PaintEvent

The update event type.

update(byte). Method in class java.security.MessageDigest

Updates the digest using the specified byte.

update(byte). Method in class java.security.Signature

Updates the data to be signed or verified by a byte.

update(byte[]). Method in class java.util.zip.Adler32

Updates checksum with specified array of bytes.

update(byte[]). Method in class java.util.zip.CRC32

Updates CRC-32 with specified array of bytes.

update(byte[]). Method in class java.security.MessageDigest

Updates the digest using the specified array of bytes.

update(byte[]). Method in class java.security.Signature

Updates the data to be signed or verified, using the specified array of bytes.

update(byte[], int, int). Method in class java.util.zip.Adler32

Updates checksum with specified array of bytes.

update(byte[], int, int). Method in interface java.util.zip.Checksum

Updates the current checksum with the specified array of bytes.

update(byte[], int, int). Method in class java.util.zip.CRC32

Updates CRC-32 with specified array of bytes.

update(byte[], int, int). Method in class java.security.MessageDigest

Updates the digest using the specified array of bytes, starting at the specified offset.

update(byte[], int, int). Method in class java.security.Signature

Updates the data to be signed or verified, using the specified array of bytes, starting at the specified offset.

update(DataItem). Method in class symantec.itools.db.beans.binding.Mediator

Updates the all the values displayed in the output component.

update(DataItem). Method in class symantec.itools.db.beans.binding.MediatorDS

Updates the values contained in the QueryNavigator if they are different from those in the DataItem.

update(DataItem, int, int). Method in class symantec.itools.db.beans.binding.Mediator

Updates the values displayed in the specified column of the output component.

update(DataItem, int[], int, int). Method in class symantec.itools.db.beans.binding.Mediator

Updates the values displayed the specified row or column of the output component.

update(Graphics). Method in class symantec.itools.multimedia.Animator

Handles redrawing of this component on the screen.

update(Graphics). Method in class symantec.itools.awt.BorderPanel

Handles redrawing of this component on the screen.

update(Graphics). Method in class symantec.itools.awt.ButtonBase

Handles redrawing of this component on the screen.

update(Graphics). Method in class symantec.itools.awt.util.Calendar

Handles redrawing of this component on the screen.

update(Graphics). Method in class java.awt.Component

Updates this component.

update(Graphics). Method in class java.awt.Container

Updates the container.

update(Graphics). Method in class symantec.itools.db.awt.Grid

Handles redrawing of this component on the screen.

update(Graphics). Method in class symantec.itools.awt.ImageListBox

Handles redrawing of this component on the screen.

update(Graphics). Method in class symantec.itools.awt.MultiList

Handles redrawing of this component on the screen.

update(Graphics). Method in class symantec.itools.multimedia.Plasma

Handles redrawing of this component on the screen.

update(Graphics). Method in class symantec.itools.awt.util.ProgressBar

Handles redrawing of this component on the screen.

update(Graphics). Method in class symantec.itools.awt.RollOverButton

Handles redrawing of this component on the screen.

update(Graphics). Method in class symantec.itools.multimedia.ScrollingText

Handles redrawing of this component on the screen.

update(Graphics). Method in class symantec.itools.awt.SplitterPanel

Handles redrawing of this component on the screen.

update(Graphics). Method in class symantec.itools.awt.TreeView

Handles redrawing of this component on the screen.

update(int). Method in class java.util.zip.Adler32

Updates checksum with specified byte.

update(int). Method in interface java.util.zip.Checksum

Updates the current checksum with the specified byte.

update(int). Method in class java.util.zip.CRC32

Updates CRC-32 with specified byte.

update(int, int, Data). Method in class symantec.itools.db.awt.DbaDataStore

Sets a new value in the specified position.

update(int, int, Data). Method in interface symantec.itools.db.awt.DbDataStore

Sets a new value in a result set position.

update(Observable, Object). Method in interface java.util.Observer

This method is called whenever the observed object is changed.

UPDATE_SQL. Static variable in class symantec.itools.db.beans.jdbc.RecordDefinition

Internal constant.

updateBevelColors(Color). Method in class symantec.itools.awt.shape.Shape

Used to calculate the colors for the different bevel styles.

updateBufferImage(). Method in class symantec.itools.awt.util.ProgressBar

Maintains the bufferImage size and draws the button in the bufferImage offscreen image.

updateButtonImage(). Method in class symantec.itools.awt.ButtonBase

Maintains the buttonImage size and draws the button in the buttonImage offscreen image.

updateButtonImage(). Method in class symantec.itools.awt.DirectionButton

Maintains the buttonImage size and draws the button in the buttonImage offscreen image.

updateButtonImage(). Method in class symantec.itools.awt.ImageButton

Draws the button in the buttonImage offscreen image.

updateButtonImage(). Method in class symantec.itools.awt.LabelButton

Draws the button in the buttonImage offscreen image.

updateButtonsState(). Method in class symantec.itools.awt.Wizard

Sets a default status for the Previous, Next and Finish buttons.

updateButtonsState(). Method in interface symantec.itools.awt.WizardInterface

Sets a default status for the Previous, Next and Finish buttons.

updateButtonStatus(). Method in class symantec.itools.awt.util.spinner.ListSpinner

Handles enabling or disabling the spinner buttons as needed.

updateButtonStatus(). Method in class symantec.itools.awt.util.spinner.Spinner

Handles enabling or disabling the spinner buttons as needed.

updateCurrentMessage(boolean). Method in class symantec.itools.multimedia.ScrollingText

Move to next message in message list.

updateDirection(Point). Method in class symantec.itools.awt.InfoTipPanel

Utility method for drawNextFrame.

updateElement(int, int, Object). Method in class symantec.itools.awt.Matrix

Adds or updates the element at the specified row and column, as needed.

updateInternalMax(). Method in class symantec.itools.awt.util.spinner.ListSpinner

Keeps track of the maximum value the list is allowed to go to.

updateMaxNumChars(). Method in class symantec.itools.awt.ComboBox

Used to calculate the preferred size of the text field to determine overall preferred size.

updatePanelLabels(). Method in class symantec.itools.awt.TabPanel

This routine re-sets all the tab labels using the latest string array provided in setPanelLabels().

updateProgress(int). Method in class symantec.itools.awt.util.ProgressBar

updateText(boolean). Method in class symantec.itools.awt.util.spinner.ListSpinner

Updates the text field with the current text, as needed or depending on the force flag.

updateText(boolean). Method in class symantec.itools.awt.util.spinner.Spinner

Updates the text field with the current text, as needed or depending on the force flag.

updateWorkingBuffer(). Method in class symantec.itools.awt.util.StatusScroller

Updates the string buffer depending on the current settings.

UPPERCASE_LETTER. Static variable in class java.lang.Character

url. Variable in class symantec.itools.awt.ImageHTMLLink

url. Variable in class symantec.itools.multimedia.ImageViewer

URL of the image being displayed.

url. Variable in class symantec.itools.awt.InvisibleHTMLLink

The URL of the document to show when the button is clicked.

url. Variable in class symantec.itools.awt.LabelHTMLLink

url. Variable in class java.net.URLConnection

The URL represents the remote object on the World Wide Web to which this connection is opened.

URL(String). Constructor for class java.net.URL

Creates a URL object from the String representation.

URL(String, String, int, String). Constructor for class java.net.URL

Creates a URL object from the specified protocol, host, port number, and file.

URL(String, String, String). Constructor for class java.net.URL

Creates an absolute URL from the specified protocol name, host name, and file name.

URL(URL, String). Constructor for class java.net.URL

Creates a URL by parsing the specification spec within a specified context.

URLConnection(URL). Constructor for class java.net.URLConnection

Constructs a URL connection to the specified URL.

urlList. Variable in class symantec.itools.multimedia.SlideShow

The URLs of the images to display.

URLStreamHandler(). Constructor for class java.net.URLStreamHandler

US. Static variable in class java.util.Locale

Useful constant for country.

use3dBdr. Variable in class symantec.itools.awt.SplitterPanel

This flag specifies how to draw the border around panels.

useCaches. Variable in class java.net.URLConnection

If true, the protocol is allowed to use caching whenever it can.

useDaylightTime(). Method in class java.util.SimpleTimeZone

Overrides TimeZone Queries if this time zone uses Daylight Savings Time.

useDaylightTime(). Method in class java.util.TimeZone

Queries if this time zone uses Daylight Savings Time.

useOffset. Variable in class symantec.itools.awt.ButtonBase

If true set pressedAdjustment accordingly, else, it is always 0.

USER_TYPE. Static variable in interface symantec.itools.db.awt.Data

Based type value for subclasses to define their own types of data.

usesLocalFilePerTable(). Method in interface java.sql.DatabaseMetaData

Does the database use a file for each table?

usesLocalFilePerTable(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if the database stores each table in a separate local file.

usesLocalFiles(). Method in interface java.sql.DatabaseMetaData

Does the database store tables in a local file?

usesLocalFiles(). Method in class symantec.itools.db.pro.SessionMetaData

Determines if the database stores tables in a local file.

usesShiftModifier(). Method in class java.awt.MenuShortcut

Return whether this MenuShortcut must be invoked using the SHIFT key.

usingProxy(). Method in class java.net.HttpURLConnection

Indicates if the connection is going through a proxy.

USLongDistPhoneNumber(). Constructor for class symantec.itools.awt.util.edit.USLongDistPhoneNumber

Create US long distance phone number text field.

USLongDistPhoneNumberBeanInfo(). Constructor for class symantec.itools.awt.util.edit.USLongDistPhoneNumberBeanInfo

Constructs a USLongDistPhoneNumberBeanInfo object.

USPhoneMask(). Constructor for class symantec.itools.db.awt.USPhoneMask

Constructs a long zip code field.

UTC(int, int, int, int, int, int). Static method in class java.util.Date

Determines the date and time based on the arguments.

UTFDataFormatException(). Constructor for class java.io.UTFDataFormatException

Constructs a UTFDataFormatException with no detail message.

UTFDataFormatException(String). Constructor for class java.io.UTFDataFormatException

Constructs a UTFDataFormatException with the specified detail message.

Util(). Constructor for class symantec.itools.awt.util.Util

Do not use, all-static class.


Index of all Fields and Methods

_ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

V

v. Variable in class symantec.itools.awt.TreeView

v is vector of viewable nodes

valid(). Method in class java.io.FileDescriptor

Tests if this file descriptor object is valid.

validate(). Method in class symantec.itools.awt.ButtonBase

Ensures that this component is laid out properly, as needed.

validate(). Method in class symantec.itools.awt.ComboBox

Validates this container and all of its subcomponents.

validate(). Method in class java.awt.Component

Ensures that this component has a valid layout.

validate(). Method in class java.awt.Container

Validates this container and all of its subcomponents.

validate(). Method in class symantec.itools.awt.RollOverButton

Ensures that this component is laid out properly, as needed.

validate(). Method in class symantec.itools.multimedia.ScrollingText

Ensures that this component is laid out properly, as needed.

validateObject(). Method in class symantec.itools.db.beans.jdbc.JdbcConnection

Implements the ObjectInputValidation interface.

validateObject(). Method in interface java.io.ObjectInputValidation

Validates the object

validateOffScreenBuffers(). Method in class symantec.itools.awt.InfoTipPanel

Utility method of run This method checks to see whether the off screen images necessary for the animation already exist, and if so that they are of the correct size.

validatePage(Component, Component, int). Method in class symantec.itools.awt.SimpleWizardController

Try to validate a page.

validatePage(Component, Component, int). Method in interface symantec.itools.awt.WizardController

Try to validate a page.

validateTree(). Method in class java.awt.Container

Recursively descends the container tree and recomputes the layout for any subtrees marked as needing it (those marked as invalid).

validChar(String, int, char). Method in class symantec.itools.awt.FormattedTextField

Returns the next valid character in the input string.

validDataRowRange(int, int). Method in interface symantec.itools.db.awt.DataSource

Gets the last row valid in requested range

validDataRowRange(int, int). Method in class symantec.itools.db.awt.DbaDataStore

Gets the last row that exists within the specified range.

validDataRowRange(int, int). Method in class symantec.itools.db.awt.DbDataSource

Gets the last row valid in requested range

validDataRowRange(int, int). Method in interface symantec.itools.db.awt.DbDataStore

Gets the last row that exists within the specified range.

validDataRowRange(int, int). Method in class symantec.itools.db.awt.DefaultDataSource

Gets the last row valid in requested range

validIndex(int). Method in class symantec.itools.awt.ImageListBox

Determines if the given index is valid.

VALIGN_BIT. Static variable in class symantec.itools.db.awt.CellHints

Bit position constant for valid "vertical alignment" value flag.

vAlignment(). Method in class symantec.itools.db.awt.CellHints

Gets this CellHint's "vertical alignment" value.

vAlignStyle. Variable in class symantec.itools.awt.LabelButton

The text vertical alignment style.

value. Variable in class java.sql.DriverPropertyInfo

"value" specifies the current value of the property, based on a combination of the information supplied to getPropertyInfo, the Java environment, and driver supplied default values.

valueOf(boolean). Static method in class java.lang.String

Returns the string representation of the boolean argument.

valueOf(char). Static method in class java.lang.String

Returns the string representation of the char * argument.

valueOf(char[]). Static method in class java.lang.String

Returns the string representation of the char array argument.

valueOf(char[], int, int). Static method in class java.lang.String

Returns the string representation of a specific subarray of the char array argument.

valueOf(double). Static method in class java.lang.String

Returns the string representation of the double argument.

valueOf(float). Static method in class java.lang.String

Returns the string representation of the float argument.

valueOf(int). Static method in class java.lang.String

Returns the string representation of the int argument.

valueOf(long). Static method in class java.math.BigDecimal

Returns a BigDecimal with the given value and a scale of zero.

valueOf(long). Static method in class java.math.BigInteger

Returns a BigInteger with the specified value.

valueOf(long). Static method in class java.lang.String

Returns the string representation of the long argument.

valueOf(long, int). Static method in class java.math.BigDecimal

Returns a BigDecimal with a value of (val/10**scale).

valueOf(Object). Static method in class java.lang.String

Returns the string representation of the Object argument.

valueOf(String). Static method in class java.lang.Boolean

Returns the boolean value represented by the specified String.

valueOf(String). Static method in class java.lang.Byte

Assuming the specified String represents a byte, returns a new Byte object initialized to that value.

valueOf(String). Static method in class java.sql.Date

Convert a string in JDBC date escape format to a Date value

valueOf(String). Static method in class java.lang.Double

Returns a new Double value initialized to the value represented by the specified String.

valueOf(String). Static method in class java.lang.Float

Returns the floating point value represented by the specified String.

valueOf(String). Static method in class java.lang.Integer

Returns a new Integer object initialized to the value of the specified String.

valueOf(String). Static method in class java.lang.Long

Returns a new long object initialized to the value of the specified String.

valueOf(String). Static method in class java.lang.Short

Assuming the specified String represents a short, returns a new Short object initialized to that value.

valueOf(String). Static method in class java.sql.Time

Convert a string in JDBC time escape format to a Time value

valueOf(String). Static method in class java.sql.Timestamp

Convert a string in JDBC timestamp escape format to a Timestamp value

valueOf(String, int). Static method in class java.lang.Byte

Assuming the specified String represents a byte, returns a new Byte object initialized to that value.

valueOf(String, int). Static method in class java.lang.Integer

Returns a new Integer object initialized to the value of the specified String.

valueOf(String, int). Static method in class java.lang.Long

Returns a new long object initialized to the value of the specified String.

valueOf(String, int). Static method in class java.lang.Short

Assuming the specified String represents a short, returns a new Short object initialized to that value.

VARBINARY. Static variable in class java.sql.Types

VARCHAR. Static variable in class java.sql.Types

VBar. Variable in class symantec.itools.awt.ImageListBox

The vertical scroll bar.

Vector(). Constructor for class java.util.Vector

Constructs an empty vector.

Vector(int). Constructor for class java.util.Vector

Constructs an empty vector with the specified initial capacity.

Vector(int, int). Constructor for class java.util.Vector

Constructs an empty vector with the specified initial capacity and capacity increment.

vectorize(TreeNode, boolean, boolean, Vector). Method in class symantec.itools.awt.TreeView

Internal helper method.

VERBOSE. Static variable in class java.rmi.server.LogStream

VERIFY. Static variable in class java.security.Signature

Possible state value, signifying that this signature object has been initialized for verification.

verify(). Method in class symantec.itools.awt.ComboBox

Verify that at least one list item starts with the edit field's text.

verify(byte[]). Method in class java.security.Signature

Verifies the passed-in signature.

verifyContstrainedPropertyValues(). Method in class symantec.itools.awt.ButtonBase

Called after addNotify to set the internally constrined properties to their temporary values to validate them now that the component has been added to the form.

verifyContstrainedPropertyValues(). Method in class symantec.itools.awt.DirectionButton

Called after addNotify to set the internally constrined properties to their temporary values to validate them now that the component has been added to the form.

verifyContstrainedPropertyValues(). Method in class symantec.itools.awt.Slider

Called after addNotify to set the internally constrined properties to their temporary values to validate them now that the component has been added to the form.

VerifyError(). Constructor for class java.lang.VerifyError

Constructs an VerifyError with no detail message.

VerifyError(String). Constructor for class java.lang.VerifyError

Constructs an VerifyError with the specified detail message.

versionColumnNotPseudo. Static variable in interface java.sql.DatabaseMetaData

VERSION COLUMNS PSEUDO_COLUMN - is NOT a pseudo column.

versionColumnPseudo. Static variable in interface java.sql.DatabaseMetaData

VERSION COLUMNS PSEUDO_COLUMN - is a pseudo column.

versionColumnUnknown. Static variable in interface java.sql.DatabaseMetaData

VERSION COLUMNS PSEUDO_COLUMN - may or may not be pseudo column.

VERTICAL. Static variable in interface java.awt.Adjustable

The vertical orientation.

VERTICAL. Static variable in class java.awt.GridBagConstraints

Resize the component vertically but not horizontally.

VERTICAL. Static variable in class java.awt.Scrollbar

A constant that indicates a vertical scroll bar.

VERTICAL. Static variable in class symantec.itools.awt.util.ToolBarPanel

The constant to use to have a vertically oriented toolbar.

VerticalLine(). Constructor for class symantec.itools.awt.shape.VerticalLine

Constructs a default VerticalLine.

VerticalLineBeanInfo(). Constructor for class symantec.itools.awt.shape.VerticalLineBeanInfo

Constructs a VerticalLineBeanInfo object.

verticalScrollbar. Variable in class symantec.itools.awt.MultiList

The vertical scrollbar.

verticalScrollBar. Variable in class symantec.itools.awt.TreeView

The vertical scrollbar.

verticalScrollbarWidth. Variable in class symantec.itools.awt.MultiList

The width of the vertical scrollbar.

VerticalSlider(). Constructor for class symantec.itools.awt.VerticalSlider

Constructs a default VerticalSlider.

VerticalSliderBeanInfo(). Constructor for class symantec.itools.awt.VerticalSliderBeanInfo

Constructs a VerticalSliderBeanInfo object.

VerticalSpinButtonPanel(). Constructor for class symantec.itools.awt.util.spinner.VerticalSpinButtonPanel

Constructs the default VerticalSpinButtonPanel.

vetoableChange(PropertyChangeEvent). Method in interface java.beans.VetoableChangeListener

This method gets called when a constrained property is changed.

VetoableChangeSupport(Object). Constructor for class java.beans.VetoableChangeSupport

VetoableChangeSupport(Object). Constructor for class symantec.itools.beans.VetoableChangeSupport

Constructs a VetoableChangeSupport object.

vetos. Variable in class symantec.itools.awt.shape.Shape

Handles tracking vetoable change listeners and notifying them of each change to this component's properties.

vetos. Variable in class symantec.itools.awt.util.spinner.Spinner

Tracks listeners for all vetoable property change events.

vetos. Variable in class symantec.itools.awt.StateCheckBox

Handles tracking vetoable change listeners and notifying them of each change to this component's properties.

view. Variable in class symantec.itools.db.awt.DefaultTvEventHandler

The TableView this DefaultTvEventHandler handles events for.

viewCount. Variable in class symantec.itools.awt.TreeView

Number of viewable nodes in the tree.

viewHeight. Variable in class symantec.itools.awt.TreeView

pixel size of tree display

viewWidest. Variable in class symantec.itools.awt.TreeView

widest item displayable (for horz scroll)

viewWidth. Variable in class symantec.itools.awt.TreeView

pixel size of tree display

VirtualMachineError(). Constructor for class java.lang.VirtualMachineError

Constructs a VirtualMachineError with no detail message.

VirtualMachineError(String). Constructor for class java.lang.VirtualMachineError

Constructs a VirtualMachineError with the specified detail message.

visibleCols. Variable in class symantec.itools.awt.ImageListBox

The number of currently visible columns in this list.

visibleIndex. Variable in class symantec.itools.awt.ImageListBox

The zero-relative index of the first visible list item.

visibleRows. Variable in class symantec.itools.awt.ImageListBox

The number of currently visible lines in this list.

VK_0. Static variable in class java.awt.event.KeyEvent

VK_0 thru VK_9 are the same as ASCII '0' thru '9' (0x30 - 0x39)

VK_1. Static variable in class java.awt.event.KeyEvent

VK_2. Static variable in class java.awt.event.KeyEvent

VK_3. Static variable in class java.awt.event.KeyEvent

VK_4. Static variable in class java.awt.event.KeyEvent

VK_5. Static variable in class java.awt.event.KeyEvent

VK_6. Static variable in class java.awt.event.KeyEvent

VK_7. Static variable in class java.awt.event.KeyEvent

VK_8. Static variable in class java.awt.event.KeyEvent

VK_9. Static variable in class java.awt.event.KeyEvent

VK_A. Static variable in class java.awt.event.KeyEvent

VK_A thru VK_Z are the same as ASCII 'A' thru 'Z' (0x41 - 0x5A)

VK_ACCEPT. Static variable in class java.awt.event.KeyEvent

VK_ADD. Static variable in class java.awt.event.KeyEvent

VK_ALT. Static variable in class java.awt.event.KeyEvent

VK_B. Static variable in class java.awt.event.KeyEvent

VK_BACK_QUOTE. Static variable in class java.awt.event.KeyEvent

VK_BACK_SLASH. Static variable in class java.awt.event.KeyEvent

VK_BACK_SPACE. Static variable in class java.awt.event.KeyEvent

VK_C. Static variable in class java.awt.event.KeyEvent

VK_CANCEL. Static variable in class java.awt.event.KeyEvent

VK_CAPS_LOCK. Static variable in class java.awt.event.KeyEvent

VK_CLEAR. Static variable in class java.awt.event.KeyEvent

VK_CLOSE_BRACKET. Static variable in class java.awt.event.KeyEvent

VK_COMMA. Static variable in class java.awt.event.KeyEvent

VK_CONTROL. Static variable in class java.awt.event.KeyEvent

VK_CONVERT. Static variable in class java.awt.event.KeyEvent

VK_D. Static variable in class java.awt.event.KeyEvent

VK_DECIMAL. Static variable in class java.awt.event.KeyEvent

VK_DELETE. Static variable in class java.awt.event.KeyEvent

VK_DIVIDE. Static variable in class java.awt.event.KeyEvent

VK_DOWN. Static variable in class java.awt.event.KeyEvent

VK_E. Static variable in class java.awt.event.KeyEvent

VK_END. Static variable in class java.awt.event.KeyEvent

VK_ENTER. Static variable in class java.awt.event.KeyEvent

Virtual key codes.

VK_EQUALS. Static variable in class java.awt.event.KeyEvent

VK_ESCAPE. Static variable in class java.awt.event.KeyEvent

VK_F. Static variable in class java.awt.event.KeyEvent

VK_F1. Static variable in class java.awt.event.KeyEvent

VK_F10. Static variable in class java.awt.event.KeyEvent

VK_F11. Static variable in class java.awt.event.KeyEvent

VK_F12. Static variable in class java.awt.event.KeyEvent

VK_F2. Static variable in class java.awt.event.KeyEvent

VK_F3. Static variable in class java.awt.event.KeyEvent

VK_F4. Static variable in class java.awt.event.KeyEvent

VK_F5. Static variable in class java.awt.event.KeyEvent

VK_F6. Static variable in class java.awt.event.KeyEvent

VK_F7. Static variable in class java.awt.event.KeyEvent

VK_F8. Static variable in class java.awt.event.KeyEvent

VK_F9. Static variable in class java.awt.event.KeyEvent

VK_FINAL. Static variable in class java.awt.event.KeyEvent

for Asian Keyboard

VK_G. Static variable in class java.awt.event.KeyEvent

VK_H. Static variable in class java.awt.event.KeyEvent

VK_HELP. Static variable in class java.awt.event.KeyEvent

VK_HOME. Static variable in class java.awt.event.KeyEvent

VK_I. Static variable in class java.awt.event.KeyEvent

VK_INSERT. Static variable in class java.awt.event.KeyEvent

VK_J. Static variable in class java.awt.event.KeyEvent

VK_K. Static variable in class java.awt.event.KeyEvent

VK_KANA. Static variable in class java.awt.event.KeyEvent

VK_KANJI. Static variable in class java.awt.event.KeyEvent

VK_L. Static variable in class java.awt.event.KeyEvent

VK_LEFT. Static variable in class java.awt.event.KeyEvent

VK_M. Static variable in class java.awt.event.KeyEvent

VK_META. Static variable in class java.awt.event.KeyEvent

VK_MODECHANGE. Static variable in class java.awt.event.KeyEvent

VK_MULTIPLY. Static variable in class java.awt.event.KeyEvent

VK_N. Static variable in class java.awt.event.KeyEvent

VK_NONCONVERT. Static variable in class java.awt.event.KeyEvent

VK_NUM_LOCK. Static variable in class java.awt.event.KeyEvent

VK_NUMPAD0. Static variable in class java.awt.event.KeyEvent

VK_NUMPAD1. Static variable in class java.awt.event.KeyEvent

VK_NUMPAD2. Static variable in class java.awt.event.KeyEvent

VK_NUMPAD3. Static variable in class java.awt.event.KeyEvent

VK_NUMPAD4. Static variable in class java.awt.event.KeyEvent

VK_NUMPAD5. Static variable in class java.awt.event.KeyEvent

VK_NUMPAD6. Static variable in class java.awt.event.KeyEvent

VK_NUMPAD7. Static variable in class java.awt.event.KeyEvent

VK_NUMPAD8. Static variable in class java.awt.event.KeyEvent

VK_NUMPAD9. Static variable in class java.awt.event.KeyEvent

VK_O. Static variable in class java.awt.event.KeyEvent

VK_OPEN_BRACKET. Static variable in class java.awt.event.KeyEvent

VK_P. Static variable in class java.awt.event.KeyEvent

VK_PAGE_DOWN. Static variable in class java.awt.event.KeyEvent

VK_PAGE_UP. Static variable in class java.awt.event.KeyEvent

VK_PAUSE. Static variable in class java.awt.event.KeyEvent

VK_PERIOD. Static variable in class java.awt.event.KeyEvent

VK_PRINTSCREEN. Static variable in class java.awt.event.KeyEvent

VK_Q. Static variable in class java.awt.event.KeyEvent

VK_QUOTE. Static variable in class java.awt.event.KeyEvent

VK_R. Static variable in class java.awt.event.KeyEvent

VK_RIGHT. Static variable in class java.awt.event.KeyEvent

VK_S. Static variable in class java.awt.event.KeyEvent

VK_SCROLL_LOCK. Static variable in class java.awt.event.KeyEvent

VK_SEMICOLON. Static variable in class java.awt.event.KeyEvent

VK_SEPARATER. Static variable in class java.awt.event.KeyEvent

VK_SHIFT. Static variable in class java.awt.event.KeyEvent

VK_SLASH. Static variable in class java.awt.event.KeyEvent

VK_SPACE. Static variable in class java.awt.event.KeyEvent

VK_SUBTRACT. Static variable in class java.awt.event.KeyEvent

VK_T. Static variable in class java.awt.event.KeyEvent

VK_TAB. Static variable in class java.awt.event.KeyEvent

VK_U. Static variable in class java.awt.event.KeyEvent

VK_UNDEFINED. Static variable in class java.awt.event.KeyEvent

KEY_TYPED events do not have a defined keyCode.

VK_UP. Static variable in class java.awt.event.KeyEvent

VK_V. Static variable in class java.awt.event.KeyEvent

VK_W. Static variable in class java.awt.event.KeyEvent

VK_X. Static variable in class java.awt.event.KeyEvent

VK_Y. Static variable in class java.awt.event.KeyEvent

VK_Z. Static variable in class java.awt.event.KeyEvent

vLabels. Variable in class symantec.itools.awt.BaseTabbedPanel

A Vector of tab label Strings.

VMID(). Constructor for class java.rmi.dgc.VMID

Create a new VMID.

VOLATILE. Static variable in class java.lang.reflect.Modifier

vPad. Variable in class symantec.itools.awt.ComboBox

The distance between the edit text box and the drop down list.

vPolys. Variable in class symantec.itools.awt.BaseTabbedPanel

A Vector of Polygons, one for each tab.


Index of all Fields and Methods

_ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

W

W_RESIZE_CURSOR. Static variable in class java.awt.Cursor

The west-resize cursor type.

W_RESIZE_CURSOR. Static variable in class java.awt.Frame

wait(). Method in class java.lang.Object

Waits to be notified by another thread of a change in this object.

wait(long). Method in class java.lang.Object

Waits to be notified by another thread of a change in this object.

wait(long, int). Method in class java.lang.Object

Waits to be notified by another thread of a change in this object.

WAIT_CURSOR. Static variable in class java.awt.Cursor

The wait cursor type.

WAIT_CURSOR. Static variable in class java.awt.Frame

waitFor(). Method in class java.lang.Process

Waits for the subprocess to complete.

waitForAll(). Method in class java.awt.MediaTracker

Starts loading all images tracked by this media tracker.

waitForAll(long). Method in class java.awt.MediaTracker

Starts loading all images tracked by this media tracker.

waitForID(int). Method in class java.awt.MediaTracker

Starts loading all images tracked by this media tracker with the specified identifier.

waitForID(int, long). Method in class java.awt.MediaTracker

Starts loading all images tracked by this media tracker with the specified identifier.

WAITING_TO_SCROLL_IN. Static variable in class symantec.itools.awt.InfoTipPanel

Defines the "waiting to scroll in" scroll state.

wasMouseOverText. Variable in class symantec.itools.multimedia.ScrollingText

Status of mouse position.

wasNull(). Method in interface java.sql.CallableStatement

An OUT parameter may have the value of SQL NULL; wasNull reports whether the last value read has this special value.

wasNull(). Method in interface java.sql.ResultSet

A column may have the value of SQL NULL; wasNull reports whether the last column read had this special value.

wasStatusMessage. Variable in class symantec.itools.multimedia.ScrollingText

Previous status message.

wblength. Variable in class symantec.itools.awt.util.StatusScroller

Working buffer length, in characters.

WEDNESDAY. Static variable in class java.util.Calendar

Useful constant for days of week.

WEEK_OF_MONTH. Static variable in class java.util.Calendar

Useful constant for date and time.

WEEK_OF_MONTH_FIELD. Static variable in class java.text.DateFormat

Useful constant for WEEK_OF_MONTH field alignment.

WEEK_OF_YEAR. Static variable in class java.util.Calendar

Useful constant for date and time.

WEEK_OF_YEAR_FIELD. Static variable in class java.text.DateFormat

Useful constant for WEEK_OF_YEAR field alignment.

weightx. Variable in class java.awt.GridBagConstraints

Specifies how to distribute extra horizontal space.

weighty. Variable in class java.awt.GridBagConstraints

Specifies how to distribute extra vertical space.

WEST. Static variable in class java.awt.BorderLayout

The west layout constraint (right side of container).

WEST. Static variable in class java.awt.GridBagConstraints

Put the component on the left side of its display area, centered vertically.

when. Variable in class java.awt.Event

The time stamp.

white. Static variable in class java.awt.Color

The color white.

whitespaceChars(int, int). Method in class java.io.StreamTokenizer

Specifies that all characters c in the range low <= c <= high are white space characters.

width. Variable in class java.awt.Dimension

The width dimension.

WIDTH. Static variable in interface java.awt.image.ImageObserver

The width of the base image is now available and can be taken from the width argument to the imageUpdate callback method.

width. Variable in class java.awt.Rectangle

The width of the rectangle.

width. Variable in class symantec.itools.awt.shape.Shape

Width of this shape.

width. Variable in class symantec.itools.awt.Slider

The current component width.

widthHeightRatio. Variable in class symantec.itools.awt.util.spinner.VerticalSpinButtonPanel

The ratio of width to height of the spinner buttons.

widthOnly. Variable in class symantec.itools.awt.SplitterPanel

Internal flag indicating a reshape in width only.

window. Static variable in class java.awt.SystemColor

The background color for windows.

WINDOW. Static variable in class java.awt.SystemColor

The array index for the window background color.

Window(Frame). Constructor for class java.awt.Window

Constructs a new invisible window.

WINDOW_ACTIVATED. Static variable in class java.awt.event.WindowEvent

The window activated event type.

WINDOW_BORDER. Static variable in class java.awt.SystemColor

The array index for the window border color.

WINDOW_CLOSED. Static variable in class java.awt.event.WindowEvent

The window closed event type.

WINDOW_CLOSING. Static variable in class java.awt.event.WindowEvent

The window closing event type.

WINDOW_DEACTIVATED. Static variable in class java.awt.event.WindowEvent

The window deactivated event type.

WINDOW_DEICONIFIED. Static variable in class java.awt.event.WindowEvent

The window deiconified event type.

WINDOW_DEICONIFY. Static variable in class java.awt.Event

The user has asked the window manager to de-iconify the window.

WINDOW_DESTROY. Static variable in class java.awt.Event

The user has asked the window manager to kill the window.

WINDOW_EVENT_MASK. Static variable in class java.awt.AWTEvent

The event mask for selecting window events.

WINDOW_EXPOSE. Static variable in class java.awt.Event

The user has asked the window manager to expose the window.

WINDOW_FIRST. Static variable in class java.awt.event.WindowEvent

Marks the first integer id for the range of window event ids.

WINDOW_ICONIFIED. Static variable in class java.awt.event.WindowEvent

The window iconified event type.

WINDOW_ICONIFY. Static variable in class java.awt.Event

The user has asked the window manager to iconify the window.

WINDOW_LAST. Static variable in class java.awt.event.WindowEvent

Marks the last integer id for the range of window event ids.

WINDOW_MOVED. Static variable in class java.awt.Event

The user has asked the window manager to move the window.

WINDOW_OPENED. Static variable in class java.awt.event.WindowEvent

The window opened event type.

WINDOW_TEXT. Static variable in class java.awt.SystemColor

The array index for the window text color.

windowActivated(WindowEvent). Method in class java.awt.AWTEventMulticaster

Handles the windowActivated event by invoking the windowActivated methods on listener-a and listener-b.

windowActivated(WindowEvent). Method in class java.awt.event.WindowAdapter

windowActivated(WindowEvent). Method in interface java.awt.event.WindowListener

Invoked when a window is activated.

WindowAdapter(). Constructor for class java.awt.event.WindowAdapter

windowBorder. Static variable in class java.awt.SystemColor

The border color for windows.

windowClosed(WindowEvent). Method in class java.awt.AWTEventMulticaster

Handles the windowClosed event by invoking the windowClosed methods on listener-a and listener-b.

windowClosed(WindowEvent). Method in class java.awt.event.WindowAdapter

windowClosed(WindowEvent). Method in interface java.awt.event.WindowListener

Invoked when a window has been closed.

windowClosing(WindowEvent). Method in class java.awt.AWTEventMulticaster

Handles the windowClosing event by invoking the windowClosing methods on listener-a and listener-b.

windowClosing(WindowEvent). Method in class java.awt.event.WindowAdapter

windowClosing(WindowEvent). Method in interface java.awt.event.WindowListener

Invoked when a window is in the process of being closed.

windowDeactivated(WindowEvent). Method in class java.awt.AWTEventMulticaster

Handles the windowDeactivated event by invoking the windowDeactivated methods on listener-a and listener-b.

windowDeactivated(WindowEvent). Method in class java.awt.event.WindowAdapter

windowDeactivated(WindowEvent). Method in interface java.awt.event.WindowListener

Invoked when a window is de-activated.

windowDeiconified(WindowEvent). Method in class java.awt.AWTEventMulticaster

Handles the windowDeiconfied event by invoking the windowDeiconified methods on listener-a and listener-b.

windowDeiconified(WindowEvent). Method in class java.awt.event.WindowAdapter

windowDeiconified(WindowEvent). Method in interface java.awt.event.WindowListener

Invoked when a window is de-iconified.

WindowEvent(Window, int). Constructor for class java.awt.event.WindowEvent

Constructs a WindowEvent object with the specified source window and type.

windowIconified(WindowEvent). Method in class java.awt.AWTEventMulticaster

Handles the windowIconified event by invoking the windowIconified methods on listener-a and listener-b.

windowIconified(WindowEvent). Method in class java.awt.event.WindowAdapter

windowIconified(WindowEvent). Method in interface java.awt.event.WindowListener

Invoked when a window is iconified.

windowOpened(WindowEvent). Method in class java.awt.AWTEventMulticaster

Handles the windowOpened event by invoking the windowOpened methods on listener-a and listener-b.

windowOpened(WindowEvent). Method in class java.awt.event.WindowAdapter

windowOpened(WindowEvent). Method in interface java.awt.event.WindowListener

Invoked when a window has been opened.

windowText. Static variable in class java.awt.SystemColor

The text color for windows.

WINHELP. Static variable in class symantec.itools.beans.SymantecBeanDescriptor

A constant that specifies the "winhelp" key.

wizard. Variable in class symantec.itools.awt.SimpleWizardController

The WizardInterface.

Wizard(). Constructor for class symantec.itools.awt.Wizard

Constructs a Wizard.

WizardBeanInfo(). Constructor for class symantec.itools.awt.WizardBeanInfo

Constructs a WizardBeanInfo object.

wordChars(int, int). Method in class java.io.StreamTokenizer

Specifies that all characters c in the range low <= c <= high are word constituents.

workingBuffer. Variable in class symantec.itools.awt.util.StatusScroller

The string that gets scrolled.

wrappable. Variable in class symantec.itools.awt.util.spinner.Spinner

Whether the value can wrap from max to min, and from min to max.

WrappingLabel(). Constructor for class symantec.itools.awt.WrappingLabel

Constructs a default wrapping label.

WrappingLabel(String). Constructor for class symantec.itools.awt.WrappingLabel

Constructs a wrapping label that displays the specified string.

WrappingLabel(String, int). Constructor for class symantec.itools.awt.WrappingLabel

Constructs wrapping label with the specified text and alignment.

WrappingLabelBeanInfo(). Constructor for class symantec.itools.awt.WrappingLabelBeanInfo

Constructs a WrappingLabelBeanInfo object.

write(byte[]). Method in interface java.io.DataOutput

Writes b.length bytes from the specified byte array to this output stream.

write(byte[]). Method in class java.io.FileOutputStream

Writes b.length bytes from the specified byte array to this file output stream.

write(byte[]). Method in class java.io.FilterOutputStream

Writes b.length bytes to this output stream.

write(byte[]). Method in interface java.io.ObjectOutput

Writes an array of bytes.

write(byte[]). Method in class java.io.ObjectOutputStream

Writes an array of bytes.

write(byte[]). Method in class java.io.OutputStream

Writes b.length bytes from the specified byte array to this output stream.

write(byte[]). Method in class java.io.RandomAccessFile

Writes b.length bytes from the specified byte array starting at offset off to this file.

write(byte[], int, int). Method in class java.io.BufferedOutputStream

Writes len bytes from the specified byte array starting at offset off to this buffered output stream.

write(byte[], int, int). Method in class java.io.ByteArrayOutputStream

Writes len bytes from the specified byte array starting at offset off to this byte array output stream.

write(byte[], int, int). Method in class java.util.zip.CheckedOutputStream

Writes an array of bytes.

write(byte[], int, int). Method in interface java.io.DataOutput

Writes len bytes from the specified byte array starting at offset off to this output stream.

write(byte[], int, int). Method in class java.io.DataOutputStream

Writes len bytes from the specified byte array starting at offset off to the underlying output stream.

write(byte[], int, int). Method in class java.util.zip.DeflaterOutputStream

Writes an array of bytes to the compressed output stream.

write(byte[], int, int). Method in class java.security.DigestOutputStream

Updates the message digest (if the digest function is on) using the specified subarray, and in any case writes the subarray to the output stream.

write(byte[], int, int). Method in class java.io.FileOutputStream

Writes len bytes from the specified byte array starting at offset off to this file output stream.

write(byte[], int, int). Method in class java.io.FilterOutputStream

Writes len bytes from the specified byte array starting at offset off to this output stream.

write(byte[], int, int). Method in class java.util.zip.GZIPOutputStream

Writes array of bytes to the compressed output stream.

write(byte[], int, int). Method in class java.rmi.server.LogStream

Write a subarray of bytes.

write(byte[], int, int). Method in interface java.io.ObjectOutput

Writes a sub array of bytes.

write(byte[], int, int). Method in class java.io.ObjectOutputStream

Writes a sub array of bytes.

write(byte[], int, int). Method in class java.io.OutputStream

Writes len bytes from the specified byte array starting at offset off to this output stream.

write(byte[], int, int). Method in class java.io.PipedOutputStream

Writes len bytes from the specified byte array starting at offset off to this piped output stream.

write(byte[], int, int). Method in class java.io.PrintStream

Write a portion of a byte array, blocking if necessary.

write(byte[], int, int). Method in class java.io.RandomAccessFile

Writes len bytes from the specified byte array starting at offset off to this file.

write(byte[], int, int). Method in class java.util.zip.ZipOutputStream

Writes an array of bytes to the current ZIP entry data.

write(char[]). Method in class java.io.PrintWriter

Write an array of characters.

write(char[]). Method in class java.io.Writer

Write an array of characters.

write(char[], int, int). Method in class java.io.BufferedWriter

Write a portion of an array of characters.

write(char[], int, int). Method in class java.io.CharArrayWriter

Writes characters to the buffer.

write(char[], int, int). Method in class java.io.FilterWriter

Write a portion of an array of characters.

write(char[], int, int). Method in class java.io.OutputStreamWriter

Write a portion of an array of characters.

write(char[], int, int). Method in class java.io.PipedWriter

Write a portion of an array of characters.

write(char[], int, int). Method in class java.io.PrintWriter

Write a portion of an array of characters.

write(char[], int, int). Method in class java.io.StringWriter

Write a portion of an array of characters.

write(char[], int, int). Method in class java.io.Writer

Write a portion of an array of characters.

write(DataOutput). Method in class java.rmi.server.UID

Write uid to output stream.

write(int). Method in class java.io.BufferedOutputStream

Writes the specified byte to this buffered output stream.

write(int). Method in class java.io.BufferedWriter

Write a single character.

write(int). Method in class java.io.ByteArrayOutputStream

Writes the specified byte to this byte array output stream.

write(int). Method in class java.io.CharArrayWriter

Writes a character to the buffer.

write(int). Method in class java.util.zip.CheckedOutputStream

Writes a byte.

write(int). Method in interface java.io.DataOutput

Writes the specified byte to this data output stream.

write(int). Method in class java.io.DataOutputStream

Writes the specified byte to the underlying output stream.

write(int). Method in class java.util.zip.DeflaterOutputStream

Writes a byte to the compressed output stream.

write(int). Method in class java.security.DigestOutputStream

Updates the message digest (if the digest function is on) using the specified byte, and in any case writes the byte to the output stream.

write(int). Method in class java.io.FileOutputStream

Writes the specified byte to this file output stream.

write(int). Method in class java.io.FilterOutputStream

Writes the specified byte to this output stream.

write(int). Method in class java.io.FilterWriter

Write a single character.

write(int). Method in class java.rmi.server.LogStream

Write a byte of data to the stream.

write(int). Method in interface java.io.ObjectOutput

Writes a byte.

write(int). Method in class java.io.ObjectOutputStream

Writes a byte.

write(int). Method in class java.io.OutputStream

Writes the specified byte to this output stream.

write(int). Method in class java.io.OutputStreamWriter

Write a single character.

write(int). Method in class java.io.PipedOutputStream

Writes the specified byte to the piped output stream.

write(int). Method in class java.io.PrintStream

Write a byte, blocking if necessary.

write(int). Method in class java.io.PrintWriter

Write a single character.

write(int). Method in class java.io.RandomAccessFile

Writes the specified byte to this file.

write(int). Method in class java.io.StringWriter

Write a single character.

write(int). Method in class java.io.Writer

Write a single character.

write(Object, long, String). Static method in class symantec.itools.lang.Debug

Write out a debug message

write(Object, long, String, String). Static method in class symantec.itools.lang.Debug

Write out a debug message

write(Object, long, Throwable). Static method in class symantec.itools.lang.Debug

Write out a debug message

write(ObjectOutput). Method in class java.rmi.server.ObjID

Marshal object id to output stream.

write(String). Static method in class symantec.itools.lang.Debug

Write out a debug message

write(String). Method in class java.io.PrintWriter

Write a string.

write(String). Method in class java.io.StringWriter

Write a string.

write(String). Method in class java.io.Writer

Write a string.

write(String, int, int). Method in class java.io.BufferedWriter

Write a portion of a String.

write(String, int, int). Method in class java.io.CharArrayWriter

Write a portion of a string to the buffer.

write(String, int, int). Method in class java.io.FilterWriter

Write a portion of a string.

write(String, int, int). Method in class java.io.OutputStreamWriter

Write a portion of a string.

write(String, int, int). Method in class java.io.PrintWriter

Write a portion of a string.

write(String, int, int). Method in class java.io.StringWriter

Write a portion of a string.

write(String, int, int). Method in class java.io.Writer

Write a portion of a string.

WriteAbortedException(String, Exception). Constructor for class java.io.WriteAbortedException

A WriteAbortedException is thrown during a read when one of the ObjectStreamExceptions was thrown during writing.

writeBoolean(boolean). Method in interface java.io.DataOutput

Writes a boolean value to this output stream.

writeBoolean(boolean). Method in class java.io.DataOutputStream

Writes a boolean to the underlying output stream as a 1-byte value.

writeBoolean(boolean). Method in class java.io.ObjectOutputStream

Writes a boolean.

writeBoolean(boolean). Method in class java.io.RandomAccessFile

Writes a boolean to the file as a 1-byte value.

writeByte(int). Method in interface java.io.DataOutput

Writes an 8-bit value to this output stream.

writeByte(int). Method in class java.io.DataOutputStream

Writes out a byte to the underlying output stream as a 1-byte value.

writeByte(int). Method in class java.io.ObjectOutputStream

Writes an 8 bit byte.

writeByte(int). Method in class java.io.RandomAccessFile

Writes a byte to the file as a 1-byte value.

writeBytes(String). Method in interface java.io.DataOutput

Writes a string to this output stream.

writeBytes(String). Method in class java.io.DataOutputStream

Writes out the string to the underlying output stream as a sequence of bytes.

writeBytes(String). Method in class java.io.ObjectOutputStream

Writes a String as a sequence of bytes.

writeBytes(String). Method in class java.io.RandomAccessFile

Writes the string to the file as a sequence of bytes.

writeChar(int). Method in interface java.io.DataOutput

Writes a char value to this output stream.

writeChar(int). Method in class java.io.DataOutputStream

Writes a char to the underlying output stream as a 2-byte value, high byte first.

writeChar(int). Method in class java.io.ObjectOutputStream

Writes a 16 bit char.

writeChar(int). Method in class java.io.RandomAccessFile

Writes a char to the file as a 2-byte value, high byte first.

writeChars(String). Method in interface java.io.DataOutput

Writes a string to this output stream.

writeChars(String). Method in class java.io.DataOutputStream

Writes a string to the underlying output stream as a sequence of characters.

writeChars(String). Method in class java.io.ObjectOutputStream

Writes a String as a sequence of chars.

writeChars(String). Method in class java.io.RandomAccessFile

Writes a string to the file as a sequence of characters.

writeDouble(double). Method in interface java.io.DataOutput

Writes a double value to this output stream.

writeDouble(double). Method in class java.io.DataOutputStream

Converts the double argument to a long using the doubleToLongBits method in class Double, and then writes that long value to the underlying output stream as an 8-byte quantity, high byte first.

writeDouble(double). Method in class java.io.ObjectOutputStream

Writes a 64 bit double.

writeDouble(double). Method in class java.io.RandomAccessFile

Converts the double argument to a long using the doubleToLongBits method in class Double, and then writes that long value to the file as an 8-byte quantity, high byte first.

writeExternal(ObjectOutput). Method in interface java.io.Externalizable

The object implements the writeExternal method to save its contents by calling the methods of DataOutput for its primitive values or calling the writeObject method of ObjectOutput for objects, strings and arrays.

writeFloat(float). Method in interface java.io.DataOutput

Writes a float value to this output stream.

writeFloat(float). Method in class java.io.DataOutputStream

Converts the float argument to an int using the floatToIntBits method in class Float, and then writes that int value to the underlying output stream as a 4-byte quantity, high byte first.

writeFloat(float). Method in class java.io.ObjectOutputStream

Writes a 32 bit float.

writeFloat(float). Method in class java.io.RandomAccessFile

Converts the float argument to an int using the floatToIntBits method in class Float, and then writes that int value to the file as a 4-byte quantity, high byte first.

writeInt(int). Method in interface java.io.DataOutput

Writes an int value to this output stream.

writeInt(int). Method in class java.io.DataOutputStream

Writes an int to the underlying output stream as four bytes, high byte first.

writeInt(int). Method in class java.io.ObjectOutputStream

Writes a 32 bit int.

writeInt(int). Method in class java.io.RandomAccessFile

Writes an int to the file as four bytes, high byte first.

writeLong(long). Method in interface java.io.DataOutput

Writes a long value to this output stream.

writeLong(long). Method in class java.io.DataOutputStream

Writes a long to the underlying output stream as eight bytes, high byte first.

writeLong(long). Method in class java.io.ObjectOutputStream

Writes a 64 bit long.

writeLong(long). Method in class java.io.RandomAccessFile

Writes a long to the file as eight bytes, high byte first.

writeObject(Object). Method in interface java.io.ObjectOutput

Write an object to the underlying storage or stream.

writeObject(Object). Method in class java.io.ObjectOutputStream

Write the specified object to the ObjectOutputStream.

writer. Static variable in class symantec.itools.lang.Debug

The PrintWriter used for output.

Writer(). Constructor for class java.io.Writer

Create a new character-stream writer whose critical sections will synchronize on the writer itself.

Writer(Object). Constructor for class java.io.Writer

Create a new character-stream writer whose critical sections will synchronize on the given object.

writeShort(int). Method in interface java.io.DataOutput

Writes a 16-bit value to this output stream.

writeShort(int). Method in class java.io.DataOutputStream

Writes a short to the underlying output stream as two bytes, high byte first.

writeShort(int). Method in class java.io.ObjectOutputStream

Writes a 16 bit short.

writeShort(int). Method in class java.io.RandomAccessFile

Writes a short to the file as two bytes, high byte first.

writeStreamHeader(). Method in class java.io.ObjectOutputStream

The writeStreamHeader method is provided so subclasses can append or prepend their own header to the stream.

writeTo(OutputStream). Method in class java.io.ByteArrayOutputStream

Writes the complete contents of this byte array output stream to the specified output stream argument, as if by calling the output stream's write method using out.write(buf, 0, count).

writeTo(Writer). Method in class java.io.CharArrayWriter

Writes the contents of the buffer to another character stream.

writeUTF(String). Method in interface java.io.DataOutput

Writes a Unicode string by encoding it using modified UTF-8 format.

writeUTF(String). Method in class java.io.DataOutputStream

Writes a string to the underlying output stream using UTF-8 encoding in a machine-independent manner.

writeUTF(String). Method in class java.io.ObjectOutputStream

Writes a String in UTF format.

writeUTF(String). Method in class java.io.RandomAccessFile

Writes a string to the file using UTF-8 encoding in a machine-independent manner.

written. Variable in class java.io.DataOutputStream

The number of bytes written to the data output stream.


Index of all Fields and Methods

_ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

X

x. Variable in class java.awt.Event

The x coordinate of the event.

x. Variable in class java.awt.Point

The x coordinate.

x. Variable in class java.awt.Rectangle

The x coordinate of the rectangle.

xCoord. Variable in class symantec.itools.awt.ImageListBox

The amount the list items are scrolled horizontally, in pixels.

xDragLast. Variable in class symantec.itools.awt.MultiList

The latest horizontal position the the splitter being dragged to resize a column.

xor(BigInteger). Method in class java.math.BigInteger

Returns a BigInteger whose value is (this ^ val).

xor(BitSet). Method in class java.util.BitSet

Logically XORs this bit set with the specified set of bits.

xpoints. Variable in class java.awt.Polygon

The array of x coordinates.


Index of all Fields and Methods

_ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Y

y. Variable in class java.awt.Event

The y coordinate of the event.

y. Variable in class java.awt.Point

The y coordinate.

y. Variable in class java.awt.Rectangle

The y coordinate of the rectangle.

yAdj. Variable in class symantec.itools.awt.ImageListBox

Top margin before the contents of the first list item, in pixels.

YEAR. Static variable in class java.util.Calendar

Useful constant for date and time.

year. Variable in class symantec.itools.db.awt.Tstamp

The year.

YEAR_FIELD. Static variable in class java.text.DateFormat

Useful constant for YEAR field alignment.

yellow. Static variable in class java.awt.Color

The color yellow.

yield(). Static method in class java.lang.Thread

Causes the currently executing thread object to temporarily pause and allow other threads to execute.

ypoints. Variable in class java.awt.Polygon

The array of y coordinates.


Index of all Fields and Methods

_ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Z

ZipCode(). Constructor for class symantec.itools.awt.util.edit.ZipCode

Create Zip code text field.

ZipCodeBeanInfo(). Constructor for class symantec.itools.awt.util.edit.ZipCodeBeanInfo

Constructs a ZipCodeBeanInfo object.

ZipCodeMask(). Constructor for class symantec.itools.db.awt.ZipCodeMask

Constructs a long zip code field.

ZipEntry(String). Constructor for class java.util.zip.ZipEntry

Creates a new ZIP file entry with the specified name.

ZipException(). Constructor for class java.util.zip.ZipException

ZipException(String). Constructor for class java.util.zip.ZipException

ZipFile(File). Constructor for class java.util.zip.ZipFile

Opens a ZIP file for reading given the specified File object.

ZipFile(String). Constructor for class java.util.zip.ZipFile

Opens a ZIP file for reading given the specified file name.

ZipInputStream(InputStream). Constructor for class java.util.zip.ZipInputStream

Creates a new ZIP input stream.

ZipOutputStream(OutputStream). Constructor for class java.util.zip.ZipOutputStream

Creates a new ZIP output stream.

ZONE_OFFSET. Static variable in class java.util.Calendar

Useful constant for date and time.


Class Hierarchy

•	class java.lang.Object

•	class java.awt.AWTEventMulticaster (implements java.awt.event.ComponentListener, java.awt.event.ContainerListener, java.awt.event.FocusListener, java.awt.event.KeyListener, java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.awt.event.WindowListener, java.awt.event.ActionListener, java.awt.event.ItemListener, java.awt.event.AdjustmentListener, java.awt.event.TextListener)

•	interface java.security.acl.Acl (extends java.security.acl.Owner)

•	interface java.security.acl.AclEntry (extends java.lang.Cloneable)

•	interface java.awt.event.ActionListener (extends java.util.EventListener)

•	interface java.awt.peer.ActiveEvent

•	interface java.awt.Adjustable

•	interface java.awt.event.AdjustmentListener (extends java.util.EventListener)

•	class java.util.zip.Adler32 (implements java.util.zip.Checksum)

•	interface symantec.itools.awt.AlignStyle

•	interface java.applet.AppletContext

•	interface java.applet.AppletStub

•	class java.lang.reflect.Array

•	interface java.applet.AudioClip

•	class symantec.itools.db.awt.BasicCell (implements symantec.itools.db.awt.TableCell, java.awt.image.ImageObserver)

•	interface java.beans.BeanInfo

•	class java.beans.Beans

•	interface symantec.itools.awt.BevelStyle

•	class java.util.BitSet (implements java.lang.Cloneable, java.io.Serializable)

•	class java.lang.Boolean (implements java.io.Serializable)

•	class java.awt.BorderLayout (implements java.awt.LayoutManager2, java.io.Serializable)

•	class java.text.BreakIterator (implements java.lang.Cloneable, java.io.Serializable)

•	class symantec.itools.db.awt.ButtonCell (implements symantec.itools.db.awt.TableCell, java.awt.image.ImageObserver)

•	interface java.awt.peer.ButtonPeer (extends java.awt.peer.ComponentPeer)

•	class java.util.zip.CRC32 (implements java.util.zip.Checksum)

•	class java.util.Calendar (implements java.io.Serializable, java.lang.Cloneable)

•	class java.util.GregorianCalendar

•	interface java.sql.CallableStatement (extends java.sql.PreparedStatement)

•	interface java.awt.peer.CanvasPeer (extends java.awt.peer.ComponentPeer)

•	class java.awt.CardLayout (implements java.awt.LayoutManager2, java.io.Serializable)

•	class symantec.itools.awt.multiList.Cell

•	class symantec.itools.awt.multiList.TextAndImageCell (implements java.awt.image.ImageObserver, java.io.Serializable)

•	class symantec.itools.db.awt.CellHints (implements java.io.Serializable)

•	interface java.security.Certificate

•	class java.lang.Character (implements java.io.Serializable)

•	interface java.text.CharacterIterator (extends java.lang.Cloneable)

•	class java.awt.CheckboxGroup (implements java.io.Serializable)

•	class symantec.itools.db.awt.RadioBox (implements symantec.itools.db.awt.ProjectionBean)

•	interface java.awt.peer.CheckboxMenuItemPeer (extends java.awt.peer.MenuItemPeer)

•	interface java.awt.peer.CheckboxPeer (extends java.awt.peer.ComponentPeer)

•	interface java.util.zip.Checksum

•	interface java.awt.peer.ChoicePeer (extends java.awt.peer.ComponentPeer)

•	class java.lang.Class (implements java.io.Serializable)

•	class java.lang.ClassLoader

•	class java.awt.datatransfer.Clipboard

•	interface java.awt.datatransfer.ClipboardOwner

•	interface java.lang.Cloneable

•	class java.text.CollationElementIterator

•	class java.text.CollationKey

•	class java.text.Collator (implements java.lang.Cloneable, java.io.Serializable)

•	class java.text.RuleBasedCollator

•	class java.awt.Color (implements java.io.Serializable)

•	class java.awt.SystemColor (implements java.io.Serializable)

•	class java.awt.image.ColorModel

•	class java.awt.image.DirectColorModel

•	class java.awt.image.IndexColorModel

•	class symantec.itools.awt.util.ColorUtils

•	class symantec.itools.awt.CompareCells (implements symantec.itools.awt.CompareFuncCB)

•	class symantec.itools.awt.multiList.CompareTextAndImageCells

•	interface symantec.itools.awt.CompareFuncCB (extends symantec.itools.awt.CompareFunc)

•	class java.lang.Compiler

•	class java.awt.Component (implements java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable)

•	class java.awt.Button

•	class java.awt.Canvas

•	class symantec.itools.multimedia.Animator (implements java.lang.Runnable, java.beans.PropertyChangeListener)

•	class symantec.itools.multimedia.MovingAnimation (implements java.lang.Runnable)

•	class symantec.itools.awt.ButtonBase

•	class symantec.itools.awt.DirectionButton (implements java.io.Serializable)

•	class symantec.itools.awt.ImageButton

•	class symantec.itools.awt.ImageHTMLLink

•	class symantec.itools.awt.LabelButton (implements symantec.itools.awt.AlignStyle)

•	class symantec.itools.awt.LabelHTMLLink

•	class symantec.itools.multimedia.Firework (implements java.lang.Runnable)

•	class symantec.itools.db.awt.ImageViewer (implements symantec.itools.db.awt.ProjectionBean)

•	class symantec.itools.multimedia.NervousText (implements java.lang.Runnable)

•	class symantec.itools.db.awt.NervousText (implements symantec.itools.db.awt.ProjectionBean)

•	class symantec.itools.multimedia.Plasma (implements java.lang.Runnable)

•	class symantec.itools.awt.util.ProgressBar (implements symantec.itools.awt.BevelStyle, symantec.itools.awt.AlignStyle)

•	class symantec.itools.multimedia.ScrollingText (implements java.lang.Runnable)

•	class symantec.itools.awt.Slider

•	class symantec.itools.awt.HorizontalSlider

•	class symantec.itools.awt.VerticalSlider

•	class symantec.itools.awt.StateCheckBox

•	class symantec.itools.db.awt.StateCheckBox (implements symantec.itools.db.awt.ProjectionBean)

•	class symantec.itools.awt.util.ToolBarSpacer

•	class symantec.itools.awt.WrappingLabel (implements symantec.itools.awt.AlignStyle)

•	class java.awt.Checkbox (implements java.awt.ItemSelectable)

•	class symantec.itools.db.awt.Checkbox (implements symantec.itools.db.awt.ProjectionBean)

•	class symantec.itools.db.awt.RadioButton

•	class java.awt.Choice (implements java.awt.ItemSelectable)

•	class java.awt.Container

•	class java.awt.Panel

•	class java.applet.Applet

•	class symantec.itools.awt.BaseTabbedPanel

•	class symantec.itools.awt.TabPanel (implements java.io.Serializable)

•	class symantec.itools.awt.BorderPanel (implements symantec.itools.awt.AlignStyle, symantec.itools.awt.BevelStyle, java.awt.event.ContainerListener)

•	class symantec.itools.awt.RadioButtonGroupPanel (implements java.awt.ItemSelectable)

•	class symantec.itools.awt.StatusBar

•	class symantec.itools.awt.util.ToolBarPanel

•	class symantec.itools.awt.util.Calendar

•	class symantec.itools.awt.ComboBox

•	class symantec.itools.db.awt.ComboBox (implements symantec.itools.db.pro.ListLink, symantec.itools.db.awt.ProjectionBean)

•	class symantec.itools.awt.ImageListBox (implements java.awt.ItemSelectable)

•	class symantec.itools.awt.ImagePanel

•	class symantec.itools.awt.InfoTipPanel (implements java.lang.Runnable, java.io.Serializable)

•	class symantec.itools.awt.KeyPressManagerPanel (implements java.io.Serializable)

•	class symantec.itools.awt.MultiList (implements java.io.Serializable, java.awt.ItemSelectable)

•	class symantec.itools.awt.util.spinner.SpinButtonPanel (implements symantec.itools.awt.Orientation)

•	class symantec.itools.awt.util.spinner.HorizontalSpinButtonPanel

•	class symantec.itools.awt.util.spinner.VerticalSpinButtonPanel

•	class symantec.itools.awt.util.spinner.Spinner (implements symantec.itools.awt.Orientation, java.io.Serializable)

•	class symantec.itools.awt.util.spinner.ListSpinner

•	class symantec.itools.awt.util.spinner.DaySpinner

•	class symantec.itools.awt.util.spinner.MonthSpinner

•	class symantec.itools.awt.util.spinner.NumericSpinner (implements java.io.Serializable)

•	class symantec.itools.awt.SplitterPanel

•	class symantec.itools.awt.TreeView (implements java.awt.ItemSelectable)

•	class symantec.itools.awt.Wizard (implements symantec.itools.awt.WizardInterface, java.io.Serializable)

•	class java.awt.ScrollPane

•	class symantec.itools.awt.ScrollingPanel

•	class symantec.itools.multimedia.SlideShow

•	class java.awt.Window

•	class java.awt.Dialog

•	class symantec.itools.awt.util.dialog.DialogBox

•	class symantec.itools.awt.util.dialog.ModalDialog

•	class symantec.itools.db.awt.LogonDialog

•	class java.awt.FileDialog

•	class java.awt.Frame (implements java.awt.MenuContainer)

•	class symantec.itools.db.awt.LogonFrame (implements symantec.itools.db.pro.Logon)

•	class symantec.itools.multimedia.ImageViewer (implements java.io.Serializable)

•	class symantec.itools.awt.InvisibleButton

•	class symantec.itools.awt.InvisibleHTMLLink

•	class java.awt.Label

•	class symantec.itools.db.awt.Label (implements symantec.itools.db.awt.ProjectionBean)

•	class symantec.itools.db.awt.RecordNumberLabel

•	class symantec.itools.db.awt.RecordStateLabel

•	class symantec.itools.awt.Label3D (implements symantec.itools.awt.AlignStyle, symantec.itools.awt.BevelStyle)

•	class symantec.itools.awt.shape.Line

•	class java.awt.List (implements java.awt.ItemSelectable)

•	class symantec.itools.db.awt.List (implements symantec.itools.db.pro.ListLink, symantec.itools.db.awt.ProjectionBean)

•	class symantec.itools.db.awt.ListPlus (implements symantec.itools.db.awt.ProjectionBean)

•	class symantec.itools.awt.RollOverButton

•	class java.awt.Scrollbar (implements java.awt.Adjustable)

•	class symantec.itools.awt.shape.Shape (implements symantec.itools.awt.BevelStyle)

•	class symantec.itools.awt.shape.Ellipse

•	class symantec.itools.awt.shape.Circle

•	class symantec.itools.awt.shape.Rect

•	class symantec.itools.awt.shape.HorizontalLine

•	class symantec.itools.awt.shape.Square

•	class symantec.itools.awt.shape.VerticalLine

•	class java.awt.TextComponent

•	class java.awt.TextArea

•	class symantec.itools.db.awt.TextArea (implements symantec.itools.db.awt.ProjectionBean)

•	class java.awt.TextField

•	class symantec.itools.awt.FormattedTextField

•	class symantec.itools.awt.util.edit.AddressCode

•	class symantec.itools.awt.util.edit.LongZipCode

•	class symantec.itools.awt.util.edit.PostalCode

•	class symantec.itools.awt.util.edit.ZipCode

•	class symantec.itools.db.awt.FormattedTextField (implements symantec.itools.db.awt.ProjectionBean)

•	class symantec.itools.db.awt.DateMask

•	class symantec.itools.db.awt.LongZipCodeMask

•	class symantec.itools.db.awt.SSNMask

•	class symantec.itools.db.awt.TimeMask

•	class symantec.itools.db.awt.TimestampMask

•	class symantec.itools.db.awt.USPhoneMask

•	class symantec.itools.db.awt.ZipCodeMask

•	class symantec.itools.awt.util.edit.PhoneNumber

•	class symantec.itools.awt.util.edit.LocalPhoneNumber

•	class symantec.itools.awt.util.edit.LongDistPhoneNumber

•	class symantec.itools.awt.util.edit.IntlLongDistPhoneNumber

•	class symantec.itools.awt.util.edit.USLongDistPhoneNumber

•	class symantec.itools.awt.util.edit.SocialIDNumber

•	class symantec.itools.awt.util.edit.SocialInsuranceNumber

•	class symantec.itools.awt.util.edit.SocialSecurityNumber

•	class symantec.itools.db.awt.TextField (implements symantec.itools.db.awt.ProjectionBean)

•	class symantec.itools.db.awt.AgeField

•	class symantec.itools.db.awt.Tstamp

•	class symantec.itools.db.awt.DBTstamp (implements symantec.itools.db.pro.ProjLink, java.awt.event.FocusListener, java.awt.event.ActionListener)

•	class java.awt.event.ComponentAdapter (implements java.awt.event.ComponentListener)

•	interface java.awt.event.ComponentListener (extends java.util.EventListener)

•	interface java.awt.peer.ComponentPeer

•	interface java.sql.Connection

•	class symantec.itools.db.pro.ConnectionInfo

•	class symantec.itools.db.beans.jdbc.ConnectionManager

•	class java.lang.reflect.Constructor (implements java.lang.reflect.Member)

•	class java.awt.event.ContainerAdapter (implements java.awt.event.ContainerListener)

•	interface java.awt.event.ContainerListener (extends java.util.EventListener)

•	interface java.awt.peer.ContainerPeer (extends java.awt.peer.ComponentPeer)

•	class java.net.ContentHandler

•	interface java.net.ContentHandlerFactory

•	class symantec.itools.lang.Context

•	class symantec.itools.db.awt.Coordinate (implements java.io.Serializable)

•	class java.awt.Cursor (implements java.io.Serializable)

•	interface java.beans.Customizer

•	interface java.rmi.dgc.DGC (extends java.rmi.Remote)

•	interface java.security.interfaces.DSAKey

•	interface java.security.interfaces.DSAKeyPairGenerator

•	interface java.security.interfaces.DSAParams

•	interface java.security.interfaces.DSAPrivateKey (extends java.security.interfaces.DSAKey, java.security.PrivateKey)

•	interface java.security.interfaces.DSAPublicKey (extends java.security.interfaces.DSAKey, java.security.PublicKey)

•	interface symantec.itools.db.awt.Data (extends java.io.Serializable)

•	interface symantec.itools.db.pro.DataAccess

•	class java.awt.datatransfer.DataFlavor

•	interface java.io.DataInput

•	interface java.io.DataOutput

•	interface symantec.itools.db.awt.DataSource (extends java.io.Serializable)

•	interface java.sql.DatabaseMetaData

•	class java.net.DatagramPacket

•	class java.net.DatagramSocket

•	class java.net.MulticastSocket

•	class java.net.DatagramSocketImpl (implements java.net.SocketOptions)

•	class java.util.Date (implements java.io.Serializable, java.lang.Cloneable)

•	class java.sql.Date

•	class java.sql.Time

•	class java.sql.Timestamp

•	class java.text.DateFormatSymbols (implements java.io.Serializable, java.lang.Cloneable)

•	class symantec.itools.db.awt.DbDataSource (implements symantec.itools.db.awt.DataSource)

•	interface symantec.itools.db.awt.DbDataStore (extends java.io.Serializable)

•	interface symantec.itools.db.awt.DbDataUpdater (extends java.io.Serializable)

•	class symantec.itools.db.awt.DbaDataStore (implements symantec.itools.db.awt.DbDataStore, symantec.itools.db.awt.MetaTable, symantec.itools.db.awt.DbDataUpdater)

•	class symantec.itools.lang.Debug

•	class java.text.DecimalFormatSymbols (implements java.lang.Cloneable, java.io.Serializable)

•	class symantec.itools.db.awt.DefaultData (implements symantec.itools.db.awt.Data)

•	class symantec.itools.db.awt.DefaultDataSource (implements symantec.itools.db.awt.DataSource)

•	class symantec.itools.db.awt.DefaultTvEventHandler (implements symantec.itools.db.awt.TvEventHandler)

•	class java.util.zip.Deflater

•	interface java.awt.peer.DialogPeer (extends java.awt.peer.WindowPeer)

•	class java.util.Dictionary

•	class java.util.Hashtable (implements java.lang.Cloneable, java.io.Serializable)

•	class java.util.Properties

•	class java.security.Provider

•	class symantec.itools.db.pro.Request

•	class symantec.itools.db.pro.AutoDetail

•	class java.awt.Dimension (implements java.io.Serializable)

•	interface java.sql.Driver

•	class java.sql.DriverManager

•	class java.sql.DriverPropertyInfo

•	interface java.util.Enumeration

•	class java.awt.Event (implements java.io.Serializable)

•	interface java.util.EventListener

•	class java.util.EventObject (implements java.io.Serializable)

•	class java.awt.AWTEvent

•	class java.awt.event.ActionEvent

•	class java.awt.event.AdjustmentEvent

•	class java.awt.event.ComponentEvent

•	class java.awt.event.ContainerEvent

•	class java.awt.event.FocusEvent

•	class java.awt.event.InputEvent

•	class java.awt.event.KeyEvent

•	class java.awt.event.MouseEvent

•	class java.awt.event.PaintEvent

•	class java.awt.event.WindowEvent

•	class java.awt.event.ItemEvent

•	class java.awt.event.TextEvent

•	class java.beans.PropertyChangeEvent

•	class java.awt.EventQueue

•	interface java.io.Externalizable (extends java.io.Serializable)

•	class java.beans.FeatureDescriptor

•	class java.beans.BeanDescriptor

•	class symantec.itools.beans.SymantecBeanDescriptor

•	class symantec.itools.beans.ConnectionDescriptor

•	class java.beans.EventSetDescriptor

•	class java.beans.MethodDescriptor

•	class java.beans.ParameterDescriptor

•	class java.beans.PropertyDescriptor

•	class java.beans.IndexedPropertyDescriptor

•	class java.lang.reflect.Field (implements java.lang.reflect.Member)

•	class java.text.FieldPosition

•	class java.io.File (implements java.io.Serializable)

•	class java.io.FileDescriptor

•	interface java.awt.peer.FileDialogPeer (extends java.awt.peer.DialogPeer)

•	interface java.net.FileNameMap

•	interface java.io.FilenameFilter

•	class java.awt.image.FilteredImageSource (implements java.awt.image.ImageProducer)

•	class java.awt.FlowLayout (implements java.awt.LayoutManager, java.io.Serializable)

•	class java.awt.event.FocusAdapter (implements java.awt.event.FocusListener)

•	interface java.awt.event.FocusListener (extends java.util.EventListener)

•	class java.awt.Font (implements java.io.Serializable)

•	class java.awt.FontMetrics (implements java.io.Serializable)

•	interface java.awt.peer.FontPeer

•	class java.text.Format (implements java.io.Serializable, java.lang.Cloneable)

•	class java.text.DateFormat (implements java.lang.Cloneable)

•	class java.text.SimpleDateFormat

•	class java.text.MessageFormat

•	class java.text.NumberFormat (implements java.lang.Cloneable)

•	class java.text.ChoiceFormat

•	class java.text.DecimalFormat

•	interface java.awt.peer.FramePeer (extends java.awt.peer.WindowPeer)

•	class symantec.itools.db.awt.FtpClient

•	class symantec.itools.util.GeneralUtils

•	class java.awt.Graphics

•	class java.awt.GridBagConstraints (implements java.lang.Cloneable, java.io.Serializable)

•	class java.awt.GridBagLayout (implements java.awt.LayoutManager2, java.io.Serializable)

•	class java.awt.GridLayout (implements java.awt.LayoutManager, java.io.Serializable)

•	interface java.security.acl.Group (extends java.security.Principal)

•	class java.security.Identity (implements java.security.Principal, java.io.Serializable)

•	class java.security.IdentityScope

•	class java.security.Signer

•	class java.awt.Image

•	interface java.awt.image.ImageConsumer

•	class java.awt.image.ImageFilter (implements java.awt.image.ImageConsumer, java.lang.Cloneable)

•	class java.awt.image.CropImageFilter

•	class java.awt.image.RGBImageFilter

•	class symantec.itools.awt.image.DarkenFilter

•	class symantec.itools.awt.image.FadeFilter

•	class symantec.itools.awt.image.LightenFilter

•	class java.awt.image.ReplicateScaleFilter

•	class java.awt.image.AreaAveragingScaleFilter

•	interface java.awt.image.ImageObserver

•	interface java.awt.image.ImageProducer

•	class symantec.itools.db.awt.ImageStringData (implements symantec.itools.db.awt.Data)

•	class java.net.InetAddress (implements java.io.Serializable)

•	class java.util.zip.Inflater

•	class symantec.itools.awt.InfoTipManager

•	class java.io.InputStream

•	class java.io.ByteArrayInputStream

•	class java.io.FileInputStream

•	class java.io.FilterInputStream

•	class java.io.BufferedInputStream

•	class java.util.zip.CheckedInputStream

•	class java.io.DataInputStream (implements java.io.DataInput)

•	class java.security.DigestInputStream

•	class java.util.zip.InflaterInputStream

•	class java.util.zip.GZIPInputStream

•	class java.util.zip.ZipInputStream (implements java.util.zip.ZipConstants)

•	class java.io.LineNumberInputStream

•	class java.io.PushbackInputStream

•	class java.io.ObjectInputStream (implements java.io.ObjectInput, java.io.ObjectStreamConstants)

•	class java.io.PipedInputStream

•	class java.io.SequenceInputStream

•	class java.io.StringBufferInputStream

•	class java.awt.Insets (implements java.lang.Cloneable, java.io.Serializable)

•	class java.beans.Introspector

•	interface java.awt.event.ItemListener (extends java.util.EventListener)

•	interface java.awt.ItemSelectable

•	interface java.security.Key (extends java.io.Serializable)

•	class java.awt.event.KeyAdapter (implements java.awt.event.KeyListener)

•	class symantec.itools.db.awt.ProjectionBeanHelper (implements symantec.itools.db.pro.ProjLink, java.awt.event.ActionListener, java.awt.event.FocusListener, java.awt.event.ItemListener, java.awt.event.TextListener)

•	interface java.awt.event.KeyListener (extends java.util.EventListener)

•	class java.security.KeyPair

•	class java.security.KeyPairGenerator

•	interface java.awt.peer.LabelPeer (extends java.awt.peer.ComponentPeer)

•	interface java.awt.LayoutManager

•	interface java.awt.LayoutManager2 (extends java.awt.LayoutManager)

•	class java.rmi.dgc.Lease (implements java.io.Serializable)

•	interface java.awt.peer.LightweightPeer (extends java.awt.peer.ComponentPeer)

•	class symantec.itools.db.pro.ListBinder

•	interface symantec.itools.db.pro.ListLink

•	interface java.awt.peer.ListPeer (extends java.awt.peer.ComponentPeer)

•	interface java.rmi.server.LoaderHandler

•	class java.util.Locale (implements java.lang.Cloneable, java.io.Serializable)

•	class java.rmi.registry.LocateRegistry

•	interface symantec.itools.db.pro.Logon

•	class java.lang.Math

•	class symantec.itools.awt.Matrix (implements java.io.Serializable)

•	class symantec.itools.awt.MatrixEnumeration (implements java.util.Enumeration)

•	class java.awt.MediaTracker (implements java.io.Serializable)

•	class symantec.itools.db.beans.binding.Mediator

•	class symantec.itools.db.beans.binding.MediatorDS

•	interface java.lang.reflect.Member

•	class java.awt.image.MemoryImageSource (implements java.awt.image.ImageProducer)

•	interface java.awt.peer.MenuBarPeer (extends java.awt.peer.MenuComponentPeer)

•	class java.awt.MenuComponent (implements java.io.Serializable)

•	class java.awt.MenuBar (implements java.awt.MenuContainer)

•	class java.awt.MenuItem

•	class java.awt.CheckboxMenuItem (implements java.awt.ItemSelectable)

•	class java.awt.Menu (implements java.awt.MenuContainer)

•	class java.awt.PopupMenu

•	interface java.awt.peer.MenuComponentPeer

•	interface java.awt.MenuContainer

•	interface java.awt.peer.MenuItemPeer (extends java.awt.peer.MenuComponentPeer)

•	interface java.awt.peer.MenuPeer (extends java.awt.peer.MenuItemPeer)

•	class java.awt.MenuShortcut (implements java.io.Serializable)

•	class java.security.MessageDigest

•	interface symantec.itools.db.awt.MetaTable (extends java.io.Serializable)

•	class java.lang.reflect.Method (implements java.lang.reflect.Member)

•	class java.lang.reflect.Modifier

•	class java.awt.event.MouseAdapter (implements java.awt.event.MouseListener)

•	interface java.awt.event.MouseListener (extends java.util.EventListener)

•	class java.awt.event.MouseMotionAdapter (implements java.awt.event.MouseMotionListener)

•	interface java.awt.event.MouseMotionListener (extends java.util.EventListener)

•	class symantec.itools.db.pro.MultiView

•	class java.rmi.Naming

•	class java.lang.Number (implements java.io.Serializable)

•	class java.math.BigDecimal

•	class java.math.BigInteger

•	class java.lang.Byte

•	class java.lang.Double

•	class java.lang.Float

•	class java.lang.Integer

•	class java.lang.Long

•	class java.lang.Short

•	class symantec.itools.lang.OS

•	class java.rmi.server.ObjID (implements java.io.Serializable)

•	interface java.io.ObjectInput (extends java.io.DataInput)

•	interface java.io.ObjectInputValidation

•	interface java.io.ObjectOutput (extends java.io.DataOutput)

•	class java.io.ObjectStreamClass (implements java.io.Serializable)

•	class java.util.Observable

•	interface java.util.Observer

•	class java.rmi.server.Operation

•	interface symantec.itools.awt.Orientation

•	class java.io.OutputStream

•	class java.io.ByteArrayOutputStream

•	class java.io.FileOutputStream

•	class java.io.FilterOutputStream

•	class java.io.BufferedOutputStream

•	class java.util.zip.CheckedOutputStream

•	class java.io.DataOutputStream (implements java.io.DataOutput)

•	class java.util.zip.DeflaterOutputStream

•	class java.util.zip.GZIPOutputStream

•	class java.util.zip.ZipOutputStream (implements java.util.zip.ZipConstants)

•	class java.security.DigestOutputStream

•	class java.io.PrintStream

•	class java.rmi.server.LogStream

•	class java.io.ObjectOutputStream (implements java.io.ObjectOutput, java.io.ObjectStreamConstants)

•	class java.io.PipedOutputStream

•	interface java.security.acl.Owner

•	interface java.awt.peer.PanelPeer (extends java.awt.peer.ContainerPeer)

•	class java.text.ParsePosition

•	interface java.security.acl.Permission

•	class java.awt.image.PixelGrabber (implements java.awt.image.ImageConsumer)

•	class java.awt.Point (implements java.io.Serializable)

•	class java.awt.Polygon (implements java.awt.Shape, java.io.Serializable)

•	interface java.awt.peer.PopupMenuPeer (extends java.awt.peer.MenuPeer)

•	interface java.sql.PreparedStatement (extends java.sql.Statement)

•	interface java.security.Principal

•	interface java.awt.PrintGraphics

•	class java.awt.PrintJob

•	interface java.security.PrivateKey (extends java.security.Key)

•	class java.lang.Process

•	class symantec.itools.db.pro.ProjBinder

•	interface symantec.itools.db.pro.ProjLink

•	class symantec.itools.db.pro.Projection (implements symantec.itools.db.pro.ProjLink)

•	interface symantec.itools.db.awt.ProjectionBean

•	interface java.beans.PropertyChangeListener (extends java.util.EventListener)

•	class java.beans.PropertyChangeSupport (implements java.io.Serializable)

•	class symantec.itools.beans.PropertyChangeSupport (implements java.io.Serializable)

•	interface java.beans.PropertyEditor

•	class java.beans.PropertyEditorManager

•	class java.beans.PropertyEditorSupport (implements java.beans.PropertyEditor)

•	class symantec.itools.db.awt.ConnectionInfoEditor

•	class symantec.itools.db.awt.RelationViewEditor

•	class symantec.itools.db.awt.SessionEditor

•	interface java.security.PublicKey (extends java.security.Key)

•	class symantec.itools.db.beans.binding.QueryNavigator

•	class symantec.itools.db.beans.jdbc.QueryNavigator

•	class java.rmi.server.RMIClassLoader

•	interface java.rmi.server.RMIFailureHandler

•	class java.rmi.server.RMISocketFactory

•	class java.util.Random (implements java.io.Serializable)

•	class java.security.SecureRandom

•	class java.io.RandomAccessFile (implements java.io.DataOutput, java.io.DataInput)

•	class java.io.Reader

•	class java.io.BufferedReader

•	class java.io.LineNumberReader

•	class java.io.CharArrayReader

•	class java.io.FilterReader

•	class java.io.PushbackReader

•	class java.io.InputStreamReader

•	class java.io.FileReader

•	class java.io.PipedReader

•	class java.io.StringReader

•	class symantec.itools.db.pro.Record (implements symantec.itools.db.pro.DataAccess)

•	class symantec.itools.db.beans.jdbc.RecordDefinition (implements java.lang.Cloneable)

•	interface symantec.itools.db.pro.RecordLink

•	interface symantec.itools.db.pro.RecordSetLink

•	class java.awt.Rectangle (implements java.awt.Shape, java.io.Serializable)

•	interface java.rmi.registry.Registry (extends java.rmi.Remote)

•	interface java.rmi.registry.RegistryHandler

•	class symantec.itools.db.pro.RelationView (implements symantec.itools.db.pro.DataAccess)

•	class symantec.itools.db.pro.RelationViewPlus

•	class symantec.itools.db.pro.RelationViewMetaData

•	class symantec.itools.net.RelativeURL

•	interface java.rmi.Remote

•	interface java.rmi.server.RemoteCall

•	class java.rmi.server.RemoteObject (implements java.rmi.Remote, java.io.Serializable)

•	class java.rmi.server.RemoteServer

•	class java.rmi.server.UnicastRemoteObject

•	class java.rmi.server.RemoteStub

•	interface java.rmi.server.RemoteRef (extends java.io.Externalizable)

•	class java.util.ResourceBundle

•	class java.util.ListResourceBundle

•	class java.text.resources.DateFormatZoneData

•	class java.text.resources.DateFormatZoneData_ar

•	class java.text.resources.DateFormatZoneData_be

•	class java.text.resources.DateFormatZoneData_bg

•	class java.text.resources.DateFormatZoneData_ca

•	class java.text.resources.DateFormatZoneData_cs

•	class java.text.resources.DateFormatZoneData_da

•	class java.text.resources.DateFormatZoneData_de

•	class java.text.resources.DateFormatZoneData_de_AT

•	class java.text.resources.DateFormatZoneData_de_CH

•	class java.text.resources.DateFormatZoneData_el

•	class java.text.resources.DateFormatZoneData_en

•	class java.text.resources.DateFormatZoneData_en_CA

•	class java.text.resources.DateFormatZoneData_en_GB

•	class java.text.resources.DateFormatZoneData_en_IE

•	class java.text.resources.DateFormatZoneData_es

•	class java.text.resources.DateFormatZoneData_et

•	class java.text.resources.DateFormatZoneData_fi

•	class java.text.resources.DateFormatZoneData_fr

•	class java.text.resources.DateFormatZoneData_fr_BE

•	class java.text.resources.DateFormatZoneData_fr_CA

•	class java.text.resources.DateFormatZoneData_fr_CH

•	class java.text.resources.DateFormatZoneData_hr

•	class java.text.resources.DateFormatZoneData_hu

•	class java.text.resources.DateFormatZoneData_is

•	class java.text.resources.DateFormatZoneData_it

•	class java.text.resources.DateFormatZoneData_it_CH

•	class java.text.resources.DateFormatZoneData_iw

•	class java.text.resources.DateFormatZoneData_ja

•	class java.text.resources.DateFormatZoneData_ko

•	class java.text.resources.DateFormatZoneData_lt

•	class java.text.resources.DateFormatZoneData_lv

•	class java.text.resources.DateFormatZoneData_mk

•	class java.text.resources.DateFormatZoneData_nl

•	class java.text.resources.DateFormatZoneData_nl_BE

•	class java.text.resources.DateFormatZoneData_no

•	class java.text.resources.DateFormatZoneData_no_NO_NY

•	class java.text.resources.DateFormatZoneData_pl

•	class java.text.resources.DateFormatZoneData_pt

•	class java.text.resources.DateFormatZoneData_ro

•	class java.text.resources.DateFormatZoneData_ru

•	class java.text.resources.DateFormatZoneData_sh

•	class java.text.resources.DateFormatZoneData_sk

•	class java.text.resources.DateFormatZoneData_sl

•	class java.text.resources.DateFormatZoneData_sq

•	class java.text.resources.DateFormatZoneData_sr

•	class java.text.resources.DateFormatZoneData_sv

•	class java.text.resources.DateFormatZoneData_tr

•	class java.text.resources.DateFormatZoneData_uk

•	class java.text.resources.DateFormatZoneData_zh

•	class java.text.resources.DateFormatZoneData_zh_TW

•	class java.text.resources.LocaleData

•	class java.text.resources.LocaleElements

•	class java.text.resources.LocaleElements_ar

•	class java.text.resources.LocaleElements_be

•	class java.text.resources.LocaleElements_bg

•	class java.text.resources.LocaleElements_ca

•	class java.text.resources.LocaleElements_cs

•	class java.text.resources.LocaleElements_da

•	class java.text.resources.LocaleElements_de

•	class java.text.resources.LocaleElements_de_AT

•	class java.text.resources.LocaleElements_de_CH

•	class java.text.resources.LocaleElements_el

•	class java.text.resources.LocaleElements_en

•	class java.text.resources.LocaleElements_en_CA

•	class java.text.resources.LocaleElements_en_GB

•	class java.text.resources.LocaleElements_en_IE

•	class java.text.resources.LocaleElements_es

•	class java.text.resources.LocaleElements_et

•	class java.text.resources.LocaleElements_fi

•	class java.text.resources.LocaleElements_fr

•	class java.text.resources.LocaleElements_fr_BE

•	class java.text.resources.LocaleElements_fr_CA

•	class java.text.resources.LocaleElements_fr_CH

•	class java.text.resources.LocaleElements_hr

•	class java.text.resources.LocaleElements_hu

•	class java.text.resources.LocaleElements_is

•	class java.text.resources.LocaleElements_it

•	class java.text.resources.LocaleElements_it_CH

•	class java.text.resources.LocaleElements_iw

•	class java.text.resources.LocaleElements_ja

•	class java.text.resources.LocaleElements_ko

•	class java.text.resources.LocaleElements_lt

•	class java.text.resources.LocaleElements_lv

•	class java.text.resources.LocaleElements_mk

•	class java.text.resources.LocaleElements_nl

•	class java.text.resources.LocaleElements_nl_BE

•	class java.text.resources.LocaleElements_no

•	class java.text.resources.LocaleElements_no_NO_NY

•	class java.text.resources.LocaleElements_pl

•	class java.text.resources.LocaleElements_pt

•	class java.text.resources.LocaleElements_ro

•	class java.text.resources.LocaleElements_ru

•	class java.text.resources.LocaleElements_sh

•	class java.text.resources.LocaleElements_sk

•	class java.text.resources.LocaleElements_sl

•	class java.text.resources.LocaleElements_sq

•	class java.text.resources.LocaleElements_sr

•	class java.text.resources.LocaleElements_sv

•	class java.text.resources.LocaleElements_tr

•	class java.text.resources.LocaleElements_uk

•	class java.text.resources.LocaleElements_zh

•	class java.text.resources.LocaleElements_zh_TW

•	class java.util.PropertyResourceBundle

•	interface java.sql.ResultSet

•	interface java.sql.ResultSetMetaData

•	interface java.lang.Runnable

•	class java.lang.Runtime

•	interface java.awt.peer.ScrollPanePeer (extends java.awt.peer.ContainerPeer)

•	interface java.awt.peer.ScrollbarPeer (extends java.awt.peer.ComponentPeer)

•	class java.security.Security

•	class java.lang.SecurityManager

•	class java.rmi.RMISecurityManager

•	interface java.io.Serializable

•	interface java.rmi.server.ServerRef (extends java.rmi.server.RemoteRef)

•	class java.net.ServerSocket

•	class symantec.itools.db.pro.Session

•	class symantec.itools.db.pro.SessionMetaData

•	interface java.awt.Shape

•	class java.security.Signature

•	class java.beans.SimpleBeanInfo (implements java.beans.BeanInfo)

•	class symantec.itools.awt.util.edit.AddressCodeBeanInfo

•	class symantec.itools.multimedia.AnimatorBeanInfo

•	class symantec.itools.awt.BaseTabbedPanelBeanInfo

•	class symantec.itools.awt.BorderPanelBeanInfo

•	class symantec.itools.awt.ButtonBaseBeanInfo

•	class symantec.itools.awt.util.CalendarBeanInfo

•	class symantec.itools.db.awt.CheckboxBeanInfo

•	class symantec.itools.awt.shape.CircleBeanInfo

•	class symantec.itools.awt.ComboBoxBeanInfo

•	class symantec.itools.db.awt.ComboBoxBeanInfo

•	class symantec.itools.db.beans.jdbc.ConnectionManagerBeanInfo

•	class symantec.itools.db.awt.DBTstampBeanInfo

•	class symantec.itools.awt.util.spinner.DaySpinnerBeanInfo

•	class symantec.itools.awt.DirectionButtonBeanInfo

•	class symantec.itools.awt.shape.EllipseBeanInfo

•	class geo.emblaze.Emblaze20BeanInfo

•	class symantec.itools.multimedia.FireworkBeanInfo

•	class symantec.itools.awt.FormattedTextFieldBeanInfo

•	class symantec.itools.db.awt.FormattedTextFieldBeanInfo

•	class symantec.itools.db.awt.GridBeanInfo

•	class symantec.itools.awt.shape.HorizontalLineBeanInfo

•	class symantec.itools.awt.HorizontalSliderBeanInfo

•	class symantec.itools.awt.ImageButtonBeanInfo

•	class symantec.itools.awt.ImageHTMLLinkBeanInfo

•	class symantec.itools.awt.ImageListBoxBeanInfo

•	class symantec.itools.awt.ImagePanelBeanInfo

•	class symantec.itools.db.awt.ImageViewerBeanInfo

•	class symantec.itools.multimedia.ImageViewerBeanInfo

•	class symantec.itools.awt.InfoTipPanelBeanInfo

•	class symantec.itools.awt.util.edit.IntlLongDistPhoneNumberBeanInfo

•	class symantec.itools.awt.InvisibleButtonBeanInfo

•	class symantec.itools.awt.InvisibleHTMLLinkBeanInfo

•	class symantec.itools.db.beans.jdbc.JdbcConnectionBeanInfo

•	class symantec.itools.awt.KeyPressManagerPanelBeanInfo

•	class symantec.itools.awt.Label3DBeanInfo

•	class symantec.itools.db.awt.LabelBeanInfo

•	class symantec.itools.awt.LabelButtonBeanInfo

•	class symantec.itools.awt.LabelHTMLLinkBeanInfo

•	class symantec.itools.awt.shape.LineBeanInfo

•	class symantec.itools.db.awt.ListBeanInfo

•	class symantec.itools.db.awt.ListPlusBeanInfo

•	class symantec.itools.awt.util.spinner.ListSpinnerBeanInfo

•	class symantec.itools.awt.util.edit.LocalPhoneNumberBeanInfo

•	class symantec.itools.awt.util.edit.LongDistPhoneNumberBeanInfo

•	class symantec.itools.awt.util.edit.LongZipCodeBeanInfo

•	class symantec.itools.db.beans.binding.MediatorBeanInfo

•	class symantec.itools.db.beans.binding.MediatorDSBeanInfo

•	class symantec.itools.awt.util.spinner.MonthSpinnerBeanInfo

•	class symantec.itools.multimedia.MovingAnimationBeanInfo

•	class symantec.itools.awt.MultiListBeanInfo

•	class symantec.itools.db.awt.NervousTextBeanInfo

•	class symantec.itools.multimedia.NervousTextBeanInfo

•	class symantec.itools.awt.util.spinner.NumericSpinnerBeanInfo

•	class symantec.itools.awt.util.edit.PhoneNumberBeanInfo

•	class symantec.itools.multimedia.PlasmaBeanInfo

•	class symantec.itools.awt.util.edit.PostalCodeBeanInfo

•	class symantec.itools.awt.util.ProgressBarBeanInfo

•	class symantec.itools.db.beans.binding.QueryNavigatorBeanInfo

•	class symantec.itools.db.beans.jdbc.QueryNavigatorBeanInfo

•	class symantec.itools.db.awt.RadioBoxBeanInfo

•	class symantec.itools.awt.RadioButtonGroupPanelBeanInfo

•	class symantec.itools.db.beans.jdbc.RecordDefinitionBeanInfo

•	class symantec.itools.db.awt.RecordNumberLabelBeanInfo

•	class symantec.itools.db.awt.RecordStateLabelBeanInfo

•	class symantec.itools.awt.shape.RectBeanInfo

•	class symantec.itools.awt.RollOverButtonBeanInfo

•	class symantec.itools.awt.ScrollingPanelBeanInfo

•	class symantec.itools.multimedia.ScrollingTextBeanInfo

•	class symantec.itools.awt.shape.ShapeBeanInfo

•	class symantec.itools.awt.SliderBeanInfo

•	class symantec.itools.awt.util.edit.SocialIDNumberBeanInfo

•	class symantec.itools.awt.util.edit.SocialInsuranceNumberBeanInfo

•	class symantec.itools.awt.util.edit.SocialSecurityNumberBeanInfo

•	class symantec.itools.multimedia.SoundPlayerBeanInfo

•	class symantec.itools.awt.util.spinner.SpinnerBeanInfo

•	class symantec.itools.awt.SplitterPanelBeanInfo

•	class symantec.itools.awt.shape.SquareBeanInfo

•	class symantec.itools.awt.StateCheckBoxBeanInfo

•	class symantec.itools.db.awt.StateCheckBoxBeanInfo

•	class symantec.itools.awt.StatusBarBeanInfo

•	class symantec.itools.awt.util.StatusScrollerBeanInfo

•	class symantec.itools.awt.TabPanelBeanInfo

•	class symantec.itools.db.awt.TextAreaBeanInfo

•	class symantec.itools.db.awt.TextFieldBeanInfo

•	class symantec.itools.awt.util.ToolBarPanelBeanInfo

•	class symantec.itools.awt.util.ToolBarSpacerBeanInfo

•	class symantec.itools.awt.TreeViewBeanInfo

•	class symantec.itools.awt.util.edit.USLongDistPhoneNumberBeanInfo

•	class symantec.itools.awt.shape.VerticalLineBeanInfo

•	class symantec.itools.awt.VerticalSliderBeanInfo

•	class symantec.itools.awt.WizardBeanInfo

•	class symantec.itools.awt.WrappingLabelBeanInfo

•	class symantec.itools.awt.util.edit.ZipCodeBeanInfo

•	class symantec.itools.awt.SimpleWizardController (implements symantec.itools.awt.WizardController)

•	interface java.rmi.server.Skeleton

•	class java.net.Socket

•	class java.net.SocketImpl (implements java.net.SocketOptions)

•	interface java.net.SocketImplFactory

•	class symantec.itools.multimedia.SoundPlayer (implements java.io.Serializable)

•	interface java.sql.Statement

•	class symantec.itools.awt.util.StatusScroller (implements java.lang.Runnable)

•	class java.io.StreamTokenizer

•	class java.lang.String (implements java.io.Serializable)

•	class java.lang.StringBuffer (implements java.io.Serializable)

•	class java.text.StringCharacterIterator (implements java.text.CharacterIterator)

•	class java.awt.datatransfer.StringSelection (implements java.awt.datatransfer.Transferable, java.awt.datatransfer.ClipboardOwner)

•	class java.util.StringTokenizer (implements java.util.Enumeration)

•	class java.lang.System

•	class sun.tools.ttydebug.TTY

•	interface symantec.itools.db.awt.TableCell (extends java.io.Serializable)

•	interface java.awt.peer.TextAreaPeer (extends java.awt.peer.TextComponentPeer)

•	interface java.awt.peer.TextComponentPeer (extends java.awt.peer.ComponentPeer)

•	interface java.awt.peer.TextFieldPeer (extends java.awt.peer.TextComponentPeer)

•	interface java.awt.event.TextListener (extends java.util.EventListener)

•	class java.lang.Thread (implements java.lang.Runnable)

•	class java.lang.ThreadGroup

•	class java.lang.Throwable (implements java.io.Serializable)

•	class java.lang.Error

•	class java.awt.AWTError

•	class java.lang.LinkageError

•	class java.lang.ClassCircularityError

•	class java.lang.ClassFormatError

•	class java.lang.ExceptionInInitializerError

•	class java.lang.IncompatibleClassChangeError

•	class java.lang.AbstractMethodError

•	class java.lang.IllegalAccessError

•	class java.lang.InstantiationError

•	class java.lang.NoSuchFieldError

•	class java.lang.NoSuchMethodError

•	class java.lang.NoClassDefFoundError

•	class java.lang.UnsatisfiedLinkError

•	class java.lang.VerifyError

•	class java.lang.ThreadDeath

•	class java.lang.VirtualMachineError

•	class java.lang.InternalError

•	class java.lang.OutOfMemoryError

•	class java.lang.StackOverflowError

•	class java.lang.UnknownError

•	class java.lang.Exception

•	class java.awt.AWTException

•	class java.security.acl.AclNotFoundException

•	class java.rmi.AlreadyBoundException

•	class java.lang.ClassNotFoundException

•	class java.lang.CloneNotSupportedException

•	class java.rmi.server.ServerCloneException

•	class java.util.zip.DataFormatException

•	class symantec.itools.db.awt.DataNotAvailable

•	class java.security.DigestException

•	class symantec.itools.db.awt.FtpLoginException

•	class java.io.IOException

•	class java.io.CharConversionException

•	class java.io.EOFException

•	class java.io.FileNotFoundException

•	class java.io.InterruptedIOException

•	class java.net.MalformedURLException

•	class java.io.ObjectStreamException

•	class java.io.InvalidClassException

•	class java.io.InvalidObjectException

•	class java.io.NotActiveException

•	class java.io.NotSerializableException

•	class java.io.OptionalDataException

•	class java.io.StreamCorruptedException

•	class java.io.WriteAbortedException

•	class java.net.ProtocolException

•	class java.rmi.RemoteException

•	class java.rmi.AccessException

•	class java.rmi.ConnectException

•	class java.rmi.ConnectIOException

•	class java.rmi.server.ExportException

•	class java.rmi.server.SocketSecurityException

•	class java.rmi.MarshalException

•	class java.rmi.NoSuchObjectException

•	class java.rmi.ServerError

•	class java.rmi.ServerException

•	class java.rmi.ServerRuntimeException

•	class java.rmi.server.SkeletonMismatchException

•	class java.rmi.server.SkeletonNotFoundException

•	class java.rmi.StubNotFoundException

•	class java.rmi.UnexpectedException

•	class java.rmi.UnknownHostException

•	class java.rmi.UnmarshalException

•	class java.net.SocketException

•	class java.net.BindException

•	class java.net.ConnectException

•	class java.net.NoRouteToHostException

•	class java.io.SyncFailedException

•	class java.io.UTFDataFormatException

•	class java.net.UnknownHostException

•	class java.net.UnknownServiceException

•	class java.io.UnsupportedEncodingException

•	class java.util.zip.ZipException

•	class java.lang.IllegalAccessException

•	class java.lang.InstantiationException

•	class java.lang.InterruptedException

•	class java.beans.IntrospectionException

•	class java.lang.reflect.InvocationTargetException

•	class java.security.KeyException

•	class java.security.InvalidKeyException

•	class java.security.KeyManagementException

•	class java.security.acl.LastOwnerException

•	class java.security.NoSuchAlgorithmException

•	class java.lang.NoSuchFieldException

•	class java.lang.NoSuchMethodException

•	class java.security.NoSuchProviderException

•	class java.rmi.NotBoundException

•	class java.security.acl.NotOwnerException

•	class java.text.ParseException

•	class symantec.itools.db.beans.binding.PositionOutOfRangeException

•	class java.beans.PropertyVetoException

•	class java.lang.RuntimeException

•	class java.lang.ArithmeticException

•	class java.lang.ArrayStoreException

•	class java.lang.ClassCastException

•	class java.util.EmptyStackException

•	class java.lang.IllegalArgumentException

•	class java.lang.IllegalThreadStateException

•	class java.security.InvalidParameterException

•	class java.lang.NumberFormatException

•	class java.lang.IllegalMonitorStateException

•	class java.lang.IllegalStateException

•	class java.awt.IllegalComponentStateException

•	class java.lang.IndexOutOfBoundsException

•	class java.lang.ArrayIndexOutOfBoundsException

•	class java.lang.StringIndexOutOfBoundsException

•	class java.util.MissingResourceException

•	class java.lang.NegativeArraySizeException

•	class java.util.NoSuchElementException

•	class java.lang.NullPointerException

•	class java.security.ProviderException

•	class java.lang.SecurityException

•	class java.rmi.RMISecurityException

•	class java.sql.SQLException

•	class java.sql.SQLWarning

•	class java.sql.DataTruncation

•	class java.rmi.server.ServerNotActiveException

•	class java.security.SignatureException

•	class java.util.TooManyListenersException

•	class symantec.itools.db.awt.TypeNotSupported

•	class java.awt.datatransfer.UnsupportedFlavorException

•	class java.util.TimeZone (implements java.io.Serializable, java.lang.Cloneable)

•	class java.util.SimpleTimeZone

•	class symantec.itools.util.Timer (implements java.lang.Runnable, java.io.Serializable)

•	class java.awt.Toolkit

•	interface java.awt.datatransfer.Transferable

•	interface symantec.itools.awt.TransparencyTrick

•	class symantec.itools.awt.TransparencyTrickUtils

•	class symantec.itools.awt.TreeNode (implements java.io.Serializable)

•	interface symantec.itools.db.awt.TvEventHandler (extends java.io.Serializable)

•	class java.sql.Types

•	class java.rmi.server.UID (implements java.io.Serializable)

•	class java.net.URL (implements java.io.Serializable)

•	class java.net.URLConnection

•	class java.net.HttpURLConnection

•	class java.net.URLEncoder

•	class java.net.URLStreamHandler

•	interface java.net.URLStreamHandlerFactory

•	interface java.rmi.server.Unreferenced

•	class symantec.itools.awt.util.Util

•	class java.rmi.dgc.VMID (implements java.io.Serializable)

•	class java.util.Vector (implements java.lang.Cloneable, java.io.Serializable)

•	class java.util.Stack

•	interface java.beans.VetoableChangeListener (extends java.util.EventListener)

•	class java.beans.VetoableChangeSupport (implements java.io.Serializable)

•	class symantec.itools.beans.VetoableChangeSupport (implements java.io.Serializable)

•	interface java.beans.Visibility

•	class java.lang.Void

•	class java.awt.event.WindowAdapter (implements java.awt.event.WindowListener)

•	interface java.awt.event.WindowListener (extends java.util.EventListener)

•	interface java.awt.peer.WindowPeer (extends java.awt.peer.ContainerPeer)

•	interface symantec.itools.awt.WizardController

•	interface symantec.itools.awt.WizardInterface

•	class java.io.Writer

•	class java.io.BufferedWriter

•	class java.io.CharArrayWriter

•	class java.io.FilterWriter

•	class java.io.OutputStreamWriter

•	class java.io.FileWriter

•	class java.io.PipedWriter

•	class java.io.PrintWriter

•	class java.io.StringWriter

•	class symantec.itools.util.ZOrderUtils

•	class java.util.zip.ZipEntry (implements java.util.zip.ZipConstants)

•	class java.util.zip.ZipFile (implements java.util.zip.ZipConstants)


How to Use the API User's Guide

How to Locate API

To locate a package, go to the Package Index.

To locate a class or interface within a package, seethe list of classes in that package, then use the Next/Previous buttons (<< and >>) to browse through classes in that package alphabetically. The "This Package" button in the navigation bar links to the list of classes in that package.

How This Document Is Organized

Level 1 - All Packages

The Package Index provides a list of all packages. Every topic has an "All Packages" button in the navigation bar that links to the Package Index topic.

Level 2 - All Classes and Interfaces within a Package

Example: Package java.awt

This type of page provides links to the public classes and interfaces in a given package. Every topic has a "This Package" button in the navigation bar that links to the package topic.

This topic can contain four categories:

Interfaces

Classes

Exceptions

Errors

Level 3 - A Single Class or Interface

Example: ContainerListener

Every topic has a "This Class/Intf" button in the navigation bar that links to the single class or interface topic.

Near the top of the page is a class inheritance diagram, starting with java.lang.Object and ending with the class or interface. This is followed by the class declaration and a general class description.

From this page, you can link to the indexes for this page. Each index entry contains the first sentence from the detailed description for that item. The index entries are alphabetical, while the detailed descriptions are in the order they appear in the source code. This is done to preserve the logical groupings established by the programmer. These are the categories, in order (where a category is omitted when it has no entries):

Field Index

Constructor Index

Method Index

The fields, constructors and methods have additional color coding, as follows:

Instance Variable (Non-Static Field)

Static Field (Class Variable)

Constructor

Instance Method (Non-Static Method)

Class Method (Static Method)